Welcome

This page links you to product and user information for the Keysight N7625B Signal Studio for LTE/LTE-Advanced TDD software.

Technical Overview

Web Page

Free Trial

Installation

Licensing

Using the Software

Release Notes

Software version 16.2

Help revised 11/6/2017 - get the latest revision

© Keysight Technologies, Inc. 2009-2017


Installation

From the Internet

If you are downloading and installing the software from the Internet, do the following:

1. | System Requirements | Verify that the instrument and PC meet the requirements.
2. | .NET Framework | Download and install .NET Framework.
3. | Keysight IO Libraries | Download and install Keysight IO Libraries.
4. | Keysight License Manager | Download and install Keysight License Manager.
5. | Signal Studio Software | Download and install Signal Studio software.
6. | Equipment Setup | Determine the IO interface, configure the equipment and connect the PC.
7. | Testing Connections | Check that the software communicates with the instrument.


System Requirements

Real Time

1. System Requirements

Installation Steps: 1 2 3 4 5 6 7

To generate signals using the N7625B Signal Studio for LTE/LTE-Advanced TDD software, you must have a properly configured PC and a properly configured instrument, as described in the following table.

Instrument Requirements

N5172B EXG X-Series RF vector signal generator

Firmware:

Version B.01.51 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

N5172B-660 (upgrade baseband generator with real-time capability)

Recommended options:

N5172B-009 (internal Flash drive)

N5172B-1EA (high power output for PA testing)

N5172B-1ER (flexible reference input, 1-50 MHz)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

N5172B-UNV (enhanced dynamic range)

N5172B-UNZ (fast switching for manufacturing environments)

N5182B MXG X-Series RF vector signal generator

Firmware:

Version B.01.51 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

N5182B-660 (upgrade baseband generator with real-time capability)

Recommended options:

N5182B-009 (internal Flash drive)

N5182B-1EA (high power output for PA testing)

N5182B-1ER (flexible reference input, 1-50 MHz)

N5182B-1EQ (low power output for Rx testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

N5182B-UNV (enhanced dynamic range)

N5182B-UNZ (fast switching for manufacturing environments)

N5182A MXG signal generator

Firmware:

Version A.01.10 or later (how to upgrade)

Version A.01.20 or later required for advanced capability (how to upgrade)

Version A.01.44 or later if using with PXB (how to upgrade)

Required options:

N5182A-503 (250 kHz to 3 GHz frequency range)

N5182A-6521 (Internal baseband generator, 60 MSa/sec, up to 48 MHz RF bandwidth)

Recommended options:

N5182A-6541 (Internal baseband generator, 125 MSa/sec, up to 100 MHz RF bandwidth)

N5182A-4032 (calibrated AWGN) for testing with noise

N5182A-UNV (enhanced dynamic range)

N5182A-1EA (high power output) for PA testing

N5182A-1EQ (low power output) for Rx testing

N5182A-UNZ (fast switching) for manufacturing environments

E4438C ESG signal generator

Firmware:

Version C.05.81 or later (how to upgrade)

Required options:

E4438C-503 (250 kHz to 3 GHz frequency range)

E4438C-601 (Internal baseband generator, 8 MSa memory)

Recommended option:

E4438C-4032 (calibrated AWGN) for testing with noise

N5106A PXB baseband generator and channel emulator

Required options (both of the following bundles are required for verifying MIMO performance)

N5106A-2B2 (2x2 MIMO baseband generation and channel emulation bundle)

This bundle includes:

N5106A-616 (6 DSP blocks on 3 baseband cards)

N5106A-634 (4 I/O ports - 4 analog I/Q out and 4 digital I/O on 2 I/O cards)

N5106A-EFP (Baseband generation)

N5106A-JFP (Calibrated AWGN)

N5106A-QFP (Fading with SISO channel models)

N5106A-LTE (LTE MIMO software application bundle)

This bundle includes:

N5106A-TFP (LTE channel models)

N7624B-6FP (N5106A connectivity)

M9381A PXIe vector signal generator (single-channel configurations)

Driver:

Version 1.4.400.0 or later

Recommended options:

M9381A-M05 (memory 512 MSa)

M9381A-M10 (memory 1024 MSa)

M9381A-1EA (high output power)

M9381A-B10 (RF modulation bandwidth 100 MHz)

M9381A-B16 (RF modulation bandwidth 160 MHz)

Additional options to consider:

M9381A-F06 (frequency range 1 MHz to 6 GHz)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

M9381A PXIe vector signal generator (multi-channel synchronization)

Driver:

Version 2.1.000.0 or later

Required options:

Y1299A-001 PXI multi-channel/MIMO, reference solution kit

  • For multi-channel operation, the Signal Studio software assumes the M9381A VSG follows the multi-channel reference solution typical configuration, using the accompanying configuration tools. Refer to the LTE/LTE-Advanced Multi-Channel, Reference Solution Startup Guide for more information.

  • Also refer to the “Multi-Channel Reference Solution Typical Configuration” section of the M9381A PXIe Vector Signal Generator Configuration Guide.

N7625B-U04 or greater (Signal Studio minor enhancement update, Option MEU)

Required for 8-channel configurations:

M9950A-1TP (Signal Studio software extension from 4 to 8 channels)

Recommended options:

M9381A-012 (LO sharing for phase coherency)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

M8190A arbitrary waveform generator

Firmware:

Version 5.0.14.0 or later

Required options:

M8190A-002 (2 channels)

Recommended options:

M8190A-DUC (digital upconversion)

M8190A-14B (14-bit, 8-GHz max sample rate) or

M8190A-02G (upgrade baseband generator memory from 128 MSa to 2 GSa)

M8190A-AMP (5-GHz analog bandwidth)

E6610A remote radio head tester

Firmware:

Version 2.5.0 or later

Required software:

N5122A LTE TDD signal creation and analysis software

E6640A EXM wireless test set

Software:

Version E.16.06 or later

Recommended options:

E6640A-B85 (increases signal bandwidth to 80 MHz)

E6640A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6640A-506 (380 MHz to 6 GHz frequency range)

E6640A-5WC (frequency range for wireless connectivity)

E6650A EXF wireless test set for femtocell

Software:

Version F.16.06 or later

Recommended options:

E6650A-B85 (increases signal bandwidth to 80 MHz)

E6650A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6650A-506 (380 MHz to 6 GHz frequency range)

E6650A-5WC (frequency range for wireless connectivity)

M9420A VXT PXIe vector transceiver

Software:

Version M.16 or later

Recommended options:

M9420A-1EA (high output power)

M9420A-B85 (increases signal bandwidth to 80 MHz)

M9420A-B1X (increases signal bandwidth to 160 MHz)

M9420A-M05 (memory 512 MSa)

Additional options to consider:

M9420A-506 (frequency range 6 GHz)

M9420A-FDX (full duplex ports)

M9420A-HDX (half duplex ports)

1. Options 652 or 654 are not required if you are using the PXB to play your waveforms.

2. Option 403 is not required if you are using the PXB to play your waveforms. The PXB has a separate AWGN option that is included in the N5106A-2B2 bundle. To use AWGN on the ESG or MXG without the PXB, option 403 is required.

Hardware Requirements for Multiple Antenna Setups (MIMO) Using ARB Capability

Solution

Instruments

Requirements

Solution without Baseband Timing Alignment and RF Phase Coherence

(Two signal generators driven from 10 MHz reference and the same trigger)

Two N5172B EXGs
-or-
Two N5182B MXGs
-or-

Two E4438C ESGs

N5172B EXG, N5182B MXG, and E4438C ESG:

Same requirements as single antenna (see table above)

Solution with Baseband Timing Alignment, but without RF Phase Coherence

(Two signal generators with baseband generator clock coherence, but without RF common LO)

Two N5172B EXGs
-or-

Two N5182B MXGs
-or-
Two N5182A MXGs

-or-
Two E4438C ESGs

N5172B EXG, N5182B MXG, and N5182A MXG:

Same requirements as single antenna (see table above)

E4438C ESG:

Same requirements as single antenna (see table above), plus

E4438C-HEC (provides external baseband generator clock input, which requires 200 - 400 MHz clock input signal)

One external ARB clock

Working with E4438C ESG:

N5181A with Option 501 (MXG analog signal generator, 250 KHz to 1 GHz)

Solution with Baseband Timing Alignment and RF Phase Coherence

(Two signal generators with RF common LO and baseband generator clock coherence)

Two N5172B EXGs
-or-
Two N5182B MXGs
-or-
Two N5182A MXGs

-or-

Two E4438C ESGs

N5172B EXG, N5182B MXG, and N5182A MXG:

Same requirements as single antenna (see table above), plus N5182A-012 (LO IN/OUT for phase coherency)

E4438C ESG:

Same requirements as single antenna (see table above), plus

E4438C-HEC (provides external baseband generator clock input, which requires 200-400 MHz clock input signal)

E4438C-HCC (provides 250 MHz to 4 GHz IN & OUT on the rear panel of the E4438C)

E4438C-HBC (provides 4 GHz to 6 GHz IN & OUT on the rear panel of the E4438C, requires E4438C-HCC and E4438C-506, I-bar OUT and Q-bar OUT connectors will be removed from the rear panel)

Lock box plus external ARB clock or amplifier distribution

Working with E4438C ESG:

Z5623A-K10 (4-channel distribution amplifier, 250 MHz to 6 GHz) plus an N5181A with Option 501 (MXG analog signal generator, 250 kHz to 1 GHz)

Hardware Requirements for Multiple Antenna Setups (MIMO) Using Real-Time Capability

Solution | Instruments | Requirements
All Real-Time MIMO Configurations | Multiple N5172B EXGs -or- Multiple N5182B MXGs | Firmware: Version B.01.51 or later (how to upgrade) Required options: N5172B-660 (upgrade baseband generator with real-time capability -or- N5182B-660 (upgrade baseband generator with real-time capability

Hardware and Software Requirements for Multi-Standard Radio (MSR)

To use the MSR feature you must have a properly configured instrument and software capabilities, as described in the table below. In addition, note the following:

  • MSR is a free upgrade to customers who have Basic capability.

  • Waveforms created with the E4438C's embedded applications (Options 400, 401, and 402) are not compatible with the MSR feature.

Export/Import Software1 | Instruments | Hardware Requirements
N7600B W-CDMA/HSPA+ N7601B cdma2000/1xEV-DO N7602B GSM/EDGE/Evo N7612B TD-SCDMA/HSDPA N7617B WLAN2 N7624B LTE/LTE-Advanced FDD3 | N5182B MXG | Best results require: N5182B-656 N5182B-023 N5182B-UNV MSR requires a minimum sample clock rate of 30.72 MHz. Refer to the N7625B technical overview for more information.
 | N5172B EXG | Best results require: N5172B-655 N5172B-022 N5172B-UNV MSR requires a minimum sample clock rate of 30.72 MHz. Refer to the N7625B technical overview for more information.
 | N5182A MXG | N5182A-652 or -654 N5182A-019 N5182A-UNV For firmware versions < C.01.60, N5182A-R2C, Internal Channel Correction, is required. N5182A-651 is not supported because MSR requires a minimum sample clock rate of 30.72 MHz. Refer to the N7625B technical overview for more information.
 | E4438C ESG | E4438C-503, -504, or -506 E4438C-601 or -602
 | M8190A AWG | Refer to the M8190A hardware requirements above.

1. You must purchase a valid Signal Studio software license for each of the component waveforms you want to use with the MSR feature.

2. Supports high-resolution waveform export, which requires minor enhancement update (MEU) N7617B-U02 or greater to playback MSR waveforms using the high-resolution component waveform.

3. Supports high-resolution waveform import/export, which requires minor enhancement update (MEU) N7624B-U04 or greater to playback MSR waveforms using the high-resolution component waveform.

Hardware Requirements for Envelope Tracking Control

Instruments | Capability/Configuration | Models
RF Signal Generator | Full envelope tracking control Includes timing alignment with optimum repeatability | N5182B MXG X-Series N5172B EXG X-Series N5182A MXG
 | Limited envelope tracking control IQ waveform exported as file Envelope waveform directly downloaded to AWG No timing alignment | M9381A PXIe VSG
Envelope Signal Generator | Single-ended configuration | 33521A/B (firmware revision 3.03 or later) 33621A (firmware revision 1.07 or later)
 | Differential configuration | 33522A/B (firmware revision 3.03 or later) 33622A (firmware revision 1.07 or later)

PC Requirements

Multi-UE Configurations

Waveform Length | Bandwidth | Number of Carriers | Physical Memory Required | Additional HDD Space Required
10 ms | 20 MHz | 25 | 1 GB | 0.1 GB
100 ms | 20 MHz | 100 | 2 GB | 4 GB
160 ms | 20 MHz | 100 | 7 GB | 5 GB

Standard Configurations

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows Server 2008 R2 SP1 (64 bit) Standard and Enterprise Edition:

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (2. Downloading and Installing the .NET Framework)

    (Requires Application Server role be installed on server.)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

Windows 8.1 (Pro/Enterprise) (32/64 bit)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows 7 (Professional/Ultimate/Enterprise)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

1 No support for Itanium64.

2 Signal Studio is compatible with the 64-bit operating system, but performs at the 32-bit speed.


.NET Framework

Real Time

2. Downloading and Installing the .NET Framework

Installation Steps: 1 2 3 4 5 6 7

A Microsoft .NET Framework version may come pre-installed with your Windows operating system. If the pre-installed .NET Framework version is not the same version as stated in the text below, you must install the required version. Different versions of .NET Framework can simultaneously reside on the Windows operating system.

Verify your version of .NET Framework

Ensure that you have Microsoft .NET Framework 3.5, or .NET Framework 3.5 Service Pack 1 installed on the Windows operating system (PC or Windows-based instrument) that is to receive the Signal Studio software download. If you know it is already installed, proceed to Installation Step 3.

Windows 8.1

With Windows 8.1 you do not have to install .NET Framework, rather you enable it in the Control Panel and it is downloaded and installed automatically. You must perform this procedure as the administrator and be connected to the internet.

  1. Go to Start > Control Panel > Programs and Features > Turn Windows features on or off.

  2. A Closed Windows Featuresdialog box appears, indicating the state of .NET Framework 3.5. Make sure the checkbox is marked.

  3. Press OK. This will begin the installation process of .NET Framework 3.5.

Windows 7

.NET Framework 3.5 is included with Windows 7, but you can verify it is turned on by doing the following:

  1. Go to Start > Control Panel > Programs > Programs and Features > Turn Windows features on or off.

  2. A Closed Windows Featuresdialog box appears, indicating the state of .NET Framework 3.5.

Downloading .NET Framework

If you do not have the .NET Framework 3.5 installed, do the following:

  1. Go to: http://www.microsoft.com/downloads/.

  2. Search the site for .NET Framework 3.5.

  3. Download and install the software.

If you get a security exception message when you try to open the software, consult your system administrator to resolve the problem.


Downloading and Installing the Keysight IO Libraries Suite

Real Time

3. Downloading and Installing the Keysight IO Libraries Suite

Installation Steps: 1 2 3 4 5 6 7

The Keysight IO Libraries are required only for GPIB connectivity.

  1. Download the Keysight IO Libraries Suite 17.1 or later, free of charge, from the Keysight website at: http://www.keysight.com/find/iolib. After the IO Libraries Suite has been successfully installed, you will see the IO Control (IO icon) in the Windows notification area on your PC screen.

  2. Click Connection Expert (IO Config in older versions) from the IO icon, if it does not run automatically. This utility automatically detects most interfaces and instruments, and assigns names and other default configuration settings. (You can edit these default settings if necessary.) Refer to the Keysight IO Libraries Suite documentation, for more information.


Downloading and Installing the Keysight License Manager

Real Time

4. Downloading and Installing the Keysight License Manager

Installation Steps: 1 2 3 4 5 6 7

Skip this step if you are installing Signal Studio on a PXB.

You must install a license on the instrument you will use to play the waveforms generated by the Signal Studio software. If you will be using a LAN connection between the PC running the Signal Studio software and your instrument, use the Keysight License Manager to install the Signal Studio license in the instrument.

  1. Download the Keysight License Manager, free of charge, at the following website: http://www.keysight.com/find/licensemanager.

  2. At the prompt, select Run to install the software directly, or select Save to save the software to your hard drive.

    To install the software after saving it to your hard drive, perform the following steps:

    1. Double-click the Keysight License Manager executable file.

    2. In the dialog box that appears, click Run and follow the prompts

For more information about Signal Studio licenses, see Licensing.

For detailed information about installing Signal Studio licenses, see Installing the License.


Installing Signal Studio Software

Real Time

5. Downloading and Installing the Signal Studio Software

Installation Steps: 1 2 3 4 5 6 7

To download the software onto your PC, you must have administrator status. If you receive an access denied message, consult your system administrator for the required permissions. See User Permissions.

  1. Click the link below to download the setup.exe file that steps you through the installation process.

    Download Now

  2. At the prompt, select Run to install the software.


Equipment Setup and Connection

Real Time

6. Equipment Setup and Connection

Installation Steps: 1 2 3 4 5 6 7

Some instruments require unique configurations for use with Signal Studio and are not described in this topic. In these cases, refer to Tutorials for specific information on how to configure your instrument.

Connecting to a signal generator

  1. Ensure the signal generator is turned off.

  2. Connect the signal generator to the computer using one of the following methods for instrument control:

    • LAN Network — Closed connect both the signal generator and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the signal generator directly to the computer using a crossover LAN cable. (You will need to configure your PC.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — Closed connect the signal generator directly to the computer using a GPIB cable.

      Equipment Setup

      Equipment Required

      • GPIB cable between PC and signal generator.

      • One of the following interfaces configured using the Keysight IO Libraries:

        • GPIB interface card in PC

        • Keysight 82357A USB/GPIB interface connector for USB port

      You can test the GPIB connections by using either the Connection Expert or the Interactive IO utility that comes with the Keysight IO Libraries. Refer to the Keysight IO Libraries Suite documentation for more information.

Connecting to a PXB

This section only applies if you are connecting a PC to the PXB. If you are using the PXB as the controller, no connections are required and you can ignore this section.

  1. Ensure the PXB is turned off.

  2. Connect the PXB to the computer using one of the following methods for instrument control. See the PXB's online documentation for GPIB and LAN configuration information.

    • LAN Network — Closed connect both the PXB and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the PXB directly to the computer using a crossover LAN. (You will need to configure your PC and the PXB.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — connect the PXB directly to the computer using a GPIB cable.

Related Topics

Tutorials


Testing Connections

Real Time

7. Testing Connections

Installation Steps: 1 2 3 4 5 6 7

  1. Turn on the instrument and the computer.

  2. Start the Signal Studio software.

  3. Establish communications between the software and the instrument by first selecting New hardware configuration in the Closed Welcome to Keysight Signal Studio... dialog box (System Configuration Wizard) that appears.

  4. Click OK and follow the remaining prompts. (Be prepared to enter the instrument's IP/GPIB address.)

    • If you are running Signal Studio on the PXB, use ”localhost” in the Hostname/IP Address field in Step 4 of the System Configuration Wizard.

    • If you are running Signal Studio on a PC connected to the PXB, use the PXB's address (LAN/GPIB) or hostname (LAN only)

      • hostname: click System > Product Information and view the Machine Name row

      • IP address: click System > Product Information and view the IP Address row

      • GPIB address: click System > GPIB

    • If you are running Signal Studio on a PC connected to an EXT, use the EXT's address (LAN/GPIB) or hostname (LAN only) [Some Signal Studio products do not support live connectivity to the EXT]:

      • hostname: press System > Show > System and view the Computer Name row

      • IP address: press System > Show > System and view the IP Address row

      • GPIB address: press System > I/O Config > GPIB

    • If you are running Signal Studio on a PC connected to a signal generator, refer to the following table to locate the instrument's address (LAN/GPIB) or hostname (LAN only):

      Connection

      Signal Generator

      Key Path

      LAN

      EXG and MXG1

      Utility > I/O Config > LAN Setup > Manual Config Settings

      ESG

      PSG

      Utility > GPIB/RS-232 LAN > LAN Setup

      GPIB

      EXG and MXG

      Utility > I/O Config > GPIB Setup.

      ESG

      PSG

      Utility > GPIB/RS-232 LAN > GPIB Address

      1 Signal Studio accepts either the LAN address or hostname. So if you want to use the hostname, just enter the hostname into the software's Hostname/IP Address field.

      If the connection fails or for help with error messages, refer to Troubleshooting.

      After making the connection, you can view the instrument's information by selecting Hardware in the tree view.

  5. Install the software license.

    To learn about the different licenses, see Licensing.

    To install the license, see Installing the License.


Licensing

To play waveforms created with this Signal Studio software, a valid license must be installed on your instrument. Several flexible license configurations are available to meet your specific testing needs.

Use the following tools to ensure that you obtain the type of license that works best for you:

  • Use the Getting a License flow chart to learn how to obtain and install a license.

  • Obtain a free trial license to evaluate all of the capabilities of the Signal Studio software for a limited time.

Related Licensing Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License

Managing Licenses Using the Signal Studio GUI

Waveform Licensing


Getting a License

The flowchart below illustrates the process for obtaining a Signal Studio software license and installing it in your instrument. Click a block in the flowchart for details on that step of the process.


Installing the License

Your Signal Studio software license file (*.lic) is a text file that is attached to the email message you receive when you redeem your license. The license file is specific to the target instrument’s model and serial number. To view license installation instructions, click the link below for the Keysight instrument you are using.

Before installing the license file, save a backup copy in a safe place.

  • N5172B EXG X-Series RF Vector Signal Generator

  • N5182B MXG X-Series RF Vector Signal Generator

  • SystemVue ESL Design Software

  • M9381A PXIe Vector Signal Generator

  • E6610A Remote Radio Head Tester

  • E6640A EXM Wireless Test Set

  • E6650A EXF Wireless Test Set for Femtocell

  • M9252A Dig RF Host Adapter

  • M9420A/M9421A VXT PXIe Vector Transceiver

  • N5182A MXG Signal Generator

  • E4438C ESG Signal Generator

  • N5106A PXB Baseband Generator and Channel Emulator

  • E6607 EXT Wireless Communications Test Set


Installing the License in an MXG Signal Generator

Real Time

Installing the License in an MXG/EXG Signal Generator

Before installing the license file, save a backup copy in a safe place.

This topic supports N5172B EXG, N5182B MXG, and N5182A MXG vector signal generators.

To install the license file in your signal generator, follow one of the procedures below.

  • If your signal generator is connected to LAN, see Using Keysight License Manager.

  • If your signal generator is not connected to LAN, see Using a USB Storage Device or Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the MXG/EXG signal generator. If your equipment cannot be connected through a LAN, install the license using a USB storage device.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using a USB Storage Device

If you are unable to establish a LAN connection between your PC and your MXG/EXG signal generator, you can manually install the license using a USB storage device.

  1. Copy the license file to a supported USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into the USB port on the front panel of the MXG/EXG signal generator.

  3. Press the Install licenses key to copy the file to the signal generator's memory.

  4. Cycle the signal generator power.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License for SystemVue ESL Design Software

Before installing the license file, save a backup copy in a safe place.

Fixed Licenses

  1. Save the license file to a convenient location on the host PC.

  2. From the Start menu in Windows, launch Keysight License Manager. Verify that the Host ID matches the host PC you are trying to license.

  3. Within Keysight License Manager select File > Install then navigate to the license file and install it.

Floating Licenses

  1. Save the license file to a convenient location on the server PC.

  2. From the Start menu in Windows, launch Keysight License Manager. Verify that the Host ID matches the server PC you are trying to license.

  3. Within Keysight License Manager select File > Install then navigate to the license file and install it.

  4. Move to the client PC(s) and install the licenses on each client, following the same steps. On the client PCs, the Host ID shown in Keysight License Manager will be different than the one matching the server PC.

  5. Client PCs must have a network link to the server PC before the licenses will work, as the licenses are validated by the server.


Installing the License in an M9381A PXIe Vector Signal Generator

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an E6610A Remote Radio Head Tester

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an E6640A EXM Wireless Test Set

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an E6650A EXF Wireless Test Set for Femtocell

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an M9252A DigRF Host Adapter

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an M9420A/M9421A VXT PXIe Vector Transceiver

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an ESG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the ESG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in a PXB

Real Time

Installing the License in a PXB Baseband Generator and Channel Emulator

Before installing the license file, save a backup copy in a safe place.

Two methods of installing the license are described below.

  • If you are not using a PC connected to the PXB, you must use a USB storage device to install the license, see Using a USB Storage Device.

  • If you are using a PC connected to the PXB to install the license remotely, see Using Keysight License Manager on a PC Connected to the PXB.

Using a USB Storage Device (Preferred Method)

You can manually install the license in the PXB using a USB storage device.

  1. Copy the license file to a USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into a USB port on the front panel of the PXB.

  3. Wait a few seconds for the license to be copied to the hard drive. A popup message from Keysight License Manager (KLM) appears on the PXB front panel that shows the license model number and version with the following message: "Successful License Installation."

  4. Remove the USB storage device.

Using Keysight License Manager on a PC Connected to the PXB

If a USB storage device is not available, you can install the license using the Keysight License Manager (KLM) on a PC that is connected to the PXB through a LAN connection. This method requires that the PXB and PC have the same version of KLM installed.

  1. Verify that the same version of KLM resides on both the PXB and the PC.

    1. Click Start > All Programs > Keysight > Keysight License Manager.

    2. Click Help > About and read the software revision number. If the revisions are different, upgrade either or both. Get the latest revision of KLM from http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the Keysight License Manager software and the PXB. For information on connecting or configuring the PC or PXB, see Equipment Setup and Connection.

  3. Copy the license file to the hard drive on your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the IP address of your PXB. In the PXB user interface, click System > Product Information and view the Machine Name row.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

    If you are unable to connect to the PXB or if you receive an error message when trying to connect, temporarily disable the Windows Firewall on the PXB. Click Start > Control Panel > Windows Firewall > Off.


Installing the License in an EXT

Real Time

Installing the License in an EXT Wireless Communications Test Set

Before installing the license file, save a backup copy in a safe place.

Two methods of installing the license are described below.

  • If you are not using a PC connected to the EXT, you must use a USB storage device to install the license, see Using a USB Storage Device.

  • If you are using a PC connected to the EXT to install the license remotely, see Using Keysight License Manager on a PC Connected to the EXT.

Using a USB Storage Device (Preferred Method)

You can manually install the license in the EXT using a USB storage device.

  1. Copy the license file to a USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into the USB port on the front panel of the EXT.

  3. Wait a few seconds for the license to be copied to the hard drive. A popup message from Keysight License Manager (KLM) appears on the EXT front panel that shows the license model number and version with the following message: "Successful License Installation."

  4. Remove the USB storage device.

Using Keysight License Manager on a PC Connected to the EXT

If a USB storage device is not available, you can install the license using the Keysight License Manager (KLM) on a PC that is connected to the EXT through a LAN connection. This method requires that the EXT and PC have the same version of KLM installed.

  1. Verify that the same version of KLM resides on both the EXT and the PC.

    1. Click Start > All Programs > Keysight > Keysight License Manager.

    2. Click Help > About and read the software revision number. If the revisions are different, upgrade either or both. Get the latest revision of KLM from http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the KLM software and the EXT.

  3. Copy the license file to the hard drive on your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the IP address of your EXT. In the EXT user interface, press System > Show > System and see the IP Address row.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

    If you are unable to connect to the PXB or if you receive an error message when trying to connect, temporarily disable the Windows Firewall on the PXB. Click Start > Control Panel > Windows Firewall > Off.


Moving a Transportable License

A transportable license can be moved from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. This topic describes two methods for moving a transportable license between instruments.

Transporting a license requires the Keysight License Manager (KLM) software. If you do not have KLM installed on your PC, download it from the following website: www.keysight.com/find/licensemanager.

Instruments Connected to the Internet (Recommended)

  1. Make sure the source (currently licensed) instrument, the target instrument, and PC are connected to a LAN with Internet access.

  2. On your PC, use the KLM software to move the transportable license between instruments. Refer to the KLM help for specific instructions.

Instruments Not Connected to the Internet

  1. Configure a direct LAN connection between the PC and source (currently licensed) instrument. At this point, the PC does not require an Internet connection.

  2. Open the KLM software.

  3. Delete the transportable license from the source instrument Refer to the KLML help for specific instructions.

  4. A Transport License dialog box appears. In the dialog box, save the license contents to a file with a .url extension (for redemption later).

    If you do not immediately save the license contents to a file, you can later retrieve the license contents in the Application Category of the Windows Event Viewer and use the contents for re-issue on the Keysight Software License Transportation web page: www.keysight.com/find/transportlicense.

  5. Skip this step if your PC is connected to the Internet.

    1. Copy the .url file you created in the previous step to a portable mass storage device, such as a USB flash drive.

    2. Connect the portable mass storage device to a PC that is connected to the Internet.

  6. From Windows Explorer, locate and double-click the .url file on the PC (or portable mass storage device). The .url file appears in a browser that is connected to the Keysight Software License Transportation web page. The fields automatically update with the license contents.

  7. Enter the target instrument's hostid (model number, serial number) and then click the Submit button. A link to the re-issued license is displayed.

  8. Right-click the link and select Save Target As. Save the license file to a location on your PC (or portable mass storage device).

  9. Configure a direct LAN connection between the PC and target instrument.

  10. Skip this step if your PC is connected to the Internet.

    1. Connect the portable mass storage device to the PC that is connected to the target instrument.

  11. Open the KLM software and select the target system in the tree view.

  12. From Windows Explorer, locate the license file and drag (or copy and paste) it into KLM's tree view.


Viewing the Remaining Time on a Trial License

Use any of the following methods to view the time remaining for a trial license on your Keysight instrument.

The instructions below apply only to Keysight EXG, MXG, ESG, and PSG signal generators and the EXT wireless communications test set. To view license information for other Keysight instruments, refer to the user documentation for those instruments.

From the Instrument Front Panel

  1. Use the appropriate key-press sequence for your instrument model:

    MXG/EXG: Local > Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

    EXT: System > More > Licensing

  2. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From an Internet Browser

This procedure applies to EXG, MXG, ESG, and PSG signal generators only.

  1. On your PC, open an internet browser.

  2. In the Address field, enter either the hostname or the IP address of the instrument.

  3. Press Enter on the keyboard. The instrument's web page appears.

  4. On the left side of the web page, click Signal Generator Web Control. At this point, you may be prompted to enter a password. For more information on setting the password, refer to the signal generator's Programming Guide.

  5. Click the appropriate key-press sequence for your instrument model:

    MXG/EXG: Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

  6. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From the Keysight License Manager

  1. On your PC, open the Keysight License Manager. If you do not have the Keysight License Manager installed on your PC, download it at http://www.keysight.com/find/licensemanager.

  2. Click File > Connect.... A dialog box appears.

  3. In the Device Address field, enter either the hostname or the IP address of the instrument.

  4. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license, including the Expiration Date.


Waveform Licensing

Real Time

Waveform Licensing 5-Pack and 50-Pack

Waveform licensing is not available for the N7605B, N7607B, and N7614B.

Waveform licensing is a cost-effective solution that lets you license individual waveforms rather than the Signal Studio software. Download any of the N76xxB Arb-based Signal Studio waveform creation software products to create and permanently license up to 545 waveforms to meet your specific test requirements. The latest instrument firmware enables you to evaluate the waveforms for up to 48 hours before choosing the ones you want to keep. Waveform licensing is only available for the following signal generator models:

  • N5172B EXG

  • N5182B MXG

  • N5182A MXG

  • E4438C ESG

  • E6607 EXT

  • M9381A PXIe VSG (Use N7650B as the model number to purchase waveform licenses for this instrument.)

  • M9420A VXT PXIe Vector Transceiver (Use N7650B as the model number to purchase waveform licenses for this instrument.)

  • E6640A EXM Wireless Test Set (50-pack options 250, 251, and 252 are standard with this product)

  • E6650A EXF Wireless Test Set for Femtocell (50-pack options 250, 251, and 252 are standard with this product)

Waveform licensing 5-pack consists of nine different option numbers (Options 221-229). Each option enables you to license up to five Signal Studio waveforms, one waveform for each of the five available slots per option. By ordering all nine options, you can store a total of 45 Signal Studio waveforms.

Waveform licensing 50-pack consists of ten option numbers (Options 250-259). Each option enables you to license up to 50 Signal Studio waveforms, one waveform for each of the 50 available slots per option. By ordering all ten options, you can store a total of 500 Signal Studio waveforms.

With the latest instrument firmware (see details below), each waveform slot provides a 48-hour trial period to access the full functionality of all N76xxB Arb-based Signal Studio waveform creation software for the purpose of creating and evaluating an unlimited number of Keysight-validated, performance-optimized waveforms.

Getting a Waveform License

Waveform licensing 5-pack and 50-pack are available by contacting Keysight. With each order, you will receive a license:

  • Option 22x—This license allows you to assign 5 waveforms to your signal generator for permanent playback.

  • Option 25x—This license lets you assign 50 waveforms to your signal generator for permanent playback.

When ordering multiple waveform licenses of either 5-pack or 50-pack, be sure to use different option numbers; the same option cannot be licensed to a signal generator more than once. For example, to order two licenses for either license type:

  • 5-pack—order 221 and 222, not two 221 licenses (the option numbers range from 221 to 229)

  • 50-pack—order 250 and 251, not two 250 licenses (the option numbers range from 250 to 259)

Firmware Requirements

Only recent instrument firmware revisions (see below) provide a 48-hour trial period for you to evaluate a waveform prior to permanently locking it to a 5- or 50-pack slot. The trial period begins when you assign a waveform file to a slot. During the trial period you can playback, clear, or replace the waveform in that slot. Earlier firmware revisions do not support a trial period, so once you assign a waveform to a slot, it is permanently locked. To benefit from the trial period, upgrade your firmware to the latest revision.

Instrument | 48-Hour Trial Period | No Trial Period
N5172B EXG | B.01.01 or later (April 2012) | not applicable
N5182B MXG | B.01.01 or later (April 2012) | not applicable
N5182A MXG | A.01.50 or later (February 2009) | A.01.20 (March 2007) to A.01.45 (February 2009)
E4438C ESG | C.05.23 or later (February 2009) | C.04.95 (June 2007) to C.04.98 (January 2009)
E6607 EXT | All firmware versions | N/A
M9381A PXIe VSG | All firmware versions | N/A
M9420A PXIe VXT | All firmware versions | N/A
E6640A | All firmware versions | N/A
E6650A | All firmware versions | N/A

Redeeming a Waveform License

The following steps outline the process for redeeming a license:

  1. Receive the Entitlement Certificate

  2. Go to the Keysight Software License Redemption web page

  3. Receive Redemption Email and Install the License files

Using Waveform Licenses

After you have installed the Keysight waveform license in your instrument, use this procedure.

  • Use the Signal Studio software to configure, generate, and download waveform files to your instrument

  • Evaluate a waveform in your instrument and then lock it to a 5- or 50-pack license slot


About 3GPP LTE

3GPP LTE Overview | describes general features of 3GPP LTE
3GPP LTE-A Overview | describes the key features of 3GPP LTE-A
OFDMA Downlink Frame Structure | describes the downlink frame
Downlink Physical Channels | describes downlink physical channels
Uplink Physical Channels | describes the uplink physical channels
Downlink Transport Channels | describes the downlink transport channels
Uplink Transport Channels | describes the uplink transport channels
Downlink Resource Block | describes the downlink resource block
Uplink Resource Block | describes the uplink resource block
Physical Signals | describes uplink and downlink physical signals


LTE Overview

LTE standards are continually changing as the technology evolves. The information presented here is subject to change. Refer to 3GPP Technical Specification 36.211 and 3GPP Technical Specification 36.212.

3GPP Long Term Evolution (LTE) moves beyond current 3G wireless communications capabilities to provide increased peak data rates, improved spectral efficiency, and reduced user plane and control plane latency. To accomplish these goals, LTE uses Orthogonal Frequency Division Multiple Access (OFDMA) for the downlink and Single Carrier Frequency Division Multiple Access (SC-FDMA) for the uplink. OFDMA was chosen for its high data rate capacity and its high spectral efficiency. SC-FDMA was chosen for its lower peak to average power ratio (PAPR) to maximize battery life in mobile devices. LTE achieves a peak downlink data rate of 100 Mbps and a peak uplink data rate of 50 Mbps with a 20 MHz bandwidth.

LTE enhances Universal Terrestrial Radio Access (UTRA) performance while maintaining compatibility with earlier UTRA systems and other wireless technologies such as WiMax™ and WLAN.

Other key features of LTE include the following:

  • Scalable bandwidth: 1.4 MHz, 3.0 MHz, 5.0 MHz, 10 MHz, 15 MHz, and 20 MHz.

  • Downlink modulation types: QPSK, 16-QAM, and 64-QAM

  • Uplink modulation types: QPSK, 16-QAM, and 64-QAM

  • FDD and TDD operating modes

  • IP-based, packet-switched architecture

  • MIMO capability, up to 8 X 8 MIMO

LTE employs a new network architecture made up of multiple Evolved Packet Cores (EPCs) that communicate with each other and with evolved universal terrestrial radio access network base stations (eNBs). Each EPC contains a Mobile Management Entity (MME) and a System Architecture Evolution Gateway (SAE). The eNB stations communicate with Evolved Packet Cores (EPCs), with each other, and with user equipment (UE).

Related Topics

OFDMA Downlink

SC-FDMA Frame Structure

Downlink Physical Channels

Uplink Physical Channels

Downlink Transport Channels

Uplink Transport Channels

Downlink Resource Block

Uplink Resource Block

Physical Signals


LTE-A Overview

Real Time

3GPP LTE-A Overview

LTE-Advanced (LTE-A) is the project name of the evolved version of LTE developed by 3GPP as part of the 3GPP technical specifications 36.211, 36.212, and 36.213.

The information presented here is subject to change. The requirements for LTE-Advanced are defined in 3GPP Technical Report (TR) 36.913. These requirements are based on the International Telecommunication Union (ITU) requirements for 4G and on 3GPP operators' own requirements for advancing LTE.

LTE-Advanced Key Features

In previous releases, LTE supports channel bandwidths up to 20 MHz. LTE-A provides wider bandwidths through the aggregation of contiguous and non-contiguous component carriers in order to achieve significantly higher data rates and increased channel bandwidth.

Carrier Aggregation and Component Carriers

Contiguous aggregation allows two 20 MHz channels to be located side by side and can be supported with a single transceiver. An LTE-Advance UE with capabilities for receive and/or transmit aggregation is able to simultaneously receive and/or transmit on multiple component carriers.

  • Component carriers must be compatible with LTE release 8 and 9.

  • In release 10, the maximum size of a single component carrier is limited to 110 resource blocks, although for reasons of simplicity and backward capability, it is unlikely that anything beyond the current 100 RB will be specified.

  • Up to 5 component carriers may be aggregated.

  • An LTE-Advanced UE cannot be configured with more uplink component carriers than downlink component carriers, and in typical TDD deployments, the number of uplink and downlink component carriers, as well as the bandwidth of each, must be the same.

Enhanced Uplink Multiple Access

LTE-Advanced enhances the uplink multiple access scheme by adopting clustered SC-FDMA. also known as discrete Fourier transform spread OFDM (DFT-S-OFDM). This scheme is similar to SC-FDMA but has the advantage that it allows non-contiguous (clustered) groups of subcarriers to be allocated for transmission by a single UE, such as simultaneous PUCCH/PUSCH transmission.


OFDMA Downlink

Frame Structure Type 1

Figure 1 shows frame structure type 1, which can be used in either full-duplex or half-duplex FDD mode. It consists of a 10 ms radio frame divided into 20 slots, numbered 0 to 19, each with a duration of 0.5 ms. One subframe consists of two consecutive slots.

For FDD, 10 subframes are available for downlink transmission and 10 subframes are available for uplink transmissions in each 10 ms interval. Uplink and downlink transmissions are separated in the frequency domain.

In half-duplex FDD operation, the UE cannot transmit and receive at the same time; this restriction does not apply to full-duplex FDD operation.

Ts = 1/(1500 x 2048) sec

Figure 1. Frame Structure Type 1 (full-duplex or half-duplex FDD)

Frame Structure Type 2

Frame structure type 2, shown in Figure 2, is applicable only to TDD and is provided for compatibility with legacy UTRA TDD systems. Each radio frame consists of two identical 5 ms half-frames. Each half-frame consists of eight 0.5 ms slots and three special fields, DwPTS, GP, and UpPTS. Subframe #0 and #5 and DwPTS are always reserved for downlink transmission.

Ts = 1/(1500 x 2048) sec

Figure 2. Frame Structure Type 2 (TDD only)


Downlink Physical Channels

A downlink physical channel consists of a set of resource elements that carry data from higher layers to the physical layer or from the physical layer to higher layers. For example, a downlink physical channel can convey the modulation type, resource and power assignment, and antenna mapping from the medium access control (MAC) layer to the physical layer or convey transport block error indications from the physical layer to a higher layer.

The following downlink physical channels are defined:

  • Physical Downlink Shared Channel (PDSCH)

  • Physical Multicast Channel (PMCH)

  • Physical Control Format Indicator Channel (PCFICH)

  • Physical Hybrid ARQ Indicator Channel (PHICH)

  • Physical Downlink Control Channel (PDCCH)

  • Physical Broadcast Channel (PBCH)

The following general steps describe downlink signal generation on a physical channel. Figure 1 illustrates this process.

For details, refer to the 3GPP LTE Technical Specifications documents at http://www.3gpp.org.

  1. Scramble the coded bits in each code word to be transmitted.

  2. Modulate the scrambled coded bits to generate complex-valued modulation symbols.

  3. Map the complex-valued modulation symbols onto one or more transmission layers.

  4. Pre-code the complex-valued modulation symbols on each layer for transmission at the antenna ports.

  5. Map the complex-valued modulation symbols for each antenna port to resource elements.

  6. Generate a complex-valued, time-domain OFDM signal for each antenna port.

Figure 1. Downlink Signal Generation


Uplink Physical Channels

An uplink physical channel contains resource elements that carry information originating from higher layers.

The following uplink physical channels are defined:

  • Physical Uplink Shared Channel (PUSCH)

  • Physical Uplink Control Channel (PUCCH)

  • Physical Random Access Channel (PRACH)

The following general steps describe uplink signal generation on a physical uplink shared channel. Figure 1 illustrates this process.

For details, refer to the 3GPP Technical Specifications documents at http://www.3gpp.org.

  1. Scramble the bits.

  2. Modulate the scrambled bits to generate complex-valued symbols.

  3. Apply transform precoding to generate complex-valued modulation symbols.

  4. Map the complex-valued modulation symbols to resource elements.

  5. Generate a complex-valued time-domain SC-FDMA signal for each antenna port.

Figure 1. Uplink Signal Generation


Downlink Transport Channels

Transport channels provide for information transfer between the physical layer and the medium access control (MAC) layer in the three layer structure illustrated in Figure 1.

Figure 1. Layers

The following downlink transport channels are defined:

  • Broadcast channel (BCH)

  • Paging channel (PCH)

  • Downlink shared channel (DL-SCH)

  • Multicast channel (MCH)

Downlink transport channels are mapped to downlink physical channels as shown in Figure 2.

Figure 2. Downlink Transport Channel Mapping

BCH

The broadcast channel processes incoming data as follows:

  • Adds the cyclic redundancy check (CRC) for error detection

  • Adds tail-biting convolutional encoding

  • Performs rate matching

  • Performs channel interleaving

DL-SCH, PCH, and MCH

The downlink shared channel, paging channel, and multicast channel process the incoming data as follows:

  • Adds the cyclic redundancy check (CRC) for error detection

  • Performs code block segmentation

  • Adds turbo encoding

  • Performs rate matching

  • Performs code block concatenation


Uplink Transport Channels

Transport channels provide for information transfer between the physical layer and the medium access control (MAC) layer in the three layer structure illustrated in Figure 1.

Figure 1. Layers

The following uplink transport channels are defined:

  • Random access channel (RACH)

  • Uplink shared channel (UL-SCH)

Uplink transport channels are mapped to uplink physical channels as shown in Figure 2.

Figure 2. Uplink Transport Channel Mapping

RACH

The random access channel processes incoming data as follows:

  • Adds control information

  • Adds the random access preamble

UL-SCH

The uplink shared channel processes the incoming data as follows:

  • Adds the cyclic redundancy check (CRC) for error detection

  • Performs code block segmentation

  • Adds turbo encoding

  • Performs rate matching

  • Performs code block concatenation

  • Performs data and control multiplexing


Downlink Resource Block

Figure 1 illustrates a downlink resource block made up of resource elements. Each resource element corresponds to an OFDM symbol. An index pair (k,l) defines a resource element, where k represents the resource element position in the frequency domain and l represents the resource element position in the time domain.

A downlink resource block is defined as consecutive OFDMA symbols in the time domain, and [image] consecutive subcarriers in the frequency domain. This corresponds to one slot in the time domain and 180 kHz in the frequency domain. The number of OFDMA symbols in a slot () depends on the cyclic prefix as shown in the table below.

CP | Subcarrier spacing |  | (frame structure type 1) | (frame structure type 2)
Normal cyclic prefix | 15 kHz | 12 | 7 | 9
Extended cyclic prefix | 15 kHz | 12 | 6 | 8
Extended cyclic prefix | 7.5 kHz | 24 | 3 | 4

In multi-antenna transmission, there is a unique resource block for each antenna port.

Refer to the 3GPPTS 36.211 document for more information about resource blocks.

Figure 1. Downlink Resource Block


Uplink Resource Block

Figure 1 illustrates an uplink resource block made up of resource elements. Each resource element corresponds to an SC-FDMA symbol. An index pair (k,l) defines a resource element, where k represents the resource element position in the frequency domain and l represents the resource element position in the time domain.

An uplink resource block is defined as [image] consecutive SC-FDMA symbols in the time domain, and [image] consecutive subcarriers in the frequency domain. This corresponds to one slot in the time domain and 180 kHz (12 subcarriers x 15 kHz per subcarrier) in the frequency domain. The number of SC-FDMA symbols in a slot ( [image]) depends on the cyclic prefix as shown in the table below.

Refer to the 3GPPTS 36.211 document for more information about resource blocks.

CP |  | (frame structure type 1) | (frame structure type 2)
Normal cyclic prefix | 12 | 7 | 9
Extended cyclic prefix | 12 | 6 | 8

Figure 1. Uplink Resource Block


Physical Signals

Physical signals are used by the physical layer, but do not carry information originating from higher layers.

Uplink Physical Signals

The two uplink physical signals are demodulation reference signals and sounding reference signals.

  • The demodulation reference signal is associated with the transmission of a PUSCH or PUCCH channel and is used for UE synchronization and for uplink channel estimation.

  • The sounding reference signal is not associated with the transmission of a PUSCH or PUCCH channel.

The same set of base sequences is used for the demodulation and sounding reference signals.

Downlink Physical Signals

There are two types of downlink physical signals: reference signals and synchronization signals.

Reference Signals

Downlink reference signals can be classified into three types:

  • Cell-specific reference signals, not associated with a multicast\broadcast single frequency network (MBSFN)

  • MBSFN reference signals

  • UE-specific reference signals

One reference signal per antenna port is transmitted.

Synchronization Signals

Primary and secondary synchronization signals are transmitted in the downlink to enable the UE to acquire time and frequency synchronization with a cell.

  • The primary synchronization signal (P-SS) identifies the symbol timing and the cell ID within a cell ID group.

  • The secondary synchronization signal (S-SS) identifies the cell ID group.

For more information about physical signals refer to the 3GPP LTE Technical Specifications documents at http://www.3gpp.org.


Using the Software

Arb | describes how to use the software to create, download, and playback waveforms.
Real Time | describes how to use the software to configure real-time test signals.
Troubleshooting | describes how to resolve common software and instrument problems.


Using the Software - Arb

Real Time

Using the Software – Arb

The Arb (also know as waveform playback) capability of the software creates a waveform file for use in an instrument. After being downloaded, the instrument plays back the waveform file to produce the signal.

Tutorials | provides specific instructions for using some of the software's capabilities
User Interface | describes the features of the graphical user interface.
API Control | describes the API interface.


Tutorials

Creating and Exporting Waveforms

Creating and Exporting Waveforms for the EXT

Creating and Exporting Waveforms for the M8190A

Inter-band Carrier Aggregation Setup

System Information Block (SIB) Transmission Setup

Waveform Structure (Long)

Configuring the M9381A PXIe for Signal Studio

Configuring the M9420A VXT PXIe for Signal Studio

Importing and Exporting Multi-UE Settings Files

MSR:

Generating a Waveform

Generating a Library Waveform

Using High-Resolution Waveforms

Applying a Waveform Channel Filter

Using the Library Waveform Manager

MIMO Configurations:

Configuring the M9381A PXIe for Multi-Channel Synchronization

One Signal Generator Solution for MxN MIMO

Multiple Antennas Solution without Baseband Timing or Phase Coherence for MxN MIMO

Multiple Antennas Solution with Baseband Timing Alignment without Phase Coherence for MxN MIMO

Multiple Antennas Solution with Baseband Timing Alignment and RF Phase Coherence for MxN MIMO

Manual Synchronization of MIMO Systems

Multiple Antennas Solution with PXB

MIMO Characteristic Performance Analysis

Envelope Tracking:

Using Envelope Tracking

Voltage Mapping in ET Control


Creating and Exporting Waveforms

Signal Studio software products do not provide direct connectivity for all licensed platforms. In these cases, waveforms must be created in simulated hardware mode, exported to a waveform file, and then loaded into the instrument's controlling PC via a USB storage device. This procedure describes how to create and transfer waveform files using this method and applies to the following instruments.

  • Keysight SystemVue ESL Design Software

  • Keysight M9381A PXIe Vector Signal Generator

  • Keysight M9252A DigRF Host Adapter

This procedure uses Keysight Signal Studio for LTE-LTE-Advanced FDD as an example, but the steps are valid for all Signal Studio software applications.

  1. Open the software. The welcome dialog window appears.

    If the welcome dialog window does not appear when the software is launched, click Tools > Options and make sure Display Welcome dialog is checked. Then close and re-open the software.

  2. Select Simulated hardware and highlight your instrument. Click OK.

  3. Because simulation mode offers all possible capability options, the caution shown below may appear. Whether the caution appears or not, however, you must set any unpurchased licenses to OFF, otherwise the generated waveform cannot be played back in the instrument. If your software's interface does not provide access to a Licenses node where this is performed, proceed to step 6.

  4. In the software's tree view, click Licenses. Notice that in simulated hardware mode, all software licensing options are set to On.

  5. In the State column, click the cell to turn off any options you did not purchase. This is necessary to create a valid waveform for playback on your instrument. This example assumes the advanced option was not purchased for your instrument.

    Action

    Result

  6. Configure the Signal Studio waveform using the various parameter selections and settings available under the Waveform Setup node in the tree view. Waveform parameters vary among Signal Studio products, so refer to this help system for more information.

  7. Click the Generate Waveform button.

  8. Under the File menu, select Export Waveform Data.

  9. Name the waveform file and save it to your PC.

  10. Copy the waveform file to a portable USB storage device.

    This would be a good time to also save a backup copy of the waveform file.

  11. Insert the USB storage device into a USB port on the controlling PC and copy the waveform file to the proper directory, as described in the instrument's documentation.


Creating and Exporting Waveforms for the EXT

Some Signal Studio software products do not provide direct connectivity to the Keysight E6607 EXT Wireless Communications Test Set. In these cases, waveforms licensed to play on the EXT must be created in simulated hardware mode, exported to a waveform file, and then loaded into the EXT via a USB storage device. This procedure describes how to create and transfer waveform files to your EXT for playback using this method.

If available, a direct connection to the EXT is more convenient to use than the export method described here. To determine if this Signal Studio product provides direct connectivity to the EXT, open the software and select New hardware configuration in the system configuration wizard. The EXT will be one of the supported hardware configuration choices, if direct connectivity is available.

This procedure uses Keysight Signal Studio for LTE-LTE-Advanced FDD as an example, but the steps are valid for all Signal Studio software applications that support the EXT.

  1. Open the software. The welcome dialog window appears.

    If the welcome dialog window does not appear when the software is launched, click Tools > Options and make sure Display Welcome dialog is checked. Then close and re-open the software.

  2. Select Simulated hardware and make sure RF Output (for Signal Generator) is highlighted. Click OK.

  3. Because simulation mode offers all possible capability options, the caution shown below may appear. Whether the caution appears or not, however, you must set any unpurchased licenses to OFF, otherwise the generated waveform cannot be played back in the EXT. If your software's interface does not provide access to a Licenses node where this is performed, proceed to step 6.

  4. In the software's tree view, click Licenses. Notice that in simulated hardware mode, all software licensing options are set to On.

  5. In the State column, click the cell to turn off any options you did not purchase. This is necessary to create a valid waveform for playback on your EXT. This example assumes the advanced option was not purchased for the EXT.

    Action

    Result

  6. Configure the Signal Studio waveform using the various parameter selections and settings available under the Waveform Setup node in the tree view. Waveform parameters vary among Signal Studio products, so refer to this help system for more information.

  7. Click the Generate Waveform button.

  8. Under the File menu, select Export Waveform Data.

  9. Name the waveform file and save it to your PC.

  10. Copy the waveform file to a portable USB storage device.

    This would be a good time to also save a backup copy of the waveform file.

  11. Insert the USB storage device into the EXT's front panel USB port.

  12. On the EXT, make sure the EXT user interface is the active window and press File > File Explorer. Then locate the USB storage device and copy your waveform file to D:\NVARB. You can navigate to this folder by selecting My Computer > User Data (D:) > NVARB.

  13. On the EXT, press Source > More 1 of 2 > Modulation Setup > ARB > More 1 of 2 > Select Waveform > Segments on Hard Disk. Then use the arrow keys or mouse to select a waveform file from NVARB memory.

    The EXT's user interface uses the term segment to refer to a waveform file.

  14. Press Load Segment to ARB Memory.

  15. Now that the waveform resides in the EXT's ARB memory, press the Return key and select the waveform for playback. Use the EXT's front panel and softkey menus to set up other ARB parameters, turn ARB modulation on, set frequency and amplitude, and turn RF output on. You can also examine the waveform, using the EXT's measurement functions. Refer to the EXT's user documentation for more information.


Creating and Exporting Waveforms for the M8190A

The Keysight N7625B Signal Studio for LTE/LTE-Advanced TDD software does not provide direct connectivity to the Keysight M8190A Wideband Arbitrary Waveform Generator. Therefore, waveforms licensed to play on the M8190A must be created in simulated hardware mode, exported to a waveform file, and then loaded into the M8190A via a USB storage device. The following procedure describes how to create and transfer waveform files to your M8190A for playback.

This procedure uses Keysight Signal Studio for WLAN as an example, but the steps are valid for all Signal Studio software applications that support the M8190A.

  1. Open the software. The welcome dialog window appears.

    If the welcome dialog window does not appear when the software is launched, click Tools > Options and make sure Display Welcome dialog is checked. Then close and re-open the software.

  2. Select Simulated hardware and make sure RF Output is highlighted. Click OK.

  3. Because simulation mode offers all possible capability options, the caution shown below may appear. Whether the caution appears or not, however, you must set any unpurchased licenses to OFF, otherwise the generated waveform cannot be played back in the M8190A. If your software's interface does not provide access to a Licenses node where this is performed, proceed to step 6.

  4. In the software's tree view, click Licenses. Notice that in simulated hardware mode, all software licensing options are set to On.

  5. In the State column, click the cell to turn off any options you did not purchase. This is necessary to create a valid waveform for playback on your M8190A. This example assumes the advanced option was not purchased for the M8190A.

    Action

    Result

  6. Configure the Signal Studio waveform using the various parameter selections and settings available under the Waveform Setup node in the tree view. Waveform parameters vary among Signal Studio products, so refer to this help system for more information.

  7. Click the Generate button.

  8. Under the File menu, select Export Waveform Data.

  9. Name the waveform file and save it to your PC.

  10. Copy the waveform file to a portable USB storage device.

    This would be a good time to also save a backup copy of the waveform file.

  11. Insert the USB storage device into the PC running the M8190A's Soft Front Panel.

  12. From the M8190A's Soft Front Panel, under the Output tab, set Channel 1 and Channel 2 to Direct output mode.

  13. Under Import Waveform tab, set the File Format to SignalStudioEncrypted and then click File... to navigate to the waveform file(*.wfm) you want to play. Click Send to Instrument and wait until the waveform is loaded into memory and the Baseband Sample Rate is updated to the value in the waveform header. Make sure both Channel 1 and Channel 2 outputs are enabled, indicated by the checkboxes.

  14. Under the Status/Control tab, click Run to start playing the waveform. Refer to the M8190A's user documentation for more information.


Inter-band Carrier Aggregation Setup

This topic describes how to configure multiple signal generators for an inter-band carrier aggregation test setup. In this example, four signal generators are used to simulate two different RF bands (inter-bands), each with two antennas, to transmit two aggregated component carriers, one in each inter-band.

System Requirements

  • Any combination of the following Keysight vector signal generators:

    • N5182B MXG (firmware revision B.01.20 or later)

    • N5172B EXG (firmware revision B.01.20 or later)

    • N5182A MXG (all firmware revisions)

  • PC running N7625B Signal Studio for LTE/LTE-Advanced TDD software with one of the following options:

    • Basic LTE-Advanced TDD Release 10

    • Advanced LTE-Advanced TDD Release 10

  • LAN connection and cables

  • BNC cables

Equipment Setup

  1. Make sure all signal generators are connected to LAN.

  2. Choose one signal generator as the master. This instrument will occupy the Instrument1 position in Inter-band 1. In any configuration, you select only one instrument as the master. All other instruments are considered slaves.

    If you are using a combination of N5172B/82B and N5182A models, the master instrument must be an N5172B/82B. Additionally, the N5182A models must occupy the last slave positions in the sequence of instruments. In this configuration, the sequence begins at Inter-band 1, Instrument1 and ends at Inter-band 2, Instrument2. So, if the configuration included two N5182A models, they would need to occupy Instrument1 and Instrument2 of Inter-band 2.

  3. Connect the signal generators as shown in the figure below. For best results, use the shortest BNC cables as possible, while maintaining a uniform length. Optionally, you can connect an external triggering device, such as a function generator, to the PAT TRIG connector of the master signal generator.

    This configuration does not require an LO connection for phase coherence.

  4. If you have not already done so, perform an I/Q calibration on each signal generator. On the front panel, press I/Q > I/Q Calibration > Set Calibration Type to Full > Execute Cal.

Configure the Software

  1. Open the N7625B Signal Studio for LTE/LTE-Advanced TDD software.

  2. In the window that appears, select New hardware connection. Click OK.

  3. For Step 1 of the System Configuration Wizard, select Inter-band 2 Antennas & 2 Antennas. Click Next.

  4. For Step 2, select ESG/PSG/MXG + Internal Arb. Click Next.

  5. For Step 3, <New> should be selected. Click Next.

  6. For Step 4, enter the IP addresses for the two instruments in Inter-band 1. You can also test the connections to all in this step. Click Next.

  7. For Step 5, enter the IP addresses for the two instruments in Inter-band 2. You can also test the connections to all in this step. Click Next.

  8. Step 6 tests the connections to each signal generator. Click Next.

  9. For Step 7, enter a name for your hardware configuration that you can recall later. Click Finish.

  10. In the tree view of the software, click the Hardware node. The screen that appears is read-only and displays system information, such as instrument models, serial numbers, options, and IP addresses. Closed View image

  11. Click the Inter-band 1 or Inter-band 2 node. Notice that these nodes display the exact same screen as Hardware.

  12. For Inter-band 1, click the Instrument1 (Master) node. For this example, set the Frequency to 2 GHz and Amplitude to 0 dBm. Closed View image

  13. For Inter-band 1, click the Instrument2 (Slave) node. Set the Frequency to 2 GHz and Amplitude to 0 dBm.

  14. For Inter-band 2, click the Instrument1 (Slave) node. Set the Frequency to 800 MHz and Amplitude to -30 dBm.

  15. For Inter-band 2, click the Instrument2 (Slave) node. Set the Frequency to 800 MHz and Amplitude to -30 dBm.

  16. Click the Carrier Aggregation 1 node. Notice that you can configure several component carrier parameters, including inter-band assignment. For this example, leave the settings as is. Closed View image

  17. Your example configuration is complete, consisting of two inter-bands: one at 2 GHz and the other at 800 MHz. Each inter-band contains one component carrier. The software allows up to five component carriers, which can be distributed across the inter-bands as you desire. For example, you could have two component carriers in Inter-band 1 and three in Inter-band 2, depending on other factors, such as the bandwidth of each.

Generate, Download, and Play the Waveform

  1. Click [image] to generate and download the waveform. This could take several minutes to complete, depending on the complexity of your configuration. A progress bar will appear and you can monitor the messages in the status area of the software interface. Closed View image

    During this process, the instrument settings, such as frequency and amplitude, are applied to your system. In addition, the waveform file is downloaded to the instruments and immediately played in accordance with your carrier aggregation settings.

  2. After the waveform is generated, you can also view the CCDF curve for each inter-band by clicking the appropriate tab in the software interface. Closed View image


System Information Block (SIB) Transmission Setup

LTE TDD Signal Studio supports SIB transmission on DL-SCH with user defined SIB contents. This topic provides general information on system information blocks and an example setup. Refer to 3GPP TS 36.321 and 3GPP TS 36.331 for more details.

This topic contains the following sections:

  • System Information Transmission Overview

  • Example Setup

System Information Transmission Overview

  • There are 13 System Information Blocks (SIBs), SIB1 to SIB13, defined in the 3 GPP standards characterized by the type of information that they include.

  • The System Information Block Type 1 (SIB1) is unique in that it uses a fixed schedule with a periodicity of 80 ms and repetitions made within 80 ms.

  • The first transmission of SIB1 is scheduled in subframe #5 of the radio frames for which the SFN mod 8 = 0, and repetitions are scheduled in subframe #5 of all other radio frames for which SFN mod 2 =0.

  • System information blocks other than System Information Block Type 1 are carried in SI messages; there may be multiple SI messages transmitted with the same periodicity.

  • Mapping of SIBs to SI messages is flexibly configurable by scheduling information included in System Information Block Type 1.

  • SIBs can be transmitted with following DCI combinations.

    DCI Format

    Resource Allocation Type

    1A

    Type 2, Localized

    1A

    Type 2, Distributed

    1C

    Type2, Distributed

  • SIB1 configures the SI-window length and the transmission periodicity for the SI messages.

  • The SI messages are transmitted within periodically occurring time domain windows (referred to as SI-windows) using dynamic scheduling.

  • Different SIs have different non-overlapping SI-windows. The length of the SI-window is common for all SI messages, and is configurable. Within the SI-window, the corresponding SI message can be transmitted a number of times in any subframe other than the Multicast Broadcast Multimedia Services Single Frequency Network (MBSFN) subframes, uplink subframes in TDD, and subframe #5 of radio frames for which SFN mod 2 = 0. The UE acquires the detailed time-domain scheduling and other information (e.g. frequency-domain scheduling and used transport format) from decoding the SI-RNTI on PDCCH (Refer to 3GPP TS 36.321).

  • SIB1 RV Index = ceiling (3/2*k) modulo 4, where k = (SFN/2) modulo 4.

  • SIB RV Index = ceiling (3/2*k) modulo 4, where k depends on the type of system information messages, k = i modulo 4, i = 0,1,…, nsw–1, where i denotes the subframe number within the SI window nsw.

Example Setup

Assumptions:

  • System Bandwidth = 10 MHz (50RB), SIB1 and SI1 (SIB2 and SIB3) message to be assigned.

  • SIB1 is assigned to DL-SCH1

  • SI1 (SIB2 and SIB3) is assigned to DL-SCH2

  • SI-Window = 20 (ms)

  • User has generated their own SIB contents

Configuring the Signal Studio Software

  • Setting up Signal Studio (General)

  • Setting up SIB1

  • Setting up SI1

Setting up Signal Studio (General)

  1. Start with the default setup for the N7625B Signal Studio software.

  2. Delete the existing carrier.

  3. Click Add Carrier and add Advanced LTE TDD Carrier.

  4. At the Downlink node, click the Predefined Config. button and select Full filled QPSK 10MHz (50RB).

  5. At the Carrier node, set Waveform Generation Length to 8 frames (80 ms) and Uplink Downlink Configuration to 1.

Setting up SIB1

  1. In the Channel Setup node, select DL-SCH1 and then change RNTI Type to SI-RNTI.

  2. Click Transmission Configuration Length and set to 8 frames (80 ms).

  3. Click Transmission Configuration to open the DL-SCH Tx Sequence window.

  4. Click Column Preset button and Set all "State" to OFF.

  5. Click State to set the necessary state of the Subframe #5 of even number frame to on for the SIB transmission. (For this SIB1 transmission case, SIB1 transmission has to satisfy 3GPP section 5.2.1.2 of 36.331.)

    For this SIB Transmission example use the following settings:

    Sequence #

    Frame #:

    Subframe #

    State

    6

    0

    5

    on

    26

    2

    5

    on

    46

    4

    5

    on

    66

    6

    5

    on

  6. Click Column Preset and select MCS Index 0 to..., then enter 4 to satisfy Transmit Block Size ≤ Block Size 0.

  7. Click Column Preset and select Set all N_1A_PRB to 2 (default).

  8. Set each Subframe RV Index 0using the values below. This example is for SIB1 transmission:

    Sequence #

    Frame #

    Subframe #

    RV Index 0 Value

    6

    0

    5

    ceiling (3/2*(SFN/2) modulo 4) modulo 4 = 0

    26

    2

    5

    2

    46

    4

    5

    3

    66

    6

    5

    1

    Refer to 3GPP section 5.3.1 36.321.

  9. Click OK to close DL-SCH Tx Sequence window.

  10. Click [image] in the Data 0 cell to open the Data Source Selection window and select User Defined Bits. Then enter your own generated SIB contents by importing or direct entry into the bit field. Click OK when finished.

Setting up SI1 (SIB2 and SIB3)

  1. In the Channel Setup node, select DL-SCH2.

  2. In the General Settings, set State to On for SI1 (SIB2 and SIB3) message transmission.

  3. In the General Settings, click the RNTI Type drop down and select SI-RNTI.

  4. Click Transmission Configuration Length and set to 8 frames (80 ms).

  5. In Transmissions Configuration to open the DL-SCH Tx Sequence window.

  6. Click Column Preset and select Set all "State" to OFF.

  7. Set the required State of the Subframes to on for SI1 (for this example, SIB2 and SIB3) transmission.Click Sequence 15, Frame 1, Subframe #4, State check box.

    For this example of the SI1 message transmission, it is assumed that the transmission on Sequence 15, Frame 1, Subframe #4 State = on. Transmission Sequence 15, Frame 1, Subframe #4 is just an example; you can select any subframe that satisfies the 3GPP standard. Refer to section 5.2.1.2 36.331.

  8. Select MCS Index 0 to satisfy the desired TB Transport Block Size ≤ setting Transport Block Size.

    Example: where 30 bytes (240 bits) = TB Size

    1. Set MCS Index 0 to 8.

    2. Set N_1A_PRB to 2 (default).

    3. Verify that Block Size 0 now displays 256.

  9. Set each Subframe RV Index 0.

    For this example:

    Sequence #12, Frame #1, Subframe #1, RV 0 = ceiling (3/2*(11 modulo 4)) modulo 4 = 1.

    Refer to 3GPP TS 36.321), section 5.3.1.

  10. Click OK to close he DL-SCH Tx Sequence window.

  11. Generate user-defined SIB contents (customer supplied) and insert the data into Data 0 on DL-SCH2 as User Defined Bits.

  12. Click OK to close the Data Source Selection window.


Waveform Structure (Long)

This topic discusses some of the features of the Advanced LTE TDD carrier's long waveform.

The relationship between the Waveform Generation Length and Transmission Configuration Length is shown in following figure. (For more information on the Transmission Configuration Length parameter refer to the Channel Setups Advanced LTE TDD UL or and DL topics.)

If Transmission Configuration parameter is in the channel, the configured setting pattern in Transmission Configuration is repeated for the channel generation until the end of the waveform (DL-SCH, DCI, UL-SCH, UCI). (For more information on the Transmission Configuration parameter refer to the Channel Setups Advanced LTE TDD UL or and DL topics.)

The Transmission Configuration Length parameter's value specifies the repeating period (in frame) of the Transmission Configuration which is configured the channel's Tx Sequence definition.

Example: Where the Transmission Configuration Length is set to 2 Frames, Frames #0 and #1 configurations (Sequences #1 and #2) will be repeated while generating Closed SCH.

If the Transmission Configuration parameter is not in the channel, its channel setting is used for the channel generation until the end of the waveform (BCH, CFI, HI, MCH, CRS, PRS, SRS).

Figure. Long Waveform Structure

Related links:

System Requirements


Configuring the M9381A for Signal Studio

This topic is not comprehensive, but endeavors to describe the steps unique to M9381A PXIe configurations with Signal Studio products. It is recommended that you already have a basic working knowledge of the M9381A PXIe. If necessary, refer to the user documentation listed below to become familiar with basic operation. This documentation is available at www.keysight.com/find/M9381A.

  • M9381A & M9391A Configuration Guide (PDF Document)

  • M9381A PXIe VSG and M9380A CW Source SCPI Programming Information (Help File)

  • M9381A PXIe Vector Signal Generator Soft Front Panel Help (Help File)

  • M9391A PXIe Vector Signal Analyzer and M9381A PXIe Vector Signal Generator Programming Guide (PDF Document)

Signal Studio provides two methods for configuring waveform playback on the M9381A:

  • Direct Connection with a Signal Studio Application

  • Using Waveform 5- and 50-Pack

Direct Connection with a Signal Studio Application

  1. Configure the hardware and cabling for the M9381A system as described in "Multiple M9381A PXIe VSGs in a single PXIe chassis" of the M9381A & M9391A Configuration Guide.

    If you are using an external trigger source, the trigger signal cable must be connected to the Trig 1 connector of the M9301A module. In the case of a multi-channel system, the trigger signal must be connected to the Trig 1 connector of all M9301A modules, using cables of equal length. For more information, refer to the subsection entitled, "Routing an External Trigger Input and ALC Hold on each M9381A PXIe VSG" of the major section entitled, "Working with 802.11ac MIMO R&D/DVT Tests" in the M9391A PXIe Vector Signal Analyzer and M9381A PXIe Vector Signal Generator Programming Guide.

  2. This step is commonly referred to as configuring the backplane triggers. Open the M9018A Soft Front Panel (SFP) and check the Allow Control box. Then click the Configure Trigger Bus tab.

    The Keysight M9018A PXIe chassis does not remember the trigger bus configuration upon cycling power.After a power cycle, you must reconfigure the bus triggers by using the M9018A SFP or by creating a persistent configuration by using the AgM9018 API.

    For single-channel and two-channel configurations, configure the GUI, as shown below. This backplane signal configuration assumes the M9381A modules are positioned in the PXIe chassis as described in the M9381A & M9391A Configuration Guide. For all other configurations and additional information, refer to the "Managing Triggers" topic located in M9381A PXIe Vector Signal Generator Soft Front Panel Help.

  3. Open the M9381 SFP (without connecting) to view the Alias. It must be "M938XA-1," as shown below, for the SCPI Parser to connect in the next step. For more information, refer to the "Creating the IVI Config Store Alias(es)" subsection of the "M938x SCPI Parser" topic located in M9381A PXIe VSG and M9380A CW Source SCPI Programming Information.

    Make sure the M9381 SFP is not connected to the instrument before proceeding to next step, as it and the SCPI Parser cannot run simultaneously.

  4. Run the M938x SCPI Parser. The Signal Studio software will not connect to the system unless the SCPI Parser is running. For more information, refer to the "M938x SCPI Parser" topic located in M9381A PXIe VSG and M9380A CW Source SCPI Programming Information.

  5. Open the Signal Studio software and, in the System Configuration Wizard, select the M9381A as the connected instrument.

  6. In the Signal Studio System Configuration Wizard, make sure the host name entered for each PXIe module uses this syntax: <hostname>::hislip<module number>. See example shown below. For more information, refer to the "Overview" subsection of the "M938x SCPI Parser" topic located in M9381A PXIe VSG and M9380A CW Source SCPI Programming Information.

  7. You can now configure, generate, and download your Signal Studio waveform.

    If you are using an external trigger source, be sure to configure the instrument settings in the Signal Studio software. In the tree view, click Instrument and in the trigger settings, select TRIG1 for the External Source.

Using Waveform 5- and 50-Pack

To use a waveform for use with a Signal Studio 5- or 50-pack license, use any Signal Studio application to generate and download a waveform to the M9381A controller PC, where the SCPI Parser is running. You will not be able to play the waveform, however, until it is assigned and locked into one of the available 5- or 50-pack slots. For more information, refer to the "Managing Waveform Packs" topic in the M9381A PXIe Vector Signal Generator Soft Front Panel Help .


Configuring the M9420 for Signal Studio

This topic is not comprehensive, but endeavors to describe the steps unique to M9420A VXT configurations with Signal Studio products. It is recommended that you already have a basic working knowledge of the M9420A VXT.

  1. Connect an SMB cable from the 100 MHz Out connector of the M9300A to the 100 MHz In connector of the M9420A.

  2. Launch the M9300A SFP software. This must be done before launching the M9420A SFP software.

  3. The M9300A SFP software recognizes the reference configuration automatically. Verify that the slot (10) and PXI address are correct. Then highlight it and click Connect.

  4. Verify that the specific 100 MHz Reference Out port connected to the M9420A is enabled.

  5. Select Utilities > Self Test and click Run Self Test to verify the reference connection.

  6. Under All Programs on your PC, open the Keysight Modular Transceiver folder and select LaunchModularTRX. A small window appears. Verify that the M9420A occupies slot number 11.

  7. Click Show Advanced Settings and configure the valid port for VISA communication. To avoid conflict with other instruments in the same chassis, use the vacant values for HiSLIP, Telnet, and Socket ports.

  8. Make sure the correct module is selected and click Run Selected. The M9420A VXT soft front panel launches.

  9. Open the Signal Studio software. A welcome dialog window appears. Select New hardware configuration. Click OK. This begins the System Configuration Wizard, which takes you through the steps to connect to the M9420A VXT.

    If the welcome dialog window does not appear when the software is launched, click Tools > Options and make sure Display Welcome dialog is checked. Then close and re-open the software.

  10. In Step 4 of the System Configuration Wizard, make sure the host name entered uses this syntax: <hostname>::hislip<module number>. See example shown below.


Importing and Exporting Multi-UE Settings Files

This topic provides information on importing and exporting multi-UE settings files, using *.csv and *.txt file formats.

File Format

Setting Parameters

MS Excel Tips

File Format

Delimiters

Comma ',' or Tab can be used as a delimiter of parameters.

File extension

".csv" or ".txt" can be used as file extension.

File extension and data format
Operation | Extension | Data Descriptions
Write | .txt | A tab character is used as a delimiter of parameters.
 | .csv | A comma character is used as a delimiter of parameters.
Read | .txt | A comma or a Tab character is recognized as a delimiter of parameters.
 | .csv

Parameter notations

Signal Studio treats data strings as shown in the following table.

Parmeter notations
Data in a File | Data Treated in Signal Studio
ABC | ABC
0001 | 0001
"ABC" | ABC
"0001" | 0001

Setting Parameters

The lines in the CSV file are categorized to lines described in the following table.

Line categories of CSV file
Line Categories | Parameter Descriptions
Parameter lines | Parameter definition lines, leading by a parameter type.
Comment lines | Comment lines, ignored for reading. Leading by a comment identify character.
Blank lines | Blank (empty) lines, ignored for reading.

Parameter type and line structure

The following table shows the parameter types of lines and the line structure of the CSV file. The parameter type specifies a category of a line in a CSV file.

Parameter type and line order
Parameter Position | Parameter Descriptions | Parameter Values
1 | Specify parameter type to the setting of CSV format version | *VERSION
2 | Specify parameter type to the setting of the common parameters for all UEs | *UE-COMMON
3 | Specify parameter type to the setting of PUSCH parameters for UE(n), where n = 1 … 100 | *PUSCH

The parameter type starts with a "*" character, and it is located at the beginning of parameter lines.

CSV format version setting line

Parameters for version
Parameter Position | Parameter Descriptions | Parameter Values
1 | Parameter type of the common settings for all UEs | *VERSION
2 | CSV format version | "1.0"

Common parameters line for all UEs

The following parameters are required for the common setting of all UEs. These parameters are defined in one line.

The range or choices of parameters are basically the same as GUI's parameters definition.

Parameters in all UEs
Parameter Position | Parameter Descriptions | Parameter Values
1 | Parameter type of the common settings for all UEs | *UE-COMMON
2 | Multi-UE state | [Not allowed to change] Choice: ON | OFF
3 | Carrier type Support Advanced LTE UL only | [Not allowed to change] Choice: Advanced LTE UL
4 | Frame structure | [Not allowed to change] Choice: FDD | TDD
5 | System bandwidth Specify the number of MHz of bandwidth | Choice: 1.4 | 3 | 5 | 10 | 15 | 20 Default: 5
6 | [Used TDD only, not used for FDD] UL/DL configuration | Choice: <integer> 0 ... 6 Default: 0
7 | Cell ID | Choice: <integer> 0 ... 503 Default: 0
8 | Waveform generation length Specify the waveform length in ms | Choice: <integer> 10 ... 160, stepped by 10 Default: 10
9 | Number of UEs | Choice: <integer> 1 ... 100 Default: 25
10 | PUSCH state | Read only Choices: ON | OFF Default: ON

PUSCH parameters line for each UE

The following parameters are required for each UE setting. These parameters are lined into one line. And one line represents the setting of one UE. One hundred lines, therefore, are required for 100 UEs settings, because one hundred is the maximum number of UEs and always all definitions are listed in a setting file.

The range or choices of parameters are basically the same as GUI's parameters definition.

PUSCH parameters for each UE
Parameter Position | Parameter Descriptions | Parameter Values
1 | Parameter type of PUSCH for each UE The order of PUSCH setting lines expresses the UE number. | *PUSCH
2 | RNTI | Choice: <integer> 0 ... 65535
3 | MCS index | Choice: <integer> 0 ... 28
4 | HARQ ACK state | Choice: ON | OFF
5 | HARQ ACK offset index | Choice: <integer> 0 ... 14
6 | HARQ ACK info | Choice: ACK | NACK | ACK-ACK | ACK-NACK | NACK-ACK | NACK-NACK | User Defined Bits (Up to 11 bits) consist of '0' and '1'
7 | HARQ ACK info size | Choice: 1 to 11 Default: 1
8 | RI state | Choice: ON | OFF Default: OFF
9 | RI offset index | Choice: <integer> 0 ... 12 Default: 0
10 | RI info | Choice: 0 | 1 | 0-0 | 0-1 | 1-0 | 1-1 Default: 0
11 | RI info size | [Read only]
12 | CQI/PMI state | Choice: ON | OFF
13 | CQI/PMI offset index | Choice: <integer> 2 ... 15 Default: 2
14 | CQI/PMI info | Choice: PN9 | PN15 | User Defined Bits (Up to 128 bits) Default: PN9
15 | CQI/PMI info size | Choice: <integer> 1 … 128 Default: 4
16 + n * 3 | Subframe(n) PUSCH Tx state, where n = 0 … 159 | Choices: ON | OFF Default: ON
17 + n * 3 | Subframe(n) PUSCH RB offset, where n = 0 … 159 | Choice: <integer> 0 … x Default: 0
18 + n * 3 | Subframe(n) PUSCH RB offset, where n = 0 … 159 | Choice: <integer> 0 … x Default: 1

Comment line

Comment lines are ignored for reading setting data.

The comment line is a line started with "#" character.

Blank line

The blank line is a line which does not have any characters.

The blank lines are ignored for reading data.

MS Excel Tips

Open file

Excel behavior has difference with the file extension of opening file name.

TXT extension: Users can choose several setting parameters for opening file.

CSV extension: Comma delimiters are expected, and parameter values are automatically converted by Excel.

Operation sample

Reading data as Text; How to set cell attribute to "Text"

  1. File tab, click Open.

  2. Set file extension to Text Files (*.prn, *.txt, *csv).

  3. Select a file (*.txt extension file) and open it.

  4. In the Text Import Wizard:

    Step 1 of 3:

    Select Delimited, then click Next button.

    Step 2 of 3:

    Select Tab as Delimiters. When commas are used as delimiter, click Comma as Delimiters. Then click Next button.

    Step 3 of 3:

    Click the column 1 in the Data preview area, then scroll the preview cell image to the most right side.

    Then Shift + click the most right cell. (All columns are selected on this action.)

    Select Text in the Column data format area. (All cells are recognized as Text cell.

    Then, click Finish button.

Import file

TXT, CSV extension: Users can choose several setting parameters for opening file.

Operation sample

Data tab, Get External section, click From Text.

Select *.csv or *.txt file on Import Text File window.

Proceed setting same as "File open" method.

Proceed as desired.

Save file

Excel behavior has difference with the file extension of saving file name.

TXT extension: Tab characters are used as delimiters.

CSV extension: Comma characters are used as delimiters.

Notes of values on Excel

Some values, such as 00000001, are treated by Excel when Excel reads a file and values. The values are sometimes converted with undesired manner. For example, 00000001 is recognized to 1 if Excel recognizes it as a numeric number. If Excel recognizes it as a text value, 00000001 is read correctly as 00000001.

Treat as a string:

Use "…" notation for bit data, such as "00001", because Excel treats 00001 to 1. If the type of cell is set to "string", this does not happen.

Hints: Set cell attribute to string type

  1. Select cells.

  2. Select Format Cells.

    In the Number tab, select Text in the Category selection.

    Click OK.


Generating a Multi-Standard Radio (MSR) Waveform

This process enables you to generate Multi-Standard Radio (MSR) waveforms using exported Signal Studio component waveforms. Below is a list of the Signal Studio component waveforms that can be imported into the MSR feature for LTE signals.

  • N7600B Signal Studio for W-CDMA/HSPA+

  • N7601B Signal Studio for cdma2000/1xEV-DO

  • N7602B Signal Studio for GSM/EDGE/Evo

  • N7612B Signal Studio for TD-SCDMA/HSDPA

  • N7617B Signal Studio for WLANa

  • N7624B Signal Studio for LTE/LTE-Advanced FDD (non-MSR waveforms)b

  • N7625B Signal Studio for LTE/LTE-Advanced TDD (non-MSR waveforms)c

  1. Supports high-resolution waveform export, providing better signal quality in the resulting MSR waveform. Requires minor enhancement update (MEU) N7617B-U02 or greater to playback MSR waveforms using the high-resolution component waveform.

  2. Supports high-resolution waveform import and export, providing better signal quality in the resulting MSR waveform. Requires minor enhancement update (MEU) N7624B-U04 or greater to playback MSR waveforms using the high-resolution component waveform.

  3. Supports high-resolution waveform import and export, providing better signal quality in the resulting MSR waveform. Requires minor enhancement update (MEU) N7625B-U04 or greater to playback MSR waveforms using the high-resolution component waveform.

Requirements

Licensing

Library Waveforms that are used with the MSR feature must have proper Signal Studio licensing. The MSR waveform comprises all the license requirements for each of the component waveform-types used.

The maximum number of component waveforms that can be imported into an MSR composite waveform is limited by the number of unique licenses required to generate the MSR waveform. For example:

3 Basic waveforms + 1 W-CDMA waveform = 4 waveform component licenses

Typically, up to approximately 11 waveforms can be used in a MSR waveform. If the number of waveforms exceeds the MSR feature's limits, an Closed error message will be displayed.

If your equipment setup requires an E4438C, Option N7625B-Hxx is required. E4438C with Options 400, 401, 402, and 411 are not a substitute for Option N7625B-Hxx licensing for the MSR feature.(Additionally, to use the Waveform Library Manager feature with your Basic MSR LTE and LTE-A waveforms, Options N7625B-Jxx and N7625B-Txx are required.) Using any waveform with the N7625B's MSR feature requires all of that imported waveform's licensing.

Connectivity

To use the MSR feature, you must have the correct waveform options and the correct instrument connectivity.

Example: Using a Basic N7602B waveform with the N7625B's MSR feature requires connectivity with an MXG signal generator (Options N7602B-3xx and N7625B-3xx) and the basic waveform options (Option N7602B-Exx and N7625B-Hxx). Additionally, using the Waveform Library Manager with your MSR LTE and LTE-A waveforms requires Option N7625B-Jxx.

For additional hardware requirements, refer to the "Hardware and System Requirements for the Multi-Standard Radio (MSR)" in the System Requirements.

Memory

Each waveform sample point requires about 25 bytes of hard drive space, so a 1 GSa waveform requires 25 GB of available drive space.

MSR Waveform Generation Procedure

  1. Using the N7600B, N7601B, N7602B, N7612B, N7617B, N7624B or N7625B software, export each of the required component waveforms using the exported waveform settings below. Refer to your component waveform's help for more information.

    Waveform Type

    Waveform Length

    (Recommended) a, c

    (N = integer)

    Oversampling Rate (OSR) –

    (Recommended) b, d

    Frequency Offset e

    Notes h

    N7600B W-CDMA/ HSPA+

    10 msec * N repetitions (Basic)

    Number of msec or Number of frames * N repetitions (Advanced)

    8x or AUTO (Basic)

    AUTO (Advanced Single Carrier)

    0.000000 Hz

    Avoid exporting the PRACH and CELL_FACH carriers.

    Avoid exporting Multicarrier waveforms. Instead, export the Advanced carriers individually and then import the single carriers using the N7625B, to create a Multicarrier waveform.

    N7601B cdma2000/ 1xEV-DO

    26.6666 msec * N repetitions (Basic C2K and 1xEV-DO)

    25x or AUTO (Basic)

    0.000000 Hz

    Advanced 1xEV-DO is not recommended (240 msec x N repetitions).

    Avoid using 26.6666 msec * 4 repetitions.

    Avoid exporting Multicarrier waveforms. Instead, export the Advanced carriers individually and then import the single carriers using the N7625B, to create a Multicarrier waveform.

    N7602B GSM/EDGE/ Evo

    60 msec * N repetitions (Basic and Advanced)

    128x or AUTO (Basic)

    AUTO (Advanced Single Carrier)

    0.000000 Hz

    Default or integer multiple of 13 frames (60 msec) is required to import basic carrier waveform file.

    Avoid exporting the Control channel carrier.

    Avoid exporting older default GSM/EDGE 4 frame waveforms (≤ v2.x).

    Avoid exporting Multicarrier waveforms. Instead, export the Advanced carriers individually and then import the single carriers using the N7625B, to create a Multicarrier waveform.

    N7612B

    TD-SCDMA/

    HSDPA

    5 msec * N repetitions

    24 is recommended (1.28 * 24 = 30.72)

    0.000000 Hz

    Default or integer multiple of 5 ms is required to import basic carrier waveform file.

    N7617B

    WLAN

    10 msec * N repetitions

    Set the Oversampling Ratio (located under Waveform Setup) to adjust the ARB Sample Clock value so it is close to an integer multiple of 30.72 Msps (LTE software's base sample rate). This improves waveform quality.

    0.000000 Hz

    Waveform signal length needs to be integer multiple of 10 msec by adjusting parameters “Idle Interval” and “# of frames" when generating from N7617B.

    (RF burst + idle interval) x (# of frame) = waveform signal length.

    Note: “waveform signal length” needs to be integer multiple of 10 msec (in actual time length).

    “RF burst” length changes by various WLAN parameters including bandwidth.

    Waveform signal length (in “actual time length”) = (total sample points) / (ARB sample clock)

    Note: ARB sample clock is affected by bandwidth.

    N7624B

    LTE/LTE-Advanced FDD

    For N7624B waveforms: non-MSR (external) waveform files can be imported.

    Set the Oversampling Ratio (located under Waveform Setup > Carrier n) to adjust the Waveform Sampling Ratio so it is an integer multiple of 30.72 Msps (LTE software's base sample rate). This is required for the waveform data to be imported into MSR and improves waveform quality. The Waveform Sampling Ratio updates after each waveform generation to show the actual value, so you can use that to fine tune.

    0.000000 Hz

    To prevent recursive imports, no external MSR files of any type, can be imported.

    N7625B

    LTE/LTE-Advanced TDD

    For N7625B waveforms: non-MSR (external) waveform files can be imported.

    Set the Oversampling Ratio (located under Waveform Setup > Carrier n) to adjust the Waveform Sampling Ratio so it is an integer multiple of 30.72 Msps (LTE software's base sample rate). This is required for the waveform data to be imported into MSR and improves waveform quality. The Waveform Sampling Ratio updates after each waveform generation to show the actual value, so you can use that to fine tune.

    0.000000 Hz

    To prevent recursive imports, no external MSR files of any type, can be imported.

    1. ARB Sample Clock ≥ 100 MHz can be used, but performance may be degraded. The ARB Sample Clock parameter is displayed under the Instrument node. It is automatically calculated by the software based on the signal generator's ARB Sample Clock settings. The ARB Sample Clock should be < 100 MHz. If a Frequency Offset is applied to a waveform, the settings should be compatible with the ARB Sample Clock settings on the signal generator.

    2. Higher OSR values will degrade performance once the waveforms are imported into the N7625B's MSR waveform. For Advanced N7600B or N7601B carriers, OSR's = 1 are not recommended while Signal Studio is in Simulation Mode (e.g. use AUTO).

    3. The waveform length is dependent on the resampling ratio:

      • The source waveform clock > baseband sampling clock; source waveform will be decimated. This is typically not desirable, but will decrease waveform size.

      • The source waveform clock < baseband sampling clock; source waveform will be oversampled. This is typically acceptable, but will increase waveform size.

      • Waveform Quality will always degrade on resampling.

    4. The MSR waveform requirements (source wavelength * baseband sampling clock) should be ≥ 1024 sample points and ≤ 1024e6 sample points.

    5. For all of the component waveforms, set the Frequency Offset to 0. Frequency Offset can be set in the N7625B software, after importing all of the waveforms.

    6. For the N7600B, N7601B, N7602B, N7612B, N7624B and N7625B software, to better understand the Closed carrier power level calculations for an exported waveform, refer to Output Power Calculation (Downlink) and Output Power Calculation (Uplink).

    7. Size of exported file must be ≤ 1024 Msa. If the waveforms exceed the maximum allowable, the Closed System Message window is displayed.

    8. There are three different descriptions for the various waveform setups:

      • The recommended waveform settings yield the best overall performance with the MSR feature (i.e. faster waveform loading times, minimal intermodulation products, and minimal EVM).

      • The waveform settings that are not recommended will work, but with reduced waveform performance (i.e. increased waveform loading times, increased intermodulation products, and degraded EVM).

      • The waveform settings that are to be avoided may not work as desired or have some other unpredictable behavior.

    9. The maximum number of component waveforms that can be imported into an MSR composite waveform are limited by the number of unique licenses required to generate the MSR waveform. For example:

      3 Basic waveforms + 1 W-CDMA waveform = 4 waveform component licenses

      Typically, up to approximately 11 waveforms can be used in a MSR waveform. If the number of waveforms exceeds the MSR feature's limits, an Closed error message will be displayed.

  2. Import the individual component waveforms into your MSR composite waveform using the imported waveform settings below.

    In the Carrier n node, click Source Waveform File Name > <enter a Closed path of the file to be imported>.

    MSR Waveform Setting Levels

    Baseband Sampling Rate a, b

    Frequency Offset a

    Power (Offset)

    Notes

    Recommended

    AUTO, 61.44 MHz

    as required

    as required

    Where the Frequency Offset = 0, a Baseband Sampling Rate of 30.72 MHz can be used to decrease waveform build time.

    Allowable

    184.32 MHz

    as required

    as required

    Possible degradation in waveform generation time and in waveform performance quality.

    1. After importing the waveforms into the MSR waveform, the default Baseband Sampling Rate is set to 61.44 MHz. This value is required for non-zero Frequency Offsets and optional for 0 Hz Frequency Offsets. If the Frequency Offset is set to 0 Hz in the N7625B, the Baseband Sampling Rate can be set to 30.72 MHz and the waveform build-time will be faster. The Baseband Sampling Rate of 184.32 MHz can be used, but the waveform's performance may be degraded. The Baseband Sampling Rate = (chip rate * oversampling ratio). For best results, the Baseband Sampling Rate should be < 100 MHz.

    2. To avoid degradation of the signal, in the N7625B software, do not use the default oversampling rate of 1 with MSR waveforms. For best results, use AUTO for the OSR value.

    3. The MSR waveform requirements (source wavelength * baseband sampling clock) should be ≥ 1024 sample points and ≤ 1024e6 sample points.

  3. After all of the component waveform files have been imported, generate and download the waveform by choosing the correct file path for the MSR waveform file. The new multicarrier waveform comprises all the license requirements for each of the component waveform types used. Here is an Closed example of an MSR waveform with five component carriers.

    In the MSR composite waveform, the waveforms that have narrower bands — like CW and EDGE waveforms — are Closed displayed with higher power levels. This is because the waveforms' power is defined by its integrated power and not by its power spectral density (PSD).

    To minimize spurious images, optimize the channel waveform filtering and frequency offsets for the imported component waveforms. Refer to MSR: Applying a Waveform Channel Filter.

After generating the MSR carriers, to enable faster measurements particularly where ongoing changes are required for the Baseband Sampling Rate and Filter Ratio, refer to the MSR: Using the Waveform Library Manager and Library Waveform Carrier topics.

Related Topics

MSR: Applying a Waveform Channel Filter

Imported Waveform Carrier

MSR: Using the Library Waveform Manager

Overcoming Test Challenges of MSR Base Station Components and Transmitters


MSR - Generating a Library Waveform

A Library Waveform is an enhanced carrier type specifically designed for Multi-Standard Radio (MSR). The Waveform Library allows you to manage imported waveforms with resampling and filtering already applied. This enables faster summing of carriers when you change offset frequency or power by eliminating redundant resampling and filtering processes. Generation of Library Waveforms requires Option Jxx.

The initial process for library waveforms is the same as described in the MSR - Generating a Waveform topic and is repeated here for your convenience. This process enables you to generate library waveforms using exported waveforms. Refer to the Using the Waveform Library Manager.

If desired, you can use Imported Waveforms in combination with your Library Waveforms in the Waveform Setup node, but there will be an increase in the time required to generate the waveform. To avoid longer waveform generation times, add any additional Imported Waveforms to the Waveform Library folder using the Closed Tools dropdown before generating your waveforms in the Waveform Setup node.

Below is a list of the Signal Studio waveforms that can be imported into the MSR feature for LTE signals.

  • N7600B Signal Studio for W-CDMA/HSPA+

  • N7601B Signal Studio for cdma2000/1xEV-DO

  • N7602B Signal Studio for GSM/EDGE/Evo

  • N7612B Signal Studio for TD-SCDMA/HSDPA

  • N7617B Signal Studio for WLANa

  • N7624B Signal Studio for LTE/LTE-Advanced FDD (non-MSR waveforms)b

  • N7625B Signal Studio for LTE/LTE-Advanced TDD (non-MSR waveforms)c

  1. Supports high-resolution waveform export, providing better signal quality in the resulting MSR waveform. Requires minor enhancement update (MEU) N7617B-U02 or greater to playback MSR waveforms using the component high-resolution waveform.

  2. Supports high-resolution waveform import and export, providing better signal quality in the resulting MSR waveform. Requires minor enhancement update (MEU) N7624B-U04 or greater to playback MSR waveforms using the component high-resolution waveform.

  3. Supports high-resolution waveform import and export, providing better signal quality in the resulting MSR waveform. Requires minor enhancement update (MEU) N7625B-U04 or greater to playback MSR waveforms using the component high-resolution waveform.

Using the Waveform Library and Library Waveforms:

Before using library waveforms you must first import a waveform ( [image]) into the Waveform Library Folder from your exported waveforms folder. Refer to the procedure below.

To minimize the waveform generation time, all the Library Waveforms selected to be generated simultaneously should have common sampling ratios. Typically, 30.72 MHz or 61.44 MHz works well. An oversampling rate of 61.44 MHz works best when Frequency Offset values other than 0 are used. To do this, use the Waveform Manager to import your waveforms ( [image]) and select a common sampling rate that corresponds to the different waveforms that are to be generated together in the Waveform Setup node.

Requirements

Licensing

Library Waveforms that are used with the MSR feature must have proper Signal Studio licensing. The MSR waveform comprises all the license requirements for each of the component waveform-types used.

The maximum number of component waveforms that can be imported into an MSR composite waveform is limited by the number of unique licenses required to generate the MSR waveform. For example:

3 Basic waveforms + 1 W-CDMA waveform = 4 waveform component licenses

Typically, up to approximately 11 waveforms can be used in a MSR waveform. If the number of waveforms exceeds the MSR feature's limits, an Closed error message will be displayed.

If your equipment setup requires an E4438C, Option N7625B-Hxx is required. E4438C with Options 400, 401, 402, and 411 are not a substitute for Option N7625B-Hxx licensing for the MSR feature.(Additionally, to use the Waveform Library Manager feature with your Basic MSR LTE and LTE-A waveforms, Options N7625B-Jxx and N7625B-Txx are required.) Using any waveform with the N7625B's MSR feature requires all of that imported waveform's licensing.

Connectivity

To use the MSR feature, you must have the correct waveform options and the correct instrument connectivity.

Example: Using a Basic N7602B waveform with the N7625B's MSR feature requires connectivity with an MXG signal generator (Options N7602B-3xx and N7625B-3xx) and the basic waveform options (Option N7602B-Exx and N7625B-Hxx). Additionally, using the Waveform Library Manager with your MSR LTE and LTE-A waveforms requires Option N7625B-Jxx.

For additional hardware requirements, refer to the "Hardware and System Requirements for the Multi-Standard Radio (MSR)" in the System Requirements.

Memory

Each waveform sample point requires about 25 bytes of hard drive space, so a 1 GSa waveform requires 25 GB of available drive space.

MSR and Library Waveform Generation Procedure

If you want to use high-resolution component waveforms to generate an MSR waveform, refer to Using High-Resolution Waveforms for MSR first.

  1. Using the N7600B, N7601B, N7602B, N7612B, N7617B, N7624B or N7625B software, export each of the required component waveforms using the exported waveform settings below. Refer to your component waveform's help for more information.

    Waveform Type

    Waveform Length

    (Recommended) a, c

    (N = integer)

    Oversampling Rate (OSR) –

    (Recommended) b, d

    Frequency Offset e

    Notes h

    N7600B W-CDMA/ HSPA+

    10 msec * N repetitions (Basic)

    Number of msec or Number of frames * N repetitions (Advanced)

    8x or AUTO (Basic)

    AUTO (Advanced Single Carrier)

    0.000000 Hz

    Avoid exporting the PRACH and CELL_FACH carriers.

    Avoid exporting Multicarrier waveforms. Instead, export the Advanced carriers individually and then import the single carriers using the N7625B, to create a Multicarrier waveform.

    N7601B cdma2000/ 1xEV-DO

    26.6666 msec * N repetitions (Basic C2K and 1xEV-DO)

    25x or AUTO (Basic)

    0.000000 Hz

    Advanced 1xEV-DO is not recommended (240 msec x N repetitions).

    Avoid using 26.6666 msec * 4 repetitions.

    Avoid exporting Multicarrier waveforms. Instead, export the Advanced carriers individually and then import the single carriers using the N7625B, to create a Multicarrier waveform.

    N7602B GSM/EDGE/ Evo

    60 msec * N repetitions (Basic and Advanced)

    128x or AUTO (Basic)

    AUTO (Advanced Single Carrier)

    0.000000 Hz

    Default or integer multiple of 13 frames (60 msec) is required to import basic carrier waveform file.

    Avoid exporting the Control channel carrier.

    Avoid exporting older default GSM/EDGE 4 frame waveforms (≤ v2.x).

    Avoid exporting Multicarrier waveforms. Instead, export the Advanced carriers individually and then import the single carriers using the N7625B, to create a Multicarrier waveform.

    N7612B

    TD-SCDMA/

    HSDPA

    5 msec * N repetitions

    24 is recommended (1.28 * 24 = 30.72)

    0.000000 Hz

    Default or integer multiple of 5 ms is required to import basic carrier waveform file.

    N7617B

    WLAN

    10 msec * N repetitions

    Set the Oversampling Ratio (located under Waveform Setup) to adjust the ARB Sample Clock value so it is close to an integer multiple of 30.72 Msps (LTE software's base sample rate). This improves waveform quality.

    0.000000 Hz

    Waveform signal length needs to be integer multiple of 10 msec by adjusting parameters “Idle Interval” and “# of frames" when generating from N7617B.

    (RF burst + idle interval) x (# of frame) = waveform signal length.

    Note: “waveform signal length” needs to be integer multiple of 10 msec (in actual time length).

    “RF burst” length changes by various WLAN parameters including bandwidth.

    Waveform signal length (in “actual time length”) = (total sample points) / (ARB sample clock)

    Note: ARB sample clock is affected by bandwidth.

    N7624B

    LTE/LTE-Advanced FDD

    For N7624B waveforms: non-MSR (external) waveform files can be imported.

    Set the Oversampling Ratio (located under Waveform Setup > Carrier n) to adjust the Waveform Sampling Ratio so it is an integer multiple of 30.72 Msps (LTE software's base sample rate). This is required for the waveform data to be imported into MSR and improves waveform quality. The Waveform Sampling Ratio updates after each waveform generation to show the actual value, so you can use that to fine tune.

    0.000000 Hz

    To prevent recursive imports, no external MSR files of any type, can be imported.

    N7625B

    LTE/LTE-Advanced TDD

    For N7625B waveforms: non-MSR (external) waveform files can be imported.

    Set the Oversampling Ratio (located under Waveform Setup > Carrier n) to adjust the Waveform Sampling Ratio so it is an integer multiple of 30.72 Msps (LTE software's base sample rate). This is required for the waveform data to be imported into MSR and improves waveform quality. The Waveform Sampling Ratio updates after each waveform generation to show the actual value, so you can use that to fine tune.

    0.000000 Hz

    To prevent recursive imports, no external MSR files of any type, can be imported.

    1. ARB Sample Clock ≥ 100 MHz can be used, but performance may be degraded. The ARB Sample Clock parameter is displayed under the Instrument node. It is automatically calculated by the software based on the signal generator's ARB Sample Clock settings. The ARB Sample Clock should be < 100 MHz. If a Frequency Offset is applied to a waveform, the settings should be compatible with the ARB Sample Clock settings on the signal generator.

    2. Higher OSR values will degrade performance once the waveforms are imported into the N7625B's MSR waveform. For Advanced N7600B or N7601B carriers, OSR's = 1 are not recommended while Signal Studio is in Simulation Mode (e.g. use AUTO).

    3. The waveform length is dependent on the resampling ratio:

      • The source waveform clock > baseband sampling clock; source waveform will be decimated. This is typically not desirable, but will decrease waveform size.

      • The source waveform clock < baseband sampling clock; source waveform will be oversampled. This is typically acceptable, but will increase waveform size.

      • Waveform Quality will always degrade on resampling.

    4. The MSR waveform requirements (source wavelength * baseband sampling clock) should be ≥ 1024 sample points and ≤ 1024e6 sample points.

    5. For all of the component waveforms, set the Frequency Offset to 0. Frequency Offset can be set in the N7625B software, after importing all of the waveforms.

    6. For the N7600B, N7601B, N7602B, N7612B, N7624B and N7625B software, to better understand the Closed carrier power level calculations for an exported waveform, refer to Output Power Calculation (Downlink) and Output Power Calculation (Uplink).

    7. Size of exported file must be ≤ 1024 Msa. If the waveforms exceed the maximum allowable, the Closed System Message window is displayed.

    8. There are three different descriptions for the various waveform setups:

      • The recommended waveform settings yield the best overall performance with the MSR feature (i.e. faster waveform loading times, minimal intermodulation products, and minimal EVM).

      • The waveform settings that are not recommended will work, but with reduced waveform performance (i.e. increased waveform loading times, increased intermodulation products, and degraded EVM).

      • The waveform settings that are to be avoided may not work as desired or have some other unpredictable behavior.

    9. The maximum number of component waveforms that can be imported into an MSR composite waveform are limited by the number of unique licenses required to generate the MSR waveform. For example:

      3 Basic waveforms + 1 W-CDMA waveform = 4 waveform component licenses

      Typically, up to approximately 11 waveforms can be used in a MSR waveform. If the number of waveforms exceeds the MSR feature's limits, an Closed error message will be displayed.

  2. Library Manager: After your waveforms have been exported to your waveforms folder using the settings in step 1 above, use the Library Manager to import and save your exported waveforms as Library Waveforms. Importing and saving your waveforms to the Waveform Library folder as Library Waveforms enables faster waveform generation. Waveforms that are imported into the Waveform Library Manager should meet the criteria in the table below.

    For information on how to import a waveform and save it to the Library Folder as a Library Waveform, refer to the MSR - Using the Waveform Library Manager topic.

    MSR Waveform Setting Levels

    Baseband Sampling Rate a, b

    Frequency Offset a

    Power (Offset)

    Notes

    Recommended

    AUTO, 61.44 MHz

    as required

    as required

    Where the Frequency Offset = 0, a Baseband Sampling Rate of 30.72 MHz can be used to decrease waveform build time.

    Allowable

    184.32 MHz

    as required

    as required

    Possible degradation in waveform generation time and in waveform performance quality.

    1. After importing the waveforms into the MSR waveform, the default Baseband Sampling Rate is set to 61.44 MHz. This value is required for non-zero Frequency Offsets and optional for 0 Hz Frequency Offsets. If the Frequency Offset is set to 0 Hz in the N7625B, the Baseband Sampling Rate can be set to 30.72 MHz and the waveform build-time will be faster. The Baseband Sampling Rate of 184.32 MHz can be used, but the waveform's performance may be degraded. The Baseband Sampling Rate = (chip rate * oversampling ratio). For best results, the Baseband Sampling Rate should be < 100 MHz.

    2. To avoid degradation of the signal, in the N7625B software, do not use the default oversampling rate of 1 with MSR waveforms. For best results, use AUTO for the OSR value.

    3. The MSR waveform requirements (source wavelength * baseband sampling clock) should be ≥ 1024 sample points and ≤ 1024e6 sample points.

  3. Library Waveforms: After your Library Waveform files have been imported to the Waveform Library Folder, click the Add to Signal Studio as a new carrier ( [image]) button to select Library Waveform:

    Steps a through d (below) only work if you have previously stored Library Waveforms to your Waveform Library folder. Refer to the MSR - Using the Waveform Library Manager topic.

    1. Click Add Carrier to open a Closed Library Waveform.

    2. Click Waveform Setup > Carrier n > Source Waveform Name.

    3. When the Closed Selects Source Waveform window opens, open the Waveform Library folder where your waveforms are located and click on the desired Library waveform.

      For information on the Waveform Item Abstraction parameters, refer to the Library Manager Window topic.

    4. Click OK to add the waveform to your Waveform Setup node.

    5. To add additional Library Waveforms with different resample targets (sampling ratios) and Filter Ratios, repeat steps a through d.

    6. Signal Studio: If necessary, in the Carrier n node, click to change the following:

      • Frequency Offset

      • Power

      • Timing Offset

      • Initial Phase

        • For parameter details, refer to Baseband (Library Waveform Carrier). Otherwise, continue to next step.

    7. Repeat step f for all of your Carriers. Otherwise, continue to next step.

    8. Click Generate Waveform.

    9. If you are satisfied with your Library Waveform's configuration and the resulting MSR waveform, proceed to step 4. Otherwise, continue to next step.

    10. For best results, if you need to make changes to the Filter Ratio or the Resample Target for the Library values, use the Library Manager window and the Resample... ( [image]) button.

      When you open a Library Waveform and click the Resample... ( [image]) button to modify the Filter Ratio or Resample Target parameters, any previous resampling values that have been selected for the Closed Library Waveform are grayed out or inactive. These previously selected resample values have already been resampled and are already saved to your Waveform Library folder or subfolders and do not need to be resampled. Here the Closed Import Waveform window is shown, but the Resample Waveform window is very similar.

      Changing your waveform's Baseband Sampling Rate, Timing Offset, Power, Initial Phase, and Filter Ratio parameters outside of the Library Manager may potentially increase your waveform generation times.

      1. Optionally, in the Signal Studio's Carrier n node, click Baseband Sampling Rate, Frequency Offset, Power, Timing Offset, Initial Phase, or Filter Ratio to change these parameters.

      2. Click Generate Waveform to update your system to the new settings. Refer to step 4 for waveform output examples.

    11. To make additional changes to your waveforms, repeat step j as necessary.

  4. Signal Studio: After all of the component waveform files have been imported, generate and download the waveform by choosing the correct file path for the MSR waveform file. The new multicarrier waveform comprises all the license requirements for each of the component waveform types used. Here is an Closed example of an MSR waveform with five component carriers.

    In the MSR composite waveform, the waveforms that have narrower bands — like CW and EDGE waveforms — are Closed displayed with higher power levels. This is because the waveforms' power is defined by its integrated power and not by its power spectral density (PSD).

    To minimize spurious images, optimize the channel waveform filtering and frequency offsets for the imported component waveforms. Refer to MSR: Applying a Waveform Channel Filter.

Related Topics

MSR: Using the Waveform Library Manager

MSR: Applying a Waveform Channel Filter

Library Waveform Carrier

Overcoming Test Challenges of MSR Base Station Components and Transmitters


Using High-Resolution Waveforms for MSR

The software allows you to import and export high-resolution waveform files (.fwfm file extension), providing better signal quality in a resulting MSR waveform. This topic covers information unique to using this waveform type.

This feature requires a Minor Enhancement Update (MEU) to play back MSR waveforms generated with exported/imported high-resolution component waveforms. For example, if the N7617B WLAN software is used to export a high-resolution waveform file and the N7624B LTE FDD software is used to import that same file to create an MSR waveform, then both software products require MEU. Otherwise, the resulting MSR waveform will not be valid and play back in the instrument. Refer to Licenses for more information.

Generating and Exporting a High-Resolution Waveform File

You cannot play back a standalone high-resolution waveform in the instrument. It will only work as a component in an MSR waveform.

  1. In the Signal Studio software you are using to export the waveform, set the Oversampling Ratio so that the sample clock adjusts close to an integer multiple of 30.72 Msps (LTE software's base sample rate). This improves waveform quality.

  2. Use the Signal Studio software to generate a waveform.

  3. From the menu bar, click File > Export Waveform Data....

  4. In the Save as type: dropdown menu, select high resolution wfm files (*.fwfm).

Importing a High-Resolution Waveform File

There is nothing unique about importing this file type for MSR. You just need to make sure you have a valid MEU license to support this feature.

Related Topics

Generating a Multi-Standard Radio (MSR) Waveform

MSR - Generating a Library Waveform


Multi-Standard Radio (MSR): Applying a Waveform Channel Filter

When using the MSR feature, applying frequency offsets to the imported waveforms can generate sideband spurs. You can apply a band-pass filter to reduce the spurs caused by fractional up-sampling.

The use of applying band-pass filters, applies to Library Waveforms too.

To avoid generating images in adjacent carriers, use the Frequency Offset to adjust the MSR's component carriers, so the Closed combined waveform is symmetrical. You can adjust frequency offsets in the signal generator.

The filter ratio can be calculated by:

Source Sample Rate / Waveform BW = Filter ratio

The default sample ratio is 1 (no filter)

Example: C2K (1.25 MHz) with 4.9152 MHz sample rate = 4.9152/1.25 = 3.93

So, you can apply a filter of 2 or 3

The Filter Ratio setting is available under the Baseband section of each of the Imported and Library waveforms.

Here is an Closed Example of the effect of the applying the waveform channel filter.

Related Topics

Generating an MSR Waveform

Imported Waveform Carrier

Generating a Library Waveform

Library Waveform Carrier

Overcoming Test Challenges of MSR Base Station Components and Transmitters


MSR - Using the Waveform Library Manager

Review the MSR - Generating a Library Waveform topic prior to using the Waveform Library Manager. This process will enable you to generate Multi-Standard Radio (MSR) Library waveforms using exported MSR waveforms. The Library Waveform Manager requires Option Jxx.

This process assumes you have completed generating and importing your MSR waveforms into a waveforms folder. Refer to MSR - Generating a Library Waveform.

Procedure

After your MSR waveform files have been generated and have been exported to your waveforms folder (refer to MSR - Generating a Library Waveform):

To minimize the waveform generation time, all the Library Waveforms selected to be generated simultaneously should have common sampling ratios. Typically, 30.72 MHz or 61.44 MHz works well. An oversampling rate of 61.44 MHz works best when Frequency Offset values other than 0 are used. To do this, use the Waveform Manager to import your waveforms ( [image]) and select a common sampling rate that corresponds to the different waveforms that are to be generated together in the Waveform Setup node.

  1. On the Menu bar, click Tools > Waveform Library... to open the Library Manager. Refer to Figures 1 and 2.

    Figure 1. Library Manager's Waveform Library folder before adding any Library Waveforms or adding any waveform library folders.

    2. Figure 2. Library Manager's Waveform Library folder after adding Library Waveforms and adding waveform library folders. (The Waveform Items Abstraction parameters are not editable in this window. Refer to Library Manager Window .)

  2. If you would like a separate folder inside the Waveform Library folder for your Library Waveform files, click the Create Folder button [image] .
    Else, continue to next step.

  3. If you are importing a new waveform, skip to step 12.
    Else, continue to next step.

  4. Click the Library Waveform.

  5. If you want to add sampling ratio(s), click on the Resample... ( [image]) button.
    Else, continue to step 10.

  6. In the Resample Target for the Library area, click to add any new Closed resample values.

  7. Click Next to apply the new sampling ratio(s).

  8. Observe the Closed Filter Ratio region, if correct, click Next (you will need to repeat clicking the Next button, if their are multiple new sampling ratios).
    Else, click the Apply Changes button, to resample.

  9. Click Finish to close the Resample Waveform window and to return to the Library Manager window.

  10. Click the Add to Signal Studio as a new carrier ( [image]) button.

  11. If you are finished adding sampling rates to your waveforms and or finished adding Library Waveforms to Signal Studio as new carriers, then close the Library Manager window.
    Else, repeat steps 4 to 10.

  12. Click on the Import Waveform button ( [image]).

    Import the individual component waveforms using the Imported Waveform Settings table's requirements:

    See also General (Library Waveform Carrier).

    Table: Imported Waveform Settings for the N7625B Multi-Standard Radio (MSR) Waveform c

    MSR Waveform Setting Levels

    Baseband Sampling Ratea, b

    Frequency Offseta

    Power (Offset)

    Notes

    Recommended

    AUTO, 61.44 MHz

    as required

    as required

    Where the Frequency Offset = 0, a Baseband Sampling Rate of 30.72 MHz can be used to decrease waveform build time.

    Allowable

    184.32 MHz

    as required

    as required

    Possible degradation in waveform generation time and in waveform performance quality.
    Closed Table Footnotes

    1. After importing the waveforms into the MSR waveform, the default Baseband Sampling Rate is set to 61.44 MHz (i.e. this value is required for non-zero Frequency Offsets and optional for 0 Hz Frequency Offsets). If the Frequency Offset is set to 0 Hz, in the N7625B, the Baseband Sampling Rate can be set to 30.72 MHz and the waveform build-time will be faster. The Baseband Sampling Rate of 184.32 MHz can be used, but the waveform's performance may be degraded. The Baseband Sampling Rate = (Chip rate * Oversampling Ratio). For best results, the Baseband Sampling Rate should be < 100 MHz.

    2. To avoid degradation of the signal, in the N7625B, avoid using the default oversampling rate of 1 with MSR waveforms. For best results, use AUTO for the OSR value.

    3. The MSR waveform requirements are: (Source wavelength * baseband sampling clock), should be ≥ 1024 sample points and ≤ 1024e6 sample points.

  13. Click on the Source Waveform Name parameter.

  14. Selects waveform file window: Open the folder where your waveform files are located and click to add the desired MSR waveform.

  15. Click Open.

  16. Import Waveform window: Click the Waveform Item Name parameter to enter a unique and descriptive filename, if you want your Waveform Item Name in the library folder to be different than the Source Waveform Name.

    The Source Waveform Name waveform is the waveform data that will be used to import to the displayed Waveform Item Name waveform. If the Source Waveform's Name is the same as the Waveform Item Name, and you wish to avoid losing your previously imported Library Waveform's data, then change the Waveform Item Name, as necessary.

  17. Click the Next button.

  18. Verify that the Location in the Library and the Source Waveform Name directory paths are correct.

    If the directory paths are incorrect, you can click the Cancel or Back buttons respectively, to make corrections.
    Else continue to next step.

  19. If your waveform has extra images or distorted, click the Closed Filter Ratio to select the source waveform filter.
    Else continue to next step.

  20. If your waveform has extra images or distorted,in the Resample Target for the Library grid area, click to choose the waveform's Closed resample values. (You can pick multiple resample values. Refer to MSR - Generating a Library Waveform.)
    Else continue to next step.

  21. Click the Next button to apply the changes.

  22. If you have multiple Resample Targets... selected from step 19, you will have an opportunity to change the Filter Ratio for all of your choices by clicking Apply Changes or and the Next button to continue.
    Else, continue to the next step.

  23. Verify your choices are correct in the Library and Resample Options parameter areas.
    If necessary, you can click Back to correct the parameter values.
    Else, continue to the next step.

  24. If any changes are made to the settings, click the Apply Changes button.
    Else, continue to the next step.

  25. Verify the displayed response is correct.
    If not,you can still click Back to correct any parameter values (Repeating steps 13 through 24 as needed).
    Else, continue to next step.

    If you click Back, you can add new additional sampling ratios using the Resample Target for Library parameter area to update your Target Sampling Ratio values.

  26. Click the Add to Signal Studio button ( [image]) to add the Library Waveform into the LTE Signal Studio software's Closed Waveform Setup node.

    Optionally, you can use the Signal Studio's Tools > Waveform Library... dropdown to add your Library Waveform at a later time.

  27. If you are satisfied with:

    • your converted waveform(s) sampling ratios and filter ratios,

    • the name of your Library Waveforms,

    • the location of your Library Waveform files,

    • name and location of your Library folders, and the

    • the selection of your Library Waveforms imported into the Signal Studio's Carrier n node, then
      click Finish and close the Library Manager window.

      Else, repeat steps 2 through 27 as required.

  28. Signal Studio: To verify that your waveforms are optimized for oversampling:

    1. Select any Frequency Offset, Initial Phase values,...

    2. Generate your waveforms.

    3. After generation: Click Hardware > Instrument > 5. Dual ARB and note the ARB Sample Clock parameter value.
      This value is the up-sampled value that Signal Studio has calculated for your waveforms and equipment and is the oversample value that enables optimum waveform generation time for your current measurement's settings.

    4. If you are satisfied with you generation times, then you have completed this procedure.
      Else, continue to next step.

    5. If you are dissatisfied with your generation times, verify that each of your Library Waveforms in the Waveform Setup node has this same sample value available, as one of their Available Source Sampling Rates. See Closed example:

    6. Library Manager: Add the missing ARB Sample Rate value, that is displayed in the Signal Studios Instrument node's ARB Sample Clock parameter, to your waveforms, by repeating steps 1 through 11.
      In the example (shown above in step e) the ARB Sample Clock value that needs to be added using the Library Manager is 61.44000000 MHz

    For more on the Library Waveform generation process, refer to the MSR - Generating a Library Waveform topic.

Related Topics

MSR - Generating a Library Waveform

MSR: Applying a Waveform Channel Filter

Library Waveform Carrier

Overcoming Test Challenges of MSR Base Station Components and Transmitters


Configuring the M9381A PXIe VSG for Multi-Channel Synchronization

To use the Signal Studio software in a multi-channel configuration with M9381A PXIe VSGs, the following must be true to ensure the system works properly.

Multi-channel capability (4x4 or greater) with the M9381A PXIe VSG requires Option MEU. Refer to Licenses for more information.

  • The Signal Studio software assumes the VSG follows the multi-channel reference solution typical configuration, using the accompanying configuration tools. Refer to the LTE/LTE-Advanced Multi-Channel, Reference Solution Startup Guide for more information. Also refer to the “Multi-Channel Reference Solution Typical Configuration” section of the M9381A PXIe Vector Signal Generator Configuration Guide.

  • Multiple VSGs should be configured using the Multi-Channel PXIe Config Utility. This program configures the backplane triggering, alignments, self-test and 89600 VSA software-hardware configuration.

  • The VSGs are assumed to be used in a multi-channel system, not as individual standalone VSGs.

    For example, if you configure four VSGs using the Multi-Channel PXIe Config Utility, it is assumed that all four VSGs are used together all the time. There should never be a case where any one of the four VSGs is used individually.


One Signal Generator Solution for MxN MIMO

This example shows you how to set up the equipment to use the Signal Studio for 3GPP LTE software to create waveform packets for a 2xN MIMO transmitter test application using one signal generator. Although this example demonstrates 2xN MIMO transmitter test, it is easy to expand it to 4xN MIMO by configuring the Signal Studio software.

In this example, only one signal generator (E4438C, N5182A, N5182B, and N5172B) is used. The Signal Studio for 3GPP LTE software pre-calculates the waveform packets and applies effects of specific channels, then loads the waveform packets into the signal generator one by one and applies the signal directly to the DUT's receiver inputs.


Multiple Antennas Solution without Baseband Timing or Phase Coherence

Real Time

Multiple Antennas Solution without Baseband Timing Alignment or RF Phase Coherence for MxN MIMO

Figure 1. Using Two E4438C ESG Vector Signal Generators

Figure 1 shows you how to set up two ESG signal generators for the Multiple Antennas Solution without Baseband Timing Alignment or RF Phase Coherence.

Two signal generators (with the same model number) are used, and a cable is connected from the 10 MHz OUT connector on the master signal generator to the 10 MHz IN connector on the slave.

The Event 2 connector on the master signal generator is connected to the Pattern Trigger In connector on each of the two signal generators to synchronize the start of waveform playback on both signal generators. The synchronization occurs immediately after the software downloads the waveforms to both signal generators. The Signal Studio software will send a SCPI command to the master signal generator to direct it to send a one-time event pulse through the Event 2 connector to itself and to the slave signal generator. Then, this pulse signal triggers the two signal generators to play back the waveform in synchronization. Note that there is still an error of one cycle of the baseband generator clock between the master and the slave. Each signal generator recognizes the pattern trigger input only at the next time that the BBG clock signal has a rising edge, and since the two BBG clocks are not phase matched, the rising edge can occur as much as one clock cycle apart on the two signal generators. To achieve baseband timing alignment, use the setup in Multiple Antennas Solution with Baseband Timing Alignment without RF Phase Coherence.

The EVENT 2 signal works as both a Trigger Source and an actual Marker 2 output signal. Before the waveform playback, EVENT 2 serves as the trigger source. After waveforms are triggered to play back, EVENT 2 no longer functions as a trigger source, but as a Marker 2 output, whenever marker 2 is present in the waveform.

When you start the Signal Studio software, choose a multiple antenna configuration (M x 2 in the simulated mode) in the System Configuration Wizard. You will be asked for connection information for the corresponding number of signal generators. Both signal generators must be the same model and both must have a valid license for Advanced Capability in order to have access to most of the software features for multiple antennas.

When you generate the waveforms for multiple antennas, the Signal Studio software pre-calculates the waveform packets and applies the effects of specific channels, then loads the composite waveform into each signal generator and applies it directly to the DUT.


Multiple Antennas Solution with Baseband Timing Alignment without Phase Coherence

Real Time

Multiple Antennas Solution with Baseband Timing Alignment without RF Phase Coherence for MxN MIMO

This topic describes the following configurations:

  • Using MXG/EXG X-Series Signal Generators

  • Using ESG Signal Generators with an N5181A Analog Signal Generator as an External BBG Clock

Using Four MXG/EXG X-Series Signal Generators

Figure 1. Using four MXG/EXG X-Series signal generators

Figure 1 shows you how to set up four X-Series signal generators (either N5182A, N5172B, or N5182B) for the Multiple Antennas Solution with Baseband Timing Alignment, but without RF Phase Coherence.

You can use multiple N5182A signal generators in the same system, or you can use N5172B and N5182B signal generators in the same system. However, you cannot use a mixture of N5182A signal generators and N5172B or N5182B signal generators in the same system.

If you are using an N5172B or N5182B and one or more N5182A signal generators, you must configure the N5172B or N5182B as the Master. In addition, the N5182A slaves must be at the end of the instrument chain.

The X-Series signal generator provides precise baseband timing alignment as a standard feature, which synchronizes the start of the BBG waveform playback of up to 16 signal generators. For the N5182A, or N8300A, the playback is synchronized to within a characteristic value of ± 8 ns between the master and the last slave. For the N5172B or N5182B, the playback is synchronized to within a characteristic value of ± 5 ns between the master and the last slave. This minor amount of delay (± 8 ns or ± 5 ns) can be reduced further to picosecond resolution by adjusting the I/Q Delay. To reduce the delay, check and adjust the BBG signal alignment for each signal generator in the system. For more information on adjusting the delay, see ”I/Q Adjustments” in the MXG/EXG X-Series user's guide.

The delay value includes compensation for cables that have less than 1 ns of propagation delay between the EVENT 1 and PAT TRIG connectors. To minimize synchronization delay, the Keysight BNC cable 10502A is the recommended cable for the rear-panel daisy chain connections.

The Event 1 connector on the master MXG/EXG rear panel is connected to the Pattern Trigger In connector on the slave MXG/EXG. This ensures that the two baseband generators are precisely synchronized at the start of the waveform playback. Synchronization occurs after the master signal generator sends a one-time event pulse through the Event 1 connector to the slave signal generator. Prior to this event, the slave signal generator must recognize that it is waiting for this event pulse, which occurs during the system configuration (see "Multiple Baseband Generator Synchronization" in the MXG/EXG X-Series user's guide. In order to properly send the synchronization pulse, the Dual ARB Player for each signal generator must be turned off. The trigger source on both signal generators is automatically set by the software. On the master MXG/EXG, it is set to "Bus" to wait for a SCPI command trigger through the GPIB or LAN bus. On the slave MXG/EXG, it is set to "External" to receive a trigger through the rear-panel PAT TRIG connector.

When you start the Signal Studio software, you will need to choose a multiple antenna configuration (M x 4 in this example) in the System Configuration Wizard. You will be asked for connection information for the corresponding number of MXG/EXG signal generators. The signal generators must have a valid license for Advanced Capability in order to have access to most of the software features for multiple antennas. Once you have connected to the MXG/EXG signal generators, the software will send the SCPI commands to the signal generators and will automatically finish the system configuration that is required by the synchronization process. This process is listed in "Multiple Baseband Generator Synchronization" in the MXG/EXG X-Series user's guide.

When you generate the waveforms for multiple antennas, the Signal Studio software pre-calculates the waveform packets and applies the effects of specific channels, then loads the composite waveform into each signal generator.

Using Two ESG Signal Generators with an N5181A Analog Signal Generator as an External BBG Clock

Figure 2. Using two E4438C ESG signal generators

Figure 2 shows you how to set up two ESG signal generators for the Multiple Antenna Solution with Baseband Timing Alignment, but without RF Phase Coherence.

When using E4438C ESG signal generators, each requires special option HEC to provide the external baseband generator clock input on the rear panel. Connect a cable from the 10 MHz OUT connector on the master signal generator to the 10 MHz IN connector on the slave. An N5181A MXG signal generator is used as an external common clock for the two baseband generators to ensure timing alignment of the baseband signals. The Event 2 connector on the master signal generator is connected to the Pattern Trigger In connector on each of the two signal generators. This ensures that the two baseband generators are triggered simultaneously, eliminating time errors in the waveform output. The synchronization occurs immediately after downloading the waveforms to both signal generators. The Signal Studio software will send a SCPI command to the master signal generator to direct it to send a one-time event pulse through the Event 2 connector to itself and to the slave signal generator. Then, this pulse signal triggers the two signal generators to simultaneously play back the waveform.

The EVENT 2 signal works as both a Trigger Source and an actual Marker 2 output signal. Before the waveform playback, EVENT 2 serves as the trigger source. After waveforms are triggered to play back, EVENT 2 no longer functions as a trigger source, but as a Marker 2 output, whenever marker 2 is present in the waveform.

When you start the Signal Studio software, choose a multiple antenna configuration (M x 2 in this example) in the System Configuration Wizard. You will be asked for connection information for the corresponding number of signal generators. Both signal generators must be the same model and both must have a valid license for Advanced Capability in order to have access to most of the software features for multiple antennas.

When you generate the waveforms for multiple antennas, the Signal Studio software pre-calculates the waveform packets and applies the effects of specific channels, then loads the composite waveform into each signal generator and applies it directly to the DUT.


Multiple Antennas Solution with Baseband Timing Alignment and RF Phase Coherence

Real Time

Multiple Antennas Solution with Baseband Timing Alignment and RF Phase Coherence for MxN MIMO

This topic describes the following configurations:

  • Using MXG/EXG X-Series Signal Generators

  • Using ESG Signal Generators

Using MXG/EXG X-Series Signal Generators

The figure above shows you how to set up two MXG/EXG X-Series signal generators (either N5182A, N5172B, or N5182B) for the Multiple Signal Generators Solution with Baseband Timing Alignment and RF Phase Coherence.

You can use multiple N5182A signal generators in the same system, or you can use N5172B and N5182B signal generators in the same system. However, you cannot use a mixture of N5182A signal generators and N5172B or N5182B signal generators in the same system.

If you are using an N5172B or N5182B and one or more N5182A signal generators, you must configure the N5172B or N5182B as the Master. In addition, the N5182A slaves must be at the end of the instrument chain.

To generate an RF phase coherent signal, the LO OUT signal from the master MXG/EXG is divided using a power splitter and then connected to the LO IN connectors of the master MXG/EXG and the slave MXG/EXG.

All X-Series signal generators in this setup require option N5182A-012, N5172B-012, or N5182B-012, which adds LO IN/OUT for RF phase coherency.

The X-Series signal generator provides precise baseband timing alignment as a standard feature, which synchronizes the start of the BBG waveform playback capability of up to 16 signal generators. For the N5182A, or N8300A, the playback is synchronized to within a characteristic value of ± 8 ns between the master and the last slave. For the N5172B or N5182B, the playback is synchronized to within a characteristic value of ± 5 ns between the master and the last slave. This minor amount of delay (± 8 ns or ± 5 ns) can be reduced further to picosecond resolution by adjusting the I/Q Delay. To reduce the delay, check and adjust the BBG signal alignment for each signal generator in the system. For more information on adjusting the delay, refer to the section entitled "I/Q Adjustments" in the MXG/EXG X-Series user's guide.

The delay value includes compensation for cables that have less than 1 ns of propagation delay between the EVENT 1 and PAT TRIG connectors. To minimize synchronization delay, the Keysight BNC cable 10502A is the recommended cable for the rear-panel daisy chain connections.

The Event 1 connector on the master MXG/EXG rear panel is connected to the Pattern Trigger In connector on the slave MXG/EXG. This ensures that the two baseband generators are precisely synchronized on the start of the waveform playback. Synchronization occurs after the master signal generator sends a one-time event pulse through the Event 1 connector to the slave signal generator. Prior to this event, the slave signal generator must recognize that it is waiting for this event pulse, which occurs during the system configuration. (Refer to the section entitled "Multiple Baseband Generator Synchronization" in the MXG/EXG X-Series user's guide.) In order to properly send the synchronization pulse, the Dual ARB Player for each signal generator must be turned off. The trigger source on the both signal generators is automatically set by the software. On the master MXG/EXG, it is set to "Bus" to wait for a SCPI command trigger through the GPIB or LAN bus. On the slave MXG/EXG, it is set to "External" to receive a trigger through the rear-panel PAT TRIG connector.

When you start Signal Studio software, you must select a multiple signal generator configuration (for example, Mx2) in the System Configuration Wizard. You will be asked for connection information for the corresponding number of MXG/EXG signal generators. Both signal generators must have a valid license for advanced capability in order to have access to the software features for multiple antennas. Once you have connected to both MXG/EXG signal generators, the software sends SCPI commands to both signal generators and automatically completes the system configuration. You can now perform the steps to synchronize the baseband generators of each MXG/EXG. (Refer to the section entitled "Multiple Baseband Generator Synchronization" in the MXG/EXG X-Series user's guide.)

When you generate the waveforms for multiple antennas, the Signal Studio software pre-calculates the waveform packets and applies the effects of specific channels, then loads the composite waveform into each signal generator.

Using ESG Signal Generators

This example shows you how to set up the ESG signal generators to use the Signal Studio software for a Mx2 (2-channel receiver) MIMO receiver test application with baseband timing alignment and RF phase coherency. Although this example demonstrates Mx2 MIMO, it is easy to expand it to Mx4 MIMO by adding extra signal generators, connecting the corresponding cables, and configuring the Signal Studio software.

Two signal generators (with the same model number) are used and the 10 MHz references are connected between them. When using E4438C ESG signal generators, each requires special options HEC, HCC and HBC. Option HEC provides the external baseband generator clock input on the rear panel. Option HCC Provides 250 MHz - 4 GHz IN & OUT on the rear panel. Option HBC provides 4 GHz - 6 GHz IN & OUT on the rear panel. A distribution network is used to take the LO signal from the master signal generator and to amplify and split that signal so that it can serve as the LO for both the master and slave signal generators, thus providing phase coherency for the RF signal output signals. It also provides an external common clock for the two baseband generators, which ensures timing alignment of the baseband signals. Note that the phase offset of each signal generator can be corrected by changing the starting phase of the I/Q waveform. The Event 2 connector on the master signal generator is connected to the Pattern Trigger In connector on each of the two signal generators. This ensures that the two baseband generators are triggered simultaneously, eliminating time errors in the waveform output. The synchronization occurs right after downloading the waveforms to the both signal generators. The Signal Studio software will send a SCPI command to the master signal generator to direct it to send a one-time event pulse through the Event 2 connector to itself and the slave signal generator. This pulse signal then triggers the two signal generators to simultaneously play back the waveform.

The EVENT 2 signal works as both a Trigger Source and an actual Marker 2 output signal. Before the waveform playback, EVENT 2 serves as the trigger source. After waveforms are triggered to play back, EVENT 2 no longer functions as a trigger source, but as a Marker 2 output, whenever marker 2 is present in the waveform.

When you start the Signal Studio software, you will need to choose a multiple signal generator configuration (for example, Mx2) in the System Configuration Wizard. You will be asked for connection information for the corresponding number of signal generators. The signal generators must be the same model and must have valid licenses for advanced capability in order to have access to most of the software features for MIMO.

When you generate the waveforms for multiple antennas, the Signal Studio software pre-calculates the waveform packets and applies the effects of specific channels, then loads the composite waveform into each signal generator and applies it directly to the DUT.


Manual Synchronization of MIMO Systems

When Signal Studio is used to download and initiate waveform playback in multiple signal generators, it sends SCPI commands to set up the triggering parameters and initiate the waveform playback so that the playback starts at the same time in each instrument. If you choose to store waveforms in the signal generators and recall them for playback from the signal generator memory, rather than using Signal Studio directly, additional steps are needed to get synchronized waveform playback. The front panel keystrokes in the procedure below can be replaced by SCPI commands in a software program.

First, connect the signal generators as shown in the Tutorials section of the online help for your desired configuration:

  • Multiple Antennas Solution without Baseband Timing Alignment or RF Phase Coherence for MxN MIMO

  • Multiple Antennas Solution with Baseband Timing Alignment without RF Coherence for MxN MIMO

  • Multiple Antennas Solution with Baseband Timing Alignment and RF Phase Coherence for MxN MIMO

E4438C ESG Signal Generator Setup

Make sure that the EVENT 2 output of the master ESG is connected to the PATT TRIG IN 1 connectors on both the master and slave ESGs. The 10 MHz references should be connected between the instruments.

  1. For each signal generator, press these keys: Preset > Mode Setup > Dual Arb > Trigger > Trigger Setup > Trigger Source > Ext Source and verify that Patt Trig In 1 is selected. Next, press Return > Continuous Mode and set this to Trigger & Run. This will set up the signal generator to start playing back the waveform continuously when it receives an external trigger input on the PATT TRIG IN 1 connector, and to ignore further trigger signals.

  2. On each signal generator, select the desired waveform, but leave the ARB turned off:

    1. Press Mode > Dual ARB > Waveform Segments, then select and load the desired segment(s).

    2. Press Return > Select Waveform, and select the desired waveform file.

  3. Send the following SCPI commands to the master ESG to prepare it to output periodic triggering pulses on the EVENT 2 output. If you are not using a software program to control the test, you can use the Keysight Connection Expert to connect to the signal generator and send the following SCPI commands:

    diag:bbg:mon "ww a6000004 30"

    diag:bbg:mon "ww a6000058 6000"

    diag:bbg:mon "ww a600005c 6001"

  4. Turn on the ARB in each signal generator: Local > Mode Setup > ARB On (if needed). Set the desired frequency and amplitude for the output signal and turn RF on.

  5. Send these SCPI commands to the master ESG to generate the trigger pulses to start the waveform playback and to stop the pulse generation. No delay is needed between the commands since the hardware works faster than the SCPI command processing.

    diag:bbg:mon "ww a6000056 3"

    diag:bbg:mon "ww a6000056 0"

Turning off the Arb on any of the signal generators will cause a loss of synchronization. To re-synchronize the waveform playback or change to a different waveform(s), repeat steps 2-5.

MXG/EXG X-Series Signal Generator Setup

Make sure that the EVENT 1 output from the master MXG/EXG is connected to the PAT TRIG IN on the slave MXG/EXG. If additional slaves are present, the EVENT 1 output of each slave should be connected to the PAT TRIG IN of the next slave in the system. The 10 MHz references should be connected between the instruments.

You can use multiple N5182A signal generators in the same system, or you can use N5172B and N5182B signal generators in the same system. However, you cannot use a mixture of N5182A signal generators and N5172B or N5182B signal generators in the same system.

If you are using an N5172B or N5182B and one or more N5182A signal generators, you must configure the N5172B or N5182B as the Master. In addition, the N5182A slaves must be at the end of the instrument chain.

  1. On the master MXG/EXG, press these keys to set up the trigger type, trigger mode, and trigger source: Preset > Mode > Dual ARB > Trigger Type > Continuous > Trigger & Run > Trigger Source > Trigger Source. Here you can choose Trigger Key, Bus, or Ext as the trigger source. Trigger Key is convenient for manual operation. Bus trigger can easily be sent with a SCPI command so that is a good choice if the measurement is automated. Ext uses an external trigger signal applied to Patt Trig In 1 (by default), which is the PAT TRIG rear panel connector.

  2. If Ext was selected for the Trigger Source, disconnect the external trigger signal from the PAT TRIG input on the master MXG/EXG.

  3. On the slave MXG/EXG(s), press these keys to set up the trigger type and trigger mode. The default trigger source of Patt Trig will be used: Preset > Mode > Dual ARB > Trigger Type > Continuous > Trigger & Run. Press these keys to verify that the trigger source is set to External, with External defined to be the rear panel Patt Trig In 1 input: Trigger Source > Trigger Source > Ext > Ext Source > Patt Trig In 1 > Ext Polarity Pos.

  4. Press these keys to set up the master MXG/EXG for the Multi-BBG Sync function: Mode > Dual ARB > ARB Setup > More > Multi-BBG Sync Setup > Multi-BBG Sync Type > Master then

    • for a N5182A master, set Number of Slaves as appropriate.

    • for an N5172B or N5182B master, set Total Number of Slaves and Number of MXG-A Slaves as appropriate.

  5. On each slave MXG/EXG, press these keys to set up the Multi-BBG Sync function: Mode > Dual ARB > ARB Setup > More > Multi-BBG Sync Setup > Multi-BBG Sync Type > Slave then

    • for a N5182A slave, set Number of Slaves and Slave Position as appropriate.

    • for an N5172B or N5182B slave, set Total Number of Slaves, Number of MXG-A Slaves, and Slave Position as appropriate.

  6. On each slave MXG/EXG, press Listen for Sync.

  7. On the master, press Sync Slaves. The status on all MXG/EXGs should show In Sync.

  8. In each MXG/EXG, select the desired waveform file and turn ARBS ON: Mode > Dual ARB > Select Waveform > Waveform Segments to load the waveform files into the baseband generator memory if needed, then highlight the desired waveform file and press Select Waveform > ARB On. Set the desired frequency and amplitude for the output signal and turn RF on.

  9. Initiate the waveform playback using one of these steps, depending on which Trigger Source was selected in step 1:

    1. Trigger Source = Trigger Key: press Trigger to start the waveform playback.

    2. Trigger Source = Bus: Send the *TRG SCPI command to the master MXG/EXG. If you are not using a software program to control the test, you can use the Keysight Connection Expert to connect to the signal generator and send the SCPI commands.

    3. Trigger Source = Ext: Connect the external trigger signal to the PAT TRIG input on the master MXG/EXG.

  10. To change waveforms or resynchronize the MXG/EXGs:

    1. If using an external trigger for the master MXG/EXG, disconnect it or turn it off.

    2. Turn off all of the ARBs by pressing Mode > Dual ARB > ARB Off and press ARB Setup > More > Multi-BBG Sync Setup on each MXG/EXG.

    3. Repeat steps 6 through 9.


Multiple Antenna Solution with PXB

Real Time

Multiple Antennas Solution with PXB

  1. Configure the PXB

    1. In the Configuration Browser, expand the Single-user MIMO selection

    2. Select 2x2 MIMO

    1. Click the Load Configuration button.

  2. Configure Signal Studio for a PXB connection

    1. From the Signal Studio toolbar, click Select > Run System Configuration Wizard.

    2. In Step 1 of System Configuration Wizard, select 2 Antennas.

    3. In Step 2 of System Configuration Wizard, select PXB.

    4. In Step 3 of System Configuration Wizard, select < New >.

    5. In Step 4 of System Configuration Wizard, enter the hostname or IP address of the PXB as follows:

      • If you are running Signal Studio on the PXB, enter "localhost" in the Hostname/IP Address field.

      • If you are running Signal Studio on an external PC connected to the PXB, enter the hostname or IP address of the PXB in the Hostname/IP Address field. (To find the hostname or IP address, click System > Product Information in the PXB user interface.)

    6. Wait for Step 5 of System Configuration Wizard to test the connection.

    7. In Step 6 of System Configuration Wizard, enter a name for your system and click Finish.

  3. Set up your waveform in Signal Studio. Make sure to enter a name in the Waveform Name field in the Waveform Setup node.

    When you establish a connection between the Signal Studio software and the PXB, Signal Studio recognizes the number of baseband generators (BBGs) in the currently loaded PXB configuration. Signal Studio creates a waveform file (Ant0, Ant1, Ant2, and so on) for each antenna configured in the System Configuration Wizard. The default behavior is for Signal Studio to download waveform file Ant0 to BBG1 in the PXB, waveform file Ant1 to BBG2, and so on. In the Baseband Channel Assignment cell in the Signal Studio Instrument node, the default BBG assignments are displayed as a comma-separated list.

    The Baseband Channel Assignment parameter enables you control the assignment of each waveform file to a specific BBG resource, rather than accepting the default.

    For example, when the PXB has two BBGs and Signal Studio generates two waveform files, the default is to download waveform file Ant0 to BBG1 and waveform file Ant1 to BBG2. The Signal Studio software displays this default assignment in the Baseband Channel Assignment cell as 1,2.

    You can assign Ant0 to BBG2 and Ant1 to BBG1 by making the corresponding change to the comma separated list (2,1).

  4. Click the Generate and Download button [image] in the Signal Studio toolbar to download the waveforms to the PXB.

  5. Click the Load Waveforms button on the PXB.

  6. Select the waveform files you downloaded from Signal Studio for BBG1 and BBG2 and click the Download button on the PXB.

  7. Click the Play button on the PXB.

The diagram below shows the general system configuration:


MIMO Characteristic Performance Analysis

Overview

The following characteristic performance results and analysis are for typical 2X2 MIMO systems comprised of E4438C ESG, N5182A/N5182B MXG, and N5172B EXG vector signal generators. They are valid for N7625B Signal Studio for 3GPP LTE and also for other Signal Studio applications that support MIMO (for example, N7615B Signal Studio for 802.16 WiMAX and N7617B Signal Studio for 802.11 WLAN) since this performance is determined by the hardware platform and not the application-specific signals/waveforms.

This topic describes the MIMO performance for the following vector signal generators:

  • E4438C ESG

  • N5182A MXG, N5182B MXG, and N5172B EXG

E4438C ESG Performance

Test Overview

The following ESG MIMO configurations were tested:

A: ESGMIMO System without Baseband Timing Alignment or RF Phase Coherence

B: ESGMIMO System with Baseband Timing Alignment without RF Phase Coherence

C: ESGMIMO System with Baseband Timing Alignment and RF Phase Coherence

Two characteristic performance attributes were analyzed for each configuration. They are Phase Difference (between 2 ESG’s) vs. Time (at a fixed temperature) and Phase Difference vs. Temperature. The Keysight dual channel 89641S vector signal analyzer (VXI) was used to perform the measurements. The phase difference and other noise introduced by the 89641S have been removed from the measurement results, so the signal generator performance is accurately represented.

The following characteristic performance graphs are representative of the measurement results achieved on three sets of 2-ESG systems.

Test Results

Legend for pictures below:

  • Dark blue curve - measured phase difference.

  • Light blue curve - mean value of phase difference (every 20 points).

  • Pink line - Fitted line from the dark blue curve; shows the trend of the phase difference.

1. Results of configuration A: Two ESG MIMO system without common baseband clock and without RF phase coherency

Figure 1-1 Phase difference over time for configuration A

At fixed room temperature of 26° C; Output Power = –10 dBm; Frequency = 2.412 GHz.

240 test points per 60 minutes.

From the plot, we can see 2.8 degrees phase change over 12 hours (pink line). The average peak-to-peak jitter of the phase difference is about 1.5 degrees (dark blue curve).

Figure 1-2 Phase difference over temperature for configuration A

Output Power = –10 dBm; Frequency = 2.412 GHz

From the plot, we can see about 35 degrees phase change per degree Celsius temperature change.

2. Results of configuration B: Two ESGMIMO system with common baseband clock and without RF phase coherency

Figure 2-1 Phase difference over time for configuration B

At fixed room temperature of 26° C; Output Power = –10 dBm; Frequency = 2.412 GHz.

240 test points per 60 minutes.

From the plot, we can see 5.8 degrees phase change over 12 hours. The average peak-to-peak jitter of the phase difference is about 1.5 degrees.

Figure 2-2 Phase difference over temperature for configuration B

Output Power = –10 dBm; Frequency = 2.412 GHz

From the plot, we can see about 40 degrees phase change per degree Celsius temperature change.

3. Results of configuration C: Two ESGMIMO system with common baseband clock and with RF phase coherency

Figure 3-1 Phase difference over time for configuration C

At fixed room temperature of 26° C; Output Power = –10 dBm; Frequency = 2.412 GHz.

240 test points per 60 minutes.

From the plot, we can see 0.17 degree phase change over 12 hours (pink line). The average peak to peak jitter of phase difference is about 0.15 degree (dark blue curve).

Figure 3-2 Phase difference over temperature for configuration C

Output Power = –10 dBm; Frequency = 2.412 GHz

From the plot, we can see about 0.03 degree phase change per degree Celsius temperature change.

Analysis for ESG Performance

As seen in the phase difference drift measurement results above, there are 2 main components in the phase difference drift:

1. Phase Difference A (referred to as PDA in this document) is the jitter or noise-like vibration shown in the phase difference curve, which is caused by phase noise.

2. Phase Difference B (referred to as PDB in this document) is the trend of the phase difference drift.

We use "Phase Difference” as the simplification of "Phase Difference Drift” in this document.

From the tests for all three cases, we can see that PDA dominates the measurement results. PDB is much smaller and its impact to most MIMO measurements is negligible. The analysis is:

  • If the environment temperature is stable (fixed), we can see that the phase difference drift is very slow, so only in a long-term continuous test could PDB be accumulated up to a value to be comparable with PDA. The continuous test means that there is no re-referencing in the test, i.e. no reset of the reference constellation etc. If the test is not continuous, PDB will be eliminated at re-referencing and will not be accumulated. Use configuration B, which has the fastest phase difference drift, as an example: it takes about (1.5/RMS_Factor )/(5.8/12) = 1.1 hour for PDB to be accumulated up to be comparable with PDA (1.5 degree peak-to-peak jitter) in a continuous test, where RMS_Factor is the factor to convert peak phase difference to RMS phase difference. This factor is 2.8, which is calculated from the test results. For configuration A and C, which have slower phase difference drifts, it takes even longer time.

  • If the environment temperature changes, the phase of one source may change relative to another source, even when both are locked to the same 10 MHz reference. The phase drift will continue over a long period as the source stabilizes at the new temperature. For example, if the environment temperature changes 5 degrees in 1 minute, it takes approximately 50 minutes for the source phase to settle.

  • But in ordinary measurements, such as the EVM measurement by the Keysight 89641S VSA, the data was captured within periods of several hundred milliseconds. The test reference (reference constellations) are reset at each capture (not continuous across captures). So, according the analysis above, the PDB doesn’t have time to accumulate in ordinary test (capture) periods and therefore it is very small in ordinary measurements. Thus it doesn't have any impact to the ordinary EVM and other MIMO measurements as compared to PDA under either the fixed or changing temperature conditions. In conclusion, PDA is the main factor that may impact your MIMO measurements, and PDB can be ignored.

Worst-case equivalent EVM for the phase difference values

If it is difficult for you to evaluate the impact of the phase difference value to your MIMO measurements, here we provide an approximate EVM equivalent to it which may help your evaluation. But the following conditions must be noted:

  • The values are worst case RMS EVM for the 2X2 MIMO setup with no fading case and an assumption is that there is no correction or optimization capability in the EVM measurement algorithm or the receiver. (Typically, either the receiver or the EVM calculation will do optimization to get the smallest residual EVM values.) Due to the pre-conditions above, the equivalent EVM values are the worst case values and may not be seen in real measurements.

  • The phase difference needs to be very small (<= 5 degrees) in order for us to take the approximations below. For all of the test results above, this assumption is met.

As concluded above, only PDA needs to be considered when making EVM measurements. As a result, the average peak-to-peak magnitude values of jitter are used for the phase difference values.

According to the first condition above (MIMO setup without fading, no correction), we can see the phase difference is an error angle in the constellation, which will introduce an EVM phase error without magnitude error. According to the second condition above, the EVM value can be approximated by the sine or tangent value of the phase difference, and then approximated to the phase difference itself (in radians). So we get the following formula:

EVMrms (worst-case equivalent) = (PhaseDifferencepp(peak-to-peak-of-jitter) * PI/180) / (2*RMS_Factor)

where the factor 2 is the average factor for a 2x2 MIMO system which is used to put the EVM into two spatial streams to get the average EVM. RMS_Factor is the factor to convert peak phase difference to RMS phase difference. This factor is 2.8, which is calculated from the test results.

So we get

EVMrms = 0.0031167* PhaseDifferencepp

This formula calculates the worst-case equivalent EVM for the phase difference impact to your MIMO measurement as below:

  • For configuration A and B: PhaseDifferencepp = 1.5 degree; worst-case equivalent EVM = 0.0047 (0.47%)

  • For configuration C: PhaseDifferencepp = 0.15 degree; worst-case equivalent EVM = 0.00047 (0.047%)

Conclusion

If your test requires phase coherency in your MIMO systems (e.g. you are working on beamforming in MIMO), you should choose configuration C.

Another benefit of configuration C is much smaller PDA, which results in much smaller worst case equivalent EVM. If you need to do high precision MIMO test, e.g. EVM with < 0.047% precision, etc., you may choose configuration C. But be aware that other components in your test setup, such as the receiver or analyzer, also contribute noise error that impacts the final precision of the measurements.

We don’t see significant differences between configuration B and configuration A in terms of phase difference drift. But configuration B will provide phase lock of the baseband clock between the ESGs. So, you should choose it if you need the locked phase (same phase or constant difference in phase) between the baseband clocks of the 2 or more ESGs.

N5182A MXG, N5182B MXG, and N5172B EXG Performance

You can use multiple N5182A signal generators in the same system, or you can use N5172B and N5182B signal generators in the same system. However, you cannot use a mixture of N5182A signal generators and N5172B or N5182B signal generators in the same system.

If you are using an N5172B or N5182B and one or more N5182A signal generators, you must configure the N5172B or N5182B as the Master. In addition, the N5182A slaves must be at the end of the instrument chain.

Test Overview

The following MXG/EXG MIMO configurations were tested:

A: MXG/EXG MIMO system with baseband timing alignment and without RF phase coherency

B: MXG/EXG MIMO system with baseband timing alignment and with RF phase coherency

Two characteristic performance attributes were analyzed. They are Phase Difference (between 2 MXG/EXG’s) vs. Time (at fixed temperature) and Phase Difference vs. Temperature. The Keysight dual channel 89641S vector signal analyzer (VXI) was used to perform the measurements. The phase difference and other noise introduced by the 89641S have been removed from the measurement results, so the signal generator performance is accurately represented.

The following characteristic performance graphs are representative of the measurement results achieved on two sets of 2-MXG/EXG systems.

Test Results

4. Results of configuration A: Two MXG/EXG MIMO system with baseband timing alignment and without RF phase coherency.

Figure 4-1 Phase difference over time for configuration A

At fixed room temperature of 25° C; Output Power = –10 dBm; Frequency = 2.412 GHz.

1 test point per minute.

From the plot, we can see the fastest trend change is 0.13 degrees Celsius per minute. The average peak-to-peak jitter of phase difference is about 1.5 degrees.

Figure 4-2 Phase difference over temperature for configuration A

Output Power = –10 dBm; Frequency = 2.412 GHz

From the plot, we can see about 37 degrees phase change per degree Celsius temperature change.

5. Results of configuration B: Two MXG/EXG MIMO system with baseband timing alignment and with RF phase coherency.

Figure 5-1 Phase difference over time for configuration B

At fixed room temperature of 26° C; Output Power = –10 dBm; Frequency = 2.5 GHz.

600 test points per 60 minutes.

From the plot, we can see a 0.05 degree phase change over 12 hours (pink line).

The average peak-to-peak jitter of phase difference is about 0.06 degrees (dark blue curve).

Figure 5-2 Phase difference over temperature for configuration B

Output Power = –10 dBm; Frequency = 2.412 GHz

From the plot, we can see about 37 degrees phase change per degree Celsius temperature.


Using Envelope Tracking

Envelope tracking (ET) enables you to build, import, and manage multiple shaping tables that can be used to change the power supply voltage levels of a power amplifier (PA), according to the behavior of the RF signal's envelope. This allows you to test PAs for improved battery efficiency and signal quality (i.e. increase output power, reduce distortions, and improve linearity). This Closed system overview diagram shows how the Signal Studio's envelope tracking control helps you perform ET testing efficiently.

The remaining sections of this topic together provide an example procedure for using Signal Studio's envelope tracking control.

  • System Configuration

  • Step 1: Verify IQ Waveform

  • Step 2: Manage Envelope Shaping Tables

  • Step 3: Generate and Shape the Envelope Signal

  • Step 4: Mange Arbitrary Waveform Generator (AWG) for Envelope Generation

  • Step 5: Specify Frequency and RF Power

  • Step 6: Adjust AWG Output Settings

  • Step 7: Generate Signals and Adjust Timing

System Configuration

The ET system used in the following example procedure is comprised of the following:

  • PC running the Signal Studio software

  • N5172B/82B MXG RF vector signal generator

  • 33521A/22A, 33521B/22B, or 33621A/22A arbitrary waveform generator

Connect the equipment as shown below.

Step 1: Verify IQ Waveform

  1. Click the IQ Waveform block.

  2. Click the Generate Waveform icon to view spectrum and CCDF curve.

You can skip these steps and generate IQ waveform together with envelope later.

Step 2: Manage Envelope Shaping Tables

  1. Click the Shaping Table Manager block.

  2. In this window, you can do the following:

    • Select and apply a shaping table

    • Create new shaping tables

    • Assign a unique name to a shaping table

    • Edit the currently selected shaping table

    • Import and export shaping tables as CSV files

  3. Make sure you select (highlight) the table you want to apply before going to next step.

Step 3: Generate and Shape the Envelope Signal

  1. Click the |X| and Transformation block.

  2. In the parameter view, set the Oversampling ratio for the Envelope Data. Higher sample rates produce smoother envelope traces, but use more arbitrary memory space and increase bandwidth.

  3. Click the Generate Envelope Data button.The shaping table you selected in the previous step will now be applied to the generated envelope data.

  4. Compare envelopes before (green) and after (yellow) applying the shaping table. The envelope graph shows only the beginning portion of the entire waveform, so it may not include the largest peak point. Maximum and minimum peak envelope voltage is shown at the top of the graph.

  5. Set the Conversion Input Type. Choices include the following:

    • Absolute RF Output Voltage: Use RF output voltage value as conversion table x-axis value. If RF output amplitude is changed, converted data may be changed.

    • Normalized RF Output Voltage: Use normalized power value of IQ waveform data as conversation table x-axis value. Value range is 0 – 1, so that the 0 – 1 range of x-axis are always used for the conversion. RF output amplitude does not affect the conversion.

    • Override Absolute RF Output Voltage: Apply fixed value (not linked to RF output voltage). Fixed value is provided in the Power for transformation input parameter.

  6. Set the Power for transformation input. This value is used for the rms power level of RF signal for transformation input instead of RF output voltage from RF signal generator amplitude. This parameter appears only when the Conversion Input Type is set to Override Absolute RF Output Voltage.

  7. Set the Pre Conversion Filter. Applies a band-limiting, low-pass filter (LPF) to the envelope. Bandwidth can be arbitrarily specified from 1 MHz to 200 MHz. The LPF becomes pass-through when the LPF bandwidth is greater than half of the envelope sample clock.

Step 4: Mange Arbitrary Waveform Generator (AWG) for Envelope Generation

  1. Click the Envelope Signal Generator block.

  2. Enter the address for the AWG and click the Check Connection button.

  3. Specify voltage range and limits to protect ETPS input. Output Limit State must be set to On for limit settings to work.

  4. Set the Output Load impedance: 50 Ohm, 100 Ohm, or High-Z.

  5. For differential operation, select Inverted for Dual Channel Operation. Dual channel operation requires a 33522A/B.

Step 5: Specify Frequency and RF Power

  1. Click the RF Signal Generator block.

  2. Set RF frequency, amplitude, and other parameters.

  3. Configure trigger settings.

    Default setting for Continuous is set to Free Run.

    To Trigger with external trigger input:

    • Set Trigger Source to External

    • Set Continuous to Trigger & Run

    To Trigger using the Trigger button on the RF Signal Generator:

    • Set Trigger Source to Trigger Key

    • Set Continuous to Trigger & Run

  4. These settings will be applied when you download the IQ waveform and envelope data. Notice that the On-the-Fly indicator in the lower-left corner is set to "Idle." After downloading, the indicator changes to "Connected," allowing you to make real-time changes to these instrument settings.

Step 6: Adjust AWG Output Settings

  1. Click the DUT block.

  2. Specify how Vpp and Common Mode Offset voltage (Vcm) corresponds to Shaping Table Y-axis.

    Mapped High/Low is mapped to the max value of shaping table Y-axis.

    Vcm sets common mode voltage.

    As you change RF power, actual voltage swing level will be changed (requires re-generation of envelope).

  3. Actual AWG voltage setting is shown as “Amplitude” and “Offset” in “Envelope Signal Generator.”

See ETPS Input Voltage Mapping for more information.

Step 7: Generate Signals and Adjust Timing

  1. Press “Generate and Download” button in the toolbar to download IQ and envelope data along with initial configurations.

    Notice “Connected” shown in lower left.

  2. Perform timing tuning between IQ and envelope.

    Change delay amount and step size.

    Timing adjustment setting is applied as you change the value.


Voltage Mapping in Envelope Tracking Control

Overview

Typically, the shaping table defines the relationship between RF amplitude and the PA supply voltage (Vcc), which is ETPS output voltage. On the other hand, the envelope signal generator generates the signal for ETPS input. Normally, ETPS has some gain and you need to convert ETPS output to input voltage for setting the proper amplitude for the envelope signal generator, using voltage mapping.

Figure 1 shows the relationship between RF, ETPS output (Vcc), and ETPS input voltages.

Figure 1. Relationship Between ET System and Shaping Table (enlarge image)

Step 1. Determine the Shaping Table Type

  1. In the Envelope Tracking Control window, click the DUT block to select a shaping table type from the Transformation Input Type group. Typically, you would select one of the following:

    Normalized RF Output shaping table takes normalized input (from 0 to 1) based on IQ magnitude. It supports shaping at specific RF power level, thus multiple shaping tables need to be switched to support different power level shaping. The shaping input is always scaled to use full scale of shaping table input. (See Figure 2.)

    Figure 2. Normalized Input Shaping Table (enlarge image)

    Absolute RF Output based shaping table covers multiple powers with a single shaping table. Depending on the RF power, input power changes the range of shaping table to be used. The shaping table input is in voltage and the Signal Studio software assumes a 50-ohm termination. (See Figure 3.)

    Figure 3. Absolute RF Power Input Shaping Table (enlarge image)

Step 2. Obtaining Envelope Max/Min Voltage

  1. Select shaping table to use in the Shaping Table Manager block.

  2. If you had selected Absolute RF Output as the Transportation Input Type in Step 1, set the Amplitude in the RF Signal Generator block.

  3. In the |X| and Transformation block, click [image] ("Generates I/Q and Envelope Waveforms”). This gives you envelope max/min voltage on top of envelope trace.

Step 3. Configure Voltage Mapping Using Excel Sheet

  1. Populate the yellow cells in the Excel spreadsheet ET Voltage Mapping.xlsx.

    1. Shaping Table Output (Envelope) High/Low

    2. Voffset (REF)

    3. ETPS Gain

    4. If Single Ended ETPS input is used, set “Differential Gain (D4)” to 1.

  2. Enter values from the spreadsheet in the appropriate Envelope Voltage Mapping fields of the DUT block.

    1. Shaping Table Output High (B4) and Low (B5) to Transformed High/Low

    2. Voffset (B6) to Ref and mark the checkbox

    3. "DAC Scale Corrected ETPS Input (Single Ended)" High (H4) and Low (H5) to Mapped High/Low

    4. Vpp (H6) is automatically set in software. No action required.

    5. Common mode voltage (H7) to Vcm

After generating and downloading waveforms, desired envelope Vpp will be shown in the Amplitude field of the Envelope Signal Generator group.

Figure 4. Voltage Mapping Calculation Using Excel (enlarge image)

Transformed “REF” voltage and Envelope DAC Data

Reference voltage (Ref) defines how the voltage swings around 0 V in differential output. By default, the reference voltage is set at the middle point of Transformed High/Low voltage. If you want to offset the voltage swing, you can override it by marking the Ref checkbox and specify voltage manually.

Figure 5. Transformed Voltage and Envelope Waveform Generation (enlarge image)

The Transformed voltage parameters are used to determine how the envelope waveform data uses the Arbitrary Waveform Generator’s DAC. Reference voltage corresponds to 0 V DAC. If you override Ref and offset the reference point, the DAC data will not use DAC full scale as shown in Figure 5 above. Since Mapped voltage assumes full scale DAC voltage, the actual envelope voltage from AWG will be smaller than Mapped Vpp. To scale envelope voltage swing to be desired voltage, mapped voltage needs to compensate DAC scaling. The ET Voltage Mapping.xlsx spreadsheet performs DAC scaling correction.

Figure 6. Mapped Voltage and DAC Scaling Correction (enlarge image)

Automated Voltage Mapping

When a normalized shaping table is used, voltage mapping with DAC scaling correction can be done automatically using the following steps:

  1. Select Normalized RF Output in Transformation Input Type group of the DUT block.

  2. Set Transformed High/Low and Ref voltage (Refer to Step 2 above).

  3. Enter gain correction value in ETPS Gain Adjust to compensate ETPS gain and differential gain (6.02 dB) in dB. If you have 7 dB ETPS gain, your total gain correction is -13.02 dB (=7 dB + 6.02 dB).

  4. Uncheck Mapped and check Hold Vpp.

Figure 7. Automated Voltage Mapping (enlarge image)


User Interface

User Interface Basics | describes basic features of the user interface.
Menu Bar and Tool Bar | describes the functions of menu selections and toolbar icons.
Status Window | describes the features of the Status window.
Status Bar | describes the information provided in the Status Bar.
Quick Setups | describes how to save software and hardware settings for later use.
Hardware Settings | describes how to view and configure connected instrument parameters.
Licenses | describes the Licenses node.
Waveform Setup | describes how to configure waveform parameters


User Interface Basics

Working with Cells

The software interface uses cells for configuring various parameters. Some cells have discrete settings; others are arbitrary. For example, RF Output (in the Basic section of the Arb or Real Time Signal Generator node)uses discrete settings. You must select either On or Off.

RF Amplitude uses arbitrary settings. You can enter any value within the designed range.

To change a discrete setting, double-click the cell with the parameter name, or double-click the cell containing the current setting of the parameter. Each double-click changes the parameter to the next available selection. All non-default selections appear in bold text.

You can also change a setting by clicking the down arrow of the cell and clicking the desired selection.

To change an arbitrary setting, double-click either the cell with the parameter name, or the cell containing the current parameter setting. When the setting is highlighted, enter the new value. All non-default values appear in bold text.

Viewing Parameter Descriptions

Select the Hint check box [image] and then click a parameter cell to display a brief description of the parameter.

Using the Tree View

The left pane of the main window, called the Closed tree view, enables you to navigate between quick setups, hardware setups, and waveform setups. The right pane of the main window, called the Closed parameter view, enables you to view and change instrument settings and waveform settings. Selecting an item in the tree view displays the related elements in the parameter view.

Resizing Window Panes and Cell Columns

You can resize window panes and cell columns for better viewing. As you move the mouse pointer over a border, it changes form, indicating that the border can be moved Closed horizontally or Closed vertically. Hold down the left mouse button and drag the border to its new position.

Mouse pointer for

horizontal resizing

Mouse pointer for

vertical resizing

Collapsing and Expanding Tables

To create more viewing space in a window pane, you can collapse selection tables you are not using. To collapse the table, click the minus [image] box next to the table title. To expand the table, click the plus [image] box.


Menu Bar and Tool Bar

Click an icon or a command in the menus shown below to view its description.

File

New

Open...

Save As...

Export Waveform Data

Recent Settings Files

Exit

View

Show Legacy Carrier

Control

Generate Waveform

Generate and Download

Update Hardware Settings

System

Change Hardware Connections

Run System Configuration Wizard

Tools

Status Window

Waveform Library...

Envelope Tracking...

Options

Help

Contents F1

Index

Search

API Reference

Software License Terms

Keysight Signal Studio Website

About

File

New [image] sets the software to its standard initial state using the current hardware configuration. The window name changes to Closed Untitled. Rename and save the new setup as a settings (.scp) file (saving only the software parameters), a GZIP format compressed settings file (.scpz), or as a Quick Setup (saving the current hardware and software parameters).

Open... opens a saved settings (.scp) or compressed settings (.scpz) file. Opening a settings file configures the waveform data parameters for use with the currently selected hardware.

If you have made parameter changes, a Closed window opens that enables you to save the settings to a file.

To use a settings file with a different hardware configuration, select Change Hardware Connections, or Run System Configuration Wizard and re-configure the hardware.

Use Quick Setups to open a saved setting that includes the hardware connection and software settings.

Settings files created for legacy (pre-release 9) carriers may generate a “Failed to import” error with the latest software. To support legacy settings files, use software version 7.5, available on the Keysight website.

Save as... saves the parameters configured in the Waveform Setup node and Instrument node to a specified settings file (.scp) or a GZIP format compressed settings file (.scpz). Settings files do not include the hardware configuration information such as LAN or GPIB settings for specific instruments listed in the Hardware node.

If you need to save a specific hardware configuration together with the Waveform Setup and Instrument node settings, configure the hardware (System > Run System Configuration Wizard) then use the Save As Quick Setup button in the Quick Setups node. Note that the saved Quick Setup can only be accessed from the Quick Setups node of the user interface and is not saved as a .scp file.

When using Windows Vista operating system, saved settings files (*.scp) or compressed files (*.scpz) are not shared between different users of the same PC unless saved to a common location accessible to all users.

Export Waveform Data... saves an encrypted waveform file (.wfm or .fwfm file extension) to your PC. The file includes the settings and parameters from the Waveform Setup and Carrier nodes. This waveform file can then be downloaded and played in other licensed instruments or used with Keysight Advanced Design System (ADS) wireless libraries.

Do not use spaces in the file name for an exported waveform. The underscore character is allowed.

The software gives you the option to export a high-resolution waveform (.fwfm file extension). This waveform type can then be imported into the library of another Signal Studio application, such as LTE/LTE-Advanced FDD, and used as a component in a multi-standard radio (MSR) waveform. To play the resultant MSR waveform, however, you must purchase Minor Enhancement Update (MEU), Option U02 or greater, for this Signal Studio product. Refer to Licenses for more information.

Refer to your signal generator's Programming Guide or the PXB's online help for information about downloading waveform files to your instruments.

Recent Settings Files displays the four most recent settings files that were opened with Open... or saved with Save as.... The settings file used most recently is added to the top of the list. Deleting a settings file does not immediately remove it from the list. Selecting a deleted settings file displays an error and then removes the file from the list.

If you have changed hardware parameters, but have not changed waveform setup parameters, you are not prompted to save changes when closing or exiting the software. To save hardware parameter changes, you must use the Save As Quick Setup button.

Exit stops and closes the software. If you made any waveform setup changes, a dialog box opens asking if you want to save the changes as a quick setup before exiting. The Closed close button performs the same function as selecting Exit.

View

Show Legacy Carrier allows you to control whether or not legacy carriers appear when clicking the Add Carrier button. The checkmark indicates legacy carriers are available for use. Closed View image.

Control

Generate and Download [image] generates and downloads a waveform to the connected instrument(s).

When a power-sensitive DUT is connected to the instrument, ensure that the RF power is off before downloading a waveform.

Agilent N5106A PXB Baseband Generator and Channel Emulator

If the software displays an error message when you attempt to download a waveform to the PXB, see Instrument Problems in the Troubleshooting section.

To download a waveform to the Agilent N5106A PXB, perform the following procedure:

  1. On the PXB, set up and load a configuration with the appropriate capabilities for the waveform you intend to play. The configuration must include at least one baseband generator (BBG). Refer to the PXB online documentation.

  2. Start Signal Studio and connect to the PXB using the Configuration Wizard. If you are running the Signal Studio software on the PXB’s internal PC, use ”localhost” in the Hostname/IP Address field in Step 4 of the System Configuration Wizard. If you are running Signal Studio on an external PC connected to the PXB, use the IP address or hostname (Machine Name) of the PXB in the Hostname/IP Address field. To find the PXB’s hostname (Machine Name) or IP address click System > Product Information in the PXB user interface.

  3. Set up waveform parameters in Signal Studio. Make sure you enter a name in the Waveform Name cell in the Waveform Setup node. This name identifies the waveform on the PXB.

  4. Click the Generate and Download button. The default location for the waveform file in the PXB is D:\Waveforms\ChannelN.

  5. On the PXB, click Load Waveforms and select the waveform file with the Waveform Name from Step 3.

  6. On the PXB, click Download to download the waveform to the BBG.

  7. On the PXB, click Play to play the waveform.

Keysight E6607 EXT Wireless Communications Test Set

To avoid causing the EXT to timeout during the download process,.verify the EXT's triggering mode is set to Free Run.

If the software displays an error message when you attempt to download a waveform to the EXT see Instrument Problems in the Troubleshooting section.

To download a waveform to the Keysight E6607 EXT perform the following procedure:

  1. On the EXT set up and load a configuration with the appropriate capabilities for the waveform you intend to play. Refer to the EXT online documentation.

  2. Start Signal Studio and connect to the EXT using the Configuration Wizard. If you are running the Signal Studio software on the EXT, use “localhost” in the Hostname/IP Address field in Step 4 of the System Configuration Wizard. If you are running Signal Studio on a PC connected to the EXT, use the IP address or hostname of the EXT in the Hostname/IP Address field. To find the EXT's hostname or IP address click System > Product Information in the EXT user interface.

  3. Set up waveform parameters in Signal Studio. Make sure you enter a name in the Waveform Name cell in the Waveform Setup node. This name identifies the waveform on the EXT.

  4. Click the Generate and Download button. The default location for the waveform file in the EXT is D:\NVARB.

Generate Waveform [image] generates a waveform. Use this function to check for waveform errors before downloading or exporting the waveform.

Update Hardware Settings [image] sends the current hardware configuration to the connected instrument(s). If the configuration is not received by the instrument, an error message appears.

System

Change Hardware Connections opens Closed Step 3 of the System Configuration Wizard, where you can select a previously saved hardware configuration, or define and save a new hardware configuration.

Run System Configuration Wizardenables you to configure your system component connections and save the hardware configuration for later use. Use the System Configuration Wizard to set up a new instrument connection; use Quick Setups to save a new setup or select a saved setup that includes hardware connections and software settings.

Tools

Status Window [image] opens and closes the Status Window.

Waveform Library...opens the Library Manager window.

Envelope Tracking... opens the Envelope Tracking Control window.

Options enables or disables the Closed welcome dialog display.

Help

Contents opens the Help system and displays the table of contents.

F1 opens the Help system and displays the table of contents.

Index opens the Help system and displays the Index.

Search opens the Help system and displays the search utility.

API Reference opens a Help system for the API programming commands and their descriptions.

Software License Terms displays a description of the licensing terms agreement for Keysight's Signal Studio software.

Keysight Signal Studio website opens a webpage of all the Signal Studio products and their available options.

About displays the version and release date of the software.


Status Window

The status window displays information related to carrier and channel parameters, waveform generation, and license status.

When you change a parameter, the software checks for errors and conflicts.

When you generate, download, or export waveform data, the software checks waveform generation and license status to find errors such as missing carriers or missing or invalid licenses.

Click this button to turn the status window on or off, or select Status Window from the Tools menu.

A green dot indicates there are no errors in your setup.

A red dot indicates an error. Errors are listed sequentially with the most recent error at the top of the list.

Name

This column shows the channel name or type of error.

  • Channel configuration errors display the channel name beside the red dot.

  • Generation errors display Generation beside the red dot.

  • License errors display Instrument beside the red dot.

  • No active channel displays NoChannel beside the red dot.

Description

This column provides a detailed description of the error.

Note

This column provides information about how to resolve the conflict or error or provides other supplemental information.

Window Positioning

Position the Status window in one of three different locations relative to the main window or turn positioning off for a free-floating window.

For convenience, you can move the Status window to another location away from the main window even if it is positioned with the main window. However, when you move the main window, the Status window returns to its defined position next to the main window.

Select the Status window position using one of the four buttons located in the Status window. A green Closed button indicates the active positioning selection.

Click to position the Status window to the left of the main window.

Click to position the Status window to the right of the main window.

Click to position the Status window below the main window.

Click to turn positioning off (the Status window is free-floating).

Related Topics

Status Bar


Status Bar

The status bar at the bottom of the window updates in real-time to show the status of operations, such as waveform generation and downloading. Software licensing information for the connected instrument is also displayed here.

The status bar is divided into the following three sections:

Run Status Section

This section shows the status of the software's setup.

The following are some of the possible run status messages:

Initializing... | The software is setting up system parameters when the program starts.
Ready | The program successfully initialized.
Opening the settings file... | The program is reading the parameters from the settings file.
Saving the settings file... | The program is saving the parameters to a settings file.

Connection Status Section

This section shows the status of the connection to the instrument.

The following are some of the possible connection status messages:

Connected | The instrument connection is verified.
Not Connected | The software cannot connect to the instrument.
Blank (no text) | Simulated hardware mode.

Software Message Section

This section shows license status, waveform generation progress, and error information for your setup. To view messages for multiple errors, use the status window.


Quick Setups

Select Quick Setups in the tree view to display a list of saved waveform setups, each of which is associated with a specific hardware configuration or with simulated hardware (SimHW).

For MIMO configurations, select a 2x2, 4x4, or 4x2 MIMO Tx Quick Setup. The software sets the Number of BS Antennas and Number of MS Antennas in the Fading section of the Advanced LTE Downlink Carrier node accordingly.

You can use the System Configuration Wizard to define a new setup using actual hardware, or you can choose from predefined setups using simulated or actual hardware. You can also customize one of the existing setups and save it as a quick setup.

Quick setups are accessible only from the Quick Setup node in the user interface. To save your waveform setup as a file that can be shared with other users, use File > Save As or File > Export Waveform Data.

Predefined Quick Setups

Signal Studio software provides predefined quick setups that enable you to examine the default parameters for a particular function while in simulated hardware mode. You cannot delete the predefined quick setups.

Quick Setup Name and Function

The name and function is displayed for each Closed Quick Setup.

Quick Setups for PXB

If you install the Signal Studio for 3GPP LTE software on the PXB, the following predefined quick setups are available if you have selected Quick Setup files for PXB as the Custom Setup during installation. These quick setups include actual hardware configurations (not simulated hardware settings) and waveform settings for typical 3GPP LTE use cases on your PXB.

In addition to predefined quick setups, Signal Studio for 3GPP LTE provides separate predefined waveform configurations. Click the Predefined configuration button [image] in the Waveform Setup node, Carrier node, Downlink node, or Uplink node to open a window from which you can select a corresponding predefined configuration.

Custom Quick Setups

You can configure custom quick setups that use simulated or actual hardware. Use the following buttons to manage your quick setups:

After you have defined waveform parameters in the Instrument node and the Waveform Setup node, you can associate this waveform setup with the currently configured hardware (displayed in the Hardware node) by pressing the Save As Quick Setup button and providing a name for the new quick setup.

If you change one or more Waveform Setup parameters, the software prompts you to save the changes to a quick setup when you exit. If you have changed only Hardware node or Instrument node settings, the software does not prompt you to save changes when you exit. Use the Save As Quick Setup button to save these changes to a quick setup.

When using Windows® Vista operating system, saved settings files (*.scp) or a GZIP© GZIP is copyrighted by Microsoft Corporation. 1 format compressed settings file (*.scpz) are not shared between different users of the same PC unless saved to a common location accessible to all users.

Click the Open Quick Setup button to open the selected quick setup. Double-clicking the name of the quick setup performs the same function.

Click the Delete Quick Setup button to delete the selected custom quick setup. You cannot delete the predefined quick setups.

Click the Rename Quick Setup button to rename a custom quick setup.


Hardware Settings

Click Hardware in the tree view to display read-only information about the system hardware. Expanding the Hardware node in the tree view reveals the Instrument node, which opens a window where you can change various instrument settings, such as frequency and amplitude.

If you are using an inter-band setup, however, expanding the Hardware node reveals Inter-band nodes. Clicking an Inter-band node displays exactly the same read-only information as the Hardware node. Expanding an Inter-band node reveals the Instrument nodes that access individual instrument settings.

For information about using the software to change instrument settings, go to the appropriate topic:

  • for waveform playback (Arb) software, see Instrument

  • for real-time software, see Instrument

When using a simulated signal generator connection, <Simulated Hardware> appears in the Name cell and <Simulated MXG/EXG/ESG/PSG Signal Generator> appears in the Connection cell. N/A appears in most of the other cells.

When using a simulated PXB connection, <Simulated Hardware> appears in the Name cell, PXB appears in the Description cell, and <Simulated PXB> appears in the Connection cell. N/A appears in the Model Number, Serial Number, and Firmware Revision cells.

Click the Run Self-Tests button to run a test of the I/O interface connection between the instrument and the PC. Run Self-Tests performs the same tests as the Test I/O Connections button.

The Self-Tests Closed window appears and displays the results of the tests. Closing the test dialog window also closes the hardware node and opens the waveform setup node.

If an error occurs, a Closed red X appears next to the failed test and an error message is displayed in the status area.

Click the Test I/O Connections button to run a test of the I/O interface connection between the instrument and the PC. Test I/O Connections performs the same tests as the Run Self-Tests button.

The Test I/O Connections Closed window appears and displays the results of the tests. Closing the test dialog window also closes the hardware node and opens the waveform setup node.

If an error occurs, a Closed red X appears next to the failed I/O connection and an error message is displayed in the status area.

1. System Details

Name

View the name assigned to the system.

Description

View the hardware configuration type.

2. MXG/EXG/ESG/PSG Signal Generator (or PXB) Details

Connection

View connection details (LAN or GPIB).

Model Number

View the instrument model number.

Serial Number

View the instrument serial number.

Firmware Revision

View the instrument firmware revision number.

2.1 Options

View the options of the connected instrument. These cells are not displayed when using simulated hardware.

Related Topics

Keysight IO Libraries

1. Configuration


Instrument

To open the instrument node, click Instrument in the tree view. If there is more than one instrument connection, there will be a corresponding number of Instrument listings in the tree view. If this is an inter-band setup, the Instrument node indicates whether the instrument is playing the role of a master or slave in the configuration. (For more information on inter-band configurations, see Inter-band Carrier Aggregation Setup.)

The figure below shows the Instrument node for a signal generator connection. For the PXB, only the Configuration, Basic and Dual ARB selections are available in the Instrument Controls list. Click a button or click an item in the Instrument Controls list for information on that button or item.

Click the Update to Instrument button to send the parameters to the connected instrument.

Downloading a waveform or clicking the Update Hardware Settings button [image] also updates settings to the instrument.

Click the Update from Instrument button to retrieve the parameters from the connected instrument.

Click the Local button to deactivate remote operation and activate signal generator local (front panel) control.

Click the Preset button to set the signal generator to a factory-defined or user-defined state.

Refer to the signal generator's user's guide for information on setting a user-defined state.

Click the DC Cal button to execute an I/Q DC calibration to minimize errors associated with offset voltages.

DC Cal minimizes I/Q offset errors for a single frequency only and must be repeated if the signal generator's settings change.

Download a waveform to set the correct parameters for the target instrument and activate this button.

You can set this calibration to occur automatically. See 1. Configuration.

Set ALC to Off to activate this button.

Click the Power Search button to execute a manual power search calibration. This is an internal calibration routine that improves output power accuracy when the ALC is turned off. A power search is recommended for pulse-modulated signals with pulse-widths less than two microseconds.

Download a waveform to set the correct parameters for the target instrument.

Select the Hint checkbox then click a parameter cell to display a brief description of the parameter.

Related Topics

User Interface Basics

1. Configuration

2. Basic

3. I/Q

4. ALC

5. Dual ARB

6. Dual ARB Marker Utilities

7. Dual ARB Trigger

8. Real-time Noise Setup


1. Configuration

Instrument Model Number

When active, you can manually select an instrument model number. If Retrieve Instrument Model Number is set to Auto, the model number of the connected instrument appears here after you run the System Configuration Wizard. The parameters that are available in the Instrument node are determined by the Instrument Model Number.

Retrieve Instrument Model Number

When active, you can select manual or automatic retrieval of the connected instrument's model number.

Parameter Optimization

Double-click or use the drop-down menu to enable or disable parameter optimization.

Auto – automatically overrides the current instrument settings and provides optimized settings.

Off – parameter optimization is not used.

Parameter Optimization selects the appropriate marker for RF control and sets the appropriate marker routing. When Parameter Optimization is set to Auto, the Marker 3 and Marker 4 source selections in the Waveform Setup node and the marker routings selected in Dual ARB Marker Utilities are overridden.

To manually set Marker 3 and Marker 4 source, the marker routing, or both, set Parameter Optimization to Off.

Perform DC I/Q Calibration

Double-click or use the drop-down menu to enable or disable automatic DC I/Q calibration.

On – The signal generator performs a DC I/Q calibration after downloading a waveform.

Off – The signal generator does not perform a DC I/Q calibration after downloading a waveform.

Related Topics

Hardware Settings

Instrument


2. Basic

2. Basic: Relative Amplitude (PXB)

2. Basic: Baseband Channel Assignment (PXB)

2. Basic: RF Output Port (EXT)

Frequency

Range: for frequency range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

Amplitude

MXG/EXG/ESG/PSG Signal Generator

Range: for amplitude range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output amplitude in dBm.

Relative Amplitude (PXB)

PXB Baseband Generator and Channel Emulator

In a typical MIMO system, the average power of the signal transmitted by each antenna is different than the average power transmitted by the other antennas. For example, a difference in average power can be caused by preambles or other reference signals that are present on some antennas and not on others.

When connected to a PXB Baseband Generator and Channel Emulator, Signal Studio provides a separate Relative Amplitude cell for each antenna to display this difference in average power. For example, if you set up a two-antenna configuration in the System Configuration Wizard, the software displays two Relative Amplitude cells.

When you generate the waveform, the software sets the power in the Relative Amplitude cells based on the current waveform settings. The value in each Relative Amplitude cell represents the power in the corresponding baseband generator (BBG) on the PXB relative to the power in the other BBGs.

For more information, refer to the PXB's online documentation.

Baseband Channel Assignment (PXB)

Range: 1 to 16

Default: 1

When you establish a connection between the Signal Studio software and the PXB, Signal Studio recognizes the number of baseband generators (BBGs) in the currently loaded PXB configuration. Signal Studio creates a waveform file (Ant0, Ant1, Ant2, and so on) for each antenna configured in the System Configuration Wizard. The default behavior is for Signal Studio to download waveform file Ant0 to BBG1 in the PXB, waveform file Ant1 to BBG2, and so on. In the Baseband Channel Assignment cell, the default BBG assignments are displayed as a comma-separated list (1,2).

The Baseband Channel Assignment parameter enables you control the assignment of each waveform file to a specific BBG resource, rather than accepting the default. You can assign Ant0 to BBG2 and Ant1 to BBG1 by making the corresponding change to the comma separated list (2,1).

RF Output

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the signal generator’s RF output On or Off.

RF Output Port (EXT)

Choice: RF Out | RFIO 1 | RFIO 2

Default: RF Out

Double-click or use the drop-down menu to select the signal generator’s RF output port. This parameter is only available when connected to the E6607 EXT.

Related Topics

Instrument


3. I/Q

I/Q instrument settings are not available for the E6607 EXT.

I/Q Adjustments

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments On or Off.

On – The values entered for I Offset, Q Offset, and so on are applied to the I and Q signals.

Off – I/Q adjustment values are not applied to the I and Q signals.

I Offset

Range:

N5182A: –20% to 20%

All other models: –50% to 50%

Default:

0.0%

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

Q Offset

Range:

N5182A: –20% to 20%

All other models: –50% to 50%

Default:

0.0%

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

I/Q Gain Balance

Range:

N5182A: –1 dB to 1 dB in 0.001 dB steps

All other models: –4 dB to 4 dB in 0.01 dB steps

Default:

0.00 dB

Enter a value to set the gain for the I signal relative to the Q signal.

Example: If you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal.

Set I/Q Adjustments to On to enable this parameter.

Quadrature Angle Adjustment

Range: –10 to 10 degrees

Default: 0 degrees

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees; negative skew decreases the angle from 90 degrees.

Set I/Q Adjustments to On to enable this parameter.

I/Q Timing Skew Path

Choice: RF | BB

Default: RF

Double-click or use the drop-down menu to select the I/Q timing skew path.

Set I/Q Adjustments to On to enable this parameter.

This parameter is not available for all instrument model numbers and may be grayed out.

I/Q Correction Optimization Path

Choice:

N5172B/N5182B: RF Output | External I/Q Output | Dig Bus Output

Other Models: RF Output | External I/Q Output

Default: RF Output

RF Output optimizes the RF OUT path by applying calibration factors to only this path, leaving the I/Q OUT and Digital Bus paths uncalibrated. With External as the I/Q Source selection, the instrument automatically optimizes all paths, so no optimization path selection is needed.

Ext I/Q Output optimizes the I/Q OUT path by applying calibration factors to only this path, leaving the RF OUT and Digital Bus paths uncalibrated. With External as the I/Q Source selection, the instrument automatically optimizes all paths, so no optimization path selection is needed.

Dig Bus Output optimizes the Digital Bus path by applying calibration factors to only this path, leaving the RF OUT and I/Q OUT paths uncalibrated. With External as the I/Q Source selection, the instrument automatically optimizes all paths, so no optimization path selection is needed.

This parameter is not available for all instrument model numbers and may be grayed out.

I/Q Skew

Range:

N5182A: –800 ns to 800 ns, in 1 ps steps

All other models: –2.0 to 2.0 seconds, in 1 ps steps

Default:

0.0 seconds

Enter a value to set the time delay between I and Q.

A positive value delays the I signal relative to the Q signal.

A negative value delays the Q signal relative to the I signal.

I/Q Delay

Range: –1.0 to 1.0 seconds, 1 ps step

Default: 0.0 ps

Enter a value to change the absolute phase of both I and Q with respect to triggers and markers. A positive value delays I and Q. This value affects both the external I/Q out signals and the baseband signal modulated on the RF output. This adjustment cannot be used with constant envelope modulation and does not affect external I/Q inputs.

The limits are determined by the rate of the current format.

This parameter is not available for all instrument models and may be grayed out or not shown in GUI.

Related Topics

Instrument


4. ALC

4. ALC: ALC Trigger Source bus (M9381A)

4. ALC: ALC Mode (M9381A)

ALC

Choice: Off | On

Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

On – The ALC circuit constantly monitors and controls the output power level.

Off – No automatic leveling occurs.

ALC Bandwidth

Choice: Auto | 100.00 Hz | 1.00 kHz | 10.00 kHz | 100.00 kHz

Default: Auto

Double-click or use the drop-down menu to select an ALC bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

Power Search Reference

Choice: Fixed | Modulation | RMS

Default: Modulation

Double-click or use the drop-down menu to select one of the following reference signals when doing a power search.

Fixed – Power search uses a fixed 0.5 V reference.

Modulation – Power search uses the AC bias from the actual modulating signal.

RMS – Power search uses a DC bias value equivalent to the value derived from the file header or the calculated value from the current I/Q data.

Set ALC to Off to enable this parameter.

This parameter is not available for all instrument models and may be grayed out or not shown in GUI.

RF During Power Search

Choice: Normal | Minimum

Default: Normal

Double-click or use the drop-down menu to select the level of the output power control during a power search routine.

Normal – Performs power searches without setting the internal step attenuator to its maximum setting. Glitches and power changes may be present during the search.

Minimum – Sets the signal generator's step attenuator to its maximum setting during power search to protect sensitive circuits.

Set ALC to Off to enable this parameter.

ALC Trigger Source bus (M9381A)

Choice: AUTO | PXI0 | .. | PXI7

Default: None

Double-click or use the drop-down menu to select a bus for ALC hold signal path on PXI backplane. This parameter is only available when connected to the M9381A.

This parameter is only available when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.

ALC Mode (M9381A)

Choice: : Off | HOLD | TRACK

Default: Off

Double-click or use the drop-down menu to select ALC mode. This parameter is only available when connected to the M9381A.

This parameter is only available when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.

Related Topics

Instrument


5. Dual ARB

5. Dual ARB: Baseband Frequency Offset (EXT)

ARB Sample Clock

Range: 1 KHz to 125 MHz

Default: 100 MHz

The sample clock rate of the instrument is automatically calculated by the software.

For Carrier Aggregation (with a single component carrier) the following ARB Sample Clock rates apply:

VCO Clock

Bandwidth of the Component Carrier (CC) | ARB Sample Clock1, 2
1.4 MHz | 1.92 MHz
3 MHz | 3.84 MHz
5 MHz | 7.68 MHz
10 MHz | 15.36 MHz
15 MHz | 23.04 MHz
20 MHz | 30.72 MHz
1 The same ARB Sample Clock rates apply to exported waveforms too.
2 For this table's CC bandwidth vs. ARB Sample Clock values to apply, the Frequency Offset parameter must equal 0.

Choice: Internal | External

Default: Internal

Double-click or use the drop-down menu to select the signal generator’s VCO Clock.

Internal - the signal generator uses its internal VCO Clock.

External - the signal generator uses an external VCO Clock

This parameter is not available for all instrument model numbers and may be grayed out.

Waveform Runtime Scaling

Range: 1 to 100% (100% = no scaling)

Default: 92%

Enter a scaling value for the signal generator to apply to the waveform while it is playing. Use scaling to get the best dynamic range without overflowing the I and Q digital-to-analog converters (DAC) and to reduce the overshoot associated with the DAC interpolation filter. Waveform Runtime Scaling does not change the data in the waveform file.

I/Q Modulation Filter

Choice: Auto | 2.1 MHz | 40 MHz | Through

Default: Auto

Double-click or use the drop-down menu to select an I/Q modulation filter value.

This parameter is not available for all instrument model numbers and may be grayed out.

I/Q Output Filter

Choice: Auto | 40 MHz | Through

Default: Auto

Double-click or use the drop-down menu to select an I/Q output filter value.

This parameter is not available for all instrument model numbers and may be grayed out.

Modulation Attenuation Mode

Choice: Auto | Manual

Default: Auto

Set the modulation attenuation mode for the I/Q modulator to automatic or manual.

AUTO – the signal generator optimizes the modulation attenuation for the current conditions.

Manual – applies the value set in the Modulation Attenuation cell.

Modulation Attenuation

Range: 0 to 40 dB (minimum increment 0.01 )

Default: 6.00 dB

Use this parameter to reduce the signal level driving the I/Q modulation block. Adjusting the attenuation may reduce signal distortion and improve the overall dynamic range.

Set the Modulation Attenuation Mode to Manual to enable this parameter.

High Crest Mode

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to enable or disable the signal generator's high crest mode.

On – processes high-crest-factor arbitrary I/Q waveforms with less distortion. For crest factors higher than 4 dB, you should reduce I/Q Modulation Attenuation levels by 1 dB for each dB above that level. High crest mode reduces the maximum output level and degrades power level accuracy.

Off – disables the high crest mode.

This parameter is not available for all instrument model numbers and may be grayed out.

ARB Reference

Choice: Internal | External

Default: Internal

Double-click or use the drop-down menu to select the signal generator’s ARB reference source.

Internal – the signal generator uses its internally generated 10 MHz signal as the reference source.

External – the signal generator uses an external signal as the reference frequency for the baseband I/Q signal. See the signal generator’s user’s guide for information on external references.

This parameter is not available for all instrument model numbers and may be grayed out.

Reference Frequency

Range: 0.250 to 100 MHz

Default: 10.00 MHz

Enter a frequency value when using an externally supplied reference signal. See the signal generator user’s guide for information on external references.

Set ARB Reference to External to enable this parameter.

This parameter is not available for all instrument model numbers and may be grayed out.

Baseband Frequency Offset (EXT)

Range: -50.00 MHz to 50.00 MHz

Default: 0.000 Hz

Set ARB Reference to External to enable this parameter.

Enter a frequency value by which the baseband frequency is offset relative to the carrier. This parameter is only available when connected to the E6607 EXT.

Related Topics

Instrument


6. Dual ARB Marker Utilities

Pulse/RF Blanking

Choice: None | Marker 1–4

Default: None

Double-click or use the drop-down menu to select an RF blanking function. Pulse/RF Blanking turns off the RF output signal during specific conditions determined by the marker.

None – disables RF blanking.

Marker 1 through Marker 4 – selects a marker to activate RF blanking.

RF blanking incorporates ALC hold, so you do not need to select ALC hold when using RF blanking.

Do not blank longer than 100 ms to avoid exceeding the ALC hold limit.

Marker 3 and Marker 4 settings are overridden if Parameter Optimization is enabled.

ALC Hold

Choice: None | Marker 1–4

Default: None

Double-click or use the drop-down menu to select a marker for ALC hold. Use ALC hold when you have a waveform signal that has idle periods, or when the increased dynamic range with RF blanking is not desired.

None – disables ALC hold.

Marker 1 through Marker 4 – assigns a marker for the ALC hold function.

When the specified marker polarity is positive and the marker signal is low (no marker points), ALC hold is on, and the output power level does not respond to changes to the signal amplitude. When the marker signal is high, the ALC samples the waveform points and averages the waveform amplitudes to set the ALC circuitry for the next ALC hold period.

RF blanking incorporates ALC hold, so there is no need to select ALC hold when using RF blanking.

Limit ALC Hold to no more than 100 ms, as the ALC Level may degrade.

The hold selection remains until you reconfigure it, preset the signal generator, or cycle the signal generator power.

Incorrect ALC settings can cause a sudden unleveled condition to occur. An unleveled RF output can damage a DUT or connected instrument. Ensure that you set markers such that the ALC obtains a sample that accounts for the high power levels within the signal.

Marker 3 and Marker 4 settings are overridden if Parameter Optimization is enabled.

Alternate Amplitude

Choice: None | Marker 1–4

Default: None

Double-click or use the drop-down menu to select a marker for enabling the alternate amplitude function.

None – disables the alternate amplitude function.

Marker 1 through Marker 4 – assigns a marker for the alternate amplitude function.

Marker 3 and Marker 4 settings are overridden if Parameter Optimization is enabled.

When the specified marker polarity is positive and the marker signal is low (no marker points), alternate amplitude is off. When the marker signal is high, the alternate amplitude function is on.

Configure the alternate amplitude parameters from the Amplitude hardkey menu of the signal generator.

For more information about alternate amplitude and marker settings, refer to the signal generator's user's guide.

This parameter is not available for all instrument model numbers and may be grayed out.

Marker 1 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 1.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Marker 2 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 2.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Marker 3 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 3.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Marker 4 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 4.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Related Topics

Instrument


7. Dual ARB Trigger

The image below shows a composite set of the Dual ARB Trigger parameters when connected to an M9381A PXIe VSG.

Multi-Channel Synchronization State (M9381A)

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the Multi-Channel Synchronization capability.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U04 or greater is valid. Refer to Licenses for more information.

Multi-Channel Synchronization Role (M9381A)

Choice: SystemMaster | GroupMaster | Slave

Indicates how the channel will participate within a multi-channel system. This is a read-only parameter.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U04 or greater is valid. Refer to Licenses for more information.

Multi-Channel Synchronization Group Sync Source (M9381A)

Choice: PXI0 | PXI1 | PXI2 | PXI3 | PXI4 | PXI5 | PXI6 | PXI7

Default: PXI0

Select the PXI backplane trigger line that will be shared by all modules in a PXI chassis that form a synchronization group.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U04 or greater is valid. Refer to Licenses for more information.

Multi-Channel Synchronization Slave Sync Source (M9381A)

Choice: PXI0 | PXI1 | PXI2 | PXI3 | PXI4 | PXI5 | PXI6 | PXI7

Select the PXI backplane trigger line that the slave channel will use for synchronization handshaking.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U04 or greater is valid. Refer to Licenses for more information.

Trigger Type

Choice: Continuous | Single | Gated | Segment Advance

Choice (M9381A): Continuous | Single

Default: Continuous

Double-click or use the drop-down menu to select the triggering mode.

Continuous – selects the continuous triggering mode, which enables the signal generator to repeat the modulating signal indefinitely until you turn off the modulation format, change triggers, or select another waveform.

Single – sets up a waveform to play once after receiving a trigger.

Gated – sets the signal generator to the gated trigger mode, which causes the waveform (modulating signal) to repeatedly start and stop in response to an externally applied trigger signal. To use the gated trigger mode, you must select External as the Trigger Source.

Segment Advance – controls the way the signal generator plays segments within a sequence. This includes determining whether a segment plays once or continuously, and when the sequence advances to the next segment. See Segment Advance.

Choices for the M9381A PXIe VSG are only available for this parameter when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.

Trigger Source

Choice: Trigger Key | External | Bus

Choice (M9381A): External | Bus

Default: External

Double-click or use the drop-down menu to select the triggering method.

Trigger Key – selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

External – causes a waveform to trigger from an externally supplied trigger signal.

Bus – enables a command sent through the GPIB, LAN, or AUXILIARY IO (RS-232) input connector to trigger a waveform.

Choices for the M9381A PXIe VSG are only available for this parameter when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.

External Source

Choice: Pattern Trigger In 1 | Pattern Trigger In 2

Choice (M9381A): TRIG1 | PXI0 | PXI1 | PXI2 | PXI3 | PXI4 | PXI5 | PXI6 | PXI7

Default: Pattern Trigger In 1

Default (M9381A): PXI0

Double-click or use the drop-down menu to select the rear-panel input for the external trigger signal. External must be selected as the trigger source.

Pattern Trigger In 1 – selects the PATTERN TRIG IN rear-panel BNC connector

Pattern Trigger In 2 – selects the AUXILIARY I/O rear panel connector

For the M9381A PXIe VSG, double-click or use the drop-down menu to select the front-panel input for the external trigger signal. External must be selected as the trigger source.

TRIG1 – selects the Trig 1 front-panel SMA connector as the external trigger input for the M9381A PXIe VSG

PXI0-PXI7 – selects the backplane bus signal for the M9381A PXIe VSG

Choices for the M9381A PXIe VSG are only available for this parameter when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.

External Polarity

Choice: Positive | Negative

Default: Negative

Sets the polarity of the external trigger. This parameter is active only if you select External as the trigger source.

Negative – the signal generator triggers an event when it receives a negative change in the signal at the PAT TRIG IN or AUX I/O rear panel connector.

Positive – the signal generator triggers an event when it receives a positive change in the signal at the PAT TRIG IN or AUX I/O rear panel connector.

External Delay

Choice: On | Off

Default: Off

Turns the external trigger delay off or on. This parameter is active only after selecting External as the trigger source.

External Delay Time

Range:

N5182A: 8 ns to 30 s, in 8 ns steps

All other models: 10 ns to 40 s, in 10 ns steps

Default:

1 ms

Sets the amount of time to delay the signal generator's response to an external trigger, in 8 ns or 10 ns steps. The delay is a path (time) delay between the time the signal generator receives the trigger and when it responds to the trigger.

Continuous

Choice: Free Run | Trigger & Run | Reset & Run

Default: Free Run

Double-click or use the drop-down menu to select the continuous mode and one of the following trigger responses.

Free Run – immediately triggers when you turn the format on.

Trigger & Run – waits for and starts on the first trigger; ignores subsequent triggers.

Reset & Run – waits for and starts on the first trigger; resets and plays on a subsequent trigger.

Single

Choice: Buffered Trigger | No Retrigger | Restart on Trigger

Default: Buffered Trigger

Double-click or use the drop-down menu to select the single mode and one of the following trigger responses.

No Retrigger – the waveform segment ignores triggers during playback

Buffered Trigger – causes a waveform to accept a trigger during playback and to restart after the current play finishes.

Restart on Trigger – causes a waveform to accept a trigger during playback and to restart immediately after receiving a trigger.

This parameter is not available for all instrument models and may be grayed out or not shown in GUI.

Segment Advance

Choice: Single | Continuous

Default: Continuous

Double-click or use the drop-down menu to select the segment advance mode and one of the following trigger responses.

Single – causes a segment to play once and to wait for a trigger before the sequence advances to the next segment.

Continuous – causes a segment to play continuously until receiving another trigger. Upon receiving the trigger, the sequence advances to the next segment, which then plays continuously.

This parameter is not available for all instrument models and may be grayed out or not shown in GUI.

Gated

Choice: Active High | Active Low

Default: Active High

Double-click or use the drop-down menu to select the gated mode and one of the following trigger responses. To use the gated trigger mode, you must also select External.

Active Low – causes waveform playback to start when the trigger signal goes low and to stop when the trigger signal goes high.

Active High – causes waveform playback to start when the trigger signal goes high and to stop when the trigger signal goes low.

This parameter is not available for all instrument models and may be grayed out or not shown in GUI.

Related Topics

Instrument


8. Real-time Noise Setup

Real-time Noise

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable adding real-time, non-repeating additive white Gaussian noise (AWGN) to the carrier being modulated by the waveform being played.

On – enables the addition Real-time Noise.

Off – disables the addition of Real-time Noise.

Carrier to Noise Ratio

Range: –100 to 100 dB

Default: 0 dB

Enter the noise power to be applied to a waveform. The carrier power is defined as the total modulated signal power before noise power is added. When you add noise, the power output from the signal generator does not change; it is the sum of carrier power and the added noise power. A positive value makes C larger than N.

Carrier Bandwidth

Range: N5182A 1.0 Hz to 10000000 MHz

E4438C 1.0 Hz to 80.0000000 MHz

Default: 1 Hz

Specifies the bandwidth over which the noise power is integrated for calculating the carrier to noise ratio (the bandwidth of the target carrier). In addition, maximum upper range is limited to the Base Sampling Rate X OSR before the download is finished

Carrier Bandwidth Auto

Choice: Manual | AUTO

Default: Manual

Sets whether the carrier bandwidth is automatically set by the software or set manually, using the Carrier Bandwidth parameter. When set to AUTO, the Carrier Bandwidth parameter is read only.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U03 or greater is valid. Refer to Licenses for more information.

Noise Bandwidth Factor

Range: 1 to 2

Default: 1

Displays the flat noise bandwidth factor for the applied real-time noise.

When the Sample Clock is < 50 MHz, the Noise Bandwidth Factor adjusts the RF flat noise bandwidth to be either at least 0.8 times the sample rate for a bandwidth factor of 1, or 1.6 times the sample rate if the bandwidth factor is 2.

When the Sample Clock is > 50 MHz, noise cannot be enabled if the Noise Bandwidth Factor is 2. Any oversampling in a waveform will effectively make the noise bandwidth that many times wider than the signal bandwidth.

The Noise Bandwidth is calculated as follows:

The noise bandwidth is at least 0.8 * [ARB Sample Clock] * [Noise Bandwidth Factor]

This parameter is not available for all instrument model numbers and may be grayed out.

Noise Bandwidth

Range: 1.0 Hz to 100.0000000 MHz

Default: 1.0 Hz

Set or change the noise bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

Noise Multiplex

Choice: Carrier + Noise | Carrier | Noise

Default: Carrier + Noise

Double-click or use the drop-down menu to select the mode.

This parameter enables diagnostic control of additive noise, such that only the noise, only the carrier, or the sum of both the noise and the carrier are output from the internal baseband generator. With the ALC off, this feature enables direct measurement of just the carrier or the noise contributions to the total power. The system will still behave as if both the noise and the carrier are present on the output when it comes to determining the Auto Modulation Attenuation and the RMS level for RMS Power Search.

Related Topics

Instrument

Related Topics

Instrument


Licenses

Click Licenses in the Closed tree view to display the window shown below.

Feature Index (#)

Displays the licensed feature's index number.

State

Double-click or use the drop-down menu to set the operating state of the selected feature.

The State cell turns red if a feature is set to On and a valid license is not available.

If you set the state to Off for a licensed feature that is used in the current setup, a Closed window appears that enables you to save the current setup before continuing.

Feature

Displays the model number of the licensed feature.

Minor Enhancement Updates (N7625B-Uxx)

The minor enhancement updates (MEU) option allows you to obtain the latest capabilities of the software. It is purchased as N7625B-MEU. However, each enhancement update is licensed as N7625B-Uxx, as shown in the image above. As more enhancements become available, the option suffix increments: U01, U02, U03 and so on. Purchasing MEU includes all the capabilities from previous MEU licenses. For example, purchasing the license for U03 includes everything that was in U01 and U02. If you had purchased an earlier MEU license, such as U01, and want the most recent MEU capabilities available in U03, purchasing another MEU license upgrades your software to the most current state.

Release Date Software Version MEU License

Minor Enhancements
Jan 2017 16.0 U06

  • Added Time Scale Factor for wideband test

  • Added Uplink PSD Equalization for Carrier Aggregation (Basic LTE-A)
Feb 2016 15.0 U05
Advanced LTE-A TDD:

  • Added dynamic uplink downlink configuration capability
Sep 2015 14.5 U04

  • Added multi-channel 4x4 and 8x8 support with multi-channel synchronization for the M9381A PXIe VSG

  • Added high-resolution waveform import and export capability
May 2015 14.0 U03
Basic LTE TDD:

  • Updated Test Model Wizard to allow changes to UL/DL and Special Subframe Configuration

  • Added BC3 CS3 test models

  • Added Carrier Bandwidth Auto for real-time AWGN

Advanced LTE TDD:

  • Added Carrier Bandwidth Auto for real-time AWGN

Basic LTE-A TDD:

  • Added Special Subframe Configuration 9 (Normal CP) and Configuration 7 (Extended CP)

  • Added Virtual Cell ID for uplink

  • Added 256QAM modulation format for PDSCH

  • Added new test models (E-TM2a and E-TM3.1a) to support 256QAM for PDSCH

  • Updated Test Model Wizard to allow changes to Uplink Downlink Configuration and Special Subframe Configuration

  • Added BC3 CS3 test models

  • Added Carrier Bandwidth Auto for real-time AWGN
Sep 2014 13.1 U02

  • Added direct connectivity for the M9381A PXIe VSG. The M9381A has a limitation related to the Power Search and DC Cal functions. See System Requirements for more information.
Mar 2014 12.0 U01

  • LUT-based digital pre-distortion feature

Basic LTE TDD Release 9:

  • Shorter waveform length generation

  • Added Power Definition Type parameter

Advanced LTE TDD Release 9:

  • UL-SCH payload data reset on every subframe

  • Added Power Definition Type parameter

Description

Displays a description of the licensed feature.

Instrument License

Displays the status of the selected license on the connected instrument.

  • Valid – the license is installed and active.

  • Invalid – the license is expired or not installed.

  • N/A – the license is not applicable.

  • Info Not Available – The Signal Studio software does not provide license information for some products.

When a new instrument connection is established or the hardware configuration is changed, the instrument licenses are automatically retrieved from the connected instrument. If the connected instrument does not have the correct licensing for the current waveform setup, initial settings are restored. You are prompted to save the setup parameters before continuing.

Carrier Name

Displays the name of the carrier associated with the selected feature.

State

Displays the status of the carrier.

  • Available – the carrier is available for use.

  • Not available – the carrier is not available or the license is not active.

Required Feature n

Displays the name of the feature required for the selected carrier.

Related Topics

Licensing


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Waveform Setup

Click Waveform Setup in the Closed tree view to display the waveform setup node shown below. The waveform setup node has three sections: Carrier Configuration Summary Table (top), Waveform Attributes Table (middle), and Graph View (bottom).

For power amplifier testing, refer to Envelope Tracking Control.

Carrier Configuration Summary Table

This table enables you to view the key parameters for each carrier in the waveform. You can also add or delete carriers using the buttons above the table (see descriptions below). Double-click a carrier row to activate the setup tables for that carrier.

An asterisk following a carrier entry [image] indicates that parameters for the carrier have changed.

Add Carrier

Click this button to open a Closed drop down list from which you can select a carrier to add to the setup table. The carrier is inserted above the currently selected carrier in the table. The maximum number of carriers is 16. (A carrier aggregate (maximum 1), together with the component carriers (maximum 5), count as 1 carrier of the 16 carrier maximum.)

You can also make older carrier versions available by clicking View > Show Legacy Carrier from the menu bar.

For Advanced waveforms, if Waveform Generation Length is >16 frames, the Add Carrier and Copy Carrier buttons will not work. Waveform Generation Length's >16 frames not available for all 3GPP Advanced waveforms.

Long waveform generation requires N5172B/82B with firmware version ≥B.01.10.

If your current configuration has a aggregate carrier as part of your waveform setup, all of the Closed LTE-A carrier choices are grayed out.

Delete Carrier

Click this button to delete the currently selected carrier in the setup table. You can highlight multiple carriers by holding down the CTRL key while selecting the carriers. You can also use the SHIFT key to select a succession (group) of carriers.

Copy Carrier

Click the Copy Carrier button to quickly add a copy of the selected carrier to the carrier configuration summary table.

For Advanced waveforms, if Waveform Generation Length is >16 frames, the Add Carrier and Copy Carrier buttons will not work. Waveform Generation Length's >16 frames not available for all 3GPP Advanced waveforms.

Long waveform generation requires N5172B/82B with firmware version ≥ B.01.10.

Multi-UE Wizard

This button opens the Multi-UE Wizard window.

1. Basic

Waveform Name

Enter an alpha-numeric waveform file name of up to 22 characters. (If you enter a name with more than 22 characters, the software truncates the name to 22 characters when you click outside of the cell.) The name can include spaces and the following special characters: _ $ & # + - [ ].

Comment

Enter an alpha-numeric comment of up to 32 characters. The comment resides in the file header and can include spaces and special characters.

Total Sample Points

Displays the generated waveform length (number of points). You cannot edit this cell. Waveform length is directly related to the oversampling ratio value selected. (Increasing the oversampling ratio increases the total sample points.)

Total Sample Points = (Waveform Generation (ms) * Oversampling Ratio * Base Sampling Rate)

Waveform Sampling Rate Mode

Choice: Auto | Manual

Default: Auto

Double-click or use the drop-down menu to select the Sampling Rate Mode.

Auto: Sampling Rate is calculated based on each carriers's settings.

Manual: Uses Waveform Sampling Rate value as a target sampling rate.

Waveform Sampling Rate

View or set the sampling ratio of generated waveform, depending on the Waveform Sampling Rate Mode setting.

Waveform Sampling Rate Mode: Auto

This cell is read only. Waveform Sampling Rate value is calculated based on each carrier settings; Sampling Rate is directly related to the oversampling rate value selected and/or frequency offset value. (Increasing the frequency offset increases the sampling rate.) After waveform generation has finished, value is refreshed and updated.

Waveform Sampling Rate Mode: Manual

Range: depends on the target instrument

Default: depends on the target instrument (typically 30.72 Msps)

This cell is editable. The Waveform Sampling Rate value is used as the waveform sampling rate to generate waveform.

Multi-carrier case: Minimum value is the Least Common Multiple (LCM) value of Base Sampling Rate of carriers or instrument's minimum sampling rate. Value should be the multiple of LCM value of Base Sampling Rate values within 30.72 Msps.

Single Carrier case: Minimum value is 1.92 Msps or instrument's minimum sampling rate. Value should be the multiple of Base Sampling Rate within 30.72 Msps, or the multiple of 30.72 Msps over 30.72 Msps.

Time Scale Factor

Range Max: 1000

Range Min: 0.001

Step: 0.00000000000001 (number of decimal places is 14 digits)

Default: 1

Sets the value by which to scale the bandwidth and time lengths of the measured signal. This setting can be used to compensate for mis-tuned crystals or to allow demodulation of signals at a lower rate, such as half rate or 1/10 rate.

Examples:

  • For a 1/10 rate signal, the Time Scale Factor would be 0.1

  • For a crystal mistuned by 5 ppm, a value of 1.000005 or 0.999995 could be used

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U06 or greater is valid. Refer to Licenses for more information.

I/Q Map

Double-click or use the drop-down menu to select a normal or inverted I/Q signal.

Raw Cubic Metric

Displays the raw cubic metric, which can be used for cubic metric (CM) calculation.

This parameter is not available when the MIMO, Tx Diversity, or Inter-band hardware configuration is selected.

This value updates after a successful waveform generation.

Digital Pre-Distortion State

Double-click or use the drop-down menu to control the operating state of the digital pre-distortion.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

Digital Pre-Distortion Parameter Panel

Double-click or use the drop-down menu to open or close the Digital Pre-Distortion Tool window. This is a modeless window, allowing you access to the main software GUI so you can continue to configure and generate waveforms.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

Multi-UE Generation

Displays the multi-UE generation state. Multi-UE generation is performed with the Multi-UE Wizard.

2. Marker

Marker 1 Source

Configure the marker points for Marker 1 using the Marker Source Selection dialog box.

The signal generator outputs the Marker 1 signal from the rear-panel EVENT 1 output. For more information, see the signal generator's User Guide.

Marker 2 Source

Configure the marker points for Marker 2 using the Marker Source Selection dialog box.

The signal generator outputs the Marker 2 signal from the rear-panel EVENT 2 output. For more information, see the signal generator's User Guide.

Marker 3 Source

When Parameter Optimization in the Signal Generator node is set to Auto, the Marker 3 and Marker 4 source selections in the Waveform Setup node and the marker routings selected in Dual ARB Marker Utilities are overridden.

To manually set the Marker 3 and Marker 4 source, the marker routing, or both, set Pa"""

Configure the marker points for Marker 3 using the Marker Source Selection dialog box.

The signal generator outputs the Marker 3 signal from the rear-panel EVENT 3 output. For more information, see the signal generator's User Guide.

Marker 4 Source

When Parameter Optimization in the Signal Generator node is set to Auto, Marker 3 and Marker 4 source selections in Waveform Setup node and the marker routings selected in Dual ARB Marker Utilities are overridden.

To manually set the Marker 3 and Marker 4 source, the marker routing, or both, set Parameter Optimization to Off.

Configure the marker points for Marker 4 using the Marker Source Selection dialog box.

The signal generator outputs the Marker 4 signal from the rear-panel EVENT 4 output. For more information, see the signal generator's User Guide.

Graph View

The graph view displays several different representations of the generated waveform. For more information, see Graph View.


Show Legacy Carrier

Show Legacy Carrier is accessed under View in the software's menu bar. It allows you to control whether or not legacy carriers appear when clicking the Add Carrier button. The checkmark indicates legacy carriers are available for use.


Carrier n

Real Time

Carrier n (LTE) and Component Carrier n (LTE-A) Setup

Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to description Go to description Go to description Go to description Go to description

The radio format and configuration displayed depend on the selected carriers. Settings under Categories 1, 2, and 3 apply to all basic and advanced carriers. The fading parameters in Category 4 are available for Advanced LTE TDD carriers only.

Carrier Configuration Summary Table

This table enables you to view the key parameters for each carrier in the waveform. Double-click a carrier row to activate the setup tables for that carrier.

You can also add or delete carriers using the buttons above the table. (Older carrier configurations display the icon without the button name.)

An asterisk following a carrier entry [image] indicates that parameters for the carrier have changed.

Predefined Carrier

Click this button to open a window with Closed pre-defined carrier configuration selections. Double-clicking a configuration replaces the current configuration in the setup table.

Add Carrier

Click this button to open a Closed drop down list from which you can select a carrier to add to the setup table. The carrier is inserted above the currently selected carrier in the table. The maximum number of carriers is 16.

You can also make older carrier versions available by clicking View > Show Legacy Carrier from the menu bar.

Delete Carrier

Click this button to delete the currently selected carriers in the setup table. You can highlight multiple carriers by holding down the CTRL key while selecting the carriers. You can also use the SHIFT key to select a succession (group) of carriers.

Copy Carrier

Click this button to quickly add a copy of the selected carrier to the carrier configuration summary table.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to topic Go to topic Go to description Go to description Go to topic Go to topic Go to topic Go to topic

1. General Settings

Closed Basic LTE, Basic LTE-A, and Advanced LTE

Closed Advanced LTE-A

State

Choice: On | Off

Default: On

Double-click or use the drop-down menu to control the operating state of the carrier.

Waveform Generation Length

Choices: 1 slot (0.5 ms) | 2 slots (1.0 ms) | … | 18 slots (9.0 ms) | 19 slots (9.5 ms) | 1 frame (10 ms) | 2 frames (20 ms) | 3 frames (30 ms) | 4 frames (40 ms)

Default: 1 frame (10 ms)

Double-click or use the drop-down menu to select the waveform generation length.

When the waveform generation length or offset is set, Waveform Generation Length + Waveform Generation Offset <= 1 frame (10 ms) is automatically satisfied by the software.

When the waveform generation length is longer than 1 frame, the waveform generation offset is limited to 0 slot (0.0 ms).

Shorter waveform length choices (< 10 ms) for this parameter are available only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

Waveform Generation Offset

Range: 0 to 19 slots

Default: 0 slot

Sets the waveform generation offset. This parameter is available for basic carriers only.

When the waveform generation length or offset is set, Waveform Generation Length + Waveform Generation Offset <= 1 frame (10 ms) is automatically satisfied by the software.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

UI parameter couplings:

If the Waveform Generation Length parameter is set less than the Transmission Configuration Length, the value of Transmission Configuration Length is changed to be ≤Waveform Generation Length. In summary, the relation between Transmission Configuration Length and Waveform Generation Length is that the Transmission Configuration Length ≤Waveform Generation Length. (For more information on the Transmission Configuration Length parameter refer to the Channel Setups Advanced LTE TDD UL or and DL topics or the Channel Setups Advanced LTE-A TDD UL or and DL topics.)

Continuous Sequence:

While the long waveform is playing, the following signal or data values are generated sequentially.

Downlink:

  • SFN in BCH is automatically counted up until the end of the waveform.

  • HARQ Process scheme in DL-SCH is automatically updated until the end of the waveform.

  • Payload data in DL-SCH is sequentially used for transport block until the end of the waveform.

  • HARQ Process Index and New Data Indicator (NDI) in DCI contents are automatically updated until the end of the waveform.

Uplink:

  • HARQ Process scheme in UL-SCH is automatically updated until the end of the waveform.

  • Payload data in UL-SCH is sequentially used for transport block until the end of the waveform.

Figure. Frame Structure type 2 (for 5 ms switch-point periodicity)

Oversampling Ratio

Choices: Auto, 1, 2

Default: Auto

If you select AUTO, the signal generator automatically sets an optimized oversampling ratio for the current setup.

The Total Sample Points value is automatically determined based on the oversampling ratio. Using a larger oversampling ratio results in a more completely filtered image, but also uses more waveform memory by increasing the number of waveform points. If AUTO is selected, the signal generator automatically selects the optimized oversampling ratio for the current signal setup.

Base Sampling Rate

Displays the Base Sampling Rate of the signal. This cell can not be edited.

Base Sampling Rate is a sampling rate without Oversampling Ratio (OSR). There is a relation among Base Sampling Rate, OSR, Total Sample Points and Waveform Generation Length as follows.

Total Sample Points = Base Sampling Rate (MHz) x OSR x 1000 x Waveform Generation Length (ms)

Example: System BW = 5MHz, OSR = 1 (Auto), Waveform Generation Length = 10 (ms) case:

Total Sample Points = 7.68 (MHz) x 1 x 1000 x 10 (ms) = 76800 (Points)

The software sets the Base Sampling Rate based on the System Bandwidth (BW) as follows:

System BW = 1.4 MHz, Base Sampling Rate = 1.92 MHz.

System BW = 3 MHz, Base Sampling Rate = 3.84 MHz.

System BW = 5 MHz, Base Sampling Rate = 7.68 MHz.

System BW = 10 MHz, Base Sampling Rate = 15.36 MHz.

System BW = 15 MHz, Base Sampling Rate = 23.04 MHz.

System BW = 20 MHz, Base Sampling Rate = 30.72 MHz.

For multi-carrier waveforms, the Base Sampling Rate = 30.72 MHz.

Total Sample Points

View the waveform length, displayed in points. This cell cannot be edited.

The Total Sample Points value is automatically determined based on the oversampling ratio. Using a larger oversampling ratio results in a more completely filtered image, but also uses more waveform memory by increasing the number of waveform points.

Total Sample Points = (Waveform Generation (ms) * Oversampling Ratio * Base Sampling Rate)

Frequency Offset

Default: 0.000000 Hz

Set the frequency offset of the carrier relative to the signal generator's frequency setting.

The range of the parameter is coupled to the Oversampling Ratio, the Base Sampling Rate, the System Bandwidth, and the max ARB Sample Clock of the connected signal generator.

For single carrier configurations, the following table shows the maximum frequency offset:

Maximum Frequency Offset for each Maximum Arb Sample Clock and System Bandwidth
Maximum Frequency Offset | System Bandwidth
Maximum Arb Sample Clock (RF Bandwidth) | 1.4 MHz | 3 MHz | 5 MHz | 10 MHz | 15 MHz | 20 MHz
75 MHz (60 MHz) | 29.3 MHz | 28.5 MHz | 26.72 MHz | 20.54 MHz | 22.04 MHz | 15.36 MHz
100 MHz (80 MHz) | 39.3 MHz | 38.5 MHz | 37.5 MHz | 35 MHz | 32.5 MHz | 30 MHz
125 MHz (100 MHz) | 49.3 MHz | 48.5 MHz | 47.5 MHz | 45 MHz | 42.5 MHz | 40 MHz
150 MHz (120 MHz) | 59.3 MHz | 58.5 MHz | 57.5 MHz | 55 MHz | 52.5 MHz | 46.08 MHz
200 MHz (160 MHz) | 79.3 MHz | 78.5 MHz | 77.5 MHz | 75 MHz | 72.5 MHz | 70 MHz

For multiple carrier configurations, the following table shows the maximum frequency offset:

Multiple Carrier Maximum Frequency Offset for each Maximum Arb Sample Clock and System Bandwidth
Maximum Frequency Offset | System Bandwidth
Maximum Arb Sample Clock (RF Bandwidth) | 1.4 MHz | 3 MHz | 5 MHz | 10 MHz | 15 MHz | 20 MHz
75 MHz (60 MHz) | 15.36 MHz
100 MHz (80 MHz) | 30.72 MHz |  |  |  |  | 30 MHz
125 MHz (100 MHz) | 46.08 MHz |  |  | 45 MHz | 42.5 MHz | 40 MHz
150 MHz (120 MHz) | 46.08 MHz
200 MHz (160 MHz) | 76.8 MHz |  |  | 75 MHz | 72.5 MHz | 70 MHz

Power

Range: -60.000 to 0.000 dB

Default: 0.000 dB

Sets the power level in dB for the selected carrier in a multiple carrier configuration, relative to the power settings defined for the other carriers in the configuration.

You can ignore this parameter for single carrier configurations. In single carrier configurations, the amplitude of the signal is determined by the Amplitude setting in the Signal Generator node.

The carrier power level set with this parameter determines how the total RF power level (set with the Amplitude parameter in the Instrument node) is shared by the carriers in a multiple carrier configuration. The power, set in dB, is relative to the power, in dB, of the other carriers.

Example: Assume a two-carrier configuration with the RF power level set at -10 dBm in the instrument node. If Carrier 1 is set to 0 dB and Carrier 2 is set to 0 dB, then each carrier will be transmitted with the same power level. This means that each carrier will be transmitted at -13 dBm to maintain the total power output by the instrument at -10 dBm.

When Power Definition Type is set to Total Power, the RSTP is automatically calculated from the Amplitude setting in the Instrument node, the Power setting in the Component Carrier node, and each carrier's signal settings.

When Power Definition Type is set to RSTP, the Amplitude setting in the Instrument node and the Power setting in the Component Carrier node are automatically calculated and read-only.

Timing Offset

Range: 0.000 to minimum (waveform generation length - 1 ns or 10 ms - 1 ns) (us)

Default: 0.000 (us)

Specifies the length of timing offset. The maximum value of the range depends of Waveform Generation Length.

If the Timing Offset cannot be divided by sampling period (1 / Base Sampling Rate), the data is generated by the linear interpolation process.

Timing offset shifts the waveform relative to its original position and the Event 1 frame trigger marker signal. Each offset increment represents a period of time equal to the inverse value of the sampling frequency (see table below). As the waveform bit stream is shifted within a frame, the leftover bits wrap around to occupy the time between the original position and the offset value. This is advantageous in a multicarrier configuration because you can vary the timing offset of each carrier to reduce the probability of all carriers adding in phase and minimize the crest factor in the composite waveform. In a single carrier configuration, the timing offset has no effect on the crest factor, and therefore, should be set to 0.

Sampling Frequency | Time Value per Offset Increment (1/sampling frequency) | Channel Configuration (Bandwidth and Resource Blocks)
1.92 MHz | 520.8 ns | 1.4 MHz, 6 RB
3.84 MHz | 260.4 ns | 3 MHz, 15 RB
7.68 MHz | 130.2 ns | 5 MHz, 25 RB
15.36 MHz | 65.1 ns | 10 MHz, 50 RB
23.04 MHz | 43.4 ns | 15 MHz, 75 RB
30.72 MHz | 32.55 ns | 20 MHz, 100 RB
30.72 MHz | 32.55 ns | Multicarrier

Initial Phase

Range: 0 to 359 degrees

Default: 0 degrees

Set the initial phase of the carrier.

Symbol Roll-off Length

Range: 0 to 400 Ts

Default: 0 Ts

Windowing is used in the Signal Studio for 3GPP LTE software to reduce spurious signal generation between symbols.

Symbol Rolloff sets the windowing length in Basic Time Units.

Basic Time Unit (Ts) = 1/(15000 x 2048) seconds

The cyclic prefix used with SC-FDMA modulation in LTE results in a discontinuity between the SC-FDMA symbols. Windowing is used in the Signal Studio for 3GPP LTE software to reduce spurious signal generation between symbols caused by this discontinuity. Symbol Rolloff sets the windowing length in Basic Time Units. Adjusting the Symbol Roll-off Length can improve ACPR performance, but this may result in degraded EVM performance.

Baseband Filter

Choice: On | Off

Default: On

Double-click or use the drop-down menu to turn the baseband filter on or off. Turning the baseband filter off is not recommended.

Pre-Filter Clipping

Range: 10 to 100%

Default: 100%

Set the clipping (limit) level of the I/Q waveform before filtering. (100.0% = no clipping)

Post-Filter Clipping

Range: 10 to 100%

Default: 100%

Set the clipping (limit) level of the I/Q waveform after filtering. (100.0% = no clipping)

Inter-band Hardware

Choice: Inter-band 1 | Inter-band 2

Default: Inter-band 1

Double-click or use the drop-down menu to set the inter-band hardware.


Real Time

Go to topic Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to topic Go to topic Go to topic

2. Baseband (Advanced LTE-A only)

Oversampling Ratio

Choices: Auto, 1, 2

Default: Auto

If you select AUTO, the signal generator automatically sets an optimized oversampling ratio for the current setup.

The Total Sample Points value is automatically determined based on the oversampling ratio. Using a larger oversampling ratio results in a more completely filtered image, but also uses more waveform memory by increasing the number of waveform points. If AUTO is selected, the signal generator automatically selects the optimized oversampling ratio for the current signal setup.

Base Sampling Rate

Displays the Base Sampling Rate of the signal. This cell can not be edited.

Base Sampling Rate is a sampling rate without Oversampling Ratio (OSR). There is a relation among Base Sampling Rate, OSR, Total Sample Points and Waveform Generation Length as follows.

Total Sample Points = Base Sampling Rate (MHz) x OSR x 1000 x Waveform Generation Length (ms)

Example: System BW = 5MHz, OSR = 1 (Auto), Waveform Generation Length = 10 (ms) case:

Total Sample Points = 7.68 (MHz) x 1 x 1000 x 10 (ms) = 76800 (Points)

The software sets the Base Sampling Rate based on the System Bandwidth (BW) as follows:

System BW = 1.4 MHz, Base Sampling Rate = 1.92 MHz.

System BW = 3 MHz, Base Sampling Rate = 3.84 MHz.

System BW = 5 MHz, Base Sampling Rate = 7.68 MHz.

System BW = 10 MHz, Base Sampling Rate = 15.36 MHz.

System BW = 15 MHz, Base Sampling Rate = 23.04 MHz.

System BW = 20 MHz, Base Sampling Rate = 30.72 MHz.

For multi-carrier waveforms, the Base Sampling Rate = 30.72 MHz.

Total Sample Points

View the waveform length, displayed in points. This cell cannot be edited.

The Total Sample Points value is automatically determined based on the oversampling ratio. Using a larger oversampling ratio results in a more completely filtered image, but also uses more waveform memory by increasing the number of waveform points.

Total Sample Points = (Waveform Generation (ms) * Oversampling Ratio * Base Sampling Rate)

Pre-Filter Clipping

Range: 10 to 100%

Default: 100%

Set the clipping (limit) level of the I/Q waveform before filtering. (100.0% = no clipping)

Post-Filter Clipping

Range: 10 to 100%

Default: 100%

Set the clipping (limit) level of the I/Q waveform after filtering. (100.0% = no clipping)

Frequency Offset

Default: 0.000000 Hz

Set the frequency offset of the carrier relative to the signal generator's frequency setting.

The range of the parameter is coupled to the Oversampling Ratio, the Base Sampling Rate, the System Bandwidth, and the max ARB Sample Clock of the connected signal generator.

For single carrier configurations, the following table shows the maximum frequency offset:

Maximum Frequency Offset for each Maximum Arb Sample Clock and System Bandwidth
Maximum Frequency Offset | System Bandwidth
Maximum Arb Sample Clock (RF Bandwidth) | 1.4 MHz | 3 MHz | 5 MHz | 10 MHz | 15 MHz | 20 MHz
75 MHz (60 MHz) | 29.3 MHz | 28.5 MHz | 26.72 MHz | 20.54 MHz | 22.04 MHz | 15.36 MHz
100 MHz (80 MHz) | 39.3 MHz | 38.5 MHz | 37.5 MHz | 35 MHz | 32.5 MHz | 30 MHz
125 MHz (100 MHz) | 49.3 MHz | 48.5 MHz | 47.5 MHz | 45 MHz | 42.5 MHz | 40 MHz
150 MHz (120 MHz) | 59.3 MHz | 58.5 MHz | 57.5 MHz | 55 MHz | 52.5 MHz | 46.08 MHz
200 MHz (160 MHz) | 79.3 MHz | 78.5 MHz | 77.5 MHz | 75 MHz | 72.5 MHz | 70 MHz

For multiple carrier configurations, the following table shows the maximum frequency offset:

Multiple Carrier Maximum Frequency Offset for each Maximum Arb Sample Clock and System Bandwidth
Maximum Frequency Offset | System Bandwidth
Maximum Arb Sample Clock (RF Bandwidth) | 1.4 MHz | 3 MHz | 5 MHz | 10 MHz | 15 MHz | 20 MHz
75 MHz (60 MHz) | 15.36 MHz
100 MHz (80 MHz) | 30.72 MHz |  |  |  |  | 30 MHz
125 MHz (100 MHz) | 46.08 MHz |  |  | 45 MHz | 42.5 MHz | 40 MHz
150 MHz (120 MHz) | 46.08 MHz
200 MHz (160 MHz) | 76.8 MHz |  |  | 75 MHz | 72.5 MHz | 70 MHz

Power

Range: -60.000 to 0.000 dB

Default: 0.000 dB

Sets the power level in dB for the selected carrier in a multiple carrier configuration, relative to the power settings defined for the other carriers in the configuration.

You can ignore this parameter for single carrier configurations. In single carrier configurations, the amplitude of the signal is determined by the Amplitude setting in the Signal Generator node.

The carrier power level set with this parameter determines how the total RF power level (set with the Amplitude parameter in the Instrument node) is shared by the carriers in a multiple carrier configuration. The power, set in dB, is relative to the power, in dB, of the other carriers.

Example: Assume a two-carrier configuration with the RF power level set at -10 dBm in the instrument node. If Carrier 1 is set to 0 dB and Carrier 2 is set to 0 dB, then each carrier will be transmitted with the same power level. This means that each carrier will be transmitted at -13 dBm to maintain the total power output by the instrument at -10 dBm.

When Power Definition Type is set to Total Power, the RSTP is automatically calculated from the Amplitude setting in the Instrument node, the Power setting in the Component Carrier node, and each carrier's signal settings.

When Power Definition Type is set to RSTP, the Amplitude setting in the Instrument node and the Power setting in the Component Carrier node are automatically calculated and read-only.

Timing Offset

Range: 0.000 to minimum (waveform generation length - 1 ns or 10 ms - 1 ns) (us)

Default: 0.000 (us)

Specifies the length of timing offset. The maximum value of the range depends of Waveform Generation Length.

If the Timing Offset cannot be divided by sampling period (1 / Base Sampling Rate), the data is generated by the linear interpolation process.

Timing offset shifts the waveform relative to its original position and the Event 1 frame trigger marker signal. Each offset increment represents a period of time equal to the inverse value of the sampling frequency (see table below). As the waveform bit stream is shifted within a frame, the leftover bits wrap around to occupy the time between the original position and the offset value. This is advantageous in a multicarrier configuration because you can vary the timing offset of each carrier to reduce the probability of all carriers adding in phase and minimize the crest factor in the composite waveform. In a single carrier configuration, the timing offset has no effect on the crest factor, and therefore, should be set to 0.

Sampling Frequency | Time Value per Offset Increment (1/sampling frequency) | Channel Configuration (Bandwidth and Resource Blocks)
1.92 MHz | 520.8 ns | 1.4 MHz, 6 RB
3.84 MHz | 260.4 ns | 3 MHz, 15 RB
7.68 MHz | 130.2 ns | 5 MHz, 25 RB
15.36 MHz | 65.1 ns | 10 MHz, 50 RB
23.04 MHz | 43.4 ns | 15 MHz, 75 RB
30.72 MHz | 32.55 ns | 20 MHz, 100 RB
30.72 MHz | 32.55 ns | Multicarrier

Initial Phase

Range: 0 to 359 degrees

Default: 0 degrees

Set the initial phase of the carrier.

Symbol Roll-off Length

Range: 0 to 400 Ts

Default: 0 Ts

Windowing is used in the Signal Studio for 3GPP LTE software to reduce spurious signal generation between symbols.

Symbol Rolloff sets the windowing length in Basic Time Units.

Basic Time Unit (Ts) = 1/(15000 x 2048) seconds

The cyclic prefix used with SC-FDMA modulation in LTE results in a discontinuity between the SC-FDMA symbols. Windowing is used in the Signal Studio for 3GPP LTE software to reduce spurious signal generation between symbols caused by this discontinuity. Symbol Rolloff sets the windowing length in Basic Time Units. Adjusting the Symbol Roll-off Length can improve ACPR performance, but this may result in degraded EVM performance.

Baseband Filter

Choice: On | Off

Default: On

Double-click or use the drop-down menu to turn the baseband filter on or off. Turning the baseband filter off is not recommended.


2. LTE TDD Frame Configuration

Real Time

Go to topic Go to topic

3. LTE TDD Frame Configuration

These first three groups of settings apply to all basic carriers. The Fading parameters are available for Advanced LTE and Advanced LTE-A TDD carriers only.

Some parameters do not apply to the Basic LTE PRACH and Basic LTE-A PRACH.

The frame structure below (Figure 1) is applicable to TDD. Each radio frame of length T f = 307200*T s = 10 ms consists of two half-frames of length T f = 153600*T s = 5 ms each. Each half-frame consists of five subframes of length 307200*T s = 1 ms. The supported uplink-downlink configurations are listed in Table 2 where, for each subframe in a radio frame, "D" denotes the subframe is reserved for downlink transmissions, "U" denotes the subframe is reserved for uplink transmissions and "S" denotes a special subframe with the three fields DwPTS, GP and UpPTS. The length of DwPTS and UpPTS is given by Table 1 subject to the total length of DwPTS, GP and UpPTS being equal to 307200*T s = 1 ms. Each subframe i is defined as two slots, 2i and 2i+1 of length T slot = 153600*T s = 0.5 ms in each subframe.

Uplink-downlink configurations with both 5 ms and 10 ms downlink-to-uplink switch-point periodicity are supported.

In case of 5 ms downlink-to-uplink switch-point periodicity, the special subframe exists in both half-frames.

In case of 10 ms downlink-to-uplink switch-point periodicity, the special subframe exists in the first half-frame only.

Subframes 0 and 5 and DwPTS are always reserved for downlink transmission. UpPTS and the subframe immediately following the special subframe are always reserved for the uplink transmission.

Figure 1. Frame Structure type 2 (for 5 ms switch-point periodicity)

Table 1. Configuration of special subframe (lengths of DwPTS/GP/UpPTS).

Table 2. Uplink-downlink configurations.

Uplink Downlink Configuration

Range: 0 to 6

Default: 0

Coupling: For Basic, Advanced UL, and Advanced DL LTE-A TDD when Auto Carrier Aggregation Configuration is set to On, this setting is read only for the secondary cells that has the same value as the primary cell.

Double-click or use the drop-down menu to select the uplink-downlink configuration.

The supported uplink-downlink configurations are defined in Table 4.2-2 of 3GPP TS 36.211.

In the case of intra-band carrier aggregation, the PCell parameter is editable, but SCell is read-only. With inter-band carrier aggregation, both parameters are editable.

The resource blocks and some parameters are reconfigured by changing the Uplink Downlink Configuration parameter in the same manner as Predefined Configuration.

Switch-point Periodicity

Displays the Switch-point periodicity of the frame. Refer to Uplink-downlink allocations (Table 2) in 3GPP TS 36.211.

Allocation Configuration

Display Downlink/Uplink Allocation Configuration. See Table 2 for details.

Special Subframe Configuration

Range: 0 to 8 (Normal CP), 0 to 6 (Extended CP)

0 to 9 (Normal CP), 0 to 7 (Extended CP)

Default: 0

Coupling: For Basic, Advanced UL, and Advanced DL LTE-A TDD when Auto Carrier Aggregation Configuration is set to On, this setting is read only for the secondary cells that has the same value as the primary cell.

Double-click or use the drop-down menu to select the special subframe configuration. The special subframe configurations are defined in Table 4.2-1 of 3GPP TS 36.211.

0 to 9 (Normal CP) and 0 to 7 (Extended CP) ranges for this parameter are available only for Basic and Advanced LTE-A TDD, and then only for Basic LTE-A TDD when Minor Enhancement Update (MEU) Option U03 or greater is valid. Refer to Licenses for more information.

DwPTS Length

Displays the symbol length of DwPTS. See Table 1 for details.

GP Length

Displays the symbol length of GP. See Table 1 for details.

UpPTS Length

Displays the symbol length of UpPTS. See Table 1 for details.


3. LTE TDD Common Parameters

These first three groups of settings apply to all basic and advanced carriers. The Fading parameters are available for Advanced LTE and Advanced LTE-A TDD carriers only.

Some parameters do not apply to the Basic LTE PRACH and Basic LTE-A PRACH.

Physical Layer Cell ID Group

Range: 0 to 167

Default: 0

Enter a value for the physical layer cell ID group. The combination of one Physical Layer Cell ID Group value and one Physical Layer Cell ID Sector value determines a unique physical layer cell ID.

There are 504 unique physical-layer cell identities. The physical-layer cell identities are grouped into 168 unique physical-layer cell-identity groups, each group containing three unique identities. The grouping is such that each physical-layer cell identity is part of one and only one physical-layer cell-identity group. A physical-layer cell identity [image] is thus uniquely defined by a number [image] in the range of 0 to 167, representing the physical-layer cell-identity group, and a number [image] in the range of 0 to 2, representing the physical-layer identity within the physical-layer cell-identity group.

Physical Layer Cell ID Sector

Choice: 0 | 1 | 2

Default: 0

Double-click or use the drop down menu to set the physical layer cell ID sector. The combination of one Physical Layer Cell ID Group value and one Physical Layer Cell ID Sector value determines a unique physical layer cell ID.

Refer to 3GPP TS36.211.

Cell ID

Range: 0 to 503

Default: 0

Display the value for the cell ID. The combination of one Physical Layer Cell ID Group value and one Physical Layer Cell ID Sector value determines a unique physical layer Cell ID.

Cell ID = Physical Layer Cell ID Group *3 + Physical Layer Cell ID Sector

Refer to 3GPP TS36.211.

System Bandwidth

Choice: 1.4 MHz (6RB) | 3 MHz (15RB) | 5 MHz (25RB)) | 10 MHz (50RB) | 15 MHz (75RB) | 20 MHz (100RB)

Default:

LTE: 5 MHz (25RB)

LTE-A: 10 MHz (50RB)

Double-click or use the drop-down menu to set the system bandwidth and number of resource blocks (RB). When you select a system bandwidth, the software automatically adjusts the values in the Total Number of Resource Blocks and Total Number of Occupied Sub-carriers cells.

Advanced LTE and LTE-A carriers only: When the system bandwidth is decreased, the DL-SCH Tx Sequence window's RB size, and some of the other data channel's settings, are reconfigured, similar to when a predefined configuration is executed. But, when the system bandwidth is increased, no change to the DL-SCH Tx Sequence window's RB size, or the other data channel's settings occurs.

Total Number of Resource Blocks

The value in this cell is set by the software based on the System Bandwidth setting.

Total Number of Occupied Sub-carriers

The value in this cell is set by the software based on the System Bandwidth setting. The center subcarrier is not used for downlink transmission, so the number of transmitted subcarriers is one less than the number of occupied subcarriers.

Subcarrier Spacing

Default: 15 KHz

Displays the subcarrier spacing.

Cyclic Prefix

Choice: Normal | Extended

Default: Normal

Coupling: For Basic, Advanced UL, and Advanced DL LTE-A TDD when Auto Carrier Aggregation Configuration is set to On, this setting is read only for the secondary cells that has the same value as the primary cell.

Double-click or use the drop-down menu to select a Normal or Extended cyclic prefix. The software sets the Number of Symbols for Resource Block based on the cyclic prefix selection.

Number of Subcarriers for Resource Block

Default: 12

Displays the number of consecutive subcarriers in a resource block.

Number of Symbols for Resource Block

Default: 7 (Normal CP); 6 (Extended CP)

Displays the number of consecutive OFDM symbols in a slot.


3A. Dynamic Uplink Downlink Configuration (eIMTA)

This feature appears in the software's GUI only when Minor Enhancement Update (MEU) Option U05 or greater is valid. Refer to Licenses for more information.

Dynamic Uplink Downlink Configuration State

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the Dynamic Uplink Downlink Configuration State on or off.

On: Dynamic Uplink Downlink Configuration and related parameters are available. If this is set to On, the Transmission Configuration Length on each DL-SCH is set to same value as the Dynamic Uplink Downlink Configuration Length and read-only. In this case, the Dynamic Uplink Downlink HARQ Reference Configuration, the Dynamic Uplink Downlink Configuration Frame Number on CFI/HI/DCI and the Dynamic Uplink Downlink Configuration PDCCH Allocations on DCI are available.

Off: Dynamic Uplink Downlink Configuration and related parameters are not available. If this is set to Off, the Dynamic Uplink Downlink HARQ Reference Configuration is set to read-only. In this case, the Dynamic Uplink Downlink Configuration Frame Number on CFI/HI/DCI and the Dynamic Uplink Downlink Configuration PDCCH Allocations on DCI are hidden.

Dynamic Uplink Downlink Configuration Length

Displays Dynamic Uplink Downlink Configuration Length which is smaller value of the Waveform Generation Length or 16 radio frames.

Dynamic Uplink Downlink HARQ Reference Configuration

Choice: 2 | 4 | 5

Default: 2

Double-click or use the drop-down menu to set the Dynamic Uplink Downlink HARQ Reference Configuration which indicates uplink-downlink configuration used as the DL HARQ reference configuration. If the Dynamic Uplink Downlink Configuration State is set to On, it is settable. Otherwise, it is read-only.

This is given by higher layer parameter eimta-HARQ-ReferenceConfig-r12.

See 3GPP TS 36.211 and 36.213, for more information.

Dynamic Uplink Downlink Configuration Sequence

Click the button in this cell to open the Dynamic Uplink Downlink Configuration window which can configure Uplink Downlink Configuration every radio frame. Displays each radio frame of Dynamic Uplink Downlink Configuration in the Dynamic Uplink Downlink Configuration Length.

Dynamic Uplink Downlink Configuration Sequence window

Column Preset

Sets all values in the Dynamic Uplink Downlink Configuration column except Frame 0.

Frame

Displays the radio frame number for the Dynamic Uplink Downlink Configuration.

Dynamic Uplink Downlink Configuration

Choice: depends on Uplink Downlink Configuration and the Dynamic Uplink Downlink HARQ Reference Configuration on the component carrier

Use the drop-down menu to set the Dynamic Uplink Downlink Configuration for the radio frame.

The value on the first radio frame is same as Uplink Downlink Configuration parameter and it is read-only.

See 3GPP TS 36.211 and 36.213, for more information.

Allocation Configuration

Displays the uplink and downlink subframe allocation configuration for each subframe in the radio frame.

D denotes a downlink subframe reserved for downlink transmissions.

U denotes an uplink subframe reserved for uplink transmissions.

S denotes a special subframe with the three fields DwPTS, GP and UpPTS.

See 3GPP TS 36.211 for more information.


4. Fading

Real Time

Go to topic Go to topic

4. Fading contained in Waveform (multipath only)

These first three groups of settings apply to all basic and advanced carriers. The Fading parameters are available for Advanced LTE and Advanced LTE-A TDD carriers only.

Fading parameters are not available when the Waveform Generation Length parameter is set to >16 frames.

Channel State

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the channel On or Off.

Channel State Off - The software simulates the signal at the base station transmitter antenna.

Channel State On - The software simulates the signal at the mobile station receiver antenna.

When the channel state is on, enable at least one path in the Multipath Configuration window. See Multi-Paths Setting (Static).

For multiple signal generator configurations, you must turn the Channel State on before you can change the number of BS antennas using the Total number of Antennas parameter in the Downlink Setup node. When the channel state is off, you must change the number of signal generators (for example, Quick Setup M x 1, M x 2, M x 4) to change the number of BS antennas.

Channel Type

Choice: Mobile | Static

Mobile is not available in this Signal Studio release.

Number of BS Antennas

Displays the number of base station antennas.

For multiple signal generator configurations, you must turn the Channel State on before you can change the number of BS antennas using the Total number of Antennas parameter in the Downlink Setup node. When the channel state is off, you must change the number of signal generators (for example, Quick Setup M x 1, M x 2, M x 4) to change the number of BS antennas.

Number of MS Antennas

Displays the number of mobile station antennas.

This value is set by the software to the number of signal generators configured in your physical or simulated hardware setup.

Channel Parameters

Click the [image] icon to display the available channel parameters.

Multi-Paths Setting (Static)

This parameter is active when Channel Type is set to Static.

Click on the button in the cell to bring up the Closed Multipath Configuration window, which enables you to add up to 20 paths with delay, power, and phase impairments to simulate the multi-point reflection experienced in a real-world multipath environment. The editing table was designed so that you can edit and enable or disable individual paths as needed for fine-tuning.

Note that there are tabs for each channel, for example, channel H10 for the channel from Tx Antenna 1 to Rx Antenna 0. Click the arrows to display additional tabs.

The following impairments can be made to each path:

Delay (0 to 20000 ms) - A reflected signal bounces off of one or more surfaces before reaching the receiver, resulting in a longer path than the line-of-sight signal. This delays the reflected signal relative to the line-of-sight signal.

Power (-100 to 0 dB) - Power Attenuation occurs with reflected signals as a result of the added distance they travel, compared to the line-of-site signal. Other factors may also contribute to signal power attenuation, such as the characteristics of the reflecting surface.

Phase (-360 to 360 Deg) - Signals become distorted as they reflect off of walls or other surfaces or wrap around corners, causing a shift in phase relative to the line-of-site signal. The user can adjust the phase of each multipoint signal to simulate such distortions.

When enabling a multipath configuration, it is best to turn off RF Blanking. Leaving Blanking on can result in partial blanking of any delayed multipaths (see the figure below). To disable RF Blanking, click the Instrument in the Closed tree view and set the RF Blanking to None. You can also turn off RF blanking on the signal generator after the waveform file has been downloaded

.


Downlink (Basic LTE TDD)

Click the Predefined Configuration button to access a Closed dialog box from which you can select a base channel configuration.

The Test Model Wizard button opens a window from which you can select a test model type and set or view other related parameters. In the ETM test Mode, it will generate with two different frame settings.

Click the Frame Switch button to see the settings for different frames.

Click the links in the tables below to view parameter descriptions.

1. Cell Parameters | 2. Cell Specific Reference Signal | 3. Synchronization Signals
State | Cell specific Reference Signal Power | Primary Synch Signal State
Antenna Port | Cell specific Reference Signal Frequency Shift | Primary Synch Signal Power
Total number of Antennas | PDSCH Cell Specific Ratio | Secondary Synch Signal State
Power Definition Type |  | Secondary Synch Signal Power
Reference Signal Transmit Power (RSTP) |  | P-SS/S-SS Transmit Antenna Port
OFDM Symbol Transmit Power (OSTP) |  |

1. Cell Parameters

State

Choice: On | Off

Default: On

Double-click or use the drop-down menu to turn the downlink transmission off or on.

Antenna Port

Default: 0

In multi-antenna configurations, specify the antenna to be used for transmitting the downlink signal. The available selections are determined by the Total Number of Antennas setting.

Total number of Antennas

In multi-antenna configurations, specify the total number of antennas used for downlink transmission.

For multiple signal generator configurations, set the Channel State parameter in the Fading section of the Carrier node to On to make this cell active. When the channel state is off, you must change the number of signal generators (for example, Quick Setup Mx1, Mx2, Mx4) to change the number of BS antennas.

Power Definition Type

Choice: Total Power | RSTP

Default: Total Power

Double-click or use the drop-down menu to select the power definition type.

If Total Power is selected, power reference is Amplitude parameter on Instrument node. In this case, RSTP and OSTP are automatically calculated by Amplitude parameter on Instrument node, Power parameter on Carrier node and each carrier signal settings.

If RSTP is selected, power reference is RSTP. In this case, Amplitude on Instrument node and OSTP are calculated by RSTP, Power parameter on Carrier node and each carrier signal settings.

In multiple carrier case, Power Definition Type parameter in each carrier should be same.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

Reference Signal Transmit Power (RSTP)

Range: -15.00 to -144.00 dBm

Default: -34.77 dBm

Enter the Reference Signal Transmit Power in dBm, when the Power Definition Type is RSTP. Otherwise displays the Reference Signal Transmit Power in dBm and the value is updated after generation.

Available setting range and step depends on hardware.

See 3GPP TS 36.141 for more information.

OFDM Symbol Transmit Power (OSTP)

Display the Downlink OFDM Symbol Transmit Power in dBm.

For detailed information about OSTP, refer to the 3GPP TS 36.141.

2. Cell Specific Reference Signal

Cell specific Reference Signal Power

Range: -60 to 20 dB

Default: 0 dB

Enter a power level in dB for the cell specific reference signal.

Cell specific Reference Signal Frequency Shift

The software maps cell specific reference signal symbols to resource elements in compliance with 3GPP technical specification TS 36.211. The Cell specific Reference Signal Frequency Shift parameter is set by the software to control the reference signal offset in each subframe.

The applied frequency offsets are indicated in the resource mapping graph.

For detailed information about reference symbol mapping, refer to the 3GPP TS 36.211 V8.4.0 document at http://www.3gpp.org.

PDSCH Cell Specific Ratio

Choice: pB/pA=1 | P_B=0 | P_B=1 | P_B=2 | P_B=3

Default: pB/pA=1

Double-click or use the drop-down menu to select the PDSCH cell specific ratio.

3. Synchronization Signals

Primary Synch Signal State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the primary synchronization signal (P-SS) On or Off.

Primary Synch Signal Power

Range: -60 to 20 dB

Default: 0 dB

Enter the power level in dB for the primary synchronization signal.

Secondary Synch Signal State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the secondary synchronization signal (S-SS) On or Off.

Secondary Synch Signal Power

Range: -60 to 20 dB

Default: 0 dB

Enter the power level in dB for the secondary synchronization signal.

P-SS/S-SS Transmit Antenna Port

Choice: Port 0 | Port 1 | Port 2 | Port 3 | All Ports

Default: Port 0

Double-click or use the drop-down menu to select the P-SS/S-SS Transmit Antenna Port type.


Transport Channel (Basic LTE TDD Downlink)

Real Time

Transport Channel (Basic TDD LTE Downlink)

The Transport Downlink configuration has several different possible channel setups (e.g. DL-SCH and BCH). The screen shot below shows the parameter choices for a DL-SCH channel. In the N7625B Signal Studio software, click a different channel to view that channel's parameter choices. The links for all of the channel's parameters and their descriptions are listed in the table below.

Before adding a transport channel as described below, delete any existing transport channel, physical channel, or resource block collection that occupies the resource blocks that your new transport channel will occupy. If you add a new transport channel without first deleting a conflicting channel or resource block collection, a "code conflicted" error occurs when you generate the waveform.

To add a new transport channel, click the Add Channel button and select the transport channel to add. The software adds the new channel above the currently selected channel in the list. The software assigns a channel identifying number to the new channel that corresponds to its position in the list and increments the identifying numbers of subsequent channels in the list.

When you add a DL-SCH, the Configure DL-SCH window opens that enables you to configure the downlink shared channel.

Similarly, if you delete the selected channel using the Delete Channel button, the software adjusts the identifying numbers of the subsequent channels according to their new positions in the list.

You can make changes to an already configured DL-SCH channel by selecting the channel and clicking the DL-SCH Configuration button. This button opens the Configure DL-SCH window for the selected channel.

General Settings

Transport Channel Number

Name

State

Power

RNTI

Physical Channels

Coding State

Data

Transport Channel Number

Displays the number of the selected transport channel.

Name

Displays the name of the selected transport channel.

BCH = Broadcast Channel

DL-SCH = Downlink Shared Channel

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the channel On or Off.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the selected channel. See Power Settings (Downlink) for a description of how the software applies your power setting.

RNTI

Range: 0 to 65535

Default: 0

Enter a value for the Radio Network Temporary Identifier (RNTI). See 3GPP TS 36.211.

Physical Channels

Displays the number(s) of the physical channel(s) associated with the selected transport channel.

Coding State

This is read only parameter and always set to Off.

Displays the coding state (Off) for the selected channel. Transport channel coding is not available in the Basic LTE Carrier. Use the Advanced LTE Carrier to configure a signal with transport channel coding.

Data

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data.


Physical Channel (Basic LTE TDD Downlink)

This Physical Channel Downlink configuration has several different possible channel setups (e.g. PBCH, PDCCH, ...). The screen shot below shows the parameter choices for a PBCH channel. In the N7625B Signal Studio software, click a different channel to view that channel's parameter choices. The links for all of the channel's parameters and their descriptions are listed in the tables below.

Before adding a physical channel as described below, delete any existing transport channel, physical channel, or resource block collection that occupies the resource blocks that your new physical channel will occupy. If you add a new physical channel without first deleting a conflicting channel or resource block collection, a "code conflicted" error occurs when you generate the waveform.

To add a new physical channel, click the Add Channel button, and select the physical channel type (PBCH, PDCCH, PDSCH, PDFICH, or PHICH) to add. The software adds the new channel above the currently selected channel in the list. The software assigns a channel identifying number to the new channel that corresponds to its position in the list and increments the identifying numbers of subsequent channels in the list.

Similarly, if you delete the selected channel using the Delete Channel button, the software adjusts the identifying numbers of the subsequent channels according to their new positions in the list.

If you select an existing PDSCH channel and click the Physical Channel Configuration button, the Configure PDSCH window opens in which you can specify the modulation type, frame number, subframe number, and resource blocks for the PDSCH. If you are adding a new PDSCH, when you click OK, the PDSCH channel is added to the bottom of the list of resource block collections in the Resource Block node and numbered accordingly. A physical channel occupies one subframe (two slots) and therefore occupies two resource block collections. The PDSCH also appears in the resource mapping graph in the position (subframe and resource blocks) that you have specified.

PBCH | PDCCH | PDSCH
1. General Settings | 1. General Settings | 1. General Settings
Physical Channel Number | Physical Channel Number | Physical Channel Number
Name | Name | Name
State | State | State
Power | Power | Power
Modulation Type | Modulation Type | RNTI
Resource Block Collection Numbers | Resource Block Collection Numbers | Modulation Type
Data | Scrambling | Resource Block Collection Numbers
Scrambling | PDCCH Allocations | Data
 | Transmission Configuration (PDCCH) | Scrambling
PCFICH | PHICH
1. General Settings | 1. General Settings
Physical Channel Number | Physical Channel Number
Name | Name
State | State
Power | PHICH BPSK Symbol Power
Modulation Type | Modulation Type
Scrambling | Resource Block Collection Numbers
CFI | Scrambling
 | PHICH Duration
 | PHICH Mi Definition
 | PHICH Allocation
 | PHICH Maximum Group Number
 | Transmission Configuration (PHICH)

CFI

Range:

1 to 3 for number of downlink resource blocks > 10 (see System Bandwidth)

2 to 4 for number of downlink resource blocks ≤ 10 (see System Bandwidth)

Displays the control format indicator (1, 2, 3 or 4) for each subframe in the selected PCFICH channel. These values are set in the PDCCH Allocations cell.

Data

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data.

Higher Layer is displayed in this cell for physical channels that are occupied by a higher layer.

Modulation Type

Displays the modulation type for the selected physical channel.

Name

Displays the name (type) of the selected physical channel.

PBCH = Physical Broadcast Channel

PDCCH = Physical Downlink Control Channel

PDSCH = Physical Downlink Shared Channel

PCFICH = Physical Control Format Indicator Channel

PHICH = Physical HARQ Indicator Channel

Physical Channel Number

Displays the identifying number of the selected physical channel.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the selected channel. See Power Settings (Downlink) for a description of how the software applies your power setting.

Resource Block Collection Numbers

For physical channels (PDSCH, PUSCH or PUCCH), displays the numbers of the resource block collection to which the channel belongs. A physical channel occupies one subframe (two slots) and therefore occupies two resource block collections.

Scrambling

Choice: Off | On | Manual

Default: On

Double-click or use the drop-down menu to turn scrambling for the physical channel on or off.

PDCCH Allocations

Range:

1 to 3 for number of downlink resource blocks > 10 (see System Bandwidth)

2 to 4 for number of downlink resource blocks <= 10 (see System Bandwidth).

For DCI channels, you can set PDCCH Allocations for each subframe as described in 3GPP TS 36.211.

The values you set here are displayed in the CFI cell for the corresponding PCFICH channel. The resource mapping graph is updated to show the current setting when you click outside the cell.

PHICH Allocation

Choice: 1/6 | 1/2 | 1 | 2

Default: 1/6

Double-click or use the drop-down menu to set the allocation value for the selected PHICH channel. The software sets the PHICH Maximum Group Number, based on the PHICH Allocation value.

The PHICH carries the hybrid-ARQ ACK/NAK. Multiple PHICHs mapped to the same set of resource elements constitute a PHICH group, where PHICHs within the same PHICH group are separated through different orthogonal sequences. A PHICH resource is identified by the index pair [image], where [image] is the PHICH group number and [image] is the orthogonal sequence index within the group.

For frame structure type 1, the number of PHICH groups [image] is constant in all subframes and given by

where [image] is provided by higher layers. The index [image] ranges from 0 to [image].

For frame structure type 2, the number of PHICH groups may vary between downlink subframes and is given by [image] where [image] is given by Table 1 below and [image] by the expression above. The index [image] in a downlink subframe with non-zero PHICH resources ranges from 0 to [image] .

Table 1: The factor for frame structure type 2

Uplink-downlink Configuration | Subframe Number i
 | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9
0 | 2 | 1 | - | - | - | 2 | 1 | - | - | -
1 | 0 | 1 | - | - | 1 | 0 | 1 | - | - | 1
2 | 0 | 0 | - | 1 | 0 | 0 | 0 | - | 1 | 0
3 | 1 | 0 | - | 0 | - | 0 | 0 | 0 | 1 | 1
4 | 0 | 0 | - | - | 0 | 0 | 0 | 0 | 1 | 1
5 | 0 | 0 | - | 0 | 0 | 0 | 0 | 0 | 1 | 0
6 | 1 | 1 | - | - | - | 1 | 1 | - | - | 1

PHICH BPSK Symbol Power

Range: -60 to 20 dB

Default: 0 dB

Enter a power level in dB for the selected channel. See Output Power Calculation (Downlink) for a description of how the software applies your power settings.

PHICH Duration

Choice: Normal | Extended

Default: Normal

Double-click or use the drop-down menu to set the PHICH Duration to Normal or Extended for the selected PHICH channel. See 3GPP TS 36.211.

PHICH Maximum Group Number

Range: 1 to 8

The software sets the maximum group number for the selected PHICH channel based on the PHICH Allocation selection. See 3GPP TS 36.211.

Multiple PHICHs mapped to the same set of resource elements constitute a PHICH group, where PHICHs within the same PHICH group are separated through different orthogonal sequences.

PHICH Mi Definition

Set the Mi definition mode of PHICH channel. If the PHICH Mi definition mode is ETM, all the Mi will be set to 1. See 3GPP TS 36.141 for detail.

RNTI

Range: 0 to 65535

Default: 0

Enter a value for the Radio Network Temporary Identifier (RNTI). Refer to 3GPP TS 36.211.

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the channel On or Off.

This parameter is read-only for physical channels that are occupied by a higher layer.

Transmission Configuration (PDCCH)

Click the [image] button in this cell to open the Closed PDCCH Tx configuration window.

The physical downlink control channel carries scheduling assignments and other control information. A physical control channel is transmitted on an aggregation of one or several consecutive control channel elements (CCEs), where a control channel element corresponds to 9 resource element groups. The number of resource-element groups not assigned to PCFICH or PHICH is [image]. The CCEs available in the system are numbered from 0 and [image] , where [image] . The PDCCH supports multiple formats as listed in Table 2 below. A PDCCH consisting of n consecutive CCEs may only start on a CCE fulfilling [image], where i is the CCE number.

Table 2: Supported PDCCH formats

PDCCH format | Number of CCEs | Number of resource element groups | Number of PDCCH bits
0 | 1 | 9 | 72
1 | 2 | 18 | 144
2 | 4 | 36 | 288
3 | 8 | 72 | 576

Transmission Configuration (PHICH)

Click the [image] button in this cell to open the Closed PHICH Tx configuration window.


Resource Block (Basic LTE TDD Downlink)

Before adding a resource block collection as described below, delete any existing transport channel, physical channel, or resource block collection that occupies the resource blocks that your new resource block collection will occupy. If you add a new resource block collection without first deleting a conflicting channel or resource block collection, a ”code conflicted” error occurs when you generate the waveform.

Resource Block Collection

Resource Block Collection Number

State

Power

Modulation Type

Slot Number

Resource Blocks

Data

Resource Block Collection Number

Displays the identifying number of the currently selected resource block collection.

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the selected resource block collection On or Off.

This parameter is read-only for resource block collections that are occupied by a higher layer.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level for the selected resource block collection. See Power Settings (Downlink) for a description of how the software applies your power setting.

Modulation Type

Choice: QPSK | 16QAM | 64QAM

Default: QPSK

Double-click or use the drop-down menu to select the modulation type for the selected resource block collection.

This parameter is read-only for resource block collections that are occupied by a higher layer.

Slot Number

Enter a slot number to assign the selected resource block collection to a specific slot in the frame. The combination of Slot Number and Resource Blocks defines a resource block collection.

This parameter is read-only for resource block collections that are occupied by a higher layer.

Resource Blocks

Enter one or more numbers (separated by commas) or a range (for example, 1-10) to assign specific resource blocks in the frequency domain to the resource block collection. The combination of Slot Number and Resource Blocks defines a resource block collection. Resource blocks in a collection must be in the same slot, but do not have to be contiguous in the frequency domain. The number of resource blocks available in the frequency domain is determined by the System Bandwidth setting defined in the Downlink Setup node.

This parameter is read-only for resource block collections that are occupied by a higher layer.

Data

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data.

Higher Layer is displayed in the Data cell if the selected resource block collection is occupied by a higher layer.


Power Settings (Downlink)

You can set power in the Resource Block, Physical Channel, and Transport Channel nodes. It is important to understand how the software applies the power settings for each node. Transport Channel node power settings override corresponding Physical Channel node and Resource Block node power settings; Physical Channel node power settings override corresponding Resource Block power settings. To avoid overriding lower layer power settings, set Transport Channel power levels first, followed by Physical Channel power levels, then Resource Block power levels. The following examples illustrate this.

Transport Channel Example

When you set the power level for a transport channel, the power setting is applied to all of the physical channels occupied by that transport channel. For example, if you have LTE DL 1 Carrier selected as the channel configuration and set the power for DL-SCH in the Transport Channel node to -3 dB, the power level for all resource elements in physical channels 3 and 4 is set to -3 dB. The -3 dB power level you set in the Transport Channel node (Figure 1) overrides any power levels for physical channels 3 and 4 previously set in the Physical Channel node (Figure 2) and any power levels for resource block groups 1 to 4 previously set in the Resource Block node (Figure 3).

Figure 1. DL-SCH Transport Channel Power

Figure 2. DL-SCH Power Settings Applied to Physical Channels 3 and 4

Figure 3. DL-SCH Power Settings Applied to Resource Block Groups 1 to 4

Physical Channel Example

After setting the power to -3 dB in the Transport Channel node, you can change the power level in one or more of the physical channels occupied by the transport channel. In Figure 4, the power for physical channel 3 is set to 0 dB using the Power parameter in the Physical Channel node. The 0 dB power level overrides the -3 dB setting in the corresponding resource block groups (3 and 4) as shown in Figure 5.

Changes made to the power level of physical channels in the Physical Channel node are not displayed in the Transport Channel node.

Figure 4. Physical Channel 4 Power Setting

Figure 5. Physical Channel Power Settings Applied to Resource Block Groups 3 and 4

Resource Block Group Example

After setting the power to -3 dB in the Transport Channel node and making any desired changes to the power level of physical channels in the Physical Channel node, you can change the power level in one or more of the resource block groups occupied by the transport channel. In Figure 6, the power for resource block group 1 is set to 2 dB using the Power parameter in the Resource Block node.

Changes made to the power level of resource block groups in the Resource Block node are not displayed in the Physical Channel node or the Transport Channel node.

Figure 6. Resource Block Group 1 Power Setting

Related Topics

Output Power Calculation (Downlink)


Output Power Calculation (Downlink)

Power Assignment

The software applies the power settings you define for data channels (for example PDSCH) to all resource elements in the resource blocks occupied by the data channel. This is illustrated in Figure 1.

Figure 1. Data Channel Power Assignment to Resource Blocks

The software applies the power settings you define for control channels (for example PDCCH) to the specific resource elements occupied by the control channel. This is illustrated in Figure 2.

Figure 2. Control Channel Power Assignment to Resource Elements

Power Calculation

The output power is calculated for each OFDM symbol by accumulating the power levels assigned to each subcarrier (resource element) for that symbol. Subcarrier power settings are defined using the Power parameter in the Transport Channel, Physical Channel, and Resource Block nodes (see Power Settings).

Figure 3. Symbol-by-Symbol Power Calculation

The symbol with the highest calculated power level is used as the 0 dB reference and the calculated power levels for the other symbols are normalized to the 0 dB reference as shown in Figure 4. The signal generator output power is determined by the normalized power for each symbol.

Figure 4. Normalizing Power

The symbol that has the highest power level in the waveform is used as the reference for the signal generator output power level (i.e. In the example above it is symbol #5). Also, there could be multiple symbols in the waveform with this power level. This symbol (or symbols) will have an RMS power level which is displayed on the instrument front panel as the RF power level. Therefore, if an average power measurement is made over the entire waveform using a signal analyzer or power meter, the measured power level will be lower, especially in configurations where some of the symbols have a large power delta or some of the subframes have been turned off in a waveform.

To measure the displayed RMS power of the waveform more accurately, use the time gating feature available on a signal analyzer or an advanced demodulation tool (e.g. 89600 series software).

Example: Again, using the images above, if the signal generator is set to -10 dBm, then symbol #5 is going to be set to a RMS of -10 dBm, and all of the other symbols will have a lesser power value. Therefore, if an average power level is made at the RF output on the signal generator, it will measure < -10 dBm. And, if some of the waveform's subframes are turned off, the resulting power measured on the output of the signal generator's RF output could measure much lower power than -10 dBm.

In the case of MIMO, all of the SISO conditions mentioned above would apply. But, with multiple antennas, the antenna(s) with the highest symbol or symbols power would be used as the reference for the MIMO signal. All other antennas would have a lower power level relative to the reference highest power antenna(s).

Related Topics

Power Settings (Downlink)


Uplink (Basic LTE TDD)

To use a Wizard to configure your channels:

Click the Wizard button to open the UL RMC Wizard to set up a UL reference measurement channel (RMC).

Click the links in the table below to view parameter descriptions.

1. Cell Parameters | 2. Sounding Reference
State | State
Antenna Port | Power
Total Number of Antennas | Group/Sequence Hopping
PUSCH DFT Swap | Subframe Configuration
 | Maximum UpPTS
 | Number of Format 4 PRACH
 | Cyclic Shift (nSRS_CS)
 | Bandwidth Configuration (C_SRS)
 | Bandwidth (B_SRS)
 | Transmission Comb (kTC)
 | Hopping Bandwidth (b_hop)
 | Frequency Domain Position (nRRC)
 | Configuration Index (I_SRS)
 | Periodicity (Tsrs)
 | Subframe Offset Configuration (T offset)
 | Frequency Hopping

1. Cell Parameters

State

Double-click or use the drop-down menu to turn the uplink transmission off or on.

Antenna Port

Displays the antenna port number.

Total number of Antennas

Displays the total number of antennas.

PUSCH DFT Swap

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn PUSCH DFT Swap on or off.

PUSCH DFT Swap influences how data is mapped to resource elements in the physical uplink shared channel after discrete Fourier transform is performed. PUSCH DFT Swap can be turned on or off to provide two different interpretations of how data should be mapped to resource elements in PUSCH channels.

2. Sounding Reference

State

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the sounding reference signal on or off.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Set the power of the sounding reference signal in dB.

Group/Sequence Hopping

Choice: Off | Group Hopping | Sequence Hopping

Default: Off

Double-click or use the drop-down menu to select the hopping type sounding reference signal related to. (See 3GPP TS 36.211)

Subframe Configuration

Choice: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13

Default: 0

Double-click or use the drop-down menu to select subframe configuration of sounding reference signal.

Maximum UpPTS

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the sounding reference signal Max UpPTS state on or off.

Number of Format 4 PRACH

Set the Number of Format 4 PRACH burst allocated in the special subframe, you can set this value to 0, 1, 2, 3, 4 ,5 for each special subframe as described in 3GPP TS 36.211.

Cyclic Shift (nSRS_CS)

Choice: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7

Default: 0

Double-click or use the drop-down menu to select the value which is used to calculate the cyclic shift for sounding reference signal.

Bandwidth Configuration (C_SRS)

Choice: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7

Default: 7

Double-click or use the drop-down menu to select the Bandwidth configuration for sounding reference signal.

Bandwidth (B_SRS)

Choice: 0 | 1 | 2 | 3

Default: 0

Double-click or use the drop-down menu to select the Bandwidth indicator for sounding reference signal.

SRS Bandwidth (B_SRS), SRS Hopping Bandwidth (b_hop), and Frequency Hopping are related as follows:

Frequency Hopping On: SRS Hopping Bandwidth (b_hop) < SRS Bandwidth (B_SRS)

Frequency Hopping Off: SRS Hopping Bandwidth (b_hop) >= SRS Bandwidth (B_SRS)

Transmission Comb (kTC)

Choice: 0 | 1

Default: 0

Double-click or use the drop-down menu to select the offset value which is related with the transmission comb for sounding reference signal.

Hopping Bandwidth (b_hop)

Range: Choice: 0 | 1 | 2 | 3

Default: 3

Double-click or use the drop-down menu to select the frequency hopping bandwidth of sounding reference signal.

SRS Bandwidth (B_SRS), SRS Hopping Bandwidth (b_hop), and Frequency Hopping are related as follows:

Frequency Hopping On: SRS Hopping Bandwidth (b_hop) < SRS Bandwidth (B_SRS)

Frequency Hopping Off: SRS Hopping Bandwidth (b_hop) >= SRS Bandwidth (B_SRS)

Frequency Domain Position (nRRC)

Range: 0 to Int32

Default: 0

Enter the frequency domain position RRC value which is from the upper layer for sounding reference signal.

Configuration Index (I_SRS)

Choice: 0 to 644

Default: 0

Enter the configuration Index for sounding reference signal.

Periodicity (T srs)

This is read only parameter and the value is automatically selected by the software. See 3GPP 36.213V8.5.0 Table 8.2-1.

Subframe Offset Configuration (T offset)

This is read only parameter and the value is automatically selected by the software. See 3GPP 36.213V8.5.0 Table 8.2-1.

Frequency Hopping

This is read only parameter and the value is automatically selected by the software.

SRS Bandwidth (B_SRS), SRS Hopping Bandwidth (b_hop), and Frequency Hopping are related as follows:

Frequency Hopping On: SRS Hopping Bandwidth (b_hop) < SRS Bandwidth (B_SRS)

Frequency Hopping Off: SRS Hopping Bandwidth (b_hop) >= SRS Bandwidth (B_SRS)


Transport Channel (Basic LTE TDD Uplink)

This Transport Channel Uplink configuration has several different possible channel setups (e.g. DL-SCH and UCI). The screen shot below shows the parameter choices for a UL-SCH channel. In the N7625B Signal Studio software, click a different channel to view that channel's parameter choices. The links for all of the channel's parameters and their descriptions are listed in the table below.

Before adding a transport channel as described below, delete any existing transport channel, physical channel, or resource block collection that occupies the resource blocks that your new transport channel will occupy. If you add a new transport channel without first deleting a conflicting channel or resource block collection, a "code conflicted" error occurs when you generate the waveform.

To add an new transport channel, click the Add Channel button and select the transport channel type to add. The software adds the new channel above the currently selected channel in the list. The software assigns a channel identifying number to the new channel that corresponds to its position in the list and increments the identifying numbers of subsequent channels in the list.

When you select a channel to add, the software opens the Configure UL-SCH window or Configure UCI window depending on the selected channel that allows you to configure the newly added channel. Click OK in the respective window when you complete the configuration. The software then adds the new channel above the currently selected channel in the list and assigns a channel identifying number to the new channel that corresponds to its position in the list and increments the identifying numbers of subsequent channels in the list.

Similarly, if you delete a selected channel, the software adjusts the identifying number of the subsequent channels according to their new positions in the list.

You can make changes to an already configured UL-SCH or UCI channel by selecting the channel and clicking the UL-SCH Config button.

General Settings

Transport Channel Number

Name

State

Power

RNTI

Physical Channels

Coding State

Data

Transport Channel Number

Displays the number of the selected transport channel.

UL-SCH = Uplink Shared Channel

Name

Displays the name of the selected transport channel depending on the highlighted channel in the channel list.

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the channel on or off.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the selected channel. See Power Settings (Uplink) for a description of how the software applies your power setting.

RNTI

Range: 0 to 65535

Default: 0

Enter a value for the Radio Network Temporary Identifier (RNTI). See 3GPP TS 36.211.

Physical Channels

Displays the number(s) of the physical channel(s) associated with the selected transport channel.

Coding State

Displays the coding state (off or on).

Data

This cell is displayed when UL-SCH is highlighted in the channel list.

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data.


Physical Channel (Basic LTE TDD Uplink)

This Physical Channel Uplink configuration has several different possible channel setups (e.g. PUCCH and PUSCH). The screen shot below shows the parameter choices for a PUSCH channel. In the N7625B Signal Studio software, click a different channel to view that channel's parameter choices. The links for all of the channel's parameters and their descriptions are listed in the tables below.

Before adding a physical channel as described below, delete any existing transport channel, physical channel, or resource block collection that occupies the resource blocks that your new physical channel will occupy. If you add a new physical channel without first deleting a conflicting channel or resource block collection, a "code conflicted" error occurs when you generate the waveform.

To add a new physical channel, click the Add Channel button, and select the physical channel type (PUCCH, or PUSCH) to add. The Configure PUCCH window or Configure PUSCH window opens in which you can specify the modulation type, frame number, subframe number, and resource blocks for the channel you are adding. The software adds the new channel above the currently selected channel in the list. The software also assigns a channel identifying number to the new channel that corresponds to its position in the list and increments the identifying numbers of subsequent channels in the list.

When you select the type of physical channel to add to the list, the Configure PUCCH window or Configure PUSCH window opens in which you can specify the modulation type, frame number, subframe number, and resource blocks for the channel you are adding. When you click OK, the channel is added to the bottom of list of resource block collections in the Resource Block node and numbered accordingly. A physical channel occupies one subframe (two slots) and therefore occupies two resource block collections. The channel also appears in the resource mapping graph in the position (subframe and resource blocks) that you have specified.

Similarly, if you delete the selected channel using the Delete Selected Channel(s) button, the software adjusts the identifying numbers of the subsequent channels according to their new positions in the list.

You can make changes to an already configured channel by selecting the channel and clicking the Physical Channel Configuration button. This button opens the Physical Channel Configuration window for the selected channel.

PUSCH channels and PUCCH channels cannot occupy the same resource blocks. A "code conflicted" error appears in the Status Bar and the Status Window if this occurs.

PUSCH | PUCCH
1. General Settings | 1. General Settings
Physical Channel Number | Physical Channel Number
Name | Name
State | State
Power | Power
RNTI | RNTI
Modulation Type | Format
Resource Block Collection Numbers | Modulation Type
Data | Resource Block Collection Numbers
Scrambling | Data
Power | HARD-ACK
nDMRS(1) | Scrambling
nDMRS(2) | N_RB(2)
Delta SS | N_CS(1)
Group/Sequence Hopping | nPUCCH(1)
 | nPUCCH(2)
 | Delta Shift
 | Resource Blocks
 | DMRS Power
 | Group/Sequence Hopping

Data

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data.

Higher Layer is displayed in this cell if the physical channel is occupied by a higher layer. For PUCCH channels with Formats 2, 2a, and 2b, you can select the data type.

Delta Shift

Range: 1 to 3

Default: 1

Enter a value for the PUCCH Delta Shift number.

Delta SS

Range: 0 to 29

Default: 0

Enter a value which determines the sequence shift pattern for the demodulation reference signal (DMRS) for PUSCH.

(See 3GPP TS 36.211)

DMRS Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the demodulation reference signal (DMRS) relative to the carrier power.

Format

Choice: 1 | 1a | 1b | 2 | 2a | 2b

Default: 1

Enter a format number. This parameter applies only to PUCCH channels. The format determines the modulation type for the selected PUCCH.

Group/Sequence Hopping

Choice: Off | Group Hopping | Sequence Hopping

Default: Off

Double-click or use the drop-down menu to select the hopping type. Refer to 3GPP TS 36.211.

HARQ-ACK

This parameter applies only to PUCCH channels. The available selections are determined by the active PUCCH Format as follows:

Format 1 or 2

ARQ-ACK parameter is grayed out (not used)

Format 1a or 2a

Choice: ACK | NACK

Default: ACK

Format 1b or 2b

Choice: ACK-ACK | ACK-NACK | NACK-ACK | NACK-NACK

Default: ACK-ACK

Modulation Type (PUCCH)

Displays the modulation type for the selected PUCCH. The PUCCH modulation type is determined by the PUCCH Format selected.

Modulation Type (PUSCH)

Choice: QPSK | 16QAM | 64QAM

Default: QPSK

Double-click or use the drop-down menu to select the modulation type for the selected PUSCH.

Name

Displays the name (type) of the selected physical channel.

PUCCH = Physical Uplink Control Channel

PUSCH = Physical Uplink Shared Channel

N_CS(1)

Range: 0 to 7

Default: 0

Enter a value for the PUCCH N_CS(1) number.

nDMRS(1)

Choice: 0 | 2 | 3 | 4 | 6 | 8 | 9 | 10

Default: 0

Enter the nDMRS(1) value which is used to calculate the cyclic shift value for the demodulation reference signal (DMRS) for PUSCH.

nDMRS(2)

Choice: 0 | 2 | 3 | 4 | 6 | 8 | 9 | 10

Default: 0

Enter the nDMRS(2) value which is used to calculate the cyclic shift value for the demodulation reference signal (DMRS) for PUSCH.

nPUCCH(1)

Range: 0 to Max Resource Element - 1

Default: 0

Enter a value for the PUCCH n(1) number.

A resource used for transmission of the PUCCH format 1/1a/1b is represented by the non-negative indices [image].

This is one of the values used for generating and mapping PUCCH and DMRS PUCCH (see 3GPP TS 36.211).

nPUCCH(2)

Range: 0 to Max Resource Element - 1

Default: 0

Enter a value for the PUCCH n(1) number.

A resource used for transmission of the PUCCH format 2/2a/2b is represented by the non-negative indices

.

This is one of the values used for generating and mapping PUCCH and DMRS PUCCH (see 3GPP TS 36.211).

N_RB(2)

Range: 0 to Max Resource Block - 1

Default: 0

Enter a value for the PUCCH N_RB(2) number.

Physical Channel Number

Displays the identifying number of the selected physical channel.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the selected channel. See Power Settings (Uplink) for a description of how the software applies your power setting.

Resource Blocks

Displays the numbers of the resource blocks occupied by the PUCCH, separated by a comma. If you change PUCCH Format, N_RB(2), N_CS(1), n(1), n(2), Delta Shift or Delta Offset, the resource block numbers in this cell are updated accordingly..

Resource Block Collection Numbers

For physical channels (PDSCH, PUSCH or PUCCH), displays the numbers of the resource block collection to which the channel belongs. A physical channel occupies one subframe (two slots) and therefore occupies two resource block collections

RNTI

Range: 0 to 65535

Default: 0

Enter a value for the Radio Network Temporary Identifier (RNTI). See 3GPP TS 36.211.

Scrambling

Choice: Off | On | Manual

Default: On

Double-click or use the drop-down menu to turn scrambling for the physical channel on or off.

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the channel On or Off.


Resource Block (Basic LTE TDD Uplink))

Real Time

Resource Block (Basic LTE TDD Uplink)

Before adding a resource block collection as described below, delete any existing transport channel, physical channel, or resource block collection that occupies the resource blocks that your new resource block collection will occupy. If you add a new resource block collection without first deleting a conflicting channel or resource block collection, a ”code conflicted” error occurs when you generate the waveform.

When you click the Add Resource Block button, the software adds a new resource block collection above the currently selected resource block collection in the list. The software assigns an identifying number to the new resource block collection that corresponds to its position in the list and increments the identifying numbers of subsequent resource block collections in the list.

Similarly, if you delete the selected resource block collection using the Delete Resource Block button, the software adjusts the identifying numbers of the subsequent resource block collections according to their new positions in the list.

Click the links in the table below to view parameter descriptions.

Resource Block Collection

Resource Block Collection Number

State

Power

Modulation Type

Slot Number

Resource Blocks

Data

Resource Block Collection Number

Displays the identifying number of the currently selected resource block collection.

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the selected resource collection group On or Off.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level for the selected resource block collection. See Power Settings (Uplink) for a description of how the software applies your power setting.

Modulation Type

Choice: BPSK | QPSK | 16QAM | 64QAM | QPSK + BPSK | QPSK + QPSK | N/A

Default: QPSK

Double-click or use the drop-down menu to select the modulation type for the selected resource block collection.

This parameter is read-only for resource block collections that are occupied by a higher layer.

Slot Number

Enter a slot number to assign the selected resource block collection to a specific slot in the frame. The combination of Slot Number and Resource Blocks defines a resource block collection.

This parameter is read-only for resource block collections that are occupied by a higher layer.

Resource Blocks

Enter one or more numbers (separated by commas) or a range (for example, 1-10) to assign specific resource blocks in the frequency domain to the resource block collection. The combination of Slot Number and Resource Blocks defines a resource block collection. Resource blocks in a collection must be in the same slot, but do not have to be contiguous in the frequency domain. The number of resource blocks available in the frequency domain is determined by the System Bandwidth setting defined in the UE Setup node.

This parameter is read-only for resource block collections that are occupied by a higher layer.

Data

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data.

Higher Layer is displayed in the Data cell if the selected resource block collection is occupied by a higher layer.


Power Settings (Uplink)

You can set power in the Resource Block, Physical Channel, and Transport Channel nodes. It is important to understand how the software applies the power settings for each node. Transport Channel node power settings override corresponding Physical Channel node and Resource Block node power settings; Physical Channel node power settings override corresponding Resource Block power settings. To avoid overriding lower layer power settings, set Transport Channel power levels first, followed by Physical Channel power levels, then Resource Block power levels. The following examples illustrate this.

Transport Channel Example

When you set the power level for a transport channel, the power setting is applied to all of the physical channels occupied by that transport channel. For example, if you have LTE UL 1 Carrier selected as the channel configuration and set the power for UL-SCH in the Transport Channel node to -3 dB, the power level for all resource elements in physical channels 1 to 6 is set to -3 dB. The -3 dB power level you set in the Transport node (Figure 1) overrides any power levels for physical channels 1 to 6 previously set in the Physical Channel node (Figure 2) and any power levels for resource block groups 1 to 12 previously set in the Resource Block node (Figure 3).

Figure 1. UL-SCH Transport Channel Power

Figure 2. UL-SCH Power Settings Applied to Physical Channels 1 to 6

Figure 3. UL-SCH Power Settings Applied to Resource Block Groups 1 to 12

Physical Channel Example

After setting the power to -3 dB in the Transport Channel node, you can change the power level in one or more of the physical channels occupied by the transport channel. In Figure 4, the power for physical channel 3 is set to 0 dB using the Power parameter in the Physical Channel node. The 0 dB power level overrides the -3 dB setting in the corresponding resource block groups (5 and 6) as shown in Figure 5.

Changes made to the power level of physical channels in the Physical Channel node are not displayed in the Transport Channel node.

Figure 4. Physical Channel 3 Power Setting

Figure 5. Physical Channel Power Settings Applied to Resource Block Groups 5 and 6

Resource Block Group Example

After setting the power to -3 dB in the Transport Channel node and making any desired changes to the power level of physical channels in the Physical Channel node, you can change the power level in one or more of the resource block groups occupied by the transport channel. In Figure 6, the power for resource block group 1 is set to 2 dB using the Power parameter in the Resource Block node.

Changes made to the power level of resource block groups in the Resource Block node are not displayed in the Physical Channel node or the Transport Channel node.

Figure 6. Resource Block Group 1 Power Setting

Related Topics

Output Power Calculation (Uplink)


Output Power Calculation (Uplink)

Power Assignment

The software applies the power settings you define for data channels (for example PUSCH) to all resource elements in the resource blocks occupied by the data channel. This is illustrated in Figure 1.

Figure 1. Data Channel Power Assignment to Resource Blocks

The software applies the power settings you define for control channels (for example PUCCH) to the specific resource elements occupied by the control channel. This is illustrated in Figure 2.

Figure 2. Control Channel Power Assignment to Resource Elements

Power Calculation

The output power is calculated for each symbol by accumulating the power levels assigned to each subcarrier (resource element) for that symbol. Subcarrier power settings are defined using the Power parameter in the Transport Channel, Physical Channel, and Resource Block nodes (see Power Settings).

Figure 3. Symbol-by-Symbol Power Calculation

The symbol with the highest calculated power level is used as the 0 dB reference and the calculated power levels for the other symbols are normalized to the 0 dB reference as shown in Figure 4. The signal generator output power is determined by the normalized power for each symbol.

Figure 4. Normalizing Power

The symbol that has the highest power level in the waveform is used as the reference for the signal generator output power level (i.e. In the example above it is symbol #5). Also, there could be multiple symbols in the waveform with this power level. This symbol (or symbols) will have an RMS power level which is displayed on the instrument front panel as the RF power level. Therefore, if an average power measurement is made over the entire waveform using a signal analyzer or power meter, the measured power level will be lower, especially in configurations where some of the symbols have a large power delta or some of the subframes have been turned off in a waveform.

To measure the displayed RMS power of the waveform more accurately, use the time gating feature available on a signal analyzer or an advanced demodulation tool (e.g. 89600 series software).

Example: Again, using the images above, if the signal generator is set to -10 dBm, then symbol #5 is going to be set to a RMS of -10 dBm, and all of the other symbols will have a lesser power value. Therefore, if an average power level is made at the RF output on the signal generator, it will measure < -10 dBm. And, if some of the waveform's subframes are turned off, the resulting power measured on the output of the signal generator's RF output could measure much lower power than -10 dBm.

In the case of MIMO, all of the SISO conditions mentioned above would apply. But, with multiple antennas, the antenna(s) with the highest symbol or symbols power would be used as the reference for the MIMO signal. All other antennas would have a lower power level relative to the reference highest power antenna(s).

Related Topics

Power Settings


Downlink (Advanced LTE TDD)

Click the Predefined Configuration button to access a dialog box from which you can select a base channel configuration.

To set up a fixed reference channel (FRC), click the Wizard button to open the DL FRC Wizard.

Click the links in the tables below for parameter descriptions.

1. Cell Parameters | 2. Cell Specific Reference Signal
State | Cell specific Reference Signal Power
Antenna Port | Cell specific Reference Signal Frequency Shift
Total number of Antennas | PDSCH Cell Specific Ratio
Power Definition Type |
Reference Signal Transmit Power (RSTP) |
OFDM Symbol Transmit Power (OSTP) |
3. Positioning Reference Signals (PRS) - (Refer to overview) | 4. Synchronization Signals
State | Primary Synch Signal State
Power | Primary Synch Signal Power
Antenna Mapping for Port 6 | Secondary Synch Signal State
Number of PDCCH Symbols | Secondary Synch Signal Power
PRS Bandwidth | P-SS/S-SS Transmit Antenna Port
Number of Consecutive DL Frames (N_PRS) |
PRS Configuration Index (I_PRS) |
PRS Periodicity (T_PRS) |
PRS Subframe Offset (Delta_PRS) |
PRS Muting Sequence Length |
PRS Muting Sequence |

1. Cell Parameters

State

Choice: On | Off

Default: On

Double-click or use the drop-down menu to turn the downlink transmission off or on.

Antenna Port

Choice: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7

Default: 0

In multi-antenna configurations, specify the antenna to be used for transmitting the downlink signal. The available selections are determined by the Total Number of Antennas setting.

Total number of Antennas

Choice: 1 Antenna | 2 Antennas | 4 Antennas | 8 Antennas

Default: 1 Antenna

In multi-antenna configurations, specify the total number of antennas used for downlink transmission.

For multiple signal generator configurations, set the Channel State parameter in the Fading section of the Carrier node to On to make this cell active. When the channel state is off, you must change the number of signal generators (for example, Quick Setup Mx1, Mx2, Mx4) to change the number of BS antennas.

Power Definition Type

Choice: Total Power | RSTP

Default: Total Power

Double-click or use the drop-down menu to select the power definition type.

If Total Power is selected, power reference is Amplitude parameter on Instrument node. In this case, RSTP and OSTP are automatically calculated by Amplitude parameter on Instrument node, Power parameter on Carrier node and each carrier signal settings.

If RSTP is selected, power reference is RSTP. In this case, Amplitude on Instrument node and OSTP are calculated by RSTP, Power parameter on Carrier node and each carrier signal settings.

In multiple carrier case, Power Definition Type parameter in each carrier should be same.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

Reference Signal Transmit Power (RSTP)

Range: -15.00 to -144.00 dBm

Default: -34.77 dBm

Enter the Reference Signal Transmit Power in dBm, when the Power Definition Type is RSTP. Otherwise displays the Reference Signal Transmit Power in dBm and the value is updated after generation.

Available setting range and step depends on hardware.

See 3GPP TS 36.141 for more information.

OFDM Symbol Transmit Power (OSTP)

Display the Downlink OFDM Symbol Transmit Power in dBm. This parameter is set by the software.

For detailed information about OSTP, refer to 3GPP TS 36.141.

2. Cell Specific Reference Signal

Cell specific Reference Signal Power

Range: -60 to 20 dB

Default: 0 dB

Enter a power level in dB for the cell specific reference signal.

Cell specific Reference Signal Frequency Shift

The software maps cell specific reference signal symbols to resource elements in compliance with 3GPP technical specification TS 36.211. The Cell specific Reference Signal Frequency Shift parameter is set by the software to control the reference signal offset in each subframe.

The applied frequency offsets are indicated in the resource mapping graph.

For detailed information about reference symbol mapping, refer to 3GPP TS 36.211 at http://www.3gpp.org.

PDSCH Cell Specific Ratio

Choice: pB/pA=1 | P_B=0 | P_B=1 | P_B=2 | P_B=3

Default: pB/pA=1

Double-click or use the drop-down menu to select the PDSCH cell specific ratio.

3. Positioning Reference Signals (PRS)

Closed PRS Overview

  • PRSs are transmitted on antenna port 6.

  • PRSs apply for a [image] only.

  • The positioning reference signals are not mapped to the resource elements allocated to Physical Broadcast Channels (PBCH), the Primary Synchronization Signals (P-SS) or the Secondary Synchronization Signals (S-SS) regardless of their antenna port p.

  • A UE may assume that PRSs are not present in the resource blocks in which it decodes the PDSCH according to a detected PDCCH with the CRC scrambled by the SI-RNTI or a P-RNTI with DCI format 1A or 1C that is intended for the UE.

  • PRSs are not transmitted in special frames.

  • PRS is transmitted in NPRS consecutive downlink frames, where NPRS is configured by the higher layers.

  • PRSs are not used for transmission of PBCH, synchronization signals, cell-specific reference signals, Multimedia Broadcast Single Frequency Network (MBSFN) reference signals or UE-specific reference signals.

  • For Release 9, CSI-RS is not supported; there is no conflict between CSI-RS and PRS.

State

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to enable or disable the channel. See 3GPP TS 36.211.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the selected channel. See Output Power Calculation (Downlink) for a description of how the software applies your power setting. See 3GPP TS 36.211.

Antenna Mapping for Port 6

Range: 0 or 1 as comma separated values (CSV), equal to the number of antennas selected.

Default: 1

Enter 0 or 1 separated by commas to assign the positioning reference signals (PRS) to the physical antennas. The comma separate length is up to the Total Number of Antennas. 0 and 1 mean Off and On respectively. Comma separate sequence order means physical antenna port number.

Example: Total Number of Antennas = 4 Antennas and Antenna Mapping = [1, 1, 1, 1] case, PRS is assigned to all antennas (port 0 to 3). See 3GPP TS 36.211.

Number of PDCCH Symbols

Range: 1 to 3 (N_DL_RB > 10), 2 or 3 (N_DL_RB <= 10)

Default: 2

Enter the number of PDCCH symbols for all of the positioning reference signal (PRS) subframes.

This parameter defines the number of PDCCH OFDM symbols for all of the PRS subframes. The PRS subframes are assigned by the Number of Consecutive DL Frames (N_PRS), PRS Configuration Index (I_PRS), PRS Periodicity (T_PRS), and PRS Subframe Offset (Delta_PRS).

If the PRS State = on and PRS subframe is assigned, corresponding subframe of PDCCH Allocations parameters in DCI are changed by the Number of PDCCH Symbols.

  • Where: N_DL_RB <= 10, the Number of PDCCH Symbols allowed is 2 or 3.

  • Where: N_DL_RB > 10, the Number of PDCCH Symbols allowed is 1 to 3.

Refer 3GPP TS 36.211 and 36.331.

PRS Bandwidth

Choice: 1.4 MHz (6RB) | 3 MHz (15RB) | 5 MHz (25RB) | 10 MHz (50RB) | 15 MHz (75RB) |20 MHz (100RB)

Default: 5 MHz (25RB)

Specifies the bandwidth (resource block size) that is used to configure the positioning reference signals (PRS).

Available setting value is up to the System Bandwidth. If the System Bandwidth was set to less than the PRS Bandwidth, the PRS Bandwidth is automatically set the same as the System Bandwidth.

Refer 3GPP TS 36.211 and 36.355.

Number of Consecutive DL Frames (N_PRS)

Choice: 1 subframe | 2 subframes | 4 subframes | 6 subframes

Default: 1 subframe

Specifies the number of consecutive downlink subframes N_PRS with positioning reference signals (PRS).

This is time accumulation for accuracy improvement to configure consecutive PRS.

There is parameter coupling among the Uplink/Downlink Configurations, the Number of Consecutive DL Subframes (N_PRS) and the PRS Configuration Index (I_PRS). The choice/range of the Number of Consecutive DL Subframes (N_PRS) and the PRS Configuration Index (I_PRS) are limited by the Uplink/Downlink Configurations. This means the settings are not allowed PRS in a specific subframe and uplink subframe.

Refer 3GPP TS 36.211.

PRS Configuration Index (I_PRS)

Range: 0 to 2399

Default: 0

Enter PRS Configuration Index for the Positioning Reference Signals (PRS).

This automatically defines both PRS Periodicity and PRS Subframe Offset.

The first Subframe of the N_PRS downlink subframes shall satisfy:

Where: Wave Generation Length < (PRS Subframe Offset + Number of Consecutive DL Frames), a part of or all of PRSs are not available for the current waveform.

There is parameter coupling among the Uplink/Downlink Configuration, the Number of Consecutive DL Subframes (N_PRS) and the PRS Configuration Index (I_PRS). The choice/range of the Number of Consecutive DL Subframes (N_PRS) and the PRS Configuration Index (I_PRS) are limited by the Uplink Downlink Configuration. This means the settings do not allow PRS in a specific subframe and uplink subframe.

Refer 3GPP TS 36.211.

PRS Periodicity (T_PRS)

Choice: 160 (subframes) | 320 (subframes) | 640 (subframes) | 1280 (subframes)

Default: 160 (subframes)

This is a read-only parameter automatically decided by PRS Configuration (I_PRS) as follows:

The first subframe of N_PRS downlink subframes shall satisfy (10 * SFN + Floor(Slot# / 2) - Delta_PRS) mod T_PRS = 0.

  • I_PRS = 0 to 159 case, T_PRS = 160 (subframes).

  • I_PRS = 160 to 479 case, T_PRS = 320 (subframes).

  • I_PRS = 480 to 1119 case, T_PRS = 640 (subframes).

  • I_PRS = 1120 to 2399 case, T_PRS = 1280 (subframes).

Where: Wave Generation Length < (PRS Subframe Offset + Number of Consecutive DL Frames), a part of or all of PRSs are not available for the current waveform.

Refer 3GPP TS 36.211.

PRS Subframe Offset (Delta_PRS)

Range: 0 to 1280 (subframes)

Default: 0 (subframe)

This is read only parameter automatically decided by PRS Configuration (I_PRS) as follows.

The first subframe of the N_PRS downlink subframes shall satisfy (10 * SFN + Floor(Slot# / 2) - Delta_PRS) mod T_PRS = 0.

  • I_PRS = 0 to 159 case, Delta_PRS = I_PRS

  • I_PRS = 160 to 479 case, Delta_PRS = I_PRS - 160

  • I_PRS = 480 to 1119 case, Delta_PRS = I_PRS - 480

  • I_PRS = 1120 to 2399 case, Delta_PRS = I_PRS - 1120

Where: Wave Generation Length < (PRS Subframe Offset + Number of Consecutive DL Frames), a part of or all of PRSs are not available for the current waveform.

For more detail, refer 3GPP TS 36.211.

PRS Muting Sequence Length

Choice: 2 | 4 | 8 | 16

Default: 2

Specifies the bit length of PRS Muting Sequence parameter.

PRS Muting Sequence

Range: 0 or 1 with comma separate input

Length: PRS Muting Sequence Length

Default: 1,1

Specifies PRS Muting Sequence. The value '0' means muting and '1' means not muting in the sequence.

The sequence length is defined by PRS Muting Sequence Length parameter.

If a bit in the PRS muting sequence is set to '0', the PRS is muted in the corresponding PRS positioning occasion. A PRS positioning occasion comprises of N_PRS downlink positioning subframes. The first bit of the PRS muting sequence corresponds to the first PRS positioning occasion.

Refer 3GPP TS 36.355.

4. Synchronization Signals

Primary Synch Signal State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the primary synchronization signal (P-SS) On or Off.

Primary Synch Signal Power

Range: -60 to 20 dB

Default: 0.00 dB

Enter the power level in dB for the primary synchronization signal, relative to the average subcarrier power.

Secondary Synch Signal State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the secondary synchronization signal (S-SS) On or Off.

Secondary Synch Signal Power

Range: -60 to 20 dB

Default: 0.00 dB

Enter the power level in dB for the secondary synchronization signal.

P-SS/S-SS Transmit Antenna Port

Choice: Port 0 | Port 1 | Port 2 | Port 3 | All Ports

Default: Port 0

Double-click or use the drop-down menu to select the P-SS/S-SS Transmit Antenna Port type.


Channel Setup (Advanced LTE TDD Downlink)

Real Time

Channel Setup (Advanced Downlink LTE TDD)

This Channel Setup Advanced Downlink configuration has several different possible channel setups (e.g. BCH, CFI, ...). The screen shot below shows the parameter choices for a DL-SCHn channel. In the N7625B Signal Studio software, click a different channel to view that channel's parameter choices. The links for all of the channel's parameters and their descriptions are listed in the tables below.

DL-SCH
1. General Settings | 2. UE Specific Reference Signal Settings | 3. MIMO Settings | 4. Transmission Settings | 5. Dedicated DCI Settings
Channel Number | State | Diversity Method | Number of HARQ Processes | DCI Mapping Index
Name | Power | Precoding Method | Assign Processes | DCI State
State | Transmit Antenna Port | Number of Layers | UE Category | DCI Format
Power | Transmit Antenna Weight | Number of Codewords | Data 0 | DCI Data
P_A |  | Codebook Index | Data 1 | DCI Payload size (bits)
Scrambling |  |  | Transmission Setting Mode | DCI Tx Couple
RNTI Type |  |  | RV Index Sequence | PDCCH UE Tx Antenna
RNTI |  |  | Coding State | PDCCH Search Space
Transmission Mode |  |  | RV Index Configuration | DCI Transmission Configuration (PDCCH)
 |  |  | RV Index Sequence |
 |  |  | Resource Allocation Type |
 |  |  | Virtual Resource Block Type |
 |  |  | Transmission Configuration Length (DL_SCH) |
 |  |  | Transmission Configuration (DL_SCH) |
BCH | CFI | HI
1. General Settings | 1. General Settings | 1. General Settings
Channel Number | Channel Number | Channel Number
Name | Name | Name
State | State | State
Power | Power | PHICH BPSK Symbol Power
Scrambling | Scrambling | Scrambling
Auto MasterInformationBlock | CFI | PHICH Duration
Data |  | PHICH Mi Definition
Coding State |  | PHICH Allocation
Payload Size (bits) |  | PHICH Maximum Group Number
SFN Start Number |  | Transmission Configuration
DCI
1. General Settings | 2. Dedicated PDCCH Setting for DLSCH | 3. Dedicated PDCCH Setting for ULSCH
Channel Number | DCI #1 for DL-SCH1 | DCI #9 for DL-SCH
Name | DCI #2 for DL-SCH2 |
State | DCI #3 for DL-SCH3 |
Power | DCI #4 for DL-SCH4 |
Scrambling | DCI #5 for DL-SCH5 |
PDCCH Allocations | DCI #6 for DL-SCH6 |
OCNG for PDCCH | DCI #7 for DL-SCH7 |
 | DCI #8 for DL-SCH8 |
DCI (continued)
4. Dedicated PDCCH Setting for RACH | 5. Dedicated PDCCH Setting for UL Power Control | 6. Manual PDCCH Setting
DCI #10 for Random Access | DCI #11 for Uplink Power Control | DCI #12 for User Defined
MCH
1. General Settings | 2. MBSFN Reference Signals | 3. MCH/PMCH
Channel Number | MBSFN RS Power | PMCH Power
Name |  | Data
State |  | MCS Index
Antenna Mapping for Port 4 |  | Modulation
Number of PDCCH Symbols (Non-MBSFN Region Length) |  | TBS Index
MBSFN Area ID |  | TBS Size
Radio Frame Allocation Period |  | RB Size
Radio Frame Allocation Offset |  | Scrambling
Subframe Allocation |  |
Allocation Bitmap |  |

Allocation Bitmap

Choice: 0 or 1 separated by commas

Length: 5 or 20 (Depends on Subframe Allocation)

Default: 1,...,1 (All 1's)

Enter 5 or 20 bits in length (1 = On, 0 = Off), separated by commas, to allocate the Multimedia Broadcast Multicast Service Single Frequency Network (MBSFN) on the Multicast Channel (MCH). For the Subframe Allocation 1 frame and 4 frames, the Allocation Bitmap length is configured 5 bits and 20 bits, respectively. (If you enter fewer than 5 or 20 bits, 0 is inserted to fill in the remaining bits. And, the pattern of 1's and 0's is repeated in the remaining bits.) The Allocation Bitmap assigns the bits according to the Uplink Downlink configuration selected. Uplink subframes are not allocated .

1 frame: The 5 bits length bitmap is applied as follows:

The first/leftmost bit defines the MBSFN allocation for subframe #3, the second bit for #4, third bit for #7, fourth bit for #8, fifth bit for #9, and the sixth bit for #8. Uplink subframes are not allocated and the last bit is not used.

4 frames: The 20 bits length bitmap is applied as follows:

Starting from the first radio frame and from the first/leftmost bit in the bitmap, the allocation applies to subframes #3, #4, #7 , #8, #9 in the sequence of the four radio-frames. Uplink subframes are not allocated and the last four bits are not used.

Closed. See example.

Waveform Generation Length = 2 Frames (20 ms)

Uplink Downlink Configuration = 5 (D,S,U,D,D,D,D,D,D,D)

Radio Frame Allocation Period = 2

Radio Frame Allocation Offset = 0

Subframe Allocation = 1 Frame

Allocation Bitmap = "10110" (selects subframes 3, 7, 8)

Number of PDCCH Symbols (Non-MBSFN Region Length)

PDCCH Allocations = "3,3,3,3,3,3,3,3,3,3" (Before the MCH setting changes)

PDCCH Allocations = "3,3,3,2,3,3,3,2,2,3" (After the MCH setting changes)

For more detail, refer to 3GPP TS 36.331.

Antenna Mapping for Port 4

Range: 0 or 1 separated by commas

Default: 1

Enter 0 or 1 (1 = On, 0 = Off) separated by commas to assign the PMCH to the physical antenna port number. The comma separate length depends on the total number of antennas that you specify.

Example: If the Total Number of Antennas = 4 and the Antenna Mapping for Port 4 = [1, 1, 1, 1], then PMCH (Physical Multicast Channel) is assigned to all antennas (port 0 to 3).

Assigned Processes

Range: 0 to (number defined in Number of HARQ Processes -1)

Enter the numbers of individual HARQ processes, separated by commas (for example, 1,2,3) or a range of HARQ processes ( for example, 1-3) to enable specific HARQ processes.

The number of available HARQ processes is defined in the Number of HARQ Processes parameter and this parameter.

Auto MasterInformationBlock

Choice: Off | On

Default: On

Double-click or use the drop-down menu to set the Auto MasterInformationBlock State for BCH. If the ”Auto MasterInformationBlock” mode is On, the BCH data source will use the system configuration for the channel code.

The content of a Master Information Block contains 24 bits.

Master Information Block Bits:

Bit #0~2: | DL-Bandwidth | Enumerated {n6, n15, n25, n75, n100}
Bit #3: | Phich-Duration | Enumerated {normal, extended}
Bit #4~5: | Phich-Resource | Enumerated {oneSixth, half, one, two}
Bit #6~13: | SystemFrameNumber | Bit string {Size(8)}
Bit #14~23: | Spare | Bit string {Size(10)}

CFI

View the Control Format Indicator value for each slot. The PDCCH Allocations setting for the DCI channel determines these values.

Channel Number

Displays the identifying number of the selected channel.

Codebook Index

Range: 0-2 for number of antenna ports = 2 and Number of Layers = 2

0-3 for number of antenna ports = 2 and Number of Layers = 1

0-15 for number of antenna ports = 3 or 4 and Number of Layers = 1, 2, or 4

Default: 0

Enter a value for the Codebook Index when Spatial Multiplexing is selected as the diversity method. See 3GPP TS 36.211 for more information.

Coding State

Choice: Off | On

Default: On

This parameter applies to BCH, and DL-SCH channels.

Double-click or use the drop-down menu to turn the coding state On or Off.

Data

Choice: PN9 | PN15 | User Defined Bits

Default: PN9

This parameter applies to DCI, BCH, and MCH channels. Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data in the transport block.

Data 0

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data in data stream 0 (transport block 0) of DL-SCH.

Data 1

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data in data stream 1 (transport block 1) of DL-SCH.

DCI Data

Displays the Data Source of the DCI channel.

DCI Format

Choices: Format 0 | Format 1 | Format 1A | Format 1B | Format 1C | Format 1D | Format 2 | Format 2A | Format 2B | Format 3 | Format 3A

Default: Format 1A

Displays the DCI format depending on MIMO settings and resource allocation type selections..

DCI Mapping Index

Displays the related DL-SCH of the DCI channel.

DCI #1 for DL-SCH1, ... DCI #8 for DL-SCH8

Click the button in this cell to open the PDCCH Transmission Configuration dialog box. Refer to DL-SCH PDCCH Transmission Configuration dialog box.

DCI #9 for UL-SCH

Click the button in this cell to open the PDCCH Transmission Configuration dialog box. Refer to UL-SCH PDCCH Transmission Configuration dialog box.

DCI #10 for Random Access

Click the button in this cell to open the PDCCH Transmission Configuration dialog box. Refer to RACH PDCCH Transmission Configuration dialog box.

DCI #11 for Uplink Power Control

Click the button in this cell to open the PDCCH Transmission Configuration dialog box. Refer to Uplink Power Control PDCCH Transmission Configuration dialog box.

DCI #12 for User Defined

Click the button in this cell to open the PDCCH Transmission Configuration dialog box. Refer to User Defined PDCCH Transmission Configuration dialog box.

DCI Payload Size (bits)

Display the DCI payload size. The DCI payload size is related with the system bandwidth and DCI format.

The first number indicates the number of information bits while the second number indicates the number of padding bits. Refer to the 3GPP technical standards for more information.

DCI Transmission Configuration (PDCCH)

The physical downlink control channel carries scheduling assignments and other control information. A physical control channel is transmitted on an aggregation of one or several consecutive control channel elements (CCEs), where a control channel element corresponds to 9 resource element groups. The number of resource-element groups not assigned to PCFICH or PHICH is [image]. The CCEs available in the system are numbered from 0 and [image] , where [image] . The PDCCH supports multiple formats as listed in Table 2 below. A PDCCH consisting of n consecutive CCEs may only start on a CCE fulfilling [image], where i is the CCE number.

Table 1: Supported PDCCH formats

DCI Search Couple

Choice: DL-SCH | Manual

Default: DL-SCH

Double-click or use the drop-down menu to set the transmission couple state between DCI and DL-SCH.

DCI State

Click to enable or disable the DCI channel.

DCI Tx Couple

Choice: DL-SCH | Manual

Default: DL-SCH

Double-click or use the drop-down menu to set the transmission couple state between DCI and DL-SCH

Diversity Method

Choice: Off | Tx Diversity | Spatial Multiplexing

Default: Off

Double-click or use the drop-down menu to select a diversity method. The Tx Diversity and Spatial Multiplexing selections are available only for multiple antenna configurations. You can select a simulated multiple antenna configuration (M x 2 or M x 4) when you start the software, use a Quick Setup, configure a multiple antenna setup using actual hardware with the System Configuration Wizard, or define multiple antennas in the Total number of Antennas field in the Downlink Setup node.

See Tutorials in the online documentation for MIMO hardware configurations.

MCS Index

Choices:Off | 0 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 |13 |14 | 15 | 16 | 17 | 18 | 19 | 20 | 21 | 22 | 23 | 24 | 25 | 26 | 27 | 28

Default: 0

Enter a value to set the MCS index of MCH.The MCS index defines the modulation order, and TBS index. Refer to Table 7.1.7.2.1-1 ( 3GPP TS 36.213) which specifies the permissible combinations of transport block size, resource allocation, and modulation type that are available for transmission.

When the MCS Index is Off, the Modulation and TBS Index parameters are active and can be user-defined.

MBSFN Area ID

Range: 0 to 255 (Integer)

Default: 0

Enter a value for the Multimedia Broadcast Multicast Service Single Frequency Network Reference Signal (MBSFN) Area ID which identifies the MBSFN Area. It is used for the scrambling of the MBSFN Reference Signals and the Physical Multicast Channel (PMCH). Refer to 3GPP TS 36.211 and TS 36.331.

MBSFN RS Power

Range: -60.000 to 20.000

Default: 0.000 dB

Enter a value for the power of the Multimedia Broadcast Multicast Service Single Frequency Network Reference Signal (MBSFN RS) in dB.

Modulation

Choice: QPSK | 16QAM | 64QAM

When the MCS Index is off, double-click or use the drop-down menu to select modulation type for the subframe.

Name

Displays the name (type) of the selected channel.

BCH = Broadcast Channel

CFI = Control Format Indicator

HI = HARQ Indicator Channel

DCI = Downlink Control Information

DL-SCH = Downlink Shared Channel

MCH = Multicast Channel

Number of Codewords

Choice: 1 | 2

Default: 1

Double-click or use the drop-down menu to select the number of Codewords.

When you select Tx Diversity as the Diversity Method, the Number of Codewords is automatically set to the number of downlink antenna ports.

When you select Spatial Multiplexing as the Diversity Method, you can set the number of codewords to 1, 2. The maximum number of codewords is less than or equal to the number of number of layers.

Number of HARQ Processes

Range: 1 to 8

Default: 1

The value you enter sets the number of available hybrid automatic repeat request (HARQ) processes and defines the interval (number of subframes) between retransmissions. Use the Assigned Processes parameter to enable HARQ processes. In the current LTE TDD signal studio it only supports one HARQ process for the DL-SCH.

The number of available HARQ processes is defined in the Assigned Processes parameter and this parameter.

Number Of Layers

Choice: 1 | 2 | 3 | 4

Default: 1

Double-click or use the drop-down menu to select the number of layers.

When you select Tx Diversity as the Diversity Method, the number of layers is automatically set to the number of downlink antenna ports.

When you select Spatial Multiplexing as the Diversity Method, you can set the number of layers to 1, 2, 3, or 4. The maximum number of layers is less than or equal to the number of downlink antenna ports.

Number of PDCCH Symbols (Non-MBSFN Region Length)

Range: 1 to 2 (Integer)

Default: 2

Enter the number of PDCCH symbols (Non-MBSFN Region Length) for all of MBSFN subframe. Where there is a 1 or 2 antenna configuration and N_DL_RB > 10, the parameter range is 1 to 2. Otherwise that is 2. Where the MCH State is on and some MBSFN subframes are assigned, the Number of PDCCH Symbols (Non-MBSFN Region Length) is coupled to the PDCCH Allocations in DCI for the MBSFN subframe(s).

In case N_DL_RB <= 10, the Number of PDCCH Symbols is only allowed 2.

In case N_DL_RB > 10 and 1 or 2 cell-specific antenna ports, this Number of PDCCH Symbols is allowed 1 or 2.

In case N_DL_RB > 10 and 4 cell-specific antenna ports, the Number of PDCCH Symbols is only allowed 2.

Closed See example.

Waveform Generation Length = 2 Frames (20 ms)

Uplink Downlink Configuration = 5 (D,S,U,D,D,D,D,D,D,D)

Radio Frame Allocation Period = 2

Radio Frame Allocation Offset = 0

Subframe Allocation = 1 Frame

Allocation Bitmap = "10110" (selects subframes 3, 7, 8)

Number of PDCCH Symbols (Non-MBSFN Region Length)

PDCCH Allocations = "3,3,3,3,3,3,3,3,3,3" (Before the MCH setting changes)

PDCCH Allocations = "3,3,3,2,3,3,3,2,2,3" (After the MCH setting changes)

These PDCCH Allocation are applicable for MBSFN subframe, not the parameter PDCCH Allocations in DCI.

Refer to 3GPP TS 36.211 and 36.331.

OCNG for PDCCH

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the OCNG (OFDMA channel-noise generation) for PDCCH on or off. ONCG is allocated on empty resource element groups in the control channel region (PDFICH/PDCCH/PHICH/Cell-Specific RS). OCNG is pseudo-random data and does not include transport channel coding. For more information, refer to 3GPP TS 36.521-1.

On | Unallocated control region is filled with OCNG. When carrier aggregation is used with PHICH, the PDCCH is padded with resource element groups as OCNG.
Off | Unallocated control region is not filled with OCNG.

P_A

Choice: Off | -6 dB | -4.77 dB |-3 dB |-1.77 dB | 0 dB | 1 dB | 2 dB | 3 dB

Default: 0 dB

Double-click or use the drop-down menu to select the PDSCH relative power. This power value is applied to all allocations that belong to the UE.

The P_A value selected is applied to the Power parameter.

For more details, refer to 3GPP TS 36.213 and 36.331.

Payload Size (bits)

Range: 1 to 1920

Default: 24

Enter a value for the payload size in bits. Refer to the 3GPP technical standards for more information.

PDCCH Allocations

Range:

1 to 3 for number of downlink resource blocks > 10 (depends on System Bandwidth)

2 to 4 for number of downlink resource blocks ≤ 10 (depends on System Bandwidth)

Default: 1,1,1,1,1,1,1,1,1,1

For DCI channels, enter the number of OFDMA symbols used for PDCCH (non-MBSFN subframes) in each subframe, separated by commas. Ten inputs for each subframe are available, as described in 3GPP TS 36.211.

If the MCH (Multicast channel) state is set to on and the MBSFN subframe is assigned, the corresponding PDCCH subframes are updated with the number of symbols for MBSFN subframes set by the parameter, Number of PDCCH Symbols, in MCH.

Closed See example.

Waveform Generation Length = 2 Frames (20 ms)

Uplink Downlink Configuration = 5 (D,S,U,D,D,D,D,D,D,D)

Radio Frame Allocation Period = 2

Radio Frame Allocation Offset = 0

Subframe Allocation = 1 Frame

Allocation Bitmap = "10110" (selects subframes 3, 7, 8)

Number of PDCCH Symbols (Non-MBSFN Region Length)

PDCCH Allocations = "3,3,3,3,3,3,3,3,3,3" (Before the MCH setting changes)

PDCCH Allocations = "3,3,3,2,3,3,3,2,2,3" (After the MCH setting changes)

PDCCH Search Space

Choice: Common | UE Specific

Default: Common

Double-click or use the drop-down menu to set the search space of the PDCCH channels.

PDCCH UE Tx Antenna

Choice: UE Port 0 | UE Port 1

Default: UE Port 0

Double-click or use the drop-down menu to set the UE Tx Antenna for the selected DCI channel.

PHICH Allocation

Choice: 1/6 | 1/2 | 1 | 2

Default: 1/6

Double-click or use the drop-down menu to set the allocation value for the selected PHICH channel.

The software sets the PHICH Maximum Group Number, based on the PHICH Allocation value.

The PHICH carries the hybrid-ARQ ACK/NAK. Multiple PHICHs mapped to the same set of resource elements constitute a PHICH group, where PHICHs within the same PHICH group are separated through different orthogonal sequences.

A PHICH resource is identified by the index pair [image], where [image] is the PHICH group number and [image] is the orthogonal sequence index within the group.

For frame structure type 1, the number of PHICH groups [image] is constant in all subframes and given by

where [image] is provided by higher layers. The index [image] ranges from 0 to [image].

PHICH BPSK Symbol Power

Range: -60 to 20 dB

Default: 0 dB

Enter a power level in dB for PHICH BPSK symbols. See Output Power Calculation (Downlink) for a description of how the software applies your power settings.

PHICH Duration

Choice: Normal | Extended

Default: Normal

Double-click or use the drop-down menu to set the PHICH duration for the selected HI channel as defined in 3GPP TS 36.211

PHICH Maximum Group Number

Display the maximum number of PHICH groups in each subframe.

The maximum number of PHICH groups is related to Uplink and Downlink Configuration and PHICH Allocation.

Multiple PHICHs mapped to the same set of resource elements constitute a PHICH group, where PHICHs within the same PHICH group are separated through different orthogonal sequences. See 3GPP TS 36.211 for details.

PHICH Mi Definition

Choice: STD | ETM

Default: STD

Set the Mi definition mode of PHICH channel. if the PHICH Mi definition mode is ETM, all the Mi will be set to 1. See 3GPP TS 36.141 for detail.

PMCH Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the PMCH (Physical Multicast Channel). See Output Power Calculation (Downlink) for a description of how the software applies your power settings.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the selected channel. See Output Power Calculation (Downlink) for a description of how the software applies your power settings.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

For a UE-specific reference signal, enter a power level in dB. This parameter is only available when UE-Specific Reference signal state is On.

Precoding Method

Choice: Without CDD | Large-delay CDD

Default: Without CDD

Double-click or use the drop-down menu to select a cyclic delay diversity (CDD) precoding method when Spatial Multiplexing is selected as the diversity method in Diversity Method field. See 3GPP TS 36.211 for detailed information about precoding.

Radio Frame Allocation Offset

Range: 0 to 7 (Integer)

Default: 0

Enter a value for the MBSFN subframe offset unit in radio frames. The upper range must be less than or equal to the (Radio Frame Allocation Period - 1) or 7.

Radio-frames that contain MBSFN subframes occur when SFN (mod Radio Frame Allocation Period) = Radio Frame Allocation Offset is satisfied.

Refer to 3GPP TS 36.331 for more details.

Radio Frame Allocation Period

Choice: 1 frame | 2 frames | 4 frames | 8 frames | 16 frames | 32 frames

Default: 1 frame

Double-click or use the drop-down menu to set the radio frame allocation period. Radio-frames that contain MBSFN subframes occur when the equation Single Frequency Network (SFN) mod Radio Frame Allocation Period = Radio Frame Allocation Offset is satisfied. 4 frames are available only if the Radio Allocation Period is 4, 8, 16, or 32.

Refer to 3GPP TS 36.331.

RB Size

Choice: 6 |15 |25 | 50 | 75 | 100

Display the PMCH resource block size which is the same as maximum system resource blocks size as follows:

6RB (1.4MHz), 15RB (3MHz), 25RB (5MHz), 50RB (10MHz), 75RB (15MHz) and 100RB (20MHz).

This is a read only parameter.

Refer to 3GPP TS 36.213.

Resource Allocation Type

Choice: Type 0 | Type 1 | Type 2

Default: Type 2

Double-click or use the drop-down menu to set the resource allocation type for the DL-SCH.

RNTI

Range: 1 to 65523 (for C-RNTI), 65535 (for SI-RNTI)

Default: 1 (same as DL-SCH# )

Enter a value for the Radio Network Temporary Identifier (RNTI).

RNTI Type

Choice: SI-RNTI (System Information) | C-RNTI (Dedicated Traffic)

Default: C-RNTI (Dedicated Traffic)

Double-click or use the drop-down menu to select the RNTI type. The SI-RNTI is used for setting SIB transmissions on DL-SCH that can be set manually.

RV Index Configuration

Choice: Auto | Manual

Default: Auto

Double-click or use the drop-down menu to set the RV Index Configuration for the selected DL-SCH channel.

RV Index Sequence

Range of sequence length: 1 to 16

Range of each value: 0 to 3

Default: 0,2,3,1

Enter the numbers of individual RV Index Sequence, separated by commas (for example, 1,2,3).

Scrambling

Choice: On | Off

Default: On

This parameter applies to DCI, BCH, CFI, HI, and MCH channels.

Double-click or use the drop-down menu to turn scrambling on or off.

SFN Start Number

Range: 0 to 255

Default: 0

Set Auto MasterInformationBlock to On to make this parameter active.

This is the start number of the SFN (8 bits in binary, 2 bytes in hexadecimal). If Auto MasterInformationBlock = On, SFN is incremented every subframe.

Refer to the 3GPP technical standards for more information.

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the channel On or Off.

For MCH:

  • On: Both channel MBSFN Reference Signals and MCH (PMCH) are on.

  • Off: Both channel MBSFN Reference Signals and MCH (PMCH) are off.

For MCH, where the cyclic prefix (CP) is set to Normal (normal CP) and the MCH State is On: the Non-MBSFN region in the MBSFN subframe is configured to normal CP and the MBSFN region in the MBSFN subframe is configured to extended CP.

For more detail, refer to 3GPP TS 36.211.

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the UE Specific Reference Signal state on or off. This is only available when Transmission Mode is 7 or 8.

Subframe Allocation

Choice: 1 frame | 4 frames

Default:1 Frame

Double-click or use the drop-down menu to set the subframe allocation for MBSFN within the radio frame allocation period defined by the two parameters: Radio Frame Allocation Period and Radio Frame Allocation Offset. 4 frames are available only if the Radio Allocation Period is 4, 8, 16, or 32.

TBS Index

Choices:Off | 0 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 |13 |14 | 15 | 16 | 17 | 18 | 19 | 20 | 21 | 22 | 23 | 24 | 25 | 26

Default: 5

Enter a value for the TBS index for the MCH/PMCH. The range of available values depends on the modulation type: QPSK (0 to 10), 16QAM (10 to 19), 64 QAM (19 to 26).

MCS/TBS Index Value | Status of Coupled Parameters
MCS Index = 0 to 28 | Modulation and TBS Index are automatically set by the software
MCS Index = Off | Modulation and TBS Index are settable by the user.
TBS Index = 0 to 26 | TB Size is automatically set by the software.
TBS Index = Off | TB Size is settable by the user.

Refer to 3GPP TS 36.213.

TBS Size

Range 1 to 75376 (Integer)

Enter a value for the transport block size for the MCH/PMCH.

Closed Refer to the table for active conditions.
MCS/TBS Index Value | Status of Coupled Parameters
MCS Index = 0 to 28 | Modulation and TBS Index are automatically set by the software
MCS Index = Off | Modulation and TBS Index are settable by the user.
TBS Index = 0 to 26 | TB Size is automatically decided by the software.
TBS Index = Off | TB Size is settable by the user.

For more detail, refer to 3GPP TS 36.213.

Transmit Antenna Port

For Transmission Mode 7: Single Antenna Port

Default: Port 5

For Transmission Mode 8 and Total Number of Antennas is 1

Choice: Port 7 | Port 8

For Transmission Mode 8 and Total Number of Antennas is 2 or 4

Default: Port 7 and 8

Double-click or use the drop-down menu to set Transmission Antenna Port for UE Specific Reference Signal. This is only available when UE-Specific Reference signal state is On.

Transmit Antenna Weight

Default: 1.0+0.0j

Enter a Transmission Antenna Weight complex number(s) for the UE Specific Reference Signal. When Total Number of Antennas is greater than one, enter a complex array such as "1.0+0.0j, 1.0+0.0j".

This parameter is only available when UE-Specific Reference signal state is On.

Transmit Antenna Weight for Port 7

Default: 0.0+0.0j, 1.0+0.0j

Enter a Transmission Antenna Weight complex number(s) for the UE Specific Reference Signal for port 7. When Total Number of Antennas is greater than one, enter a complex array such as "1.0+0.0j, 1.0+0.0j".

This parameter is only available when UE-Specific Reference signal state is On and Transmit Antenna Port is Port 7 and 8.

Transmission Configuration (DL_SCH)

Click the [image] button in this cell to open the DL-SCH Tx sequence window.

DCI Transmission Configuration (PDCCH)

Click the button in this cell to open the PDCCH Tx sequence window.

Transmission Configuration (PHICH)

Click the [image] button in this cell to open the Closed PHICH Tx configuration window.

Transmission Configuration Length

Range: 1 frame to Waveform Generation Length, Max 16 frames

Default: 1 frame

Set the length of transmission configuration. The definition of transmission configuration of SCH and DCI will be repeated to the end of the Waveform Generation Length. Refer to Waveform Structure (Long).

UI parameter couplings:

If the Waveform Generation Length parameter is set less than the Transmission Configuration Length, the value of Transmission Configuration Length is changed to be ≤Waveform Generation Length. In summary, the relation between Transmission Configuration Length and Waveform Generation Length is that the Transmission Configuration Length ≤Waveform Generation Length. Refer to the Waveform Generation Length parameter.

 | Channel | Transmission Configuration Length | Default Value
Downlink | DL-SCH 1 - 8 | The value is available to set 1 -16 Frames With the following rule: Transmission Configuration Length ≤Waveform Generation Length | 1 Frame
 | DCI 1 - 8 | The value is automatically set to same value corresponding DL-SCHs. | Same as UL-SCH
 | DCI 9 - 12 | The value is automatically set to same value as Waveform Generation Length. | 1 Frame

Example: Where the Transmission Configuration Length is set to 2, Frames #0 and #1 configurations (Sequences #1 and #2) will be repeated while generating Closed SCH.

Transmission Mode

Choice: 1 | 7 | 8 (for single antenna), 2 | 3 | 4 | 5 | 6 | 7 | 8 (for multiple antennas)

Default: 1

Double-click or use the drop-down menu to set the Transmission Mode for the selected DL-SCH channel.

Transmission Setting Mode

Choice: MCS | Manual

Default: MCS

Double-click or use the drop-down menu to select the PDSCH Transmission Setting Mode.

In MCS mode, the modulation and transport block size of each transmission is determined by the MCS index according to the table in 3GPP 36.213 7.1.7

UE Category

Choice: 1 | 2 | 3 | 4 | 5

Default: 5

The UE categories for DL-SCH channels are implemented according to the 3GPP standards.

UE Specific Reference Signal State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the UE Specific Reference Signal state on or off.

Virtual Resource Blocks Type

Choice: Localized | Distributed

Default: Localized

Double-click or use the drop-down menu to set the Virtual Resource Blocks Type for the Resource Allocation Type 2.

In the distributed allocation mode, the RB gap in the PDSCH will be valid and the RB size will be limited to the maximum number for the distributed type. See the Resource Allocation in 3GPP TS 36.213 for detailed information.

Related Topics

DL-SCH PDCCH Tx Setting and Config (Advanced LTE TDD Downlink)

UL-SCH PDCCH Tx Setting and Config. (Advanced LTE TDD Downlink)

RACH PDCCH Tx Setting and Config (Advanced LTE TDD Downlink)

Uplink Power Control PDCCH Tx Setting and Config (Advanced LTE TDD Downlink)

User Defined PDCCH Tx Setting and Config (Advanced LTE TDD Downlink)


Tx Map (Advanced Downlink LTE TDD)

The enabled downlink shared channel configurations from the Channel Setup node and the DL-SCH Tx sequence window are displayed in the Tx Map.


Uplink (Advanced LTE TDD)

Click the Predefined Configuration button to access a dialog box from which you can select a base channel configuration.

To use a Wizard to configure your channels:

Click the Wizard button to open the UL FRC Wizard to set up a UL fixed reference channel (FRC).

Click the Wizard button to open the UL RMC Wizard to set up a UL reference measurement channel (RMC) for transmitter performance.

Click the Wizard button to open the PUCCH Wizard to set up a multi-user PUCCH test.

Click the links in the table below the graphic for parameter descriptions.

1. Cell Parameters | 2. Sounding Reference Signal
State | State
Antenna Port | Power
Total Number of Antennas | Group/Sequence Hopping
PUSCH DFT Swap | Subframe Configuration
 | Number of Format 4 PRACH
 | Cyclic Shift (nSRS_CS)
 | Bandwidth Configuration (C_SRS)
 | Bandwidth (B_SRS)
 | Transmission Comb (kTC)
 | Hopping Bandwidth (b_hop)
 | Frequency Domain Position (nRRC)
 | Configuration Index (I_SRS)
 | Periodicity (T srs)
 | Subframe Offset Configuration (T offset)
 | Frequency Hopping

1. Cell Parameters

State

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the uplink transmission off or on.

Antenna Port

Displays the antenna port number.

Total Number of Antennas

Displays the total number of antennas.

PUSCH DFT Swap

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn PUSCH DFT Swap on or off.

PUSCH DFT Swap influences how data is mapped to resource elements in the physical uplink shared channel after discrete Fourier transform is performed. PUSCH DFT Swap can be turned on or off to provide two different interpretations of how data should be mapped to resource elements in PUSCH channels.

2. Sounding Reference Signal

State

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the sounding reference signal on or off.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Set the power of the sounding reference signal in dB.

Group/Sequence Hopping

Choice: Off | Group Hopping | Sequence Hopping

Default: Off

Double-click or use the drop-down menu to select the hopping type sounding reference signal related to. (See 3GPP TS 36.211)

Subframe Configuration

Choice: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13

Default: 0

Double-click or use the drop-down menu to select subframe configuration of sounding reference signal.

Maximum UpPTS

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the sounding reference signal Max UpPTS state on or off.

Number of Format 4 PRACH

Set the Number of Format 4 PRACH burst allocated in the special subframe, you can set this value to 0, 1, 2, 3, 4 ,5, 6 for each special subframe as described in 3GPP TS 36.211.

Cyclic Shift (nSRS_CS)

Choice: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7

Default: 0

Double-click or use the drop-down menu to select the value which is used to calculate the cyclic shift for sounding reference signal.

Bandwidth Configuration (C_SRS)

Choice: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7

Default: 7

Double-click or use the drop-down menu to select the Bandwidth configuration for sounding reference signal.

Bandwidth (B_SRS)

Choice: 0 | 1 | 2 | 3

Default: 0

Double-click or use the drop-down menu to select the Bandwidth indicator for sounding reference signal.

SRS Bandwidth (B_SRS), SRS Hopping Bandwidth (b_hop), and Frequency Hopping are related as follows:

Frequency Hopping On: SRS Hopping Bandwidth (b_hop) < SRS Bandwidth (B_SRS)

Frequency Hopping Off: SRS Hopping Bandwidth (b_hop) >= SRS Bandwidth (B_SRS)

Transmission Comb (kTC)

Choice: 0 | 1

Default: 0

Double-click or use the drop-down menu to select the offset value which is related with the transmission comb for sounding reference signal.

Hopping Bandwidth (b_hop)

Range: Choice: 0 | 1 | 2 | 3

Default: 3

Double-click or use the drop-down menu to select the frequency hopping bandwidth of sounding reference signal.

SRS Bandwidth (B_SRS), SRS Hopping Bandwidth (b_hop), and Frequency Hopping are related as follows:

Frequency Hopping On: SRS Hopping Bandwidth (b_hop) < SRS Bandwidth (B_SRS)

Frequency Hopping Off: SRS Hopping Bandwidth (b_hop) >= SRS Bandwidth (B_SRS)

Frequency Domain Position (nRRC)

Range: 0 to 23

Default: 0

Enter the frequency domain position RRC value which is from the upper layer for sounding reference signal.

Configuration Index (I_SRS)

Choice: 0 to 644

Default: 0

Enter the configuration Index for sounding reference signal.

SRS Bandwidth (B_SRS), SRS Hopping Bandwidth (b_hop), and Frequency Hopping are related as follows:

Frequency Hopping On: SRS Hopping Bandwidth (b_hop) < SRS Bandwidth (B_SRS)

Frequency Hopping Off: SRS Hopping Bandwidth (b_hop) >= SRS Bandwidth (B_SRS)

Periodicity (T srs)

This is read only parameter and the value is automatically selected by the software. Refer 36.213V8.5.0 Table 8.2-1

Subframe Offset Configuration (T offset)

This is read only parameter and the value is automatically selected by the software. Refer 36.213V8.5.0 Table 8.2-1

Frequency Hopping

This is read only parameter and the value is automatically selected by the software.

SRS Bandwidth (B_SRS), SRS Hopping Bandwidth (b_hop), and Frequency Hopping are related as follows:

Frequency Hopping On: SRS Hopping Bandwidth (b_hop) < SRS Bandwidth (B_SRS)

Frequency Hopping Off: SRS Hopping Bandwidth (b_hop) >= SRS Bandwidth (B_SRS)


Channel Setup (Advanced Uplink LTE TDD)

This Channel Setup Advanced Uplink configuration has several different possible channel setups (e.g. UL-SCH and UCI). The screen shot below shows the parameter choices for a UL-SCH channel. In the N7625B Signal Studio software, click a different channel to view that channel's parameter choices. The links for all of the channel's parameters and their descriptions are listed in the tables below.

UL-SCH
1. General Settings | 2. Demodulation Reference Signal Settings
Channel Number | nDMRS(1)
Name | Delta SS
State | Group/Sequence Hopping
Power |
Scrambling |
RNTI |
UL-SCH (continued)
3. PUSCH Frequency Hopping Parameters | 4. Transmission Settings
Hopping Mode | Number of HARQ Processes
Hopping Type | Data
Hopping Offset | Data Reset
Hopping Subbands | Transmission Setting Mode
 | Coding State
 | Support 64QAM
 | RV Index Configuration
 | RV Index Sequence
 | Transmission Configuration Length
 | Transmission Configuration
UCI
1. General Settings | 2. Demodulation Reference Signal Settings | 3. Transmission Settings
Channel Number | N_RB(2) | Transmission Configuration Length
Name | N_CS(1) | Transmission Configuration
State | nPUCCH(2) |
Power | Delta Shift |
Scrambling | Group/Sequence Hopping |
RNTI |  |

Channel Number

Displays the identifying number of the selected channel.

Coding State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the coding state On or Off.

Data

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data.

Data Reset

Choice: None | Every Subframe

Default: None

Sets the data reset method for UL-SCH.

None: the transport data is continuously repeated seed data which is specified by Data parameter. The transport data is not reset till end of the waveform.

Every Subframe: the transport data is reset at the start of each subframe.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

Delta Shift

Range: 1 to 3

Default: 1

Enter a delta shift value which is used to calculate the cyclic shift alpha for the PUCCH.

Delta SS

Range: 0 to 29

Default: 0

Enter a value which determines the sequence shift pattern for the demodulation reference signal (DMRS) for PUSCH.

nDMRS(1)

Range: 0 to (Maximum resource elements -1)

Default: 0

Enter the nDMRS(1) value which is used to calculate the cyclic shift alpha of the demodulation reference signal (DMRS).

Group/Sequence Hopping

Choice: Off | Group Hopping | Sequence Hopping

Default: Off

Double-click or use the drop-down menu to enable the hopping type for the selected transmission.

Hopping Mode

Choice: Off | Inter-subframe | Intra and inter-subframe

Default: Off

Double-click or use the drop-down menu to select the frequency hopping mode of PUSCHs.

Refer to the TS 3GPP 36.211 5.3.4 and 36.213 8.4 about the PUSCH frequency hopping for more information.

Hopping Offset

Range: 0 to 98

Default: 0

Enter a value for the frequency hopping offset of PUSCHs. Refer to the 3GPP technical standards for more information.

Refer to the TS 3GPP 36.211 5.3.4 and 36.213 8.4 about the PUSCH frequency hopping for more information.

Hopping Subbands

Range: 1 to 4

Default: 1

Double-click or use the drop-down menu to select the frequency hopping subbands of PUSCHs.

This parameter is only available when the frequency hopping type is set to Type 2.

Refer to the TS 3GPP 36.211 5.3.4 and 36.213 8.4 about the PUSCH frequency hopping for more information.

Hopping Type

Choice: Type1 +1/4 | Type1 -1/4 | Type1 +1/2 | Type2

Default: Type1 +1/2

Double-click or use the drop-down menu to select the frequency hopping type of the PUSCHs.

Type 1 +1/4 and Type 1 -1/4 are only available when the number of system resource blocks is greater than 50.

Refer to the TS 3GPP 36.211 5.3.4 and 36.213 8.4 about the PUSCH frequency hopping for more information.

Name

Displays the name (type) of the selected channel.

UCI = Uplink Control Information

UL-SCH = Uplink Shared Channel

nPUCCH(2)

Range: 0 to (Max Resource Element - 1)

Default: 0

Resources used for transmission of PUCCH format 1/1a/1b and 2/2a/2b are represented by the non-negative indices and, respectively. Refer to 3GPP TS 36.211.

N_CS(1)

Range: 0 to 8

Default: 0

Enter a value for the PUCCH N_CS(1) number.

N_RB(2)

Range: 0 to Max Resource Block - 1

Default: 1

Enter a value for the PUCCH N_RB(2) number.

Number of HARQ Processes

Range: 1 to 8

Default: 1

The value you enter sets the number of available hybrid automatic repeat request (HARQ) processes and defines the interval (number of subframes) between retransmissions. Use the Assigned Processes parameter to enable HARQ processes. In the current LTE TDD signal studio it only supports one HARQ process for the UL-SCH.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the selected channel. See Output Power Calculation (Uplink) for a description of how the software applies your power settings.

RNTI

Range: 0 to 65535

Default: 0

Enter a value for the Radio Network Temporary Identifier (RNTI).

RV Index Sequence

Range of sequence length: 1 to 16

Range of each value: 0 to 3

Default: 0,2,3,1

Enter the numbers of individual RV Index Sequence, separated by commas (for example, 1,2,3).

RV Index Configuration

Choice: Auto | Manual

Default: Auto

Double-click or use the drop-down menu to set the RV Index Configuration.

Scrambling

Choice: On (AUTO) | Off | Manual

Default: On (AUTO)

Double-click or use the drop-down menu to turn scrambling on or off.

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the channel On or Off.

Supporting 64QAM

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the capacity of supporting 64QAM state on or off for the UL-SCH. This parameter determines if 64QAM support is available for Modulation Coding Scheme (MCS) indexes equal to or greater than 21. For MCS indexes less than 21, this parameter has no effect.

Transmission Configuration

Click the [image] button in this cell to open the UL-SCH Tx sequence window or UCI Tx sequence window.

Transmission Configuration Length

Range: 1 frame to Waveform Generation Length, Max 16 frames

Default: 1 frame

Set the length of transmission configuration. The definition of transmission configuration of SCH and UCI will be repeated to the end of the Waveform Generation Length.

UI parameter couplings:

If the Waveform Generation Length parameter is set less than the Transmission Configuration Length, the value of Transmission Configuration Length is changed to be ≤Waveform Generation Length. In summary, the relation between Transmission Configuration Length and Waveform Generation Length is that the Transmission Configuration Length ≤Waveform Generation Length. Refer to the Waveform Generation Length parameter.

 | Channel | Transmission Configuration Length | Default Value
Uplink | UL-SCH | The value is available to set 1 -16 Frames With following rule: Transmission Configuration Length ≤Waveform Generation Length | 1 Frame
 | UCI | The value is automatically set to same value corresponding UL-SCH. | Same as UL-SCH

UCI: This is a read only parameter. Use UL-SCH to set the Transmission Configuration Length parameter.

Example: Where the Transmission Configuration Length is set to 2, Frames #0 and #1 configurations (Sequences #1 through #20) will be repeated while generating Closed SCH.

Transmission Setting Mode

Choice: MCS | Manual

Default: MCS

Double-click or use the drop-down menu to select the PUSCH Transmission Setting Mode.

In the MCS Index mode, the modulation order, TBS index, block size and the redundancy index of each transmission is determined according to Table 8.6.1-1 in 3GPP 36.211.

In Manual mode, you can set the Block Size to 0 in the UL-SCH Tx sequence window to transmit UCI on PUSCH with only selected control related information (HARQ-ACK, RI, and CQI/PMI) without UL-SCH data.


Tx Map (Advanced Uplink LTE TDD)

Click Tx Map in the tree view to open the Tx Map.

The enabled uplink shared channel and uplink control channel configurations from the Channel Setup node, the UL-SCH Tx sequence window, and the UCI Tx sequence window are displayed in the Tx Map.


Uplink (LTE TDD PRACH)

Real Time

Uplink Setup (LTE TDD PRACH)

Click the Wizard button to access a dialog box from which you can configure the PRACH Preamble. Click the links in the table below for parameter definitions.

1. Cell Parameters | 2. PRACH Parameters
State | PRACH Configuration Index
Antenna Port | PRACH Preamble Auto-Calculate
Total number of Antennas |
PRACH DFT Swap |

1. Cell Parameters

State

Double-click or use the drop-down menu to turn the uplink transmission off or on.

Antenna Port

Displays the antenna port number.

Total number of Antennas

Displays the total number of antennas.

PRACH DFT Swap

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn PRACH DFT Swap on or off.

PRACH DFT Swap influences how data is mapped to resource elements in the physical uplink shared channel after discrete Fourier transform is performed. PRACH DFT Swap can be turned on or off to provide two different interpretations of how data should be mapped to resource elements in PUSCH channels.

2. PRACH Parameters

PRACH Configuration Index

Range: 0 to 63

Default: 0

Enter a value for the PRACH Configuration Index.

PRACH Preamble Auto-Calculate

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn PRACH Preamble Auto Calculate State on or off.

If the state is on, the sequence will be automatic selected by the preamble index. If the State is offset, the sequence can be manually selected by logic root sequence index and cyclic shift v.


Channel Setup (PRACH LTE TDD)

Real Time

Channel Setup (LTE TDD PRACH)

Use the Channel Setup node to configure PRACH bursts.

When you click the Add Burst button, the software adds a new PRACH burst above the currently selected PRACH burst in the list. The software assigns an identifying number to the new PRACH burst that corresponds to its position in the list and increments the identifying numbers of subsequent PRACH bursts in the list.

Similarly, if you delete the selected PRACH burst using the Delete Burst button, the software adjusts the identifying numbers of the subsequent PRACH bursts according to their new positions in the list.

Click the Column Preset button to access a Closed drop-down that enables you to set parameters for all PRACH bursts to the same value.

Click the links in the table below the graphic for parameter descriptions.

PRACH 1
1. General Settings |
PRACH Burst Number | Frequency Offset
State | Resource Block Offset
Power | Preamble Time Offset
Configuration Index | Cyclic Shift Set
Resource Index | Ncs Configuration
Preamble Format | Logical Root Sequence Index
Occupied Frames | Logical Root Sequence Index (Incremented)
Frame Number | Preamble Index
Subframe Number | Physical Root Sequence Index
 | Cyclic Shift v

PRACH Burst Number

Displays the identifying number of the selected PRACH burst.

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the selected PRACH burst on or off.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the selected PRACH burst, relative to the carrier power.

Configuration Index

Range: 0 to 57

Default: 0

Enter a value for the PRACH configuration index.

Resource Index

Range: 0 to Maximum Number of PRACH Resource.

Default: 0

Enter a value for the PRACH Resource Index.

Preamble Format

Displays the PRACH preamble format of the selected PRACH burst.

Occupied Frames

Displays the occupied frame type of the selected PRACH burst.

Frame Number

Range: 0 to 19

Enter a frame number for the selected PRACH burst. The PRACH burst location displayed in the Resource Mapping Graph at the bottom of the Channel Setup node is determined by the frame number and subframe number defined for the selected burst.

Subframe Number

Displays the occupied subframe of the selected PRACH burst.

Frequency Offset

Default: 0.000000 Hz

Set the frequency offset of the carrier relative to the signal generator's frequency setting.

The range of the parameter is coupled to the Oversampling Ratio, the Base Sampling Rate, the System Bandwidth, and the max ARB Sample Clock of the connected signal generator.

For single carrier configurations, the following table shows the maximum frequency offset:

Maximum Frequency Offset for each Maximum Arb Sample Clock and System Bandwidth
Maximum Frequency Offset | System Bandwidth
Maximum Arb Sample Clock (RF Bandwidth) | 1.4 MHz | 3 MHz | 5 MHz | 10 MHz | 15 MHz | 20 MHz
75 MHz (60 MHz) | 29.3 MHz | 28.5 MHz | 26.72 MHz | 20.54 MHz | 22.04 MHz | 15.36 MHz
100 MHz (80 MHz) | 39.3 MHz | 38.5 MHz | 37.5 MHz | 35 MHz | 32.5 MHz | 30 MHz
125 MHz (100 MHz) | 49.3 MHz | 48.5 MHz | 47.5 MHz | 45 MHz | 42.5 MHz | 40 MHz
150 MHz (120 MHz) | 59.3 MHz | 58.5 MHz | 57.5 MHz | 55 MHz | 52.5 MHz | 46.08 MHz
200 MHz (160 MHz) | 79.3 MHz | 78.5 MHz | 77.5 MHz | 75 MHz | 72.5 MHz | 70 MHz

For multiple carrier configurations, the following table shows the maximum frequency offset:

Multiple Carrier Maximum Frequency Offset for each Maximum Arb Sample Clock and System Bandwidth
Maximum Frequency Offset | System Bandwidth
Maximum Arb Sample Clock (RF Bandwidth) | 1.4 MHz | 3 MHz | 5 MHz | 10 MHz | 15 MHz | 20 MHz
75 MHz (60 MHz) | 15.36 MHz
100 MHz (80 MHz) | 30.72 MHz |  |  |  |  | 30 MHz
125 MHz (100 MHz) | 46.08 MHz |  |  | 45 MHz | 42.5 MHz | 40 MHz
150 MHz (120 MHz) | 46.08 MHz
200 MHz (160 MHz) | 76.8 MHz |  |  | 75 MHz | 72.5 MHz | 70 MHz

Resource Block Offset

Displays the resource blocks offset of the selected PRACH burst.

Preamble Time Offset

Choice: 0.0 us | 0.1 us | 0.2 us | 0.3 us | 0.4 us | 0.5 us | 0.6 us | 0.7 us | 0.8 us | 0.9 us

Default: 0.0 us

Double-click or use the drop-down menu to set the preamble time offset in microseconds (us) for the selected burst.

Cyclic Shift Set

Choice: Unrestricted Sets | Restricted Sets

Default: Unrestricted Sets

Double-click or use the drop-down menu to set the cyclic shift restriction method.

Ncs Configuration

Range: 0 to 15

Default: 0

Enter a value for the Ncs configuration for preamble generation. (See 3GPP TS 36.211.)

In the case where preambles corresponding to Preamble Index cannot be generated from a single root Zadoff-Chu sequence, Logical Root Sequence Index is incremented until corresponding Preamble sequences are found.

That incremented Logical Root Sequence Index is displayed in the Logical Root Sequence Index (Incremented) field.

Physical Root Sequence Index, Cyclic Shift v and Incremented Logical Root Sequence Index are automatically changed on GUI based on Cyclic Shift Set, Ncs Configuration, Logical Root Sequence Index and Preamble Index.

Logical Root Sequence Index

Range: 0 to 837

Default: 0

Enter a value for the logical root sequence index. (See 3GPP TS 36.211.)

In the case where preambles corresponding to Preamble Index cannot be generated from a single root Zadoff-Chu sequence, Logical Root Sequence Index is incremented until corresponding Preamble sequences are found.

That incremented Logical Root Sequence Index is displayed in the Logical Root Sequence Index (Incremented) field.

Physical Root Sequence Index, Cyclic Shift v and Incremented Logical Root Sequence Index are automatically changed on GUI based on Cyclic Shift Set, Ncs Configuration, Logical Root Sequence Index and Preamble Index.

In the table below, the first Logical root sequence number in the range matches the first Physical root sequence number, the second matches the second, and so on. For example, logical root number 0 = physical root number 129, logical root number 1 = physical root number 710. (See 3GPP TS 36.211.)

Logical root sequence number | Physical root sequence number µ (in increasing order of the corresponding logical sequence number)
0 to 23 | 129, 710, 140, 699, 120, 719, 210, 629, 168, 671, 84, 755, 105, 734, 93, 746, 70, 769, 60, 779, 2, 837, 1, 838
24 to 29 | 56, 783, 112, 727, 148, 691
30 to 35 | 80, 759, 42, 797, 40, 799
36 to 41 | 35, 804, 73, 766, 146, 693
42 to 51 | 31, 808, 28, 811, 30, 809, 27, 812, 29, 810
52 to 63 | 24, 815, 48, 791, 68, 771, 74, 765, 178, 661, 136, 703
64 to 75 | 86, 753, 78, 761, 43, 796, 39, 800, 20, 819, 21, 818
76 to 89 | 95, 744, 202, 637, 190, 649, 181, 658, 137, 702, 125, 714, 151, 688
90 to 115 | 217, 622, 128, 711, 142, 697, 122, 717, 203, 636, 118, 721, 110, 729, 89, 750, 103, 736, 61, 778, 55, 784, 15, 824, 14, 825
116 to 135 | 12, 827, 23, 816, 34, 805, 37, 802, 46, 793, 207, 632, 179, 660, 145, 694, 130, 709, 223, 616
136 to 167 | 228, 611, 227, 612, 132, 707, 133, 706, 143, 696, 135, 704, 161, 678, 201, 638, 173, 666, 106, 733, 83, 756, 91, 748, 66, 773, 53, 786, 10, 829, 9, 830
168 to 203 | 7, 832, 8, 831, 16, 823, 47, 792, 64, 775, 57, 782, 104, 735, 101, 738, 108, 731, 208, 631, 184, 655, 197, 642, 191, 648, 121, 718, 141, 698, 149, 690, 216, 623, 218, 621
204 to 263 | 152, 687, 144, 695, 134, 705, 138, 701, 199, 640, 162, 677, 176, 663, 119, 720, 158, 681, 164, 675, 174, 665, 171, 668, 170, 669, 87, 752, 169, 670, 88, 751, 107, 732, 81, 758, 82, 757, 100, 739, 98, 741, 71, 768, 59, 780, 65, 774, 50, 789, 49, 790, 26, 813, 17, 822, 13, 826, 6, 833
264 to 327 | 5, 834, 33, 806, 51, 788, 75, 764, 99, 740, 96, 743, 97, 742, 166, 673, 172, 667, 175, 664, 187, 652, 163, 676, 185, 654, 200, 639, 114, 725, 189, 650, 115, 724, 194, 645, 195, 644, 192, 647, 182, 657, 157, 682, 156, 683, 211, 628, 154, 685, 123, 716, 139, 700, 212, 627, 153, 686, 213, 626, 215, 624, 150, 689
328 to 383 | 225, 614, 224, 615, 221, 618, 220, 619, 127, 712, 147, 692, 124, 715, 193, 646, 205, 634, 206, 633, 116, 723, 160, 679, 186, 653, 167, 672, 79, 760, 85, 754, 77, 762, 92, 747, 58, 781, 62, 777, 69, 770, 54, 785, 36, 803, 32, 807, 25, 814, 18, 821, 11, 828, 4, 835
384 to 455 | 3, 836, 19, 820, 22, 817, 41, 798, 38, 801, 44, 795, 52, 787, 45, 794, 63, 776, 67, 772, 72, 767, 76, 763, 94, 745, 102, 737, 90, 749, 109, 730, 165, 674, 111, 728, 209, 630, 204, 635, 117, 722, 188, 651, 159, 680, 198, 641, 113, 726, 183, 656, 180, 659, 177, 662, 196, 643, 155, 684, 214, 625, 126, 713, 131, 708, 219, 620, 222, 617, 226, 613
456 to 513 | 230, 609, 232, 607, 262, 577, 252, 587, 418, 421, 416, 423, 413, 426, 411, 428, 376, 463, 395, 444, 283, 556, 285, 554, 379, 460, 390, 449, 363, 476, 384, 455, 388, 451, 386, 453, 361, 478, 387, 452, 360, 479, 310, 529, 354, 485, 328, 511, 315, 524, 337, 502, 349, 490, 335, 504, 324, 515
514 to 561 | 323, 516, 320, 519, 334, 505, 359, 480, 295, 544, 385, 454, 292, 547, 291, 548, 381, 458, 399, 440, 380, 459, 397, 442, 369, 470, 377, 462, 410, 429, 407, 432, 281, 558, 414, 425, 247, 592, 277, 562, 271, 568, 272, 567, 264, 575, 259, 580
562 to 629 | 237, 602, 239, 600, 244, 595, 243, 596, 275, 564, 278, 561, 250, 589, 246, 593, 417, 422, 248, 591, 394, 445, 393, 446, 370, 469, 365, 474, 300, 539, 299, 540, 364, 475, 362, 477, 298, 541, 312, 527, 313, 526, 314, 525, 353, 486, 352, 487, 343, 496, 327, 512, 350, 489, 326, 513, 319, 520, 332, 507, 333, 506, 348, 491, 347, 492, 322, 517
630 to 659 | 330, 509, 338, 501, 341, 498, 340, 499, 342, 497, 301, 538, 366, 473, 401, 438, 371, 468, 408, 431, 375, 464, 249, 590, 269, 570, 238, 601, 234, 605
660 to 707 | 257, 582, 273, 566, 255, 584, 254, 585, 245, 594, 251, 588, 412, 427, 372, 467, 282, 557, 403, 436, 396, 443, 392, 447, 391, 448, 382, 457, 389, 450, 294, 545, 297, 542, 311, 528, 344, 495, 345, 494, 318, 521, 331, 508, 325, 514, 321, 518
708 to 729 | 346, 493, 339, 500, 351, 488, 306, 533, 289, 550, 400, 439, 378, 461, 374, 465, 415, 424, 270, 569, 241, 598
730 to 751 | 231, 608, 260, 579, 268, 571, 276, 563, 409, 430, 398, 441, 290, 549, 304, 535, 308, 531, 358, 481, 316, 523
752 to 765 | 293, 546, 288, 551, 284, 555, 368, 471, 253, 586, 256, 583, 263, 576
766 to 777 | 242, 597, 274, 565, 402, 437, 383, 456, 357, 482, 329, 510
778 to 789 | 317, 522, 307, 532, 286, 553, 287, 552, 266, 573, 261, 578
790 to 795 | 236, 603, 303, 536, 356, 483
796 to 803 | 355, 484, 405, 434, 404, 435, 406, 433
804 to 809 | 235, 604, 267, 572, 302, 537
810 to 815 | 309, 530, 265, 574, 233, 606
816 to 819 | 367, 472, 296, 543
820 to 837 | 336, 503, 305, 534, 373, 466, 280, 559, 279, 560, 419, 420, 240, 599, 258, 581, 229, 610

Logical Root Sequence Index (Incremented)

Range:

0 to 837 for Format 0 to 3

0 to 137 for Format 4

Default: 0

Displays a value for the incremented logical root sequence index. Refer to 3GPP TS 36.211.

In the case where preambles corresponding to Preamble Index cannot be generated from a single root Zadoff-Chu sequence, Logical Root Sequence Index is incremented until corresponding Preamble sequences are found.

That incremented Logical Root Sequence Index is displayed in the Logical Root Sequence Index (Incremented) field.

Physical Root Sequence Index, Cyclic Shift v and Incremented Logical Root Sequence Index are automatically changed on GUI based on Cyclic Shift Set, Ncs Configuration, Logical Root Sequence Index and Preamble Index.

Preamble Index

Range: 0 to 63.

Default: 0

Enter a value for the Preamble Index for PRACH generation. (See 3GPP TS 36.211.)

When the Auto-configuration parameter is set to PRACH Test Preamble (36.141),you must set the Preamble Index to satisfy Cyclic Shift v as defined in 3GPP 36.141 (PRACH Test Preambles test).

Example: Auto-configuration = PRACH Test Preamble (3GPP TS 36.141),Cyclic Shift Set = Normal Mode, and Preamble Format = 0, so Preamble Index should be set to 32 to satisfy Cyclic Shift v = 32 (refer to 34.141 A.6).

Test preambles for Normal Mode
Burst Format | Ncs Configuration | Logical Root Sequence Index | Cycle Shift v
0 | 13 | 22 | 32
1 | 167 | 22 | 2
2 | 167 | 22 | 0
3 | 0 | 22 | 0
4 | 10 | 0 | 0

Test preambles for High Speed Mode
Burst Format | Ncs Configuration | Logical Root Sequence Index | Cycle Shift v
0 | 15 | 384 | 0
1 | 202 | 384 | 0
2 | 202 | 384 | 0
3 | 237 | 384 | 0

Refer to Preamble Index-related information in TS36.212 5.3.3.1.3, TS36.321 5.1, and TS36.331 6.3.2.

Physical Root Sequence Index

Displays the physical root sequence index.

In the case where preambles corresponding to Preamble Index cannot be generated from a single root Zadoff-Chu sequence, Logical Root Sequence Index is incremented until corresponding Preamble sequences are found.

That incremented Logical Root Sequence Index is displayed in the Logical Root Sequence Index (Incremented) field.

Physical Root Sequence Index, Cyclic Shift v and Incremented Logical Root Sequence Index are automatically changed on GUI based on Cyclic Shift Set, Ncs Configuration, Logical Root Sequence Index and Preamble Index.

Cyclic Shift v

Range: Determined by the Configuration of the PRACH.

Default: 0

Enter a value for the cyclic shift value for preamble generation. (See 3GPP TS 36.211.)

Test preambles for Normal Mode
Burst Format | Ncs Configuration | Logical Root Sequence Index | Cycle Shift v
0 | 13 | 22 | 32
1 | 167 | 22 | 2
2 | 167 | 22 | 0
3 | 0 | 22 | 0
4 | 10 | 0 | 0

Test preambles for High Speed Mode
Burst Format | Ncs Configuration | Logical Root Sequence Index | Cycle Shift v
0 | 15 | 384 | 0
1 | 202 | 384 | 0
2 | 202 | 384 | 0
3 | 237 | 384 | 0

Refer to Preamble Index-related information in TS36.212 5.3.3.1.3, TS36.321 5.1, and TS36.331 6.3.2.


Carrier Aggregation (Basic LTE-A TDD)

The figure below shows a Basic LTE-A signal carrier with two component carriers. The carrier aggregate (maximum 1) together with the component carriers (maximum 5) count as 1 carrier of the 16 carrier maximum.

The Carrier Aggregation node is comprised of the carrier aggregation configuration summary table that contains a list of component carriers. Figure 1 shows these carriers as CC1 and CC2.

The top row of buttons are the Waveform Setup buttons provided for convenience to add other carriers to your waveform setup. If your current configuration includes a carrier aggregation, all of the LTE-A carriers are grayed out when you select Closed Add Carrier. To use a different LTE-A carrier, first delete the current carrier aggregation.

Figure 1 Basic LTE-A TDD Carrier Aggregation

Carrier Aggregation Configuration Summary Table

This table displays the key parameters for each component carrier that is aggregated in the waveform. The carrier aggregate (maximum 1) together with the component carriers (maximum 5) count as 1 carrier of the 16 carrier maximum. See Component Carrier list.

Carrier Aggregation Capability

Double-click or use the Closed drop-down menu to select the combination of the number of component carriers and system bandwidth from the list. (Editing any parameters of the selected component carriers or adding other component carriers changes the Carrier Aggregation Capability to User Defined.)

Auto Carrier Aggregation Configuration

Choice: On | Off

Default On

Click in the cell and use the drop-down arrow to select either On or Off.

On | Frequency Offset, Cell ID, Uplink Downlink Configuration, Special Subframe Configuration, and Cyclic Prefix are automatically set by the software. In addition for the secondary cells, Uplink Downlink Configuration, Special Subframe Configuration, and Cyclic Prefix become read only and use the same values as the primary cell. For Cell ID, it is set to the same value as the Component Carrier index number.
Off | Manually set Frequency Offset, Cell ID, Uplink Downlink Configuration, Special Subframe Configuration and Cyclic Prefix.

Uplink PSD Equalization

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to turn Uplink Power Spectral Density (PSD) Equalization on or off. When this parameter is on, Power of each component carrier does not appear.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U06 or greater is valid. Refer to Licenses for more information.

Component Carrier List

This list enables you to view the key parameters for each component carrier in the aggregated carrier. You can add or delete component carriers using the buttons above the list of component carriers (see descriptions below). You can add up to a maximum of 5 component carriers. Click a component carrier in the tree view to access the carrier setup parameters.

Click the Predefined Carrier Aggregation button to open a window with a list of Closed pre-defined carrier aggregation configurations. To replace the current component carrier configurations in the setup table with one of the pre-defined configurations, select the desired configuration and click OK or double-click the configuration.

Click the Add Component Carrier button to open a Closed drop-down list from which you can select a component carrier to add to the setup table. The maximum number of component carriers is 5.

Click the Delete Component Carrier button to delete the currently selected carrier in the list of component carriers.

Click the Copy Component Carrier button to quickly add a copy of the selected component carrier to the component carrier list in the carrier aggregation configuration summary table.

CC n (Component Carrier 1...n)

There can be up to 5 component carriers per aggregated carrier.

State

Click to enable or disable the component carrier selected.

System Bandwidth

Choice: 1.4 MHz (6RB) | 3 MHz (15RB) | 5 MHz (25RB)) | 10 MHz (50RB) | 15 MHz (75RB) | 20 MHz (100RB)

Default:

LTE: 5 MHz (25RB)

LTE-A: 10 MHz (50RB)

Double-click or use the drop-down menu to set the system bandwidth and number of resource blocks (RB). When you select a system bandwidth, the software automatically adjusts the values in the Total Number of Resource Blocks and Total Number of Occupied Sub-carriers cells.

Advanced LTE and LTE-A carriers only: When the system bandwidth is decreased, the DL-SCH Tx Sequence window's RB size, and some of the other data channel's settings, are reconfigured, similar to when a predefined configuration is executed. But, when the system bandwidth is increased, no change to the DL-SCH Tx Sequence window's RB size, or the other data channel's settings occurs.

Frequency Offset

Default: 0.000000 Hz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting.

The range of the parameter is coupled to the Oversampling Ratio, the Base Sampling Rate, the System Bandwidth, and the max ARB Sample Clock of the connected signal generator.

Maximum Frequency Offset for each Maximum Arb Sample Clock and System Bandwidth
Maximum Frequency Offset | System Bandwidth
Maximum Arb Sample Clock (RF Bandwidth) | 1.4 MHz | 3 MHz | 5 MHz | 10 MHz | 15 MHz | 20 MHz
75 MHz (60 MHz) | 15.36 MHz
100 MHz (80 MHz) | 30.72 MHz |  |  |  |  | 30 MHz
125 MHz (100 MHz) | 46.08 MHz |  |  | 45 MHz | 42.5 MHz | 40 MHz
150 MHz (120 MHz) | 46.08 MHz
200 MHz (160 MHz) | 76.8 MHz |  |  | 75 MHz | 72.5 MHz | 70 MHz

This Frequency Offset parameter and another Frequency Offset parameter on each Component Carrier node are coupled.

Cell ID

Range: 0 to 503

Default: 0 with Auto Carrier Aggregation Configuration set to Off

Same as the CC index number with auto Carrier Aggregation Configuration set to On

With Auto Carrier Aggregation Configuration set to Off, enter a cell ID value.

The software uses this value to set the Physical Layer Cell ID group and sector cells:

Cell ID = (3 x Physical Cell ID group + Physical Cell ID sector).

See 3GPP TS 36.211 for more information.

Primary Cell

Click the cell to assign a Component Carrier (CCn)as the primary cell. In carrier aggregation, only one component carrier can be selected. If the primary cell carrier is deleted or its State changes, the software automatically sets a another component carrier as the primary cell.

Test Model

Choices: E-TM1.1 | E-TM1.2 | E-TM2a | E-TM3.1 | E-TM3.1a | E-TM3.2 | E-TM3.3 | None

Default: None

Set the test model by clicking the property and use the drop-down to make the selection.

E-TM2a and E-TM3.1a choices for this parameter are available only when Minor Enhancement Update (MEU) Option U03 or greater is valid. Refer to Licenses for more information.

Hardware

Hardware

Choices: Inter-band 1 | Inter-band 2

These parameter choices are only displayed if you have chosen one of the Inter-band hardware setups. Determines the RF band (inter-band) and the antenna that each component carrier's settings are applied to.

Graph View

The graph view displays several different representations of the generated waveform. For more information, see Graph View


Downlink (Basic LTE-A TDD)

Click the Predefined Configuration button to access a Closed dialog box from which you can select a base channel configuration.

The Test Model Wizard button opens a window from which you can select a test model type and set or view other related parameters. In the ETM test Mode, it will generate with two different frame settings.

Click the ETM Two Frames Switch button to see the settings for different frames.

Links to parameter descriptions are listed in the tables below.

1. Cell Parameters | 2. Cell Specific Reference Signal
State | Cell Specific Reference Signal Power
Total Number of Antennas | CRS Antenna Configuration
Antenna Port | Number of CRS Antenna Ports
Power Definition Type | CRS Antenna Port
Reference Signal Transmit Power (RSTP) | PDSCH Cell Specific Ratio
OFDM Symbol Transmit Power (OSTP) |
3. Channel State Information Reference Signals (CSI-RS) | 4. Synchronization Signals
State | Primary Synch Signal State
Power | Primary Synch Signal Power
Number of CSI-RS Antenna Ports | Secondary Synch Signal State
CSI-RS Antenna Port | Secondary Synch Signal Power
CSI-RS Configuration | P-SS/S-SS Transmit Antenna Port
CSI-RS Subframe Configuration (I_CSI-RS) |
CSI-RS Periodicity (T_CSI-RS) |
CSI-RS Subframe Offset (Delta_CSI-RS) |

1. Cell Parameters

State

Choice: On | Off

Default: On

Double-click or use the drop-down menu to turn the downlink transmission off or on.

Total number of Antennas

Choice: 1 Antenna | 2 Antennas | 4 Antennas | 8 Antennas

Default: 1 Antenna

In multi-antenna configurations, specify the total number of physical antenna port configurations to be used for downlink transmission for this cell. The combination of the Total number of Antennas and Number of CRS Antenna Ports determines the resource elements that are reserved for the Cell-specific reference signals as described in 3GPP TS 36.211.

For multiple signal generator configurations, set the Channel State parameter in the Fading section of the Carrier node to On to make this cell active. When the channel state is off, you must change the number of signal generators (for example, Quick Setup M x 1, M x 2, M x 4) to change the number of BS antennas.

MIMO pre-coding is not applied in the Basic carrier. Use an Advanced carrier for generating a signal with MIMO pre-coding applied.

Antenna Port

Choice: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7

Default: 0

In multi-antenna configurations, specify the physical antenna port used for transmitting the downlink signal. The available selections depend on the total number of antennas selected. The number of Antenna Ports should be equal to or less than the Total Number of Antenna Ports.

With a Basic carrier, only one antenna port is available for signal transmission. The combination of the Antenna Port setting and the Total number of Antennas setting determines the resource elements that are reserved for reference signals as described in 3GPP TS 36.211.

MIMO pre-coding is not applied in the Basic carrier, use an Advanced carrier for generating a signal with MIMO pre-coding applied.

Power Definition Type

Choice: Total Power | RSTP

Default: Total Power

Double-click or use the drop-down menu to select the power definition type for the primary cell.

The power definition type for secondary cells is automatically set same type of the primary cell and set the value as read-only.

In multiple carrier case, Power Definition Type parameter in each carrier should be same.

If Total Power is selected, power reference is Amplitude parameter on Instrument node. In single/multiple carrier and Total Power case, RSTP and OSTP are automatically calculated by Amplitude parameter on Instrument node, Power parameter on Component Carrier and each carrier signal settings.

If RSTP is selected, power reference is RSTP. In single/multiple carrier and RSTP case, Amplitude parameter on Instrument node, Power parameter on Component Carrier and OSTP are automatically calculated by RSTP and each carrier signal settings. In this case, Power parameter on Component Carrier is set read-only.

If uplink and downlink carriers are mixed as multiple carrier, correct RSTP calculation is not available.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

Reference Signal Transmit Power (RSTP)

Range: -15.00 to -144.00 dBm

Default: -40.79 dBm

Enter the Reference Signal Transmit Power in dBm, when the Power Definition Type is RSTP. Otherwise displays the Reference Signal Transmit Power in dBm and the value is updated after generation.

In the case Power Definition Type is Total Power, RSTP is automatically calculated by Amplitude parameter in Instrument, Power parameter in Component Carrier and each carrier signal settings.

In the case Power Definition Type is RSTP, Amplitude parameter in Instrument and Power parameter in the Component Carrier is automatically calculated and set the value as read-only.

Available setting range and step depends on hardware.

See 3GPP TS 36.141 for more information.

OFDM Symbol Transmit Power (OSTP)

Display the Downlink OFDM Symbol Transmit Power in dBm.

For detailed information about OSTP, refer to the 3GPP TS 36.141 document at http://www.3gpp.org.

2. Cell Specific Reference Signal

Cell specific reference signals are intended for all UEs within the cell.

Cell Specific Reference Signal Power

Range: -60 to 20 dB

Default: 0 dB

Enter a power level in dB for the cell specific reference signal.

CRS Antenna Configuration

Choice: Auto | Manual

Default: Auto

Double-click or use the drop-down menu to select the CRS Antenna Configuration.

This parameter specifies both the Number of CRS Antenna Ports and the CRS Antenna Port setting. The possible settings are either Auto (automatically set by the software) or Manual (you can set them).

Number of CRS Antenna Ports

Choice: Auto | 1 | 2 | 4

Default: Auto

Double-click or use the drop-down menu to select the number of antennas for cell specific reference signals (CRS). The combination of the number of CRS antenna ports setting and the total number of antennas determines the resource elements that are reserved for reference signals as described in 3GPP TS 36.211.

If CRS Antenna Configuration is set to Auto, the software sets the number of CRS Antenna Ports equal to or less than the Total Number of Antennas.

Examples (where: CRS Antenna Configuration = Auto):

Total Number of Antennas = 4, then the Number of CRS Antenna Ports = 4

Total Number of Antennas = 8, then the Number of CRS Antenna Ports = 4

If CRS Antenna Configuration is set to Auto, the software sets the Number of CRS Antenna Ports the same as the Total Number of Antennas.

CRS Antenna Port

Choice: Port 0 | Port 1 | Port 2 | Port 3

Default: Port 0

Double-click or use the drop-down menu to select the antenna port to use for CRS transmission. Available port selections depend on the number of CRS antenna ports selected.

If CRS Antenna Configuration is set to Auto, CRS Antenna Port is set same as ((Antenna Port) mod (Number of CRS Antenna Ports)).

Total Number of Antennas | Antenna Port | Number of CRS Antenna Ports | CSI-RS Antenna Configuration | CRS Antenna Port
1 Antenna | Port 0 | 1 | Manual | Port 0
2 Antennas | Port 0, 1 | 1 | Manual | Port 0
 |  | 2 | Manual | Port 0, 1
4 Antennas | Port 0, 1, 2, 3 | 1 | Manual | Port 0
 |  | 2 | Manual | Port 0,1
 |  | 4 | Manual | Port 0, 1, 2, 3
 |  |  | Auto | Same as: (Antenna Port) mod (Number of CRS Antenna Ports)

Refer to 3GPP TS 36.211.

PDSCH Cell Specific Ratio

Choice: pB/pA=1 | P_B=0 | P_B=1 | P_B=2 | P_B=3

Default: pB/pA=1

Double-click or use the drop-down menu to select the PDSCH cell specific ratio.

3. Channel State Information Reference Signals (CSI-RS)

State

Choice: On | Off

Default: On

Double-click or use the drop-down menu to turn the channel state on or off. See Output Power Calculation (Downlink) for a description of how the software applies your power settings.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the channel state information reference signal.

CSI-RS Antenna Configuration

Choice: Auto | Manual

Default: Auto

Double-click or use the drop-down menu to select the CSI-RS Antenna Configuration.

This parameter indicates both the parameter settings for both the Number of CSI-RS Antenna Ports and the CSI-RS Antenna Port parameters. The possible settings are either Auto (automatically set by the software) or Manual (you can set them).

Number of CSI-RS Antenna Ports

Choice: 1 | 2 | 4 | 8

Default: 1

Double-click or use the drop-down menu to select the number of antenna ports for CSI-RS signals less than or equal to the total number of antennas.

The combination of the number of CSI-RS antenna ports and the total number of antennas determines the resource elements that are reserved for reference signals as described in 3GPP TS36.211.

If Auto is selected, the software sets the number of CSI-RS antenna ports equal to the total number of ports.

CSI-RS Antenna Port

Choice: Port 15 | Port 16 | Port 17 | Port 18| Port 19 | Port 20 | Port 21 | Port 22

Default: Port 15

Double-click or use the drop-down menu to select the antenna port for CSI-RS transmission. Available port selections depend on the number of CSI-RS antenna ports selected. For more detail, refer to 3GPP TS 36.211.

Total Number of Antennas | Antenna Port | Number of CSI-RS Antenna Ports | CSI-RS Antenna Configuration | CSI-RS Antenna Port
1 | Port 0 | 1 | Manual | Port 15
2 | Port 0, 1 | 2 | Manual | Port 15, 16
4 | Port 0, 1, 2, 3 | 4 | Manual | Port 15, 16, 17, 18
 |  | 8 | Manual | Port 15, 16, 17, 18, 19, 20, 21, 22
 |  |  | Auto | Antenna port + 15

CSI-RS Configuration

Range: 0 to 31

Default 0

Enter the CSI-RS subframe configuration index for the CSI-RS. This defines both the CSI -RS periodicity and subframe offset in accordance with 3GPP TS 36.211.

The CSI-RS Configuration range is coupled to the Number of CSI-RS Antenna Ports and to the Cyclic Prefix.

The available range depends on the following settings:

Normal Cyclic Prefix | Extended Cyclic Prefix | Number of CSI-RS
0 - 31 | 0 - 27 | 1 or 2
0 - 9, 20-25 | 0 - 7, 16-21 | 4
0 - 4, 20-22 | 0 - 3, 16-18 | 8

CSI-RS Subframe Configuration (I_CSI-RS)

Range: 0 to 74

Default: 0

Enter the CSI-RS Subframe Configuration Index which defines both the CSI-RS Periodicity (T_CSI-RS) and the CSI-RS Subframe Offset (Delta_CSI-RS).

CSI -RS Subframe Configuration | CSI-RS periodicity (subframes) | CSI_RS subframe offset
0 - 4 | 5 | CSI-RS
5 - 14 | 10 | CSI-RS - 5
15 -34 | 20 | CSI-RS - 15
35 - 74 | 40 | CSI-RS - 35

CSI-RS Periodicity (T_CSI-RS)

This is read only parameter automatically set by the CSI-RS Subframe Configuration (I_CSI-RS). For more detail, refer to 3GPP TS 36.211.

Subframes containing CSI reference signals shall satisfy (10*SFN + Floor(Slot#/2) - Delta_CSI-RS) mod T_CSI-RS = 0

I_CSI-RS = 0 to 4 , T_CSI-RS = 5

I_CSI-RS = 5 to 14, T_CSI-RS = 10

I_CSI-RS = 15 to 34, T_CSI-RS = 20

I_CSI-RS = 35 to 74, T_CSI-RS = 40

CSI-RS Subframe Offset (Delta_CSI-RS)

This is read only parameter automatically set by the CSI-RS Subframe Configuration (I_CSI-RS). For more detail, refer to 3GPP TS 36.211.

This is coupled to CSI-RS Subframe Configuration (I_CSI-RS).

Subframes containing CSI reference signals shall satisfy (10*SFN + Floor(Slot#/2) - Delta_CSI-RS) mod T_CSI-RS = 0

I_CSI-RS = 0 to 4 , Delta_CSI-RS = I_CSI-RS

I_CSI-RS = 5 to 14, Delta_CSI-RS = I_CSI-RS - 5

I_CSI-RS = 15 to 34, Delta_CSI-RS = I_CSI-RS - 15

I_CSI-RS = 35 to 74, Delta_CSI-RS = I_CSI-RS - 35

4. Synchronization Signals

Primary Synch Signal State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the primary synchronization signal (P-SS) On or Off.

Primary Synch Signal Power

Range: -60 to 20 dB

Default: 0 dB

Enter the power level in dB for the primary synchronization signal.

Secondary Synch Signal State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the secondary synchronization signal (S-SS) On or Off.

Secondary Synch Signal Power

Range: -60 to 20 dB

Default: 0 dB

Enter the power level in dB for the secondary synchronization signal.

P-SS/S-SS Transmit Antenna Port

Choice: Port 0 | Port 1 | Port 2 | Port 3 | All Ports

Default: Port 0

Double-click or use the drop-down menu to select the P-SS/S-SS Transmit Antenna Port type.


Transport Channel (Basic LTE-A TDD Downlink)

The Transport Downlink configuration has several different possible channel setups (e.g. DL-SCH and BCH). The screen shot below shows the parameter choices for a DL-SCH channel. Click a different channel to view that channel's parameter choices. The links for all of the channel's parameters and their descriptions are listed in the table below.

Before adding a transport channel as described below, delete any existing transport channel, physical channel, or resource block collection that occupies the resource blocks that your new transport channel will occupy. If you add a new transport channel without first deleting a conflicting channel or resource block collection, a "code conflicted" error occurs when you generate the waveform.

To add a new transport channel, click the Add New Channel button and select the transport channel to add. The software adds the new channel above the currently selected channel in the list. The software assigns a channel identifying number to the new channel that corresponds to its position in the list and increments the identifying numbers of subsequent channels in the list.

When you add a DL-SCH channel, the Configure DL-SCH window opens so that the settings are available.

Similarly, if you delete the selected channel using the Delete Selected Channel(s) button , the software adjusts the identifying numbers of the subsequent channels according to their new positions in the list.

You can make changes to an already configured DL-SCH channel by selecting the channel and clicking this button to launch the Configure DL-SCH window.

Transport Channel Parameters Figure–Descriptions Below

General Settings

Transport Channel Number

Name

State

Power

RNTI

Physical Channels

Coding State

Data

UE-Specific Reference Signals (DM-RS)

DM-RS State

DM-RS Power

DM-RS Antenna Configuration

DM-RS Antenna Port

Scramble ID

General Settings

Transport Channel Number

Displays the number of the selected transport channel.

Name

Displays the name of the selected transport channel.

BCH = Broadcast Channel

DL-SCH = Downlink Shared Channel

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the channel On or Off.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the selected channel. See Power Settings (Downlink) for a description of how the software applies your power setting.

RNTI

Range: 0 to 65535

Default: 0

Enter a value for the Radio Network Temporary Identifier (RNTI). See 3GPP TS 36.211.

Physical Channels

Displays the number(s) of the physical channel(s) associated with the selected transport channel.

Coding State

This is read only parameter and always set to Off.

Displays the coding state (Off) for the selected channel. Transport channel coding is not available in the Basic LTE Carrier. Use the Advanced LTE Carrier to configure a signal with transport channel coding.

Data

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data.

UE Specific Reference Signals (DM-RS)

UE specific reference signals are intended for a specific user and are used for channel estimation and demodulation.

DM-RS State

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to turn the channel state on or off.

DM-RS State is coupled to the DL-SCH State. When DL-SCH is On, DM-RS State is active and is settable.

DM-RS Power

Range: -60 to 20 dB

Default: 0 dB

Enter a power level in dB for the selected channel. See Power Settings (Downlink) for a description of how the software applies your power setting.

DM-RS Antenna Configuration

Choice: Auto | Manual

Default: Auto

Double-click or use the drop-down menu to select the DM-RS Antenna Configuration.

This parameter indicates the setting of the DM-RS Antenna parameter. The possible settings are either Auto (automatically set by the software) or Manual (you can set them).

DM-RS Antenna Port

Choice: Auto | Port 5 | Port 7 | Port 8 | Port 9 | Port 10 | Port 11 | Port 12 | Port 13 | Port 14

Default: Auto

Double-click or use the drop-down menu to select the antenna port for UE-Specific Reference Signal (DM-RS).

For extended cyclic prefix, UE-specific reference signals are not supported on antenna ports 9 to 14.

Total Number of Antennas | DM-RS Antenna Configuration | DM-RS Antenna Port
1 | Manual | Port 5, 7, 8
2 | Manual | Port 7, 8
4 | Manual | Port 7, 8, 9, 10
8 | Manual | Port 7, 8, 9, 10, 11, 12, 13, 14.
 | Auto | (Antenna Port) + 7

Scramble ID

Range: 0 to 1

Default: 0

Enter a value of the Scramble ID for UE-specific Reference Signals. This parameter indicates the Scramble ID for UE-specific RS.

This is only available when DM-RS Antenna Port = Port 7 or Port 8 and Total Number of Antennas = 2 Antennas or 4 Antennas.

For more detail, refer to 3GPP TS 36.211.


Physical Channel (Basic LTE-A TDD Downlink)

This Physical Channel Downlink configuration has several different possible channel setups (e.g. PBCH, PDCCH, ...). The screen shot below shows the parameter choices for a PBCH channel. In the N7625B Signal Studio software, click a different channel to view that channel's parameter choices. The links for all of the channel's parameters and their descriptions are listed in the tables below.

Before adding a physical channel as described below, delete any existing transport channel, physical channel, or resource block collection that occupies the resource blocks that your new physical channel will occupy. If you add a new physical channel without first deleting a conflicting channel or resource block collection, a "code conflicted" error occurs when you generate the waveform.

To add a new physical channel, click the Add Channel button, and select the physical channel type (PBCH, PDCCH, PDSCH, PDFICH, or PHICH) to add. The software adds the new channel above the currently selected channel in the list. The software assigns a channel identifying number to the new channel that corresponds to its position in the list and increments the identifying numbers of subsequent channels in the list.

Similarly, if you delete the selected channel using the Delete Selected Channel(s) button, the software adjusts the identifying numbers of the subsequent channels according to their new positions in the list.

If you select PDSCH as the type of physical channel to add or if you select an existing PDSCH channel and click the Physical Channel Configuration button, the Configure PDSCH window opens. If you are adding a new PDSCH, when you click OK, the PDSCH channel is added to the bottom of the list of resource block collections in the Resource Block node and numbered accordingly. A physical channel occupies one subframe (two slots) and therefore occupies two resource block collections. The PDSCH also appears in the resource mapping graph in the position (subframe and resource blocks) that you have specified.

PBCH | PDCCH | PDSCH
1. General Settings | 1. General Settings | 1. General Settings
Physical Channel Number | Physical Channel Number | Physical Channel Number
Name | Name | Name
State | State | State
Power | Power | Power
Modulation Type | Modulation Type | RNTI
Resource Block Collection Numbers | Resource Block Collection Numbers | Modulation Type
Data | Scrambling | Resource Block Collection Numbers
Scrambling | PDCCH Allocations | Data
 | Transmission Configuration (PDCCH) | Scrambling
PCFICH | PHICH
1. General Settings | 1. General Settings
Physical Channel Number | Physical Channel Number
Name | Name
State | State
Power | PHICH BPSK Symbol Power
Modulation Type | Modulation Type
Scrambling | Resource Block Collection Numbers
CFI | Scrambling
 | PHICH Duration
 | PHICH Mi Definition
 | PHICH Allocation
 | PHICH Maximum Group Number
 | Transmission Configuration (PHICH)

CFI

Range:

1 to 3 for number of downlink resource blocks > 10 (see System Bandwidth)

2 to 4 for number of downlink resource blocks ≤ 10 (see System Bandwidth)

Displays the control format indicator (1, 2, 3 or 4) for each subframe in the selected PCFICH channel. These values are set in the PDCCH Allocations cell.

Data

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data.

Higher Layer is displayed in this cell for physical channels that are occupied by a higher layer.

Modulation Type

Choices: QPSK | 16QAM | 64QAM | 256QAM

Default: QPSK

Coupling: For an added PDSCH, changing the type in the General Settings also changes it in the Configure PDSCH window, and vice versa.

For a PDSCH, double-click the cell and use the drop-down menu to select a modulation type.

256QAM appears in the software's GUI only when Minor Enhancement Update (MEU) Option U03 or greater is valid. Refer to Licenses for more information.

Name

Displays the name (type) of the selected physical channel.

PBCH = Physical Broadcast Channel

PDCCH = Physical Downlink Control Channel

PDSCH = Physical Downlink Shared Channel

PCFICH = Physical Control Format Indicator Channel

PHICH = Physical HARQ Indicator Channel

Physical Channel Number

Displays the identifying number of the selected physical channel.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the selected channel. See Power Settings (Downlink) for a description of how the software applies your power setting.

Resource Block Collection Numbers

For physical channels (PDSCH, PUSCH or PUCCH), displays the numbers of the resource block collection to which the channel belongs. A physical channel occupies one subframe (two slots) and therefore occupies two resource block collections.

Scrambling

Choice: Off | On | Manual

Default: On

Double-click or use the drop-down menu to turn scrambling for the physical channel on or off.

PDCCH Allocations

Range:

1 to 3 for number of downlink resource blocks > 10 (see System Bandwidth)

2 to 4 for number of downlink resource blocks <= 10 (see System Bandwidth).

For DCI channels, you can set PDCCH Allocations for each subframe as described in 3GPP TS 36.211.

The values you set here are displayed in the CFI cell for the corresponding PCFICH channel. The resource mapping graph is updated to show the current setting when you click outside the cell.

PHICH Allocation

Choice: 1/6 | 1/2 | 1 | 2

Default: 1/6

Double-click or use the drop-down menu to set the allocation value for the selected PHICH channel. The software sets the PHICH Maximum Group Number, based on the PHICH Allocation value.

The PHICH carries the hybrid-ARQ ACK/NAK. Multiple PHICHs mapped to the same set of resource elements constitute a PHICH group, where PHICHs within the same PHICH group are separated through different orthogonal sequences. A PHICH resource is identified by the index pair [image], where [image] is the PHICH group number and [image] is the orthogonal sequence index within the group.

For frame structure type 1, the number of PHICH groups [image] is constant in all subframes and given by

where [image] is provided by higher layers. The index [image] ranges from 0 to [image].

For frame structure type 2, the number of PHICH groups may vary between downlink subframes and is given by [image] where [image] is given by Table 1 below and [image] by the expression above. The index [image] in a downlink subframe with non-zero PHICH resources ranges from 0 to [image] .

Table 1: The factor for frame structure type 2

Uplink-downlink Configuration | Subframe Number i
 | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9
0 | 2 | 1 | - | - | - | 2 | 1 | - | - | -
1 | 0 | 1 | - | - | 1 | 0 | 1 | - | - | 1
2 | 0 | 0 | - | 1 | 0 | 0 | 0 | - | 1 | 0
3 | 1 | 0 | - | 0 | - | 0 | 0 | 0 | 1 | 1
4 | 0 | 0 | - | - | 0 | 0 | 0 | 0 | 1 | 1
5 | 0 | 0 | - | 0 | 0 | 0 | 0 | 0 | 1 | 0
6 | 1 | 1 | - | - | - | 1 | 1 | - | - | 1

PHICH BPSK Symbol Power

Range: -60 to 20 dB

Default: 0 dB

Enter a power level in dB for the selected channel. See Output Power Calculation (Downlink) for a description of how the software applies your power settings.

PHICH Duration

Choice: Normal | Extended

Default: Normal

Double-click or use the drop-down menu to set the PHICH Duration to Normal or Extended for the selected PHICH channel. See 3GPP TS 36.211.

PHICH Maximum Group Number

Range: 1 to 8

The software sets the maximum group number for the selected PHICH channel based on the PHICH Allocation selection. See 3GPP TS 36.211.

Multiple PHICHs mapped to the same set of resource elements constitute a PHICH group, where PHICHs within the same PHICH group are separated through different orthogonal sequences.

PHICH Mi Definition

Set the Mi definition mode of PHICH channel. If the PHICH Mi definition mode is ETM, all the Mi will be set to 1. See 3GPP TS 36.141 for detail.

RNTI

Range: 0 to 65535

Default: 0

Enter a value for the Radio Network Temporary Identifier (RNTI). Refer to 3GPP TS 36.211.

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the channel On or Off.

This parameter is read-only for physical channels that are occupied by a higher layer.

Transmission Configuration (PDCCH)

Click the [image] button in this cell to open the Closed PDCCH Tx configuration window.

The physical downlink control channel carries scheduling assignments and other control information. A physical control channel is transmitted on an aggregation of one or several consecutive control channel elements (CCEs), where a control channel element corresponds to 9 resource element groups. The number of resource-element groups not assigned to PCFICH or PHICH is [image]. The CCEs available in the system are numbered from 0 and [image] , where [image] . The PDCCH supports multiple formats as listed in Table 2 below. A PDCCH consisting of n consecutive CCEs may only start on a CCE fulfilling [image], where i is the CCE number.

Table 2: Supported PDCCH formats

PDCCH format | Number of CCEs | Number of resource element groups | Number of PDCCH bits
0 | 1 | 9 | 72
1 | 2 | 18 | 144
2 | 4 | 36 | 288
3 | 8 | 72 | 576

Transmission Configuration (PHICH)

Click the [image] button in this cell to open the Closed PHICH Tx configuration window.


Resource Block (Basic LTE-A TDD Downlink)

Before adding a resource block collection as described below, delete any existing transport channel, physical channel, or resource block collection that occupies the resource blocks that your new resource block collection will occupy. If you add a new resource block collection without first deleting a conflicting channel or resource block collection, a ”code conflicted” error occurs when you generate the waveform.

When you click the Add New resource block button , the software adds a new resource block collection above the currently selected resource block collection in the list. The software assigns an identifying number to the new resource block collection that corresponds to its position in the list and increments the identifying numbers of subsequent resource block collections in the list.

Similarly, if you delete the selected resource block collection using the Delete selected resource block button , the software adjusts the identifying numbers of the subsequent resource block collections according to their new positions in the list.

Resource Block Collection

Resource Block Collection Number

State

Power

Modulation Type

Slot Number

Resource Blocks

Data

Resource Block Collection Number

Displays the identifying number of the currently selected resource block collection.

Before adding a resource block collection as described below, delete any existing transport channel, physical channel, or resource block collection that occupies the resource blocks that your new resource block collection will occupy. If you add a new resource block collection without first deleting a conflicting channel or resource block collection, a ”r;code conflicted” error occurs when you generate the waveform.

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the selected resource block collection On or Off.

This parameter is read-only for resource block collections that are occupied by a higher layer.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level for the selected resource block collection. See Power Settings (Downlink) for a description of how the software applies your power setting.

Modulation Type

Choice: QPSK | 16QAM | 64QAM | 256QAM

Default: QPSK

Double-click or use the drop-down menu to select the modulation type for the selected resource block collection.

This parameter is read-only for resource block collections that are occupied by a higher layer.

256QAM appears in the software's GUI only when Minor Enhancement Update (MEU) Option U03 or greater is valid. Refer to Licenses for more information.

Slot Number

Enter a slot number to assign the selected resource block collection to a specific slot in the frame. The combination of Slot Number and Resource Blocks defines a resource block collection.

This parameter is read-only for resource block collections that are occupied by a higher layer.

Resource Blocks

Enter one or more numbers (separated by commas) or a range (for example, 1-10) to assign specific resource blocks in the frequency domain to the resource block collection. The combination of Slot Number and Resource Blocks defines a resource block collection. Resource blocks in a collection must be in the same slot, but do not have to be contiguous in the frequency domain. The number of resource blocks available in the frequency domain is determined by the System Bandwidth setting defined in the Downlink Setup node.

This parameter is read-only for resource block collections that are occupied by a higher layer.

Data

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data.

Higher Layer is displayed in the Data cell if the selected resource block collection is occupied by a higher layer.


Component Carrier Basic LTE-A Uplink

Real Time

Uplink (Basic LTE-A TDD)

Click the Predefined Configuration button to access a Closed dialog box from which you can select a base channel configuration.

To set up a UL reference measurement channel (RMC) , click the Wizard button to open the UL RMC Wizard.

Links to parameter descriptions are listed in the tables below.

1. Cell Parameters | 2. Sounding Reference Signal
State | State
Antenna Port | Power
Total Number of Antennas | Group/Sequence Hopping
PUSCH DFT Swap | Subframe Configuration
 | Maximum UpPTS
 | Number of Format 4 PRACH
 | Cyclic Shift (nSRS_CS)
 | Bandwidth Configuration (C_SRS)
 | Bandwidth (B_SRS)
 | Transmission Comb (kTC)
 | Hopping Bandwidth (b_hop)
 | Frequency Domain Position (nRRC)
 | Configuration Index (I_SRS)
 | Periodicity (Tsrs)
 | Subframe Offset Configuration (T offset)
 | Frequency Hopping

1. Cell Parameters

State

Double-click or use the drop-down menu to turn the uplink transmission off or on.

Antenna Port

Displays the antenna port number.

Total number of Antennas

Displays the total number of antennas.

PUSCH DFT Swap

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn PUSCH DFT Swap on or off.

PUSCH DFT Swap influences how data is mapped to resource elements in the physical uplink shared channel after discrete Fourier transform is performed. PUSCH DFT Swap can be turned on or off to provide two different interpretations of how data should be mapped to resource elements in PUSCH channels.

2. Sounding Reference

State

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the sounding reference signal on or off.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Set the power of the sounding reference signal in dB.

Group/Sequence Hopping

Choice: Off | Group Hopping | Sequence Hopping

Default: Off

Double-click or use the drop-down menu to select the hopping type.. (See 3GPP TS 36.211)

Subframe Configuration

Choice: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13

Default: 0

Double-click or use the drop-down menu to select subframe configuration of sounding reference signal.

Maximum UpPTS

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the sounding reference signal Max UpPTS state on or off.

Number of Format 4 PRACH

Set the Number of Format 4 PRACH burst allocated in the special subframe, you can set this value to 0, 1, 2, 3, 4 ,5 for each special subframe as described in 3GPP TS 36.211.

Cyclic Shift (nSRS_CS)

Choice: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7

Default: 0

Double-click or use the drop-down menu to select the value which is used to calculate the cyclic shift for sounding reference signal.

Bandwidth Configuration (C_SRS)

Choice: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7

Default: 7

Double-click or use the drop-down menu to select the bandwidth configuration for sounding reference signal.

Bandwidth (B_SRS)

Choice: 0 | 1 | 2 | 3

Default: 0

Double-click or use the drop-down menu to select the Bandwidth indicator for sounding reference signal.

SRS Bandwidth (B_SRS), SRS Hopping Bandwidth (b_hop), and Frequency Hopping are related as follows:

Frequency Hopping On: SRS Hopping Bandwidth (b_hop) < SRS Bandwidth (B_SRS)

Frequency Hopping Off: SRS Hopping Bandwidth (b_hop) >= SRS Bandwidth (B_SRS)

Transmission Comb (kTC)

Choice: 0 | 1

Default: 0

Double-click or use the drop-down menu to select the offset value which is related with the transmission comb for sounding reference signal.

Hopping Bandwidth (b_hop)

Range: Choice: 0 | 1 | 2 | 3

Default: 3

Double-click or use the drop-down menu to select the frequency hopping bandwidth of sounding reference signal.

SRS Bandwidth (B_SRS), SRS Hopping Bandwidth (b_hop), and Frequency Hopping are related as follows:

Frequency Hopping On: SRS Hopping Bandwidth (b_hop) < SRS Bandwidth (B_SRS)

Frequency Hopping Off: SRS Hopping Bandwidth (b_hop) >= SRS Bandwidth (B_SRS)

Frequency Domain Position (nRRC)

Range: 0 to Int32

Default: 0

Enter the frequency domain position RRC value which is from the upper layer for sounding reference signal.

Configuration Index (I_SRS)

Choice: 0 to 644

Default: 0

Enter the configuration Index for sounding reference signal.

Periodicity (T srs)

This is read only parameter and the value is automatically selected by the software. Refer 36.213V8.5.0 Table 8.2-1 (See 3GPP).

Subframe Offset Configuration (T offset)

This is read only parameter and the value is automatically selected by the software. Refer 36.213V8.5.0 Table 8.2-1 (See 3GPP).

Frequency Hopping

This is read only parameter and the value is automatically selected by the software.

SRS Bandwidth (B_SRS), SRS Hopping Bandwidth (b_hop), and Frequency Hopping are related as follows:

Frequency Hopping On: SRS Hopping Bandwidth (b_hop) < SRS Bandwidth (B_SRS)

Frequency Hopping Off: SRS Hopping Bandwidth (b_hop) >= SRS Bandwidth (B_SRS)


Transport Channel (Basic LTE-A TDD Uplink)

This Transport Channel Uplink configuration has several different possible channel setups (e.g. DL-SCH and UCI). The screen shot below shows the parameter choices for a UL-SCH channel. In the N7625B Signal Studio software, click a different channel to view that channel's parameter choices. The links for all of the channel's parameters and their descriptions are listed in the UL-SCH table and the UCI table below.

UL-SCH

1. General Settings | 2. UL CoMP Settings
Transport Channel Number | UL CoMP State
Name | PUSCH ID
State | DMRS PUSCH CSH ID
Power |
RNTI |
Physical Channels |
Coding State |
Data |

UCI

1. General Settings | 2. UL CoMP Settings
Transport Channel Number | UL CoMP State
Name | PUCCH ID
State |
Power |
RNTI |
Physical Channels |
Coding State |

Before adding a transport channel as described below, delete any existing transport channel, physical channel, or resource block collection that occupies the resource blocks that your new transport channel will occupy. If you add a new transport channel without first deleting a conflicting channel or resource block collection, a "code conflicted" error occurs when you generate the waveform.

To add a new transport channel, click the Add Channel button and select UL-SCH or UCI to add an uplink channel.

The Configure UL-SCH window or Configure UCI window opens that enables you to configure the new uplink shared channel. For the Subframe Number parameter, you can enter a range, for example 1-5. The software adds the new channel above the currently selected channel in the list. The software assigns a channel identifying number to the new channel that corresponds to its position in the list and increments the identifying numbers of subsequent channels in the list.

Similarly, if you delete the selected channel using the Delete Selected Channel(s) button , the software adjusts the identifying numbers of the subsequent channels according to their new positions in the list.

You can make changes to an already configured UL-SCH or UCI channel by selecting the channel and clicking the UL-SCH Configuration button . This button opens the Configure UL-SCH window or Configure UCI window for the selected channel.

1. General Settings

Transport Channel Number

Displays the number of the selected transport channel.

Name

Displays the name of the selected transport channel.

UL-SCH = Uplink Shared Channel

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the channel on or off.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the selected channel. See Power Settings (Uplink) for a description of how the software applies your power setting.

RNTI

Range: 0 to 65535

Default: 0

Enter a value for the Radio Network Temporary Identifier (RNTI). See 3GPP TS 36.211.

Physical Channels

Displays the number(s) of the physical channel(s) associated with the selected transport channel.

Coding State

Displays the coding state (off or on).

Data

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data.

2. UL CoMP Settings—UL-SCH

UL CoMP State

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to turn the state On or Off.

On | PUSCH ID and DMRS PUSCH CSH ID are available to set a value
Off | PUSCH ID and DMRS PUSCH CSH ID are read only

See 3GPP TS 36.211 and 36.311 for more information.

PUSCH ID

Range: 0 to 509

Default: 0

Coupling: Read only value unless UL CoMP State is set to On

Enter a value for the PUSCH Identity (ID) that is used for the virtual cell ID.

See 3GPP TS 36.211 and 36.311 for more information.

DMRS PUSCH CSH ID

Range: 0 to 509

Default: 0

Coupling: Read only value unless UL CoMP State is set to On

Enter a value that is used in the initialization of the cyclic shift hopping for the generation of the DMRS PUSCH pseudo random sequence. This is used for the virtual cell ID.

See 3GPP TS 36.211 and 36.311 for more information.

2. General Settings—UCI

UL CoMP State

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to turn the state On or Off.

On | PUCCH ID is available to set a value
Off | PUCCH ID is read only

See 3GPP TS 36.211 and 36.311 for more information.

PUCCH ID

Range: 0 to 509

Default: 0

Coupling: Read only value unless UL CoMP State is set to On

Enter a value for the PUCCH Identity (ID) that is used for the virtual cell ID.

See 3GPP TS 36.211 and 36.311 for more information.


Physical Channel (Basic LTE-A TDD Uplink )

Real Time

Physical Channel (Basic LTE-A TDD Uplink)

This Physical Channel Uplink configuration has a couple of different possible channel setups (e.g. PUCCH and PUSCH). The screen shot below shows the parameter choices for a PUSCH channel. In the N7625B Signal Studio software, click a different channel to view that channel's parameter choices. The links for all of the channel's parameters and their descriptions are listed in the tables below.

Before adding a physical channel as described below, delete any existing transport channel, physical channel, or resource block collection that occupies the resource blocks that your new physical channel will occupy. If you add a new physical channel without first deleting a conflicting channel or resource block collection, a "code conflicted" error occurs when you generate the waveform.

To add a new physical channel, click the Add Channel button and select the physical channel type (PUSCH and PUCCH) to add. The software adds the new channel above the currently selected channel in the list. The software assigns a channel identifying number to the new channel that corresponds to its position in the list and increments the identifying numbers of subsequent channels in the list.

When you select the type of physical channel to add to the list, the Configure PUCCH window or Configure PUSCH window opens in which you can specify the modulation type, frame number, subframe number, and resource blocks for the channel you are adding. When you click OK, the channel is added to the bottom of list of resource block collections in the Resource Block node and numbered accordingly. A physical channel occupies one subframe (two slots) and therefore occupies two resource block collections. The channel also appears in the resource mapping graph in the position (subframe and resource blocks) that you have specified.

Similarly, if you delete the selected channel using the Delete Selected Channel(s) button , the software adjusts the identifying numbers of the subsequent channels in the list according to their new positions in the list.

You can make changes to an already configured channel by selecting the channel and clicking the Physical Channel Configuration button . This button opens the Physical Channel Configuration window for the selected channel.

PUSCH channels and PUCCH channels cannot occupy the same resource blocks. A "code conflicted" error appears in the Status Bar and the Status Window if this occurs.

PUSCH | PUCCH
1. General Settings | 1. General Settings
Physical Channel Number | Physical Channel Number
Name | Name
State | State
Power | Power
RNTI | RNTI
Modulation Type | Format
Resource Block Collection Numbers | Modulation Type
Data | Resource Block Collection Numbers
Scrambling | Data
DMRs Power | HARD-ACK
nDMRS(1) | Scrambling
nDMRS(2) | N_RB(2)
Delta SS | N_CS(1)
Group/Sequence Hopping | nPUCCH(1)
 | nPUCCH(2)
 | Delta Shift
 | Resource Blocks
 | DMRS Power
 | Group/Sequence Hopping
2. UL CoMP Settings | 2. UL CoMP Settings
UL CoMP State | UL CoMP State
PUSCH ID | PUCCH ID
DMRS PUSCH CSH ID |

1. General Settings

Data

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data.

Higher Layer is displayed in this cell if the physical channel is occupied by a higher layer. For PUCCH channels with Formats 2, 2a, and 2b, you can select the data type.

Delta Shift

Range: 1 to 3

Default: 1

Enter a value for the PUCCH Delta Shift number.

Delta SS

Range: 0 to 29

Default: 0

Enter a value which determines the sequence shift pattern for the demodulation reference signal (DMRS) for PUSCH.

(See 3GPP TS 36.211)

DMRS Power

Range: -60 to 20 dB

Default: 0 dB

Enter a power level in dB for the demodulation reference signal (DMRS) relative to the carrier power.

Format

Choice: 1 | 1a | 1b | 2 | 2a | 2b | 3

Default: 1

Enter a format number. This parameter applies only to PUCCH channels. The format determines the modulation type for the selected PUCCH.

Format 2/2a is not allowed to set in the case Extended CP.

See 3GPP TS 36.211, 36.212 and 36.213 for more information.

Group/Sequence Hopping

Choice: Off | Group Hopping | Sequence Hopping

Default: Off

Double-click or use the drop-down menu to select the hopping type. Refer to 3GPP TS 36.211.

HARQ-ACK

This parameter applies only to PUCCH channels. The available selections are determined by the active PUCCH Format as follows:

Format 1 or 2

ARQ-ACK parameter is grayed out (not used)

Format 1a or 2a

Choice: ACK | NACK

Default: ACK

Format 1b or 2b

Choice: ACK-ACK | ACK-NACK | NACK-ACK | NACK-NACK

Default: ACK-ACK

Modulation Type (PUCCH)

Displays the modulation type for the selected PUCCH.

Table 1. Supported PUCCH formats

PUCCH Format | SRS Support | Modulation | Number of Mbits per Subframe
1 | x | n/a | n/a
1a | x | BPSK | 1
1b | x | QPSK | 2
2 | n/a | QPSK | 20*
2a | n/a | QPSK + BPSK | 21*
2b | n/a | QPSK + QPSK | 22
3 | x | QPSK | 48

*Applicable for Normal cyclic prefix only.

See 3GPP TS 36.211, 36.212 and 36.213 for more information.

Modulation Type (PUSCH)

Choice: QPSK | 16QAM | 64QAM

Default: QPSK

Double-click or use the drop-down menu to select the modulation type for the selected PUSCH.

Name

Displays the name (type) of the selected physical channel.

PUCCH = Physical Uplink Control Channel

PUSCH = Physical Uplink Shared Channel

N_CS(1)

Range: 0 to 7

Default: 0

Enter a value for the PUCCH N_CS(1) number.

nDMRS(1)

Choice: 0 | 2 | 3 | 4 | 6 | 8 | 9 | 10

Default: 0

Enter the nDMRS(1) value which is used to calculate the cyclic shift value for the demodulation reference signal (DMRS) for PUSCH.

nDMRS(2)

Choice: 0 | 2 | 3 | 4 | 6 | 8 | 9 | 10

Default: 0

Enter the nDMRS(2) value which is used to calculate the cyclic shift value for the demodulation reference signal (DMRS) for PUSCH.

nPUCCH(1)

Range: 0 to (Max Resource Element - 1)

Default: 0

Enter a value for the PUCCH n(1) number.

A resource used for transmission of the PUCCH format 1/1a/1b is represented by the non-negative indices [image].

This is one of the values used for generating and mapping PUCCH and DMRS PUCCH (see 3GPP TS 36.211).

nPUCCH(2)

Range: 0 to (Max Resource Element - 1 )

Default: 0

Enter a value for the PUCCH n(1) number.

A resource used for transmission of the PUCCH format 2/2a/2b is represented by the non-negative indices .

This is one of the values used for generating and mapping PUCCH and DMRS PUCCH (see 3GPP TS 36.211).

N_RB(2)

Range: 0 to (Max Resource Block - 1)

Default: 0

Enter a value for the PUCCH N_RB(2) number.

Physical Channel Number

Displays the identifying number of the selected physical channel.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the selected channel. See Power Settings (Uplink) for a description of how the software applies your power setting.

Resource Blocks

Displays the numbers of the resource blocks occupied by the PUCCH, separated by a comma. If you change PUCCH Format, N_RB(2), N_CS(1), n(1), n(2), Delta Shift or Delta Offset, the resource block numbers in this cell are updated accordingly..

Resource Block Collection Numbers

For physical channels (PDSCH, PUSCH or PUCCH), displays the numbers of the resource block collection to which the channel belongs. A physical channel occupies one subframe (two slots) and therefore occupies two resource block collection

RNTI

Range: 0 to 65535

Default: 0

Enter a value for the Radio Network Temporary Identifier (RNTI). See 3GPP TS 36.211.

Scrambling

Choice: Off | On | Manual

Default: On

Double-click or use the drop-down menu to turn scrambling for the physical channel on or off.

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the channel On or Off.

2. UL CoMP Settings—PUSCH

UL CoMP State

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to turn the state On or Off.

On | PUSCH ID and DMRS PUSCH CSH ID are available to set a value
Off | PUSCH ID and DMRS PUSCH CSH ID are read only

See 3GPP TS 36.211 and 36.311 for more information.

PUSCH ID

Range: 0 to 509

Default: 0

Coupling: Read only value unless UL CoMP State is set to On

Enter a value for the PUSCH Identity (ID) that is used for the virtual cell ID.

See 3GPP TS 36.211 and 36.311 for more information.

DMRS PUSCH CSH ID

Range: 0 to 509

Default: 0

Coupling: Read only value unless UL CoMP State is set to On

Enter a value that is used in the initialization of the cyclic shift hopping for the generation of the DMRS PUSCH pseudo random sequence. This is used for the virtual cell ID.

See 3GPP TS 36.211 and 36.311 for more information.

2. UL CoMP Settings—PUCCH

UL CoMP State

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to turn the state On or Off.

On | PUCCH ID is available to set a value
Off | PUCCH ID is read only

See 3GPP TS 36.211 and 36.311 for more information.

PUCCH ID

Range: 0 to 509

Default: 0

Coupling: Read only value unless UL CoMP State is set to On

Enter a value for the PUCCH Identity (ID) that is used for the virtual cell ID.

See 3GPP TS 36.211 and 36.311 for more information.


Resource Block (Basic LTE-A TDD Uplink)

Resource Block Collection

Resource Block Collection Number

State

Power

Modulation Type

Slot Number

Resource Blocks

Data

Resource Block Collection Number

Displays the identifying number of the currently selected resource block collection.

Before adding a resource block collection as described below, delete any existing transport channel, physical channel, or resource block collection that occupies the resource blocks that your new resource block collection will occupy. If you add a new resource block collection without first deleting a conflicting channel or resource block collection, a ”code conflicted” error occurs when you generate the waveform.

When you click the Add New Resource Block button , the software adds a new resource block collection above the currently selected resource block collection in the list. The software assigns an identifying number to the new resource block collection that corresponds to its position in the list and increments the identifying numbers of subsequent resource block collections in the list.

Similarly, if you delete the selected resource block collection using the Delete Resource Block button , the software adjusts the identifying numbers of the subsequent resource block collections according to their new positions in the list.

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the selected resource collection group On or Off.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level for the selected resource block collection. See Power Settings (Uplink) for a description of how the software applies your power setting.

Modulation Type

Choice: BPSK | QPSK | 16QAM | 64QAM | QPSK + BPSK | QPSK + QPSK | N/A

Default: QPSK

Double-click or use the drop-down menu to select the modulation type for the selected resource block collection.

This parameter is read-only for resource block collections that are occupied by a higher layer.

Slot Number

Enter a slot number to assign the selected resource block collection to a specific slot in the frame. The combination of Slot Number and Resource Blocks defines a resource block collection.

This parameter is read-only for resource block collections that are occupied by a higher layer.

Resource Blocks

Enter one or more numbers (separated by commas) or a range (for example, 1-10) to assign specific resource blocks in the frequency domain to the resource block collection. The combination of Slot Number and Resource Blocks defines a resource block collection. Resource blocks in a collection must be in the same slot, but do not have to be contiguous in the frequency domain. The number of resource blocks available in the frequency domain is determined by the System Bandwidth setting defined in the UE Setup node.

This parameter is read-only for resource block collections that are occupied by a higher layer.

Data

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data.

Higher Layer is displayed in the Data cell if the selected resource block collection is occupied by a higher layer.


Carrier Aggregation (Advanced LTE-A TDD DL)

The figure below shows a Basic LTE-A signal carrier with two component carriers. The carrier aggregate (maximum 1) together with the component carriers (maximum 5) count as 1 carrier of the 16 carrier maximum.

The Carrier Aggregation node is comprised of the carrier aggregation configuration summary table that contains a list of component carriers (CCn's) (3). Figure 1 shows these carriers as CC1 and CC2.

The top row of buttons are the Waveform Setup buttons provided for convenience to add other carriers to your waveform setup. If your current configuration includes a carrier aggregation, all of the LTE-A carriers are grayed out when you select Closed Add Carrier. To use a different LTE-A carrier, first delete the current carrier aggregation.

Figure 1. Advanced LTE-A TDD Carrier Aggregation Downlink

Carrier Aggregation Configuration Summary Table

This table displays the key parameters for each component carrier that is aggregated in the waveform. The carrier aggregate (maximum 1) together with the component carriers (maximum 5) count as 1 carrier of the 16 carrier maximum. See Component Carrier list.

Carrier Aggregation Capability

Double-click or use the Closed drop-down menu to select the combination of the number of component carriers and system bandwidth from the list. (Editing any parameters of the selected component carriers or adding other component carriers changes the Carrier Aggregation Capability to User Defined.)

Auto Carrier Aggregation Configuration

Choice: On | Off

Default On

Click in the cell and use the drop-down arrow to select either On or Off.

On | Frequency Offset, Cell ID, Uplink Downlink Configuration, Special Subframe Configuration, and Cyclic Prefix are automatically set by the software. In addition for the secondary cells, Uplink Downlink Configuration, Special Subframe Configuration, and Cyclic Prefix become read only and use the same values as the primary cell. For Cell ID, it is set to the same value as the Component Carrier index number.
Off | Manually set Frequency Offset, Cell ID, Uplink Downlink Configuration, Special Subframe Configuration and Cyclic Prefix.

Component Carrier List

This list enables you to view the key parameters for each component carrier in the aggregated carrier. You can add or delete component carriers using the buttons above the list of component carriers (see descriptions below). You can add up to a maximum of 5 component carriers. Click a component carrier in the tree view to access the carrier setup parameters.

Click the Predefined Carrier Aggregation button to open a window with a list of Closed pre-defined carrier aggregation configurations. To replace the current component carrier configurations in the setup table with one of the pre-defined configurations, select the desired configuration and click OK or double-click the configuration.

Click the Add Component Carrier button to open a Closed drop-down list from which you can select a component carrier to add to the setup table. The maximum number of component carriers is 5.

Option Vxx adds the capability to select an Advanced LTE-A FDD component carrier. Refer the N7624B Signal Studio for LTE/LTE Advanced FDD help for more information.

Click the Delete Component Carrier button to delete the currently selected carrier in the list of component carriers.

Click the Copy Component Carrier button to quickly add a copy of the selected component carrier to the component carrier list in the carrier aggregation configuration summary table.

CC n (Component Carrier 1...n)

There can be up to 5 component carriers per aggregated carrier.

State

Click to enable or disable the component carrier selected.

System Bandwidth

Choice: 1.4 MHz (6RB) | 3 MHz (15RB) | 5 MHz (25RB)) | 10 MHz (50RB) | 15 MHz (75RB) | 20 MHz (100RB)

Default:

LTE: 5 MHz (25RB)

LTE-A: 10 MHz (50RB)

Double-click or use the drop-down menu to set the system bandwidth and number of resource blocks (RB). When you select a system bandwidth, the software automatically adjusts the values in the Total Number of Resource Blocks and Total Number of Occupied Sub-carriers cells.

Advanced LTE and LTE-A carriers only: When the system bandwidth is decreased, the DL-SCH Tx Sequence window's RB size, and some of the other data channel's settings, are reconfigured, similar to when a predefined configuration is executed. But, when the system bandwidth is increased, no change to the DL-SCH Tx Sequence window's RB size, or the other data channel's settings occurs.

Frequency Offset

Default: 0.000000 Hz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting.

The range of the parameter is coupled to the Oversampling Ratio, the Base Sampling Rate, the System Bandwidth, and the max ARB Sample Clock of the connected signal generator.

Maximum Frequency Offset for each Maximum Arb Sample Clock and System Bandwidth
Maximum Frequency Offset | System Bandwidth
Maximum Arb Sample Clock (RF Bandwidth) | 1.4 MHz | 3 MHz | 5 MHz | 10 MHz | 15 MHz | 20 MHz
75 MHz (60 MHz) | 15.36 MHz
100 MHz (80 MHz) | 30.72 MHz |  |  |  |  | 30 MHz
125 MHz (100 MHz) | 46.08 MHz |  |  | 45 MHz | 42.5 MHz | 40 MHz
150 MHz (120 MHz) | 46.08 MHz
200 MHz (160 MHz) | 76.8 MHz |  |  | 75 MHz | 72.5 MHz | 70 MHz

This Frequency Offset parameter and another Frequency Offset parameter on each Component Carrier node are coupled.

Cell ID

Range: 0 to 503

Default: 0 with Auto Carrier Aggregation Configuration set to Off

Same as the CC index number with auto Carrier Aggregation Configuration set to On

With Auto Carrier Aggregation Configuration set to Off, enter a cell ID value.

The software uses this value to set the Physical Layer Cell ID group and sector cells:

Cell ID = (3 x Physical Cell ID group + Physical Cell ID sector).

See 3GPP TS 36.211 for more information.

Primary Cell

Click the cell to assign a Component Carrier (CCn)as the primary cell. In carrier aggregation, only one component carrier can be selected. If the primary cell carrier is deleted or its State changes, the software automatically sets a another component carrier as the primary cell.

Serving Cell Index

Secondary Cell Range: 1 to 7

Sets the Serving Cell Index for the component carrier.

  • The primary cell is always set to 0 and cannot be changed.

  • The secondary cell Serving Cell Index can be set to a value in the range.

The software automatically sets the primary cell to 0. If the primary cell selection changes to another component carrier, the software automatically changes that carrier's Serving Cell Index to 0 and renumbers the Serving Cell Index for the others.

Refer to 3GPP TS 36.211, 36.212, 36.213, and 36.331.

ABS

Choices: checked (on) | unchecked (off)

Default: unchecked (off)

Set whether to use ABS (almost blank subframe) for each component carrier by clicking the check-box:

unchecked (off) | ABS is disabled and its related settings are inactive (nothing shows).
checked (on) | ABS is available for the component carrier and its related settings are active.

When the component carrier ABS state is on, the Transmission Configuration Length for all DL-SCH becomes a read-only value that is set to the same length as the Waveform Generation Length.

ABS Pattern Info

Coupling: Inactive until ABS is checked

Set the ABS bit pattern for the corresponding component carrier by double-clicking on User Bits (n). This launches the Closed Bitmap Edit dialog box that is used to enter the bits.

The length of the bitmap is dependent on the Uplink Downlink Configuration setting:

Uplink Downlink Configuration Value | ABS Bitmap Length (Bits)
0 | 1–70
1–5 | 1–20
6 | 1–60

Each bit position represents a subframe. Use the keyboard to enter either a 0 or a 1.

0 | ABS is not applied to the subframe.
1 | ABS is applied to the subframe.

Within the Bitmap Edit dialog box are two buttons:

  • Import allows the loading of a previously saved bitmap.

  • Export allows the saving of the current bitmap.

The first position of the ABS pattern corresponds to subframe 0 where SFN = 0. The ABS pattern is continuously repeated during the Transmission Configuration Length of the DL-SCH. For example, if the Transmission Configuration Length is 9 frames and there are 30-bits in the ABS pattern, the ABS bit pattern would repeat three times.

Per the 3GPP standards, ABS is designated as protected from inter cell interference from the sending eNB.

PSS/SSS on ABS

Choices: checked (on) | unchecked (off)

Default: checked (on)

Coupling: Inactive until ABS is checked

Click the check-box to either enable or disable PSS/SSS during the ABS for the corresponding component carrier.

PBCH on ABS

Choices: checked (on) | unchecked (off)

Default: checked (on)

Coupling: Inactive until ABS is checked

Click the check-box to either enable or disable PBCH during the ABS for the corresponding component carrier.

Hardware

Choices: Inter-band 1 | Inter-band 2

These parameter choices are only displayed if you have chosen one of the Inter-band hardware setups. Determines the RF band (inter-band) and the antenna that each component carrier's settings are applied to.

Graph View

The graph view displays several different representations of the generated waveform. For more information, see Graph View


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Downlink (Advanced LTE-A TDD)

Predefined Config.

Click the Predefined Configuration button to access a dialog box from which you can select a base channel configuration.

DL FRC Wizard

To set up a fixed reference channel (FRC), click the Wizard button to open the DL FRC Wizard.

1. Cell Parameters

Cell ID

Range: 0 to 503

Default: 0 with Auto Carrier Aggregation Configuration set to Off

Same as the CC index number with auto Carrier Aggregation Configuration set to On

With Auto Carrier Aggregation Configuration set to Off, enter a cell ID value.

The software uses this value to set the Physical Layer Cell ID group and sector cells:

Cell ID = (3 x Physical Cell ID group + Physical Cell ID sector).

See 3GPP TS 36.211 for more information.

Physical Layer Cell ID Group

Range: 0 to 167

Default: 0

Enter a value for the physical layer cell ID group. The combination of one Physical Layer Cell ID Group value and one Physical Layer Cell ID Sector value determines a unique physical layer cell ID.

There are 504 unique physical-layer cell identities. The physical-layer cell identities are grouped into 168 unique physical-layer cell-identity groups, each group containing three unique identities. The grouping is such that each physical-layer cell identity is part of one and only one physical-layer cell-identity group. A physical-layer cell identity [image] is thus uniquely defined by a number [image] in the range of 0 to 167, representing the physical-layer cell-identity group, and a number [image] in the range of 0 to 2, representing the physical-layer identity within the physical-layer cell-identity group.

Physical Layer Cell ID Sector

Choice: 0 | 1 | 2

Default: 0

Double-click or use the drop down menu to set the physical layer cell ID sector. The combination of one Physical Layer Cell ID Group value and one Physical Layer Cell ID Sector value determines a unique physical layer cell ID.

Refer to 3GPP TS36.211.

System Bandwidth

Choice: 1.4 MHz (6RB) | 3 MHz (15RB) | 5 MHz (25RB)) | 10 MHz (50RB) | 15 MHz (75RB) | 20 MHz (100RB)

Default:

LTE: 5 MHz (25RB)

LTE-A: 10 MHz (50RB)

Double-click or use the drop-down menu to set the system bandwidth and number of resource blocks (RB). When you select a system bandwidth, the software automatically adjusts the values in the Total Number of Resource Blocks and Total Number of Occupied Sub-carriers cells.

Advanced LTE and LTE-A carriers only: When the system bandwidth is decreased, the DL-SCH Tx Sequence window's RB size, and some of the other data channel's settings, are reconfigured, similar to when a predefined configuration is executed. But, when the system bandwidth is increased, no change to the DL-SCH Tx Sequence window's RB size, or the other data channel's settings occurs.

Total Number of Antennas

Choice: 1 Antenna | 2 Antennas | 4 Antennas | 8 Antennas

Default: 1 Antenna

In multi-antenna configurations, specify the total number of antennas used for downlink transmission.

For multiple signal generator configurations, set the Channel State parameter in the Fading section of the Carrier node to On to make this cell active. When the channel state is off, you must change the number of signal generators (for example, Quick Setup Mx1, Mx2, Mx4,Mx8) to change the number of BS antennas.

This parameter indicates the total number of physical antenna port configuration used for downlink transmission in this cell.

Total number of Antennas and Number of CRS Antenna Ports determines the resource elements that are reserved for Cell Specific reference signals.

Total number of Antennas and Number of CRS Antenna Ports are different parameters and are available to set respectively.

Refer to 3GPP TS 36.211 and 36.311.

Antenna Spacing (Wavelength)

Range: 0.00–100

Default: 0.5

Enter a value that specifies the distance between the antennas. The value is specified in wavelengths units of the center frequency for the corresponding Component Carrier. Use this setting when generating a beamforming signal.

Antenna Port

Choice: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7

Default: 0

In multi-antenna configurations, specify the antenna to be used for transmitting the downlink signal. The available selections are determined by the Total Number of Antennas setting.

Power Definition Type

Choice: Total Power | RSTP

Default: Total Power

Double-click or use the drop-down menu to select the power definition type for the primary cell.

The power definition type for secondary cells is automatically set same type of the primary cell and set the value as read-only.

In multiple carrier case, Power Definition Type parameter in each carrier should be same.

If Total Power is selected, power reference is Amplitude parameter on Instrument node. In single/multiple carrier and Total Power case, RSTP and OSTP are automatically calculated by Amplitude parameter on Instrument node, Power parameter on Component Carrier and each carrier signal settings.

If RSTP is selected, power reference is RSTP. In single/multiple carrier and RSTP case, Amplitude parameter on Instrument node, Power parameter on Component Carrier and OSTP are automatically calculated by RSTP and each carrier signal settings. In this case, Power parameter on Component Carrier is set read-only.

If uplink and downlink carriers are mixed as multiple carrier, correct RSTP calculation is not available.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

Reference Signal Transmit Power (RSTP)

Range: -15.00 to -144.00 dBm

Default: -40.79 dBm

Enter the Reference Signal Transmit Power in dBm, when the Power Definition Type is RSTP. Otherwise displays the Reference Signal Transmit Power in dBm and the value is updated after generation.

In the case Power Definition Type is Total Power, RSTP is automatically calculated by Amplitude parameter in Instrument, Power parameter in Component Carrier and each carrier signal settings.

In the case Power Definition Type is RSTP, Amplitude parameter in Instrument and Power parameter in the Component Carrier is automatically calculated and set the value as read-only.

Available setting range and step depends on hardware.

See 3GPP TS 36.141 for more information.

OFDM Symbol Transmit Power (OSTP)

Display the Downlink OFDM Symbol Transmit Power in dBm. This parameter is set by the software.

For detailed information about OSTP, refer to 3GPP TS 36.141.

Total Number of Resource Blocks

The value in this cell is set by the software based on the System Bandwidth setting.

Total Number of Occupied Sub-carriers

The value in this cell is set by the software based on the System Bandwidth setting. The center subcarrier is not used for downlink transmission, so the number of transmitted subcarriers is one less than the number of occupied subcarriers.

Subcarrier Spacing

Default: 15 KHz

Displays the subcarrier spacing.

Cyclic Prefix

Choice: Normal | Extended

Default: Normal

Coupling: For Basic, Advanced UL, and Advanced DL LTE-A TDD when Auto Carrier Aggregation Configuration is set to On, this setting is read only for the secondary cells that has the same value as the primary cell.

Double-click or use the drop-down menu to select a Normal or Extended cyclic prefix. The software sets the Number of Symbols for Resource Block based on the cyclic prefix selection.

Number of Subcarriers for Resource Block

Default: 12

Displays the number of consecutive subcarriers in a resource block.

Number of Symbols for Resource Block

Default: 7 (Normal CP); 6 (Extended CP)

Displays the number of consecutive OFDM symbols in a slot.

2. Almost Blank Subframe (ABS) Settings

ABS

Choices: On | Off

Default: Off

Set whether to use ABS (almost blank subframe) for each component carrier by clicking the cell and then the drop-down arrow [image] to make the selection:

Off | ABS is disabled and its related settings are inactive (nothing shows).
On | ABS is available for the component carrier, and its related settings are active.

When the component carrier ABS state is on, the Transmission Configuration Length for all DL-SCH becomes a read-only value that is set to the same length as the Waveform Generation Length.

This property is also available in the Carrier Aggregation node.

ABS Pattern Info

Default: 10-bits all 0

Coupling: Inactive until ABS is On

Set the ABS bit pattern for the corresponding component carrier by double-clicking on User Bits (n). This launches the Closed Bitmap Edit dialog box that is used to enter the bits.

The length of the bitmap is dependent on the Uplink Downlink Configuration setting:

Uplink Downlink Configuration Value | ABS Bitmap Length (Bits)
0 | 1–70
1–5 | 1–20
6 | 1–60

Each bit position represents a subframe. Use the keyboard to enter either a 0 or a 1.

0 | ABS is not applied to the subframe.
1 | ABS is applied to the subframe.

Within the Bitmap Edit dialog box are two buttons:

  • Import allows the loading of a previously saved bitmap.

  • Export allows the saving of the current bitmap.

The first position of the ABS pattern corresponds to subframe 0 where SFN = 0. The ABS pattern is continuously repeated during the Transmission Configuration Length of the DL-SCH. For example, if the Transmission Configuration Length is 9 frames and there are 30-bits in the ABS pattern, the ABS bit pattern would repeat three times.

Per the 3GPP standards, ABS is designated as protected from inter cell interference from the sending eNB.

This property is also available in the Carrier Aggregation node.

PSS/SSS on ABS

Choices: On | Off

Default: Off

Coupling: Inactive until ABS is On

Click the cell to show the drop-down arrow [image] that when clicked displays the choices to either enable or disable PSS/SSS during the ABS for the corresponding component carrier.

This property is also available in the Carrier Aggregation node.

PBCH on ABS

Choices: On | Off

Default: Off

Coupling: Inactive until ABS is On

Click the cell to show the drop-down arrow [image] that when clicked displays the choices to either enable or disable PBCH during the ABS for the corresponding component carrier.

This property is also available in the Carrier Aggregation node.

3. Cell Specific Reference Signals (CRS)

Cell Specific Reference Signal Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the cell specific reference signal.

Refer to Output Power Calculation (Downlink).

Number of CRS Antenna Ports

Choice: 1 | 2 | 4

Default: 1

Double-click or use the drop-down menu to select the number of antennas for Cell Specific Reference Signals (CRS).

When the Total Number of Antennas value is changed, the software automatically sets the Number CRS Antenna Ports parameter.

The Number of CRS Antenna Ports must be ≤ the Total number of Antennas.

The Total Number of Antennas and the Number of CRS Antenna Ports are set respectively.

CRS Antenna Mapping Configuration

Choice: Auto | Manual

Default Auto

Double-click or use the drop-down menu to select the CRS Antenna Mapping Configuration.

Auto | CRS ports 0–3 are automatically mapped to the physical antennas by the software.
Manual | The ports require mapping to the physical antennas, see the CRS0 | 1 | 2 | 3 Antenna Mapping setting.

CRS0 | 1 | 2 | 3 Antenna Mapping

Choices: 0 (Off) | 1 (On)

Default: 1

Coupling: Inactive unless CRS Antenna Mapping Configuration is set to Manual.

The number of CRS ports that are displayed is dependent on the number of antennas in the configuration and the Number of CRS Antenna Ports setting.

Enter comma separated values of 0 or 1 to assign the cell specific reference signal (CRS) port a physical antenna

For example using a four antenna configuration with the Number of CRS Antenna Ports set to 4, the CRS port are assigned to the following antennas:

  • physical antenna 3: CRS0 Antenna Mapping = 0,0,1,0

  • physical antenna 1: CRS1 Antenna Mapping = 1,0,0,0

  • physical antenna 2: CRS2 Antenna Mapping = 0,1,0,0

  • physical antenna 4: CRS3 Antenna Mapping = 0,0,0,1

PDSCH Cell Specific Ratio

Choice: pB/pA=1 | P_B=0 | P_B=1 | P_B=2 | P_B=3

Default: pB/pA=1

Double-click or use the drop-down menu to select the PDSCH cell specific ratio.

4. Channel State Information Reference Signal (CSI-RS)

CSI-RS State

Choice: On | Off

Default: On

Double-click or use the drop-down menu to turn the channel state on or off.

CSI-RS Power

Range: -60.000 to 20.000 dB

Default: 0 dB

Enter a power level in dB for the channel state information reference signal. Refer to the Output Power Calculation (Downlink) for a description of how the software applies your power settings.

Number of CSI-RS Antenna Ports

Choice: 1 | 2 | 4 | 8

Default: 1

Double-click or use the drop-down menu to select the number of antenna ports for CSI-RS signals that is less than or equal to the total number of antennas.

The combination of the number of CSI-RS antenna ports and the total number of antennas determines the resource elements that are reserved for reference signals as described in .

If the Total Number of Antennas parameter is changed, Auto is selected, and the software sets the number of CRS antenna ports equal to the total number of antennas.

Refer to 3GPP TS36.211 and 36.213.

CSI-RS Antenna Port

Choice: Port 15 | Ports 15 to 16 | Ports 15 to 18 | Ports 15 to 22

Default: Port 15

This is a read only parameter set by the Number of CSI-RS Antenna Ports. Available port selections depend on the number of CSI-RS antenna ports selected. For more detail, refer to 3GPP TS 36.211 and 36.213.

Total Number of Antennas | Antenna Port | Number of CSI-RS Antenna Ports | CSI-RS Antenna Port
1 | Port 0 | 1 | Port 15
2 | Port 0, 1 | 2 | Port 15, Ports 15 to 16
4 | Port 0, 1, 2, 3 | 4 | Port 15, Ports 15 to 16, Ports 15 to 18
8 |  | 8 | Port 15, Ports 15 to 16, Ports 15 to 18, Ports 15 to 22
 |  |  | ((Antenna Port) mod (Number of CSI-RS Antenna Ports)) + 15.

See 3GPP TS 36.211 and 36.213.

CSI-RS Configuration

Range: 0 to 31 (Range is dependent on other settings as follows)

Default 0

Enter the CSI-RS subframe configuration index for the CSI-RS. This defines both the CSI-RS periodicity and the CSI-RS subframe offset in accordance with 3GPP TS 36.211 and 36.213.

The CSI-RS Configuration range is coupled to the Number of CSI-RS Antenna Ports and to the Cyclic Prefix parameter values.

The available range depends on the following settings:

Normal Cyclic Prefix | Extended Cyclic Prefix | Number of CSI-RS
0 to 31 | 0 to 27 | 1 or 2
0 to 9, 20 to 25 | 0 to 7, 16 to 21 | 4
0 - 4, 20 to 22 | 0 to 3, 16 to 18 | 8

Refer to 3GPP TS 36.211 and 36.213.

CSI-RS Subframe Configuration (I_CSI-RS)

Range: 0 to 154

Default: 0

Enter the CSI-RS Subframe Configuration index which defines both the CSI-RS Periodicity and the CSI-RS Subframe Offset parameters (Delta_CSI-RS). Subframes containing CSI reference signals shall satisfy:

Refer to TS 36.211 and 36.213.

CSI-RS Periodicity (T_CSI-RS)

This is read only parameter automatically set by the CSI-RS Subframe Configuration (I_CSI-RS).

This is coupled to CSI-RS Subframe Configuration (I_CSI-RS).

Subframes containing CSI reference signals shall satisfy:

I_CSI-RS = 0 to 4 , T_CSI-RS = 5

I_CSI-RS = 5 to 14, T_CSI-RS = 10

I_CSI-RS = 15 to 34, T_CSI-RS = 20

I_CSI-RS = 35 to 74, T_CSI-RS = 40

I_CSI-RS = 75 to 154, T_CSI-RS = 80

Refer to TS 36.211 and 36.213.

CSI-RS Subframe Offset (Delta_CSI-RS)

Range: 0 to 79 (subframe(s))

Default: 0 (subframe)

This is read only parameter automatically set by the CSI-RS Subframe Configuration (I_CSI-RS). Refer to 3GPP TS 36.211 and to 36.213.

This is coupled to CSI-RS Subframe Configuration (I_CSI-RS).

Subframes containing CSI reference signals shall satisfy:

I_CSI-RS = 0 to 4 , Delta_CSI-RS = I_CSI-RS

I_CSI-RS = 5 to 14, Delta_CSI-RS = I_CSI-RS - 5

I_CSI-RS = 15 to 34, Delta_CSI-RS = I_CSI-RS -15

I_CSI-RS = 35 to 74, Delta_CSI-RS = I_CSI-RS -35

I_CSI-RS = 75 to 154, Delta_CSI-RS = I_CSI-RS -75

Refer to TS 36.211 and 36.213.

5. Positioning Reference Signals (PRS)

Closed PRS Overview

  • PRSs are transmitted on antenna port 6.

  • PRSs apply for a [image] only.

  • The positioning reference signals are not mapped to the resource elements allocated to Physical Broadcast Channels (PBCH), the Primary Synchronization Signals (P-SS) or the Secondary Synchronization Signals (S-SS) regardless of their antenna port p.

  • A UE may assume that PRSs are not present in the resource blocks in which it decodes the PDSCH according to a detected PDCCH with the CRC scrambled by the SI-RNTI or a P-RNTI with DCI format 1A or 1C that is intended for the UE.

  • PRSs are not transmitted in special frames.

  • PRS is transmitted in NPRS consecutive downlink frames, where NPRS is configured by the higher layers.

  • PRSs are not used for transmission of PBCH, synchronization signals, cell-specific reference signals, Multimedia Broadcast Single Frequency Network (MBSFN) reference signals or UE-specific reference signals.

  • For Release 9, CSI-RS is not supported; there is no conflict between CSI-RS and PRS.

State

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to enable or disable the channel. See 3GPP TS 36.211.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the selected channel. See Output Power Calculation (Downlink) for a description of how the software applies your power setting. See 3GPP TS 36.211.

Antenna Mapping for Port 6

Range: 0 or 1 as comma separated values (CSV), equal to the number of antennas selected.

Default: 1

Enter 0 or 1 separated by commas to assign the positioning reference signals (PRS) to the physical antennas. The comma separate length is up to the Total Number of Antennas. 0 and 1 mean Off and On respectively. Comma separate sequence order means physical antenna port number.

Example: Total Number of Antennas = 4 Antennas and Antenna Mapping = [1, 1, 1, 1] case, PRS is assigned to all antennas (port 0 to 3). See 3GPP TS 36.211.

Number of PDCCH Symbols

Range: 1 to 3 (N_DL_RB > 10), 2 or 3 (N_DL_RB <= 10)

Default: 2

Enter the number of PDCCH symbols for all of the positioning reference signal (PRS) subframes.

This parameter defines the number of PDCCH OFDM symbols for all of the PRS subframes. The PRS subframes are assigned by the Number of Consecutive DL Frames (N_PRS), PRS Configuration Index (I_PRS), PRS Periodicity (T_PRS), and PRS Subframe Offset (Delta_PRS).

If the PRS State = on and PRS subframe is assigned, corresponding subframe of PDCCH Allocations parameters in DCI are changed by the Number of PDCCH Symbols.

  • Where: N_DL_RB <= 10, the Number of PDCCH Symbols allowed is 2 or 3.

  • Where: N_DL_RB > 10, the Number of PDCCH Symbols allowed is 1 to 3.

Refer 3GPP TS 36.211 and 36.331.

PRS Bandwidth

Choice: 1.4 MHz (6RB) | 3 MHz (15RB) | 5 MHz (25RB) | 10 MHz (50RB) | 15 MHz (75RB) |20 MHz (100RB)

Default: 5 MHz (25RB)

Specifies the bandwidth (resource block size) that is used to configure the positioning reference signals (PRS).

Available setting value is up to the System Bandwidth. If the System Bandwidth was set to less than the PRS Bandwidth, the PRS Bandwidth is automatically set the same as the System Bandwidth.

Refer 3GPP TS 36.211 and 36.355.

Number of Consecutive DL Frames (N_PRS)

Choice: 1 subframe | 2 subframes | 4 subframes | 6 subframes

Default: 1 subframe

Specifies the number of consecutive downlink subframes N_PRS with positioning reference signals (PRS).

This is time accumulation for accuracy improvement to configure consecutive PRS.

There is parameter coupling among the Uplink/Downlink Configurations, the Number of Consecutive DL Subframes (N_PRS) and the PRS Configuration Index (I_PRS). The choice/range of the Number of Consecutive DL Subframes (N_PRS) and the PRS Configuration Index (I_PRS) are limited by the Uplink/Downlink Configurations. This means the settings are not allowed PRS in a specific subframe and uplink subframe.

Refer 3GPP TS 36.211.

PRS Configuration Index (I_PRS)

Range: 0 to 2399

Default: 0

Enter PRS Configuration Index for the Positioning Reference Signals (PRS).

This automatically defines both PRS Periodicity and PRS Subframe Offset.

The first Subframe of the N_PRS downlink subframes shall satisfy: (10 * SFN + Floor(Slot# / 2) - Delta_PRS) mod T_PRS = 0.

Where: Wave Generation Length < (PRS Subframe Offset + Number of Consecutive DL Frames), a part of or all of PRSs are not available for the current waveform.

There is parameter coupling among the Uplink/Downlink Configuration, the Number of Consecutive DL Subframes (N_PRS) and the PRS Configuration Index (I_PRS). The choice/range of the Number of Consecutive DL Subframes (N_PRS) and the PRS Configuration Index (I_PRS) are limited by the Uplink Downlink Configuration. This means the settings do not allow PRS in a specific subframe and uplink subframe.

Refer 3GPP TS 36.211.

PRS Periodicity (T_PRS)

Choice: 160 (subframes) | 320 (subframes) | 640 (subframes) | 1280 (subframes)

Default: 160 (subframes)

This is a read-only parameter automatically decided by PRS Configuration (I_PRS) as follows:

The first subframe of N_PRS downlink subframes shall satisfy (10 * SFN + Floor(Slot# / 2) - Delta_PRS) mod T_PRS = 0.

  • I_PRS = 0 to 159 case, T_PRS = 160 (subframes).

  • I_PRS = 160 to 479 case, T_PRS = 320 (subframes).

  • I_PRS = 480 to 1119 case, T_PRS = 640 (subframes).

  • I_PRS = 1120 to 2399 case, T_PRS = 1280 (subframes).

Where: Wave Generation Length < (PRS Subframe Offset + Number of Consecutive DL Frames), a part of or all of PRSs are not available for the current waveform.

Refer 3GPP TS 36.211.

PRS Subframe Offset (Delta_PRS)

Range: 0 to 1280 (subframes)

Default: 0 (subframe)

This is read only parameter automatically decided by PRS Configuration (I_PRS) as follows.

The first subframe of the N_PRS downlink subframes shall satisfy (10 * SFN + Floor(Slot# / 2) - Delta_PRS) mod T_PRS = 0.

  • I_PRS = 0 to 159 case, Delta_PRS = I_PRS

  • I_PRS = 160 to 479 case, Delta_PRS = I_PRS - 160

  • I_PRS = 480 to 1119 case, Delta_PRS = I_PRS - 480

  • I_PRS = 1120 to 2399 case, Delta_PRS = I_PRS - 1120

Where: Wave Generation Length < (PRS Subframe Offset + Number of Consecutive DL Frames), a part of or all of PRSs are not available for the current waveform.

For more detail, refer 3GPP TS 36.211.

PRS Muting Sequence Length

Choice: 2 | 4 | 8 | 16

Default: 2

Specifies the bit length of PRS Muting Sequence parameter.

PRS Muting Sequence

Range: 0 or 1 with comma separate input

Length: PRS Muting Sequence Length

Default: 1,1

Specifies PRS Muting Sequence. The value '0' means muting and '1' means muting is not enabled in the sequence.

The sequence length is defined by PRS Muting Sequence Length parameter.

If a bit in the PRS muting sequence is set to '0', the PRS is muted in the corresponding PRS positioning occasion. A PRS positioning occasion comprises of N_PRS downlink positioning subframes. The first bit of the PRS muting sequence corresponds to the first PRS positioning occasion.

Refer 3GPP TS 36.355.

6. Synchronization Signals

Primary Synch Signal State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the primary synchronization signal (P-SS) On or Off.

Primary Synch Signal Power

Range: -60 to 20 dB

Default: 0.00 dB

Enter the power level in dB for the primary synchronization signal, relative to the average subcarrier power.

Secondary Synch Signal State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the secondary synchronization signal (S-SS) On or Off.

Secondary Synch Signal Power

Range: -60 to 20 dB

Default: 0.00 dB

Enter the power level in dB for the secondary synchronization signal, relative to the average subcarrier power.

P-SS/S-SS Transmit Antenna Port

Choice: Port 0 | Port 1 | Port 2 | Port 3 | All Ports

Default: Port 0

Double-click or use the drop-down menu to select the P-SS/S-SS Transmit Antenna Port type.

This parameter specifies the antenna port(s) that P-SS and S-SS are transmitted on. P-SS and S-SS can be transmitted on a single antenna (Port0/1/2/3) or all the antenna ports.


Channel Setup (Advanced LTE-A TDD Downlink)

This Channel Setup Advanced Downlink configuration has several different possible channel setups (e.g. BCH, CFI, ...). The screen shot below shows the parameter choices for a DL-SCHn channel. In the N7625B Signal Studio software, click a different channel to view that channel's parameter choices. The links for all of the channel's parameters and their descriptions are listed in the tables below.

DL-SCH
1. General Settings | 2. UE Specific Reference Signal Settings (DM-RS) | 3. MIMO Settings | 4. Transmission Settings | 5. Dedicated DCI Settings
Channel Number Name State Power P_A Scrambling UE Category RNTI Type RNTI Transmission Mode | State Power Antenna Beam Configuration Mode Transmit Antenna Port Antenna Beam for Port n Transmit Antenna Weight for Port n | Diversity Method Precoding Method Number of Layers Number of Codewords Codebook Index | Number of HARQ Processes Assign Processes Data 0 Data 1 Modulation and TBS Index Table Transmission Setting Mode Coding State RV Index Configuration RV Index Sequence Resource Allocation Type Virtual Resource Block Type Transmission Configuration Length (DL_SCH) Transmission Configuration (DL_SCH) | DCI Mapping Index DCI State DCI Format DCI Data DCI Payload size (bits) DCI Tx Couple PDCCH UE Tx Antenna PDCCH Search Space DCI Transmission Configuration
BCH | CFI | HI
1. General Settings | 1. General Settings | 1. General Settings
Channel Number Name State Power Scrambling Auto MasterInformationBlock Data Coding State Payload Size (bits) SFN Start Number | Channel Number Name State Power Scrambling CFI | Channel Number Name State PHICH BPSK Symbol Power Scrambling PHICH Duration PHICH Mi Definition PHICH Allocation PHICH Maximum Group Number Transmission Configuration
DCI
1. General Settings | 2. Cross Carrier Scheduling | 3. Dedicated PDCCH Setting for DL-SCH | 4. Dedicated PDCCH Setting for UL-SCH
Channel Number Name State Power Scrambling PDCCH Allocations OCNG for PDCCH | CIF Presence PDSCH Start Scheduling Cell ID | DCI #1 for DL-SCH1 Scheduling DCI #2 for DL-SCH2 Scheduling DCI #3 for DL-SCH3 Scheduling DCI #4 for DL-SCH4 Scheduling DCI #5 for DL-SCH5 Scheduling DCI #6 for DL-SCH6 Scheduling DCI #7 for DL-SCH7 Scheduling DCI #8 for DL-SCH8 Scheduling | DCI #9 for UL-SCH Scheduling DCI #13 for UL-SCH Scheduling (UE2)
DCI (continued)
5. Dedicated PDCCH Setting for Random Access Procedure | 6. Dedicated PDCCH Setting for Uplink Power Control | 7. Manual PDCCH Setting
DCI #10 for Random Access Procedure | DCI #11 for Uplink Power Control | DCI #12 for User Defined
MCH
1. General Settings | 2. MBSFN Reference Signals | 3. MCH/PMCH
Channel Number Name State Antenna Mapping for Port 4 Number of PDCCH Symbols (Non-MBSFN Region Length) MBSFN Area ID Radio Frame Allocation Period Radio Frame Allocation Offset Subframe Allocation Allocation Bitmap | MBSFN RS Power | PMCH Power Data UE Category Modulation and TBS Index Table MCS Index Modulation TBS Index TB Size Maximum Coding Rate RB Size Scrambling

Allocation Bitmap

Choice: 0 or 1 separated by commas

Length: 5 or 20 (Depends on Subframe Allocation)

Default: 1,...,1 (All 1's)

Enter 5 or 20 bits in length (1 = On, 0 = Off), separated by commas, to allocate the Multimedia Broadcast Multicast Service Single Frequency Network (MBSFN) on the Multicast Channel (MCH). For the Subframe Allocation 1 frame and 4 frames, the Allocation Bitmap length is configured 5 bits and 20 bits, respectively. (If you enter fewer than 5 or 20 bits, 0 is inserted to fill in the remaining bits. And, the pattern of 1's and 0's is repeated in the remaining bits.) The Allocation Bitmap assigns the bits according to the Uplink Downlink configuration selected. Uplink subframes are not allocated .

1 frame: The 5 bits length bitmap is applied as follows:

The first/leftmost bit defines the MBSFN allocation for subframe #3, the second bit for #4, third bit for #7, fourth bit for #8, and the fifth bit for #9. Uplink subframes are not allocated and the last bit is not used.

4 frames: The 20 bits length bitmap is applied as follows:

Starting from the first radio frame and from the first/leftmost bit in the bitmap, the allocation applies to subframes #3, #4, #7 , #8, #9 in the sequence of the four radio-frames. Uplink subframes are not allocated and the last four bits are not used.

Closed Example.

Waveform Generation Length = 2 Frames (20 ms)

Uplink Downlink Configuration = 5 (D,S,U,D,D,D,D,D,D,D)

Radio Frame Allocation Period = 2

Radio Frame Allocation Offset = 0

Subframe Allocation = 1 Frame

Allocation Bitmap = "10110" (selects subframes 3, 7, 8)

Number of PDCCH Symbols (Non-MBSFN Region Length)

PDCCH Allocations = "3,3,3,3,3,3,3,3,3,3" (Before the MCH setting changes)

PDCCH Allocations = "3,3,3,2,3,3,3,2,2,3" (After the MCH setting changes)

For more detail, refer to 3GPP TS 36.331.

Antenna Beam Configuration Mode

Choice: Degree | Complex

Default: Degree

Double-click or use the drop-down menu to set the Antenna Beam Configuration Mode to degree or complex.

Degree | The antenna beam direction angle is set using degrees and antenna beam ports 5, and 7 to 14 are displayed. The Transmit Antenna Weight for Port 5 (and Ports 7 to 14) parameters are hidden.
Complex | The antenna beam pattern is specified by a complex value and the Transmit Antenna Weight for Port 5 (and Ports 7-14) parameters are displayed. Antenna Beam for Port 5 | 7| 8 | … | 14 parameters are hidden. Upon making this selection, the existing degree value is calculated to a complex value.

This setting is applicable only when using a beam-forming transmission.

Antenna Beam for Port 5 | 7 | 8 | … | 14

Range: –90 to +90 Degrees

Default: 0

Coupling: Visible when Antenna Beam Configuration Mode is set to Degrees and UE-Specific Reference signal state (DM-RS) is On.

The number of ports displayed is dependent on the antenna configuration and the Transmit Antenna Port setting.

Enter an antenna beam main lobe direction value. When the value is entered, the antenna weight is calculated.

This is only applicable when Beam-forming is the transmission type.

When Complex is selected as the Antenna Beam Configuration Mode, the entered value for this setting is automatically calculated to a complex value that is used by the Transmit Antenna Weight Port parameter. But the Transmit Antenna Weight Port complex value is not converted to degrees.

Antenna Mapping for Port 4

Range: 0 or 1 separated by commas

Default: 1

Enter 0 or 1 (1 = On, 0 = Off) separated by commas to assign the PMCH to the physical antenna port number. The comma separate length depends on the total number of antennas that you specify.

Example: If the Total Number of Antennas = 4 and the Antenna Mapping for Port 4 = [1, 1, 1, 1], then PMCH (Physical Multicast Channel) is assigned to all antennas (port 0 to 3).

Assigned Processes

Range: 0 to (number defined in Number of HARQ Processes -1)

Enter the numbers of individual HARQ processes, separated by commas (for example, 1,2,3) or a range of HARQ processes ( for example, 1-3) to enable specific HARQ processes.

The number of available HARQ processes is defined in the Number of HARQ Processes parameter and this parameter.

Auto MasterInformationBlock

Choice: Off | On

Default: On

Double-click or use the drop-down menu to set the Auto MasterInformationBlock State for BCH. If the ”Auto MasterInformationBlock” mode is On, the BCH data source will use the system configuration for the channel code.

The content of a Master Information Block contains 24 bits.

Master Information Block Bits:

Bit #0~2: | DL-Bandwidth | Enumerated {n6, n15, n25, n75, n100}
Bit #3: | Phich-Duration | Enumerated {normal, extended}
Bit #4~5: | Phich-Resource | Enumerated {oneSixth, half, one, two}
Bit #6~13: | SystemFrameNumber | Bit string {Size(8)}
Bit #14~23: | Spare | Bit string {Size(10)}

CFI

Range:

1 to 3 for number of downlink resource blocks > 10 (see System Bandwidth)

2 to 4 for number of downlink resource blocks ≤ 10 (see System Bandwidth)

Displays the control format indicator (CFI) for each subframe in the selected PCFICH channel, separated by commas.

These values correspond to the number of OFDM symbols used for transmission of the PDCCH in each subframe and are set in the PDCCH Allocations cell.

Channel Number

Displays the identifying number of the selected channel.

CIF Presence

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the carrier indicator field (CIF) presence state in the PDCCH DCI formats.

Codebook Index

Range: 0-2 for number of antenna ports = 2 and Number of Layers = 2

0-3 for number of antenna ports = 2 and Number of Layers = 1

0-15 for number of antenna ports = 3 or 4 and Number of Layers = 1, 2, or 4

Default: 0

Enter a value for the Codebook Index when Spatial Multiplexing is selected as the diversity method. See 3GPP TS 36.211 for more information.

Coding State

Choice: Off | On

Default: On

This parameter applies to BCH, and DL-SCH channels.

Double-click or use the drop-down menu to turn the coding state On or Off.

Data

Choice: PN9 | PN15 | User Defined Bits

Default: PN9

This parameter applies to DCI, BCH, and MCH channels. Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data in the transport block.

Data 0

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data in data stream 0 (transport block 0) of DL-SCH.

Refer to 3GPP TS 36.211 and 36.212.

Data 1

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data in data stream 1 (transport block 1) of DL-SCH.

Refer to 3GPP TS 36.211 and 36.212.

DCI Data

Displays the Data Source of the DCI channel.

DCI Format

Choices: Format 0 | Format 1 | Format 1A | Format 1B | Format 1C | Format 1D | Format 2 | Format 2A | Format 2B | Format 2C | Format 2D | Format 3 | Format 3A

Default: Format 1A

Coupling: Whether this setting is active and what DCI Formats are available depends on Transmission Mode, Virtual Resource Block Type, Resource Allocation Type and Diversity Method.

Double-click or use the drop-down menu to set the DL-SCH DCI format.

The available DCI Format depends on Transmission Mode, Virtual Resource Block Type, Resource Allocation Type and Diversity Method.

When it is read only, the DCI Format is automatically selected by the DL-SCH and system settings.

Refer to 3GPP TS 36.211, 36.212, and 36.213.

DCI Mapping Index

Displays the related DL-SCH of the DCI channel.

DCI #1 for DL-SCH1 Scheduling, ... DCI #8 for DL-SCH8 Scheduling

Click the button in this cell to open the PDCCH Transmission Configuration dialog box. Refer to DL-SCH PDCCH Transmission Configuration dialog box.

DCI #9 for UL-SCH Scheduling

Click the button in this cell to open the PDCCH Transmission Configuration dialog box. Refer to UL-SCH PDCCH Transmission Configuration dialog box.

DCI #13 for UL-SCH Scheduling (UE2)

Click the button in this cell to open the PDCCH Transmission Configuration dialog box. Refer to UL-SCH PDCCH Transmission Configuration dialog box.

DCI #10 for Random Access Procedure

Click the button in this cell to open the PDCCH Transmission Configuration dialog box. Refer to RACH PDCCH Transmission Configuration dialog box.

DCI #11 for Uplink Power Control

Click the button in this cell to open the PDCCH Transmission Configuration dialog box. Refer to Uplink Power Control PDCCH Transmission Configuration dialog box.

DCI #12 for User Defined

Click the button in this cell to open the PDCCH Transmission Configuration dialog box. Refer to User Defined PDCCH Transmission Configuration dialog box.

DCI Payload Size (bits)

Display the DCI payload size. The DCI payload size is related with the system bandwidth and DCI format.

The first number indicates the number of information bits while the second number indicates the number of padding bits. Refer to the 3GPP technical standards for more information.

DCI State

Click to enable or disable the DCI channel.

DCI Transmission Configuration

The physical downlink control channel carries scheduling assignments and other control information. A physical control channel is transmitted on an aggregation of one or several consecutive control channel elements (CCEs), where a control channel element corresponds to 9 resource element groups. The number of resource-element groups not assigned to PCFICH or PHICH is [image]. The CCEs available in the system are numbered from 0 and [image] , where [image] . The PDCCH supports multiple formats as listed in the table below. A PDCCH consisting of n consecutive CCEs may only start on a CCE fulfilling [image], where i is the CCE number.

Click the button in this cell to open the DL-SCH PDCCH Tx Setting window.

Supported PDCCH formats

DCI Tx Couple

Choice: DL-SCH | Manual

Default: DL-SCH

Double-click or use the drop-down menu to set the transmission couple state between DCI and DL-SCH

Diversity Method

Choice: Off | Tx Diversity | Spatial Multiplexing

Default: Off

Double-click or use the drop-down menu to select a diversity method. The Tx Diversity and Spatial Multiplexing selections are available only for multiple antenna configurations. You can select a simulated multiple antenna configuration (M x 2 or M x 4) when you start the software, use a Quick Setup, configure a multiple antenna setup using actual hardware with the System Configuration Wizard, or define multiple antennas in the Total number of Antennas field in the Downlink Setup node.

Refer to Tutorials for MIMO hardware configurations.

Maximum Coding Rate

Range: 0.001–1.000

Default: 0.931

Enter the maximum coding rate for the selected MCH channel.

If the effective channel code rate is higher than 0.931, the signal may not be successfully decoded. The effective channel code rate is defined as the number of downlink information bits (including CRC bits) divided by the number of physical channel bits on the channel.

When the coding rate of the channel is higher than the maximum coding rate, an error message is displayed.

For more information, refer to 3GPP TS 36.213.

MBSFN Area ID

Range: 0 to 255 (Integer)

Default: 0

Enter a value for the Multimedia Broadcast Multicast Service Single Frequency Network Reference Signal (MBSFN) Area ID which identifies the MBSFN Area. It is used for the scrambling of the MBSFN Reference Signals and the Physical Multicast Channel (PMCH). Refer to 3GPP TS 36.211 and TS 36.331.

MBSFN RS Power

Range: -60.000 to 20.000

Default: 0.000 dB

Enter a value for the power of the Multimedia Broadcast Multicast Service Single Frequency Network Reference Signal (MBSFN RS) in dB. See Output Power Calculation (Downlink) for a description of how the software applies your power settings.

MCS Index

Advanced LTE TDD Carrier–Downlink

Choices:Off | 0 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 |13 |14 | 15 | 16 | 17 | 18 | 19 | 20 | 21 | 22 | 23 | 24 | 25 | 26 | 27 | 28

Default: 0

Enter a value to set the MCS index of MCH.The MCS index defines the modulation order, and TBS index. Refer to Table 7.1.7.2.1-1 ( 3GPP TS 36.213) which specifies the permissible combinations of transport block size, resource allocation, and modulation type that are available for transmission.

When the MCS Index is Off, the Modulation and TBS Index parameters are active and can be user-defined.

Where MCS Index = 0 to 29, the Modulation and TBS Index are automatically decided by the software.

Refer to 3GPP TS 36.212, 36.213, and 36.331.

Advanced LTE-A TDD Carrier–Downlink

Choice: Off | 0 | 1 | … | 26 | 27 | 28 (Modulation and TBS Index Table 1)

Off | 0 | 1 | … | 26 | 27 (Modulation and TBS Index Table 2)

The choice value selection is dependent on the UE Category selection.

Default: 0

Coupling: With MCS Index set to a value, Modulation and TBS Index are read only and set by the software.

Set the MCH MCS index by either double clicking in the cell or using the drop-down menu to make the selection.

For more information, refer to 3GPP TS 36.212 and 36.331.

Modulation

Advanced LTE TDD Carrier–Downlink

Choice: QPSK | 16QAM | 64QAM

When the MCS Index is off, double-click or use the drop-down menu to select modulation type for the subframe.

For MCH: Where the MCS Index = 0 to 28, both the TBS Index and the Modulation are automatically set by the software and not editable.

Advanced LTE-A TDD Carrier–Downlink

Choice: QPSK | 16QAM | 64QAM (Modulation and TBS Index Table 1)

QPSK | 16QAM | 64QAM | 256QAM (Modulation and TBS Index Table 2)

Default: QPSK

Coupling: Read only and set by the software until MCS Index is set to Off.

When active, double-click in the cell or use the drop-down menu to make the selection.

For more information, refer to 3GPP TS 36.211, 36.213 and 36.311.

Modulation and TBS Index Table—DL-SCH

Choices: Table 1 | Table 2

Default: Table 1

Double-click or use the drop-down menu to select the Modulation and TBS Index Table for the PDSCH.

Table 1 | per 3GPP TS 36.213 Modulation and TBS index table 7.1.7.1-1
Table 2 | per 3GPP TS 36.213 Modulation and TBS index table 7.1.7.1-1A

With the table selection, there is a relationship between the following DL-SCH Tx sequence window settings:

  • MCS Index 0/1

  • Modulation 0/1

  • TBS Index 0/1

For more information, refer to 3GPP TS 36.213.

Modulation and TBS Index Table—MCH/PMCH

Choice: Table 1 | Table 2

Default: Table 1

Double-click or use the drop-down menu to select the Modulation and TBS Index Table for the PMCH.

Table 1 | per 3GPP TS 36.213 Modulation and TBS index table 7.1.7.1-1
Table 2 | per 3GPP TS 36.213 Modulation and TBS index table 7.1.7.1-1A

With the table selection, there is a relationship between the following MCH/PMCH settings:

  • MCS Index

  • Modulation

  • TBS Index

For more information, refer to 3GPP TS 36.213.

Name

Displays the name (type) of the selected channel.

BCH = Broadcast Channel

CFI = Control Format Indicator

HI = HARQ Indicator Channel

DCI = Downlink Control Information

DL-SCH = Downlink Shared Channel

MCH = Multicast Channel

Number of Codewords

Choice: 1 | 2

Default: 1

Double-click or use the drop-down menu to select the number of Codewords.

When you select Tx Diversity as the Diversity Method, the Number of Codewords is automatically set to the number of downlink antenna ports.

When you select Spatial Multiplexing as the Diversity Method, you can set the number of codewords to 1, 2. The maximum number of codewords is less than or equal to the number of number of layers.

Number of HARQ Processes

Range:

1 to 4 (UL/DL Configuration 0)

1 to 7 (UL/DL Configuration 1)

1 to 10 (UL/DL Configuration 2)

1 to 9 (UL/DL Configuration 3)

1 to 12 (UL/DL Configuration 4)

1 to 15 (UL/DL Configuration 5)

1 to 6 (UL/DL Configuration 6)

The value you enter sets the number of available hybrid automatic repeat request (HARQ) processes and defines the interval (number of subframes) between retransmissions. Use the Assigned Processes parameter to enable HARQ processes. In the current LTE TDD signal studio it only supports one HARQ process for the DL-SCH. The value of the Number of HARQ Processes is dependent on the UL/DL configuration.

The number of available HARQ processes is defined in the Assigned Processes parameter and this parameter.

Number Of Layers

Choice: 1 | 2 | 3 | 4

Default: 1

Double-click or use the drop-down menu to select the number of layers.

When you select Tx Diversity as the Diversity Method, the number of layers is automatically set to the number of downlink antenna ports.

When you select Spatial Multiplexing as the Diversity Method, you can set the number of layers to 1, 2, 3, or 4. The maximum number of layers is less than or equal to the number of downlink antenna ports.

Number of PDCCH Symbols (Non-MBSFN Region Length)

Range: 1 to 2 (Integer)

Default: 2

Enter the number of PDCCH symbols (Non-MBSFN Region Length) for all of MBSFN subframe. Where there is a 1 or 2 antenna configuration and N_DL_RB > 10, the parameter range is 1 to 2. Otherwise the value is 2. Where the MCH State is on and some MBSFN subframes are assigned, the Number of PDCCH Symbols (Non-MBSFN Region Length) is coupled to the PDCCH Allocations in DCI for the MBSFN subframe(s).

In case N_DL_RB <= 10, the Number of PDCCH Symbols is only allowed 2.

In case N_DL_RB > 10 and 1 or 2 cell-specific antenna ports, this Number of PDCCH Symbols is allowed 1 or 2.

In case N_DL_RB > 10 and 4 cell-specific antenna ports, the Number of PDCCH Symbols is only allowed 2.

Closed Example:

Waveform Generation Length = 2 Frames (20 ms)

Uplink Downlink Configuration = 5 (D,S,U,D,D,D,D,D,D,D)

Radio Frame Allocation Period = 2

Radio Frame Allocation Offset = 0

Subframe Allocation = 1 Frame

Allocation Bitmap = "10110" (selects subframes 3, 7, 8)

Number of PDCCH Symbols (Non-MBSFN Region Length)

PDCCH Allocations = "3,3,3,3,3,3,3,3,3,3" (Before the MCH setting changes)

PDCCH Allocations = "3,3,3,2,3,3,3,2,2,3" (After the MCH setting changes)

These PDCCH Allocation are applicable for MBSFN subframe, not the parameter PDCCH Allocations in DCI.

Refer to 3GPP TS 36.211 and 36.331.

OCNG for PDCCH

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the OCNG (OFDMA channel-noise generation) for PDCCH on or off. ONCG is allocated on empty resource element groups in the control channel region (PDFICH/PDCCH/PHICH/Cell-Specific RS). OCNG is pseudo-random data and does not include transport channel coding. For more information, refer to 3GPP TS 36.521-1.

On | Unallocated control region is filled with OCNG. When carrier aggregation is used with PHICH, the PDCCH is padded with resource element groups as OCNG.
Off | Unallocated control region is not filled with OCNG.

Refer to 3GPP TS 36.521-1.

P_A

Choice: Off | -6 dB | -4.77 dB |-3 dB |-1.77 dB | 0 dB | 1 dB | 2 dB | 3 dB

Default: 0 dB

Double-click or use the drop-down menu to select the PDSCH relative power. This power value is applied to all allocations that belong to the UE.

The P_A value selected is applied to the Power parameter.

For more details, refer to 3GPP TS 36.213 and 36.331.

Payload Size (bits)

Range: 1 to 1920

Default: 24

Enter a value for the payload size in bits. Refer to the 3GPP technical standards for more information.

PDCCH Allocations

Range:

1 to 3 for number of downlink resource blocks > 10 (depends on System Bandwidth)

2 to 4 for number of downlink resource blocks ≤ 10 (depends on System Bandwidth)

Default: 1,1,1,1,1,1,1,1,1,1

For DCI channels, enter the number of OFDMA symbols used for PDCCH (non-MBSFN subframes) in each subframe, separated by commas. Ten inputs for each subframe are available, as described in 3GPP TS 36.211.

If the MCH (Multicast channel) state is set to on and the MBSFN subframe is assigned, the corresponding PDCCH subframes are updated with the number of symbols for MBSFN subframes set by the parameter, Number of PDCCH Symbols, in MCH.

Closed See example.

Waveform Generation Length = 2 Frames (20 ms)

Uplink Downlink Configuration = 5 (D,S,U,D,D,D,D,D,D,D)

Radio Frame Allocation Period = 2

Radio Frame Allocation Offset = 0

Subframe Allocation = 1 Frame

Allocation Bitmap = "10110" (selects subframes 3, 7, 8)

Number of PDCCH Symbols (Non-MBSFN Region Length)

PDCCH Allocations = "3,3,3,3,3,3,3,3,3,3" (Before the MCH setting changes)

PDCCH Allocations = "3,3,3,2,3,3,3,2,2,3" (After the MCH setting changes)

PDCCH Search Space

Choice: Common | UE Specific

Default: UE Specific

Double-click or use the drop-down menu to set the search space of the PDCCH channels.

PDCCH Search Space is only available to be set when the current component cell is set to be the Primary Cell component carrier. For secondary cell component carriers, this parameter is inactive.

PDCCH UE Tx Antenna

Choice: UE Port 0 | UE Port 1

Default: UE Port 0

Double-click or use the drop-down menu to set the UE Tx Antenna for the selected DCI channel.

PDSCH Start

Range: 1 to 4

Default: 3

Enter the starting OFDM symbol of the PDSCH for the concerned SCell.

See 3GPP TS 36.211, 36.212, 36.213 and 36.331 for more information.

PHICH Allocation

Choice: 1/6 | 1/2 | 1 | 2

Default: 1/6

Double-click or use the drop-down menu to set the allocation value for the selected PHICH channel.

The software sets the PHICH Maximum Group Number, based on the PHICH Allocation value.

The PHICH carries the hybrid-ARQ ACK/NACK. Multiple PHICHs mapped to the same set of resource elements constitute a PHICH group, where PHICHs within the same PHICH group are separated through different orthogonal sequences.

A PHICH resource is identified by the index pair [image], where [image] is the PHICH group number and [image] is the orthogonal sequence index within the group.

For frame structure type 1, the number of PHICH groups [image] is constant in all subframes and given by

where [image] is provided by higher layers. The index [image] ranges from 0 to [image].

PHICH BPSK Symbol Power

Range: -60 to 20 dB

Default: 0 dB

Enter a power level in dB for PHICH BPSK symbols. See Output Power Calculation (Downlink) for a description of how the software applies your power settings.

PHICH Duration

Choice: Normal | Extended

Default: Normal

Double-click or use the drop-down menu to set the PHICH duration for the selected HI channel as defined in 3GPP TS 36.211

PHICH Maximum Group Number

Display the maximum number of PHICH groups in each subframe.

The maximum number of PHICH groups is related to Uplink and Downlink Configuration and PHICH Allocation.

Multiple PHICHs mapped to the same set of resource elements constitute a PHICH group, where PHICHs within the same PHICH group are separated through different orthogonal sequences. See 3GPP TS 36.211 for details.

PHICH Mi Definition

Choice: STD | ETM

Default: STD

Set the Mi definition mode of PHICH channel. if the PHICH Mi definition mode is ETM, all the Mi will be set to 1. See 3GPP TS 36.141 for detail.

PMCH Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the PMCH (Physical Multicast Channel). See Output Power Calculation (Downlink) for a description of how the software applies your power settings.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the selected channel. See Output Power Calculation (Downlink) for a description of how the software applies your power settings.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

For a UE-specific reference signal, enter a power level in dB. This parameter is only available when UE-Specific Reference signal state is On. See Output Power Calculation (Downlink) for a description of how the software applies your power settings.

Precoding Method

Choice: Without CDD | Large-delay CDD

Default: Without CDD

Double-click or use the drop-down menu to select a cyclic delay diversity (CDD) precoding method when Spatial Multiplexing is selected as the diversity method in Diversity Method field. See 3GPP TS 36.211 for detailed information about precoding.

Radio Frame Allocation Offset

Range: 0 to 7 (Integer)

Default: 0

Enter a value for the MBSFN subframe offset unit in radio frames. The upper range must be less than or equal to the (Radio Frame Allocation Period - 1) or 7.

Radio-frames that contain MBSFN subframes occur when SFN (mod Radio Frame Allocation Period) = Radio Frame Allocation Offset is satisfied.

Refer to 3GPP TS 36.331 for more details.

Radio Frame Allocation Period

Choice: 1 frame | 2 frames | 4 frames | 8 frames | 16 frames | 32 frames

Default: 1 frame

Double-click or use the drop-down menu to set the radio frame allocation period. Radio-frames that contain MBSFN subframes occur when the equation Single Frequency Network (SFN) mod Radio Frame Allocation Period = Radio Frame Allocation Offset is satisfied. 4 frames are available only if the Radio Allocation Period is 4, 8, 16, or 32.

Refer to 3GPP TS 36.331.

RB Size

Choice: 6 |15 |25 | 50 | 75 | 100

Display the PMCH resource block size which is the same as maximum system resource blocks size as follows:

6RB (1.4MHz), 15RB (3MHz), 25RB (5MHz), 50RB (10MHz), 75RB (15MHz) and 100RB (20MHz).

This is a read only parameter.

Refer to 3GPP TS 36.213.

Resource Allocation Type

Choice: Type 0 | Type 1 | Type 2

Default: Type 2

Double-click or use the drop-down menu to set the resource allocation type for the DL-SCH.

RNTI

Range: 1 to 65523 (for C-RNTI), 65535 (for SI-RNTI), 65534 (0xFFFE) (for P-RNTI)

Default: 1

Enter a value for the Radio Network Temporary Identifier (RNTI).

Refer to 3GPP TS 36.211 and 36.321.

RNTI Type

Choice: SI-RNTI (System Information) | C-RNTI (Dedicated Traffic) | P-RNTI (Paging Information)

Default: C-RNTI (Dedicated Traffic)

Double-click or use the drop-down menu to select the RNTI type.

Cell RNTI (C-RNTI) and System Information RNTI (SI-RNTI) are supported.

  • RNTI = 1 to 65523 case, works for C-RNTI.

  • RNTI = 65535 case, works for SI-RNTI.

  • RNTI = 65534 case, works for P-RNTI

The SI-RNTI is used for setting SIB transmissions on DL-SCH that can be set manually. Refer to RNTI.

RV Index Configuration

Choice: Auto | Manual

Default: Auto

Double-click or use the drop-down menu to set the RV Index Configuration for the selected DL-SCH channel.

In Auto mode, the RV Index for PDSCH's will be defined by RV Index Sequence. PDSCH will use the first element in RV Index Sequence by default and the index will increase when Retransmission state is on.

In Manual mode, RV Index will be set manually in DL-SCH TX Sequence Dialog and independent with each Retransmission. RV Index Configuration changes to Manual when RNTI Type is SI-RNTI or P-RNTI.

Couplings:

When RNTI Type = P-RNTI, the following parameters are effected:

Transmission Configuration parameter's DL-SCH Tx sequence dialog box parameters are changed as follows:

  • N_1A_PRB becomes available and is set to 2.

  • Block Size 0 is set to 32.

  • Modulation Type is QPSK.

Channel Setup node, the following parameters are changed:

  • 1. General Settings > Transmission Mode will be set to 2, if 2 or 4 antennas are selected.

  • 3. Transmission Settings > RV Index Configuration is Manual (not editable).

RV Index Sequence

Range of sequence length: 1 to 16

Range of each value: 0 to 3

Default: 0,2,3,1

Enter the numbers of individual RV Index Sequence, separated by commas (for example, 1,2,3).

Scheduling Cell ID

Range: 0 to 7

Default: 0

Enter the serving cell index which cell signals the downlink allocations and uplink grants for the concerned SCell.

Refer to 3GPP TS 36.211, 36.212, 36.213, and 36.331.

Scrambling

Choice: On | Off

Default: On

This parameter applies to DCI, BCH, CFI, HI, and MCH channels.

Double-click or use the drop-down menu to turn scrambling on or off.

SFN Start Number

Range: 0 to 255

Default: 0

Set Auto MasterInformationBlock to On to make this parameter active.

This is the start number of the SFN (8 bits in binary, 2 bytes in hexadecimal).

If Auto MasterInformationBlock = On, SFN is incremented every 40 subframes (40 ms) and used for part of the payload data. For example, If you generate a 80 ms signal with Auto MasterInformationBlock set to On, the initial 40 ms of the SFN = SFN Start Number and the next 40 ms of the SFN = SFN Start Number +1.

If Auto MasterInformationBlock = Off, SFN is not incremented and the fixed value SFN Start Number is used for part of the payload data in each 40 subframes.

Refer to the 3GPP TS36.331.

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the channel On or Off.

For MCH:

  • On: Both channel MBSFN Reference Signals and MCH (PMCH) are on.

  • Off: Both channel MBSFN Reference Signals and MCH (PMCH) are off.

For MCH, where the cyclic prefix (CP) is set to Normal (normal CP) and the MCH State is On: the Non-MBSFN region in the MBSFN subframe is configured to normal CP and the MBSFN region in the MBSFN subframe is configured to extended CP.

For more detail, refer to 3GPP TS 36.211.

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the UE Specific Reference Signal state on or off. This is only available when Transmission Mode is 7 or 8.

Subframe Allocation

Choice: 1 frame | 4 frames

Default:1 Frame

Double-click or use the drop-down menu to set the subframe allocation for MBSFN within the radio frame allocation period defined by the two parameters: Radio Frame Allocation Period and Radio Frame Allocation Offset. 4 frames are available only if the Radio Allocation Period is 4, 8, 16, or 32.

TBS Index

Advanced LTE TDD Carrier–Downlink

Choices:Off | 0 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 |13 |14 | 15 | 16 | 17 | 18 | 19 | 20 | 21 | 22 | 23 | 24 | 25 | 26

Default: 5

Enter a value for the TBS index for the MCH/PMCH. The range of available values depends on the modulation type: QPSK (0 to 10), 16QAM (10 to 19), 64QAM (19 to 26). Where the MCS Index = 0 to 28, both the TBS Index and the Modulation are automatically set by the software and not editable.

MCS/TBS Index Value | Status of Coupled Parameters
MCS Index = 0 to 28 | Modulation and TBS Index are automatically set by the software
MCS Index = Off | Modulation and TBS Index are settable by the user.
TBS Index = 0 to 26 | TB Size is automatically set by the software.
TBS Index = Off | TB Size is settable by the user.

Refer to 3GPP TS 36.213.

Advanced LTE-A TDD Carrier–Downlink

Choice: Off | 0 | 1 | 2 | … | 26 (Modulation and TBS Index Table 1)

Off | 0 | 1 | 2 | … | 33 (Modulation and TBS Index Table 2)

The choice value selection is dependent on the UE Category selection.

Default: 0

Coupling: Read only and set by the software until MCS Index is set to Off.

When active, double click in the cell or use the drop-down menu to make the selection.

For more information, refer to 3GPP TS 36.211, 36.213 and 36.311.

TB Size

Advanced LTE TDD Carrier–Downlink

Range 1 to 75376 (Integer)

Enter a value for the transport block size for the MCH/PMCH.

Closed Refer to the table for active conditions.
MCS/TBS Index Value | Status of Coupled Parameters
MCS Index = 0 to 28 | Modulation and TBS Index are automatically set by the software
MCS Index = Off | Modulation and TBS Index are settable by the user.
TBS Index = 0 to 26 | TB Size is automatically decided by the software.
TBS Index = Off | TB Size is settable by the user.

For more detail, refer to 3GPP TS 36.213.

Advanced LTE-A TDD Carrier–Downlink

Range: 1 to 75376 (Modulation and TBS Index Table 1)

1 to 97896 (Modulation and TBS Index Table 2)

The maximum range value is dependent on the UE Category selection.

Coupling: Read only and set by the software until TB Size is set to Off

When active, enter the size of the transport block.

For more information, refer to 3GPP TS 36.211, 36.213 and 36.311.

Transmit Antenna Port

Choice:

Port 5 ( Transmission Mode 7 case)

Port 7 | Port 8 (Transmission Mode 8 to 10 and Total Number of Antennas is 1)

Port 7 | Port 8 | Port 7 - 8 (Transmission Mode 8 and Total Number of Antennas is 2 to 8)

Port 7 | Port 8 | Port 7 - 8 (Transmission Mode 9 to 10 and Total Number of Antennas is 2)

Port 7 | Port 8 | Port 7 - 8 |Port 7 - 9 | Port 7 - 10 (Transmission Mode 9 to 10 and Total Number of Antennas is 4)

Port 7 | Port 8 | Port 7 - 8 | Port 7 - 9 | Port 7 - 10 | Port 7 - 11 | Port 7 - 12 | Port 7 - 13 | Port 7 - 14 (Transmission Mode 9 to 10 and Total Number of Antennas is 8)

Coupling: This setting is active when UE-Specific Reference signal state (DM-RS) is On.

Double-click or use the drop-down menu to set Transmission Antenna Port for UE Specific Reference Signal.

In case of PDCCH Allocations = 4 (1.4MHz System Bandwidth), Port 5 is not available to select.

Refer to 3GPP TS 36.211, 36.212, and 36.213.

Transmit Antenna Weight for Port 5 (and Ports 7 to 14)

Default: 0.0+0.0j, 1.0+0.0j

Coupling: Visible when Antenna Beam Configuration Mode is set to Complex and UE-Specific Reference signal state (DM-RS) is On.

The number of ports displayed is dependent on the antenna configuration and the Transmit Antenna Port setting.

Enter a Transmission Antenna Weight complex number(s) for the UE Specific Reference Signal for the corresponding antenna port. When Total Number of Antennas is greater than one, enter a complex array such as "1.0+0.0j, 1.0+0.0j".

When Complex is selected as the Antenna Beam Configuration Mode, the existing value for the Antenna Beam for Port parameter is automatically calculated to a complex value that is available for use by this parameter (Transmit Antenna Weight Port). But the Transmit Antenna Weight Port complex value is not converted to degrees.

Transmission Configuration (DL_SCH)

Click the [image] button in this cell to open the DL-SCH Tx sequence window.

Transmission Configuration (PHICH)

Click the [image] button in this cell to open the Closed PHICH Tx configuration window.

Transmission Configuration Length

Range: 1 frame to Waveform Generation Length, Max 16 frames

Default: 1 frame

Set the length of transmission configuration. The definition of transmission configuration of SCH and DCI will be repeated to the end of the Waveform Generation Length. Refer to Waveform Structure (Long).

UI parameter couplings:

If the Waveform Generation Length parameter is set less than the Transmission Configuration Length, the value of Transmission Configuration Length is changed to be ≤Waveform Generation Length. In summary, the relation between Transmission Configuration Length and Waveform Generation Length is that the Transmission Configuration Length ≤Waveform Generation Length. Refer to the Waveform Generation Length parameter.

 | Channel | Transmission Configuration Length | Default Value
Downlink | DL-SCH 1 - 8 | The value is available to set 1 -16 Frames With the following rule: Transmission Configuration Length ≤Waveform Generation Length | 1 Frame
 | DCI 1 - 8 | The value is automatically set to same value corresponding DL-SCHs. | Same as UL-SCH
 | DCI 9 - 12 | The value is automatically set to same value as Waveform Generation Length. | 1 Frame

Example: Where the Transmission Configuration Length is set to 2, Frames #0 and #1 configurations (Sequences #1 and #2) will be repeated while generating Closed SCH.

Transmission Mode

Choice:

1 | 7 | 8 | 9 | 10 (for single antenna)

2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 (2 or 4 antennas)

7 | 8 | 9 | 10 (8 antennas)

Default: 1

Double-click or use the drop-down menu to set the Transmission Mode for the selected DL-SCH channel.

The following table shows the transmission scheme for each Transmission Mode:

Transmission Mode | Transmission Scheme of PDSCH
1 | Signal Antenna Port, Port 0
2 | Transmit Diversity
3 | Open-Loop Spatial Multiplexing
4 | Close-loop Spatial Multiplexing
5 | Multi-user MIMO
6 | Close-loop Spatial Multiplexing with Single Layer
7 | Single Antenna Port (Port 5)
8 | Single Antenna Port (Port 7 or 8) / Dual Layer Transmission (Ports 7 or 8)
9 | Single Antenna Port (Port 7 or 8) / Up to 8 Layer Transmission (Ports 7 to 14)
10

In case of PDCCH Allocations = 4 with 1.4 MHz system bandwidth, transmission mode 7: Single Antenna Port (Port 5) is not available to select.

Transmission mode 8 is not available, when extended cyclic prefix is used in the downlink.

Refer to 3GPP TS 36.212 and 36.213.

Transmission Setting Mode

Choice: MCS | Manual

Default: MCS

Double-click or use the drop-down menu to select the PDSCH Transmission Setting Mode.

In MCS mode, the modulation and transport block size of each transmission is determined by the MCS index according to the table in 3GPP 36.213 7.1.7

UE Category—DL-SCH

Choices: 0 |1 | 2 | 3 | 4 | 5 | 6 (2 Layers) | 6 (4 Layers) | 7 (2 Layers) | 7 (4 Layers) | 8 | 9 (2 Layers) | 9 (4 Layers) | 10 (2 Layers) | 10 (4 Layers) | 11 (2 Layers) | 11 (4 Layers) | 12 (2 Layers) | 12 (4 Layers) | 13 (2 Layers) | 13 (4 Layers) | 14 (2 Layers) | 14 (4 Layers) | 15

Default: 15

Double-click or use the drop-down menu to set the UE Category for the corresponding DL-SCH.

Maximum number of supported layers for spatial multiplexing in the downlink is specified for each category respectively.

  • some UE Categories have two capabilities 2 layers and 4 layers.

  • UE Category defines a combined uplink and downlink capability.

UE Categories determine the maximum number of DL-SCH transport block bits that the UE is capable of receiving in a single transport block within a DL-SCH TTI. The UE categories for the DL-SCH channels are implemented according to the 3GPP standards as shown in the following table:

UE Category | Maximum number of DL-SCH transport block bits received within a TTI1 | Maximum number of bits of a DL-SCH transport block received within a TTI | Total number of soft channel bits | Maximum number of supported layers for spatial multiplexing in DL
Category 02 | 1000 | 1000 | 25344 | 1
Category 1 | 10296 | 10296 | 250368 | 1
Category 2 | 51024 | 51024 | 1237248 | 2
Category 3 | 102048 | 75376 | 1237248 | 2
Category 4 | 150752 | 75376 | 1827072 | 2
Category 5 | 299552 | 149776 | 3667200 | 4
Category 6 | 301504 | 149776 (4 layers) 75376 (2 layers) | 3654144 | 2 or 4
Category 7 | 301504 | 149776 (4 layers) 75376 (2 layers) | 3654144 | 2 or 4
Category 8 | 2998560 | 299856 | 35982720 | 8
Category 9 | 452256 | 149776 (4 layers) 75376 (2 layers | 5481216 | 2 or 4
Category 10 | 452256 | 149776 (4 layers) 75376 (2 layers) | 5481216 | 2 or 4
Category 11 | 603008 | 149776 (4 layers, 64QAM) 195816 (4 layers, 256QAM) 75376 (2 layers, 64QAM) 97896 (2 layers, 256QAM) | 7308288 | 2 or 4
Category 12 | 603008 | 149776 (4 layers, 64QAM) 195816 (4 layers, 256QAM) 75376 (2 layers, 64QAM) 97896 (2 layers, 256QAM) | 7308288 | 2 or 4
Category 13 | 391632 | 195816 (4 layers) 97896 (2 layers) | 3654144 | 2 or 4
Category 14 | 391632 | 195816 (4 layers) 97896 (2 layers) | 3654144 | 2 or 4
Category 15 | 3916560 | 391656 | 47431680 | 8

1. During carrier aggregation operation, the DL-SCH processing capability can be shared by the UE with that of the MCH received from a serving cell. If the total eNB scheduling for DL-SCH and an MCH in one serving cell, for a given TTI, is larger than the defined processing capability, the prioritization between DL-SCH and MCH is left up to the UE implementation.

2. Within one TTI, a UE indicating category 0 shall be able to receive up to 1000 bits for a transport block associated with C-RNTI/Semi-Persistent Scheduling C-RNTI/P-RNTI/SI-RNTI/RA-RNTI and up to 2216 bits for another transport block associated with P-RNTI/SI-RNTI/RA-RNTI

For more information on UE Categories, refer to 3GPP TS 36.212 and 36.306.

UE Category—MCH/PMCH

Choices: 0 | 1 | 2 | … | 15

Default: 15

Set the UE category by double clicking in the cell or using the drop-down menu to select the category. The UE category determines the maximum number of bits in the MCH transport block.

For more information on the UE categories, refer to 3GPP TS 36.211, 36.212, 36.213, and 36.306.

UE Specific Reference Signal State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the UE Specific Reference Signal state on or off.

Virtual Resource Blocks Type

Choice: Localized | Distributed

Default: Localized

Double-click or use the drop-down menu to set the Virtual Resource Blocks Type for the Resource Allocation Type 2.

In the distributed allocation mode, the RB gap in the PDSCH will be valid and the RB size will be limited to the maximum number for the distributed type. See the Resource Allocation in 3GPP TS 36.213 for detailed information.


Tx Map (Advanced Downlink LTE-A TDD)

The enabled downlink shared channel configurations from the Channel Setup node and the DL-SCH Tx sequence window are displayed in the Tx Map.


Carrier Aggregation (Advanced LTE-A TDD UL)

The figure below shows a Basic LTE-A signal carrier with two component carriers. The carrier aggregate (maximum 1) together with the component carriers (maximum 5) count as 1 carrier of the 16 carrier maximum.

The Carrier Aggregation node is comprised of the carrier aggregation configuration summary table that contains a list of component carriers (CCn's) (3). Figure 1 shows these carriers as CC1 and CC2.

The top row of buttons are the Waveform Setup buttons provided for convenience to add other carriers to your waveform setup. If your current configuration includes a carrier aggregation, all of the LTE-A carriers are grayed out when you select Closed Add Carrier. To use a different LTE-A carrier, first delete the current carrier aggregation.

Figure 1. Advanced LTE-A TDD Carrier Aggregation Uplink

Carrier Aggregation Configuration Summary Table

This table displays the key parameters for each component carrier that is aggregated in the waveform. The carrier aggregate (maximum 1) together with the component carriers (maximum 5) count as 1 carrier of the 16 carrier maximum. See Component Carrier list.

Carrier Aggregation Capability

Double-click or use the Closed drop-down menu to select the combination of the number of component carriers and system bandwidth from the list. (Editing any parameters of the selected component carriers or adding other component carriers changes the Carrier Aggregation Capability to User Defined.)

Auto Carrier Aggregation Configuration

Choice: On | Off

Default On

Click in the cell and use the drop-down arrow to select either On or Off.

On | Frequency Offset, Cell ID, Uplink Downlink Configuration, Special Subframe Configuration, and Cyclic Prefix are automatically set by the software. In addition for the secondary cells, Uplink Downlink Configuration, Special Subframe Configuration, and Cyclic Prefix become read only and use the same values as the primary cell. For Cell ID, it is set to the same value as the Component Carrier index number.
Off | Manually set Frequency Offset, Cell ID, Uplink Downlink Configuration, Special Subframe Configuration and Cyclic Prefix.

Component Carrier List

This list enables you to view the key parameters for each component carrier in the aggregated carrier. You can add or delete component carriers using the buttons above the list of component carriers (see descriptions below). You can add up to a maximum of 5 component carriers. Click a component carrier in the tree view to access the carrier setup parameters.

Click the Predefined Carrier Aggregation button to open a window with a list of Closed pre-defined carrier aggregation configurations. To replace the current component carrier configurations in the setup table with one of the pre-defined configurations, select the desired configuration and click OK or double-click the configuration.

Click the Add Component Carrier button to open a Closed drop-down list from which you can select a component carrier to add to the setup table. The maximum number of component carriers is 5.

Option Vxx adds the capability to select an Advanced LTE-A FDD component carrier. Refer the N7624B Signal Studio for LTE/LTE Advanced FDD help for more information.

Click the Delete Component Carrier button to delete the currently selected carrier in the list of component carriers.

Click the Copy Component Carrier button to quickly add a copy of the selected component carrier to the component carrier list in the carrier aggregation configuration summary table.

CC n (Component Carrier 1...n)

There can be up to 5 component carriers per aggregated carrier.

State

Click to enable or disable the component carrier selected.

System Bandwidth

Choice: 1.4 MHz (6RB) | 3 MHz (15RB) | 5 MHz (25RB)) | 10 MHz (50RB) | 15 MHz (75RB) | 20 MHz (100RB)

Default:

LTE: 5 MHz (25RB)

LTE-A: 10 MHz (50RB)

Double-click or use the drop-down menu to set the system bandwidth and number of resource blocks (RB). When you select a system bandwidth, the software automatically adjusts the values in the Total Number of Resource Blocks and Total Number of Occupied Sub-carriers cells.

Advanced LTE and LTE-A carriers only: When the system bandwidth is decreased, the DL-SCH Tx Sequence window's RB size, and some of the other data channel's settings, are reconfigured, similar to when a predefined configuration is executed. But, when the system bandwidth is increased, no change to the DL-SCH Tx Sequence window's RB size, or the other data channel's settings occurs.

Frequency Offset

Default: 0.000000 Hz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting.

The range of the parameter is coupled to the Oversampling Ratio, the Base Sampling Rate, the System Bandwidth, and the max ARB Sample Clock of the connected signal generator.

Maximum Frequency Offset for each Maximum Arb Sample Clock and System Bandwidth
Maximum Frequency Offset | System Bandwidth
Maximum Arb Sample Clock (RF Bandwidth) | 1.4 MHz | 3 MHz | 5 MHz | 10 MHz | 15 MHz | 20 MHz
75 MHz (60 MHz) | 15.36 MHz
100 MHz (80 MHz) | 30.72 MHz |  |  |  |  | 30 MHz
125 MHz (100 MHz) | 46.08 MHz |  |  | 45 MHz | 42.5 MHz | 40 MHz
150 MHz (120 MHz) | 46.08 MHz
200 MHz (160 MHz) | 76.8 MHz |  |  | 75 MHz | 72.5 MHz | 70 MHz

This Frequency Offset parameter and another Frequency Offset parameter on each Component Carrier node are coupled.

Cell ID

Range: 0 to 503

Default: 0 with Auto Carrier Aggregation Configuration set to Off

Same as the CC index number with auto Carrier Aggregation Configuration set to On

With Auto Carrier Aggregation Configuration set to Off, enter a cell ID value.

The software uses this value to set the Physical Layer Cell ID group and sector cells:

Cell ID = (3 x Physical Cell ID group + Physical Cell ID sector).

See 3GPP TS 36.211 for more information.

Primary Cell

Click the cell to assign a Component Carrier (CCn)as the primary cell. In carrier aggregation, only one component carrier can be selected. If the primary cell carrier is deleted or its State changes, the software automatically sets a another component carrier as the primary cell.

Serving Cell Index

Secondary Cell Range: 1 to 7

Sets the Serving Cell Index for the component carrier.

  • The primary cell is always set to 0 and cannot be changed.

  • The secondary cell Serving Cell Index can be set to a value in the range.

The software automatically sets the primary cell to 0. If the primary cell selection changes to another component carrier, the software automatically changes that carrier's Serving Cell Index to 0 and renumbers the Serving Cell Index for the others.

Refer to 3GPP TS 36.211, 36.212, 36.213, and 36.331.

ABS

Choices: checked (on) | unchecked (off)

Default: unchecked (off)

Set whether to use ABS (almost blank subframe) for each component carrier by clicking the check-box:

unchecked (off) | ABS is disabled and its related settings are inactive (nothing shows).
checked (on) | ABS is available for the component carrier and its related settings are active.

When the component carrier ABS state is on, the Transmission Configuration Length for all DL-SCH becomes a read-only value that is set to the same length as the Waveform Generation Length.

ABS Pattern Info

Coupling: Inactive until ABS is checked

Set the ABS bit pattern for the corresponding component carrier by double-clicking on User Bits (n). This launches the Closed Bitmap Edit dialog box that is used to enter the bits.

The length of the bitmap is dependent on the Uplink Downlink Configuration setting:

Uplink Downlink Configuration Value | ABS Bitmap Length (Bits)
0 | 1–70
1–5 | 1–20
6 | 1–60

Each bit position represents a subframe. Use the keyboard to enter either a 0 or a 1.

0 | ABS is not applied to the subframe.
1 | ABS is applied to the subframe.

Within the Bitmap Edit dialog box are two buttons:

  • Import allows the loading of a previously saved bitmap.

  • Export allows the saving of the current bitmap.

The first position of the ABS pattern corresponds to subframe 0 where SFN = 0. The ABS pattern is continuously repeated during the Transmission Configuration Length of the DL-SCH. For example, if the Transmission Configuration Length is 9 frames and there are 30-bits in the ABS pattern, the ABS bit pattern would repeat three times.

Per the 3GPP standards, ABS is designated as protected from inter cell interference from the sending eNB.

PSS/SSS on ABS

Choices: checked (on) | unchecked (off)

Default: checked (on)

Coupling: Inactive until ABS is checked

Click the check-box to either enable or disable PSS/SSS during the ABS for the corresponding component carrier.

PBCH on ABS

Choices: checked (on) | unchecked (off)

Default: checked (on)

Coupling: Inactive until ABS is checked

Click the check-box to either enable or disable PBCH during the ABS for the corresponding component carrier.

Hardware

Choices: Inter-band 1 | Inter-band 2

These parameter choices are only displayed if you have chosen one of the Inter-band hardware setups. Determines the RF band (inter-band) and the antenna that each component carrier's settings are applied to.

Graph View

The graph view displays several different representations of the generated waveform. For more information, see Graph View


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Uplink (Advanced LTE-A TDD)

Predefined Config.

Click the Predefined Configuration button to access a dialog box from which you can select a base channel configuration.

UL FRC Wizard

Click the Wizard button to open the UL FRC Wizard to set up a UL fixed reference channel (FRC).

UL RMC Wizard

Click the Wizard button to open the UL RMC Wizard to set up a UL reference measurement channel (RMC) for transmitter performance.

PUCCH Wizard

Click the Wizard button to open the PUCCH Wizard to set up a PUCCH test. With a four antenna configuration, this button is disabled.

1. Cell Parameters

Cell ID

Range: 0 to 503

Default: 0 with Auto Carrier Aggregation Configuration set to Off

Same as the CC index number with auto Carrier Aggregation Configuration set to On

With Auto Carrier Aggregation Configuration set to Off, enter a cell ID value.

The software uses this value to set the Physical Layer Cell ID group and sector cells:

Cell ID = (3 x Physical Cell ID group + Physical Cell ID sector).

See 3GPP TS 36.211 for more information.

Antenna Port

Choice: (It depends on Total Number of Antennas.)

0 (1 Antenna case)

0 | 1 (2 Antenna case)

0 | 1 | 2 | 3 | 4 (4 Antenna case)

Default: 0

Double-click or use the drop-down menu to set the antenna to be used for transmitting the uplink signal.

The available selections are determined by the Total Number of Antennas setting, see this parameter below.

When the MIMO Quick Setup is selected, this parameter is hidden.

See 3GPP TS 36.211 for more information.

Total Number of Antennas

Choice: 1 Antenna | 2 Antennas | 4 Antennas

Default: 1 Antenna

Double-click or use the drop-down menu to set the total number of physical antenna port configuration used for uplink transmission in this cell.

When the MIMO Quick Setup is selected, this parameter is read-only.

See 3GPP TS 36.211 for more information.

System Bandwidth

Choice: 1.4 MHz (6RB) | 3 MHz (15RB) | 5 MHz (25RB)) | 10 MHz (50RB) | 15 MHz (75RB) | 20 MHz (100RB)

Default:

LTE: 5 MHz (25RB)

LTE-A: 10 MHz (50RB)

Double-click or use the drop-down menu to set the system bandwidth and number of resource blocks (RB). When you select a system bandwidth, the software automatically adjusts the values in the Total Number of Resource Blocks and Total Number of Occupied Sub-carriers cells.

Advanced LTE and LTE-A carriers only: When the system bandwidth is decreased, the DL-SCH Tx Sequence window's RB size, and some of the other data channel's settings, are reconfigured, similar to when a predefined configuration is executed. But, when the system bandwidth is increased, no change to the DL-SCH Tx Sequence window's RB size, or the other data channel's settings occurs.

Total Number of Resource Blocks

The value in this cell is set by the software based on the System Bandwidth setting.

Total Number of Occupied Sub-carriers

The value in this cell is set by the software based on the System Bandwidth setting. The center subcarrier is not used for downlink transmission, so the number of transmitted subcarriers is one less than the number of occupied subcarriers.

Subcarrier Spacing

Default: 15 KHz

Displays the subcarrier spacing.

Cyclic Prefix

Choice: Normal | Extended

Default: Normal

Coupling: For Basic, Advanced UL, and Advanced DL LTE-A TDD when Auto Carrier Aggregation Configuration is set to On, this setting is read only for the secondary cells that has the same value as the primary cell.

Double-click or use the drop-down menu to select a Normal or Extended cyclic prefix. The software sets the Number of Symbols for Resource Block based on the cyclic prefix selection.

Number of Subcarriers for Resource Block

Default: 12

Displays the number of consecutive subcarriers in a resource block.

Number of Symbols for Resource Block

Default: 7 (Normal CP); 6 (Extended CP)

Displays the number of consecutive OFDM symbols in a slot.

PUSCH DFT Swap

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn PUSCH DFT Swap on or off.

PUSCH DFT Swap influences how data is mapped to resource elements in the physical uplink shared channel after discrete Fourier transform is performed. PUSCH DFT Swap can be turned on or off to provide two different interpretations of how data should be mapped to resource elements in PUSCH channels.

2. Sounding Reference Signal

State

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the sounding reference signal on or off.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Set the power of the sounding reference signal in dB.

Group/Sequence Hopping

Choice: Off | Group Hopping | Sequence Hopping

Default: Off

Double-click or use the drop-down menu to select the hopping type sounding reference signal related to. (See 3GPP TS 36.211)

Subframe Configuration

Choice: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13

Default: 0

Double-click or use the drop-down menu to select subframe configuration of sounding reference signal.

Maximum UpPTS

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the sounding reference signal Max UpPTS state on or off.

Number of Format 4 PRACH

Set the Number of Format 4 PRACH burst allocated in the special subframe, you can set this value to 0, 1, 2, 3, 4 ,5, 6 for each special subframe as described in 3GPP TS 36.211.

Cyclic Shift (nSRS_CS)

Choice: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7

Default: 0

Double-click or use the drop-down menu to select the value which is used to calculate the cyclic shift for sounding reference signal.

Bandwidth Configuration (C_SRS)

Choice: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7

Default: 7

Double-click or use the drop-down menu to select the Bandwidth configuration for sounding reference signal.

Bandwidth (B_SRS)

Choice: 0 | 1 | 2 | 3

Default: 0

Double-click or use the drop-down menu to select the Bandwidth indicator for sounding reference signal.

SRS Bandwidth (B_SRS), SRS Hopping Bandwidth (b_hop), and Frequency Hopping are related as follows:

Frequency Hopping On: SRS Hopping Bandwidth (b_hop) < SRS Bandwidth (B_SRS)

Frequency Hopping Off: SRS Hopping Bandwidth (b_hop) >= SRS Bandwidth (B_SRS)

Transmission Comb (kTC)

Choice: 0 | 1

Default: 0

Double-click or use the drop-down menu to select the offset value which is related with the transmission comb for sounding reference signal.

Hopping Bandwidth (b_hop)

Range: Choice: 0 | 1 | 2 | 3

Default: 3

Double-click or use the drop-down menu to select the frequency hopping bandwidth of sounding reference signal.

SRS Bandwidth (B_SRS), SRS Hopping Bandwidth (b_hop), and Frequency Hopping are related as follows:

Frequency Hopping On: SRS Hopping Bandwidth (b_hop) < SRS Bandwidth (B_SRS)

Frequency Hopping Off: SRS Hopping Bandwidth (b_hop) >= SRS Bandwidth (B_SRS)

Frequency Domain Position (nRRC)

Range: 0 to 23

Default: 0

Enter the frequency domain position RRC value which is from the upper layer for sounding reference signal.

Configuration Index (I_SRS)

Choice: 0 to 644

Default: 0

Enter the configuration Index for sounding reference signal.

SRS Bandwidth (B_SRS), SRS Hopping Bandwidth (b_hop), and Frequency Hopping are related as follows:

Frequency Hopping On: SRS Hopping Bandwidth (b_hop) < SRS Bandwidth (B_SRS)

Frequency Hopping Off: SRS Hopping Bandwidth (b_hop) >= SRS Bandwidth (B_SRS)

Periodicity (T srs)

This is read only parameter and the value is automatically selected by the software. Refer 36.213V8.5.0 Table 8.2-1

Subframe Offset Configuration (T offset)

This is read only parameter and the value is automatically selected by the software. Refer 36.213V8.5.0 Table 8.2-1

Frequency Hopping

This is read only parameter and the value is automatically selected by the software.

SRS Bandwidth (B_SRS), SRS Hopping Bandwidth (b_hop), and Frequency Hopping are related as follows:

Frequency Hopping On: SRS Hopping Bandwidth (b_hop) < SRS Bandwidth (B_SRS)

Frequency Hopping Off: SRS Hopping Bandwidth (b_hop) >= SRS Bandwidth (B_SRS)


Channel Setup (Advanced LTE-A TDD Uplink)

  • UL-SCH

  • UCI

UL-SCH

1. General Settings | 2. MIMO Settings
Channel Number Name State Power Scrambling RNTI (1) RNTI (2) Transmission Mode | Number of Layers Number of Codewords Codebook Index DCI Format Activate DMRS with OCC
3. UL CoMP Settings | 4. Demodulation Reference Signal Settings
UL CoMP State PUSCH ID DMRS PUSCH CSH ID | nDMRS(1) Delta SS Group/Sequence Hopping
5. PUSCH Frequency Hopping Parameters | 6. Transmission Settings
Hopping Mode Hopping Type Hopping Offset Hopping Subbands | Number of HARQ Processes Data (1) Data (2) Data Reset Transmission Setting Mode Coding State Support 64QAM RV Index Configuration RV Index Sequence Transmission Configuration Length Transmission Configuration

UCI

1. General Settings | 2. Demodulation Reference Signal Settings | 3. UL CoMP Settings | 4. Transmission Settings
Channel Number Name State Power Scrambling RNTI | N_RB(2) N_CS(1) nPUCCH(2,0) nPUCCH(2,1) Delta Shift Group/Sequence Hopping | UL CoMP State PUCCH ID | Transmission Configuration Length Transmission Configuration Number of ACK bits (PUCCH Wizard) Number of NACK bits (PUCCH Wizard)

Activate DMRS with OCC

Choice: On | Off

Default: On

Double-click or use the drop-down menu to set the Activate-DMRS-with OCC parameter on or off for the corresponding PUSCH transmission.

See 3GPP TS 36.211 and 36.331, for more information.

Channel Number

Displays the identifying number of the selected channel.

Codebook Index

Range: (Dependent on the Total Number of Antennas, Number of Layers, and DCI Format.)

N/A (DCI Format 0 case) Default when 1 Antenna is selected under Uplink Cell Parameters or when DCI Format is set to Format 0.

0 to 5 (2 Antennas, 1 Layer case)

0 (2 Antennas, 2 Layers case) Default when 2 Antennas are selected under Uplink Cell Parameters

0 to 23 (4 Antennas, 1 Layer case)

0 to 15 (4 Antennas, 2 Layers case) Default when 4 Antennas are selected under Uplink Cell Parameters

0 to 11 (4 Antennas, 3 Layers case)

0 (4 Antennas, 4 Layers case)

Enter the codebook index for the corresponding PUSCH transmission.

In case of DCI Format 0, N/A is displayed.

See 3GPP TS 36.211, 36.212 and 36.213, for more information.

Coding State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the coding state On or Off.

Data (1)

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits or user defined bits to use for the data in the transport block 1 (codeword 0).

See 3GPP TS 36.211, 36.212 and 36.213, for more information.

Data (2)

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits or user defined bits to use for the data in the transport block 2 (codeword 1).

See 3GPP TS 36.211, 36.212 and 36.213, for more information.

Data Reset

Choice: None | Every Subframe

Default: None

Sets the data reset method for UL-SCH.

None: the transport data is continuously repeated seed data which is specified by Data parameter. The transport data is not reset till end of the waveform.

Every Subframe: the transport data is reset at the start of each subframe.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

DCI Format

Choice: (Dependent on the Total Number of Antennas, Number of Layers and Number of Codewords.)

Format 0 (1 Antenna case) Default when 1 Antenna is selected under Uplink Cell Parameters

Format 0 | Format 4 (2 Antennas, 1 Layer, 1 Codeword case) Default =4 when 2 Antennas are selected under Uplink Cell Parameters

Format 0 | Format 4 (4 Antennas, 1 Layer, 1 Codeword case) Default =4 when 4 Antennas are selected under Uplink Cell Parameters

Default: Format 0

Double-click or use the drop-down menu to select the DCI Format for the corresponding PUSCH transmission.

See 3GPP TS 36.211, 36.212 and 36.213, for more information.

Delta Shift

Range: 1 to 3

Default: 1

Enter a delta shift value which is used to calculate the cyclic shift alpha for the PUCCH.

Refer to 3GPP TS 36.211.

Delta SS

Range: 0 to 29

Default: 0

Enter a value which determines the sequence shift pattern for the demodulation reference signal (DMRS) for PUSCH.

DMRS PUSCH CSH ID

Range: 0 to 509

Default: 0

Coupling: Read only value unless UL CoMP State is set to On

Enter a value that is used in the initialization of the cyclic shift hopping for the generation of the DMRS PUSCH pseudo random sequence. This is used for the virtual cell ID.

See 3GPP TS 36.211 and 36.311 for more information.

Group/Sequence Hopping

Choice: Off | Group Hopping | Sequence Hopping

Default: Off

Double-click or use the drop-down menu to enable the hopping type for the selected transmission.

Hopping Mode

Choice: (It depends on DCI Format)

Off | Inter-subframe | Intra and inter-subframe (DCI Format 0 case)

Off (DCI Format 4 case)

Default: Off

Double-click or use the drop-down menu to select the PUSCH Hopping Mode in case of DCI Format 0. Otherwise it’s inactive.

See 3GPP TS 36.211, 36.212 and 36.213 for more information.

Hopping Offset

Range: 0 to 98

Default: 0

Enter a value for the frequency hopping offset of PUSCHs. Refer to the 3GPP technical standards for more information.

Refer to the TS 3GPP 36.211 5.3.4 and 36.213 8.4 about the PUSCH frequency hopping for more information.

Hopping Subbands

Range: 1 to 4

Default: 1

Double-click or use the drop-down menu to select the frequency hopping subbands of PUSCHs.

This parameter is only available when the frequency hopping type is set to Type 2.

Refer to the TS 3GPP 36.211 5.3.4 and 36.213 8.4 about the PUSCH frequency hopping for more information.

Hopping Type

Choice: Type1 +1/4 | Type1 -1/4 | Type1 +1/2 | Type2

Default: Type1 +1/2

Double-click or use the drop-down menu to select the frequency hopping type of the PUSCHs.

Type 1 +1/4 and Type 1 -1/4 are only available when the number of system resource blocks is greater than 50.

Refer to the TS 3GPP 36.211 5.3.4 and 36.213 8.4 about the PUSCH frequency hopping for more information.

Name

Displays the name (type) of the selected channel.

UCI = Uplink Control Information

UL-SCH = Uplink Shared Channel

nDMRS(1)

Range: 0 to (Maximum resource elements -1)

Default: 0

Enter the nDMRS(1) value which is used to calculate the cyclic shift alpha of the demodulation reference signal (DMRS).

Refer to 3GPP TS 36.211.

nPUCCH(2,0)

Range: 0 to Calculated Value

This value is dependent on the other related PUCCH settings.

Default: 0

Enter the PUCCH format 2/2a/2b resource index nPUCCH(2,0) for antenna port index 0.

Calculated value is nPUCCH(2) < N_RB(2) * N_RB_sc + Ceiling(N_CS(1)/8) * (N_RBsc – N_CS(1) – 2).

See 3GPP TS 36.211, 36.213 and 36.331, for more information.

nPUCCH(2,1)

Range: 0 to Calculated Value

This value is dependent on the other related PUCCH settings.

Default: 0

Enter the PUCCH format 2/2a/2b resource index nPUCCH(2,1) for antenna port index 1, when the Number of Antennas is 2 Antennas.

Otherwise it’s read only.

Calculated value is nPUCCH(2) < N_RB(2) * N_RB_sc + Ceiling(N_CS(1)/8) * (N_RBsc – N_CS(1) – 2).

See 3GPP TS 36.211, 36.213 and 36.331, for more information.

Number of ACK bits (PUCCH Wizard)

Displays the total number of ACK bits on the definition of UCI Transmission Configuration as generated by PUCCH Wizard.

Number of Codewords

Choice: Dependent on the Total Number of Antennas and Number of Layers.)

1 (1 Antenna case) Default when 1 Antenna is selected under Uplink Cell Parameters

1 (2 Antennas, 1 Layer case)

2 (2 Antennas, 2 Layers case) Default when 2 Antennas are selected under Uplink Cell Parameters

1 (4 Antennas, 1 Layer case)

1 | 2 (4 Antennas, 2 Layers case) Default =2 when 4 Antennas are selected under Uplink Cell Parameters

2 (4 Antennas, 3 Layers case)

2 (4 Antennas, 4 Layers case)

Default: 1

Double-click or use the drop-down menu to select the number of codewords for the corresponding PUSCH transmission.

See 3GPP TS 36.211, 36.212 and 36.213, for more information.

Number of Layers

Choice: (Dependent on the Total Number of Antennas.)

1 (1 Antenna case) Default =1 when 1 Antenna is selected under Uplink Cell Parameters

1 | 2 (2 Antennas case) Default =2 when 2 Antennas are selected under Uplink Cell Parameters

1 | 2 | 3 | 4 (4 Antennas case) Default =4 when 4 Antennas are selected under Uplink Cell Parameters

Double-click or use the drop-down menu to select the number of layers for the corresponding PUSCH transmission. The number of layers is less than or equal to the number of antennas.

See 3GPP TS 36.211, 36.212 and 36.213, for more information.

Number of NACK bits (PUCCH Wizard)

Displays the total number of NACK bits on the definition of UCI Transmission Configuration as generated by PUCCH Wizard.

Number of HARQ Processes

Range: 1 to 8

Default: 1

The value you enter sets the number of available hybrid automatic repeat request (HARQ) processes and defines the interval (number of subframes) between retransmissions. Use the Assigned Processes parameter to enable HARQ processes. In the current LTE TDD signal studio it only supports one HARQ process for the UL-SCH.

N_CS(1)

Range: 0 to 8

Default: 0

Enter a value for the PUCCH and DMRS PUCCH.

Refer to 3GPP TS 36.211.

N_RB(2)

Range: 0 to Maximum resource block - 1

Default: 1

Enter a value for the PUCCH and DMRS PUCCH.

Refer to 3GPP TS 36.211.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the selected channel. See Output Power Calculation (Uplink) for a description of how the software applies your power settings.

PUCCH ID

Range: 0 to 509

Default: 0

Coupling: Read only value unless UL CoMP State is set to On

Enter a value for the PUCCH Identity (ID) that is used for the virtual cell ID.

See 3GPP TS 36.211 and 36.311 for more information.

PUSCH ID

Range: 0 to 509

Default: 0

Coupling: Read only value unless UL CoMP State is set to On

Enter a value for the PUSCH Identity (ID) that is used for the virtual cell ID.

See 3GPP TS 36.211 and 36.311 for more information.

RNTI DELETE

Range: 0 to 65535

Default: 0

Enter a value for the Radio Network Temporary Identifier (RNTI).

RNTI (UCI Parameter Only)

Range: 0 to 65535 (0x0000 to 0xFFFF)

Default: 1 (0x0001)

Enter the Radio Network Temporary Identifier (RNTI) for the corresponding PUCCH transmission.

The input method can be in decimal format or hexadecimal format.

Example: The decimal input "15" is displayed as "15 (0x000F)" and the hexadecimal input "0xf" is displayed as "15 (0x000F)".

See 3GPP TS 36.211 and 36.321, for more information.

RNTI (1)

Range: 0 to 65535 (0x0000 to 0xFFFF)

Default: 1 (0x0001)

Enter the Radio Network Temporary Identifier (RNTI) for transport block 1 (codeword 0).

The input method can be in decimal format or hexadecimal format.

Example: The decimal input "15" is displayed as "15 (0x000F)" and the hexadecimal input "0xf" is displayed as "15 (0x000F)".

See 3GPP TS 36.211 and 36.321, for more information.

RNTI (2)

Range: 0 to 65535 (0x0000 to 0xFFFF)

Default: 1 (0x0001)

Enter the Radio Network Temporary Identifier (RNTI) for transport block 1 (codeword 1).

The input method can be in decimal format or hexadecimal format.

If the "number of codewords" parameter is 2, this parameter is displayed. Otherwise it’s hidden.

Example: The decimal input "15" is displayed as "15 (0x000F)" and the hexadecimal input "0xf" is displayed as "15 (0x000F)".

See 3GPP TS 36.211 and 36.321, for more information.

RV Index Sequence

Range of sequence length: 1 to 16

Range of each value: 0 to 3

Default: 0,2,3,1

Enter the numbers of individual RV Index Sequence, separated by commas (for example, 1,2,3).

RV Index Configuration

Choice: Auto | Manual

Default: Auto

Double-click or use the drop-down menu to set the RV Index Configuration for the UL-SCH.

In Auto mode, the RV Index for PUSCH's will be defined by RV Index Sequence. PUSCH will use the first element in RV Index Sequence by default and the index will increase when Retransmission state is on.

In Manual mode, RV Index will be set manually in UL-SCH TX Sequence Dialog and independent with each Retransmission

Scrambling

Choice: On (AUTO) | Off (Manual)

Default: On (AUTO)

Double-click or use the drop-down menu to turn scrambling on or off.

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the channel On or Off.

Supporting 64QAM

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the capacity of supporting 64QAM state on or off for the UL-SCH. This parameter determines if 64QAM support is available for Modulation Coding Scheme (MCS) indexes equal to or greater than 21. For MCS indexes less than 21, this parameter has no effect.

Transmission Configuration

Click the [image] button in this cell to open the UL-SCH Tx sequence window or UCI Tx sequence window.

Transmission Configuration Length

Range: 1 frame to Waveform Generation Length, Max 16 frames

Default: 1 frame

Set the length of transmission configuration. The definition of transmission configuration of SCH and UCI will be repeated to the end of the Waveform Generation Length.

UI parameter couplings:

If the Waveform Generation Length parameter is set less than the Transmission Configuration Length, the value of Transmission Configuration Length is changed to be ≤Waveform Generation Length. In summary, the relation between Transmission Configuration Length and Waveform Generation Length is that the Transmission Configuration Length ≤Waveform Generation Length. Refer to the Waveform Generation Length parameter.

Channel

Transmission Configuration Length

Default Value

Uplink

UL-SCH

The value is available to set 1 -16 Frames With following rule:

Transmission Configuration Length ≤Waveform Generation Length

1 Frame

UCI

The value is automatically set to same value corresponding UL-SCH.

Same as UL-SCH

UCI: This is a read only parameter. Use UL-SCH to set the Transmission Configuration Length parameter.

Example: Where the Transmission Configuration Length is set to 2, Frames #0 and #1 configurations (Sequences #1 through #20) will be repeated while generating Closed SCH.

Transmission Mode

Displays the transmission mode for the corresponding PUSCH transmission.

The Transmission Mode is dependent on the Total Number of Antennas used.

Transmission Mode 1 is used for single antenna transmission and Transmission Mode 2 is used for multi-antenna transmission.

1 : Single Antenna Port (Port 10) Default when 1 Antenna is selected under Uplink Cell Parameters

2 : Single Antenna Port (Port 10) / Closed Loop Spatial Multiplexing Default when 1 or 4 Antenna(s) is(are) selected under Uplink Cell Parameters

See 3GPP TS 36.211 and 36.213, for more information.

UL COMP State—UL-SCH

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to turn the state On or Off.

On | PUSCH ID and DMRS PUSCH CSH ID are available to set a value
Off | PUSCH ID and DMRS PUSCH CSH ID are read only

See 3GPP TS 36.211 and 36.311 for more information.

UL COMP State—UCI

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to turn the state On or Off.

On | PUCCH ID is available to set a value
Off | PUCCH ID is read only

See 3GPP TS 36.211 and 36.311 for more information.


Tx Map (Advanced Uplink LTE-A TDD)

Click Tx Map in the tree view to open the Tx Map.

The enabled uplink shared channel and uplink control channel configurations from the Channel Setup node, the UL-SCH Tx sequence window , and the UCI Tx sequence window are displayed in the Tx Map.


Carrier Aggregation (Basic LTE-A TDD PRACH)

The figure below shows a Basic LTE-A PRACH signal carrier with a single component carrier. The carrier aggregate (maximum 1) together with the component carriers (maximum 5) count as 1 carrier of the 16 carrier maximum.

The Carrier Aggregation node is comprised of the carrier aggregation configuration summary table that contains a list of component carriers. Figure 1 shows these carriers as CC1 and CC2.

The top row of buttons are the Waveform Setup buttons provided for convenience to add other carriers to your waveform setup. If your current configuration includes a carrier aggregation, all of the LTE-A carriers are grayed out when you select Closed Add Carrier. To use a different LTE-A carrier, first delete the current carrier aggregation.

Figure 1. Basic LTE-A TDD PRACH Carrier Aggregation

Carrier Aggregation Configuration Summary Table

This table displays the key parameters for each component carrier that is aggregated in the waveform. The carrier aggregate (maximum 1) together with the component carriers (maximum 5) count as 1 carrier of the 16 carrier maximum. See Component Carrier list.

Carrier Aggregation Capability

Double-click or use the Closed drop-down menu to select the combination of the number of component carriers and system bandwidth from the list. (Editing any parameters of the selected component carriers or adding other component carriers changes the Carrier Aggregation Capability to User Defined.)

Auto Carrier Aggregation Configuration

Choice: On | Off

Default On

Click in the cell and use the drop-down arrow to select either On or Off.

On | The Frequency Offset values are automatically set by the software.
Off | Manually set the Frequency Offset values.

Component Carrier List

This list enables you to view the key parameters for each component carrier in the aggregated carrier. You can add or delete component carriers using the buttons above the list of component carriers (see descriptions below). You can add up to a maximum of 5 component carriers. Click a component carrier in the tree view to access the carrier setup parameters.

Click the Predefined Carrier Aggregation button to open a window with a list of Closed pre-defined carrier aggregation configurations. To replace the current component carrier configurations in the setup table with one of the pre-defined configurations, select the desired configuration and click OK or double-click the configuration.

Click the Add Component Carrier button to open a Closed drop-down list from which you can select a component carrier to add to the setup table. The maximum number of component carriers is 5.

Click the Delete Component Carrier button to delete the currently selected carrier in the list of component carriers.

Click the Copy Component Carrier button to quickly add a copy of the selected component carrier to the component carrier list in the carrier aggregation configuration summary table.

CC n (Component Carrier 1...n)

There can be up to 5 component carriers per aggregated carrier.

State

Click to enable or disable the component carrier selected.

System Bandwidth

Choice: 1.4 MHz (6RB) | 3 MHz (15RB) | 5 MHz (25RB)) | 10 MHz (50RB) | 15 MHz (75RB) | 20 MHz (100RB)

Default:

LTE: 5 MHz (25RB)

LTE-A: 10 MHz (50RB)

Double-click or use the drop-down menu to set the system bandwidth and number of resource blocks (RB). When you select a system bandwidth, the software automatically adjusts the values in the Total Number of Resource Blocks and Total Number of Occupied Sub-carriers cells.

Advanced LTE and LTE-A carriers only: When the system bandwidth is decreased, the DL-SCH Tx Sequence window's RB size, and some of the other data channel's settings, are reconfigured, similar to when a predefined configuration is executed. But, when the system bandwidth is increased, no change to the DL-SCH Tx Sequence window's RB size, or the other data channel's settings occurs.

Frequency Offset

Default: 0.000000 Hz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting.

The range of the parameter is coupled to the Oversampling Ratio, the Base Sampling Rate, the System Bandwidth, and the max ARB Sample Clock of the connected signal generator.

Maximum Frequency Offset for each Maximum Arb Sample Clock and System Bandwidth
Maximum Frequency Offset | System Bandwidth
Maximum Arb Sample Clock (RF Bandwidth) | 1.4 MHz | 3 MHz | 5 MHz | 10 MHz | 15 MHz | 20 MHz
75 MHz (60 MHz) | 15.36 MHz
100 MHz (80 MHz) | 30.72 MHz |  |  |  |  | 30 MHz
125 MHz (100 MHz) | 46.08 MHz |  |  | 45 MHz | 42.5 MHz | 40 MHz
150 MHz (120 MHz) | 46.08 MHz
200 MHz (160 MHz) | 76.8 MHz |  |  | 75 MHz | 72.5 MHz | 70 MHz

This Frequency Offset parameter and another Frequency Offset parameter on each Component Carrier node are coupled.

Primary Cell

Click the cell to assign a Component Carrier (CCn)as the primary cell. In carrier aggregation, only one component carrier can be selected. If the primary cell carrier is deleted or its State changes, the software automatically sets a another component carrier as the primary cell.

Graph View

The graph view displays several different representations of the generated waveform. For more information, see Graph View


Uplink_(LTE-A TDD PRACH)

Click the Wizard button to access a dialog box from which you can configure the PRACH Preamble. Click the links in the table below for parameter definitions.

1. Cell Parameters | 2. PRACH Parameters
State | PRACH Configuration Index
Antenna Port | PRACH Preamble Auto-Calculate
Total number of Antennas |
PRACH DFT Swap |

1. Cell Parameters

State

Double-click or use the drop-down menu to turn the uplink transmission off or on.

Antenna Port

Displays the antenna port number.

Total number of Antennas

Displays the total number of antennas.

PRACH DFT Swap

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn PRACH DFT Swap on or off.

PRACH DFT Swap influences how data is mapped to resource elements in the physical uplink shared channel after discrete Fourier transform is performed. PRACH DFT Swap can be turned on or off to provide two different interpretations of how data should be mapped to resource elements in PUSCH channels.

2. PRACH Parameters

PRACH Configuration Index

Range: 0 to 63

Default: 0

Enter a value for the PRACH Configuration Index.

PRACH Preamble Auto-Calculate

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn PRACH Preamble Auto Calculate State on or off.

If the state is on, the sequence will be automatic selected by the preamble index. If the State is offset, the sequence can be manually selected by logic root sequence index and cyclic shift v.


Channel Setup (LTE-A TDD PRACH)

Use the Channel Setup node to configure PRACH bursts.

When you click the Add Burst button, the software adds a new PRACH burst above the currently selected PRACH burst in the list. The software assigns an identifying number to the new PRACH burst that corresponds to its position in the list and increments the identifying numbers of subsequent PRACH bursts in the list.

Similarly, if you delete the selected PRACH burst using the Delete Burst button, the software adjusts the identifying numbers of the subsequent PRACH bursts according to their new positions in the list.

Click the Column Preset button to access a Closed drop-down that enables you to set parameters for all PRACH bursts to the same value.

Click the links in the table below the graphic for parameter descriptions.

PRACH 1
1. General Settings |
PRACH Burst Number | Frequency Offset
State | Resource Block Offset
Power | Preamble Time Offset
PRACH Configuration Index | Cyclic Shift Set
Resource Index | Ncs Configuration
Preamble Format | Logical Root Sequence Index
Occupied Frames | Logical Root Sequence Index (Incremented)
Frame Number | Preamble Index
Subframe Number | Physical Root Sequence Index
 | Cyclic Shift v

PRACH Burst Number

Displays the identifying number of the selected PRACH burst.

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the selected PRACH burst on or off.

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Enter a power level in dB for the selected PRACH burst, relative to the carrier power.

Configuration Index

Range: 0 to 57

Default: 0

Enter a value for the PRACH configuration index.

Resource Index

Range: 0 to Maximum Number of PRACH Resource.

Default: 0

Enter a value for the PRACH Resource Index.

Preamble Format

Displays the PRACH preamble format of the selected PRACH burst.

Occupied Frames

Displays the occupied frame type of the selected PRACH burst.

Frame Number

Range: 0 to 19

Enter a frame number for the selected PRACH burst. The PRACH burst location displayed in the Resource Mapping Graph at the bottom of the Channel Setup node is determined by the frame number and subframe number defined for the selected burst.

Subframe Number

Displays the occupied subframe of the selected PRACH burst.

Frequency Offset

Default: 0.000000 Hz

Set the frequency offset of the carrier relative to the signal generator's frequency setting.

The range of the parameter is coupled to the Oversampling Ratio, the Base Sampling Rate, the System Bandwidth, and the max ARB Sample Clock of the connected signal generator.

For single carrier configurations, the following table shows the maximum frequency offset:

Maximum Frequency Offset for each Maximum Arb Sample Clock and System Bandwidth
Maximum Frequency Offset | System Bandwidth
Maximum Arb Sample Clock (RF Bandwidth) | 1.4 MHz | 3 MHz | 5 MHz | 10 MHz | 15 MHz | 20 MHz
75 MHz (60 MHz) | 29.3 MHz | 28.5 MHz | 26.72 MHz | 20.54 MHz | 22.04 MHz | 15.36 MHz
100 MHz (80 MHz) | 39.3 MHz | 38.5 MHz | 37.5 MHz | 35 MHz | 32.5 MHz | 30 MHz
125 MHz (100 MHz) | 49.3 MHz | 48.5 MHz | 47.5 MHz | 45 MHz | 42.5 MHz | 40 MHz
150 MHz (120 MHz) | 59.3 MHz | 58.5 MHz | 57.5 MHz | 55 MHz | 52.5 MHz | 46.08 MHz
200 MHz (160 MHz) | 79.3 MHz | 78.5 MHz | 77.5 MHz | 75 MHz | 72.5 MHz | 70 MHz

For multiple carrier configurations, the following table shows the maximum frequency offset:

Multiple Carrier Maximum Frequency Offset for each Maximum Arb Sample Clock and System Bandwidth
Maximum Frequency Offset | System Bandwidth
Maximum Arb Sample Clock (RF Bandwidth) | 1.4 MHz | 3 MHz | 5 MHz | 10 MHz | 15 MHz | 20 MHz
75 MHz (60 MHz) | 15.36 MHz
100 MHz (80 MHz) | 30.72 MHz |  |  |  |  | 30 MHz
125 MHz (100 MHz) | 46.08 MHz |  |  | 45 MHz | 42.5 MHz | 40 MHz
150 MHz (120 MHz) | 46.08 MHz
200 MHz (160 MHz) | 76.8 MHz |  |  | 75 MHz | 72.5 MHz | 70 MHz

Resource Block Offset

Displays the resource blocks offset of the selected PRACH burst.

Preamble Time Offset

Choice: 0.0 us | 0.1 us | 0.2 us | 0.3 us | 0.4 us | 0.5 us | 0.6 us | 0.7 us | 0.8 us | 0.9 us

Default: 0.0 us

Double-click or use the drop-down menu to set the preamble time offset in microseconds (us) for the selected burst.

Cyclic Shift Set

Choice: Unrestricted Sets | Restricted Sets

Default: Unrestricted Sets

Double-click or use the drop-down menu to set the cyclic shift restriction method.

Ncs Configuration

Range: 0 to 15

Default: 0

Enter a value for the Ncs configuration for preamble generation. (See 3GPP TS 36.211.)

In the case where preambles corresponding to Preamble Index cannot be generated from a single root Zadoff-Chu sequence, Logical Root Sequence Index is incremented until corresponding Preamble sequences are found.

That incremented Logical Root Sequence Index is displayed in the Logical Root Sequence Index (Incremented) field.

Physical Root Sequence Index, Cyclic Shift v and Incremented Logical Root Sequence Index are automatically changed on GUI based on Cyclic Shift Set, Ncs Configuration, Logical Root Sequence Index and Preamble Index.

Logical Root Sequence Index

Range: 0 to 837

Default: 0

Enter a value for the logical root sequence index. (See 3GPP TS 36.211.)

In the case where preambles corresponding to Preamble Index cannot be generated from a single root Zadoff-Chu sequence, Logical Root Sequence Index is incremented until corresponding Preamble sequences are found.

That incremented Logical Root Sequence Index is displayed in the Logical Root Sequence Index (Incremented) field.

Physical Root Sequence Index, Cyclic Shift v and Incremented Logical Root Sequence Index are automatically changed on GUI based on Cyclic Shift Set, Ncs Configuration, Logical Root Sequence Index and Preamble Index.

In the table below, the first Logical root sequence number in the range matches the first Physical root sequence number, the second matches the second, and so on. For example, logical root number 0 = physical root number 129, logical root number 1 = physical root number 710. (See 3GPP TS 36.211.)

Logical root sequence number | Physical root sequence number µ (in increasing order of the corresponding logical sequence number)
0 to 23 | 129, 710, 140, 699, 120, 719, 210, 629, 168, 671, 84, 755, 105, 734, 93, 746, 70, 769, 60, 779, 2, 837, 1, 838
24 to 29 | 56, 783, 112, 727, 148, 691
30 to 35 | 80, 759, 42, 797, 40, 799
36 to 41 | 35, 804, 73, 766, 146, 693
42 to 51 | 31, 808, 28, 811, 30, 809, 27, 812, 29, 810
52 to 63 | 24, 815, 48, 791, 68, 771, 74, 765, 178, 661, 136, 703
64 to 75 | 86, 753, 78, 761, 43, 796, 39, 800, 20, 819, 21, 818
76 to 89 | 95, 744, 202, 637, 190, 649, 181, 658, 137, 702, 125, 714, 151, 688
90 to 115 | 217, 622, 128, 711, 142, 697, 122, 717, 203, 636, 118, 721, 110, 729, 89, 750, 103, 736, 61, 778, 55, 784, 15, 824, 14, 825
116 to 135 | 12, 827, 23, 816, 34, 805, 37, 802, 46, 793, 207, 632, 179, 660, 145, 694, 130, 709, 223, 616
136 to 167 | 228, 611, 227, 612, 132, 707, 133, 706, 143, 696, 135, 704, 161, 678, 201, 638, 173, 666, 106, 733, 83, 756, 91, 748, 66, 773, 53, 786, 10, 829, 9, 830
168 to 203 | 7, 832, 8, 831, 16, 823, 47, 792, 64, 775, 57, 782, 104, 735, 101, 738, 108, 731, 208, 631, 184, 655, 197, 642, 191, 648, 121, 718, 141, 698, 149, 690, 216, 623, 218, 621
204 to 263 | 152, 687, 144, 695, 134, 705, 138, 701, 199, 640, 162, 677, 176, 663, 119, 720, 158, 681, 164, 675, 174, 665, 171, 668, 170, 669, 87, 752, 169, 670, 88, 751, 107, 732, 81, 758, 82, 757, 100, 739, 98, 741, 71, 768, 59, 780, 65, 774, 50, 789, 49, 790, 26, 813, 17, 822, 13, 826, 6, 833
264 to 327 | 5, 834, 33, 806, 51, 788, 75, 764, 99, 740, 96, 743, 97, 742, 166, 673, 172, 667, 175, 664, 187, 652, 163, 676, 185, 654, 200, 639, 114, 725, 189, 650, 115, 724, 194, 645, 195, 644, 192, 647, 182, 657, 157, 682, 156, 683, 211, 628, 154, 685, 123, 716, 139, 700, 212, 627, 153, 686, 213, 626, 215, 624, 150, 689
328 to 383 | 225, 614, 224, 615, 221, 618, 220, 619, 127, 712, 147, 692, 124, 715, 193, 646, 205, 634, 206, 633, 116, 723, 160, 679, 186, 653, 167, 672, 79, 760, 85, 754, 77, 762, 92, 747, 58, 781, 62, 777, 69, 770, 54, 785, 36, 803, 32, 807, 25, 814, 18, 821, 11, 828, 4, 835
384 to 455 | 3, 836, 19, 820, 22, 817, 41, 798, 38, 801, 44, 795, 52, 787, 45, 794, 63, 776, 67, 772, 72, 767, 76, 763, 94, 745, 102, 737, 90, 749, 109, 730, 165, 674, 111, 728, 209, 630, 204, 635, 117, 722, 188, 651, 159, 680, 198, 641, 113, 726, 183, 656, 180, 659, 177, 662, 196, 643, 155, 684, 214, 625, 126, 713, 131, 708, 219, 620, 222, 617, 226, 613
456 to 513 | 230, 609, 232, 607, 262, 577, 252, 587, 418, 421, 416, 423, 413, 426, 411, 428, 376, 463, 395, 444, 283, 556, 285, 554, 379, 460, 390, 449, 363, 476, 384, 455, 388, 451, 386, 453, 361, 478, 387, 452, 360, 479, 310, 529, 354, 485, 328, 511, 315, 524, 337, 502, 349, 490, 335, 504, 324, 515
514 to 561 | 323, 516, 320, 519, 334, 505, 359, 480, 295, 544, 385, 454, 292, 547, 291, 548, 381, 458, 399, 440, 380, 459, 397, 442, 369, 470, 377, 462, 410, 429, 407, 432, 281, 558, 414, 425, 247, 592, 277, 562, 271, 568, 272, 567, 264, 575, 259, 580
562 to 629 | 237, 602, 239, 600, 244, 595, 243, 596, 275, 564, 278, 561, 250, 589, 246, 593, 417, 422, 248, 591, 394, 445, 393, 446, 370, 469, 365, 474, 300, 539, 299, 540, 364, 475, 362, 477, 298, 541, 312, 527, 313, 526, 314, 525, 353, 486, 352, 487, 343, 496, 327, 512, 350, 489, 326, 513, 319, 520, 332, 507, 333, 506, 348, 491, 347, 492, 322, 517
630 to 659 | 330, 509, 338, 501, 341, 498, 340, 499, 342, 497, 301, 538, 366, 473, 401, 438, 371, 468, 408, 431, 375, 464, 249, 590, 269, 570, 238, 601, 234, 605
660 to 707 | 257, 582, 273, 566, 255, 584, 254, 585, 245, 594, 251, 588, 412, 427, 372, 467, 282, 557, 403, 436, 396, 443, 392, 447, 391, 448, 382, 457, 389, 450, 294, 545, 297, 542, 311, 528, 344, 495, 345, 494, 318, 521, 331, 508, 325, 514, 321, 518
708 to 729 | 346, 493, 339, 500, 351, 488, 306, 533, 289, 550, 400, 439, 378, 461, 374, 465, 415, 424, 270, 569, 241, 598
730 to 751 | 231, 608, 260, 579, 268, 571, 276, 563, 409, 430, 398, 441, 290, 549, 304, 535, 308, 531, 358, 481, 316, 523
752 to 765 | 293, 546, 288, 551, 284, 555, 368, 471, 253, 586, 256, 583, 263, 576
766 to 777 | 242, 597, 274, 565, 402, 437, 383, 456, 357, 482, 329, 510
778 to 789 | 317, 522, 307, 532, 286, 553, 287, 552, 266, 573, 261, 578
790 to 795 | 236, 603, 303, 536, 356, 483
796 to 803 | 355, 484, 405, 434, 404, 435, 406, 433
804 to 809 | 235, 604, 267, 572, 302, 537
810 to 815 | 309, 530, 265, 574, 233, 606
816 to 819 | 367, 472, 296, 543
820 to 837 | 336, 503, 305, 534, 373, 466, 280, 559, 279, 560, 419, 420, 240, 599, 258, 581, 229, 610

Logical Root Sequence Index (Incremented)

Range:

0 to 837 for Format 0 to 3

0 to 137 for Format 4

Default: 0

Displays a value for the incremented logical root sequence index.

In the case where preambles corresponding to Preamble Index cannot be generated from a single root Zadoff-Chu sequence, Logical Root Sequence Index is incremented until corresponding Preamble sequences are found.

That incremented Logical Root Sequence Index is displayed in the Logical Root Sequence Index (Incremented) field.

Physical Root Sequence Index, Cyclic Shift v and Incremented Logical Root Sequence Index are automatically changed on GUI based on Cyclic Shift Set, Ncs Configuration, Logical Root Sequence Index and Preamble Index.

Preamble Index

Range: 0 to 63.

Default: 0

Enter a value for the Preamble Index for PRACH generation. (See 3GPP TS 36.211.)

When the Auto-configuration parameter is set to PRACH Test Preamble (36.141),you must set the Preamble Index to satisfy Cyclic Shift v as defined in 3GPP 36.141 (PRACH Test Preambles test).

Example: Auto-configuration = PRACH Test Preamble (3GPP TS 36.141),Cyclic Shift Set = Normal Mode, and Preamble Format = 0, so Preamble Index should be set to 32 to satisfy Cyclic Shift v = 32 (refer to 34.141 A.6).

Test preambles for Normal Mode
Burst Format | Ncs Configuration | Logical Root Sequence Index | Cycle Shift v
0 | 13 | 22 | 32
1 | 167 | 22 | 2
2 | 167 | 22 | 0
3 | 0 | 22 | 0
4 | 10 | 0 | 0

Test preambles for High Speed Mode
Burst Format | Ncs Configuration | Logical Root Sequence Index | Cycle Shift v
0 | 15 | 384 | 0
1 | 202 | 384 | 0
2 | 202 | 384 | 0
3 | 237 | 384 | 0

Refer to Preamble Index-related information in TS36.212 5.3.3.1.3, TS36.321 5.1, and TS36.331 6.3.2.

Physical Root Sequence Index

Displays the physical root sequence index.

In the case where preambles corresponding to Preamble Index cannot be generated from a single root Zadoff-Chu sequence, Logical Root Sequence Index is incremented until corresponding Preamble sequences are found.

That incremented Logical Root Sequence Index is displayed in the Logical Root Sequence Index (Incremented) field.

Physical Root Sequence Index, Cyclic Shift v and Incremented Logical Root Sequence Index are automatically changed on GUI based on Cyclic Shift Set, Ncs Configuration, Logical Root Sequence Index and Preamble Index.

Cyclic Shift v

Range: Determined by the Configuration of the PRACH.

Default: 0

Enter a value for the cyclic shift value for preamble generation. (See 3GPP TS 36.211.)

Test preambles for Normal Mode
Burst Format | Ncs Configuration | Logical Root Sequence Index | Cycle Shift v
0 | 13 | 22 | 32
1 | 167 | 22 | 2
2 | 167 | 22 | 0
3 | 0 | 22 | 0
4 | 10 | 0 | 0

Test preambles for High Speed Mode
Burst Format | Ncs Configuration | Logical Root Sequence Index | Cycle Shift v
0 | 15 | 384 | 0
1 | 202 | 384 | 0
2 | 202 | 384 | 0
3 | 237 | 384 | 0

Refer to Preamble Index-related information in TS36.212 5.3.3.1.3, TS36.321 5.1, and TS36.331 6.3.2.


Continuous Waveform (CW) Carrier

The N7625B Signal Studio for LTE/LTE-Advanced TDD software enables you to generate a Continuous Waveform (CW) carrier.

A typical receiver measurement is the receiver's ability to continually demodulate in the presence of an interferer signal. These signals are often simulated with a CW blocker. Using the N7625B you can generate one or more CW signals for these types of measurements.

Typically, the wanted signal is at a lower power level than the unwanted signal (interferer). As the dynamic range increases between the wanted and unwanted signals, the EVM for the wanted signal is degraded.

In some cases, better RF performance is required or you may need a dynamic range that is greater than the software's -60 dBm dynamic range. For these cases, additional signal generators can be used to generate the CW interferer waveforms and to then combine the waveforms in RF to minimize the intermodulation products and to improve EVM performance.

In the figure below, a Continuous Waveform is selected for configuration.

1. General

State

2. Baseband

Oversampling Ratio

Baseband Sampling Rate

Total Sample Points

Frequency Offset

Power

1. General

State

Double-click or use the drop-down menu to control the operating State of the UL-SCH carrier

2. Baseband

Oversampling Ratio

This is a read only parameter. This parameter is not editable.

Baseband Sampling Rate

Displays the Baseband Sample Rate. This parameter is not editable.

Total Sample Points

View the Waveform Length, displayed in points.This parameter is not editable.

Waveform Length is directly related to the Oversampling Ratio value selected. The higher the Oversampling Ratio, the larger the waveform.

Frequency Offset

Range: -76.8 MHz to 76.8 MHz

Default: 0 Hz

Sets the frequency offset for the carrier relative to the signal generator’s frequency setting.

This parameter is coupled with Oversampling Ratio.

Maximum Frequency Offset for each Maximum Arb Sample Clock
Maximum Arb Sample Clock (RF Bandwidth) | Maximum Frequency Offset
75 MHz (60 MHz) | 15.36 MHz
100 MHz (80 MHz) | 30.72 MHz
125 MHz (100 MHz) | 46.08 MHz
150 MHz (120 MHz) | 46.08 MHz
200 MHz (160 MHz) | 76.8 MHz

Power

Range: -60.000 to 20.000 dB

Default: 0.000 dB

Sets the carrier’s power relative to the signal generator’s amplitude setting.

Related Topics

Carrier n Node


Imported Waveform

The N7625B Signal Studio for LTE/LTE-Advanced TDD software enables you to load Imported Waveforms from the following waveform types that you can use to evaluate Multi-Standard Radio (MSR) effects on 3GPP LTE signals:

  • N7600B Signal Studio for W-CDMA/HSPA+

  • N7601B Signal Studio for cdma2000/1xEV-DO

  • N7602B Signal Studio for GSM/EDGE/Evo

  • N7612B Signal Studio for TD-SCDMA/HSDPA

  • N7624B Signal Studio for LTE/LTE-Advanced FDD (non-MSR waveforms)

  • N7625B Signal Studio for LTE/LTE-Advanced TDD (non-MSR waveforms)

In the figure below, an Imported Waveform is selected for configuration. Refer to Generating an MSR Waveform.

Carrier n -- Imported Waveform

1. General

2. Baseband

Related Topics

Generating an MSR Waveform

Output Power Calculation (Downlink)

Power Settings (Downlink)

Overcoming Test Challenges of MSR Base Station Components and Transmitters


General (Imported Waveform)

The General table in the Carrier n node enables you to turn the Imported carrier on and off, and select a saved channel configuration.

The Baseband parameters for the Imported Waveform are described in Baseband (Imported Waveform).

After an external waveform is loaded:

1. General

State

Source Waveform File Name

Source Sample Rate

Source Sample Points

Source Waveform License

State

Double-click or use the drop-down menu to enable or disable the carrier.

Source Waveform File Name

Selects the name of the waveform file to be loaded into the software.

Source Sample Rate

Displays the Source Sampling Rate of the waveform. This parameter is read only and automatically set by the software.

Source Sample Points

The value is determined from the waveform currently loaded into memory. This parameter is read only and automatically set by the software.

Source Waveform License

Displays the required waveform license of the waveform currently loaded into memory. This parameter is not editable.

Related Topics

Imported Waveform Carrier

Generating an MSR Waveform


Baseband (Imported Waveform)

The Baseband table in the Carrier n node enables you to set the Frequency Offset and the carrier's Power levels.

The General parameters for the Imported Waveform are described in General (Imported Waveform).

2. Baseband

Baseband Sampling Rate

Total Sample Points

Frequency Offset

Power

Filter Ratio

Baseband Sampling Rate

Choices: AUTO | 30.72MHz | 61.44MHz | 92.16MHz | 122.88MHz | 153.60 MHz | 184.32 MHz

Default: AUTO

Displays the Baseband Sample Rate. The source waveform will be re-sampled to this sampling ratio.

Waveform Length is directly related to the Oversampling Ratio value selected. The higher the Oversampling Ratio, the larger the waveform.

Total Sample Points

View the Waveform Length, displayed in points. The length of waveform after re-sampled. This parameter is not editable.

Frequency Offset

Range: -76.8 MHz to 76.8 MHz

Default: 0.000000 Hz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting.

The range of the parameter is coupled to the Baseband Sampling Rate and the maximum ARB Sample Clock of the connected signal generator.

Maximum Frequency Offset for each Maximum Arb Sample Clock
Maximum Arb Sample Clock (RF Bandwidth) | Maximum Frequency Offset
75 MHz (60 MHz) | 15.36 MHz
100 MHz (80 MHz) | 30.72 MHz
125 MHz (100 MHz) | 46.08 MHz
150 MHz (120 MHz) | 46.08 MHz
200 MHz (160 MHz) | 76.8 MHz

Power

Range: -60.00 to 0.00 dB

Sets the carrier’s power relative to the signal generator’s amplitude setting.

Filter Ratio

Range: 1−20

Set the filter ratio. This filter ratio is applied to the source waveform filter.

Related Topics

Imported Waveform Carrier

Generating an MSR Waveform


Library Waveform (Carrier n)

The N7624B Signal Studio for LTE/LTE-Advanced FDD software enables you to load Library Waveforms from the following waveform types that you can use to evaluate Multi-Standard Radio (MSR) effects on LTE signals:

  • N7600B Signal Studio for W-CDMA/HSPA+

  • N7601B Signal Studio for cdma2000/1xEV-DO

  • N7602B Signal Studio for GSM/EDGE/Evo

  • N7612B Signal Studio for TD-SCDMA/HSDPA

  • N7617B Signal Studio for WLAN

  • N7624B Signal Studio for LTE/LTE-Advanced FDD (non-MSR waveforms)

  • N7625B Signal Studio for LTE/LTE-Advanced TDD (non-MSR waveforms)

In the figure below, an Library Waveform is selected for configuration. Refer to MSR - Generating a Library Waveform.

Carrier n -- Library Waveform

1. General

2. Baseband

Related Topics

MSR - Generating a Library Waveform

MSR - Using the Library Waveform Manager

Overcoming Test Challenges of MSR Base Station Components and Transmitters


General (Library Waveform Carrier)

The General table in the Carrier n node enables you to turn the Imported carrier on and off, and select a saved channel configuration.

The Baseband parameters for the Library Waveform are described in Baseband (Library Waveform Carrier).

After a Library Waveform is loaded:

1. General

State

Source Waveform Name

Available Source Sample Rate

Sample Points

Source Waveform License

State

Double-click or use the drop-down menu to enable or disable the carrier.

Source Waveform Name

Selects the name of the Library Waveform to be loaded into the software.

Available Source Sample Rate

Displays the Source Sampling Rate of the waveform. This parameter is read only and automatically set by the software.

Sample Points

The value is determined from the waveform currently loaded into memory. Waveform Length is directly related to the Oversampling Ratio value selected. The higher the Oversampling Ratio, the larger the waveform. This parameter is read only and automatically set by the software.

Source Waveform License

Displays the required waveform license of the waveform currently loaded into memory. This parameter is not editable.

Related Topics

Library Waveform Carrier

MSR - Using the Library Waveform Manager

MSR - Generating a Library Waveform


Baseband (Library Waveform Carrier)

The Baseband table in the Carrier n node enables you to set the Frequency Offset and the carrier's Power levels.

The General parameters for the Library Waveform are described in General (Library Waveform Carrier).

2. Baseband

Baseband Sampling Rate

Total Sample Points

Frequency Offset

Power

Timing Offset
Initial Phase

Filter Ratio

Baseband Sampling Rate

Choices: AUTO | 30.72MHz | 61.44MHz | 92.16MHz | 122.88MHz | 153.60 MHz | 184.32 MHz

Default: AUTO

Displays the Baseband Sample Rate. The source waveform will be re-sampled to this sampling ratio.

Waveform Length is directly related to the Oversampling Ratio value selected. The higher the Oversampling Ratio, the larger the waveform.

Total Sample Points

View the Waveform Length, displayed in points. The length of waveform after re-sampled. This parameter is not editable.

Frequency Offset

Range: -76.8 MHz to 76.8 MHz

Default: 0.000000 Hz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting.

The range of the parameter is coupled to the Baseband Sampling Rate and the max ARB Sample Clock of the connected signal generator.

Maximum Frequency Offset for each Maximum Arb Sample Clock
Maximum Arb Sample Clock (RF Bandwidth) | Maximum Frequency Offset
75 MHz (60 MHz) | 15.36 MHz
100 MHz (80 MHz) | 30.72 MHz
125 MHz (100 MHz) | 46.08 MHz
150 MHz (120 MHz) | 46.08 MHz
200 MHz (160 MHz) | 76.8 MHz

Power

Range: -60.00 to 0.00 dB

Sets the carrier’s power relative to the signal generator’s amplitude setting.

Timing Offset

Range: 0 to 100000

Default: 0

Sets the timing offset of the carrier with the number of base sampling duration (1/30.72MHz).

Initial Phase

Range: 0 to 359 degrees

Set the initial phase of the carrier.

If identical carriers are aligned in time and in phase, it cause larger peak-to-average ratio. This degrades the ACLR performance of the waveform.

Filter Ratio

Range: 1 to 20

Set the filter ratio. This filter ratio is applied to the source waveform filter.

If identical carriers are aligned in time and in phase, it cause larger peak-to-average ratio. This degrades the ACLR performance of the waveform.

Related Topics

Library Waveform Carrier

MSR - Using the Library Waveform Manager

MSR - Generating a Library Waveform


Library Manager Window

Select the Library Manager Window by using the Closed Tools drop down menu. (Requires Option Jxx.)

The Library Manager window enables you to import previously stored MSR waveforms into the Waveform Library folder to provide faster waveform generation times.

By using the Library Manager and it's associated Import Waveform window, you can make adjustments to the Filter Ratio and have multiple "Resample Targets..." for each of your Library Waveforms and save generation time with your measurements.

For portability, the Windows Library Waveform paths are:
Windows 7: C:\ProgramData\Keysight\Signal Studio\WaveformLibrary\
Windows XP: C:\Documents and Settings\All Users\Application Data\Keysight\Signal Studio\WaveformLibrary\
These directory paths are provided for portability of the complete WaveformLibrary folder only. For best results, use the Library Manager window to move, rename, add or delete your Library Waveforms or any Waveform Library sub-Folders.

For more on:

  • How to use the Library Manager, refer to MSR - Using the Library Waveform Manager.

  • How to use the Library waveforms, refer to MSR - Generating a Library Waveform.

  • Library Waveform's Carrier n node menus, refer to Library Waveform Carrier.

Library Manager window (the Resample... button ( [image]) and Add to Signal Studio Button ( [image]) are shown as inactive, because no Library Waveform is selected.)

Toolbar and Buttons

Use the following features to navigate and to control the Library Manager window.

  • Click the Create Folder to customize and organize your own Waveform Library folders. The Create Folder icon is active when you click a folder in the Library Manager window.
  • Click Close to exit the Library Manager.
  • Click Delete to delete a Library Waveform folder or Library Waveform.
  • Click Rename to rename your Library Waveform folders and files
  • Click Resample... to add additional sampling ratios to your Library Waveforms.This button is only available when you click on a Library Waveform.
  • Click Import Waveform to import a previously exported MSR waveform into the Library Manager using the Waveform Source > Source Waveform Name parameter.
  • Click Add to Signal Studio to import the currently selected Library Waveform into the Signal Studio's Waveform Setup node. This button is only available when you select a Library Waveform.
  • Click Refresh to update your view of the Waveform Library's folders and files.

The Create Folder button ( [image]), creates a new Library Waveform folder within the Waveform Library folder.

The Delete Item button ( [image]), deletes the selected Closed Library Waveform or Closed Library Folder.

If desired you can delete a specific sampling ratio(s), for a particular waveform while leaving some of the Sampling Ratio choices undeleted. The Closed example shows the 30.72 MHz Sampling Ratio checked for deletion, while leaving the 61.44 MHz sampling ratio available for use.

The Import Waveform button ( [image]), opens the Import Waveform window. Refer to Import Waveform Window.

The Resample... button ( [image]), opens the Closed Resample Waveform window.

The Add to Signal Studio button ( [image]):

  • Adds the currently selected Library Waveform to the current Signal Studio software's Waveform Setup node.

  • Enables Waveform Source Name editing

The Add to Signal Studio button is only active, when you click on a Library Waveform. (This button is grayed out (inactive) when you click on a folder.)

Import Waveform Window

The Import Waveform window is a feature of the Library Manager. Select the Import Waveform window by using the Library Manager window's Closed Data drop down menu or clicking the Import Waveform button ( [image]). Refer to Toolbar and Buttons above.

The Library Manager's Import Waveform window enables you to import previously stored MSR waveforms into the Waveform Library folder to provide faster waveform generation times.

By using the Import Waveform window you can make adjustments to the Filter Ratio and have multiple "Resample Targets..." for each of your Library Waveforms and save time with your measurements.

For more on:

  • How to use the Library Manager, refer to MSR - Using the Library Waveform Manager.

  • How to use the Library waveforms, refer to MSR - Generating a Library Waveform.

  • Library Waveform's Carrier n node menus, refer to Library Waveform Carrier.

This topic contains the following Import Waveform window sections:

  • Import Waveform Window Buttons

  • Step 1 - Enter Source Waveform

  • Step 2 - Select Options

  • Step 3 - Convert and Import Waveform [n/n]

Import Waveform Window Buttons

The Back button ( [image]) can be used to return to a previous window and make changes to the waveform's parameters.

The Next button ( [image]) is used to continue to the next screen or to automatically apply changes.

The Cancel button ( [image]) is used to cancel importing the waveform and exit the Import Waveform window and return to the Library Manager window.

The Finish button ( [image]) is used to close the Import Waveform window and return to the Library Manager window.

The Apply Changes button ( [image]) is used to apply any Filter Ratio or sampling ratio changes.

Step 1 - Enter Source Waveform:

Import Waveform: Step 1 Enter Source window

Library

Location in the Library

Displays the Library Folder that contains the current imported waveform. This parameter is not editable.

Waveform Item Name

Specifies an imported waveform's filename in the library. This Library Waveform will be replaced by the waveform specified in Waveform Sources' Source Waveform Name parameter.

Waveform Source

Source Waveform Name

Specifies the waveform that is going to be imported into the Library Folder and replace the Library Waveform specified in the Library's Waveform Item Name parameter. If no Waveform Item Name is specified, then the Source Waveform Name will be used.

Source Sampling Ratio

Source sampling ratio for this waveform. This parameter is not editable.

Waveform Length

Length of the current waveform in points. This parameter is not editable.

Waveform RMS

RMS value for this waveform. This parameter is not editable.

Waveform License

Licenses required for using this waveform. This parameter is not editable.

Step 2 - Select Options

Import Waveform: Step 2 Select Options window

Waveform Source (This section is not editable.)

Source Waveform Name

Specifies the directory path and name of the waveform that is going to be imported into the Library Folder and replace the Library Waveform specified in the Library's Waveform Item Name parameter. If no Waveform Item Name is specified, then the Source Waveform Name will be used. Signal Studio waveform files (*.wfm) and Matlab files (*.mat) are acceptable file formats. When using a Matlab file, you must manually set the Source Sampling Ratio.

Source Sampling Ratio

Source sampling ratio for this waveform. When using Matlab files (*.mat), you must manually set this parameter. For Signal Studio waveform files (*.wfm), this parameter is not editable.

Waveform Length

Length of the current waveform in points. This parameter is not editable.

Waveform RMS

RMS value for this waveform. This parameter is not editable.

Waveform License

Licenses required for using this waveform. This parameter is not editable.

Library

Waveform Item Name

Waveform's Name in the Library.

Location in the Library

Waveform's directory path in the library. This parameter is not editable.

Resample Options

Filter Ratio

Range: 1 to 20

Sets the Closed filter ratio. This applies to the waveform. The value is a ratio of the waveform's Source Sampling Ratio to the Waveform Length.

Example:

Waveform bandwidth (i.e. Sampling Rate) = 10 MHz

Signal bandwidth = 5 MHz

So, the Filter Ratio = 2.

Resample Target for the Library

Selects the resampling ratio for the source waveform. The following choices can be enabled or disabled. Multiple choices can be enabled.

  • As it is - No resampling applied. The waveforms sampling ratio is used.
  • 30.72 MHz
  • 61.44 MHz
  • 92.16 MHz
  • 122.88 MHz
  • 153.60 MHz
  • 184.32 MHz

Step 3 : Convert and Import Waveform [n/n]

Import Waveform: Step 3 Convert and Import Waveform [n/n] window (After the changes have been applied to the waveform.) Refer to Graph View.

Library (This section is not editable.)

Location in the Library

Displays the Library Folder that contains the current imported waveform.

Waveform Item Name

Specifies the imported waveform's filename in the library. This Library Waveform will be replaced by the waveform specified in Waveform Sources' Source Waveform Name parameter.

Resample Options

Filter Ratio

Range: 1 to 20

Sets the Closed filter ratio. This applies to the waveform. The value is a ratio between the waveform bandwidth to the signal bandwidth.

Example:

Waveform bandwidth (i.e. Sampling Rate) = 10 MHz

Signal bandwidth = 5 MHz

So, the Filter Ratio = 2.

Target Sampling Ratio

Target Sampling Ratio for the resampling of the source waveform. This parameter is not editable.

Waveform Source (This section is not editable.)

Source Waveform Name

Specifies the directory path and name of the waveform that is going to be imported into the Library Folder and replace the Library Waveform specified in the Library's Waveform Item Name parameter. If no Waveform Item Name is specified, then the Source Waveform Name will be used.

Source Sampling Ratio

Source sampling ratio for this waveform.

Waveform Length

Length of the current waveform in points.

Waveform RMS

RMS value for this waveform.

Waveform License

Licenses required for using this waveform.

Related Topics:

Library Waveform (Carrier n)

MSR - Using the Library Manager

MSR - Generating a Library Waveform


Graph View

The following graphs are available at the bottom of the Waveform Setup node and the Carrier node.

Where an Inter-band instrument setup is being used, there is a CCDF, Power Envelope, and Waveform Graph available for each antenna n, in each of the Inter-band n setups.
CCDF Graph | provides information on viewing the CCDF plot of the generated waveform.
Power Envelope Graph | provides information on viewing the power envelope of a generated waveform and its ALC region.
Waveform Graph | provides information on viewing the current waveform. View either the modulated waveform or the I/Q signal.


CCDF Graph

Click Waveform Setup or Carrier in the Closed tree view . The graph view is located at the bottom of the Waveform Setup and Carrier nodes, and in the Library Manager window. For multiple antenna configurations, a tab for each antenna port is displayed above the graph view. Click the tab for the antenna port for which you want to view a CCDF graph. Click the CCDF tab to display the CCDF graph.

The CCDF, Waveform, and Power Envelope graphs are minimized in the initial view of the Carrier node. To view the graphs, Closed click and drag the border above the CCDF, Waveform, and Power Envelope graphs.

The CCDF graph displays the probability (in percentage) that the generated waveform's calculated peak-to-average power ratio (measured in dB) is greater than or equal to a specified level. The table to the left of the CCDF plot displays the calculated peak-to-average values for the current waveform. For additional information, see Understanding CCDF Curves.

Click Generate Waveform [image] or Generate and Download [image] from the main tool bar to generate an I/Q waveform and plot the CCDF graph using the current channel configuration. Changes to the channel configuration setup do not appear on the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

Use the buttons shown below to plot the Gaussian data, reference data, and generated waveform data to the CCDF graph. The graph's initial state shows only the Gaussian curve (blue) until you generate a waveform.

Click the Gaussian button to toggle the Gaussian noise curve (blue) on or off.

Click the Reference button to toggle the reference curve (red) on or off.

Click the Acquire Ref. button to set the current waveform curve as the reference curve.

Click the Waveform CCDF/Burst CCDF button to select the range of the CCDF calculation.

Burst CCDF calculates the CCDF curve based on the generated I/Q waveform, excluding the off power period.

Waveform CCDF calculates the CCDF curve based on entire generated I/Q waveform.

Peak Point and Peak Slot indicate the peak positions of the IQ data. (Actual peak position of RF signal from signal generator could be different.) These read-only values are calculated while processing CCDF during waveform generation and are useful for determining which slot to use with short waveform that includes peak power (to maintain PAR).

Related Topics

Understanding CCDF Curves

Waveform Graph

Power Envelope Graph


Power Envelope Graph

Click Carrier or Component Carrier n in the Closed tree view. The graph view is located at the bottom of the Carrier n and Component Carrier n nodes. For multiple antenna configurations, a tab for each antenna port is displayed above the graph view. Click the tab of the antenna port for which you want to view a Power Envelope graph. Click the Power Envelope tab to display the Power Envelope graph.

The power envelope graphing feature is not supported for CW or Imported Waveforms.

The Power Envelope graph automatically updates when the Instrument node's Amplitude parameter is changed. But, for all other parameters, the graph is updated only after waveform generation.

If the selected hardware does not have an absolute amplitude setting, the Power Envelope graphs shows the absolute power based on the assumption that the output power is -10 dBm.

This topic contains the following sections:

  • Overview

  • Power Graph Legend

  • Pop-up Annotation

Overview

The following carriers are supported:

  • Basic LTE TDD

  • PRACH LTE TDD

  • Advanced LTE TDD

  • Basic LTE-A TDD

  • PRACH LTE-A TDD

The power envelope graph displays the absolute power of a specified symbol and the absolute average power of a waveform.

The graph covers one frame at once. If the generated waveform is longer than one frame, the graph can be scrolled using a scroll bar below the graph.

The absolute power is calculated based on the ALC marker data (a bit sequence). The ALC marker data of a carrier is set on the symbols with the highest power and then summed to the other carriers after generation. This summing is done by calculating the logical product (AND). This AND data can lose “ON” areas (where the ALC successfully calculates and graphs the absolute power) depending on each of the different carrier‘s individual settings. Where, this loss of “ON” area occurs, the absolute power is not shown and the relative power of the highest symbol is shown instead.

The CCDF, Waveform, and Power Envelope graphs are minimized in the initial view of the Carrier node. To view the graphs, Closed click and drag the border above the CCDF, Waveform, and Power Envelope graphs.

Click Generate Waveform [image] or Generate and Download [image] from the main tool bar to generate an I/Q waveform and plot the power envelope using the current channel configuration. Changes to the waveform configuration do not appear on the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

The Power Envelope plot is shown in the image below. Refer to the Legend and to Pop-up Annotation. Slot numbers are shown along the top of the graph for all carriers.

Power Envelope

Power Graph Legend

Yellow line | shows the power envelope
Green line | shows the average power calculated from the power envelope
Red background | shows the ALC region when the absolute power is successfully determined

Pop-up Annotation

A pop-up annotation is shown by placing a mouse cursor on the graph. The unit of the power readout depends on whether the absolute power is successfully determined or not. If it succeeds, “dBm” is used; otherwise, “dB” is shown.

If the mouse cursor is close to the average power line, the Closed average power is shown in the pop-up; otherwise, the power of the position is shown depending on the carrier.

For Closed non-PRACH carriers, the slot number, the symbol number and the power of a specified symbol are shown. If the symbol is not used, dash symbols (“---“) are shown as the power.

For Closed PRACH carriers, the subframe number and the burst power of a specified subframe are shown. If the subframe does not contain a burst, dash symbols (“---“) are shown as the power.

Related Topics

CCDF Graph

Waveform Graph


Waveform Graph

Click Waveform Setup or Carrier in the Closed tree view. The graph view is located at the bottom of the Waveform Setup and Carrier nodes, and in the Library Waveform Manager's Library Manager window (i.e. power Closed Spectrum view only). For multiple antenna configurations, a tab for each antenna port is displayed above the graph view. Click the tab of the antenna port for which you want to view a waveform graph. Click the Waveform tab to display the waveform graph.

The CCDF, Waveform, and Power Envelope graphs are minimized in the initial view of the Carrier node. To view the graphs, Closed click and drag the border above the CCDF, Waveform, and Power Envelope graphs.

Click Generate Waveform [image] or Generate and Download [image] from the main tool bar to generate an I/Q waveform and plot four different waveform graphs (Power, I+Q, I/Q, and Spectrum) of the current waveform configuration. Changes to the waveform configuration do not appear on the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

The Power plot is shown in the Figure.

Figure. Power plot

Click the down arrow [image] to open a Closed drop-down menu from which you can select different waveform plots. Selections include Power (shown above), I+Q, I|Q, and Spectrum. Click the button to the left of the arrow [image] to select the next plot type in the list without displaying the menu.

Related Topics

CCDF Graph

Power Envelope Graph


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Envelope Tracking Control

The Envelope Tracking Control window (shown below) is accessed from the software's Tools menu. Click the image for descriptions of the various functions.

File

Open Settings

Opens an envelope tracking saved settings (.ets) file. Opening an .ets file configures the envelope tracking parameters for use with the currently selected hardware.

Save Settings

Saves the envelope tracking system parameter settings to an *.ets file. Settings files do not include the hardware configuration information, such as LAN or GPIB settings for specific instruments listed in the Hardware node.

The *.ets file stores only the envelope signal generator’s address and configuration. The RF signal generator address and hardware configuration information will not be stored. Settings stored in the *.ets file are also saved in the *.scp/.scpx. files. Neither *.ets or *.scp/.scpx stores RF signal generator settings. You can save all settings, including RF signal generator settings in Quick Setup.

Export Envelope Data

Exports the envelope data to a .csv file type.

Close

Closes the Envelope Tracking Control window and returns you to the Signal Studio window.

Control

Generate

Generates a combined envelope and I/Q waveform. The orange background color of this button indicates that the waveform needs to be generated to include any changes you made to waveform parameters. Once the waveform is generated (or regenerated), the button will return to the normal gray background color.

Download

Generates and downloads I/Q waveform and envelope data to the I/Q signal and waveform generators. If the IQ waveform was previously generated, only the envelope data is updated. When generating and updating, output states are turned off for both the RF and the envelope signal generators. After downloading, the On the Fly indicator (connected) turns on. The orange background color of this button indicates that the most recently generated waveform has not yet been downloaded to the instruments. Once the waveform is downloaded, the button will return to the normal gray background color.

Regenerate and Download

Regenerates and downloads I/Q waveform and envelope data to the I/Q signal and waveform generators, even if the IQ waveform was previously generated and downloaded. This is useful in cases where signal generator settings were manually changed on the instrument's front panel, as it forces the connected signal generator to synchronize with the software's current settings.

Trigger to the Envelope SG

This button only appears when the RF signal generator is set as the timing master. It sends an ABORT command to the arbitrary waveform generator (AWG), resetting the trigger state. This allows the AWG to receive the trigger and resynchronize with the RF signal generator.

System

Check Connection

Verifies the connection with the arbitrary waveform generator (AWG).

System Configuration...

This opens the Closed System Configuration window. Clicking one of the two available configurations, followed by OK, determines which source is the timing master, supplying the trigger and 10 MHz reference. The diagram also shows the BNC cable connections for each configuration. The selected timing master configuration appears on the right side of the status bar, located at the bottom of the Envelope Tracking Control window.

Log

Clear Log

Clears the message log in the lower left corner of the Envelope Tracking Control window.

Message Log

This area displays messages during generate and download process.

Parameter and Graph View

This area displays parameters (many are configurable) or graphs, depending on which block of the Envelope Control window is active.

On-the-Fly

Indicates that the On-the-Fly feature is active, enabling real-time parameter updating. If a parameter value is changed, the instrument immediately updates. This feature becomes active after the waveform is generated and downloaded to the instrument. Only then can the state be toggled between Idle and Connected.

Indicates that the On-the-Fly feature is inactive. Click to test the connection and to make the feature active.

The On-the-Fly feature does not synchronize the instruments. To fully synchronize the instruments, click the Generate and Download [image] button.

Shaping Table Manager

Clicking the Closed Shaping Table Manager block enables you to create and edit shaping tables for the current power amplifier.

Toolbar

Buttons | Description
 | Opens opens a envelope tracking (.csv) file.
 | Saves the parameters configured in the Envelope Tracking software to a .csv file.
 | Adds a new table row to the current Envelope Adjust. If "On the fly" is active, the results can be seen in the CCDF graph.
 | Deletes the currently selected table or formula.

Name

Click to change a Table or a Formula name.

Type

Indicates Table or Formula for the envelope tracking values.

Comment

Optional entry for the Table or Formula description.

RF Voltage

Click to change the value in dB input into the PA.

The units on each column are linear voltage. RF Voltage is the I/Q signal (input) and EV Voltage is the envelope signal (output). If the RF voltage value is out of the table range, the nearest table edge value is used for the converted value.

EV Voltage

Click to change the value in dB output from the PA.

RF Voltage is the I/Q signal (input) and EV Voltage is the envelope signal (output).

CCDF Graph

The CCDF graph contains the PA's input vs. output power values.

|X| and Transformation

The Closed |X| and Transformation block enables you to configure and generate the envelope based on the I/Q waveform.

The envelope value of each waveform point is calculated as:

Then oversampling is applied, according to the over sample ratio you select.

Click [image] to generate the envelope data after you have set the envelope generation parameters.

Envelope Generation

Envelope Tracking Source

Selects the envelope's data source. This parameter is set automatically by the software to either I/Q Waveform or to Constant Value.

When this parameter is set to Constant Value, the envelope tracking is off and the PA is in normal operation using a constant DC bias voltage. This setting can be used for comparison purposes by manually turning off Envelope Adjust.

Oversampling ratio for the Envelope Data

Range: 1 to 32

Default: 3

Enter an integer value to set the oversampling ratio for the envelope data.

Envelope Adjust

Choice: On | Off

Default: On

Enables envelope adjust. If Off, then no adjustment is applied to the envelope waveform.

Conversion Input Type

Choice: Absolute RF Output Voltage | Normalized RF Output Voltage

Default: Absolute RF Output Voltage

Absolute RF Output Voltage

Use RF output voltage value as conversion table x-axis value. If RF output amplitude is changed, converted data may be changed.

Normalized RF Output Voltage

Use normalized power value of IQ waveform data as conversation table x-axis value. Value range is 0 – 1, so that the 0 – 1 range of x-axis are always used for the conversion. RF output amplitude does not affect the conversion.

Override Absolute RF Output Voltage

Apply fixed value (not linked to RF output voltage). The fixed value is set in the Power for transformation input parameter, which appears after you make this selection.

Power for transformation input

Range: –130 dBm to 40 dBm

Default: 10 dBm

This value is used for the rms power level of RF signal for transformation input instead of RF output voltage from RF signal generator amplitude. This parameter appears only when the Conversion Input Type is set to Override Absolute RF Output Voltage.

Pre Conversion Filter

Range: 1 MHz to 200 MHz

Default: 200 MHz

This filter is applied before conversion begins.

The filter cut off range is calculated by:

minimum sampling clock/100

maximum sampling clock/2

If the filter cut off frequency is out of range, the filter is not applied.

Graph

The envelope graph displays the first 100 points of the waveform. Increase the oversampling ratio for the envelope as needed to improve the quality of the envelope.

Envelope Signal Generator

The Closed Envelope Signal Generator block controls the arbitrary waveform generator (33521/22A or 33521/22B). With the On-The-Fly feature activated, changes to parameter values are immediately transmitted to the RF Signal Generator.

Send Parameters

This button sends the Envelope Signal Generator configuration parameters to the arbitrary waveform generator.

Check Connection

Verifies the connection with the arbitrary waveform generator (AWG).

Address

Enables connectivity through GPIB, LAN, or USB input connector to trigger an ET waveform. Select the connection type from the drop-down menu, then enter the appropriate address in the adjacent fields.

Arbitrary Waveform Generator

For all the parameters described in this section, you can also refer to the Keysight 33500 Series Operating and Service Guide.

Sampling Clock

Range: 1 μSa/s to 250 MSa/s

Default: 40 kSa/s

Sets the sample rate for the arbitrary waveform.

This parameter is coupled to the arbitrary waveform filter command. When the arbitrary waveform filter is set to OFF, then the sampling clock is limited to 62.5 MSa/s. FUNCtion:ARBitrary:FILTer is OFF.

  • The sample rate and frequency parameter are not coupled when playing an arbitrary waveform segment. The concept of frequency does not apply for arbitrary waveform sequences.

  • Setting a sample rate when not in the ARB mode will not change the frequency. For example, if the current function is set to sine, then setting the sample rate has no effect until the function changes to ARB.

  • The maximum sample rate depends on the filter applied to the arbitrary waveform. Refer to FUNCtion:ARBitrary:FILTer and the Keysight 33500 Series Operating and Service Guide for details.

Example of setting the sample rate to 10 kSa/s:

FUNC:ARB:SRAT 1e4

Example of Typical Return:

+1.000000000000000E+04

33521/22B:

[SOURce[1|2]:]FUNCtion:ARBitrary:SRATe <sample_rate>|MINimum|MAXimum

[SOURce[1|2]:]FUNCtion:ARBitrary:SRATe? MINimum|MAXimum

Arb Filename

Choices: See MMEMory:LOAD:DATA[1|2], for valid <filename> formats.

Selects an arbitrary waveform (.arb/.barb) or sequence (.seq) that has previously been loaded into volatile memory for the channel specified with MMEMory:LOAD:DATA[1|2] or DATA:ARBitrary. Several waveforms can be in volatile memory simultaneously.

  • The <filename> should match the filename used to load the arbitrary waveform or sequence into volatile memory with MMEMory:LOAD:DATA[1|2], DATA:ARBitrary, DATA:ARBitrary:DAC, or DATA:SEQuence.

  • When you store an arbitrary waveform segment or sequence (MMEMory:STORe:DATA[1|2]), the instrument's current settings (voltage values, sample rate, filter type, and so on) are stored in the segment or sequence file. When you play the file for the first time with FUNCtion:ARBitrary, these settings are loaded and override the instrument's current settings. If you have manually edited a segment or sequence file such that the instrument settings have been removed, the instrument settings will not be changed when you execute FUNCtion:ARBitrary.

  • When you store an arbitrary waveform segment or sequence (MMEMory:STORe:DATA[1|2]), the instrument's current settings (voltage values, sample rate, filter type, and so on) are stored in the segment or sequence file. When you play the file for the first time with FUNCtion:ARBitrary, these settings are loaded and override the instrument's current settings. If you have manually edited a segment or sequence file such that the instrument settings have been removed, the instrument settings will not be changed when you execute FUNCtion:ARBitrary.

Example of setting an arbitrary waveform in memory on channel 2 :

FUNC:ARB "INT:\MyArb103.arb"

Example of a typical return:

"INT:\MyArb103.arb"

Example of loading an arbitrary waveform from the internal drive into volatile memory. Then select and play the waveform.

:MMEM:LOAD:DATA "INT:\BUILTIN\Sinc.arb"

:FUNCtion:ARBitrary "INT:\BUILTIN\Sinc.arb"

:FUNCtion ARB

33521/22B:

[SOURce[1|2]:]FUNCtion:ARBitrary <filename>

[SOURce[1|2]:]FUNCtion:ARBitrary?

Trigger Delay

Range: 0 to 1000 s (resolution of 4 ns)

Default: 0

Sets trigger delay, (time from assertion of trigger to occurrence of triggered event).

  • Can be used with IMMediate, EXTernal, or BUS trigger source (TRIGger[1|2]:SOURce).

Example of setting channel 1 trigger delay to 105 ms:

TRIG:DEL 105e-3

Example of Typical Return:

+1.050000000000000E-01

33521/22A and 33521/22B:

TRIGger[1|2]:DELay <seconds|MINimum|MAXimum>

TRIGger[1|2]:DELay?

Trigger Slope

Choices: Positive | Negative

Default: Positive (rising edge)

Specifies polarity of trigger signal on rear-panel Trig In connector for any externally-triggered mode.

Example setting trigger slope to falling edge:

:TRIG:SLOP NEG

33521/22A and 33521/22B:

TRIGger[1|2]:SLOPe POSitive|NEGative

TRIGger[1|2]:SLOPe?

Output Voltage

Range: 1 mVpp to 10 Vpp into 50 Ω

Default: 100 mVpp

Sets output amplitude.

Typical Return:

+5.0000000000000E+00

Set output amplitude to 5 Vpp:

VOLT 5 Vpp

  • The relationship between offset voltage and output amplitude is shown below. Vmax is the maximum peak voltage for the selected output termination (5 V for a 50 Ω load or 10 V for a high-impedance load).

    |Voffset| < Vmax - Vpp/2

    If the specified offset voltage is not valid, the instrument will adjust it to the maximum DC voltage allowed with the specified amplitude. From the remote interface, a "Data out of range" error will also be generated.

  • Differences between remote and front panel operation:

    • Remote Interface: Setting amplitude from the remote interface can change the offset in order to achieve the desired amplitude. The instrument will generate either a "Data out of range" or "Settings conflict" error. If the specified offset voltage is not valid, the instrument adjusts it to the maximum allowed with the specified amplitude.

    • Front Panel: Setting amplitude from the front panel will not change the offset setting. If the specified amplitude is not valid, the instrument clips it to the maximum amplitude allowed with the current offset and generates a "Data out of range" error.

  • Limits Due to Output Termination: If the amplitude is 10 Vpp and you change the output termination setting from 50 Ω to "high impedance" (OUTPut[1|2]:LOAD INF), the displayed amplitude doubles to 20 Vpp. Changing from "high impedance" to 50 Ω halves the displayed amplitude. The output termination setting does not affect the actual output voltage; it only changes the values displayed and queried from the remote interface. Actual output voltage depends on the connected load.

  • Limits Due to Output Coupling:

    • Differences between remote and front panel operation: If two channels are coupled, both channels' amplitude limitations will be checked before a change in amplitude is executed. If a change in output amplitude would exceed a LIMIT for either channel, or exceed the instrument's output specifications for either channel:

      • Remote interface: The instrument will first adjust the offset, then if necessary, the amplitude of that channel to comply with the voltage limits or specification. The instrument will generate either a "Data out of range" or "Settings conflict" error.

      • Front panel: The instrument will clip the amplitude value to the maximum value with the current offset setting. A "Data out of range" error will be generated.

  • Specifying Voltage Units: You can set the output amplitude in Vpp, Vrms, or dBm by specifying the units as part of the VOLTage command VOLT 3.0 VRMS.

Use VOLTage:UNIT to specify output units for all subsequent commands.

You cannot specify output amplitude in dBm if output termination is set to high impedance. The units are automatically converted to Vpp.

  • Limits Due to Units Selection:Amplitude limits are sometimes determined by the output units selected. This may occur when the units are Vrms or dBm due to the differences in various functions' crest factors. For example, if you change a 5 Vrms square wave (into 50 Ω) to a sine wave, the instrument will adjust the amplitude to 3.536 Vrms (the upper limit for sine in Vrms). The remote interface will also generate a "Settings conflict" error.

  • Arbitrary Waveform Limitations: For arbitrary waveforms, amplitude is limited if the waveform data points do not span the full range of the output DAC (Digital-to-Analog Converter). For example, the built-in "Sinc" waveform does not use the full range of values, so its maximum amplitude is limited to 6.087 Vpp (into 50 Ω).

  • Changing amplitude may briefly disrupt output at certain voltages due to output attenuator switching. The amplitude is controlled, however, so the output voltage will never exceed the current setting while switching ranges. To prevent this disruption, disable voltage autoranging using VOLTage:RANGe:AUTO OFF. The APPLy command automatically enables autoranging.

  • You can also set the amplitude (with an associated offset voltage) by specifying a high level (VOLTage:HIGH) and low level (VOLTage:LOW). For example, if you set the high level to +2 V and the low level to -3 V, the resulting amplitude is 5 Vpp, with a -500 mV offset.

  • To output a DC voltage level, select the DC voltage function (FUNCtion DC) and then set the offset voltage (VOLTage:OFFSet). Valid values are between ±5 VDC into 50 Ω or ±10 VDC into an open circuit. While the instrument is in DC mode, setting amplitude has no effect.

[SOURce[1|2]:]VOLTage {<amplitude>|MINimum|MAXimum}

[SOURce[1|2]:]VOLTage? [{MINimum|MAXimum}]

Output Voltage Offset

Range: ± 5 VDC into 50 Ω

Default: 0

Sets DC offset voltage.

Typical Return

+1.0000000000000E-01

Set offset voltage to 100 mV:

VOLT:OFFS 100 mV

  • The relationship between offset voltage and output amplitude is shown below.

    |Voffset| < Vmax - Vpp/2

  • Differences between remote and front panel operation:

    • Remote Interface: Setting the offset from the remote interface can change the amplitude in order to achieve the desired offset setting. The instrument will generate either a "Data out of range" or "Settings conflict" error.

    • Front Panel: Setting the offset from the front panel will not change the amplitude in order to achieve the desired offset setting. If the specified offset is not valid, the instrument will clip it to the maximum offset allowed with the current amplitude and generate a "Data out of range" error.

  • Limits Due to Output Termination: The offset range depends on the output termination setting. For example, if you set offset to 100 mVDC and then change output termination from 50 Ω to "high impedance," the offset voltage displayed on the front panel doubles to 200 mVDC (no error is generated). If you change from "high impedance" to 50 Ω, the displayed offset voltage will be halved. See OUTPut[1|2]:LOAD for details. Changing the output termination setting does not change the voltage present at the output terminals of the instrument. This only changes the displayed values on the front panel and the values queried from the remote interface. The voltage present at the instrument's output depends on the load connected to the instrument. See OUTPut[1|2]:LOAD for details.

  • Limits due to Output Coupling: If two channels are coupled, limitations of setting offset will be checked on both channels before a change in offset is executed. If a change in offset would exceed a LIMIT setting, or exceed the instrument's output specifications for either channel:

    • Remote Interface: First the amplitude and then if necessary, the offset of that channel will be adjusted to comply with the voltage limits or specification. The instrument will generate either a "Data out of range" or "Settings conflict" error.

    • Front panel: The offset value is clipped to the maximum value allowed that will not exceed the LIMit setting, and a "Data out of range" error will be generated.

  • Arbitrary Waveform Limitations: For arbitrary waveforms, amplitude is limited if the waveform data points do not span the full range of the output DAC (Digital-to-Analog Converter). For example, the built-in "Sinc" waveform does not use the full range of values, so its maximum amplitude is limited to 6.087 Vpp (into 50 Ω).

  • Changing amplitude may briefly disrupt output at certain voltages due to output attenuator switching. The amplitude is controlled, however, so the output voltage will never exceed the current setting while switching ranges. To prevent this disruption, disable voltage autoranging using VOLTage:RANGe:AUTO OFF. The APPLy command automatically enables autoranging.

  • Setting the high and low levels also sets the waveform amplitude and offset. For example, if you set the high level to +2 V and the low level to -3 V, the resulting amplitude is 5 Vpp, with a -500 mV offset.

  • To output a DC voltage level, select the DC voltage function (FUNCtion DC) and then set the offset voltage (VOLTage:OFFSet). Valid values are between ±5 VDC into 50 Ω or ±10 VDC into an open circuit. While the instrument is in DC mode, setting amplitude has no effect.

[SOURce[1|2]:]VOLTage:OFFSet {<offset>|MINimum|MAXimum}

[SOURce[1|2]:]VOLTage:OFFSet? [{MINimum|MAXimum}]

Output Voltage High Limit

Same description as Output Voltage Low Limit (see below)

Output Voltage Low Limit

Range: ±5 VDC into 50 Ω, as long as HIGH is at least 1 mV greater than LOW.

Defaults: HIGH +50 mV, LOW -50 mV

Sets the high and low limits for output voltage.

  • For voltage limits to be in effect, VOLTage:LIMit:STATe must be ON (VOLT:LIMIT:STATE ON). If this is the case, and the high limit is set below the high value of the signal or the low limit is set above the low value of the signal, the relevant limit will be clipped to the high or low value of the signal. The instrument will generate either a "Data out of range" or "Settings conflict" error.

  • The high limit sets the highest output voltage allowed to be set, including DC Offset and peak amplitude. It is set in reference to the current OUTPUT[1|2]:LOAD setting. If the specified LOAD impedance is not present at the instrument's output, then the output limit may not represent the actual voltages at the output connector. For Example, if the output impedance is set to 50 Ω, but the actual load is high impedance, then the actual output peak voltage may be up to twice the specified limit voltage.

  • Specifying Voltage Units: You can set the output limit voltage only in volts.

  • When VOLTage:COUPle[:STATe] is ON, and VOLTage:LIMit:STATe is ON, voltage limit settings on both channels affect maximum amplitude and offset voltage settings.

Example of setting voltage limit high to 5.0V:

VOLT:LIMIT:HIGH 5.0

Example of Typical Return:

+5.0000000000000E+00

33521/22A and 33521/22B:

[SOURce[1|2]:]VOLTage:LIMit:HIGH <voltage>|MAXimum|MINimum

[SOURce[1|2]:]VOLTage:LIMit:HIGH? MAXimum|MINimum

[SOURce[1|2]:]VOLTage:LIMit:LOW <voltage>|MAXimum|MINimum

[SOURce[1|2]:]VOLTage:LIMit:LOW?

Output Voltage Limit State

Choices: On | Off

Default: Off

Enables or disables output amplitude voltage limits.

  • When this parameter is turned ON, if the present settings of amplitude and offset exceed the limits, then the limits will be disabled. The instrument will generate either a "Settings conflict" error.

  • When VOLTage:COUPle[:STATe] is ON, and VOLTage:LIMit:STATe is ON, voltage limit settings on both channels affect maximum amplitude and offset voltage settings on both channels. The most restrictive combination of high and low limits from either channel is used.

  • Limits are set in reference to the current setting of OUTPut[1|2]:LOAD. If the specified LOAD impedance is not present at the instrument's output, then the output limit may not represent the actual voltages at the output connector. For example, if the output impedance is set to 50 Ω, but the actual load is high impedance, then the actual output peak voltage may be up to twice the specified limit voltage.

Example of setting and enabling ±2.5 V output limits on channel 1:

VOLT:LIM:HIGH 2.5

VOLT:LIM:LOW -2.5

VOLT:LIM:STAT ON

Example of typical return:

0 (OFF) or 1 (ON)

33521/22A and 33521/22B:

[SOURce[1|2]:]VOLTage:LIMit:STATe ON|1|OFF|0

[SOURce[1|2]:]VOLTage:LIMit:STATe?

Output Load

Choices: 50 | INF

Default: 50

Sets expected output termination. Should equal the load impedance attached to the output.

The specified value is used for amplitude, offset, and high/low level settings.

  • The instrument has a fixed series output impedance of 50 Ω to the front-panel channel connectors. If the actual load impedance differs from the value specified, the displayed amplitude and offset levels will be incorrect. The load impedance setting is simply a convenience to ensure that the displayed voltage matches the expected load.

  • If you change the output termination setting, the displayed output amplitude, offset, and high/low levels are adjusted (with no error generated). If the amplitude is 10 Vpp and you change the output termination setting from 50 Ω to "high impedance" (OUTPut[1|2]:LOAD INF), the displayed amplitude doubles to 20 Vpp. Changing from "high impedance" to 50 Ω halves the displayed amplitude. The output termination setting does not affect the actual output voltage; it only hanges the values displayed and queried from the remote interface. Actual output voltage depends on the connected load.

  • You cannot change the output termination setting with voltage limits enabled; the instrument cannot know which output termination settings the voltage limits apply to. To change the output termination setting, disable voltage limits, set the new termination value, adjust voltage limits, and re-enable voltage limits.

  • If INF (high impedance) is selected, the query returns 9.9E+37.

Output State

Choices: On | Off

Default: Off or On

Enables or disables the front-panel output connector.

  • When output is enabled, the front-panel channel output key is illuminated.

  • The APPLy commands override current OUTPut setting and enable the channel output connector.

  • If excessive external voltage is applied to the front-panel channel output connector, an error message appears and output is disabled. To re-enable output, remove overload from the output connector and send OUTPut ON.

  • OUTPut changes the state of the channel output connector by switching the output relay, without zeroing output voltage. Therefore, output may glitch for about a millisecond until signal stabilizes. Minimize glitching by first minimizing amplitude (VOLTage MIN) and setting offset to 0 (VOLTage:OFFSet 0) before changing output state.

Example of typical return for an enabled output connector for channel 1:

OUTP ON

33521/22A and 33521/22B:

OUTPut[1|2] ON|1|OFF|0

OUTPut[1|2]?

Dual Operation State (33522A and 33522B only)

Choices: On | Off | Inverted

Causes channels 1 and 2 of a two-channel instrument to output the same signal, or an inverted polarity signal.

This parameter is hidden, if the target waveform signal generator is a single channel model.

  • Causes all settings of the named channel to be copied to the other channel with exceptions noted below. This does include frequency list settings and any arbitrary waveforms loaded in memory.

  • With the INVerted option, the tracking channel's amplitude will be inverted, forming a signal similar to a differential output between Channel 1 and Channel 2. DC Offset is not inverted.

  • When TRACk is ON, voltage limits on both channels apply. If voltage limits on either channel would prevent the other channel's setup from being applied, the instrument will generate a settings conflict error and channel tracking will remain OFF.

  • When TRACk is ON, changes to either channel are reflected in both channels. When TRACk is changed from ON or INV to OFF, the channels will remain in their present setup (frequency, amplitude, and so on), but you may now change one channel without affecting the other channel.

  • Voltage limits may be adjusted in tracking mode, but cannot be set in violation of the current signal.

  • Turning tracking ON sets COMBine:FEED to NONE, turns off FREQuency:COUPle, VOLTage:COUPle, and RATE:COUPle.

  • TRACK is not allowed if the internal modulation source for the channel being tracked is the other channel.

  • The OUTPut:SYNC:SOURce is set to the channel being tracked.

Example of typical return:

ON, OFF, or INV

Example of setting channel 2 output signal identical to so that of channel 1:

TRACk ON

33521/22A and 33521/22B:

[SOURce[1|2]:]TRACk ON|OFF|INVerted

I/Q Waveform

The Closed I/Q Waveform block is read-only, so parameters are not editable here. If you need to change some of the I/Q waveform parameters, close the Envelope Tracking Control window and make the changes in the main software window.

Generate

Generates a combined envelope and I/Q waveform. This performs the same function as the Generate button on the ET control window's tool bar.

I/Q Waveform

These parameters are not editable within the Envelope Tracking Control window. To edit the I/Q Waveform block's parameters, close out the Envelope Tracking Control window and click on the node in the tree view that contains the parameter you'd like to edit. Otherwise, the current parameter settings are retained.

Waveform Name

Sets the Waveform filename. This parameter is not editable within the Envelope Tracking software.To edit this parameter, close the Envelope Tracking Control window and make any edits in the Signal Studio software.

The Waveform Name parameter is editable in the Waveform Setup node.

Waveform Length

Sets the Waveform Length. This parameter is not editable within the Envelope Tracking software.To edit this parameter, close the Envelope Tracking Control window and make any edits in the Signal Studio software.

The Waveform Length value is not directly editable. To edit the Waveform Length (Total Sample Points), click on the Oversampling Ratio parameter. The Waveform Length (Total Sample Points) is automatically determined based on the oversampling ratio. Using a larger oversampling ratio results in a more completely filtered image, but also uses more waveform memory by increasing the number of waveform points. Refer to the Carrier n node, for your 3GPP release version of carrier.

Waveform Sampling Rate

Sets the Waveform Sampling Rate. This parameter is not editable within the Envelope Tracking software.To edit this parameter, close the Envelope Tracking Control window and make any edits in the Signal Studio software.

Waveform Sampling Rate is a sampling rate without Oversampling Ratio (OSR) which is set by the Carrier n node's Base Sampling Rate parameter. Refer to the Carrier n node's Base Sampling Rate parameter for a more complete description.

I/Q LUT

The Closed I/Q LUT block provides quick and convenient access to digital pre-distortion (DPD) control and lookup table (LUT).

RF Signal Generator

The Closed RF Signal Generator block is editable and represents the Signal Studio's instrument node.For the list of parameters and descriptions, refer to the instrument node.

DUT

The Closed DUT block allows you to set envelope timing alignment and map envelope voltage levels into the DUT. All parameter adjustments happen in real time while the On-The-Fly feature is enabled.

Envelope - RF

Timing Alignment

Adjusts the timing between RF signal generator and Envelope signal generator.

This parameter will distribute to Trigger delay (RF Signal Generator) and IQ_DELAY (RF Signal Generator).

SYNC signal of Envelope SG is source of trigger for the RF signal generator.

Delay value = trigger delay (RF SG) + IQ_DELAY (RF SG).

For Negative delay value, add one waveform length timing to the delay value.

Step

This step number used for increment/decrement the timing adjusts value by using mouse wheel or up/down control. Step can be changed.

Envelope Voltage Mapping

This section describes individual parameters. For more information, see ETPS Input Voltage Mapping.

Transformed High

This is the high voltage value of the shaping table and will be converted to the Mapped High value.

Transformed Low

This is the low voltage value of the shaping table and will be converted to the Mapped Low value.

Ref

Check this box to override the automatic calculated reference level with the current value, which you can edit. This value is the swing center of the envelope and and Vcm point (with offset). If the box is not checked, the transformed reference value is calculated as follows:

Transformed High – Transformed Low)/2

Mapped High

This is the high peak-voltage value (positive swing) of the envelope waveform data input to the envelope tracking power supply (ETPS), converted from the Transformed High value.

Mapped Low

This is the low peak-voltage value (negative swing) of the envelope waveform data input to the envelope tracking power supply (ETPS), converted from the Transformed Low value.

Vpp

This read-only field shows the peak-to-peak mapped voltage value, calculated as follows:

Vpp = Mapped High voltage – Mapped Low voltage

Vcm

This is the common-mode voltage and is mapped to the center of the envelope waveform swing (peak-to-peak amplitude). This value also includes any offset value applied.

RF Signal Generator

RF SG Output

Check this box to turn on the RF signal generator output.

RF Amplitude

Sets the RF power of the RF signal generator.

Transformation Input Type

Absolute RF Output

Use RF output voltage value as conversion table x-axis value. If RF output amplitude is changed, converted data may be changed.

Normalized RF Output

Use normalized power value of IQ waveform data as conversation table x-axis value. Value range is 0 – 1, so that the 0 – 1 range of x-axis are always used for the conversion. RF output amplitude does not affect the conversion.

Override Absolute RF

Apply fixed value (not linked to RF output voltage). Enter the fixed value in the field directly below this button.

Envelope Signal Generator

Envelope SG Output

Check this box to turn on the envelope signal generator output.

Override

Check this box to override the envelope signal generator output voltage and offset. If overridden, the amplitude and offset values are not automatically calculated from mapped Vpp and Vcm.

Amplitude

See Output Voltage.

Offset

See Output Voltage Offset.

ETPS Gain Adjust

Adjusts the output voltage in dB.

For example, if set to –6 dB, the output voltage will be one half.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Multi-UE Wizard

This window provides all the functions necessary to configure a multi-UE waveform and is accessed by clicking the Multi-UE Wizard button in the Waveform Setup screen. When you have finished your configuration, click OK and a small Closed progress window appears briefly as the software checks for resource block conflicts. An error message reports the details should any conflicts occur. Otherwise, the configuration is valid.

Open Multi-UE Wizard Settings

Opens a multi-UE settings file (*.mus). Also supports *.txt and *.csv file formats. Refer to Importing and Exporting Multi-UE Settings Files for more information.

Save Multi-UE Wizard Settings

Saves your current configuration to a multi-UE settings file (*.mus). Also supports *.txt and *.csv file formats. Refer to Importing and Exporting Multi-UE Settings Files for more information.

Preset Multi-UE Wizard Settings

Presets the multi-UE wizard to the default configuration.

Carrier Type

Displays the UL carrier that is fixed at Advanced LTE UL.

System BW

Choice: 1.4 MHz (6RB) | 3 MHz (15RB) | 5 MHz (25RB)) | 10 MHz (50RB) | 15 MHz (75RB) | 20 MHz (100RB)

Default:

LTE: 5 MHz (25RB)

LTE-A: 10 MHz (50RB)

Double-click or use the drop-down menu to set the system bandwidth and number of resource blocks (RB). When you select a system bandwidth, the software automatically adjusts the values in the Total Number of Resource Blocks and Total Number of Occupied Sub-carriers cells.

Advanced LTE and LTE-A carriers only: When the system bandwidth is decreased, the DL-SCH Tx Sequence window's RB size, and some of the other data channel's settings, are reconfigured, similar to when a predefined configuration is executed. But, when the system bandwidth is increased, no change to the DL-SCH Tx Sequence window's RB size, or the other data channel's settings occurs.

UL/DL Configuration

Range: 0 to 6

Default: 0

Coupling: For Basic, Advanced UL, and Advanced DL LTE-A TDD when Auto Carrier Aggregation Configuration is set to On, this setting is read only for the secondary cells that has the same value as the primary cell.

Double-click or use the drop-down menu to select the uplink-downlink configuration.

The supported uplink-downlink configurations are defined in Table 4.2-2 of 3GPP TS 36.211.

In the case of intra-band carrier aggregation, the PCell parameter is editable, but SCell is read-only. With inter-band carrier aggregation, both parameters are editable.

The resource blocks and some parameters are reconfigured by changing the Uplink Downlink Configuration parameter in the same manner as Predefined Configuration.

Cell ID

Range: 0 to 503

Default: 0 with Auto Carrier Aggregation Configuration set to Off

Same as the CC index number with auto Carrier Aggregation Configuration set to On

With Auto Carrier Aggregation Configuration set to Off, enter a cell ID value.

The software uses this value to set the Physical Layer Cell ID group and sector cells:

Cell ID = (3 x Physical Cell ID group + Physical Cell ID sector).

See 3GPP TS 36.211 for more information.

Generation Length

Range: 10 ms to 160 ms

Default: 10 ms

Enter a value of waveform generation length.

Number of UEs

Range: 1 to 100

Default: 25

Enter a number of UEs signal for Multi-UE Generation.

PUSCH

Displays the PUSCH state. A check mark indicates the channel is on.

PUSCH

This table shows the configurations for each individual UE. UE parameters can be set independently or globally, using Column Preset.

Column Preset

This button opens a drop-down menu, allowing you to select a global setting for a certain UE parameter.

UE #

Displays the UE number.

RNTI

Range: 0 to 65535

Default: 0

Enter a value for the Radio Network Temporary Identifier (RNTI).

MCS Index

Choice: Off | 0 | 1 ..... 26 | 27 | 28

Default: 0

Double-click or use the drop-down menu to set the MCS index of MCH. In case of MCS Index = 0 to 28, both parameters Modulation and TBS Index are automatically decided by software. In case of MCS Index = Off, both parameters Modulation and TBS Index are selectable by user. For more detail, refer to 3GPP TS 36.212, 36.213 and 36.331.

HARQ-ACK

Choice: On | Off

Default: Off

Sets HARQ-ACK state on or off.

HARQ-ACK Offset Index

Range: 0 to 15

Default: 0

Enter a value for the HARQ-ACK Offset Index.

HARQ-ACK Info

Choice: ACK | NACK | ACK-ACK | ACK-NACK | NACK-ACK | NACK-NACK | User Defined Bits (Up to 0 to 20 Bits)

Default: ACK

Sets HARQ-ACK Information. If User Defined Bits is selected, Bit sequence containing "0" or "1" up to 20 bits is available. "1" means ACK. "0" means NACK.

HARQ-ACK Info Size

Range: 1 to 20

Specifies HARQ-ACK Information Size. If HARQ-ACK Info is set User Defined Bits, HARQ-ACK Information Size is available to set up to User Defined Bits length. Otherwise it is read only.

RI

Choice: On | Off

Default: Off

Sets RI state on or off.

RI Offset Index

Range: 0 to 12

Default: 0

Enter a value for the RI Offset Index.

RI Info

Choice: 0 | 1 | 0-0 | 0-1 | 1-0 | 1-1 | User Defined Bits (Up to 0 to 15 Bits)

Default: ACK

Sets RI Information. If User Defined Bits is selected, Bit sequence containing "0" or "1" up to 15 bits is available.

RI Info Size

Range: 1 to 15

Specifies RI Information Size. If RI Info is set User Defined Bits, RI Information Size is available to set up to User Defined Bits length. Otherwise it is read only.

CQI/PMI

Choice: On | Off

Default: Off

Sets CQI/PMI state on or off.

CQI Offset Index

Range: 2 to 15

Default: 2

Enter a value for the CQI Offset Index.

CQI/PMI Info

Choice: PN9 | PN15 | User Defined Bits

Default: PN9

Sets CQI/PMI Information.

CQI/PMI Info Size

Range: 1 to 144

Specifies CQI/PMI Information Size.

RB Allocation Graph

Displays how resource blocks are allocated for a specific UE. Click the blank cell to the left of the UE # you want to see in the graph. If you right-click anywhere in the row of the selected UE, a Closed Set Selected UEs Transmission button appears. Clicking this button opens the Closed UE #n PUSCH Tx Sequence editor for the UE, allowing you to set subframe states and resource block offsets and sizes. To show the RB allocation for all the UEs, click the blank cell to the left of Carrier Type in the upper table of the wizard.


API Control

The Signal Studio software includes a full Microsoft .NET-based application programming interface (API) as an alternative to manually entering data in the Signal Studio graphical user interface. Using API, you can automate the entire signal configuration and playback process in a programming environment of your choice.

API Help | provides information on accessing API help, usage requirements, and references.
Sample API Programs | provides information about API examples included with the software that can be modified for your application
Using the API with LabVIEW | provides instructions on using Signal Studio .NET APIs with LabVIEW.
Controlling Signal Studio Using .NET API | provides a detailed procedure (PDF document) for using Signal Studio's .NET API to remotely control and automate setup configurations and to generate waveforms.


API Help

API Class Library

API commands for controlling the N7625B Signal Studio graphical user interface are documented in the N7625B Documented Class Library (N7625API.chm). This help file is located in the following directory: C:\Program Files (x86)\Keysight\Signal Studio\LTE-LTE-Advanced TDD\Playback.

Many of the links in the API help require the Microsoft Visual Studio .NET integrated development environment (IDE). Without the IDE, these links appear broken. Download the IDE to repair the links.

Refer to www.keysight.com/find/signalstudio for the latest software updates.

Sample API Programs

Sample API programming files are placed in the following default location when you install the software. You can use these samples as a starting point to develop your own API programs.

C:\Users\<my account>\AppData\Roaming\Keysight\Signal Studio\LTE-LTE-Advanced TDD\Samples

Numeric Format

This software recognizes only US style numeric format, for example, floating point is "."

Language Requirements

You must set the API locale to "en-US" using the following commands prior to starting the user main routine:

Thread.CurrentThread.CurrentCulture = new CultureInfo("en-US"); // Sets the culture to English (US)

Thread.CurrentThread.CurrentUICulture = new CultureInfo("en-US"); // Sets the UI culture to English (US)

You can see these culture setting commands in the Main() method at:

C:\Users\<my account>\AppData\Roaming\Keysight\Signal Studio\LTE-LTE-Advanced TDD\Samples\SimpleControl\Main.cs.

Loading .NET Mixed-Mode Assemblies

The .NET Framework 4.x allows you to load pure managed assemblies built in any version of the .NET Framework. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure your program (e.g. User_App.exe) to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version="1.0" encoding="utf-8"?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0" />

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as User_App.exe. Name the file User_App.exe.config.

  4. Re-launch User_App.exe.

.NET Version Workaround

If you are using a recent version of Visual Studio, such as VS 2015, the default .NET version will be later than .NET 3.5, which is required for using the Signal Studio API. In this case, if you change the project settings of the Visual Studio program to .NET 3.5, you will not benefit from the latest .NET features. Therefore, it is better to create a .config file in your VS project, enabling you to benefit from the latest .NET features. To do this, follow the exact same steps described in Loading .NET Mixed-Mode Assemblies above.

References

The Microsoft.NET home page.

Developing Microsoft.NET Skills.

"Migrating Native Code to the .NET CLR," by Don Box.

Troelsen, Andrew. C# and the .NET Platform. New York: Apress, 2001.


Sample API Programs

Sample programs are placed in these default locations when you install the software:

C:\Users\<my account>\AppData\Roaming\Keysight\Signal Studio\LTE-LTE-Advanced TDD\Samples\ControlByGUI

C:\Users\<my account>\AppData\Roaming\Keysight\Signal Studio\LTE-LTE-Advanced TDD\Samples\SimpleControl

Using Microsoft Visual C# .NET or a similar IDE, you can modify these sample projects to develop your own API programs.

Basic Program Flow

You can create an API program by performing the following general steps. This sequence is demonstrated in the Main.cs file (C:\Users\<my account>\AppData\Roaming\Keysight\Signal Studio\LTE-LTE-Advanced TDD\Samples\SimpleControl\Main.cs).

  1. Create an API object.

  2. Configure the instrument connection.

  3. Clear all carriers.

  4. Configure the waveform.

  5. Add a framed carrier.

  6. Generate and download the waveform to the instrument.

  7. Turn on the RF output.

  8. End the program and turn off the RF output.

Before editing the sample programs, make backup copies of all files. To save the edited files, right-click each file, select Properties, and de-select the Read-only attribute.

Simple Control Project

The Simple Control project (...\SimpleControl\SimpleControl.sln) provides a basic program for generating and downloading waveforms using API commands.

To view the code, open the SimpleControl.sln file using the Microsoft Visual C# .NET IDE, or open the Main.cs file using a text editor, such as Notepad. Since the SimpleControl.sln program flow does not use the API GUI, you will see only the code contained in the Main.cs file in the Code Editor, as shown in Figure 1.

Figure 1. Main.cs displayed in the Microsoft Visual C# .NET IDE

Control By GUI Sample Project

Using Microsoft Visual C# .NET, or a similar IDE, open the API_TEST project (...\Samples\ControlByGUI\API_TEST.sln). This displays a .NET API graphical user interface with two API mode selections (see Figure 2):

With GUI – settings that you configure using the .NET API GUI are displayed in the N7625B Signal Studio user interface, and are subsequently sent to the signal generator via the Signal Studio application. The Signal Studio GUI is automatically displayed when you select Debug mode. Using this mode enables you to see how changes in your program modify the parameters in the Signal Studio software interface.

No GUI – settings that you configure using the .NET API are not displayed in the N7625B Signal Studio user interface, but are sent directly to the API instance of the Signal Studio application and subsequently to the signal generator.

Ensure that the .dll file Keysight.SignalStudio.N7625B is correctly displayed under References in the Solution Explorer. If the file is not listed, add it as follows:

  1. Select Project > Add Reference. A window opens in which you can select the reference files.

  2. Locate the directory C:\Program Files (x86)\Keysight\Signal Studio\LTE-LTE-Advanced TDD\Playback (This assumes that you installed Signal Studio software in the default location).

  3. Highlight "Keysight.SignalStudio.N7625.dll".

  4. Click Add to add the file in the project as a reference.

Figure 2. API graphical user interface

To view the C# code in the API_TEST project, select the TestApiForm.cs tab in the Code Editor window in the Microsoft Visual C# .NET IDE and. See Figure 3

Figure 3. TestApiForm.cs displayed in the Microsoft Visual C# .NET IDE


Using API in LabVIEW

Real Time

Using Signal Studio .NET APIs in LabVIEW

This topic provides instructions (outlined below) for using Signal Studio .Net APIs in LabVIEW.

  • Load .NET Mixed-Mode Assemblies

  • Creating .NET Objects in the Block Diagram

    • Step 1: Configure the Constructor Node

    • Step 2: Configure Properties for Methods for the .NET Object

    • Step 3: Wire the Added .NET Nodes

    • Step 4: Run the VI

  • Example LabVIEW VIs using Signal Studio APIs

  • .NET Topics in LabVIEW Help

Load .NET Mixed-Mode Assemblies

The .NET Framework 4.0 allows you to load pure managed assemblies built in any version of the .NET Framework and LabVIEW loads the .NET Common Language Runtime (CLR) 4.0 by default. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure LabVIEW to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version ="1.0" encoding="utf-8" ?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0.30319"/>

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as LabVIEW.exe. Typically the directory is C:\Program Files (x86)\National Instruments\LabVIEW 2014. Name the file LabVIEW.exe.config.

  4. Re-launch LabVIEW.

Creating .NET Objects in the Block Diagram

Signal Studio APIs do not provide graphical controls, so most of the usages of APIs should be done in the Block Diagram view of LabVIEW (Window > Show Block Diagram).

Step 1: Configure the Constructor Node

  1. Add the Constructor Node to the block diagram to launch the Select .NET Constructor dialog box.

  2. Select an assembly, objects, and constructors for a .NET object.

    First, right click to “Select Constructor” and in the pop-up window “Browse” to the Signal Studio software installation directory to select the assembly (.dll or .exe) that provides the API interfaces. Then, select the appropriate Object and Constructor.

    Choose which assembly, object, or constructor according to your testing needs and also by looking at the related API help contents shipped with the Signal Studio software.

    • API related topics in the main help file (Help > Contents)

    • API referenc help file (Help > API Reference)

Step 2: Configure Properties for Methods for the .NET Object

Right click the Constructor node to create Property or Method node.

You can also right click the name of the Property to create sub Property or sub Method nodes.

Step 3: Wire the Added .NET Nodes

After all the needed nodes are created, wire them up (using the reference and error input/output connectors of the nodes) to execute the API test flow/procedure.

When wiring the whole test procedure up, you may need to add other nodes (e.g. a numeric constant), or a front panel control (in the Window > Show Front Panel view, to do runtime control) to the block diagram as appropriate.

Some properties may be “Read,” so you may need to “Change To Write” to assign value to the property.

From the context help in LabVIEW, you can know the type of a certain property node, which is helpful to wire the correct type of node/control to the property node.

Step 4: Run the VI

After all the nodes/controls are wired up correctly, you can try to run (click the toolbar button) the VI. Below is a completed small VI whose function is to set some basic configurations of 802.11ac waveform then generate 802.11ac waveforms and download it to a Signal Generator.

Some Signal Studio apps provide Close() and/or Dispose() methods in the constructor class. It is important to add a method node to call Close() or Dispose() as the last step in the block diagram to release/clean up some resources associated with the API usage.

Example LabVIEW VIs using Signal Studio APIs

Attached are two example VIs for a coupleSignal Studio applications:

  • N7614B.vi performs a simple waveform downloading procedure for the Power Amplifier Test application

  • N7617B.vi is a relatively complex example that uses different WLAN 802.11ac waveform configurations, including MIMO

To run the VIs, LabVIEW and the Signal Studio software need to be installed on your PC.

.NET Topics in LabVIEW Help

Refer to the LabVIEW help for more detailed information about using .NET objects. The image below shows where to find this information or you search on "Creating .NET Objects on the Block Diagram."


User Interface - Real Time

Real Time

Using the Software - Real Time

User Interface Basics | How to use the software's user interface
Menu Bar and Tool Bar | Describes functions of the menu bar and tool bar
Status Bar | Defines the status bar fields
Concepts | Conceptual information for using real time capability
Tutorials | Equipment setup and test configuring
Hardware | How to use the software to connect to and configure your instrument
LTE TDD Uplink | LTE TDD carrier and baseband settings
Channels | Test case and FRC parameter settings
PUCCH | PUCCH settings
 | UCI general and Subframe status/state settings
PUSCH | PUSCH settings
 | UL-SCH general and HARQ process settings
Sounding RS | Sounding Reference Signal settings
Timing Adjustment | Timing adjustment settings
Signal IO | Signal I/O ports settings
 | AUX Signals for querying various IO signals
SCPI | Information on using SCPI commands for remote operation, including a comprehensive listing of commands


Concepts - Real Time

AUX I/O Connector Signals (MXG/EXG)

Frame Timing Synchronization with eNB

HARQ Timing (Multiplexed Mode)

TA and HARQ Timing (Dedicated Mode)

Related Topics

Concepts - Arb


AUX I/O Connector Input Signals (MXG/EXG)

The AUX I/O connector has two nodes that control this port:

  • Instrument: Controls the general operating mode of the AUX I/O that applies to all of the AUX I/O signals.
  • Signal IO: Defines which specific signals are going to be input/output on the AUX I/O port. These are specific to your application and to the type of Signal Studio software used.

This topic covers the use case for the AUX input signals and has the sections (For more information—including AUX external signals—refer to Using the Keysight X-Series Signal Generator AUX I/O Port or and to AUX I/O Input/Output Pin-outs and Signals Closed figure and Table 1):

  • Overview
  • Switching AUX I/O Port Modes
  • Operational Signaling Modes

    • AUX I/O Port: Input Signaling
    • AUX I/O Port: External Device Signaling (Example)

Closed Table 1. AUX I/O Input/Output Pin-outs and Signals
AUX I/O Input/Output Pin-outs and Signals for Real-time Signal Studio
Pin Number | Connector Label/Signal |  | Notes
 | Input | Output |
1 |  | Marker 1 Signal |
2 |  | Marker 2 Signal (Playback only) |
3 |  | Marker 3 Signal |
4 |  | Marker 4 Signal |
5 | -- | -- | Future Use
6 | AUX Strobe |  |
7 |  | 10 MHz Clock |
8 | AUX0 |  |
9 | AUX1 |  |
10 | AUX2 |  |
11 | AUX3 |  |
12 | AUX4 |  |
13 | AUX5 |  |
14 | AUX6 |  |
15 | AUX7 |  |
16 | AUX8 |  |
17 | AUX9 |  |
18 | AUX10 |  |
19 | AUX11 |  |
20 | GND | GND |
21 | AUX12 |  | Future Use
22 | GND | GND |
23 | AUX13 |  | Future Use
24 | GND | GND |
25 | AUX14 |  | Future Use
26 | GND | GND |
27 | AUX15 |  | Future Use
28 | GND | GND |
29 |  | AUX Sample Clock |
30 | GND | GND |
31 |  | AUX out 0 | Future Use
32 | GND | GND |
33 |  | AUX out 1 | Future Use
34 | GND | GND |
35 |  | AUX out 2 | Future Use
36 | GND | GND |

Overview

The AUX input signals are used to provide feedback to the real-time signal generation software, such as N7625B Signal Studio for real-time LTE TDD signals.

For the N7625B operation, AUX input signaling can be used to provide timing adjustment and HARQ testing. An external signal is connected to the AUX input port and is used to signal a timing advance (TA) command and ACK/NACK for each subframe.

The AUX input port can be configured in the Signal IO node of the N7625B software. Refer to Figure 1 .

The AUX port has a “Multiplexed” mode and a “Dedicated” mode.Figure 2 indicates that the AUX I/O port is set to “Multiplexed” mode. In Figure 1, notice the 5. Aux Pin/Bit Select parameter area, where the AUX0 for the UL-SCH HARQ ACK/NACK Pattern and AUX1 pin is selected for UL-SCH HARQ ACK/NACK Pattern 2. This means that the LTE TDD real-time system will expect you to supply a HARQ ACK/NACK signal, using the AUX 0 and AUX 1 pins of the AUX I/O connector.

Figure 1. Signal IO Node

Figure 2. Instrument Node

Signal IO Node AUX Input Parameters

This section describes the Signal IO node, as it relates to the AUX I/O port input signals. The following AUX port settings are displayed in Figure 1. For more information, refer to Signal IO.

Aux Port General Settings
State

On or Off — Off means the AUX signaling is ignored
Data Polarity | Positive or Negative — Positive means a 3.3-volt signal is interpreted as a ‘1’ and a 0-volt signal is a ‘0’. Negative selection inverts this so that a 3.3-volt signal is interpreted as ‘0’ and 0-volt signal is interpreted as ‘1’.
Multiplexed Mode Setup

In the Instrument node, the AUX IO Global Controls > Operating Mode can be selected as “Multiplexed” or “Dedicated” - in this case it is selected as “Multiplexed”. Refer to Figure 2 or to the MXG/EXG's User Guide (p/n: N5180-90056).
First Address | For the MXG/EXG it is not necessary to select any Group addresses, so these can be left in their default state.
Second Address | For the MXG/EXG it is not necessary to select any Group addresses, so these can be left in their default state.

Dedicated Mode Setup
  • When “Dedicated” mode is selected, these fields are used to select the AUX port pin and baud rate of the dedicated connection.
  • You can switch between AUX port modes “Dedicated” and “Multiplexed” by selecting the Hardware > Instrument node in the software's tree node, or by using a SCPI command, or by using the instrument front panel. Refer to Figure 2 or to the MXG/EXG's User Guide (p/n: N5180-90056).
Aux Port Pin | Because the AUX port mode is selected as “Multiplexed” these settings are not active, and are shown in gray text. When “Dedicated” mode is selected, this field is used to select the AUX pin of the dedicated connection.
Baud Rate | Because the AUX port mode is selected as “Multiplexed” these settings are not active, and are shown in gray text. When “Dedicated” mode is selected, this field is used to select the baud rate of the dedicated connection.
AUX Pin/Bit Select
Type of Feedback | Sets the bit location of the feedback command type. This parameter is not available when in multiplexed mode.
Timing Adjustment Data | Sets the bit position of the timing adjustment feedback. This parameter is not available when in multiplexed mode.
UL-SCH HARQ ACK/NACK Pattern | Sets the AUX pin of the AUX multiplexed mode bits for the UL-SCH HARQ ACK/NACK pattern.
UL-SCH HARQ ACK/NACK Pattern 2 | Sets the AUX pin of the AUX multiplexed mode bits for the UL-SCH HARQ ACK/NACK pattern 2.

Switching AUX input Port Modes

The AUX port has a “Multiplexed” mode and a “Dedicated” mode. In “Multiplexed” mode, auxiliary signaling is sent using level-sensitive binary signaling (3.3V LV TTL) connected to one or more AUX port input bits. In “Dedicated” mode, auxiliary signaling is sent using an RS232C like serial signal at a specified baud rate to a selected AUX port input bit.

The AUX port mode can be selected in the Instrument node's AUX IO Global Controls > Operating Mode parameter (see Figure 2), or by sending a SCPI command, or by using the instrument's front panel. Refer to the MXG/EXG's User Guide (p/n: N5180-90056).

AUX Port Global Controls

In the Instrument node there are four AUX Port Global controls.

Operating Mode | Select “Multiplexed” or “Dedicated". These functions are described in Signal IO Node AUX Input Parameters.
Input Strobe | There are two selections - Free Run or User. In Free Run mode the instrument samples the values of the AUX input signals (AUX0 ... AUX11) according to the instruments internal timing - this happens at about 3.5 MHz. In User mode, you must supply a strobe signal which causes the AUX input signals to be sampled.
Input Strobe Polarity | You can choose Positive or Negative polarity. With positive polarity, the AUX input signals are sampled via the rising edge (0V to 3.3V transition) of a pulse (AUX strobe) supplied by you to the AUX I/O connector pin 6. With a negative polarity the AUX input signals are sampled on the falling edge of AUX strobe.
Output Strobe Polarity | Determines when the AUX input signals have been sampled by looking at the AUX sample clock (connector pin 29) signal. If the Output Strobe Polarity is positive, this will be a positive going pulse (about 200 ns pulse width), which is triggered when the AUX input signals are sampled. If the polarity is negative, the AUX sample clock will be a series of negative going pulses about 200 ns pulse width.

Operational Signaling Modes

  • AUX I/O Port: Input Signaling
  • AUX I/O Port: External Device Signaling (Example)

AUX I/O Port: Input Signaling

The Auxiliary I/O port is designed to support your real-time signal generation software configuration with the instrument, and to interface with different configurations of external equipment under test.

For example, consider a sample configuration where you are using LTE TDD uplink signal generation software to control the instrument. The N7625B software can be configured to accept a timing adjustment command and or HARQ command from external equipment to enable testing of power control loops in base stations.

Auxiliary signaling can be delivered from external equipment in one of two formats.

  • Multiplexed: A low-voltage, TTL format where, your equipment uses a binary signal connected to the AUX port in an LV TTL format with 0-volts representing a ‘0’, 3.3-volts representing a ‘1’.

If this signal cannot be delivered directly from the external equipment, an inexpensive interface board can be used to connect to external equipment with a USB connection, for example the USB Bit Whacker (SKU: DEV-00762, www.sparkfun.com) can be used to interface from your external equipment with a USB connection to the Keysight Auxiliary I/O port.

  • Dedicated: A serial format where, your equipment uses a serial-port connection with an LV TTL RS-232 type protocol. Baud rates from 9600 to 460800 are supported in this format. For this purpose, a device can use any low voltage transistor to transistor logic (LV TTL) line that can generate RS-232 type signals, or some simple USB to RS-232 TTL signaling devices can be used.

    The default serial format Positive is illustrated in Figures 3 and 4. Each signaling transmission consists of an 8-bit character (bits b7 b6 b5 b4 b3 b2 b1 b0, b0 is least-significant bit, b7 is most significant bit). The signaling transmission consists of a start bit ‘0’, followed by the 8 data bits (transmitted LSB first) followed by a stop bit ‘1’. The bit rate can be one of 9600, 19200, 38400, 57600, 115200, 230400, or 460800 bits per second.

    If the polarity is selected as Negative (inverted), then the expected signal will be the inverted form shown in Figure 5.

Figure 3. Serial Data Transmission Format-Polarity is Positive (Default)

Figure 4. Polarity is Positive - Hex Example

Figure 5. Serial Data Transmission Format-Polarity is Inverted

AUX I/O Port: External Device Signaling (Example)

Again, using the LTE TDD example in AUX I/O Port: Input Signaling. In this example, the instrument's LTE TDD can accept HARQ ACK/NACK feedback and or Timing Adjustment feedback. Figure 6 shows a typical interconnect diagram with a LTE TDD base station for purposes of doing base station receiver test. In this example:

  • The instrument RF signal is connected to the input of the base station.
  • A frame pulse trigger signal is sent from the base station to the instrument PAT TRIG input (BNC rear panel connector), which enables the instrument to synchronize its frame timing with the base station.
  • And, a HARQ and timing advance (TA) feedback signal command is sent to the AUX I/O port (rear panel) of the instrument.

Figure 6. LTE TDD eNB Receiver Testing Connections

The availability of HARQ and Timing Advance (TA) functions are dependent on the AUX operating mode (i.e. Dedicated or Multiplexed). In the Multiplexed mode, HARQ ACK/NACK feedback is functional. In the Dedicated mode, HARQ ACK/NACK feedback and TA feedback are functional. In both modes, the external device must provide the signal for every subframe.

The single line's signaling format can be selected as Multiplexed or Dedicated. The instrument's interface enables selection of the signaling format by pressing the following keys:

Mode > Real-Time Applications > Real-Time Apps System Settings > AUX Port Setup > Operating Mode > Dedicated or Multiplexed

  • In the case of Multiplexed mode, the external equipment can send a 3.3-volt signal or 0-volt signal with each frame to communicate a command to ACK or NACK for a subframe. TA in not available in the Multiplexed mode.
  • In the case of Dedicated mode, the external equipment can send one or two a single characters each subframe to indicate a command to ACK/NACK command or timing advance (TA) command with a feedback type indicator for a subframe. In Dedicated mode, your external equipment sends one or two serial characters for each subframe.

The instrument's AUX pins AUX0 to AUX11 are available for delivering auxiliary commands from 1- to 12-bits in width in Multiplexed mode.

In Dedicated mode, where serial format signaling is used, serial signaling can be connected to any one of the pins AUX0 to AUX11.

Dedicated Mode

In Dedicated mode, all signaling is delivered in the serial format as in AUX I/O Port:Input Signaling. Serial command signals can be connected to the AUX0 to AUX11 pins of the AUX I/O connector. The serial format transmits 8-bits at a time to the instrument. These bits can be mapped to the auxiliary signaling functions of Signal Studio's real-time signal generation software.

For the LTE TDD HARQ and timing advance (TA) commands, bit7 and bit6 are always assigned to the “Type of feedback” signal. If the signal is “00”, bit5 to bit0 are recognized as a TA command. If bit7 and 6 are “01”, bit1 to bit0 are recognized as a HARQ ACK/NACK command. See Figure 7.

Figure 7. Dedicated Format Transmits 8 Serial Bits

The HARQ command uses 2 bits. The higher numbered bit of the pair is reserved, and the second bit of the pair (lower numbered) represents either an ACK with a 1 or a NACK with a 0. LTE TDD has the capability to send two HARQ commands (see Figure 7 above), which is determined by the Uplink Downlink Configuration setting:

HARQ Command Bits
UL/DL Configuration | Reserved | ACK or NACK
0 | 3 | 2
 | 1 | 0
>0 | 1 | 0

When the software controls multiple instruments, the reserved bits are sent over one antenna port and the ACK/NACK bits over the other.

The timing advance (TA) command has 6-bits, the value range is 0 to 63, which is defined as TA, in the 3GPP STD TS36.213 4.2.3 Transmission timing adjustments section.

Multiplexed Mode

In Multiplexed mode, auxiliary commands are delivered as 1- to 12-bit wide commands in LV TTL format.

For the LTE TDD HARQ command, you can select the signal line as AUX0 to AUX11.

Related Topics

Keysight X-Series Signal Generator's User Guide (p/n: N5180-90056)


Frame Timing Synchronization with eNB

Signal generation timing synchronization can be achieved with external trigger input from the eNB to the X-Series signal generator. With a CMOS 3.3 V input level applied to the X-Series external input port, the X-Series begins generating the signal with the first trigger input. Subsequent trigger inputs are ignored. In most cases, frame trigger or SFN trigger will be used to synchronize timing between the eNB and X-Series. To synchronize to the frame timing, you need to adjust the X-Series signal generation timing to the next frame after the trigger input, which is 10 ms later. The following figure illustrates the timing between eNB and X-Series.

On X-Series signal generators, the following offsets must be taken into account:

  • trigger latency (single trigger only): 356 ns + 1 sample clock period, nominal

  • 1 ms internal trigger offset

The trigger latency must be subtracted from the trigger delay so that RF signal generation timing is aligned to frame timing. In addition, with X-Series signal generators, the Signal Studio for LTE applications add a 1 ms trigger offset internally. This means that you need to subtract 1 ms from the trigger delay setting to have the desired delay. When using LTE, one sample clock period is 32.6 ns (for a 30.72 MHz sample rate), so the total trigger latency is 389 ns. Thus, the trigger delay setting is 0.008999611 seconds (= 10 ms - 389 ns - 1 ms). If you want to synchronize to SFN timing, you will need to set the trigger delay to 10.238999611 seconds (= 10.24 s - 389 ns - 1 ms).


HARQ Timing (Multiplexed Mode)

The figure below shows a timing diagram for the LTE TDD uplink HARQ process between the eNB and UE (X-Series). The uplink HARQ processes number depends on the UL/DL configuration. HARQ process length is the same as a subframe (1 ms). When the UE sends data to the eNB, the eNB decodes the data and checks CRC. The eNB then sends acknowledgement (ACK) or not-acknowledged (NACK) to the UE after certain subframes. Based on the eNB response, the UE will send new data or retransmit the same data with a different redundancy version (RV).

On X-Series with multiplexed mode, X-Series samples AUX IO input level at the specified delay within a 100-us window. If the level is high (with input polarity settings set to positive), it detects as an ACK, and if the level is low, input is NACK. This delay specifies the timing of the eNB’s initial HARQ response from the start of frame. All of subsequent processes use the same delay time. Because it is a TDD system, both the eNB and UE side need to be fully synced before communication happens, so the HARQ Input Delay settings for AUX multiplex mode should be set to 0. Although the sampling window has a 100-us width, it is recommended to hold input level high/low for the entire subframe length (1 ms) to ensure the X-Series detects the command.

TDD has different HARQ timing scheme from FDD, as it has a different uplink and downlink slot allocation, based on UL/DL configuration. All of TS 36.141 receiver performance test configuration requires TDD UL/DL configuration 1, which has the same number of UL and DL subframes, thus each specified downlink subframe carries one HARQ ACK/NACK (IPHICH=0) to correspond to the uplink subframe. For UL/DL configuration 0 with more UL subframes than DL, PHICH carries 2 HARQ ACK/NACK, which is identified by IPHICH = 0 and 1 to indicate ACK/NACK for 2 UL subframes.

When IPHICH=0, the received HARQ ACK/NACK corresponds to the UL subframe i-k from the following table. For example, when HARQ is received on subframe 1, it refers 1-4=-3, which refers subframe 7 in previous frame.

DL subframe (i) | 0 | 1 | (2) | (3) | 4 | 5 | 6 (DwPTS) | (7) | (8) | 9
k for IPHICH=0 |  | 4 |  |  | 6 |  | 4 |  |  | 6
Corresponding UL subframe(i-k) |  | 7 (prev. frame) |  |  | 8 (prev. frame) |  | 2 |  |  | 3

Sampling timing for HARQ feedback signal on X-Series will be determined automatically based on the UL/DL configuration for LTE TDD HARQ. HARQ input delay (level triggered and serial bits) must be set to 0 for LTE TDD.

The detected HARQ input can be monitored using marker output type, “Hybrid ARQ State.”

With multiplexed mode, timing advance (TA) input can’t be used.


TA and HARQ Timing (Dedicated Mode)

Timing advance (TA) is the command from eNB to UE to adjust frame timing. When multiple UEs transmit simultaneously, there is a delay time for the signals to reach the eNB and this causes timing delay. LTE and OFDM have a mechanism to absorb symbol timing delay with slower symbol rate and cyclic prefix. However, if the amount of delay becomes too large, the eNB can send a TA command to the UE so that the eNB can control arrival timing within a manageable level.

The TA command can move UE frame timing forward or backward from -16.145 us to 16.670 us with 6 bits command. UE is expected to adjust frame timing 6 subframes after receipt of TA command from eNB.

TA | 0 | 1 | 2 | ... | 30 | 31 | 32 | ... | 61 | 62 | 63
NTA | -496 | -480 | -464 | ... | -16 | 0 | 16 | ... | 480 | 496 | 512
Advance Time (ms) |  |  |  | ... | -520.83 | 0 | 520.83 | ... | 15,624 | 16,145 | 16,670

X-Series supports this timing adjustment with TA feedback in dedicated mode. The TA command can be sent over AUX IO in 10 bits long RS-232C protocol format with no parity. The HARQ command can also be sent over the same line. The figure below illustrates TA and HARQ commands being sent. In dedicated mode, X-Series responds to the TA and HARQ inputs after specified amount of delay (in subframe). As shown in the figure, TA delay is 6 subframes by default. HARQ Input Delay must be set to 0 and the retransmission timing will be adjusted automatically based on the TDD UL/DL configuration setting.


Tutorials

2x2 MIMO Equipment Setup

Configuring a 2x2 MIMO Test Setup


2x2 MIMO Equipment Setup

The signal generators in this setup are controlled using the software's multi-instrument capability.

When configuring multiple instruments with SCPI instead of using the GUI, the commands must be executed for each instrument.


Configuring a 2x2 MIMO Test Setup

When using multiple instruments as shown in the tree view, inaccurate test data may occur if a combination of the GUI and SCPI is used to set or modify the instrument and test parameters. The software will not reflect changes made outside of the GUI even with the use of the Update from Instrument button. For all tests, use only one method to configure the settings, GUI or SCPI.

When configuring multiple instruments with SCPI instead of using the GUI, the commands must be executed for each instrument.

When using a multiple instrument configuration, the software does not use the following channels and settings.

  • PUCCH

  • UCI

  • Sounding RS

  • Timing Adjustment

The order of the instruments shown in the tree view follow the Closed instrument order shown in the Hardware node window.

Where the software shows separate nodes for each instrument such as with the Instrument n and AUX Signals n nodes, the parameters apply to that target instrument. However some settings within the separate nodes are coupled so that a change to a parameter in one node changes the same parameter for the other instrument. In addition within the separate nodes, there may be some parameters that are settable for only one instrument, or set by the software for all instruments and cannot be changed. These couplings are identified in the relevant UI description topics.

For all other settings where there is only one node such as with the LTE settings and Signal IO, they apply to all instruments showing in the tree node.

  1. Setup the instruments and make the connection to eNB (BTS).

  2. Launch the software.

  3. Make the multi-instrument connection:

    1. In the Welcome screen that appears, select New hardware configuration. and then click OK.

    2. In Step 1 of System Configuration Wizard that appears next, select Closed 2 Antennas.

    3. Click Next and follow the ensuing prompts.

    4. Ensure that the tree view Closed Hardware node shows multiple instruments.

      If the software is already running and there is the need to connect to multiple instruments,Run the System Configuration Wizard from the menu bar to make the change.

  4. Configure the instruments by using the Instrument n nodes.

    1. Click Instrument n in the tree view.

    2. Change instrument settings as needed.

      Ensure that within the trigger settings, the trigger delay is adjusted to provide proper instrument synchronization with eNB.

  5. Select the test:

    1. In the tree view, click LTE TDD Uplink.

    2. Click the FRC Wizard button to display the FRC Wizard dialog box with its drop-down menu choices.

    3. Click the Test Case Setup drop-down menu and select PUSCH in Multipath Fading (2 Antennas).

    4. If needed, click the FRC Selection drop-down menu to change the FRC choice.

    5. Click the Set button to complete the FRC selection process.

      This configures most of the PUSCH parameters.

  6. If there is a need, change parameters within the currently selected LTE TDD Uplink window.

  7. If the channels and Signal IO are not showing, expand the LTE TDD Uplink tree node.

  8. Configure the remaining parameters for the PUSCH:

    1. In the tree view, click PUSCH.

    2. Set the Cyclic Shift Field in Uplink-Related DCI Format setting.

    3. If needed, set the state of Activate-DMRS-with OCC to On.

  9. Configure the software to receive the eNB HARQ-ACK/NACK:

    1. In the tree view, click the UL-SCH node to display the UL-SCH setting window.

    2. Click Data Source, and use the drop-down arrow that appears to select External.

  10. Set the marker signals and input for the eNB signal:

    1. Click the Signal IO node to display the Signal IO settings window.

    2. If needed, change the marker signal type (Marker 1 Signal, Marker 2 Signal, and Marker 3 Signal).

      The signal from these selections can be monitored by using the AUX Signals n nodes.

    3. Use the UL-SCH HARQ ACK/NACK Input Port parameter to select the signal generator's input AUX pin for the ACK/NACK signal from eNB.

      Ensure that the cables connected to the AUX I/O of the signal generators are wired for the AUX selection.

      For more information on AUX I/0, refer to the topic AUX I/O Connector Input Signals (MXG/EXG).

      After starting the test, If there is an issue with regards to the eNB input signal, use the AUX Signals n node to query the AUX signal and to determine the states of the AUX ports.

  11. Click the State On button to begin the test.

    Ensure that eNB is already transmitting so that the frame pulse is available to trigger the master signal generator.


Instrument (MXG/EXG Real-Time Software)

When using multiple instruments as shown in the tree view, inaccurate test data may occur if a combination of the GUI and SCPI is used to set or modify the instrument and test parameters. The software will not reflect changes made outside of the GUI even with the use of the Update from Instrument button. For all tests, use only one method to configure the settings, GUI or SCPI.

When configuring multiple instruments with SCPI instead of using the GUI, the commands must be executed for each instrument.

This topic describes the parameters available in the Closed Instrument node for real-time Signal Studio products. Some parameters will vary by product.

When the software is controlling multiple instruments, the tree Closed Hardware node displays an instrument node for each one. Some of the instruments settings are coupled to where a change on one instrument makes the change on all instruments. These couplings are stated at each applicable setting.

State On

State Off

Update from Instrument

Preset

DC Cal

Power Search

Hint

1. Configuration

2. Basic

3. I/Q

4. ALC

5. Baseband

6. AUX IO Global Controls

7. Trigger

8. Real-time AWGN Setup

State On

Turns the application on, generating the real-time IQ signal in the connected instrument with the parameters you set in the software.

When the software is controlling multiple instruments, software and instrument changes occur only with this button. To make and apply changes that occur after clicking State On, first click State Off, make the changes, and then click State On.

[:SOURce]:RADio:LTE:TDD[:BBG][:STATe] 0|1|OFF|ON

[:SOURce]:RADio:LTE:TDD[:BBG][:STATe]?

State Off

Turns the application off, disabling the real-time IQ and RF signals on the connected instrument.

[:SOURce]:RADio:LTE:TDD[:BBG][:STATe] 0|1|OFF|ON

[:SOURce]:RADio:LTE:TDD[:BBG][:STATe]?

Update from Instrument

Retrieves the parameters from the connected instrument and updates the Instrument node settings.

Preset

Sets the signal generator to the factory-defined default state.

:SYSTem:PRESet

*RST

DC Cal

Performs a one to two second adjustment that is not traceable to a standard. However, it will minimize errors associated with offset voltages. This adjustment minimizes errors for the current instrument setting and at a single frequency. The DC adjustment is volatile and must be repeated with each instrument setting change.

:CALibration:IQ:DC

*OPC

Power Search

Coupling:The ALC must be Off to use this feature.

Executes a manual power search calibration. This is an internal calibration routine that improves output power accuracy when the ALC is turned off. A power search is recommended for pulse-modulated signals with pulse-widths less than two microseconds.

[:SOURce]:POWer:ALC:SEARch ONCE

*OPC

Hint

Select the Hint checkbox then click a parameter cell to display a brief description of the parameter.

1. Configuration

Instrument Model Number

When active, you can manually select an instrument model number. If Retrieve Instrument Model Number is set to Auto, the model number of the connected instrument appears here after you run the System Configuration Wizard. The parameters that are available in the Instrument node are determined by the Instrument Model Number.

2. Basic

Frequency

Range: for frequency range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

[:SOURce]:FREQuency[:CW] <val><unit>

[:SOURce]:FREQuency[:CW]?

Amplitude

Range: for amplitude range values, see the signal generator's data sheet

Coupling: When the software is controlling multiple instruments, this setting is coupled so that a change to one instrument changes the other.

Enter a value to set the signal generator’s output amplitude in dBm.

[:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude] <val><unit>

[:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude]?

RF Output

Double-click or use the drop-down menu to turn the signal generator’s RF output On or Off.

:OUTPut[:STATe] ON|OFF|1|0

:OUTPut[:STATe]?

3. I/Q

I/Q Adjustments

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments On or Off.

On – The values entered for I Offset, Q Offset, and so on are applied to the I and Q signals.

Off – I/Q adjustment values are not applied to the I and Q signals.

[:SOURce]:DM:IQADjustment[:STATe] ON|OFF|1|0

[:SOURce]:DM:IQADjustment[:STATe]?

I Offset

Range: –20% to 20%

Default: 0.00%

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments.

When using this setting to minimize the LO feed-through signal, optimum performance is achieved when the adjustment is made after any other I/Q path adjustments. If other adjustments are made after minimization is performed, the LO feed-through signal may increase.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:IOFFset <val><unit>

[:SOURce]:DM:IQADjustment:IOFFset?

Q Offset

Range: –20% to 20%

Default: 0.00%

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments.

When using this setting to minimize the LO feed-through signal, optimum performance is achieved when the adjustment is made after any other I/Q path adjustments. If other adjustments are made after minimization is performed, the LO feed-through signal may increase.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:QOFFset <val><unit>

[:SOURce]:DM:IQADjustment:QOFFset?

I/Q Gain Balance

Range: –1 dB to 1 dB

Default: 0.000 dB

Enter a value to set the gain for the I signal relative to the Q signal.

Example: If you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:GAIN[1] <val><unit>

[:SOURce]:DM:IQADjustment:GAIN[1]?

Quadrature Angle Adjustment

Range: –10 to 10 degrees

Default: 0.00 degrees

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees; negative skew decreases the angle from 90 degrees.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:QSKew <val><unit>

[:SOURce]:DM:IQADjustment:QSKew?

I/Q Timing Skew Path

This cell is grayed out and provides no function.

I/Q Correction Optimized Path

Choice: RF Output | Ext I/Q Output

Default: RF Output

RF Output optimizes the RF OUT path by applying calibration factors to only this path, leaving the I/Q OUT path uncalibrated.

Note: With External as the I/Q Source selection, the signal generator automatically optimizes both paths, so no optimization path selection is needed.

Ext I/Q Output optimizes the I/Q OUT path by applying calibration factors to only this path, leaving the RF OUT path uncalibrated.

Note: With External as the I/Q Source selection, the signal generator automatically optimizes both paths, so no optimization path selection is needed.

This parameter is not available for all instrument model numbers and may be grayed out.

[:SOURce]:DM:CORRection:OPTimization RFOut|EXTernal

[:SOURce]:DM:CORRection:OPTimization?

I/Q Skew

Range: –500 ns to 500 ns

Default: 0.0 seconds

Enter a value to set the time delay between I and Q.

A positive value delays the I signal relative to the Q signal.

A negative value delays the Q signal relative to the I signal.

[:SOURce]:DM:IQADjustment:SKEW <val><unit>

[:SOURce]:DM:IQADjustment:SKEW?

I/Q Delay

Range: –250 ns to 250 ns

Default: 0.0 seconds

Enter a value to change the absolute phase of both I and Q with respect to triggers and markers. A positive value delays I and Q. This value affects both the external I/Q out signals and the baseband signal modulated on the RF output. This adjustment cannot be used with constant envelope modulation and does not affect external I/Q inputs.

The limits are determined by the rate of the current format.

[:SOURce]:DM:IQADjustment:DELay <val><unit>

[:SOURce]:DM:IQADjustment:DELay?

4. ALC

ALC

Choice: Off | On

Default: On

Coupling: When the software is controlling multiple instruments, this setting is coupled so that a change to one instrument changes the other.

Double-click or use the drop-down menu to enable or disable the automatic level control.

On – The ALC circuit constantly monitors and controls the output power level.

Off – No automatic leveling occurs.

[:SOURce]:POWer:ALC[:STATe] ON|OFF|1|0

[:SOURce]:POWer:ALC[:STATe]?

ALC Bandwidth

Choice: Auto | 200 Hz | 2 kHz | 20 kHz

Default: Auto

Double-click or use the drop-down menu to select an ALC bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

[:SOURce]:POWer:ALC:BANDwidth|BWIDth:AUTO ON|OFF|1|0

[:SOURce]:POWer:ALC:BANDwidth|BWIDth:AUTO?

[:SOURce]:POWer:ALC:BANDwidth|BWIDth 200Hz|2kHz|20kHz

[:SOURce]:POWer:ALC:BANDwidth|BWIDth?

Power Search Reference

Choice: Fixed | Modulation | RMS

Default: Modulation

Double-click or use the drop-down menu to select one of the following reference signals when doing a power search.

Fixed – Power search uses a fixed 0.5 V reference.

Modulation – Power search uses the AC bias from the actual modulating signal.

RMS – Power search uses a DC bias value equivalent to the value derived from the file header or the calculated value from the current I/Q data.

Set ALC to Off to enable this parameter.

[:SOURce]:POWer:ALC:SEARch:REFerence RMS|FIXed|MANual|MODulated

[:SOURce]:POWer:ALC:SEARch:REFerence?

RF During Power Search

Choice: Normal | Minimum

Default: Normal

Double-click or use the drop-down menu to select the level of the output power control during a power search routine.

Normal – Performs power searches without setting the internal step attenuator to its maximum setting. Glitches and power changes may be present during the search.

Minimum – Sets the signal generator's step attenuator to its maximum setting during power search to protect sensitive circuits.

Set ALC to Off to enable this parameter.

[:SOURce]:POWer:PROTection[:STATe] ON|OFF|1|0

[:SOURce]:POWer:PROTection[:STATe]?

5. Baseband

Sample Rate

Displays and sets the rate at which the selected waveform file is played from the baseband generator. This value is read from the file header, if the file has a header. If the file does not have a header, a default value of 100 MSa/s is used. The variable is expressed in terms of Msa/s.

[:SOURce]:RADio:LTE:TDD[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:SAMPle:RATE?

Runtime Scaling

Range: -60.00 to 0.00 dB

Default: 0.00 dB

Adjusts the scaling of the I and Q data. Reducing the runtime scaling prevents over ranges from occurring. Runtime scaling is also used to scale signals relative to each other.

[:SOURce]:RADio:LTE:TDD[:BBG]:RSCaling <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:RSCaling?

Frequency Offset

Range: -60 MHz to 60 MHz

Default: 0 Hz

Moves the baseband signal above or below the carrier by the specified frequency. When simulating adjacent channel interferers, this allows you to offset the waveforms to avoid overlap between the waveforms.

[:SOURce]:RADio:LTE:TDD[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:FREQuency:OFFSet?

Input RMS Source

Identifies where the instrument gets the RMS voltage value of the signal to ensure the correct amplitude of the signal is at the output of the signal generator when the power calibration is performed.

[:SOURce]:RADio:LTE:TDD[:BBG]:POWer:SOURce

6. AUX IO Global Controls

Operating Mode

Choice: Multiplexed | Dedicated

Default: Multiplexed

Coupling: When the software is controlling multiple instruments, this setting is coupled so that a change to one instrument changes the other.

Double-click or use the drop-down menu to select the AUX I/O port operating mode.

Multiplexed − configures the AUX I/O port operating mode to Multiplexed for real-time applications.

Dedicated − configures the AUX I/O port operating mode to Dedicated for real-time applications.

[:SOURce]:IQ:AUX:OPERating:MODE DEDicated|MULTiplexed

[:SOURce]:IQ:AUX:OPERating:MODE?

Input Strobe

Choice: Free Run | User

Default: Free Run

Double-click or use the drop-down menu to select the AUX I/O port input strobe. In Dedicated operating mode, the instrument will always be in Free Run mode. If Multiplexed mode is selected, either Free Run or User input strobe mode can be selected.

Free Run − new input data is latched based on an internal clock.

User − a user supplied strobe signal is used to latch data.

[:SOURce]:IQ:AUX:INPut:STRobe[:MODE] FREE|USER

[:SOURce]:IQ:AUX:INPut:STRobe[:MODE]?

Input Strobe Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the polarity of the user external input strobe signal. This external input strobe signal must be at least 200 ns wide, and user must hold assert 16 input data bits stable 20 ns before the active edge of the user input strobe and hold the data stable for at least 100 ns after the active edge of the user input strobe.

Positive − a rising edge of the external strobe signal will latch the data.

Negative − a falling edge will latch the data.

[:SOURce]:IQ:AUX:INPut:STRobe:SLOPe POSitive|NEGative

[:SOURce]:IQ:AUX:INPut:STRobe:SLOPe?

Output Strobe Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the polarity of the AUX output sample clock. This signal indicates that the 16 input data bits have been latched and will be output in both Free Run and external input strobe mode. The output pulse will be at least 200 ns wide.

Positive − a pulse with a rising edge will be asserted to indicate when the 16 input data bits have been latched.

Negative − a pulse with a falling edge will be asserted to indicate when the 16 input data bits have been latched.

[:SOURce]:IQ:AUX:OUTPut:STRobe:SLOPe POSitive|NEGative

[:SOURce]:IQ:AUX:OUTPut:STRobe:SLOPe?

7. Trigger

Trigger Type

Choice: Free Run | Trigger & Run

Default: Free Run

Coupling: In multiple-instrument configurations, the Trigger Type is set to Trigger and Run for all and cannot be changed

Double-click or use the drop-down menu to select the continuous mode and one of the following trigger responses.

Free Run − immediately triggers when you turn the format on.

Trigger & Run − waits for and starts on the first trigger; ignores subsequent triggers.

[:SOURce]:IQ:OUTPut:TRIGger:CONTinuous[:TYPE] FREE|TRIGger

[:SOURce]:IQ:OUTPut:TRIGger:CONTinuous[:TYPE]?

Trigger Source

Choice: Trigger Key | External | Bus

Default: External

Coupling: In multiple-instrument configurations, this parameter can only be changed on Instrument 1.

Adjusts the trigger source applied to the PATT TRIG IN or AUX I/O connectors.

Trigger Key − selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

External − enables you to trigger a waveform with an externally supplied trigger signal.

Bus − enables you to trigger a waveform by sending a command through the GPIB, LAN, or AUXILIARY IO (RS-232) input connector.

[:SOURce]:IQ:OUTPut:TRIGger:SOURce KEY|BUS|EXTernal

[:SOURce]:IQ:OUTPut:TRIGger:SOURce?

External Source

Choice: Pattern Trigger In 1 | Pattern Trigger In 2

Default: Pattern Trigger In 1

Selects the rear-panel connector for the external trigger source. This parameter is enabled only if external triggering is selected as the trigger source.

Pattern Trigger In 1 − selects the PATTERN TRIG IN rear-panel BNC connector

Pattern Trigger In 2 − selects the PATTERN TRIG IN 2 (AUXILIARY I/O) rear panel connector

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:SOURce EPT1|EPT2|EPTRIGGER1|EPTRIGGER2

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:SOURce?

External Polarity

Choice: Positive | Negative

Default: Negative

Sets the polarity of the external trigger. This parameter is active only if you select external (Ext) as the trigger source.

Positive − the signal generator triggers an event when it detects a rising edge on the PAT TRIG IN signal.

Negative − the signal generator triggers an event when it detects a falling edge on the PAT TRIG IN signal.

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:POLarity POSitive|NEGative

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:POLarity?

External Delay Time

Range: 0 s to 41 s

Default: 0 s

Enter a value to set a delay time between when an external trigger is received and when it is applied to the signal.

A 1-ms offset is added internally to the entered delay time.

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:DELay <val>

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:DELay?

8. Real-time AWGN Setup

Real-time AWGN

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the AWGN generator.

On − enables the AWGN.

Off − disables the AWGN.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN[:STATe] ON|OFF|1|0

[:SOURce]:IQ:OUTPut:IMPairments:AWGN[:STATe]?

Signal to Noise Ratio

Range: –100 dB to 100 dB

Default: 0 dB

Enter a value to set the signal to noise ratio.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:SNR <val>

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:SNR?

Integration Bandwidth

Choice: Auto | Manual

Default: Auto

Specifies the integration bandwidth is auto or manual.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth:AUTO ON|OFF|1|0

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth:AUTO?

Integration Bandwidth

Range: 1.0 Hz to 200.000 MHz, the limits are affected by the instrument types and options.

Default: 5.000000 MHz

Specifies the bandwidth over which the noise power is integrated for calculating the carrier to noise ratio.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth <val>

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth?

Flat Noise Bandwidth

Range: 1.0 Hz to 160.000 MHz, the limits are affected by the instrument types and options.

Default: 1.0 Hz

Enter a value to set the flat noise bandwidth, which is typically set wider than the carrier bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:BANDwidth|BWIDth <val>

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:BANDwidth|BWIDth?


LTE TDD Settings

Real Time

LTE TDD Uplink

These settings control the real-time baseband and LTE functionality.

When using multiple instruments as shown in the tree view, inaccurate test data may occur if a combination of the GUI and SCPI is used to set or modify the instrument and test parameters. The software will not reflect changes made outside of the GUI even with the use of the Update from Instrument button. For all tests, use only one method to configure the settings, GUI or SCPI.

When configuring multiple instruments with SCPI instead of using the GUI, the commands must be executed for each instrument.

When using multiple instruments as shown in the tree view, after clicking the State On button, all settings for this window gray out and cannot be changed. To change the settings, first click the State Off button.

1. General | 2. Cell Parameters
Baseband Filter | Cell ID
 | RNTI
 | Antenna Port Number
 | Total Number of Antennas
 | System Bandwidth
 | Cyclic Prefix
 | Uplink Downlink Configuration
 | Allocation Configuration
 | Switch-point Periodicity
 | Special Subframe Configuration
 | UpPTS Symbol Length
 | Group/Sequence Hopping
 | Miscellaneous Cell Parameters
 | Total number of Resource Blocks
 | Total number of Occupied Subcarriers
 | Number of Subcarriers for Resource Block
 | Number of OFDM Symbols for Resource Block

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active. When using multiple instruments as shown in the tree view, this button is not displayed.

This button displays in place of the Settings Current button. It indicates that the instrument settings are not currrent and need to be updated with the new software settings. Click this button to update the insturment's settings. This button shows in all windows regardless of where the change was made. When using multiple instruments as shown in the tree view, this button is not displayed.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

See the Channels topic.

1. General

Baseband Filter

Choice: Off | On

Default: On

Double-click or use the drop-down menu to set the Baseband Filter on or off.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINK:BFILter 1|0|ON|OFF

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINK:BFILter?

2. Cell Parameters

Cell ID

Range: 0 to 503

Default: 0

Enter a value for the cell ID.

Cell ID = Physical Layer Cell ID Group *3 + Physical Layer Cell ID Sector

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:CID <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:CID?

RNTI

Range: 0- 65535

Default: 1

Enter a value for the Radio Network Temporary Identifier (RNTI). See 3GPP TS 36.211.

[:SOURce]:RADio[n]:LTE:TDD[:BBG]:ULINk:RNTI <val>

[:SOURce]:RADio[n]:LTE:TDD[:BBG]:ULINk:RNTI?

Antenna Port Number

Choices: 0 | 1

Default: 0

Couplings:

  • When using one instrument, this setting is active when the Total Number of Antennas is greater than 1.

  • A change to the port number may change the PUSCH nDMRS(2) value.

Set the antenna port number.

When using two instruments as shown in the tree view, this parameter is grayed out and displays both ports (0 / 1) as being used:

  • 0 = master instrument

  • 1 = slave instrument

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:ANTenna:PORT <port>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:ANTenna:PORT?

Total Number of Antennas

Choices: 1 | 2

Default: 1

Set the number of antennas. When using two instruments, this parameter is grayed out and displays 2.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:ANTenna:TNUMber <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:ANTenna:TNUMber?

System Bandwidth

Choice: 1.4 MHz (6RB) | 3 MHz (15RB) | 5 MHz (25RB)) | 10 MHz (50RB) | 15 MHz (75RB) | 20 MHz (100RB)

Default: 5 MHz (25RB)

Double-click or use the drop-down menu to set the system bandwidth. When you select a system bandwidth, the software automatically adjusts the value in the Total number of Resource Blocks cell and the Total number of Occupied Sub-carriers cell.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SBANdwidth F1_4M|F3M|F5M|F10M|F15M|F20M

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SBANdwidth?

Cyclic Prefix

Choice: Normal | Extended

Default: Normal

Double-click or use the drop-down menu to select a Normal or Extended cyclic prefix. The software sets the Number of Symbols for Resource Block based on the cyclic prefix selection.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:CPRefix NORMal|EXTended

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:CPRefix?

Uplink Downlink Configuration

Choice: 0 | 1 | 2 | 3 | 4 | 5 | 6

Default: 0

Double-click or use the drop-down menu to select an Uplink Downlink Configuration. The software sets the Allocation Configuration and the Switch-point Periodicity based on the Uplink Downlink Configuration selection. For more information, refer to TS 36.211.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:ULDLconfig <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:ULDLconfig?

Allocation Configuration

Displays the Uplink and Downlink allocation configuration calculated by the selected Uplink Downlink Configuration. For more information, refer to TS 36.211.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:ACONfig?

Switch-point Periodicity

Displays the Uplink and Downlink switch-points which are calculated by Uplink Downlink Configuration. For more information, refer to TS 36.211.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SWPPeriod?

Special Subframe Configuration

Choices: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8

Default: 0

Choices: |
Normal CP | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8
Extended CP | 0 | 1 | 2 | 3 | 4 | 5 | 6

Default: 0

Double-click or use the drop-down menu to select to select the configuration. This value is used for the sounding reference signal data allocation.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SSConfig <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SSConfig?

UpPTS Symbol Length

Displays the UpPTS symbol length.

Group/Sequence Hopping Type

Choice: Off | Group Hopping | Sequence Hopping

Default: Off

Double-click or use the drop-down menu to select the hopping type. See 3GPP TS36.211 for information on the hopping types.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:HOPPing:TYPE OFF|GROup|SEQuence

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:HOPPing:TYPE?

Miscellaneous Cell Parameters

Total number of Resource Blocks

Displays the total number of Resource Blocks within the specified system bandwidth. The value in this cell is set by the software based on the System Bandwidth setting. For more information, refer to TS 36.101.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:NRBLock?

Total number of Occupied Subcarriers

Displays the total number of subcarriers within the specified system bandwidth. The value in this cell is set by the software based on the system bandwidth setting. This parameter is read only.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:NSCarrier?

Number of Subcarriers for Resource Block

Displays the number of consecutive subcarriers in an uplink resource block. For current version, this value is always 12.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:RBLock:NSCarrier?

Number of OFDM Symbols for Resource Block

Displays the number of consecutive symbols in an uplink resource block. 7 for a Normal Cyclic Prefix; 6 for an Extended Cyclic Prefix.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:NSSymbol?


Channels

Test case and FRC for base station conformance test are set in the FRC Wizard dialog box, and the selected test case setup and FRC are displayed in the 1. FRC Parameter Setup part.

When using multiple instruments as shown in the tree view, inaccurate test data may occur if a combination of the GUI and SCPI is used to set or modify the instrument and test parameters. The software will not reflect changes made outside of the GUI even with the use of the Update from Instrument button. For all tests, use only one method to configure the settings, GUI or SCPI.

When configuring multiple instruments with SCPI instead of using the GUI, the commands must be executed for each instrument.

When using multiple instruments as shown in the tree view, after clicking the State On button, all settings for this window gray out and cannot be changed. To change the settings, first click the State Off button.

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active. When using multiple instruments as shown in the tree view, this button is not displayed.

This button displays in place of the Settings Current button. It indicates that the instrument settings are not currrent and need to be updated with the new software settings. Click this button to update the insturment's settings. This button shows in all windows regardless of where the change was made. When using multiple instruments as shown in the tree view, this button is not displayed.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

Click this button in the Closed toolbar to open the FRC Wizard dialog box, and set the test case and FRC for base station conformance test. The choices in the FRC Selection field are dependent upon the Test Case Setup selection and the System Bandwidth value (see the FRC Test Table).

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:TPARameter:FRC:[:SET] <TestCase>,<FrcTable>

Refer to the FRC Test Table below for the SCPI arguments.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:TPARameter:FRC:TCASe?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:TPARameter:FRC:TABLe?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:TPARameter:FRC[:SET]?

This query checks whether any of the following parameters have changed since setting the test case and FRC table. If changes have not been made, the query returns NMODified (not modified), otherwise it returns MODified.

LTE TDD Uplink Node
  • System Bandwidth
  • Cyclic Prefix
PUSCH Node
  • Occupied Resource Block Size
  • Occupied Resource Block Offset
UL - SCH Node
  • Modulation Type
  • MCS Index
  • Payload Size (bits)

FRC Test Table

The table below shows the available FRC Selections (<TestCase>,<FrcTable>) for different test case setup and system bandwidth combinations. System bandwidth is set under LTE TDD Uplink node in the tree view. For more details about FRC, refer to Annex A of 3GPP TS 36.141.

Test Case Setup\ System bandwidth | 1.4 MHz | 3 MHz | 5 MHz | 10 MHz | 15 MHz | 20 MHz
None | None | None | None | None | None | None
GUI: Adjacent Channel Selectivity SCPI: ACSelect | A1-1 | A1-2 | A1-3 | A1-3 | A1-3 | A1-3
GUI: Blocking SCPI: BLOCking | A1-1 | A1-2 | A1-3 | A1-3 | A1-3 | A1-3
GUI: PUSCH in Multipath Fading SCPI: PMFading | A3-1, A3-2 A4-1, A4-2, A4-3 A5-1, A5-2 | A3-1, A3-3 A4-1, A4-2, A4-4 A5-1, A5-3 | A3-1, A3-4 A4-1, A4-2, A4-5 A5-1, A5-4 | A3-1, A3-5 A4-1, A4-2, A4-6 A5-1, A5-5 | A3-1, A3-6 A4-1, A4-2, A4-7 A5-1, A5-6 | A3-1, A3-7 A4-1, A4-2, A4-8 A5-1, A5-7
GUI: PUSCH in Multipath Fading (2 Antennas) SCPI: PMF2A | A3-2 A4-3 | A3-3 A4-4 | A3-4 A4-5 | A3-5 A4-6 | A3-6 A4-7 | A3-7 A4-8
GUI: Dynamic Range SCPI: DRANge | A2-1 | A2-2 | A2-3 | A2-3 | A2-3 | A2-3
GUI: FRC Based SCPI: FRCBased | A1-1, A1-4 A2-1 A3-1, A3-2 A4-1 to A4-3 A5-1, A5-2 A7-1, A7-2 A8-1, A8-2 | A1-1, A1-2, A1-4, A1-5 A2-1, A2-2 A3-1 to A3-3 A4-1 to A4-4 A5-1 to A5-3 A7-1 to A7-3 A8-1 to A8-3 | A1-1 to A1-5 A2-1 to A2-3 A3-1 to A3-4 A4-1 to A4-5 A5-1 to A5-4 A7-1 to A7-6 A8-1 to A8-6 | A1-1 to A1-5 A2-1 to A2-3 A3-1 to A3-5 A4-1 to A4-6 A5-1 to A5-5 A7-1 to A7-6 A8-1 to A8-6 | A1-1 to A1-5 A2-1 to A2-3 A3-1 to A3-6 A4-1 to A4-7 A5-1 to A5-6 A7-1 to A7-6 A8-1 to A8-6 | A1-1 to A1-5 A2-1 to A2-3 A3-1 to A3-7 A4-1 to A4-8 A5-1 to A5-7 A7-1 to A7-6 A8-1 to A8-6
GUI: High Speed Train Condition SCPI: HSTRain | A3-2 | A3-3 | A3-4 | A3-5 | A3-6 | A3-7
GUI: In-channel Selectivity SCPI: ICSelect | A1-4 | A1-5 | A1-2 | A1-3 | A1-3 | A1-3
GUI: Receiver Intermodulation SCPI: RINTermod | A1-1 | A1-2 | A1-3 | A1-3 | A1-3 | A1-3
GUI: Reference Sensitivity Level SCPI: RSLevel | A1-1 | A1-2 | A1-3 | A1-3 | A1-3 | A1-3
GUI: UL Timing Adjustment SCPI: TADJust | A7-1 A8-1 | A7-2 A8-2 | A7-3 A8-3 | A7-4 A8-4 | A7-5 A8-5 | A7-6 A8-6

1. FRC Parameter Setup

Test Case Setup

FRC Selection

1. FRC Parameter Setup

Test Case Setup

Displays the Test Case Setup set in the FRC Wizard dialog box.

For more information about FRC Selection, see the FRC Wizard button.

FRC Selection

Displays the FRC Selection value set in the FRC Wizard dialog box.

For more information about Test Case, see the FRC Wizard button.


PUCCH

The software controls PUCCH transmission based on the subframe status as set in the UCI Subframe Status tab. The DMRS for PUCCH are assigned according to the PUCCH format and the cyclic prefix mode. Its implementation is based on conformance testing per the 3GPP standards TS 36.141.

The setting for this window cannot be changed while transmitting the signal (State On button clicked). To change settings, first click the State Off button to stop the signal.

The software does not use these settings when it is controlling multiple instruments as shown in the tree view.

1. PUCCH Settings | 2. Transmission Settings | 3. Demodulation Reference Signal Settings
State | N_RB(2) | DMRS Power
Power | N_CS(1) | Delta Shift PUCCH
 | nPUCCH(1) |
 | nPUCCH(2) |

References:

3GPP TS 36.211 Physical Channels and Modulation:

5.4 Physical uplink control channel

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active. When using multiple instruments as shown in the tree view, this button is not displayed.

This button displays in place of the Settings Current button. It indicates that the instrument settings are not currrent and need to be updated with the new software settings. Click this button to update the insturment's settings. This button shows in all windows regardless of where the change was made. When using multiple instruments as shown in the tree view, this button is not displayed.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

1. PUCCH Settings

State

Choice: On |Off

Default: On

Coupling: This setting is inactive and set to off when using multiple instruments as shown in the tree view.

Sets the PUCCH channel state.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh[:STATe] 0|1|OFF|ON

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh[:STATe]?

Power

Range: -60 to 20

Default: 0

Sets the PUCCH channel power in dB.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:POWer <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:POWer?

2. Transmission Settings

N_RB(2)

Range: 0 to <maximum or resource blocks - 1>

Default: 0

Sets the bandwidth in terms of resource blocks, [image], that are available for use by formats 2, 2a, 2b transmission in each slot. This is one of the values used for generating and mapping PUCCH and DMRS PUCCH (see TS 36.211).

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:NRB2 <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:NRB2?

N_CS(1)

Range: 0 to 7

Default: 0

Sets the number of cyclic shifts, [image], for formats 1/1a/1b used in a resource block with a mix of formats 1/1a/1b and 2/2a/2b. There is at most one mixed resource block per slot. If the value is 0, there is no mixed resource block. This is one of the values used for generating and mapping PUCCH and DMRS PUCCH (see TS 36.211).

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:NCS[1] <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:NCS[1]?

nPUCCH(1)

Range:
Normal CP | 0-215 | 1.4 MHz BW
 | 0-539 | 3 MHz BW
 | 0-899 | 5 MHz BW
 | 0-1799 | 10 MHz BW
 | 0-2699 | 15 MHz BW
 | 0-3599 | 20 MHz BW
Extended CP | 0-143 | 1.4 MHz BW
 | 0-359 | 3 MHz BW
 | 0-599 | 5 MHz BW
 | 0-1199 | 10 MHz BW
 | 0-1799 | 15 MHz BW
 | 0-2399 | 20 MHz BW

Default: 0

Sets the resource index, [image], for PUCCH Formats 1, 1a, 1b.

The maximum value (the range of values) is calculated by the system bandwidth, cyclic prefix, N_RB(2), N_CS(1) and Delta Shift. This is one of the values used for generating and mapping PUCCH and DMRS PUCCH (see 3GPP TS 36.211).

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:N[1] <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:N[1]?

nPUCCH(2)

Range:

Default: 0

Sets the resource index, [image], for PUCCH formats 2, 2a, 2b, expressed in multiples of [image], the resource block size expressed as a number of subcarriers. This is mapped directly into a single cyclic shift resource. This is one of the values used for generating and mapping PUCCH and DMRS PUCCH (see 3GPP TS 36.211).

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:N2 <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:N2?

3. Demodulation Reference Signal Settings

The demodulation reference signals are defined by a cyclic shift and use the same resource allocation used by the PUCCH; power can be set independently. The DMRS for the PUCCH are assigned according to the PUCCH format and the cyclic prefix mode. For example, when the PUCCH format is 1/1a/1b with normal cyclic prefix, the DMRS for the PUCCH is assigned to SC-FDMA symbols #2, #3, and #4 in a PUCCH slot.

DMRS Power

Range: -60 to 20

Default: 0

Sets the power in dB of the demodulation reference signal (DMRS) for the PUCCH relative to the carrier power.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:DMRSignal:POWer <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:DMRSignal:POWer?

Delta Shift PUCCH

Choices: 1 | 2 | 3

Default: 1

Enter the Delta Shift PUCCH , the number of equally spaced cyclic time shifts. This parameter is used in calculating the number of DMRS PUCCH resources per resource block reserved for DMRS.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:DSHift <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:DSHift?


UCI—General Settings

The Physical Uplink Control Channel (PUCCH) carries the uplink control information (UCI). The data type and data choices depend on the selected PUCCH format in accordance with 3GPP TS 36.211. Two PUCCH format settings are available, one for non-SRS subframes, one for the cell specific Sounding Reference Signal (SRS) subframes.

The setting for this window cannot be changed while transmitting the signal (State On button clicked). To change settings, first click the State Off button to stop the signal.

The software does not use these settings when it is controlling multiple instruments as shown in the tree view.

1. Non-SRS Subframe | 2. SRS Subframe
Format | Format
Data Type | Data Type
1-Bit HARQ-ACK Data | 1-Bit HARQ-ACK Data
2-Bit HARQ-ACK Data | 2-Bit HARQ-ACK Data
CQI Data |
CQI Data Length |

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active. When using multiple instruments as shown in the tree view, this button is not displayed.

This button displays in place of the Settings Current button. It indicates that the instrument settings are not currrent and need to be updated with the new software settings. Click this button to update the insturment's settings. This button shows in all windows regardless of where the change was made. When using multiple instruments as shown in the tree view, this button is not displayed.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

Click this button to launch the Subframe Setting Tool Closed dialog box. Then use the dialog box to set the states of the subframes shown in the Subframe Status tab. To set the subframe states using the tool:

  1. Click the drop-down arrow shown in the Closed Subframe Controls field.

    The ability of the State On by HARQ Process Number selection to turn on subframes is dependent on the Uplink Downlink Configuration value.

  2. Make the subframe state selection.

  3. If the Closed check boxes below the Subframe Controls field become active after making a selection such as with State On by Subframe Number, click (check) the needed boxes to finish configuring the subframe states.

  4. Click Set to implement the settings.

Alternatively set or modify each subframe state manually from within the Subframe Status tab by clicking on a subframe and use the drop-down arrow to select a different state.

1. Non-SRS Subframe

Format

Choices |  |
Normal CP | Format 1 | Format 2
 | Format 1a | Format 2a
 | Format 1b | Format 2b
Extended CP | Format 1 | Format 2
 | Format 1a |
 | Format 1b |

Default: Format 1

Double-click or use the drop-down menu to select the PUCCH format.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:FORMat F1|F1A|F1B|F2|F2A|F2B

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:FORMat?

Data Type

Choice: SR | 1-bit HARQ-ACK | 2-bit HARQ-ACK | CQI | CQI + 1-bit HARQ-ACK | CQI + 2-bit HARQ-ACK

Default: SR

Coupling: Active with extended Cyclic Prefix and Format 2. otherwise display only based on Format selection.

The PUCCH data type is determined by the selected format as shown in the table below. When Format 2 is used with the extended Cyclic Prefix, the PUCCH data type is selectable.

When the data type is CQI or is an element of the data type, you can use the CQI Data parameter to set the CQI data.

Format | Data Type | Data Choices | Modulation | Number of Mbits per subframe
Format 1 | SR ( Scheduling Request) | N/A | N/A | N/A
Format 1a | 1- Bit HARQ-ACK | ACK | NACK | BPSK | 1
Format 1b | 2-Bit HARQ-ACK | ACK ACK | ACK NACK | NACK ACK | NACK NACK | QPSK | 2
Format 2 | Normal CP: CQI; | CQI Data | QPSK | 20
 | Extended CP: CQI CQI +1-Bit HARQ-ACK CQI+ 2-Bit HARQ-ACK | CQI Data CQI Data + ACK | NACK CQI Data + ACK ACK | ACK NACK | NACK ACK | NACK NACK | QPSK | 20
Format 2a* | CQI + 1-Bit HARQ-ACK | CQI Data + ACK | NACK | QPSK+BPSK | 21
Format 2b* | CQI + 2- Bit HARQ-ACK | CQI Data + ACK ACK | ACK NACK | NACK ACK | NACK NACK | QPSK+BPSK | 22

* normal cyclic prefix only

Use the command when the Cyclic Prefix is set to Extended and the Format is set to 2. For any other Cyclic Prefix and Format setting, only the query is available.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:DATA:TYPE CQI|CQI_ACK1B|CQI_ACK2B

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:DATA:TYPE?

1-Bit HARQ-ACK Data

Choices: ACK | NACK

Default: ACK

Coupling: Active when the Data Type parameter includes 1-Bit HARQ-ACK

Double-click or use the drop-down menu to select the 1-bit HARQ-ACK data.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:HARQ:OBIT:DATA ACK|NACK

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:HARQ:OBIT:DATA?

2-Bit HARQ-ACK Data

Choices: ACK ACK | ACK NACK | NACK ACK | NACK NACK

Default: ACK ACK

Coupling: Active when the Data Type parameter includes 2-Bit HARQ-ACK

Double-click or use the drop-down menu to select the 2-bit HARQ-ACK data.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:HARQ:TBIT:DATA ACK_ACK|ACK_NACK|NACK_ACK|NACK_NACK

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:HARQ:TBIT:DATA?

CQI Data

Choices: PN9 | PN15 | User

Default: PN9

Coupling: Active when CQI is or part of the displayed Data Type— Format selections of 2, 2a, or 2b

Use the Data Source Selection dialog box to select the CQI data.

PN9 | Uses PN9 sequence as data bits
PN15 | Uses PN15 sequence as data bits
User | Uses a user-defined sequence up to 13-bits, represented by binary data.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:CQI:DATA:TYPE PN9|PN15|USER

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:CQI:DATA:TYPE?

If USER is the data type, use the following command to set the string patttern. To set the pattern, use "0", "1", or a combination of the two "011100" up to the number set in the CQI Data Length parameter.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:CQI:DATA:USER "<pattern>"

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:CQI:DATA:USER?

CQI Data Length

Range: 1 to 13

Default: 4

Coupling: Active when CQI is or part of the displayed Data Type— Format selections of 2, 2a, or 2b

Enter the data length of PUCCH CQI data.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:CQI:DATA:LENGth <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:CQI:DATA:LENGth?

2. SRS Subframe

Sounding reference signals (SRS) subframe can be configured for a specific cell in the base station.

Format

Choice: Format 1 | Format 1a | Format 1b

Default: Format 1

Double-click or use the drop-down menu to select the PUCCH format for the cell specific SRS subframe.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:SRSSubframe:FORMat F1|F1A|F1B

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:SRSSubframe:FORMat?

Data Type

Choices: SR (Scheduling Request) | 1-bit HARQ_ACK | 2- bit HARQ-ACK

Default: SR

Displays the PUCCH data type for the cell specific SRS subframe.The data type is determined by the PUCCH format selected for the Cell Specific SRS subframe.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:SRSSubframe:DATA:TYPE?

1-Bit HARQ-ACK Data

Choices: ACK | NACK

Default: ACK

Coupling: Active with the Cell specific SRS Subframe Format 1a selection.

Double-click or use the drop-down menu to select the 1-bit HARQ-ACK data for the cell specific SRS subframe.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:SRSSubframe:HARQ:OBIT:DATA ACK|NACK

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:SRSSubframe:HARQ:OBIT:DATA?

2-Bit HARQ-ACK Data

Choices: ACK ACK | ACK NACK | NACK ACK | NACK NACK

Default: ACK-NACK

Coupling: Active with the Cell specific SRS Subframe Format 1b selection.

Double-click or use the drop-down menu to select the 2-bit HARQ-ACK data for the cell specific SRS subframe.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:SRSSubframe:HARQ:TBIT:DATA ACK_ACK|ACK_NACK|NACK_ACK|NACK_NACK

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:SRSSubframe:HARQ:TBIT:DATA?


UCI—Subframe Status

The software controls PUCCH transmission based on the subframe configuration.

The setting for this window cannot be changed while transmitting the signal (State On button clicked). To change settings, first click the State Off button to stop the signal.

The software does not use these settings when it is controlling multiple instruments as shown in the tree view.

1. General | 2. Subframe States
Transmission Cycle | Subframe #n

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active. When using multiple instruments as shown in the tree view, this button is not displayed.

This button displays in place of the Settings Current button. It indicates that the instrument settings are not currrent and need to be updated with the new software settings. Click this button to update the insturment's settings. This button shows in all windows regardless of where the change was made. When using multiple instruments as shown in the tree view, this button is not displayed.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

Click this button to launch the Subframe Setting Tool Closed dialog box. Then use the dialog box to set the states of the subframes shown in the Subframe Status tab. To set the subframe states using the tool:

  1. Click the drop-down arrow shown in the Closed Subframe Controls field.

    The ability of the State On by HARQ Process Number selection to turn on subframes is dependent on the Uplink Downlink Configuration value.

  2. Make the subframe state selection.

  3. If the Closed check boxes below the Subframe Controls field become active after making a selection such as with State On by Subframe Number, click (check) the needed boxes to finish configuring the subframe states.

  4. Click Set to implement the settings.

Alternatively set or modify each subframe state manually from within the Subframe Status tab by clicking on a subframe and use the drop-down arrow to select a different state.

1. General Settings

Transmission Cycle

Displayed Values: 10 | 60 | 70

Default: 70

Displays the transmission cycle of PUCCH subframes. The value is determined by the UL-SCH HARQ process number and the UL/DL configuration.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:TRANsimssion:SUBFrame:CYCLe?

2. Subframe States

Subframe #n State

Choices: On | Off

Double click or use the drop-down menu to set the state of a specific subframe for the PUCCH.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:SUBFrame0|1|2|3|4|5|6|7|8|9|…|69:STATe 1|0|ON|OFF

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:SUBFrame0|1|2|3|4|5|6|7|8|9|…|69:STATe?


PUSCH Settings

When using multiple instruments as shown in the tree view, inaccurate test data may occur if a combination of the GUI and SCPI is used to set or modify the instrument and test parameters. The software will not reflect changes made outside of the GUI even with the use of the Update from Instrument button. For all tests, use only one method to configure the settings, GUI or SCPI.

When configuring multiple instruments with SCPI instead of using the GUI, the commands must be executed for each instrument.

When using multiple instruments as shown in the tree view, after clicking the State On button, all settings for this window gray out and cannot be changed. To change the settings, first click the State Off button.

1. PUSCH Settings | 2. Transmission Settings | 3. Demodulation Reference Signal Settings
State | Occupied Resource Block Size | DMRS Power
Power | Occupied Resource Block Offset | Delta SS
 |  | nDMRS(1)
 |  | nDMRS(2)
 |  | Cyclic Shift Field in Uplink-Related DCI Format
 |  | Activate-DMRS-with OCC
 |  | OCC [w(0) w(1)]

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active. When using multiple instruments as shown in the tree view, this button is not displayed.

This button displays in place of the Settings Current button. It indicates that the instrument settings are not currrent and need to be updated with the new software settings. Click this button to update the insturment's settings. This button shows in all windows regardless of where the change was made. When using multiple instruments as shown in the tree view, this button is not displayed.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

1. PUSCH Settings

State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to select the state for the PUSCH.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:STATe 1|0|ON|OFF

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:STATe?

Power

Range: -60 to 20 dB

Default: 0 dB

Enter a power level in dB for the selected channel relative to the carrier power.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:POWer <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:POWer?

2. Transmission Settings

Occupied Resource Block Size

Range: 1 to 6 (1.4MHz BW), 1 to 15 (3MHz BW), 1 to 25 (5MHz BW), 1 to 50 (10MHz BW), 1 to 75 (15MHz BW), 1 to 100 (20MHz BW)

Default: 6 (1.4MHz BW), 15 (3MHz BW), 25 (5MHz BW), 50 (10MHz BW), 75 (15MHz BW), 100 (20MHz BW)

Enter an integer between 1 and the maximum number of resource blocks. The maximum value depends on the current transmission bandwidth.

For more information, refer to TS 36.101.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ORBLock:SIZE <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ORBLock:SIZE?

Occupied Resource Block Offset

Range: 0 to 5 (1.4MHz BW), 0 to 14 (3MHz BW), 0 to 24 (5MHz BW), 0 to 49 (10MHz BW), 0 to 74 (15MHz BW), 0 to 99 (20MHz BW)

Default: 0

Enter the number of resource blocks to offset the transmission of this UE.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ORBLock:OFFSet <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ORBLock:OFFSet?

3. Demodulation Reference Signal Settings

DMRS Power

Range: -60 to 20 dB

Default: 0 dB

Enter a power level in dB for the power of Demodulation Reference for PUSCH to the carrier power.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:DMRSignal:POWer <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:DMRSignal:POWer?

Delta SS

Range: 0 to 29

Default: 0

This value is used to calculate the sequence-shift pattern. For more information, refer 3GPP TS36.211 for more details.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:DELTa:SS <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:DELTa:SS?

nDMRS(1)

Choice: 0 | 2 | 3 | 4 | 6 | 8 | 9 | 10

Default: 0

Enter a value to calculate a PUSCH DMRS data pattern. For more information, refer 3GPP TS36.211 for more details.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:DMRSignal:N[1] <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:DMRSignal:N[1]?

nDMRS(2)

Choice: 0 | 2 | 3 | 4 | 6 | 8 | 9 | 10

Default: 0

Coupling: A change to the Cyclic Shift Field in Uplink-Related DCI Format value or the Antenna Port Number may change this value.

Enter a value to calculate a PUSCH DMRS data pattern. Refer 3GPP TS 36.211 for more details.

When using multiple instruments as shown in the tree view, this setting is a display only parameter where its value is calculated by the software using the Cyclic Shift Field in Uplink-related DCI and Antenna Port settings.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:DMRSignal:N2 <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:DMRSignal:N2?

Cyclic Shift Field in Uplink-Related DCI Format

Choices: 0 [000] | 1 [001\ | 2 [010] | 3 [011] | 4 [100] | 5 [101] | 6 [110] | 7 [111]

Default: 0 [000]

Coupling: A change to the nDMRS(2) value may change this value.

Double-click or use the drop-down menu to select a value. This value determines the OCC [w(0) w(1] setting. For more information, refer to TS 36.211.

When using multiple instruments as shown in the tree view, this setting is the same for all instruments.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh[1]:DMRSignal:DCI:CSField <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh[1]:DMRSignal:DCI:CSField?

Activate-DMRS-with OCC

Choices: Off | On

Default: Off

Set the state of the higher-layer parameter Activate-DMRS-with OCC. When set to On, orthogonal cover code (OCC) is applied to the DMRS.

[:SOURce]:RADio:LTE:TDD[:BBG]:LINk:PUSCh[1]:DMRSignal:OCC:STATe 0|1|OFF|ON

[:SOURce]:RADio:LTE:TDD[:BBG]:LINk:PUSCh[1]:DMRSignal:OCC:STATe?

OCC [w(0) w(1)]

Displays the [w(0) w(1)] list of OCC for the DMRS code generation.When Activate-DMRS-with OCC is set to Off, this displays [1 1]. For more information, refer to TS 36.211.


UL-SCH Settings

Real Time

UL-SCH—General Settings

When using multiple instruments as shown in the tree view, inaccurate test data may occur if a combination of the GUI and SCPI is used to set or modify the instrument and test parameters. The software will not reflect changes made outside of the GUI even with the use of the Update from Instrument button. For all tests, use only one method to configure the settings, GUI or SCPI.

When configuring multiple instruments with SCPI instead of using the GUI, the commands must be executed for each instrument.

When using multiple instruments as shown in the tree view, after clicking the State On button, all settings for this window gray out and cannot be changed. To change the settings, first click the State Off button.

1. UL-SCH Settings | 2. HARQ-ARQ Settings | 3. Hybrid-ARQ ACK/NACK Data Settings
Payload Data | Maximum Number of Retransmissions | Data Source
Modulation Type | Initial ACK Process Length | Data
Payload Configuration Type | RV Index Sequence | Input Delay (AUX Multiplexed Mode)
MCS Index |  | Input Delay (AUX Dedicated Mode)
TBS Index |  | Data Default Value (AUX Dedicated Mode)
Payload Size (bits) |  |

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active. When using multiple instruments as shown in the tree view, this button is not displayed.

This button displays in place of the Settings Current button. It indicates that the instrument settings are not currrent and need to be updated with the new software settings. Click this button to update the insturment's settings. This button shows in all windows regardless of where the change was made. When using multiple instruments as shown in the tree view, this button is not displayed.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

1. UL-SCH Settings

Payload Data

Choice: PN9 | PN15 | Custom Pattern | User Defined

Default: PN9

Click the parameter and then use the [image] button to launch the data dialog box.

PN9 | Uses PN9 sequence as data bits
PN15 | Uses PN15 sequence as data bits
Custom Pattern | Uses the user defined pattern specified in string and '0' or '1' is expected in the string pattern
User Data | Uses a user-defined sequence in a file as data bits

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:DATA:TYPE PN9|PN15|PATTern|FILE

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:DATA:TYPE?

If PATTern is the data type selection, use the following command to set the pattern. To set the pattern, use a series of 0, 1, or a combination of the two, 011100110, up to a maximum of 128,000 bits.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:DATA:PATTern <pattern>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:DATA:PATTern?

If FILE is the data type selection, use the following commands to load a previously saved file, and to set what length of the file to use.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:DATA:FILE:NAME <"filename">

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:DATA:FILE:NAME?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:DATA:FILE:LENGth <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:DATA:FILE:LENGth?

Modulation Type

Choice: QPSK | 16QAM | 64QAM

Default: QPSK

When Payload Configuration Type in UL-SCH channel is set to Manual, double-click or use the drop-down menu to select the modulation type for the PUSCH. When the Payload Configuration Type in the UL-SCH channel is set to MCS Index, this value is calculated by the MCS Index. Refer 3GPP TS36.211, Table 8.6.1-1 for more details.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:MODulation QPSK|QAM16|QAM64

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:MODulation?

Payload Configuration Type

Choice: MCS Index | Manual

Default: MCS Index

Double-click or use the drop-down menu to select the UL-SCH Payload Configuration Type.

MCS Index | Selects a payload size determined by the Table 7.1.7.2.1-1 ( 3GPP TS36.213) which specifies the permissible combinations of transport block size, resource allocation and modulation scheme that are available for transmission.
Manual | Allows you to enter any payload size within the minimum (16) and maximum limits (75376) of Table 7.1.7.2.1-1 (3GPP TS36.213).

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:PAYLoad:CONFig MINDex|MANual

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:PAYLoad:CONFig?

MCS Index

Range: 0 to 28

Default: 5

Enter a value of MCS Index. This parameter is used when the Payload Configuration Type is MCS is set to MCS Index.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:MINDex <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:MINDex?

TBS Index

Displays the value of TBS index. The value is calculated by the MCS Index, Refer to 3GPP TS36.211, Table 8.6.1-1 for more details. This parameter is used when the UL-SCH Payload Configuration Type is set to MCS Index.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:TINDex?

Payload Size (bits)

Range: 16 to 75376

Default: 2216

Coupling: The Configuration Type selection determines whether this setting is display only or active.

Displays the payload size when the UL-SCH Payload Configuration Type is set to MCS Index. With MCS Index, the payload size is determined by the size of occupied resource blocks and the MCS Index. Refer to 3GPP TS36.213 for more detailed information.

Enter a value to set the payload size when the UL-SCH Payload Configuration Type is set to Manual.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:PAYLoad:SIZE <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:PAYLoad:SIZE?

2. Hybrid-ARQ Settings

Maximum Number of Retransmissions

Range: 0 to 27

Default: 3

Enter the maximum number of times for the uplink shared channel to be retransmitted.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:MNRetrans <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:MNRetrans?

Initial ACK Process Length

Range: 0-65535

Default: 8

Enter the HARQ ACK initial response length. The software uses this setting when the Data Source selection is External.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:PROCess:LENgth:IACK <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:PROCess:LENgth:IACK?

RV Index Sequence

Default: 0, 2, 3, 1

Entry format: Array of RV Index (Integer 0-3)

Array length: 1 to 28

Enter the RV (redundancy version) Index sequence pattern for verifying HARQ responses. The RV Index data can be entered as a sequence with values of 0, 1, 2, 3 separated by commas. When the specified length of RV index sequence pattern is shorter than the maximum number of retransmission, the pattern is repeated until reaching the maximum length.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:RVINdex:PATTern:DATA <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:RVINdex:PATTern:DATA?

3. Hybrid-ARQ ACK/NACK Data Settings

Data Source

Choice: Internal | External

Default: Internal

Double-click or use the drop-down menu to select HARQ ACK/NACK control signal source.

Internal | Uses an internal user-defined signal.
External | Uses an external signal from AUX ports.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:SOURce INTernal|EXTernal

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:SOURce?

Data

Choice: All ACK| All NACK| Custom Pattern| User Data

Default: All ACK

Coupling: Active when Data Source is set to Internal.

Click the parameter and then use the [image] button to launch the data dialog box.

All ACK | All ACK sequence
All NACK | All NACK sequence
Custom Pattern | Uses the user defined pattern specified in string and 'A' or 'N' is expected in the string pattern
User Data | Select a user-defined sequence from an existing file on the local drive

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:INTernal:DATA:TYPE AACK|ANACk|FILE|PATTern

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:INTernal:DATA:TYPE?

If FILE is the selection, use the following command to load an existing file for the ACK/NACK data.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:INTernal:DATA:FILE:NAME <"filename">

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:INTernal:DATA:FILE:NAME?

If PATTern is the selection, use the following command to create the custom pattern with a maximum of 8,192 characters. The pattern is a string that uses "A" (ACK), "N" (NACK), or a combination "ANNANAA".

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:INTernal:DATA:PATTern <"pattern">

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:INTernal:DATA:PATTern?

Input Delay (AUX Multiplexed Mode)

Displays the fixed delay time (0)of the input port for control of the HARQ ACK/NACK. The delay time is displayed when the HARQ ACK/NACK Data Source is set to External and the AUX Operating Mode is set to Multiplexed.

Input Delay (AUX Dedicated Mode)

Displays the fixed delay (0) of the HARQ ACK response in the serial data transmission. The unit of delay is in subframe. The delay is displayed when the HARQ ACK/NACK Data Source is set to External and the AUX Operating Mode is set to Dedicated.

Data Default Value (AUX Dedicated Mode)

Choice: Choice: NACK | ACK

Default: NACK

Coupling: Grayed out unless Operating Mode is set to Dedicated and Data Source is set to External.

Double-click or use the drop-down menu to select the default value for the HARQ ACK/NACK response when the feedback signal is not received.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:EXTernal:DATA:SERial:DEFault ACK|NACK

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:EXTernal:DATA:SERial:DEFault?


HARQ Process Settings

Real Time

UL-SCH—HARQ Process States

When using multiple instruments as shown in the tree view, inaccurate test data may occur if a combination of the GUI and SCPI is used to set or modify the instrument and test parameters. The software will not reflect changes made outside of the GUI even with the use of the Update from Instrument button. For all tests, use only one method to configure the settings, GUI or SCPI.

When configuring multiple instruments with SCPI instead of using the GUI, the commands must be executed for each instrument.

When using multiple instruments as shown in the tree view, after clicking the State On button, all settings for this window gray out and cannot be changed. To change the settings, first click the State Off button.

1. General | 2. Process States
Process Transmission Control | Process[n] State
Number of HARQ Processes |

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active. When using multiple instruments as shown in the tree view, this button is not displayed.

This button displays in place of the Settings Current button. It indicates that the instrument settings are not currrent and need to be updated with the new software settings. Click this button to update the insturment's settings. This button shows in all windows regardless of where the change was made. When using multiple instruments as shown in the tree view, this button is not displayed.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

1. General

Process Transmission Control

Choice: All Processes On | Customize

Default: All Processes On

Double-click or use the drop-down menu to select the process transmission control method.

All Processes On | Each state of Process [n] is on.
Customize | Each state of Process [n] can be configured on or off.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:TCONtrol:STATe 1|0|ON|OFF

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:TCONtrol:STATe?

When the state is set to 0 (or OFF), all processes are set to On. When the state is set to 1 (or ON), each state of Process[n] can be configured on or off. The 1 (or ON) of SCPI state command is mapped to Customize on the GUI, 0 (or OFF) is mapped to the All Processes On on the GUI.

Number of HARQ Processes

Displays the number of HARQ process calculated by the Uplink Downlink Configuration.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:NPRocess?

2. Process States

Process[n] State

Choice: On | Off

Default: On

Double-click or use the drop-down menu to select each Process State on or off when the Process Transmission Control is set to Customize.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:TCONtrol:PROCess0|1|2|3|4|5|6:STATe 1|0|ON|OFF

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:TCONtrol:PROCess0|1|2|3|4|5|6:STATe?


Sounding RS (Reference Signal)

When PUCCH or PUSCH is not scheduled, sounding reference signals (SRS) are used to test the reception quality for uplink channel-dependent scheduling and are transmitted in the last symbol of the subframe.The allocation to subcarriers is determined by the SRS bandwidth configuration. SRS can be multiplexed by time (periodic transmissions), frequency, cyclic shifts, and transmission comb.

The setting for this window cannot be changed while transmitting the signal (State On button clicked). To change settings, first click the State Off button to stop the signal.

The software does not use these settings when it is controlling multiple instruments as shown in the tree view.

1. SRS Settings
State | Transmission Comb (kTC)
Power | Hopping Bandwidth (b_hop)
Subframe Configuration | Frequency Domain Position (nRRC)
Subframe (Cell Specific) | Configuration Index ((I_SRS)
Cyclic Shift (nSRS_CS) | Periodicity (T_SRS)
Bandwidth Configuration (C_SRS) | Subframe Offset (T_offset)
Bandwidth (B_SRS) | Frequency Hopping

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active. When using multiple instruments as shown in the tree view, this button is not displayed.

This button displays in place of the Settings Current button. It indicates that the instrument settings are not currrent and need to be updated with the new software settings. Click this button to update the insturment's settings. This button shows in all windows regardless of where the change was made. When using multiple instruments as shown in the tree view, this button is not displayed.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

State

Choice: On | Off

Default: Off

Coupling: This setting is inactive and set to off when using multiple instruments as shown in the tree view.

Double-click or use the drop-down menu to select the sounding reference signal (SRS) channel state. When the sounding state is enabled, the last symbol of the SRS allocated subframe is reserved for the transmission of the SRS.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:STATe 1|0|ON|OFF

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:STATe?

Power

Range: -60 to 20

Default: 0

Set the sounding reference signal channel power in dB.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:POWer <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:POWer?

Subframe Configuration

Range: 0 to 13

Default: 0

Enter a value for the sounding reference signal subframe configuration.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:SCONfig <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:SCONfig?

Subframe (Cell Specific)

Displays the SRS subframe allocation information that is calculated by the Subframe Configuration. Refer to TS 36.211, Table 5.5.3.3-2. This subframe allocation information is converted from the cell-specific subframe configuration period (T_SFC) and the cell-specific subframe offset (Delta_SFC) shown in the table. The displayed subframes are separated by commas (example: 0,1, 2,3).

Cyclic Shift (nSRS_CS)

Choices: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7

Default: 0

Double-click or use the drop-down menu to select a value for the sounding reference signal cyclic shift. Refer to TS 36.211.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:CSHift <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:CSHift?

Bandwidth Configuration (C_SRS)

Choices: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7

Default: 7

Double-click or use the drop-down menu to select a value for the cell-specific parameter SRS transmission bandwidth (srs-BandwidthConfig, C_SRS). Refer to TS 36.211.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:BCONfig <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:BCONfig?

Bandwidth (B_SRS)

Choices: 0 | 1 | 2 | 3

Default: 0

Double-click or use the drop-down menu to select a value for the UE-specific parameter SRS bandwidth (srs-Bandwidth, B_SRS). Refer to TS 36.211.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:BANDwidth <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:BANDwidth?

Transmission Comb (kTC)

Choices: 0 |1

Default: 0

Double-click or use the drop-down menu to select a value given by the UE-specific parameter Transmission comb (transmissionComb, kTC). Refer to TS 36.211.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:TCOMb <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:TCOMb?

Hopping Bandwidth (b_hop)

Choices: 0 | 1 | 2 | 3

Default: 3

Double-click or use the drop-down menu to select a value for the higher-layer parameter SRS frequency hopping bandwidth (srs-HoppingBandwidth, b_hop). Refer to TS 36.211.

SRS Hopping Bandwidth (b_hop), and Frequency Hopping are related as follows:

Frequency Hopping On: SRS Hopping Bandwidth (b_hop) < SRS Bandwidth (B_SRS)

Frequency Hopping Off: SRS Hopping Bandwidth (b_hop) ≥ SRS Bandwidth (B_SRS)

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:HBANdwidth <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:HBANdwidth?

Frequency Domain Position (nRRC)

Range: 0 to 23

Default: 0

Enter a value for the higher-layer parameter frequency domain position (freqDomainPosition, nRRC). Refer to TS 36.211.

[:SOURce]:RADio[n]:LTE:TDD[:BBG]:ULINk:SRSignal:FDPosition <val>

[:SOURce]:RADio[n]:LTE:TDD[:BBG]:ULINk:SRSignal:FDPosition?

Configuration Index (I_SRS)

Range: 0 to 644

Default: 0

Enter a value for the SRS configuration index (I_SRS). This determines the SRS Periodicity (T_SRS), and SRS subframe offset (T_offset) in accordance with TS 36.213.

[:SOURce]:RADio[n]:LTE:TDD[:BBG]:ULINk:SRSignal:CINDex <val>

[:SOURce]:RADio[n]:LTE:TDD[:BBG]:ULINk:SRSignal:CINDex?

Periodicity (T_SRS)

Displays the UE specific SRS periodicity (T_SRS) that is calculated by the SRS Configuration Index (I_SRS). Refer to TS 36.213, Table 8.2-2.

Subframe Offset (T_offset)

Displays the SRS subframe offset (T_offset) that is calculated by the SRS Configuration Index ( I_SRS). Refer to TS 36.213, Table 8.2-2.

Frequency Hopping

Displays the frequency hopping state. Refer to TS 36.211.

SRS Hopping Bandwidth (b_hop), and Frequency Hopping have the following relationship:

Frequency Hopping On: SRS Hopping Bandwidth (b_hop) < SRS Bandwidth (B_SRS)

Frequency Hopping Off: SRS Hopping Bandwidth (b_hop) ≥ SRS Bandwidth (B_SRS)


Timing Adjustment Settings

The software does not use these settings when it is controlling multiple instruments as shown in the tree view.

1. Timing Adjustment Settings

State

Input Delay

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active. When using multiple instruments as shown in the tree view, this button is not displayed.

This button displays in place of the Settings Current button. It indicates that the instrument settings are not currrent and need to be updated with the new software settings. Click this button to update the insturment's settings. This button shows in all windows regardless of where the change was made. When using multiple instruments as shown in the tree view, this button is not displayed.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

1. Time Adjustment Settings

State

Choice: Off | On

Default: Off

Coupling: This setting is inactive and set to off when using multiple instruments as shown in the tree view.

Double-click or use the drop-down menu to turn Timing Adjustment State on or off. If the Timing Adjustment Control State is enabled, the timing adjustment control of the Physical Channels is activated.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:TADJust:STATe 1|0|ON|OFF

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:TADJust:STATe?

Input Delay

Range: 3 to 14

Default: 6

This parameter is displayed when the Time Adjustment Control State is On. Enter a value to set the delay from the Timing Adjustment feedback signal timing to the data generation timing. The unit of the delay number is subframe.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:TADJust:EXTernal:DATA[:SERial]:DELay <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:TADJust:EXTernal:DATA[:SERial]:DELay?


Signal IO

These settings control the signal I/O ports.

When using multiple instruments as shown in the tree view, inaccurate test data may occur if a combination of the GUI and SCPI is used to set or modify the instrument and test parameters. The software will not reflect changes made outside of the GUI even with the use of the Update from Instrument button. For all tests, use only one method to configure the settings, GUI or SCPI.

When configuring multiple instruments with SCPI instead of using the GUI, the commands must be executed for each instrument.

When using multiple instruments as shown in the tree view, after clicking the State On button, all settings for this window gray out and cannot be changed. To change the settings, first click the State Off button.

1. Markers | 2. Aux Port General Settings | 3. Multiplexed Mode Setup
Marker 1 | State | First Address
Marker 3 | Data Polarity | Second Address
Marker 4 |  |
4. Dedicated Mode Setup | 5. Aux Pin/Bit Select
Aux Port Pin | Type of Feedback
Baud Rate | Timing Adjustment Data
 | UL-SCH HARQ ACK/NACK Pattern
 | UL-SCH HARQ ACK/NACK Pattern 2

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active. When using multiple instruments as shown in the tree view, this button is not displayed.

This button displays in place of the Settings Current button. It indicates that the instrument settings are not currrent and need to be updated with the new software settings. Click this button to update the insturment's settings. This button shows in all windows regardless of where the change was made. When using multiple instruments as shown in the tree view, this button is not displayed.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

1. Markers

Marker n

Choice: None | Frame Pulse | Subframe Pulse | Slot Pulse | Round Trip Time Pulse | Hybrid-ARQ State | ALC Control | RF Blanking | Timing Adjustment Command | Timing Adjustment State | SFN Pulse | AUX0...AUX15 Monitor

Default: Frame Pulse

Double-click or use the drop-down menu to select Marker signal.

Marker Signal Values

None | No Marker signal.
Frame Pulse | Pulse at every 10 ms LTE radio frame
Subframe Pulse | Pulse at every 1 ms LTE subframe
Slot Pulse | Pulse at every 0.5 ms slot
Round Trip Time Pulse | This indicates the HARQ round trip time and the pulse cycle depends on the Uplink Downlink Configuration settings
Hybrid-ARQ State | High for HARQ ACK received subframe Low for HARQ NACK received subframe
ALC Control | ALC signal to control RF output of signal generator
RF Blanking | RF Blanking signal to control RF output of signal generator
Timing Adjustment Command | Echo back of the received timing adjustment command (RS-232 serial data)
Timing Adjustment State | Indicates timing adjustment operation state
SFN Pulse | Pulse at every SFN 10.24s cycle.
AUX0...AUX15 Monitor | Monitors the specified AUXn input signal. The timing of this output marker signal is not specified. This signal is available only to confirm that the AUX signal is being received on the expected port.

[:SOURce]:RADio:LTE:TDD[:BBG]:MARKer[1]|3|4:APRovided:TYPE NONE|FPULse|SFPulse|SPULse|RTTPulse|HASTate|ALC|RFBLanking|TACommand|TASTate|SFNPulse|AUX0...AUX15

[:SOURce]:RADio:LTE:TDD[:BBG]:MARKer[1]|2|3|4:APRovided:TYPE?

2. Aux Port General Settings

State

Choice: On | Off

Default: On

Double-click or use the drop-down menu to enable or disable the AUX port. When disabled, all data sent to the AUX port is ignored.

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX[:STATe] 1|0|ON|OFF

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX[:STATe]?

Data Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to set the polarity of the AUX input data.

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:DATA:POLarity POSitive|NEGative

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:DATA:POLarity?

3. Multiplexed Mode Setup

First Address

Choice: None | Group 1 | Group 2 | Group 3 | Group 4 | Group 5 | Group 6 | Group 7 | Group 8 | Group 9 | Group 10 | Group 11 | Group 12 | Group 13 | Group 14 | Group 15|

Default: Group 1

Coupling: Grayed out unless Operating Mode is set to Multiplexed

Double-click or use the drop-down menu to set an additional address (different from broadcast address) to receive AUX I/O data in Multiplex mode. The data that comes with this address value is transmitted to the I/Q channel.

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:MULTiplexed:ADDR1 NONE|GROUP1|Group2|Group3|Group4|Group5|Group6|Group7|Group8|Group9|Group10|Group11|Group12|Group13|Group14|GROUP15

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:MULTiplexed:ADDR1?

Second Address

Choice: None | Group 1 | Group 2 | Group 3 | Group 4 | Group 5 | Group 6 | Group 7 | Group 8 | Group 9 | Group 10 | Group 11 | Group 12 | Group 13 | Group 14 | Group 15|

Default: Group 2

Coupling: Grayed out unless Operating Mode is set to Multiplexed

Double-click or use the drop-down menu to set another additional address (different from broadcast address) to receive AUX I/O data in Multiplex mode. The data that comes with this address value is transmitted to the I/Q channel.

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:MULTiplexed:ADDR2 NONE|GROUP1|Group2|Group3|Group4|Group5|Group6|Group7|Group8|Group9|Group10|Group11|Group12|Group13|Group14|GROUP15

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:MULTiplexed:ADDR2?

4. Dedicated Mode Setup

Aux Port Pin

Choice: Unassigned | AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

Default: AUX1

Coupling: Grayed out unless Operating Mode is set to Dedicated

Double-click or use the drop-down menu to select the AUX input port in Dedicated mode.

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:DEDicated:PIN NONE|AUX0|AUX1|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9|AUX10|AUX11

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:DEDicated:PIN?

Baud Rate

Choice: 9600 | 14400 | 19200 | 38400 | 57600 | 115200 | 230400 | 460800 symbols per second

Default: 115200

Coupling: Grayed out unless Operating Mode is set to Dedicated

Double-click or use the drop-down menu to select how fast the serial data is transmitted in symbols per second.

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:DEDicated:DATA:RATE 9600|14400|19200|38400|57600|115200|230400|460800

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:DEDicated:DATA:RATE?

5. Aux Pin/Bit Select

Type of Feedback

Choice: BIT6 to BIT7

Coupling: Grayed out unless Operating Mode is set to Dedicated

In AUX Dedicated mode,the bit position for the feedback command type is fixed at BIT6 and BIT7.

Timing Adjustment Data

Choice: BIT0 to BIT5

Coupling: Grayed out unless Operating Mode is set to Dedicated

In AUX Dedicated mode,the bit position for the timing adjustment feedback is fixed at BIT0 to BIT5.

UL-SCH HARQ ACK/NACK Pattern

Choice:

Multiplexed: AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 |AUX11

Dedicated: BIT0 to BIT1

Default:

Multiplexed: AUX0

Dedicated: BIT0 to BIT1

In AUX Dedicated mode, the bit position for the UL-SCH HARQ ACK/NACK pattern is fixed at BIT0 to Bit1. In AUX Multiplexed mode, double-click or use the drop-down menu to set the bit position for the UL-SCH HARQ ACK/NACK pattern.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:EXTernal:DATA:INPut:MULTiplexed:PIN AUX0|AUX1|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9|AUX10|AUX11

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:EXTernal:DATA:INPut:MULTiplexed:PIN?

UL-SCH HARQ ACK/NACK Pattern 2

Choice:

Multiplexed: AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 |AUX11

Dedicated: BIT2 to BIT3

Default:

Multiplexed: AUX1

Dedicated: BIT2 to BIT3

In AUX Dedicated mode, the bit position for the UL-SCH HARQ ACK/NACK pattern 2 is fixed at BIT2 to Bit3. In AUX Multiplexed mode, double-click or use the drop-down menu to set the bit position for the UL-SCH HARQ ACK/NACK pattern 2.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:EXTernal:DATA:INPut2:MULTiplexed:PIN AUX0|AUX1|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9|AUX10|AUX11

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:EXTernal:DATA:INPut2:MULTiplexed:PIN?


AUX Signals

Use this node to monitor and troubleshoot signals such as Timing Adjustment and HARQ ACK/NACK. When using multiple instruments as shown in the Closed tree view, the software displays as many AUX Signals nodes as there are instruments showing. The AUX Signals nodes are numbered relative to the instrument numbering shown under the Hardware node and provides information for only the instrument it matches numerically.

1. AUX Signals Settings | 2. AUX Status | 3. Signal Generation Status
State | AUX Port Active Status | Timing Adjustment Current Value
Query Type |  | Timing Adjustment Command Counts
Data Save |  |

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active. When using multiple instruments as shown in the tree view, this button is not displayed.

This button displays in place of the Settings Current button. It indicates that the instrument settings are not currrent and need to be updated with the new software settings. Click this button to update the insturment's settings. This button shows in all windows regardless of where the change was made. When using multiple instruments as shown in the tree view, this button is not displayed.

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

Use this button to query the selection made with the Query Type parameter. The query results are static and will not be updated until the button is clicked again. Performing a query does not erase the results of queries from other different Query Type selections.

This button is active after setting State to On and initiating the signal with the State On button. When multiple instruments are controlled by the software, the Query Data button is specific to the instrument with the same number as shown with the AUX Signals n node.

The query results comes from data that is stored in a buffer. The buffer contains information on the Query Type selection for up to 1024 frames (10.24 seconds). The software begins storing the information when the Query Type selection is made. If the query is started too soon, there may not enough stored data for evaluation. Once the buffer capacity has been reached, the software overwrites existing buffer data.

Graph details and data from queries are not saved when using the Save as feature to save the software setup to a settings file. To save queried data, use the Save Data button.

Use this button to save the data from the query to the file shown in the Data Save parameter. This button is active when the following conditions have been met:

  • a query has been performed
  • there is a graph or data from the query showing at the bottom of the window
  • the Data Save parameter has been set to User File

1. AUX Signals Settings

State

Choices: Off | On

Default: Off

Coupling:

  • On makes the Query Data button active.

  • When the software is controlling multiple instruments, changing this parameter in one AUX Signal node, changes it in all AUX Signal nodes.

Double-click or use the drop-down menu to select the AUX Signals monitoring state.

Query Type

Choices: AUX Active Status | HARQ ACK/NACK | Timing Adjustment | AUX Serial Monitor | Marker Monitor

Default: AUX Active Status

Coupling: When the software is controlling multiple instruments, changing this parameter in one AUX Signal node, changes it in all AUX Signal nodes.

Double-click or use the drop-down menu to select the monitor type for the AUX Monitor query. Most of the selections provide the query results at the bottom of the window in a graph, as data bits, or both (multiple tabs showing)

AUX Active Status

This choice enables a query of the AUX pins signal status.
The results of the query are shown in the AUX Port Active Status parameter.

HARQ ACK/NACK

This choice enables a query of the PUSCH HARQ ACK/NACK bits. Up to a maximum of 16,384 bits are recorded. This means that all ACK/NACK bits for the uplink PUSCH subframes are recorded, even if they are off. The query results are displayed in three tabs, Overview (graph), Data, and Process:

  • The HARQ ACK/NACK Overview graph shows the ratio of ACK to the total number of ACK/NACK (% of maximum throughput—# of ACK/Total # of ACK and NACK).

  • The HARQ ACK/NACK Data tab shows 1 (ACK) and 0 (NACK).

  • The HARQ ACK/NACK by Process tab sorts the 1 (ACK) and 0 (NACK) per HARQ process. This results in a grouping of 10 ACK/NACK bits per process number.

Timing Adjustment

This choice enables a query of the Timing Adjustment command counts between queries (Query Data button clicks). The query results are shown in 2 tabs, Overview (graph) and Data:

  • The TA Overview graph shows the accumulated frame timing offset by TA command versus time.

  • The TA Data tab shows the accumulated frame timing offset, offset values, and TA commands per frame.

AUX Serial Monitor

This choice enables a query of the AUX serial data. The results, up to 2,048 bytes of serial data, are displayed in the Data tab.

The Data tab shows all of the commands that the AUX IO has received in hex format:

  • 0x40-0x4F represents HARQ

  • 0x00 to 0x3F represents TA.

Marker Monitor

This choice enables a query of the active AUX marker signals specified in the Signal IO node. The results capture up to 4,096 marker events and are displayed in a graph (Overview tab). With each marker query, the marker graph also shows the frame pulse.

Data Save

Choices: Off | User File

Default: Off

Coupling: This must be set to User File as one of the conditions to make the Save Data button active.

Set whether the software saves the query data. To change the selection, click the parameter and then the [image] button to launch the Data Save Closed dialog box. When User File is the selection, in the dialog box, enter a file name, manually enter a path and file name, or use Browse... to locate a previously saved file and select it as the file to save the data too. The software saves the query file to My Documents on your hard drive, or to the location manually entered or specified by using Browse.. to select the previously saved file.

2. AUX Status

AUX Port Active Status

Static display of the AUX port pins signal state (active/inactive). Use the Query Data button to see if there has been any changes to the AUX port pins signal states. This parameter updates with every query, even when AUX Active Status is not the Query Type selection. The order of the displayed bits is b15...b0.

0 | AUX pin low (inactive), stayed low between queries.
1 | AUX pin high (active), stayed high between queries.
0* | AUX pin state changed to low since the last query.
1* | AUX pin state changed to high since the last query

3. Signal Generation Status

Timing Adjustment Current Value

Coupling: Requires that the Query Type be set to Timing Adjustment.

Displays the Timing Adjustment value in [Ts] since the last Timing Adjustment query.

Timing Adjustment Command Counts

Coupling: Requires that the Query Type be set to Timing Adjustment.

Displays the Timing Adjustment count since the last Timing Adjustment query.


SCPI

SCPI Basics | provides basic information about SCPI commands
SCPI Command List | provides a comprehensive list of the EXG and MXG SCPI commands with links to their descriptions
SCPI Commands without GUI Functions | provides a list of commands, with descriptions, that do not have an equivalent GUI setting


SCPI Command Basics

This section describes the general use of SCPI commands. It is not intended to teach you everything about the SCPI language; the SCPI Consortium or IEEE can provide that level of detailed information. For a list of the specific commands available, refer to the SCPI list.

For additional information on the SCPI language, refer to the following publications:

  • IEEE Standard 488.1-2003, IEEE Standard For Higher Performance Protocol for the Standard Digital Interface for Programmable Instrumentation. New York, NY, 2003.

  • IEEE Standard 488.2-1992, IEEE Standard Codes, Formats, Protocols and Command Commands for Use with ANSI/IEEE Standard 488.1-1987. New York, NY, 1998.

Common Terms

The following terms are used throughout the remainder of this section:

Command | A command is an instruction in SCPI consisting of mnemonics (keywords), parameters (arguments), and punctuation. You combine commands to form messages that control instruments.
Controller | A controller is any device used to control the instrument, for example a computer or another instrument.
Event Command | Some commands are events and cannot be queried. An event has no corresponding setting; it initiates an action at a particular time.
Query | A query is a special type of command used to instruct the instrument to make response data available to the controller. A query ends with a question mark. Generally you can query any command value that you set.
Response Message | A response message is a collection of data in specific SCPI formats sent from the instrument to the controller. Response messages tell the controller about the internal state of the instrument.

Command Syntax

A typical command is made up of keywords prefixed with colons (:). The keywords are followed by parameters. The following is an example syntax statement:

[:SOURce]:DM:IQADjustment[:STATe] ON|OFF|1|0

In the example above, the [:STATe] portion of the command immediately follows the :DM:IQADjustment portion with no separating space. The portion following [:STATe], ON|OFF|1|0, are the parameters (argument for the command statement). There is a separating space (white space) between the command and its parameter.

Additional conventions in syntax statements are shown in Table 1. Special Characters in Command Syntax and Table 2. Command Syntax.

Table 1. Special Characters in Command Syntax
Characters | Meaning | Example
| | A vertical stroke between keywords or parameters indicates alterative choices. For parameters, the effect of the command varies depending on the choice. | [:SOURce]:IQ:AUX:INPut:STRobe:SLOPe POSitive|NEGative POSitive or NEGative are the choices.
[ ] | Square brackets indicate that the enclosed keywords or parameters are optional when composing the command. These implied keywords or parameters will be executed even if they are omitted. | [:SOURce]:FREQuency[:CW]? SOURce and CW are optional items.
< > | Angle brackets around a word (or words) indicate they are not to be used literally in the command. They represent the needed item. | [:SOURce]:FREQuency[:CW] <value><unit> In this command, the words <value> and <unit> should be replaced by the actual frequency and unit. :FREQuency 2.5GHz
{ } | Braces indicate that parameters can optionally be used in the command once, several times, or not at all. | [:SOURce]:LIST:POWer <value>{,<value>} a single power listing: :LIST:POWer 5 a series of power listings: :LIST:POWer 5,10,15,20

Table 2. Command Syntax

Characters, Keywords, and Syntax

Example

Upper-case lettering indicates the minimum set of characters required to execute the command. But, each mode of the command must be in either short form or the complete long form (no in between).

[:SOURce]:FREQuency[:CW]?,

:FREQ is the minimum requirement.

Lower-case lettering indicates the portion of the command that is optional; it can either be included with the upper-case portion of the command or omitted. This is the flexible format principle called forgiving listening. Refer to Command Parameters and Responses for more information.

:FREQuency

Either :FREQ, :FREQuency, or :FREQUENCY is correct.

:FREQuenc is incorrect.

When a colon is placed between two command mnemonics, it moves the current path down one level in the command tree. Refer to Command Tree for more information on command paths.

:IQ:OUTPut:TRIGger:EXTernal:POLarity?

:IQ is the root level keyword for this command.

If a command requires more than one parameter, you must separate adjacent parameters using a comma. Parameters are not part of the command path, so commas do not affect the path level.

[:SOURce]:LIST:DWELl <value>{,<value>}

White space characters, such as <tab> and <space>, are generally ignored as long as they do not occur within or between keywords.

However, you must use white space to separate the command from the parameter, but this does not affect the current path.

:FREQ uency or :POWer :LEVel are not allowed.

A <space> between :LEVel and 6.2 is mandatory: :POWer:LEVel 6.2

Command Tree

SCPI uses a structure for the commands similar to the file systems on most computers. In SCPI, this command structure is called a command tree and is shown in Figure 2. Simplified Command Tree.

Figure 2. Simplified Command Tree

The command closest to the top is the root command, or simply “the root.” Notice that you must follow a particular path to reach lower level commands. In the following example, :POWer represents AA, :ALC represents BB, :SOURce represents GG. The complete command path is :POWer:ALC:SOURce? (:AA:BB:GG).

Command Parameters and Responses

SCPI defines different data formats for use in program and response messages. It does this to accommodate the principle of forgiving listening and precise talking. For more information on program data types refer to IEEE 488.2.

Forgiving listening means the command and parameter formats are flexible.

For example, with the :OUTPut:STATe ON|OFF|1|0 command, an MXG accepts :OUTPut:STATe ON, :OUTPut:STATe 1, :OUTP:STAT ON, :OUTP:STAT 1 to turn on the RF output.

Each parameter type has one or more corresponding response data types. A setting that you program using a numeric parameter returns either real or integer response data when queried. Response data (data returned to the controller) is more concise and restricted, and is called precise talking.

Precise talking means that the response format for a particular query is always the same.

For example, if you query the power state (:POWer:ALC:STATe?) when it is on, the response is always 1, regardless of whether you previously sent :POWer:ALC:STATe 1 or :POWer:ALC:STATe ON. Table 3. Parameter and Response Types shows the response for a given parameter type.

Table 3. Parameter and Response Types
Parameter Types | Response Data Types
Numeric | Real, Integer
Extended Numeric | Real, Integer
Discrete | Discrete
Boolean | Numeric Boolean
String | String
Definite Block | Arbitrary byte data(i.e. text, binary, discrete, real, integer, etc.-). 1

Numeric Parameters

Numeric parameters are used in many commands and these commands accept all commonly used decimal representations of numbers including optional signs, decimal points, and scientific notation.

If an instrument setting is programmed with a numeric parameter, which can only assume a finite value, it automatically rounds any entered parameter which is greater or less than the finite value. For example, if a signal generator has a programmable output impedance of 50 or 75 ohms, and you specified 76.1 for the output impedance, the value is rounded to 75.

The following are examples of numeric parameters:

100 | no decimal point required
100. | fractional digits optional
-1.23 | leading signs allowed
4.56E<space>3 | space allowed after the E in exponential
-7.89E-001 | use either E or e in exponential
+256 | leading + allowed
.5 | digits left of decimal point optional

Extended Numeric Parameters

When specifying physical quantities, most commands use extended numeric parameters. Extended numeric parameters accept all numeric parameter values and other special values as well.

The following are examples of extended numeric parameters:

100 | any simple numeric value
1.2GHz | GHz can be used for exponential (E009)
200MHz | MHz can be used for exponential (E006)
-100mV | negative 100 millivolts
10DEG | 10 degrees

Extended numeric parameters also include the following special parameters:

DEFault | resets the parameter to its default value
UP | increments the parameter
DOWN | decrements the parameter
MINimum | sets the parameter to the smallest possible value
MAXimum | sets the parameter to the largest possible value

Discrete Parameters

Discrete parameters use mnemonics to represent each valid setting. They have a long and a short form, just like command mnemonics. You can mix upper and lower case letters for discrete parameters.

The following examples of discrete parameters are used with the command

:POWer:ALC:SEARch:REFerence RMS|FIXed|MODulated

RMS | power search uses a DC bias value
FIXed | power search uses a fixed 0.5 V reference
MODulated | power search uses an AC bias from the modulating signal

Although discrete parameters look like command keywords, do not confuse the two. In particular, be sure to use colons and spaces properly. Use a colon to separate command mnemonics from each other and a space to separate parameters from command mnemonics.

The following are examples of discrete parameters in commands:

:POWer:ALC:SEARch:REFerence RMS

:POWer:ALC:SEARch:REFerence FIXed

:POWer:ALC:SEARch:REFerence MODulated

Boolean Parameters

Boolean parameters represent a single binary condition that is either true or false. The two-state boolean parameter has four arguments.

The following list shows the arguments for the two-state boolean parameter:

ON | boolean true, upper/lower case allowed
OFF | boolean false, upper/lower case allowed
1 | boolean true
0 | boolean false

String Parameters

String parameters allow ASCII strings to be sent as parameters. Single or double quotes are used as delimiters.

The following are examples of string parameters:

'This is valid'

"This is also valid"

'SO IS THIS'

Definite Block

Definite block is always prefixed by the # symbol to indicate the beginning of block data. The definite block (#ABC) is described as follows:

# | This character indicates the beginning of the data block
A | Number of digits in the byte count B
B | Byte count in C
C | data

Real Response Data

Real response data represent decimal numbers in either fixed decimal or scientific notation. Most high-level programming languages that support instrument input/output (I/O) handle either decimal or scientific notation transparently.

The following are examples of real response data:

+4.000000E+010, -2.000000E+004

-9.990000E+002

+4.0000000000000E+010

+1

0

Integer Response Data

Integer response data are decimal representations of integer values including optional signs.

The following are examples of integer response data:

0 | signs are optional
+100 | leading + allowed
-100 | leading - allowed
256 | never any decimal point

Discrete Response Data

Discrete response data are similar to discrete parameters. The main difference is that discrete response data only returns the short form of a particular mnemonic, in all upper case letters.

The following are examples of discrete response data:

IMM

EXT

INT

NEG

Numeric Boolean Response

Boolean response data returns a binary numeric value of one or zero.

String Response Data

String response data are similar to string parameters. The main difference is that string response data returns double quotes, rather than single quotes. Embedded double quotes may be present in string response data. Embedded quotes appear as two adjacent double quotes with no characters between them.

The following are examples of string response data:

"This is a string"

"one double quote inside brackets: [""]"

"Hello!"

File Name Variables

File name variables designate a data file and file path. File name variables are used in the SCPI command syntax whenever files are accessed. The name of the file is always required, but the file path can sometimes be optional or designated. See Table 4. File Name Path Formats for examples:

Table 4. File Name Path Formats
Format | File Name Variable | Example
Format 1 | "<file name>" | "Test_Data"
Format 2 | "<file path/file name>" | "/USER/SEQ/Test_Data"

Format 1 can only be used with SCPI commands that imply the path name as part of the command syntax. Typically, SCPI load commands that access user-data files do not need to have a file path designated.

The maximum length for a file name is 23 characters, excluding the file path.

Quote Usage with SCPI Commands

As a general rule, programming languages require that SCPI commands be enclosed in double quotes as shown in the following example:

":POWer:ALTernate:AMPLitude 55"

However when a string is the parameter for a SCPI command, additional quotes or other delimiters may be required to identify the string. Your programming language may use two sets of double quotes, one set of single quotes, or back slashes with quotes to signify the string parameter. The following examples illustrate these different formats:

"RADio:EDGE:BURSt:SHAPe ""myfile""" used in BASIC programming languages

"RADio:EDGE:BURSt:SHAPe \"myfile"" used in C, C++, Java, and PERL

"RADio:EDGE:BURSt:SHAPe 'myfile'" accepted by most programming languages

Consult your programming language reference manual to determine the correct format.

Binary, Decimal, Hexadecimal, and Octal Formats

Command values may be entered using a binary, decimal, hexadecimal, or octal format. When the binary, hexadecimal, or octal format is used, their values must be preceded with the proper identifier. The decimal format (default format) requires no identifier and an instrument assumes this format when a numeric value is entered without one. The identifiers for the formats that require them are as follows:

#B identifies the number as a binary numeric value (base-2).

#H identifies the number as a hexadecimal alphanumeric value (base-16).

#Q identifies the number as a octal alphanumeric value (base-8).

The following are examples of SCPI command values and identifiers for the decimal value 45:

#B101101 binary equivalent

#H2D hexadecimal equivalent

#Q55 octal equivalent

The following example sets the RF output power to 10 dBm (or the equivalent value for the currently selected power unit, such as DBUV or DBUVEMF) using the hexadecimal value 000A:

:POW #H000A

A unit of measure such as dBm or mV will not work with the values when using a format other than decimal.


SCPI Command List

NOTES:

1. In the SCPI command syntax, the letter n equates to a numeric value.

2. The following SCPI command list may include duplicates of certain commands. This duplication offers you the convenience of accessing a command's related descriptions when it is valid for more than one instrument model or channel type, and therefore, appears in multiple help topics.

3. When using multiple instruments, use either the software or SCPI to configure the instruments and test settings, not both. When using SCPI, the commands must be executed for each instrument.

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:DATA:POLarity POSitive | NEGative

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:DATA:POLarity?

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:DEDicated:DATA:RATE 9600 | 14400 | 19200 | 38400 | 57600 | 115200 | 230400 | 460800

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:DEDicated:DATA:RATE?

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:DEDicated:PIN NONE | AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:DEDicated:PIN?

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:MULTiplexed:ADDR1 NONE | GROUP1 | Group2 | Group3 | Group4 | Group5 | Group6 | Group7 | Group8 | Group9 | Group10 | Group11 | Group12 | Group13 | Group14 | GROUP15

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:MULTiplexed:ADDR1?

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:MULTiplexed:ADDR2 NONE | GROUP1 | Group2 | Group3 | Group4 | Group5 | Group6 | Group7 | Group8 | Group9 | Group10 | Group11 | Group12 | Group13 | Group14 | GROUP15

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX:MULTiplexed:ADDR2?

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX[:STATe] 1 | 0 | ON | OFF

[:SOURce]:RADio:LTE:TDD[:BBG]:AUX[:STATe]?

[:SOURce]:RADio:LTE:TDD[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:FREQuency:OFFSet?

[:SOURce]:RADio:LTE:TDD[:BBG]:LINK?

[:SOURce]:RADio:LTE:TDD[:BBG]:LINk:PUSCh[1]:DMRSignal:OCC:STATe 0 | 1 | OFF | ON

[:SOURce]:RADio:LTE:TDD[:BBG]:LINk:PUSCh[1]:DMRSignal:OCC:STATe?

[:SOURce]:RADio:LTE:TDD[:BBG]:MARKer[1]|3|4:APRovided:TYPE NONE | FPULse | SFPulse | SPULse | RTTPulse | HASTate | ALC | RFBLanking | TACommand | TASTate | SFNPulse | AUX0...AUX15

[:SOURce]:RADio:LTE:TDD[:BBG]:MARKer[1]|2|3|4:APRovided:TYPE?

[:SOURce]:RADio:LTE:TDD[:BBG]:POWer:MARKer M1 | M2 | M3 | M4

[:SOURce]:RADio:LTE:TDD[:BBG]:POWer:MARKer?

[:SOURce]:RADio:LTE:TDD[:BBG]:POWer:ORMS?

[:SOURce]:RADio:LTE:TDD[:BBG]:POWer:PMGating MARKers

[:SOURce]:RADio:LTE:TDD[:BBG]:POWer:PMGating?

[:SOURce]:RADio:LTE:TDD[:BBG]:POWer:SAVerage <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:POWer:SAVerage?

[:SOURce]:RADio:LTE:TDD[:BBG]:POWer:SOURce

[:SOURce]:RADio:LTE:TDD[:BBG]:RSCaling <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:RSCaling?

[:SOURce]:RADio:LTE:TDD[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:SAMPle:RATE?

[:SOURce]:RADio:LTE:TDD[:BBG][:STATe] 0 | 1 | OFF | ON

[:SOURce]:RADio:LTE:TDD[:BBG][:STATe] 0 | 1 | OFF | ON

[:SOURce]:RADio:LTE:TDD[:BBG][:STATe]?

[:SOURce]:RADio:LTE:TDD[:BBG][:STATe]?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:ACONfig?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:ANTenna:PORT <port>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:ANTenna:PORT?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:ANTenna:TNUMber <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:ANTenna:TNUMber?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINK:BFILter 1 | 0 | ON | OFF

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINK:BFILter?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:CID <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:CID?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:CPRefix NORMal | EXTended

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:CPRefix?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:HOPPing:TYPE OFF | GROup | SEQuence

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:HOPPing:TYPE?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:NRBLock?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:NSCarrier?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:NSSymbol?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:CQI:DATA:LENGth <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:CQI:DATA:LENGth?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:CQI:DATA:TYPE PN9 | PN15 | USER

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:CQI:DATA:TYPE?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:CQI:DATA:USER "<pattern>"

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:CQI:DATA:USER?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:DATA:TYPE CQI | CQI_ACK1B | CQI_ACK2B

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:DATA:TYPE?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:DMRSignal:POWer <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:DMRSignal:POWer?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:DSHift <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:DSHift?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:FORMat F1 | F1A | F1B | F2 | F2A | F2B

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:FORMat?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:HARQ:OBIT:DATA ACK | NACK

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:HARQ:OBIT:DATA?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:HARQ:TBIT:DATA ACK_ACK | ACK_NACK | NACK_ACK | NACK_NACK

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:HARQ:TBIT:DATA?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:N[1] <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:N[1]?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:N2 <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:N2?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:NCS[1] <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:NCS[1]?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:NRB2 <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:NRB2?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:POWer <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:POWer?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:SRSSubframe:DATA:TYPE?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:SRSSubframe:FORMat F1 | F1A | F1B

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:SRSSubframe:FORMat?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:SRSSubframe:HARQ:OBIT:DATA ACK | NACK

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:SRSSubframe:HARQ:OBIT:DATA?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:SRSSubframe:HARQ:TBIT:DATA ACK_ACK | ACK_NACK | NACK_ACK | NACK_NACK

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:SRSSubframe:HARQ:TBIT:DATA?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh[:STATe] 0 | 1 | OFF | ON

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh[:STATe]?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:SUBFrame0|1|2|3|4|5|6|7|8|9|...|69:STATe 1 | 0 | ON | OFF

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:SUBFrame0|1|2|3|4|5|6|7|8|9|...|69:STATe?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUCCh:TRANsimssion:SUBFrame:CYCLe?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh[1]:DMRSignal:DCI:CSField <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh[1]:DMRSignal:DCI:CSField?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:DELTa:SS <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:DELTa:SS?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:DMRSignal:N[1] <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:DMRSignal:N[1]?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:DMRSignal:N2 <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:DMRSignal:N2?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:DMRSignal:POWer <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:DMRSignal:POWer?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:MODulation QPSK | QAM16 | QAM64

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:MODulation?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ORBLock:OFFSet <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ORBLock:OFFSet?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ORBLock:SIZE <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ORBLock:SIZE?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:POWer <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:POWer?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:STATe 1 | 0 | ON | OFF

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:STATe?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:DATA:FILE:LENGth <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:DATA:FILE:LENGth?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:DATA:FILE:NAME <"filename">

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:DATA:FILE:NAME?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:DATA:PATTern <pattern>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:DATA:PATTern?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:DATA:TYPE PN9 | PN15 | PATTern | FILE

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:DATA:TYPE?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:EXTernal:DATA:INPut2:MULTiplexed:PIN AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:EXTernal:DATA:INPut2:MULTiplexed:PIN?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:EXTernal:DATA:INPut:MULTiplexed:PIN AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:EXTernal:DATA:INPut:MULTiplexed:PIN?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:EXTernal:DATA:SERial:DEFault ACK | NACK

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:EXTernal:DATA:SERial:DEFault?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:INTernal:DATA:FILE:NAME <"filename">

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:INTernal:DATA:FILE:NAME?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:INTernal:DATA:PATTern <"pattern">

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:INTernal:DATA:PATTern?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:INTernal:DATA:TYPE AACK | ANACk | FILE | PATTern

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:INTernal:DATA:TYPE?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:MNRetrans <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:MNRetrans?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:NPRocess?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:PROCess:LENgth:IACK <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:PROCess:LENgth:IACK?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:RVINdex:PATTern:DATA <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:RVINdex:PATTern:DATA?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:SOURce INTernal | EXTernal

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:SOURce?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:TCONtrol:PROCess0|1|2|3|4|5|6:STATe 1 | 0 | ON | OFF

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:TCONtrol:PROCess0|1|2|3|4|5|6:STATe?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:TCONtrol:STATe 1 | 0 | ON | OFF

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:HARQ:TCONtrol:STATe?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:MINDex <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:MINDex?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:PAYLoad:CONFig MINDex | MANual

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:PAYLoad:CONFig?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:PAYLoad:SIZE <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:PAYLoad:SIZE?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:PUSCh:ULSCh:TINDex?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:RBLock:NSCarrier?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SBANdwidth F1_4M | F3M | F5M | F10M | F15M | F20M

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SBANdwidth?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:BANDwidth <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:BANDwidth?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:BCONfig <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:BCONfig?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:CSHift <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:CSHift?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:HBANdwidth <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:HBANdwidth?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:POWer <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:POWer?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:SCONfig <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:SCONfig?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:STATe 1 | 0 | ON | OFF

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:STATe?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:TCOMb <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SRSignal:TCOMb?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SSConfig <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SSConfig?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:SWPPeriod?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:TADJust:EXTernal:DATA[:SERial]:DELay <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:TADJust:EXTernal:DATA[:SERial]:DELay?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:TADJust:STATe 1 | 0 | ON | OFF

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:TADJust:STATe?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:TOFFset <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:TOFFset?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:TPARameter:FRC:[:SET] <TestCase>, <FrcTable>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:TPARameter:FRC[:SET]?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:TPARameter:FRC:TABLe?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:TPARameter:FRC:TCASe?

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:ULDLconfig <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:ULINk:ULDLconfig?

[:SOURce]:RADio[n]:LTE:TDD[:BBG]:ULINk:RNTI <val>

[:SOURce]:RADio[n]:LTE:TDD[:BBG]:ULINk:RNTI?

[:SOURce]:RADio[n]:LTE:TDD[:BBG]:ULINk:SRSignal:CINDex <val>

[:SOURce]:RADio[n]:LTE:TDD[:BBG]:ULINk:SRSignal:CINDex?

[:SOURce]:RADio[n]:LTE:TDD[:BBG]:ULINk:SRSignal:FDPosition <val>

[:SOURce]:RADio[n]:LTE:TDD[:BBG]:ULINk:SRSignal:FDPosition?


SCPI Commands without GUI Functions

The software provides a standard SCPI list created for this software that typically provides the same functionality as the GUI. This list also provides links to the command descriptions.

The commands in this topic have no corresponding UI parameters, but set the real-time baseband for instruments loaded with Signal Studio for LTE/LTE-Advanced TDD (N7625B).

Use this topic to find SCPI commands that do not have corresponding UI parameters supported by either of the N5172B EXG or the N5182B MXG vector signal generators.

[:SOURce]:RADio:LTE:TDD Commands

These commands set the real-time baseband and LTE TDD functionality.

Commands

Link Type

Unscaled Output Power

Power Meter Gating

Samples to Average

Marker

Link Type

[:SOURce]:RADio:LTE:TDD[:BBG]:LINK?

This command queries link type. For the current version, it is Uplink only.

Unscaled Output Power

[:SOURce]:RADio:LTE:TDD[:BBG]:POWer:ORMS?

This query returns the output RMS power when USER is selected for the source of the power measurement.

Power Meter Gating

[:SOURce]:RADio:LTE:TDD[:BBG]:POWer:PMGating MARKers

[:SOURce]:RADio:LTE:TDD[:BBG]:POWer:PMGating?

This command sets the reference to be used for power meter gating.

THReshold

This choice selects the threshold as the reference for power meter gating. Power observations are only accumulated if they are greater than or equal to the specified threshold, or if the number of consecutive observations below the threshold has not exceeded the hold-off sample count value.

MARKers

This choice uses the marked samples as the reference for power meter gating. Power observations are only accumulated for marked samples according to the specified marker selection. When the marker is turned on, the voltage for the waveform sample is used to determine the waveform RMS value. The marker control criteria is configured using the marker commands.

Samples to Average

[:SOURce]:RADio:LTE:TDD[:BBG]:POWer:SAVerage <val>

[:SOURce]:RADio:LTE:TDD[:BBG]:POWer:SAVerage?

This command sets the number of samples to average when calculating the RMS voltage when the power source is Measure. The value entered is rounded to the nearest power of 2. When the waveform is measured during the signal creation, the instrument measures the specified number of samples that meet the criteria set by the threshold or marker settings and then uses these sample RMS voltage values to calculate the mean RMS voltage for the subsequent power calibration. Ensure that the number of samples is equal to or greater than the part of the waveform that you want to measure.

Range: 4 to 2^39 - 1

Marker

[:SOURce]:RADio:LTE:TDD[:BBG]:POWer:MARKer M1|M2|M3|M4

[:SOURce]:RADio:LTE:TDD[:BBG]:POWer:MARKer?

This command is read only, so only the second command line can be applied.


Troubleshooting

Software Problems | identifies common software problems and solutions.
Interface Problems | provides solutions for communication problems between the PC and the instrument.
Instrument Problems | provides solutions for measurement or operation problems with the instrument.
Printing Problem | provides information about printing popup topics.
User Permissions | describes how to set user permissions for installing and running the software.


Software Problems

"Failed to import" Error

When opening a waveform settings file (.scp or .scpz), the error "Failed to import. There is an error in the XML document." appears.

Cause: The settings file was generated for a legacy (pre-release 9) carrier and is no longer supported in the current software version.

Solution: Visit the Keysight web page for this product and select "Previous Versions" to download and install software version 7.5, which supports legacy carriers.

"Restricted User" cannot run Signal Studio application

When a "Restricted User" tries to run the Signal Studio application without the correct security permissions, an unhandled exception error message indicates that access is denied.

Cause: The user permissions are not correctly set.

Solution: The administrator must set the correct user permissions in the Signal Studio installation folder. See the instructions in User Permissions.

DAC Over Range Error

After downloading the waveform, the signal generator displays the following error: "Baseband Generator DAC over range".

Cause: The number of frames and some baseband filter selections (such as NONE) can result in a high crest factor, causing digital to analog converter (DAC) overflow.

Solution: Reduce the runtime scaling value to 50 percent or less.

License Error

After clicking Download on the tool bar, or Test I/O Connection in the System Configuration Wizard, an Authorization dialog box or license error message appears.

Cause: A license file for an instrument being used cannot be found in the PC or in the instrument.

Solution: To be fully functional, the software requires a valid license. You must have either a permanent license or a valid 30-day trial license for each instrument being used. To obtain a free, 30-day trial license or purchase a permanent license, see Licensing.

Firmware Error

After clicking Test I/O Connection in the System Configuration Wizard, "FW version is not valid" appears.

Cause: The signal generator firmware needs to be upgraded.

Solution: See System Requirements for information about updating the firmware.

Connection Failure

After clicking Test I/O Connection in the System Configuration Wizard, "Connection failed" appears.

Cause: The LAN or GPIB instrument connection may not be properly enabled.

Solution: Verify that all equipment is properly connected and that the LAN or GPIB interface is correctly installed and configured. (See Keysight IO Libraries.) Ensure that the GPIB or LAN information that you entered in the System Configuration Wizard matches the instrument and interface you are using. See Interface Problems for more troubleshooting information.

Related Topics

Equipment Setup and Connection

Instrument Problems

Interface Problems

Licensing

Contacting Keysight Technologies


Interface Problems

If you experience problems communicating with or controlling instruments over the LAN or GPIB, check the following items. If this does not solve the problem, refer to the Connection Expert utility installed with the Keysight IO Libraries. For more information about using Connection Expert, see the Keysight IO Libraries Suite online help.

Troubleshooting the GPIB Interface

  1. Inspect the cable and connectors; confirm that none are damaged.

  2. Ensure that the GPIB cable is securely connected to the PC and the instrument.

  3. Verify that the instrument is turned on.

  4. To verify that the GPIB address entered in the software matches that of the instrument, select Hardware in the software's tree view.

  5. Validate the connection.

    1. Select Hardware in the software's tree view and click Test I/O Connection.

    2. Read the messages in the Result and Note cells to verify that the software is connecting to the instrument.

  6. Review the information about installing Keysight I/O libraries.

Troubleshooting the LAN Interface

If the instrument is connected directly to a computer, use a crossover LAN cable; if the instrument is connected to a network/external server, use a standard LAN cable.

  1. Inspect the cable and connectors and replace if damaged.

  2. Ensure that the LAN cable is securely connected to the PC and the instrument.

  3. Ensure that the instrument LAN connectors are active: flashing green or yellow lights indicate LAN activity.

  4. To verify that the Hostname or IP address entered in the software matches that of the instrument, select Hardware in the software's tree view.

  5. Validate the connection.

    1. Select Hardware in the software's tree view and click Test I/O Connection.

    2. Read the messages in the Result and Note cells to verify that the software is connecting to the instrument.

  6. Run the 'ping' program:

    1. On the computer go to Start > Programs > Accessories > Command Prompt (or DOS).

    2. At the C:\> prompt, enter ping <IP address>, where <IP address> is the instrument's IP address or hostname.

    3. If the instrument does not respond, contact your IT department for help.

  7. If the PC is connected directly to the instrument (using a cross-over cable) and the 'ping' program works correctly, but there is still a connection problem, add the instrument's IP address and hostname to the Hosts file, which resides at: C:\Winnt\system32\drivers\etc\Hosts.

    1. In a text editor such as Notepad, open the Hosts file.

    2. Write the IP address and hostname of the instrument at the bottom of the file.

      (Refer to the example of a hosts file below.)

    3. Save the file and close the text editor.

Do not use "Save As" when saving the Hosts file; this file does not have a file extension.

Example Hosts File

# Copyright (c) 1993-1999 Microsoft Corp.

#

# This is a sample HOSTS file used by Microsoft TCP/IP for Windows.

#

# This file contains the mappings of IP addresses to host names. Each

# entry should be kept on an individual line. The IP address should

# be placed in the first column followed by the corresponding host name.

# The IP address and the host name should be separated by at least one

# space.

#

# Additionally, comments (such as these) may be inserted on individual

# lines or following the machine name denoted by a '#' symbol.

#

# For example:

#

# 102.54.94.97 rhino.acme.com # source server

# 38.25.63.10 x.acme.com # x client host

<xxx.xxx.xxx.xxx> localhost

<xxx.xxx.xxx.xxx> <signal generator hostname>

Related Topics

Equipment Setup and Connection

Instrument Problems

Software Problems

Contacting Keysight Technologies


Instrument Problems

Signal Generator

Front panel keys do not work

Downloading the waveform places the signal generator in the remote operation mode and deactivates front panel operation. On the signal generator, press the Local key to restore front panel operation.

Error messages

  1. Check the signal generator for error messages; if possible, correct the conditions indicated by the messages.

    When a setting conflict (error) occurs, an error number and a brief message appear at the bottom of the signal generator display. To view the full text of the error messages use the method shown for your instrument:

    ESG:

    Press Utility > Error Info on the signal generator front panel to view error messages on the display.

    Execute the SCPI error commands described in the System Subsystem section of the SCPI Reference manual.

    MXG/EXG:

    Press the Error hardkey on the signal generator front panel to view error messages on the display.

  2. Refer to the instrument's documentation for further troubleshooting information.

  3. Contact a Keysight Technologies Service Center.

PXB

Error messages

"Instrument is not configured correctly for proper download and Playback"

This error is displayed when the PXB is not configured to accept an ARB waveform file or if not enough BBG resources are available. Check the following possible causes:

  1. Confirm that you have loaded the correct configuration on the PXB.

  2. Confirm that the loaded configuration contains the correct number of BBGs. For example, if Signal Studio is set up to download two waveform files for 2X2 MIMO, the loaded PXB configuration must contain at least two BBGs.

“Download is not allowed while Instrument is in Play state. Press “Stop” on Instrument”

You cannot download waveforms from Signal Studio to the PXB while the PXB is playing a waveform.

Press the Stop button on the PXB to stop the currently playing waveform before downloading waveforms from Signal Studio.

Refer to the PXB's online documentation for more error message descriptions and troubleshooting procedures.

Computer

  1. Verify that the equipment meets the minimum requirements. See System Requirements.

  2. Refer to the computer's documentation for troubleshooting and repair.

Related Topics

Interface Problems

Software Problems

Contacting Keysight Technologies


Printing Popup Topics

Real Time

Printing Problem

The Popup Text Prints Over Other Text

If you click the print icon ( [image]) while a popup is active, the printer prints the popup text over the existing topic text. Use the following procedure to print the popup text separately.

  1. Activate the popup.

  2. Move the cursor over the popup text.

  3. Right-click.

    If the popup closes, reopen it and make sure that the cursor is over the popup when you right-click.

  4. From the menu that appears, choose Print.


User Permissions

To install and run the N7625B software in a Windows operating environment, appropriate security permission settings are required. If you are not logged onto your PC with the required security permissions, the software displays an error message during installation and when attempting instrument connection. The following list identifies the security levels required to install and run the software.

Software Usage | Security Permissions Required
Install the software | Administrator (Administrator Group)
Run the software | Administrator (Administrator Group) or Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.
Develop application with API | Administrator (Administrator Group), Standard User (Power User Group)
Run application with API | Administrator (Administrator Group), Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.

Resetting Permissions for a Restricted User

A user with Administrator status can reset the permissions of a Restricted User to enable that user to run the software. The following steps outline the procedure.

  1. In Windows Explorer, navigate to the Signal Studio installation folder. The default directory is:

    C:\Program Files (x86)\Keysight\Signal Studio\.

  2. Right click the LTE-LTE-Advanced TDD installation folder.

  3. Select Properties from the popup menu.

  4. Select the Security tab.

  5. In the Group or user names list, select the user for whom you wish to change permissions.

  6. In the Permissions for Users section, check Modify and Write in the Allow column.

  7. Click Apply > OK.


Release Notes

Real Time

N7625B Release Notes

Version 16.2 - Nov 2017

Version 16.0 - Feb 2017

Version 15.0.3.2 - Aug 2016

Version 15.0 - Feb 2016

Version 14.5 - Sep 2015

Version 14.0 - May 2015

Version 13.1 - Sep 2014

Version 13.0 - Jul 2014

Version 12.1 - Apr 2014

Version 12.0 - Mar 2014

Version 7.5 - Jul 2013

Version 7.1 - Mar 2013

Version 7.0 - Feb 2013

Version 6.4 - Oct 2012

Version 6.3 - Aug 2012

Version 6.1 - Jun 2012

Version 6.0 - Apr 2012

Version 5.2 - Dec 2011

Version 5.1 - Oct 2011

Version 5.0 - Jul 2011

Version 4.0 - Feb 2011

Version 3.1 - Aug 2010

Version 3.0 - Apr 2010

Version 2.0 - Aug 2009

Version 1.2 - May 2009

Version 1.1 - Mar 2009

Version 16.2 - Nov 2017

Bug Fixes

  • Fixed the issue that loading an .scp/.scpz file with multi-imported carriers failed to load settings for carrier 2 and above

  • Fixed the issue that Copy Carrier did not copy carrier settings

  • Fixed the issue that some setting parameters were not saved correctly in multiple carrier setup

Version 16.0 - Feb 2017

Minor Enhancement Updates (MEU) - Option U06 or greater

  • Added Time Scale Factor for wideband test

  • Added Uplink PSD Equalization for Carrier Aggregation (Basic LTE-A)

Bug Fixes

  • Fixed the issue that Multi-UE Wizard with 1 UE takes a long time to generate

  • Fixed the issue that Advanced LTE-A Uplink Clustered PUSCH fails to generate without error

  • Fixed the issue that pressing Copy CC button causes exception when E-TM3.1a is selected

Version 15.0.3.2 - Aug 2016

Waveform Playback (ARB) Software

Bug Fixes

  • Fixed the issue where power offset and frequency offset could not be adjusted with imported waveform in MSR

Version 15.0 - Feb 2016

Waveform Playback (ARB) Software

Enhancements

  • Added file-based connectivity support for the E6610A Remote Radio Head Tester

  • Added noise multiplex feature to instrument settings

  • Added export/import feature for multi-UE settings using CSV format

  • Waveform Sampling Ratio can now be toggled between Auto and Manual modes

Advanced LTE-A TDD:

  • Added FDD component carrier for carrier aggregation

  • Carriers are now separated into uplink and downlink to better support carrier aggregation

Minor Enhancement Updates (MEU) - Option U05 or greater

Advanced LTE-A TDD:

  • Added dynamic uplink downlink configuration capability

Bug Fixes

  • Fixed an issue that when the system bandwidth was set to 15MHz, the AUX IO feedback wasn't recognized in the PXB and MXG

  • Fixed an issue where a single LTE-A component carrier caused an error and could not be generated in the M8190A

  • Fixed an issue where the TS36.521-1 defined Carrier Aggregation configuration with 85 RB could not be configured

  • Fixed an issue that caused the Waveform Sampling Radio to always be read-only

  • Closed-loop Spatial Multiplexing and 2 layers setting now allows 1 code word configuration

  • Fixed an issue where the E-TM3.1 5MHz (25 RB) configuration would not turn off DL-SCH state

  • Fixed an issue where the Clustered PUSCH RBG value limit was not correct

  • Fixed an issue where the Basic LTE waveform length was not adjusted when combined with GSM from Library Waveform

Version 14.5 - Sep 2015

Waveform Playback (ARB) Software

Enhancements

  • Added direct-connectivity support for the E6640A EXM Wireless Test Set

  • Added multi-channel 2x2 support for the E6640A EXM Wireless Test Set

  • Added direct-connectivity support for the E6650A EXF Wireless Test Set for Femtocell

  • Added direct-connectivity support for the M9420A VXT PXIe Vector Transceiver

  • Added file-export connectivity support for the M8190A Wideband ARB

  • Added high sample rate support for the M8190A Wideband ARB

  • Added support for Keysight IO Libraries Suite 17.1

  • Added support for Windows 8.1 and dropped support for Windows XP

Minor Enhancement Updates (MEU) - Option U04 or greater

  • Added multi-channel 4x4 and 8x8 support with multi-channel synchronization for the M9381A PXIe VSG

  • Added high-resolution waveform import and export capability

Bug Fixes

  • Fixed an issue that caused the software to hang up when trying to connect with an unsupported instrument model. The software now generates an error message instead.

  • Fixed an issue where a user-set value in Allocated Resource Blocks reverted back to its default value after opening the UL RMC wizard

  • Fixed an issue that caused a problem during waveform generation whenever a MIMO settings file was loaded that contained certain UE-specific ports

  • Fixed an issue where the SRS position was incorrect under a certain condition

Version 14.0 - May 2015

Waveform Playback (ARB) Software

Enhancements

  • Carrier setup names no longer include 3GPP release number (e.g. R9, R10)

Advanced LTE TDD:

  • Multi-UE Simulation introduced as new option (Option L)

Advanced LTE-A TDD:

  • Added Carrier Bandwidth Auto for real-time AWGN

  • Added ABS (almost blank subframe) for downlink component carriers

  • Added Special Subframe Configuration 9 (Normal CP) and Configuration 7 (Extended CP)

  • Added Virtual Cell ID for uplink

  • Updated PUCCH Wizard with Format 1b, Channel Selection setting improvement, and new 8.3.9 CQI performance test

  • Added Transmission Mode 10 for downlink

  • Added DCI Format 2D for downlink

  • Added CRS and antenna beam configurations for downlink

  • Added 256QAM modulation format for PDSCH

  • Added 256QAM modulation format for PMCH

  • Added new UE Categories (0 and 6-15) for downlink

Minor Enhancement Updates (MEU) - Option U03 or greater

Basic LTE TDD:

  • Updated Test Model Wizard to allow changes to UL/DL and Special Subframe Configuration

  • Added BC3 CS3 test models

  • Added Carrier Bandwidth Auto for real-time AWGN

Advanced LTE TDD:

  • Added Carrier Bandwidth Auto for real-time AWGN

Basic LTE-A TDD:

  • Added Special Subframe Configuration 9 (Normal CP) and Configuration 7 (Extended CP)

  • Added Virtual Cell ID for uplink

  • Added 256QAM modulation format for PDSCH

  • Added new test models (E-TM2a and E-TM3.1a) to support 256QAM for PDSCH

  • Updated Test Model Wizard to allow changes to Uplink Downlink Configuration and Special Subframe Configuration

  • Added BC3 CS3 test models

  • Added Carrier Bandwidth Auto for real-time AWGN

Bug Fixes

  • CCDF graph now indicates peak point and peak slot after waveform generation

  • For Basic and Advanced LTE-A, a new parameter Auto Carrier Aggregation Configuration can be turned off to uncouple the Uplink Downlink Configuration and Special Subframe Configuration settings between component carriers

  • For Basic and Advanced LTE-A, the Cell ID and Frequency Offset are now automatically assigned when Auto Carrier Aggregation Configuration is set to On

  • Range extension applied to RSTP for base station conformance testing

Version 13.1 - Sep 2014

  • Applied Keysight brand to software

  • Added connectivity for the E6607C EXT

Waveform Playback (ARB) Software

Enhancements

  • Added multichannel capability for the M9381A PXIe VSG. The M9381A has a limitation related to the Power Search and DC Cal functions. See System Requirements for more information.

Minor Enhancement Updates (MEU) - Option U02 or greater

  • Added direct connectivity for the M9381A PXIe VSG. The M9381A has a limitation related to the Power Search and DC Cal functions. See System Requirements for more information.

Version 13.0 - Jul 2014

Waveform Playback (ARB) Software

Bug Fixes

  • Fixed the issue for the Resource Block Offset parameter where the software did not use the current value, but instead used some other incorrect value. This issue was isolated to Basic R9 and R10 Uplink carriers. The parameter is located in the Configure UL-SCH window that is accessed via the UL-SCH Config button.

Real-Time Software

Enhancements

  • Added software support for multi-instrument control for 2 instruments—enhances MIMO testing

    When using a multiple instrument configuration, there are new couplings for some parameters. These couplings are identified in the parameter (UI) descriptions.

  • Added the PUCCH and UCI nodes

  • Added the Subframe Setting Tool to the UCI—this is a button that when clicked opens a dialog box that is used to set the subframe states:

    • all on

    • all off,

    • on by subframe number

    • on by HARQ process number

  • Added Sounding RS node (Sounding Reference Signal node) for SRS allocation per 3 GPP TS 36.211 and TS 36.213

  • Added AUX0...AUX15 Monitor as a marker signal selections

  • Added AUX Signals node for use in monitoring AUX input signals over time (1024 frames/10.24 seconds) and to aid in troubleshooting—queried data is displayed in graphs, data, or a combination of both

    The software provides one AUX Signals node for each instrument shown in the tree node

  • Added the Clause 8 test PUSCH in Multipath Fading (2 Antennas) to the FRC Wizard selections that includes FRC selections A3-4 and A4-5

  • Added parameters to the LTE TDD Uplink node:

    • RNTI—relocated from PUSCH and changed the default value from 0 to 1

    • Group/Sequence Hopping—relocated from PUSCH

    • Antenna Port Number—new parameter

    • Total Number of Antennas—new parameter

    • Special Subframe Configuration—new parameter

    • UpPTS Symbol length—new parameter

  • Added new parameters to the PUSCH:

    • Cyclic Shift Field in Uplink-Related DCI Format

    • Activate-DMRS-with OCC

    • OCC [w(0) w(1)]

  • Added new parameters to the UL-SCH:

    • Initial ACK Process Length

    • Data

Bug Fixes

  • Fixed the issue of the HARQ command being ignored when it is received in the same subframe as the timing adjustment command. This occurred when the signal containing the commands was received through a port on the AUX IO connector.

  • Fixed the issue where feedback signals received on the AUX IO ports were not correctly interpreted when the AUX IO Global Controls, Operating Mode was set to Dedicated and the AUX port General Settings, Data Polarity was set to Negative.

Version 12.1 - Apr 2014

Waveform Playback (ARB) Software

Bug Fixes

  • Fixed issue on Envelope Tracking API: setting Transformed Reference Voltage erroneously changed Transformed Low Voltage

  • Fixed issue: RA Type 1 was not allowed when DCI format 0 was selected

  • Fixed issue: Cell ID Group and Sector was grayed out after Test model was chosen, it should not be grayed out so user can customize

Version 12.0 - Mar 2014

Waveform Playback (ARB) Software

  • Discontinued support for legacy (pre-release 9) carriers in software.

Enhancements

Basic LTE-Advanced TDD Release 10:

  • Shorter waveform length generation

  • Carrier aggregation updates: channel spacing enhancements and 15-MHz CC selections

  • Added Power Definition Type parameter

  • Library waveforms now support some Matlab-generated files. The supported types are the same as those supported by N7622B Signal Studio for Toolkit.

  • The default system configuration for the Envelope Tracking Control tool is now set as “Envelope Signal Generator Master." Previously, “RF Signal Generator Master” was the default setup.

Advanced LTE-Advanced TDD Release 10:

  • Uplink MIMO (up to 4x4)

  • Clustered PUSCH

  • Updated PUCCH wizard to support two antenna configuration test cases: TS36.141-8.3.7 and TS36.141-8.3.8

  • DCI format4 and other DCI format updates

  • UL-SCH payload data reset on every subframe

  • Carrier aggregation updates: channel spacing enhancements and 15-MHz CC selections

  • Added Power Definition Type parameter

Minor Enhancement Updates (MEU) - Option U01 or greater:

Option MEU is not available for logic analyzer models 16800, 16900, and N5343A.

  • LUT-based digital pre-distortion feature

Basic LTE TDD Release 9:

  • Shorter waveform length generation

  • Added Power Definition Type parameter

Advanced LTE TDD Release 9:

  • UL-SCH payload data reset on every subframe

  • Added Power Definition Type parameter

Bug Fixes

  • PRACH time offset updated to latest 3GPP standard

  • RNTI default value changed from 0 to 1 in advanced R9/R10 uplink carriers so that generated waveforms can be successfully decoded by signal analyzers, which, in their default mode, expect to receive waveforms with an RNTI value of 1.

  • Fixed various memory leak and potential software stability issues

Version 7.5 - Jul 2013

Waveform Playback (ARB) Software

Enhancements

  • Added envelope tracking capability option.

  • Added support for the E6607C Wireless Communications Test Set.

Bug Fixes

  • Fixed an error occurring in both R9 and R10 Advanced uplink carriers when the Coding State was set to Off.

  • Fixed the invalid error message “This instrument type is not supported," which occurred after generating and downloading a waveform that was created from a 4x2 MIMO quick setup configuration to the PXB.

Version 7.1 - Mar 2013

Waveform Playback (ARB) Software

Bug Fixes

  • Fixed an erroneous sample clock license error reported during the waveform download operation. This error occurred only on N5172B EXG and N5182B MXG instruments without the extended ARB memory option installed and whenever the calculated ARB sample clock rate exceeded a certain value.

Real-Time Software

Bug Fixes

  • Fixed the issue of serial input rates, such as 230.4 kbps and 460.8 kbps.

Version 7.0 - Feb 2013

Waveform Playback (ARB) Software

Enhancements

Basic LTE-Advanced TDD Release 10:

  • Added inter-band carrier aggregation, supporting multiple signal generators in two bands

  • For MSR, added a waveform library, where re-sampling and filtering is applied before summing, allowing faster summing whenever you change frequency or power

  • For MSR, improved setting file portability

  • Added support for PUCCH Format 3

  • Added a field that displays the raw cubic metric value after waveform generation

Advanced LTE-Advanced TDD Release 10 (New):

— Includes all the features of Advanced LTE TDD Release 9, plus the following:

  • Added inter-band carrier aggregation, supporting multiple signal generators in two bands

  • Added Advanced LTE-A carrier with coding for receiver tests

  • Added cross-carrier scheduling for carrier aggregation

  • Added specific reference signal support (CSI-RS and DM-RS)

  • Added support for up to transmission mode 9

  • Added support for PUCCH Format 3

  • Added a PUCCH wizard to support TS36.141 8.3.4 - 8.3.8 (Rel-10)

  • Enhanced control information (UCI) multiplexing on UL-SCH

  • Added P-RNTI value support in DL-SCH

  • Added support for 2nd UE information in DCI Format 0 (UL Scheduling)

Bug Fixes

  • MIMO configurations consisting of a mixture of N5182A and N5172B/82B MXG models no longer generate an error

  • Fixed power envelope graph so that the displayed power level (via mouseover) updates immediately after the instrument output power is changed, instead of after waveform generation

  • Fixed very slow waveform generation for multiple carriers having timing offset values

  • Fixed incorrect license requirement for using an "Imported Waveform" from the Add Carrier list

Real-Time Software

No updates.

Version 6.4 - Oct 2012

Waveform Playback (ARB) Software, v 5.6

Bug Fixes

  • Fixed range of nPUCCH(1) parameter for Uplink (Basic/Advanced 2010-06/2010-12 Carrier).

  • Fixed download failure with EXG (N5172B) and MXG (N5182B) mixed Signal Generator configuration for MIMO.

Real-Time Software, v 1.2

Bug Fixes

  • Fixed the invalid setting of UL-SCH HARQ trigger delay and used a 0 value.

  • Fixed Transport Block Size table error.

  • Fixed the initial value of UL-SCH HARQ trigger delay and grayed out GUI parameter setting.

  • Fixed the mismatching of an FRC-related parameter setting between instrument and GUI.

MXG/EXG X-Series Firmware, v B.01.20

Enhancements

  • No updates, but supports software v 6.4.

Known issue

  • If you are using N7625B-WFP real-time LTE TDD with this firmware revision (or earlier), you must click State Off and then State On to apply any changes made to uplink configuration parameters while State On is active.

Version 6.3 - Aug 2012

Waveform Playback (ARB) Software, v 5.5

Enhancements

  • Added support for the M9381A PXIe Vector Signal Generator

  • Updated Multi-Standard Radio (MSR) support

    • Includes support for N7612B and N7624B waveforms

  • Added Power Envelope graph

  • Added Long Waveform data generation up to 1024 frames in a single carrier (where frequency offset is added, the waveform is limited to 500 Msa maximum sample size)

  • Added optional .scp GZIP compression (.scpz) for file size improvement

  • Added MBSFN Mixed Cyclic Prefix subframe (LTE TDD 2010-06 Downlink Advanced Carrier)

  • Expanded maximum limit on Timing Offset up to 100,000 Ts (LTE TDD 2010-06/2010-12 Basic and Advanced Carriers)

  • Added Repeater conformance test to Test Model and FRC Wizards

  • Added new Marker Source selections (1 ms frame pulse, 10 ms frame pulse, 20 ms frame pulse and 40 ms frame pulse)

  • Added Position Reference Signals (PRS) Muting parameters (LTE TDD 2010-06 Downlink Advanced Carrier)

  • Updated Preferences default

  • Added Multiple HARQ Processes (LTE TDD 2010-06 Downlink Advanced Carrier)

  • Added Multiple HARQ process for supporting UE testing mode

  • Improved memory management and multicarrier multiplexing

  • Improved hint text

Bug Fixes

  • Fixed Delay parameter of Multi-Path Setting (Static)

  • Fixed PUSCH hopping related issues

  • Fixed missing range label on the frequency axis of the Waveform spectrum graph

  • Fixed API PRACH issue

  • Fixed EPRE calculation

  • Fixed Wrong DCI contents where DCI format 1A is scrambled with SI-RNTI

  • Fixed inability to get DL-SCH8 object from API Get_DLSCH on LteTdd3Advanced

  • Fixed wrong error message in case multi-user DL-SCH

Real-Time Software, v 1.1

No updates.

Version 6.1 - Jun 2012

Waveform Playback (ARB) Software, v 5.3

No updates.

Real-Time Software, v 1.1

Enhancements

  • Added AUX I/O capability to Signal IO node

Bug Fixes

  • FRC Wizard button moved under Channel node

MXG/EXG X-Series Firmware, v B.01.10

Enhancements

  • Support for N7625B Signal Studio for LTE/LTE-Advanced TDD, Rev 6.1

Version 6.0 - April 2012

Waveform Playback (ARB) Software, v 5.3

Bug Fixes

  • Fixed incorrect RB allocation by setting pre-defined configuration when UL/DL configuration is changed (2010-06 Basic LTE TDD Carrier and 2010-12 Basic LTE-A TDD Carrier).

  • Fixed incorrect Preamble Time Offset on all PRACH Carriers (2009-03, 2009-12, 2010-06, 2010-12).

Real-Time Software, v 1.0

Initial Release Features

  • Added connectivity to MXG/EXG X-Series signal generator

  • Added support for N7625B real-time LTE TDD uplink signal generation capability

MXG/EXG X-Series Firmware, v B.01.01

Initial Release Features

  • Support for N7625B Signal Studio for LTE/LTE-Advanced TDD, Rev 6.0

Version 5.2 - Dec 2011

Enhancements

  • Added Positioning Reference Signals (PRS) (2010-06 Advanced Carrier).

  • Aligned resource allocation graph color with 89600 VSA software for MCH/PMCH, MBSFN-RS and PRS (2010-06 Advanced Carrier).

  • Changed input method of waveform generation length from a pull-down menu to entering the number of radio frames (2010-06 Advanced Carrier).

Bug Fixes

  • Fixed API Uplink.AddUL_SCH method (2009-03, 2009-12, 2010-06 and 2010-12 Carrier).

  • Fixed incorrect MBSFN RS resource element position on graph (2010-06 Advanced Carrier).

  • Fixed incorrect ALC/RF Blanking Control Marker and waveform position with non-zero timing offset (2009-03, 2009-12, 2010-06 and 2010-12 Carrier).

  • Fixed incorrect spectrum graph (2010-12 Basic Carrier).

  • Fixed DAC over range error by changed default Runtime Scaling to 86.4%.

  • Fixed the UL RMC Wizards so they refer to the correct Uplink and Downlink configurations.

  • Fixed PMCH signal that is missing from radio frame #3, when the MCH/PMCH Subframe Allocation = 4 Frames.

Version 5.1 - Oct 2011

Enhancements

  • Added live connectivity for EXT.

  • Added 50-pack waveform licensing support.

  • Waveform name length increased to 22 characters.

Bug Fixes

  • ALC, RB, and timing marker updates for Basic 2009-03/2009-12/2010-06/2010-12 carrier, Advanced 2009-03 carrier and PRACH 2009-03/2009-12/2010-06/2010-12 carrier.

Version 5.0 - Jul 2011

Enhancements

Updates to latest standards:

Release 8 : Basic and Advanced Carriers to June 2010

  • OFDMA Channel-Noise Generation (OCNG)

  • Uplink Control Information (UCI) multiplexing with no data

  • Updated System Information Block (SIB)

Release 9 : Basic and Advanced Carriers to June 2010

  • Multi-Standard Radio (MSR) support

  • Multimedia Broadcast Multicast Service (MBMS):

    • Two new channel types: Multimedia Broadcast Single Frequency Network (MBSFN) Reference Signal and Physical Multicast Channel (PMCH)

    • 15 kHz spacing definition with extended cyclic prefix

  • CW interferer

Release 10: Basic and Advanced Carriers to December 2010

  • Channel Specific Information- Reference Signal (CSI-RS)

  • Demodulation Reference Signal (DM-RS)

  • Logic analyzer options R83 for R10 basic capability (and floating)

  • Test Model updates (Test Models are not 3GPP specific)

Improved Hint text

Bug Fixes

  • Test Model GUI issue (2010-06/2010-12 Basic DL Carrier)

  • Antenna Weight for beam forming issue (2010-06 Advanced Carrier)

  • GUI/Hint Text updated (misc. issues)

  • Save/recall issue for Scrambling Identity parameter (2010-06 Advanced Carrier)

  • Dual Layer Beam Forming issue (2010-06 Advanced Carrier)

  • Not allowed special subframe transmission issue (2010-06 Advanced Carrier)

  • API issue (2010-06 PRACH/2010-12 PRACH Carrier)

Version 4.0 - Feb 2011

Enhancements

  • Added UL RMC Wizard (UE FEC) for both basic and advanced carriers

  • Added UE FRC Wizard for Tx testing

  • Added multi-user PUCCH Wizard

  • Added Windows 7 support

  • Dropped support for .NET API remoting

  • Improved button accessibility and descriptions for 2010 configurations

  • Add coupling for BCH payload size

  • DL-SCH enhancements:

  • Added P_A parameter to select PDSCH relative power

    • Added transmission mode to select single or multiple antennas

    • Added new DCI formats, Format 2B and Format 1C

    • RNTI Type now supports C-RNTI or SI-RNTI

  • Support for user-defined System Information Blocks using SI-RNTI

  • Release 9 enhancements:

    • UE Specific Reference Signal enhancements

      • Transmission Mode 8 (dual layer)

      • Port 7 and Port 8 support

      • Antenna weight support

  • Release 10 enhancements:

  • Carrier Aggregation (new layer) that supports up to 5 component carriers

  • Clustered SC-FDMA using Resource Allocation Type 1

  • Simultaneous PUSCH and PUCCH (previously supported)

Bug Fixes

  • Fixed a graphics problem that occurred when the basic carrier bandwidth was minimized.

  • Fixed a problem that regenerated an exported waveform before saving it.

  • Corrected an error that occurred when a waveform without a name was downloaded into the signal generator.

Version 3.1 - Aug 2010

Bug Fixes

2009-03 Carriers and 2009-12 Carriers:

  • Fixed the issue for PRACH parameters check.

  • Fixed the UL-SCH interleaver issue of the subframe when SRS state is on.

  • Fixed the display refresh issue for PRACH 4 number when in recall settings.

  • Fixed the SRS position issue in the case of SRS hopping.

  • Fixed the PDSCH CRC error for Type 2 different RB allocation in multi-subframe case.

  • Fixed the issue that PUCCH CQI data is not set in user defined bits case.

  • Fixed the issue that RNTI value of boosted RB is not correct in the ETM mode.

Version 3.0 - Apr 2010

Enhancements

2009-12 Carriers:

  • Added three new carriers to support the latest standard 2009-12 version.

    • Basic LTE TDD 2009-12 Basic LTE TDD 2009-12

    • Advanced LTE TDD 2009-12

    • PRACH LTE TDD 2009-12

  • Supported DCI coding information in DCI for Advanced 2009-12.

  • Supported Resource allocation Type 0/1/2 in DL_SCH for Advanced 2009-12.

  • Supported RV factor AutoSet in DL-SCH and UL-SCH for Advanced 2009-12.

  • Added SFN Number in BCH for Advanced 2009-03 and 2009-12.

  • Added PHICH Mi definition and Updated E-TM Test Cases for Basic 2009-03 and 2009-12.

  • Added Performance Test Wizard and supported waveform length of 10 frames and 20 frames for PRACH 2009-12.

  • Added OSTP and RSTP display for all Basic and Advanced carriers.

Bug Fixes

2009-03 Carriers:

  • Fixed the data source issue for BCH in user defined mode.

  • Fixed PHICH allocation problem in multi-frames case.

  • Fixed PHICH mapping problem in 4 Antenna cases.

  • Fixed PHICH plot in extended CP case.

  • Fixed the UE Specific Reference signal overlaps with BCH channel.

  • Fixed the UE Specific Reference signal allocation in extended CP case.

  • Fixed the PDCCH allocation issue in 1.4MHz extended CP case.

  • Fixed the CFI value for 1.4 MHz bandwidth case.

  • Fixed the couple range of nPUCCH1 for PUCCH.

Version 2.0 - Aug 2009

Enhancements

  • Update the ETM and FRC test model according to the latest standard.

  • Add a switch button for two frame allocation display of ETM Mode in Basic Carrier.

  • Change the UI controls and related parameters to Read-Only in the ETM Mode in Basic Carrier.

  • Added Burst CCDF plot which is available to show signal existing part of CCDF at the Waveform Node.

  • Added copy carrier button at the Waveform and Carrier Node.

  • Add PDSCH Cell Specific Ratio in Downlink Node.

  • Add Add UCI function for Uplink transport channel in Basic Carrier.

  • Add the limitation (factor 2, 3, 5) for Uplink RB Size.

  • Add Single User Mode at the uplink node to couple all the channels belonging to one user in Advanced Carrier.

  • Add Error check for Sounding Reference Signal when the allocation exceeds the bandwidth range.

  • Added connectivity for the 16800/16900 logic analyzers and the N5343A DigRF solution.

Bug Fixes

  • Fixed the bug of IQ/DC calibration failure when downloading a waveform to ESG.

  • Fix the multi-carrier generation bugs under the normal carrier and MIMO carrier case which will cause the waveform on all antenna ports are the same.

  • Fixed bug of TBS not correct under the 4 Antenna SM with two layers and one Codeword in Advanced Carrier.

  • Fixed bug of recalling setting file cause allocation check error for UL-SCH in Advanced Carrier.

  • Fixed bug of Sounding Reference Signal allocation not correct at the Special Subframes.

  • Fixed bug of Format 2 burst length not correct of PRACH Carrier.

  • Fixed bug of Marker in Oversampling Ratio 2 case of PRACH Carrier.

  • Fixed bug of Bandwidth changes update not correct for PRACH Preamble Configuration Wizard in PRACH carrier.

  • Fixed bug of configuration index 43 under uplink and downlink configuration 6 not correct in PRACH Carrier.

  • Fixed the bug of PRACH signal generation not correct at 20MHz in PRACH carrier.

Version 1.2 - May 2009

Enhancements

  • Update parameters setting of PUCCH and PUSCH according to standard 2009-03

  • Update the Sounding Reference Signal according to standard 2009-03

  • Update the UCI setting for UL-SCH in Advanced Carrier according to standard 2009-03

  • Update the ETM and FRC setting according to standard 2009-03

  • Update the 4by4 MIMO in Advanced Carrier according to the standard 2009-03

  • Support PRACH Carrier Setting (2009-03)

  • Support PUCCH shorten 1, 1a, 1b in Basic and Advanced Carrier (2009-03)

  • Support Bundling ACK/NACK for UL-SCH in Advanced Carrier (2009-03)

  • Support Uplink PUSCH Hopping Type I and II with in Advanced Carrier (2009-03)

  • Support BCH ”Master Information Block (MIB)” data Auto-generation in Advanced Carrier (2009-03)

  • Support DCI Searching Space Auto-assignment in Advanced Carrier (2009-03)

  • Support MCS setting for DL-SCH and UL-SCH in Advanced Carrier (2009-03)

  • Support UE Specific Reference Signal for One Antenna in Advanced Carrier (2009-03)

Version 1.1 - Mar 2009

Initial Release Features

  • Use pre-defined setups or define custom configurations

  • Set LTE TDD downlink and uplink waveform parameters

    • Bandwidth (up to 20 MHz)

    • DL/UL configurations(0~6)

    • Special Subframe configurations(0~8)

    • Cyclic prefix (Normal or Extended)

    • Modulation type (BPSK, QPSK, 16QAM, or 64QAM)

    • Scrambling

    • Payload data (PN sequence or user-defined)

    • Downlink synchronization signal

    • P-SS, S-SS

    • PBCH,PDSCH,PDCCH,PHICH, PCFICH

    • PUSCH,PUCCH Format 1/1a/1b/2/2a/2b

    • Uplink demodulation reference signal

    • Uplink sounding reference signal

    • E-UTRA Test Model (E-TM) quick setup

    • Multiple carriers (up to 16)

  • Allocate resources at the resource block, physical channel, or transport channel level

  • Generate fully coded signals on downlink and uplink shared channels with Advanced capability

    • Fully transport layer coding for BCH,DCI,UCI,CFI,HI

    • Fully transport layer coding for DL-SCH and UL-SCH with UCI

    • HARQ processing for DL-SCH and UL-SCH

    • Up to 2 codewords channel coding and 1,2,3,4 layer mapping

    • Up to 4x4 MIMO pre-coding (Tx Diversity and Spatial Multiplexing) with static fading

    • Support up to 12 frames with different configurations for DL-SCH and UL-SCH

  • Display resource element allocation, CCDF curves, and waveform plots

  • Automate operation with .NET API and .NET remoting

  • Connect to E4438C ESG, N5162A MXG ATE, or N5182A MXG signal generators

  • Connect to the Agilent N5106A PXB Baseband Generator and Channel Emulator

Bug Fixes

  • Fixed Reference Channel (FRC) quick setup


Glossary

3GPP | Third Generation Partnership Project
16QAM | 16 quadrature amplitude modulation
64QAM | 64 quadrature amplitude modulation
ACLR | adjacent channel leakage ratio
ADS | Keysight Advanced Design System
ALC | automatic level control
API | application programming interface
ARB | arbitrary waveform generator
AWGN | additive white Gaussian noise
BBG | baseband generator
BbT | bandwidth multiplied by bit time
BCH | broadcast channel
BLER | block error rate
BTS | base transceiver station
BW | bandwidth
CA | carrier aggregation
CC | component carrier
CCDF | complementary cumulative distribution function
CCITT | International Telegraph and Telephone Consultative Committee
CCPCH | common control physical channel (changed to PBCH)
CDD | cyclic delay diversity
CDMA | code division multiple access
CFI | Control Format Indicator
C/N | carrier power to noise power ratio
CP | cyclic prefix
CRC | cyclic redundancy check
DAC | digital to analog converter
dB | decibels
dBm | decibels relative to 1 mW
DCI | downlink control information
DL | downlink
DL-SCH | downlink shared channel
eNB | E-UTRAN node B
EPC | evolved packet core
ESG | Agilent E4438C signal generator
E-UTRA | evolved UTRA
E-UTRAN | evolved UTRAN
EVM | error vector magnitude
FDD | frequency division duplex
FIR | finite impulse response
FRC | fixed reference channel
GPIB | general purpose interface bus
GUI | graphical user interface
HARQ | hybrid automatic repeat request
IDE | integrated development environment
I/O | input/output
IP | internet protocol
kbps | kilo bits per second
ksps | kilo symbols per second
LAN | local area network
LTE | long term evolution
LTE-A | LTE-Advanced
MAC | medium access control
MCH | multicast channel
Mcps | mega chips per second
MIMO | multiple input multiple output
MME | mobile management entity
ms | milliseconds
MXG | Agilent N5182A signal generator
OFDM | orthogonal frequency division multiplexing
OFDMA | orthogonal frequency division multiple access
PAPR | peak to average power ratio
PBCH | physical broadcast channel
PCFICH | physical control format indicator channel
PCH | paging channel
PDCCH | physical downlink control channel
PDSCH | physical downlink shared channel
PHICH | physical hybrid-ARQ indicator channel
PHY | physical layer
PMCH | physical multicast channel
PN | pseudo-random noise
PRACH | physical random access channel
P-SS | primary synchronization signal
PUCCH | physical uplink control channel
PUSCH | physical uplink shared channel
P-SCH | primary synchronization channel
PSG | Keysight E8267D signal generator
PSK | phase shift keying
PXB | Agilent N5106A PXB Baseband Generator and Channel Emulator
QAM | quadrature amplitude modulation
QPSK | quadrature phase shift keying
RACH | random access channel
RMC | reference measurement channel
RMS | root mean square
RB | resource block
RV | redundancy version
Rx | receive
SAE | system architecture evolution
SC-FDMA | single carrier frequency division multiple access
SCH | synchronization channel
SCPI | standard commands for programming instruments
SF | spreading factor
S-SCH | secondary synchronization channel
S-SS | secondary synchronization signal
TCP | transmission control protocol
TDD | time division duplex
TFCI | transport format combination indicator
TPC | transmit power control
Tx | transmit
UCI | uplink control information
UE | user equipment
UI | user interface
UL | uplink
UL-SCH | uplink shared channel
UMTS | universal mobile telecommunications system
UPE | user plane entity
USB | universal serial bus
UTRA | universal terrestrial radio access
UTRAN | universal terrestrial radio access network
W-CDMA | wideband-code division multiple access


Additional Information

Real Time

Contacting Keysight Technologies

For more information on Keysight Technologies’ products, applications or services, please contact your local Keysight office.

Americas

Canada (877) 894 4414

Brazil 55 11 3351 7010

Mexico 001 800 254 2440

United States (800) 829 4444

Asia Pacific

Australia 1 800 629 485

China 800 810 0189

Hong Kong 800 938 693

India 1 800 112 929

Japan 0120 (421) 345

Korea 080 769 0800

Malaysia 1 800 888 848

Singapore 1 800 375 8100

Taiwan 0800 047 866

Other AP Countries (65) 6375 8100

Europe & Middle East

Austria 0800 001122

Belgium 0800 58580

Finland 0800 523252

France 0805 980333

Germany 0800 6270999

Ireland 1800 832700

Israel 1 809 343051

Italy 800 599100

Luxembourg +32 800 58580

Netherlands 0800 0233200

Russia 8800 5009286

Spain 0800 000154

Sweden 0200 882255

Switzerland 0800 805353

Opt. 1 (DE)

Opt. 2 (FR)

Opt. 3 (IT)

United Kingdom 0800 0260637

For other unlisted countries:

www.keysight.com/find/contactus

(BP-07-10-14)


Crossover LAN

Real Time

Configuring for a Crossover LAN

To set up your system for a crossover LAN connection (direct connection between a PC and instrument), do the following:

Configure the PC

This procedure is based on Windows XP. These steps will vary for Windows 2000.

  1. From your PC's Control Panel, double-click Network Connections > Local Area Connection.

  2. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  3. Click Properties.

  4. Select Use the following IP address (radio selection).

  5. Enter 1 once for each of the four areas that make up the IP address. After your entries, the IP address should show 1.1.1.1.

  6. Click the Subnet mask entry field; an address appears.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Reconnect the LAN cable.

  2. From your PC's Control Panel, click Network Connections > Local Area Connection.

  3. In the Local Area Connection Status dialog box, click Properties.

  4. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  5. Click Properties.

  6. Select the Obtain an IP address automatically option or enter your system IP address.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Local Area Connection Status dialog box and the Network Connections window.

Configure the Signal Generator

  1. Turn on the signal generator.

  2. Use the appropriate key-press sequence for the signal generator you are using:

    EXG or MXG: Utility > I/O Config > LAN Setup > Manual Config Settings > IP Address

    ESG or PSG: Utility > GPIB/RS-232 LAN > LAN Setup > IP Address

  3. Record the current IP address.

  4. Enter 1.1.1.2 as the new IP address.

  5. Press Enter > Proceed with Reconfiguration > Confirm Change.

    The signal generator reboots, completing the LAN reconfiguration.

Configuring Additional Instruments

To configure additional instruments, such as a spectrum analyzer, increment the IP address for each additional instrument by one. For example, use 1.1.1.3 as the IP address for a third instrument and 1.1.1.4 for a fourth instrument. Refer to the user documentation of the instrument you want to add for specific crossover configuration information.


Crossover LAN PXB

Real Time

Configuring a Crossover LAN for a PXB Connected to a PC

To set up your system for a crossover LAN connection (direct connection between a PC and a PXB, or PXB to other instruments), do the following:

Configure the PXB

  1. From the Control Panel (located in the XP Start menu), double-click Network Connections.

  2. Right-click Local Area Connection and select Properties.

  3. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  4. Click Properties.

  5. Select Use the following IP address (radio selection).

  6. Enter the IP address:

    • If the PXB is the controller, enter 1.1.1.1. (To configure client instruments, see Configuring a Crossover LAN.)

    • If the PXB is the client (PC is the controller), enter 1.1.1.2.

  7. Click the Subnet mask entry field; an address appears.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Connect the LAN cable.

  2. From your PXB's Control Panel, click Network Connections.

  3. Right-click Local Area Connection and select Properties.

  4. In the Local Area Connection Status dialog box, click Properties.

  5. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  6. Click Properties.

  7. Select the Obtain an IP address automatically option or enter your system IP address.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Local Area Connection Status dialog box and the Network Connections window.


Available Licenses

Free Trial License

A one-time, 30-day, free trial license enables the licensed instrument to play waveforms created with any of the software's optional capabilities. When the trial license expires, the instrument no longer plays the waveforms and the software displays an expiration notice when you attempt to download a waveform to the instrument. After the license expires, you must purchase a valid fixed or transportable license to enable your instrument to play the waveforms. Check trial license availability for your instrument.

Purchased Licenses

Fixed License

A fixed license is assigned to a specific instrument and cannot be transferred to another instrument. Fixed licenses are perpetual (permanent). Only perpetual licenses can be upgraded.

Transportable License

A transportable license is transferable from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. Transportable licenses are perpetual (permanent) and can be upgraded. To transport a license, you will need the following:

  • Keysight License Manager (KLM) software

  • PC with an internet connection

  • LAN connection between PC running the KLM software and instruments (direct or networked)

  • Instruments connected to the internet (recommended, but not required)

Floating License

Floating licenses are available for connectivity with SystemVue ESL Software only. The floating license resides on a network server and is accessible by multiple users. Floating licenses are perpetual (permanent) and can be upgraded.

Related Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License

Managing Licenses Using the Signal Studio GUI

Waveform Licensing


Receiving the Entitlement Certificate

When you purchase a software license, you will receive a Software Entitlement Certificate. Redeem this certificate to receive the software license. Keep this certificate in a safe place for future reference.

Record the order number and the certificate number.

You will also need your instrument's model number and serial number.

On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to view these numbers.

On the PXB, click System > Product Information to view these numbers.

On the EXT, click System > Show > System to view these numbers.


N7625B System Requirements

To generate signals using the N7625B Signal Studio for LTE/LTE-Advanced TDD software, you must have a properly configured PC and a properly configured instrument, as described in the following table.

Instrument Requirements

N5172B EXG X-Series RF vector signal generator

Firmware:

Version B.01.51 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

N5172B-660 (upgrade baseband generator with real-time capability)

Recommended options:

N5172B-009 (internal Flash drive)

N5172B-1EA (high power output for PA testing)

N5172B-1ER (flexible reference input, 1-50 MHz)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

N5172B-UNV (enhanced dynamic range)

N5172B-UNZ (fast switching for manufacturing environments)

N5182B MXG X-Series RF vector signal generator

Firmware:

Version B.01.51 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

N5182B-660 (upgrade baseband generator with real-time capability)

Recommended options:

N5182B-009 (internal Flash drive)

N5182B-1EA (high power output for PA testing)

N5182B-1ER (flexible reference input, 1-50 MHz)

N5182B-1EQ (low power output for Rx testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

N5182B-UNV (enhanced dynamic range)

N5182B-UNZ (fast switching for manufacturing environments)

N5182A MXG signal generator

Firmware:

Version A.01.10 or later (how to upgrade)

Version A.01.20 or later required for advanced capability (how to upgrade)

Version A.01.44 or later if using with PXB (how to upgrade)

Required options:

N5182A-503 (250 kHz to 3 GHz frequency range)

N5182A-6521 (Internal baseband generator, 60 MSa/sec, up to 48 MHz RF bandwidth)

Recommended options:

N5182A-6541 (Internal baseband generator, 125 MSa/sec, up to 100 MHz RF bandwidth)

N5182A-4032 (calibrated AWGN) for testing with noise

N5182A-UNV (enhanced dynamic range)

N5182A-1EA (high power output) for PA testing

N5182A-1EQ (low power output) for Rx testing

N5182A-UNZ (fast switching) for manufacturing environments

E4438C ESG signal generator

Firmware:

Version C.05.81 or later (how to upgrade)

Required options:

E4438C-503 (250 kHz to 3 GHz frequency range)

E4438C-601 (Internal baseband generator, 8 MSa memory)

Recommended option:

E4438C-4032 (calibrated AWGN) for testing with noise

N5106A PXB baseband generator and channel emulator

Required options (both of the following bundles are required for verifying MIMO performance)

N5106A-2B2 (2x2 MIMO baseband generation and channel emulation bundle)

This bundle includes:

N5106A-616 (6 DSP blocks on 3 baseband cards)

N5106A-634 (4 I/O ports - 4 analog I/Q out and 4 digital I/O on 2 I/O cards)

N5106A-EFP (Baseband generation)

N5106A-JFP (Calibrated AWGN)

N5106A-QFP (Fading with SISO channel models)

N5106A-LTE (LTE MIMO software application bundle)

This bundle includes:

N5106A-TFP (LTE channel models)

N7624B-6FP (N5106A connectivity)

M9381A PXIe vector signal generator (single-channel configurations)

Driver:

Version 1.4.400.0 or later

Recommended options:

M9381A-M05 (memory 512 MSa)

M9381A-M10 (memory 1024 MSa)

M9381A-1EA (high output power)

M9381A-B10 (RF modulation bandwidth 100 MHz)

M9381A-B16 (RF modulation bandwidth 160 MHz)

Additional options to consider:

M9381A-F06 (frequency range 1 MHz to 6 GHz)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

M9381A PXIe vector signal generator (multi-channel synchronization)

Driver:

Version 2.1.000.0 or later

Required options:

Y1299A-001 PXI multi-channel/MIMO, reference solution kit

  • For multi-channel operation, the Signal Studio software assumes the M9381A VSG follows the multi-channel reference solution typical configuration, using the accompanying configuration tools. Refer to the LTE/LTE-Advanced Multi-Channel, Reference Solution Startup Guide for more information.

  • Also refer to the “Multi-Channel Reference Solution Typical Configuration” section of the M9381A PXIe Vector Signal Generator Configuration Guide.

N7625B-U04 or greater (Signal Studio minor enhancement update, Option MEU)

Required for 8-channel configurations:

M9950A-1TP (Signal Studio software extension from 4 to 8 channels)

Recommended options:

M9381A-012 (LO sharing for phase coherency)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

M8190A arbitrary waveform generator

Firmware:

Version 5.0.14.0 or later

Required options:

M8190A-002 (2 channels)

Recommended options:

M8190A-DUC (digital upconversion)

M8190A-14B (14-bit, 8-GHz max sample rate) or

M8190A-02G (upgrade baseband generator memory from 128 MSa to 2 GSa)

M8190A-AMP (5-GHz analog bandwidth)

E6610A remote radio head tester

Firmware:

Version 2.5.0 or later

Required software:

N5122A LTE TDD signal creation and analysis software

E6640A EXM wireless test set

Software:

Version E.16.06 or later

Recommended options:

E6640A-B85 (increases signal bandwidth to 80 MHz)

E6640A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6640A-506 (380 MHz to 6 GHz frequency range)

E6640A-5WC (frequency range for wireless connectivity)

E6650A EXF wireless test set for femtocell

Software:

Version F.16.06 or later

Recommended options:

E6650A-B85 (increases signal bandwidth to 80 MHz)

E6650A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6650A-506 (380 MHz to 6 GHz frequency range)

E6650A-5WC (frequency range for wireless connectivity)

M9420A VXT PXIe vector transceiver

Software:

Version M.16 or later

Recommended options:

M9420A-1EA (high output power)

M9420A-B85 (increases signal bandwidth to 80 MHz)

M9420A-B1X (increases signal bandwidth to 160 MHz)

M9420A-M05 (memory 512 MSa)

Additional options to consider:

M9420A-506 (frequency range 6 GHz)

M9420A-FDX (full duplex ports)

M9420A-HDX (half duplex ports)

1. Options 652 or 654 are not required if you are using the PXB to play your waveforms.

2. Option 403 is not required if you are using the PXB to play your waveforms. The PXB has a separate AWGN option that is included in the N5106A-2B2 bundle. To use AWGN on the ESG or MXG without the PXB, option 403 is required.

Hardware Requirements for Multiple Antenna Setups (MIMO) Using ARB Capability

Solution

Instruments

Requirements

Solution without Baseband Timing Alignment and RF Phase Coherence

(Two signal generators driven from 10 MHz reference and the same trigger)

Two N5172B EXGs
-or-
Two N5182B MXGs
-or-

Two E4438C ESGs

N5172B EXG, N5182B MXG, and E4438C ESG:

Same requirements as single antenna (see table above)

Solution with Baseband Timing Alignment, but without RF Phase Coherence

(Two signal generators with baseband generator clock coherence, but without RF common LO)

Two N5172B EXGs
-or-

Two N5182B MXGs
-or-
Two N5182A MXGs

-or-
Two E4438C ESGs

N5172B EXG, N5182B MXG, and N5182A MXG:

Same requirements as single antenna (see table above)

E4438C ESG:

Same requirements as single antenna (see table above), plus

E4438C-HEC (provides external baseband generator clock input, which requires 200 - 400 MHz clock input signal)

One external ARB clock

Working with E4438C ESG:

N5181A with Option 501 (MXG analog signal generator, 250 KHz to 1 GHz)

Solution with Baseband Timing Alignment and RF Phase Coherence

(Two signal generators with RF common LO and baseband generator clock coherence)

Two N5172B EXGs
-or-
Two N5182B MXGs
-or-
Two N5182A MXGs

-or-

Two E4438C ESGs

N5172B EXG, N5182B MXG, and N5182A MXG:

Same requirements as single antenna (see table above), plus N5182A-012 (LO IN/OUT for phase coherency)

E4438C ESG:

Same requirements as single antenna (see table above), plus

E4438C-HEC (provides external baseband generator clock input, which requires 200-400 MHz clock input signal)

E4438C-HCC (provides 250 MHz to 4 GHz IN & OUT on the rear panel of the E4438C)

E4438C-HBC (provides 4 GHz to 6 GHz IN & OUT on the rear panel of the E4438C, requires E4438C-HCC and E4438C-506, I-bar OUT and Q-bar OUT connectors will be removed from the rear panel)

Lock box plus external ARB clock or amplifier distribution

Working with E4438C ESG:

Z5623A-K10 (4-channel distribution amplifier, 250 MHz to 6 GHz) plus an N5181A with Option 501 (MXG analog signal generator, 250 kHz to 1 GHz)

Hardware Requirements for Multiple Antenna Setups (MIMO) Using Real-Time Capability

Solution | Instruments | Requirements
All Real-Time MIMO Configurations | Multiple N5172B EXGs -or- Multiple N5182B MXGs | Firmware: Version B.01.51 or later (how to upgrade) Required options: N5172B-660 (upgrade baseband generator with real-time capability -or- N5182B-660 (upgrade baseband generator with real-time capability

Hardware and Software Requirements for Multi-Standard Radio (MSR)

To use the MSR feature you must have a properly configured instrument and software capabilities, as described in the table below. In addition, note the following:

  • MSR is a free upgrade to customers who have Basic capability.

  • Waveforms created with the E4438C's embedded applications (Options 400, 401, and 402) are not compatible with the MSR feature.

Export/Import Software1 | Instruments | Hardware Requirements
N7600B W-CDMA/HSPA+ N7601B cdma2000/1xEV-DO N7602B GSM/EDGE/Evo N7612B TD-SCDMA/HSDPA N7617B WLAN2 N7624B LTE/LTE-Advanced FDD3 | N5182B MXG | Best results require: N5182B-656 N5182B-023 N5182B-UNV MSR requires a minimum sample clock rate of 30.72 MHz. Refer to the N7625B technical overview for more information.
 | N5172B EXG | Best results require: N5172B-655 N5172B-022 N5172B-UNV MSR requires a minimum sample clock rate of 30.72 MHz. Refer to the N7625B technical overview for more information.
 | N5182A MXG | N5182A-652 or -654 N5182A-019 N5182A-UNV For firmware versions < C.01.60, N5182A-R2C, Internal Channel Correction, is required. N5182A-651 is not supported because MSR requires a minimum sample clock rate of 30.72 MHz. Refer to the N7625B technical overview for more information.
 | E4438C ESG | E4438C-503, -504, or -506 E4438C-601 or -602
 | M8190A AWG | Refer to the M8190A hardware requirements above.

1. You must purchase a valid Signal Studio software license for each of the component waveforms you want to use with the MSR feature.

2. Supports high-resolution waveform export, which requires minor enhancement update (MEU) N7617B-U02 or greater to playback MSR waveforms using the high-resolution component waveform.

3. Supports high-resolution waveform import/export, which requires minor enhancement update (MEU) N7624B-U04 or greater to playback MSR waveforms using the high-resolution component waveform.

Hardware Requirements for Envelope Tracking Control

Instruments | Capability/Configuration | Models
RF Signal Generator | Full envelope tracking control Includes timing alignment with optimum repeatability | N5182B MXG X-Series N5172B EXG X-Series N5182A MXG
 | Limited envelope tracking control IQ waveform exported as file Envelope waveform directly downloaded to AWG No timing alignment | M9381A PXIe VSG
Envelope Signal Generator | Single-ended configuration | 33521A/B (firmware revision 3.03 or later) 33621A (firmware revision 1.07 or later)
 | Differential configuration | 33522A/B (firmware revision 3.03 or later) 33622A (firmware revision 1.07 or later)

PC Requirements

Multi-UE Configurations

Waveform Length | Bandwidth | Number of Carriers | Physical Memory Required | Additional HDD Space Required
10 ms | 20 MHz | 25 | 1 GB | 0.1 GB
100 ms | 20 MHz | 100 | 2 GB | 4 GB
160 ms | 20 MHz | 100 | 7 GB | 5 GB

Standard Configurations

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows Server 2008 R2 SP1 (64 bit) Standard and Enterprise Edition:

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (2. Downloading and Installing the .NET Framework)

    (Requires Application Server role be installed on server.)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

Windows 8.1 (Pro/Enterprise) (32/64 bit)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows 7 (Professional/Ultimate/Enterprise)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

1 No support for Itanium64.

2 Signal Studio is compatible with the 64-bit operating system, but performs at the 32-bit speed.


Software License Redemption

  1. Go to the Keysight Software License Redemption web page:

    http://www.keysight.com/find/softwarelicense.

  2. Follow the directions on the website and be prepared to enter the following information:

    • order number

    • certificate number

    • model number

    • serial number

    • a valid email address

  3. You will promptly receive an email with the license file attached.


Trial License

To request a trial license, you must provide your contact information along with the model number and serial number of the instrument for which the trial license is being issued.

  • On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to obtain these numbers.

  • On the EXT, click System > Show > System to obtain these numbers.

  • For all other instruments, refer to the documentation for those instruments.

After completing your request, you will receive an email message that includes the trial license and instructions for installing the license.

Before requesting a trial license, verify that the instrument and PC meet the system requirements.

To request a trial license now, continue to the Signal Studio Trial License web page.

Terms and Conditions

A trial license is available that enables you to evaluate this Signal Studio software product prior to purchase. The trial license enables all of the capabilities of the Signal Studio software product for 30 days and will be issued only once per host instrument. The trial period begins when the license is issued through the Keysight Software Licensing website and is non-renewable. To begin your trial, download and install the Signal Studio software and request your trial license as instructed above.

Check trial license availability for your instrument.


Trial License Availability

Trial licenses are available for connectivity to the following Keysight instrument models:

  • N5172B EXG signal generator

  • N5182B MXG signal generator

  • SystemVue ESL design software

  • M9252A DigRF host adapter

  • M9381A PXIe vector signal generator

  • M9420A VXT PXIe vector transceiver

  • E6610A remote radio head tester

  • E6640A EXM wireless test set

  • E6650A EXF wireless test set for femtocell

  • N5182A MXG signal generator

  • E4438C ESG signal generator

  • E6607 EXT wireless communications test set

  • N5106A PXB baseband generator and channel emulator


Getting the Latest Revision of Help

Keysight frequently updates the Signal Studio online documentation (help system). Your software may not have the latest revision. This topic describes how to access and install the latest revision into your Signal Studio software.

Where to Access the Latest Help

  1. Visit the Signal Studio web page at http://www.keysight.com/find/signalstudio.

  2. At the bottom of the page, click the link for your Signal Studio model.

  3. Under the Technical Support tab, click Manuals. Links to both a downloadable compiled help file (.chm) and a web-viewable help system (webhelp) appear.

  4. Compare the date shown for the .chm file on the web page to the compiled date shown on your software's installed help main menu page.

Installing the Latest Revision of Help in Your Signal Studio Software

If the compiled date of your software's installed help system is earlier than the date shown on the web page, you can update your help file as follows:

  1. Before installing the latest revision of the help file into your software, make sure it still supports the features of your current software revision. You can make this determination by carefully comparing the release notes of your current installed help system with the release notes in the latest help system. If the listed enhancements and bug fixes do not indicate significant feature changes, installing the latest help system is a good choice. Otherwise, you may want to consider downloading the latest version of software instead.

  2. Move the existing installed help file to a safe place on your PC. This ensures you can restore it later if you discover the new help file does not suit your needs. If you installed your Signal Studio software with the default directories, the help file (for example, N7624B.chm) is located in the following directory:

    C:\Program Files (x86)\Keysight\Signal Studio\<application name>

    Some Signal Studio products support both waveform playback (ARB) and real-time application types. In these cases, you have the option of installing both on your PC. The installation process, therefore, creates a separate sub directory for each type: one named Playback and the other Realtime. Identical help files, supporting both applications, reside in each of these directories. Each help file, however, is accessed from its respective application only. Therefore, if you replace the help file in the Playback folder, the help content is updated for the playback software, but the real-time software continues to access the original version. To update both, you have to replace both.

    Be careful not to accidentally replace the API help file (for example, N7624API.chm), if it exists.

  3. Download the latest help file (.chm) for your Signal Studio model from the Keysight website and copy it to the same directory from which you moved the existing help file in the previous step.

  4. Verify that the new help file can be accessed from the software by selecting Contents, Index, or Search from the Help drop-down menu.


base channel configuration advanced uplink

Real Time


Configure DL-SCH window (Basic LTE Downlink)

Real Time

Configure DL-SCH window (Basic LTE-A TDD Downlink)

Before adding a DL-SCH channel as described below, delete the default DL-SCH in the Transport Channel node (or any configured DL-SCH that occupies resource blocks that your new DL-SCH will occupy). If you to add a new DL-SCH without deleting a conflicting DL-SCH, a "code conflicted" error appears in the Status Bar and the Status Window when you generate the waveform.

To edit an existing DL-SCH channel, select the channel and click the DL-SCH Configuration button [image] to open the Configure DL-SCH window. The software also displays this window whenever you add a new DL-SCH channel.

Figure 1. Configure DL-SCH window

Figure 1 shows the Configure DL-SCH window with the default settings after deleting the existing DL-SCH channel shown in Transport Channel. The currently configured DL-SCH is shown in yellow in the resource mapping graph at the bottom of the window.

Subframe Number

Enter the subframe number(s) for the DL-SCH to occupy. You can enter multiple subframes, separated by commas (for example 1,3,5) or a range of subframes (for example 1-5).

Modulation Type

Choices: QPSK |16QAM | 64QAM | 256QAM

Default: QPSK

256QAM appears in the software's GUI only when Minor Enhancement Update (MEU) Option U03 or greater is valid. Refer to Licenses for more information.

Resource Blocks

Enter the number(s) of the resource block(s) for the DL-SCH to occupy in both slots of the subframe. You can enter multiple resource blocks, separated by commas (for example 1,3,5) or a range of resource blocks (for example 1-5). Your new configuration is displayed in yellow in the resource mapping graph at the bottom of the window.

Click OK to create your configured DL-SCH channel. The software automatically creates the appropriate PDSCH channels in the Physical Channel node.


Configure DL-SCH window (Basic LTE Downlink)

Real Time

Configure DL-SCH Window (Basic LTE TDD Downlink)

Before adding a DL-SCH channel as described below, delete the default DL-SCH in the Transport Channel node (or any configured DL-SCH that occupies resource blocks that your new DL-SCH will occupy). If you to add a new DL-SCH without deleting a conflicting DL-SCH, a "code conflicted" error appears in the Status Bar and the Status Window when you generate the waveform.

To edit an existing DL-SCH channel, select the channel and click the DL-SCH Configuration button [image] to open the Configure DL-SCH window. The software also displays the window whenever you add a new DL-SCH channel.

Figure 1 shows the Configure DL-SCH window with default settings after deleting the existing DL-SCH channel shown in Transport Channel. The currently configured DL-SCH is shown in yellow in the resource mapping graph at the bottom of the window.

Subframe Number

Enter the subframe number(s) for the DL-SCH to occupy. You can enter multiple subframes, separated by commas (for example, 1,3,5) or a range of subframes (for example 1-5).

Modulation Type

Select QPSK, 16 QAM, or 64 QAM as the modulation type for the DL-SCH.

Resource Blocks

Enter the number(s) of the resource block(s) for the DL-SCH to occupy in both slots of the subframe. You can enter multiple resource blocks, separated by commas (for example, 1,3,5) or a range of resource blocks (for example, 1-5). Your new configuration is displayed in yellow in the resource mapping graph at the bottom of the window.

Click OK to create your configured DL-SCH channel. The software automatically creates the appropriate PDSCH channels in the Physical Channel node.

Figure 1. Configure DL-SCH window


Configure PDSCH window (Basic LTE-A TDD Downlink)

Before adding a PDSCH channel as described below, delete the default DL-SCH channel in the Transport Channel node (or any configured DL-SCH that occupies resource blocks that your new PDSCH will occupy). If you to add a new PDSCH without deleting a conflicting DL-SCH, a "code conflicted" error appears in the Status Bar and the Status Window when you generate the waveform.

To edit an existing PDSCH channel, select the channel and click the Physical Channel Configuration button [image] to open the PDSCH Configuration window. The software also displays the window whenever you add a new PDSCH channel.

Figure 1 shows the Configure PDSCH window with the default settings after deleting the DL-SCH channel. The currently configured PDSCH is shown in yellow in the resource mapping graph at the bottom of the window

Figure 1. Configure PDSCH window

Modulation Type

Choices: QPSK |16QAM| 64QAM | 256QAM

Default: QPSK

256QAM appears in the software's GUI only when Minor Enhancement Update (MEU) Option U03 or greater is valid. Refer to Licenses for more information.

Subframe Number

Enter a subframe number for the PDSCH.

Resource Blocks

Enter the number(s) of the resource blocks for the PDSCH to occupy in both slots of the subframe. You can enter multiple resource blocks, separated by commas (for example 1,3,5) or a range of resource blocks (for example 1-5).


Configure PDSCH window (Basic LTE Downlink)

Real Time

Configure PDSCH window (Basic LTE TDD Downlink)

Before adding a PDSCH channel as described below, delete the default DL-SCH channel in the Transport Channel node (or any configured DL-SCH that occupies resource blocks that your new PDSCH will occupy). If you to add a new PDSCH without deleting a conflicting DL-SCH, a "code conflicted" error appears in the Status Bar and the Status Window when you generate the waveform.

To edit an existing PDSCH channel, select the channel and click the Physical Channel Configuration button [image] to open the PDSCH Configuration window. The software also displays the window whenever you add a new PDSCH channel.

Figure 1 shows the Configure PDSCH window with the default settings after deleting the DL-SCH channel. The currently configured PDSCH is shown in yellow in the resource mapping graph at the bottom of the window.

Figure 1. Configure PDSCH window

Modulation Type

Select QPSK, 16 QAM, or 64 QAM as the modulation type for the PDSCH.

Subframe Number

Enter a subframe number for the PDSCH.

Resource Blocks

Enter the number(s) of the resource blocks for the PDSCH to occupy in both slots of the subframe. You can enter multiple resource blocks, separated by commas (for example 1,3,5) or a range of resource blocks (for example 1-5).


Configure PUCCH Window

Real Time

Configure PUCCH Window (Basic LTE TDD Uplink)

Before adding a PUCCH channel as described below, delete any existing transport channel, physical channel, or resource block group that occupies the resource blocks that your new PUCCH channel will occupy. If you add a new PUCCH channel without first deleting a conflicting channel or resource block group, a "code conflicted" error occurs when you generate the waveform.

The physical uplink control channel, PUCCH, carries uplink control information. The PUCCH is never transmitted simultaneously with the PUSCH from the same UE. For frame structure type 2, the PUCCH is not transmitted in the UpPTS field.

The physical uplink control channel supports multiple formats as shown in Table 1. Formats 2a and 2b are supported for normal cyclic prefix only.

Table 1. Supported PUCCH formats

PUCCH Format | Modulation | Number of Mbits per Subframe
1 | N/A | N/A
1a | BPSK | 1
1b | QPSK | 2
2 | QPSK | 20
2a | QPSK + BPSK | 21
2b | QPSK + QPSK | 22

All PUCCH formats use a cyclic shift of a sequence in each symbol, where [image] is used to derive the cyclic shift for the different PUCCH formats. The quantity [image] varies with the symbol number l and the slot number n according to

where the pseudo-random sequence generator shall be initialized with [image] at the beginning of each radio frame.

The physical resources used for PUCCH depends on two parameters, [image] and [image], given by higher layers. The variable [image] denotes the bandwidth in terms of resource blocks that are reserved exclusively for PUCCH formats 2/2a/2b transmission in each slot. The variable [image] denotes the number of cyclic shift used for PUCCH formats 1/1a/1b in a resource block used for a mix of formats 1/1a/1b and 2/2a/2b. The value of is an integer multiple of [image] within the range of {0, 1, …;, 8}, where [image] is defined in section 5.4.1. No mixed resource block is present if [image]. At most one resource block in each slot supports a mix of formats 1/1a/1b and 2/2a/2b. Resources used for transmission of PUCCH format 1/1a/1b and 2/2a/2b are represented by the non-negative indices [image] and [image], respectively.

Click the Add New Channel button [image] in the Physical Channel node and select PUCCH to open the Configure PUCCH window. Figure 1 shows the Configure PUCCH window with the default settings.

Figure 1. PUCCH with Default Settings

Format

Choice: 1 | 1a | 1b | 2 | 2a | 2b

Default: 1

Enter a format number for the PUCCH. The modulation type and number of bits per subframe for each format is shown in the following table. See 3GPP TS 36.211 for more information.

Modulation Type

Displays the modulation type for the PUCCH for the selected format as shown in the table above.

Subframe Number

Range: 0 to 9

Default: 0

Enter a subframe number for the PUCCH.

N_RB(2)

Range: 0 to Max Resource Block – 1

Default: 1

Enter a value for the PUCCH N_RB(2) number which is used to calculate the cyclic shift and resource blocks location.

N_CS(1)

Range: 0 to 8

Default: 0

Enter a value for the PUCCH N_CS(1) number which is used to calculate the cyclic shift and resource blocks location.

nPUCCH(1)

Range: 0 to Max Resource Element – 1

Default: 0

Enter a value for the nPUCCH(1) number.

A resource used for transmission of a PUCCH format 1/1a/1b is represented by the non-negative indices [image].

This is one of the values used for generating and mapping PUCCH and DMRS PUCCH (see 3GPP TS 36.211).

nPUCCH(2)

Range: 0 to Max Resource Element – 1

Default: 0

Enter a value for the nPUCCH(2) number.

A resource used for transmission of a PUCCH format 2/2a/2b are represented by the non-negative indices [image].

This is one of the values used for generating and mapping PUCCH and DMRS PUCCH (see 3GPP TS 36.211).

Delta Shift

Range: 1 to 3

Default: 1

Enter a delta shift value which is used to calculate the cyclic shift alpha for the PUCCH.

Resource Blocks

Displays the numbers of the resource blocks occupied by the PUCCH, separated by a comma. If you change the mapping area size, mapping area offset, or first resource block number, the resource block numbers are updated accordingly when you click in this cell.


Configure PUCCH Window

Real Time

Configure PUCCH Window (Basic LTE-A TDD Uplink)

Before adding a PUCCH channel as described below, delete any existing transport channel, physical channel, or resource block group that occupies the resource blocks that your new PUCCH channel will occupy. If you add a new PUCCH channel without first deleting a conflicting channel or resource block group, a "code conflicted" error occurs when you generate the waveform.

The physical uplink control channel, PUCCH, carries uplink control information. The PUCCH is never transmitted simultaneously with the PUSCH from the same UE. For frame structure type 2, the PUCCH is not transmitted in the UpPTS field.

The physical uplink control channel supports multiple formats as shown in Table 1. Formats 2a and 2b are supported for normal cyclic prefix only.

Table 1. Supported PUCCH formats

PUCCH Format | SRS Support | Modulation | Number of Mbits per Subframe
1 | x | n/a | n/a
1a | x | BPSK | 1
1b | x | QPSK | 2
2 | n/a | QPSK | 20*
2a | n/a | QPSK + BPSK | 21*
2b | n/a | QPSK + QPSK | 22
3 | x | QPSK | 48

*Applicable for Normal cyclic prefix only.

All PUCCH formats use a cyclic shift of a sequence in each symbol, where [image] is used to derive the cyclic shift for the different PUCCH formats. The quantity [image] varies with the symbol number l and the slot number n according to

where the pseudo-random sequence generator shall be initialized with [image] at the beginning of each radio frame.

The physical resources used for PUCCH depends on two parameters, [image] and [image], given by higher layers. The variable [image] denotes the bandwidth in terms of resource blocks that are reserved exclusively for PUCCH formats 2/2a/2b transmission in each slot. The variable [image] denotes the number of cyclic shift used for PUCCH formats 1/1a/1b in a resource block used for a mix of formats 1/1a/1b and 2/2a/2b. The value of is an integer multiple of [image] within the range of {0, 1, …;, 8}, where [image] is defined in section 5.4.1. No mixed resource block is present if [image]. At most one resource block in each slot supports a mix of formats 1/1a/1b and 2/2a/2b. Resources used for transmission of PUCCH format 1/1a/1b and 2/2a/2b are represented by the non-negative indices [image] and [image], respectively.

Click the Add New Channel button [image] in the Physical Channel node and select PUCCH to open the Configure PUCCH window.

Figure 1. PUCCH with Default Settings

Format

Choice: 1 | 1a | 1b | 2 | 2a | 2b |3

Default: 1

Enter a format number for the PUCCH. The modulation type and number of bits per subframe for each format is shown in Table 1 above.

Format 2/2a is not allowed to set in the case Extended CP.

See 3GPP TS 36.211, 36.212, and 36.213 for more information.

Modulation Type

Displays the modulation type for the PUCCH for the selected format as shown in the table above.

See 3GPP TS 36.211, 36.212 and 36.213 for more information.

Subframe Number

Range: 0 to 9

Default: 0

Enter a subframe number for the PUCCH.

N_RB(2)

Range: 0 to Max Resource Block – 1

Default: 1

Enter a value for the PUCCH N_RB(2) number which is used to calculate the cyclic shift and resource blocks location.

N_CS(1)

Range: 0 to 8

Default: 0

Enter a value for the PUCCH N_CS(1) number which is used to calculate the cyclic shift and resource blocks location..

nPUCCH(1)

Range: 0 to minimum (2047 or Calculated Maximum Value).

Calculated Maximum Value will vary with the related PUCCH settings.

Default: 0

Enter a value for the UCI nPUCCH(1) number. Specifies the resource index for PUCCH formats 1/1a/1b.

Calculated maximum value means the resource is center of system bandwidth.

A resource used for transmission of a PUCCH format 1/1a/1b is represented by the non-negative indices [image].

This is one of the values used for generating and mapping PUCCH (see 3GPP TS 36.211, 36.212, and 36.213).

nPUCCH(2)

Range: 0 to Max Resource Element – 1

Default: 0

Enter a value for the nPUCCH(2) number.

A resource used for transmission of a PUCCH format 2/2a/2b are represented by the non-negative indices.

This is one of the values used for generating and mapping PUCCH (see 3GPP TS 36.211, 36.212, and 36.213).

nPUCCH(3)

Range: 0 to (Number of RB in the system bandwidth) * 5 – 1

Default: 0

Specifies the resource index for PUCCH format 3.

See 3GPP TS 36.211, 36.212 and 36.213 for more information.

Delta Shift

Range: 1 to 3

Default: 1

Enter a delta shift value which is used to calculate the cyclic shift alpha for the PUCCH.

Resource Blocks

Displays the numbers of the resource blocks occupied by the PUCCH, separated by a comma. If you change the mapping area size, mapping area offset, or first resource block number, the resource block numbers are updated accordingly when you click in this cell


Configure PUSCH window (Basic LTE-A TDD Uplink)

Before adding a PUSCH channel as described below, delete any existing transport channel, physical channel, or resource block collection that occupies the resource blocks that your new PUSCH channel will occupy. If you add a new PUSCH channel without first deleting a conflicting channel or resource block collection, a "code conflicted" error occurs when you generate the waveform.

Click the Add Channel button [image] in the Physical Channel node and select PUSCH to open the Configure PUSCH window.

Figure 1 shows the Configure PUSCH window with the default settings.

Links to parameter descriptions are listed in the tables below.

Figure 1. PUSCH default settings

Subframe Number | Starting RBG Index of Cluster #2 (S2)
Modulation Type | Ending RBG Index of Cluster #1 (S3-1)
Resource Allocation Type | nDMRS(1)
Resource Block Size | nDMRS(2)
Resource Block Offset | Delta SS
Starting RBG Index of Cluster #1 (S0) | Group/Sequence Hopping
Ending RBG Index of Cluster #1 (S1-1) |

Modulation Type

Select QPSK, 16 QAM, or 64 QAM as the modulation type for the PUSCH.

Subframe Number

Range: 0 to 9

Default: 2

Enter a subframe number for the PUSCH.

Resource Allocation Type

Range: Type 0 | Type 1

Double-click or use the drop-down menu to select the uplink resource allocation type.

Type 0 : A set of resource blocks continuously allocated by a starting resource block (Resource Block Offset) and length Resource Block Size).

Type 1 : Two sets of resource blocks with each set including one or more consecutive resource block groups of size P where P is the RBG size associated with the system bandwidth. See 3GPP TS 36.213.

Resource Block Size

Dependency: Resource Allocation Type = Type 0

Enter a value for the number of resource blocks the UL-SCH channel will occupy. The System Bandwidth defined in the UE Setup node determines the range of values for this parameter.

Resource Block Offset

Dependency: Resource Allocation Type = Type 0

Enter an integer offset value for each occupied slot occupied by the UL-SCH, separated by commas. These offsets are applied in order from lowest numbered occupied slot to highest numbered occupied slot.

Starting RBG Index of Cluster #1 (S0)

Range: 1 to 7 (1.4MHz) | 1 to 9 (3MHz ) | 1 to 14 (5MHz) | 1 to 18 (10MHz) | 1 to 20 (15MHz) | 1 to 26 (20MHz)

Default: 1

Dependency: Resource Allocation Type = Type 1

Enter a value for the Starting RBG Index of Cluster #1 (s0) for each subframe respectively, separated by commas (for example, 0,1,0,1...,0,1).The input limitation is s0 < s1 < s2 < s3. See 3GPP TS 36.213.

Ending RBG Index of Cluster #1 (S1-1)

Range: 1 to 6 (1.4MHz) | 1 to 8 (3MHz ) | 1 to 13 (5MHz) | 1 to 17 (10MHz) | 1 to 19 (15MHz) | 1 to 25 (20MHz)

Default: 1

Dependency: Resource Allocation Type = Type 1

Enter a value for the Starting RBG Index of Cluster #1 (s0) for each subframe respectively, separated by commas (for example, 0,1,0,1...,0,1).The input limitation is s0 < s1 < s2 < s3.See 3GPP TS 36.213.

Starting RBG Index of Cluster #2 (S2)

Range: 1 to 7 (1.4MHz) | 1 to 9 (3MHz ) | 1 to 14 (5MHz) | 1 to 18 (10MHz) | 1 to 20 (15MHz) | 1 to 26 (20MHz)

Default: 1

Dependency: Resource Allocation Type = Type 1

Enter a value for the Starting RBG Index of Cluster #1 (s0) for each subframe respectively, separated by commas (for example, 0,1,0,1...,0,1).The input limitation is s0 < s1 < s2 < s3. See 3GPP TS 36.213.

Ending RBG Index of Cluster #2 (S3-1)

Range: 1 to 6 (1.4MHz) | 1 to 8 (3MHz ) | 1 to 13 (5MHz) | 1 to 17 (10MHz) | 1 to 19 (15MHz) | 1 to 25 (20MHz)

Default: 1

Dependency: Resource Allocation Type = Type 1

Enter a value for the Starting RBG Index of Cluster #2 (s0) for each subframe respectively, separated by commas (for example, 0,1,0,1...,0,1).The input limitation is s0 < s1 < s2 < s3. See 3GPP TS 36.213.

nDMRS(1)

Choice: 0 | 2 | 3 | 4 | 6 | 8 | 9 | 10

Default: 0

Enter the nDMRS(1) value which is used to calculate the cyclic shift value for the demodulation reference signal (DMRS)

nDMRS(2)

Choice: 0 | 2 | 3 | 4 | 6 | 8 | 9 | 10

Default: 0

Enter the nDMRS(2) value which is used to calculate the cyclic shift value for the demodulation reference signal (DMRS)

Delta SS

Range: 0 to 29

Default: 0

Enter a value which determines the sequence shift pattern for the demodulation reference signal (DMRS) for PUSCH.

Group/Sequence Hopping

Choice: Off | Group Hopping | Sequence Hopping

Default: Off

Double-click or use the drop-down menu to enable the hopping type for the selected transmission.


Configure PUSCH window (Basic 3GPP LTE TDD Uplink)

Real Time

Configure PUSCH window (Basic LTE TDD Uplink)

Before adding a PUSCH channel as described below, delete any existing transport channel, physical channel, or resource block collection that occupies the resource blocks that your new PUSCH channel will occupy. If you add a new PUSCH channel without first deleting a conflicting channel or resource block collection, a "code conflicted" error occurs when you generate the waveform.

Click the Add Channel button [image] in the Physical Channel node and select PUSCH to open the Configure PUSCH window.

Figure 1 shows the Configure PUSCH window with the default settings.

Figure 1. PUSCH default settings

Modulation Type

Select QPSK, 16 QAM, or 64 QAM as the modulation type for the PUSCH.

Subframe Number

Range: 0 to 9

Default: 2

Enter a subframe number for the PUSCH.

Resource Block Size

Enter the number of resource blocks the PUSCH will occupy in the frequency domain.

Resource Block Offset

Default: 0,0

Enter a number of resource blocks to offset the PUSCH in each slot, separated by a comma. The first value applies to the even-numbered slot; the second value applies to the odd-numbered slot. The resource block size must be set to a value less than the currently defined system bandwidth in order to set a resource block offset.

nDMRS(1)

Choice: 0 | 2 | 3 | 4 | 6 | 8 | 9 | 10

Default: 0

Enter the nDMRS(1) value which is used to calculate the cyclic shift value for the demodulation reference signal (DMRS)

nDMRS(2)

Choice: 0 | 2 | 3 | 4 | 6 | 8 | 9 | 10

Default: 0

Enter the nDMRS(2) value which is used to calculate the cyclic shift value for the demodulation reference signal (DMRS)

DMRS Delta SS

Range: 0 to 29

Default: 0

Enter a value which determines the sequence shift pattern for the demodulation reference signal (DMRS) for PUSCH.

Group/Sequence Hopping

Choice: Off | Group Hopping | Sequence Hopping

Default: Off

Double-click or use the drop-down menu to enable the hopping type for the selected transmission.


Configure UCI Window (Basic LTE-A TDD Uplink)

Before adding a UCI channel as described below, delete any existing transport channel, physical channel, or resource block group that occupies the resource blocks that your new UCI channel will occupy. If you add a new UCI channel without first deleting a conflicting channel or resource block group, a "code conflicted" error occurs when you generate the waveform.

The physical uplink control channel, UCI, carries uplink control information. The UCI is never transmitted simultaneously with the PUSCH from the same UE. For frame structure type 2, the UCI is not transmitted in the UpPTS field.

The physical uplink control channel supports multiple formats as shown in Table 1. Formats 2a and 2b are supported for normal cyclic prefix only.

Table 1. Supported PUCCH formats

PUCCH Format | SRS Support | Modulation
1 | x | n/a
1a | x | BPSK
1b | x | QPSK
2* | n/a | QPSK
2a* | n/a | QPSK + BPSK
2b | n/a | QPSK + QPSK
3 | x | QPSK

*Applicable for Normal cyclic prefix only.

All PUCCH formats use a cyclic shift of a sequence in each symbol, where [image] is used to derive the cyclic shift for the different UCI formats. The quantity [image] varies with the symbol number l and the slot number n according to

where the pseudo-random sequence generator shall be initialized with [image] at the beginning of each radio frame.

The physical resources used for UCI depends on two parameters, [image] and [image], given by higher layers. The variable [image] denotes the bandwidth in terms of resource blocks that are reserved exclusively for UCI formats 2/2a/2b transmission in each slot. The variable [image] denotes the number of cyclic shift used for UCI formats 1/1a/1b in a resource block used for a mix of formats 1/1a/1b and 2/2a/2b. The value of is an integer multiple of [image] within the range of {0, 1, …;, 8}, where [image] is defined in section 5.4.1. No mixed resource block is present if [image]. At most one resource block in each slot supports a mix of formats 1/1a/1b and 2/2a/2b. Resources used for transmission of UCI format 1/1a/1b and 2/2a/2b are represented by the non-negative indices [image] and [image], respectively.

Click the Add New Channel button [image] in the Transport Channel node and select UCI to open the Configure UCI window. Figure 1 shows the Configure UCI window with the default settings.

Figure 1. UCI with Default Settings

Format

Choice: 1 | 1a | 1b | 2 | 2a | 2b |3

Default: 1

Enter a format number for the PUCCH. The modulation type and number of bits per subframe for each format is shown in Table 1 above.

  • Format 2/2a is not allowed to set in the case Extended CP.

Refer to 3GPP TS 36.211, 36.212 and 36.213.

Modulation Type

Displays the modulation type for the PUCCH for the selected format as shown in the table above.

Refer to 3GPP TS 36.211, 36.212 and 36.213.

Subframe Number

Enter the number(s) of the subframe(s) that the UL-SCH will occupy. You can enter the number of a single subframe, two or more subframes separated by commas, or a range of subframes (for example, 1-3)

N_RB(2)

Range: 0 to (Max Resource Block – 1)

Default: 1

Enter a value for the UCI N_RB(2) number.

N_CS(1)

Range: 0 to 8

Default: 0

Enter a value for the UCI N_CS(1) number.

nPUCCH(1)

Range: 0 to minimum (2047 or Calculated Maximum Value).

Calculated Maximum Value will vary with the related PUCCH settings.

Default: 0

Enter a value for the UCI nPUCCH(1) number. Specifies the resource index for PUCCH formats 1/1a/1b.

Calculated maximum value means the resource is at the center of the system bandwidth.

A resource used for transmission of a PUCCH format 1/1a/1b is represented by the non-negative indices [image].

This is one of the values used for generating and mapping PUCCH (see 3GPP TS 36.211, 36.212, and 36.213).

nPUCCH(2)

Range: 0 to Calculated Value

Calculated Value will vary with the related PUCCH settings.

Default: 0

Enter a value for the UCI nPUCCH(2) number.

A resource used for transmission of a PUCCH format 2/2a/2b is represented by the non-negative indices

This is one of the values used for generating and mapping PUCCH (see 3GPP TS 36.211, 36.212, and 36.213).

nPUCCH(3)

Range: 0 to (Number of RB in the system bandwidth) * 5 – 1

Default: 0

Specifies the resource index for PUCCH format 3.

Refer to 3GPP TS 36.211, 36.212 and 36.213.

Delta Shift

Range: 1 to 3

Default: 1

Enter a delta shift value which is used to calculate the cyclic shift alpha for the UCI.

Resource Blocks

Displays the numbers of the resource blocks occupied by the UCI, separated by a comma. If you change the mapping area size, mapping area offset, or first resource block number, the resource block numbers are updated accordingly when you click in this cell.

Group/Sequence Hopping

Choice: Off | Group Hopping | Sequence Hopping

Default: Off

Double-click or use the drop-down menu to enable the hopping type for the selected transmission.


Configure UCI Window (Basic LTE TDD Uplink)

Before adding a UCI channel as described below, delete any existing transport channel, physical channel, or resource block group that occupies the resource blocks that your new UCI channel will occupy. If you add a new UCI channel without first deleting a conflicting channel or resource block group, a "code conflicted" error occurs when you generate the waveform.

The physical uplink control channel, UCI, carries uplink control information. The UCI is never transmitted simultaneously with the PUSCH from the same UE. For frame structure type 2, the UCI is not transmitted in the UpPTS field.

The physical uplink control channel supports multiple formats as shown in Table 1. Formats 2a and 2b are supported for normal cyclic prefix only.

Table 1. Supported PUCCH formats

PUCCH Format | SRS Support | Modulation
1 | x | n/a
1a | x | BPSK
1b | x | QPSK
2 | n/a | QPSK
2a | n/a | QPSK + BPSK
2b | n/a | QPSK + QPSK

All PUCCHformats use a cyclic shift of a sequence in each symbol, where [image] is used to derive the cyclic shift for the different UCI formats. The quantity [image] varies with the symbol number l and the slot number n according to

where the pseudo-random sequence generator shall be initialized with [image] at the beginning of each radio frame.

The physical resources used for UCI depends on two parameters, [image] and [image], given by higher layers. The variable [image] denotes the bandwidth in terms of resource blocks that are reserved exclusively for UCI formats 2/2a/2b transmission in each slot. The variable [image] denotes the number of cyclic shift used for UCI formats 1/1a/1b in a resource block used for a mix of formats 1/1a/1b and 2/2a/2b. The value of is an integer multiple of [image] within the range of {0, 1, …;, 8}, where [image] is defined in section 5.4.1. No mixed resource block is present if [image]. At most one resource block in each slot supports a mix of formats 1/1a/1b and 2/2a/2b. Resources used for transmission of UCI format 1/1a/1b and 2/2a/2b are represented by the non-negative indices [image] and [image], respectively.

Click the Add Channel button [image] in the Transport Channel node and select UCI to open the Configure UCI window. Figure 1 shows the Configure UCI window with the default settings.

Figure 1. UCI with Default Settings

Format

Choice: 1 | 1a | 1b | 2 | 2a | 2b

Default: 1

Enter a format number for the UCI. The modulation type and number of bits per subframe for each format is shown in the following table.

Format 2/2a is not allowed to be set where the Cyclic Prefix parameter is set to Extended CP.

Refer to 3GPP TS 36.211 for more information.

Modulation Type

Displays the modulation type for the UCI for the selected format as shown in the table above.

Subframe Number

Enter the number(s) of the subframe(s) that the UL-SCH will occupy. You can enter the number of a single subframe, two or more subframes separated by commas, or a range of subframes (for example, 1-3)

N_RB(2)

Range: 0 to Max Resource Block - 1

Default: 1

Enter a value for the UCI N_RB(2) number.

N_CS(1)

Range: 0 to 8

Default: 0

Enter a value for the UCI N_CS(1) number.

nPUCCH(1)

Range: 0 to Max Resource Element - 1

Default: 0

Enter a value for the UCI nPUCCH(1) number.

A resource used for transmission of a PUCCH format 1/1a/1b is represented by the non-negative indices [image].

This is one of the values used for generating and mapping PUCCH and DMRS PUCCH (see 3GPP TS 36.211).

nPUCCH(2)

Range: 0 to Max Resource Element - 1

Default: 0

Enter a value for the UCI nPUCCH(2) number.

A resource used for transmission of a PUCCH format 2/2a/2b is represented by the non-negative indices .

This is one of the values used for generating and mapping PUCCH and DMRS PUCCH (see 3GPP TS 36.211).

nPUCCH(3)

Range: 0 to (Number of RB in the system bandwidth) * 5 – 1

Default: 0

Specifies the resource index for PUCCH format 3.

See 3GPP TS 36.211, 36.212 and 36.213 for more information.

Delta Shift

Range: 1 to 3

Default: 1

Enter a delta shift value which is used to calculate the cyclic shift alpha for the UCI.

Resource Blocks

Displays the numbers of the resource blocks occupied by the UCI, separated by a comma. If you change the mapping area size, mapping area offset, or first resource block number, the resource block numbers are updated accordingly when you click in this cell.

Group/Sequence Hopping

Choice: Off | Group Hopping | Sequence Hopping

Default: Off

Double-click or use the drop-down menu to enable the hopping type for the selected transmission.


Configure UL-SCH Window (Basic LTE-A TDD Uplink)

Before adding a transport channel as described below, delete any existing transport channel, physical channel, or resource block collection that occupies the resource blocks that your new transport channel will occupy. If you add a new transport channel without first deleting a conflicting channel or resource block collection, a "code conflicted" error occurs when you generate the waveform.

Click the Add Channel button [image] in the Transport Channel node and select UL-SCH or select an existing UL-SCH channel in the Transport channel node and click the UL-SCH Configuration button [image] to open the Configure UL-SCH window.

The yellow area with diagonal lines shows the resource blocks occupied by the currently configured UL-SCH. The number of available resource blocks is determined by the System Bandwidth selection in the UE Setup node.

Figure 1 shows an UL-SCH with a Transmission Bandwidth setting of 10 MHz (50RB). Figure 2 and Figure 3 show configurations with different offset and subframe settings. Figure 4 shows an example of clustered resource block groups when the Resource Allocation is Type 1.

Links to parameter descriptions are listed in the tables below.

Figure 1. UL-SCH with 50 Resource Blocks and 0 Offset

Subframe Number | Starting RBG Index of Cluster #2 (S2)
Modulation Type | Ending RBG Index of Cluster #1 (S3-1)
Resource Allocation Type | nDMRS(1)
Resource Block Size | nDMRS(2)
Resource Block Offset | Delta SS
Starting RBG Index of Cluster #1 (S0) | Group/Sequence Hopping
Ending RBG Index of Cluster #1 (S1-1) |

Subframe Number

Enter the number(s) of the subframe(s) that the UL-SCH will occupy. You can enter the number of a single subframe, two or more subframes separated by commas, or a range of subframes (for example, 1-3)

Modulation Type

Double-click or use the drop-down menu to select a modulation type for the UL-SCH.

Resource Allocation Type

Range: Type 0 | Type 1

Double-click or use the drop-down menu to select the uplink resource allocation type.

Type 0 : A set of resource blocks continuously allocated by a starting resource block (Resource Block Offset) and length Resource Block Size).

Type 1 : Two sets of resource blocks with each set including one or more consecutive resource block groups of size P where P is the RBG size associated with the system bandwidth. See 3GPP TS 36.213.)

Resource Block Size

Dependency: Resource Allocation Type = Type 0

Enter a value for the number of resource blocks the UL-SCH channel will occupy. The System Bandwidth defined in the UE Setup node determines the range of values for this parameter.

Resource Block Offset

Dependency: Resource Allocation Type = Type 0

Enter an integer offset value for each occupied slot occupied by the UL-SCH, separated by commas. These offsets are applied in order from lowest numbered occupied slot to highest numbered occupied slot.

Starting RBG Index of Cluster #1 (S0)

Range: 1 to 7 (1.4MHz) | 1 to 9 (3MHz ) | 1 to 14 (5MHz) | 1 to 18 (10MHz) | 1 to 20 (15MHz) | 1 to 26 (20MHz)

Default: 1

Dependency: Resource Allocation Type = Type 1

Enter a value for the Starting RBG Index of Cluster #1 (s0) for each subframe respectively, separated by commas (for example, 0,1,0,1...,0,1).The input limitation is s0 < s1 < s2 < s3. See 3GPP TS 36.213.

Ending RBG Index of Cluster #1 (S1-1)

Range: 1 to 6 (1.4MHz) | 1 to 8 (3MHz ) | 1 to 13 (5MHz) | 1 to 17 (10MHz) | 1 to 19 (15MHz) | 1 to 25 (20MHz)

Default: 1

Dependency: Resource Allocation Type = Type 1

Enter a value for the Starting RBG Index of Cluster #1 (s0) for each subframe respectively, separated by commas (for example, 0,1,0,1...,0,1).The input limitation is s0 < s1 < s2 < s3.See 3GPP TS 36.213.

Starting RBG Index of Cluster #2 (S2)

Range: 1 to 7 (1.4MHz) | 1 to 9 (3MHz ) | 1 to 14 (5MHz) | 1 to 18 (10MHz) | 1 to 20 (15MHz) | 1 to 26 (20MHz)

Default: 1

Dependency: Resource Allocation Type = Type 1

Enter a value for the Starting RBG Index of Cluster #1 (s0) for each subframe respectively, separated by commas (for example, 0,1,0,1...,0,1).The input limitation is s0 < s1 < s2 < s3. See 3GPP TS 36.213.

Ending RBG Index of Cluster #2 (S3-1)

Range: 1 to 6 (1.4MHz) | 1 to 8 (3MHz ) | 1 to 13 (5MHz) | 1 to 17 (10MHz) | 1 to 19 (15MHz) | 1 to 25 (20MHz)

Default: 1

Dependency: Resource Allocation Type = Type 1

Enter a value for the Starting RBG Index of Cluster #2 (s0) for each subframe respectively, separated by commas (for example, 0,1,0,1...,0,1).The input limitation is s0 < s1 < s2 < s3. See 3GPP TS 36.213.

nDMRS(1)

Range: 0 to Int32

Default: 0

For PUSCH channels, enter a value which is used to calculate the cyclic shift value for the demodulation reference signal (DMRS) for PUSCH. (See 3GPP TS 36.211.)

nDMRS(2)

Choice: 0, 2, 3, 4, 6, 8, 9, 10

Default: 0

For PUSCH channels, select a value which is used to calculate the cyclic shift value for the demodulation reference signal (DMRS) for PUSCH. (See 3GPP TS 36.211.)

Delta SS

Range: 0 to 11

Default: 0

Enter a value for the DMRS Cyclic Shift for each slot, separated by commas.

Group/Sequence Hopping

Choice: Off | Group Hopping | Sequence Hopping

Default: Off

Double-click or use the drop-down menu to select the hopping type for PUCCH. (See 3GPP TS 36.211.)

Figure 2 shows a UL-SCH in which the Resource Block Size is set to 12 and the Resource Block Offset is set to 7 in slot 0 and slot 1.

Figure 2. UL-SCH with 12 Resource Blocks and an Offset of 7

Figure 3 shows the UL-SCH from Figure 2 with Subframe 2 added using the Subframe Number cell. An offset of 0 resource blocks is applied to the third occupied slot (slot 4) and an offset of 2 resource blocks is applied to the fourth occupied slot (slot 5) using the Resource Block Offset cell.

Figure 3. UL-SCH with 12 Resource Blocks in 2 Subframes with different Offsets

Figure 4 shows an UL-SCH in which the Resource Allocation selected is Type 1. This allows you to configure the starting and ending index for two clusters of resource block groups.

Figure 4. UL-SCH with Type 1 Resource Allocation with starting and ending clusters


Configure UL-SCH Window (Basic LTE TDD Uplink)

Before adding a transport channel as described below, delete any existing transport channel, physical channel, or resource block collection that occupies the resource blocks that your new transport channel will occupy. If you add a new transport channel without first deleting a conflicting channel or resource block collection, a "code conflicted" error occurs when you generate the waveform.

Click the Add Channel button [image] in the Transport Channel node and select UL-SCH or select an existing UL-SCH channel in the Transport channel node and click the UL-SCH Configuration button [image] to open the Configure UL-SCH window.

The yellow area with diagonal lines shows the resource blocks occupied by the currently configured UL-SCH. The number of available resource blocks is determined by the System Bandwidth selection in the UE Setup node. Figure 1 shows an UL-SCH with a Transmission Bandwidth setting of 5 MHz (25RB). See Figure 2 and Figure 3 for configurations with different offset and subframe settings.

Links to parameter descriptions are listed in the tables below.

Figure 1. UL-SCH with 25 Resource Blocks and 0 Offset

Subframe Number

Modulation Type

Resource Block Size

Resource Block Offset

nDMRS(1)

nDMRS(2)

Delta SS

Group/Sequence Hopping

Subframe Number

Enter the number(s) of the subframe(s) that the UL-SCH will occupy. You can enter the number of a single subframe, two or more subframes separated by commas, or a range of subframes (for example, 1-3)

Modulation Type

Double-click or use the drop-down menu to select a modulation type for the UL-SCH.

Resource Block Size

Enter a value for the number of Resource Blocks the UL-SCH channel will occupy. The System Bandwidth defined in the UE Setup node determines the range of values for this parameter.

Resource Block Offset

You can apply an offset to each individual slot occupied by the UL-SCH. Enter an integer offset value for each occupied slot, separated by commas. These offsets are applied in order from lowest numbered occupied slot to highest numbered occupied slot.

nDMRS(1)

Range: 0 to Int32

Default: 0

For PUSCH channels, enter a value which is used to calculate the cyclic shift value for the demodulation reference signal (DMRS) for PUSCH. (See 3GPP TS 36.211.)

nDMRS(2)

Choice: 0, 2, 3, 4, 6, 8, 9, 10

Default: 0

For PUSCH channels, select a value which is used to calculate the cyclic shift value for the demodulation reference signal (DMRS) for PUSCH. (See 3GPP TS 36.211.)

Delta SS

Range: 0 to 11

Default: 0

Enter a value for the DMRS Cyclic Shift for each slot, separated by commas.

Group/Sequence Hopping

Choice: Off | Group Hopping | Sequence Hopping

Default: Off

Double-click or use the drop-down menu to select the hopping type for PUCCH. (See 3GPP TS 36.211.)

Figure 2 shows an UL-SCH in which the Resource Block Size is set to 12 and the Resource Block Offset is set to 7 in slot 0 and slot 1.

Figure 2. UL-SCH with 12 Resource Blocks and an Offset of 7

Figure 3 shows the UL-SCH from Figure 2 with Subframe 2 added using the Subframe Number cell. An offset of 0 resource blocks is applied to the third occupied slot (slot 4) and an offset of 2 resource blocks is applied to the fourth occupied slot (slot 5) using the Resource Block Offset cell.

Figure 3. UL-SCH with 12 Resource Blocks in 2 Subframes with different Offsets


Data Source Selection Dialog

Real Time

Data Source Selection Dialog Box

Click the [image] button in the Data cell to open the Data Source Selection dialog box and select PN9, PN15, or User Defined Bits to use for the data.

The Higher Layer selection is available for PDCCH in the Advanced LTE Downlink.

If you select User Defined Bits, The dialog box expands as shown below.

The user data area contains buttons to import, export, or clear user data or to insert PN9 or PN15 data. You can also manually insert or delete data. To manually insert data, place the cursor within the data entry area and enter bits using the 1 and 0 keys on the keyboard or paste data copied from a file or from within the current view. (You can use the keyboard shortcuts Ctrl+C and Ctrl+V for copying and pasting data.) The maximum file size is 65,536 bits.

To delete data, place the cursor at the desired location within the data or highlight bits, and delete the data. (You can use the keyboard shortcut Ctrl+Z to delete highlighted data.)

Import

This button loads a user-defined pattern from a selected location. When you select this button, a dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 65,536 bits. If the imported file is larger than 65,536 bits, the software truncates the bits to conform to the maximum file size.

Export

This button saves the data pattern displayed in the user data entry area to a file. When you select this button, a dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

This button clears all data from the user data entry area.

Insert PN9

This button inserts a fixed pattern pseudo-random bit sequence containing 511 bits into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Each click adds another 511 bit PN9 sequence up to the maximum file size of 65,536 bits. The software truncates data that exceeds the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.

Insert PN15

This button inserts a fixed pattern pseudo-random bit sequence containing 32767 bits into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Each click adds another 32767 bit PN15 sequence up to the maximum file size of 65,536 bits. The software truncates data that exceeds the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN15, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 65,536 bits.


DCI formats

Real Time

DCI Format Mapping for MIMO Diversity Methods and Resource Allocation Types

The table below lists the supported DCI formats for different MIMO diversity methods and resource allocation types. Refer to 3GPP TS 36.213 for detailed descriptions of these formats.

Diversity Method | Precoding Method | Number of Layers | Number of Codewords | Resource Allocation Type | Virtual Resource Blocks Type | Supported DCI Format
No Diversity |  |  |  | Type 0/1 |  | Format 1/2B
 |  |  |  | Type 2 | Localized | Format 1A
 |  |  |  |  | Distributed | Format 1A/1C
Transmit Diversity |  | Two Layers | One Codeword | Type 0/1 |  | Format 1/2/2A
 |  |  |  | Type 2 | Localized | Format 1A
 |  |  |  |  | Distributed | Format 1A/1C
 |  | Four Layers | One Codeword | Type 0/1 |  | Format 1/2/2A
 |  |  |  | Type 2 | Localized | Format 1A
 |  |  |  |  | Distributed | Format 1/A1/C
Spatial Multiplexing | Without CDD | One Layer | One Codeword | Type 0/1 |  | Format 2/2B
 |  |  |  | Type 2 | Localized | Format 1B/1D
 |  |  |  |  | Distributed | Format 1B/1D
 |  | Two Layers | One Codeword | Type 0/1 |  | Format 2
 |  |  | Two Codewords | Type 0/1 |  | Format 2/2B
 |  | Three Layers | Two Codewords | Type 0/1 |  | Format 2
 |  | Four Layers | Two Codewords | Type 0/1 |  | Format 2
 | Large CDD | Two Layers | One Codeword | Type 0/1 |  | Format 2A
 |  |  | Two Codewords | Type 0/1 |  | Format 2A/2B
 |  | Three Layers | One Codeword | Type 0/1 |  | Format 2A
 |  |  | Two Codewords | Type 0/1 |  | Format 2A
 |  | Four Layers | One Codeword | Type 0/1 |  | Format 2A
 |  |  | Two Codewords | Type 0/1 |  | Format 2A


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Digital Pre-Distortion Tool

The Digital Pre-Distortion Tool is a modeless window, allowing you access to the main software GUI so you can continue to configure and generate waveforms. Click the various areas in the graphic below for related user interface descriptions.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

Import DPS File

Opens a window where you can select and import a saved digital pre-distortion settings file (*.dps). The file can contain multiple conversion parameter sets (LUTs).

Export DPS File

Opens a window where you can name and save the current digital pre-distortion settings to a file (*.dps). This includes all listed conversion parameter sets (LUTs).

Add Conversion Parameter Set

Opens a drop-down menu where you can chose a method for adding a new conversion parameter set (LUTs).

New Table

Clears the current lookup table (LUT) so you can manually enter new values for each column.

New Table from CSV file

Opens a window where you can load a comma-separated value file (*.csv) to populate the lookup table (LUT), replacing any pre-existing table. The new table is also added to the list of conversion parameter sets. The order of the values in the file should correspond to the left-to-right order of the columns in the LUT and then repeat. For example: In(V), Out(V), Rot(Deg), and repeat for each row.

New Formula

This selection is currently not available.

Delete Conversion Parameter Set

Deletes the selected conversion parameter set (LUT).

I/Q Waveform

Expands the I/Q Waveform property grid.

Digital Pre-Distortion State

Sets the digital pre-distortion state to On or Off. Generating a waveform with the state set to On converts the waveform's AM and PM values based on the currently selected lookup table (LUT). You must generate the waveform to see the effect of the LUT values.

Conversion Parameter Sets

This area displays all the conversion parameter sets (LUTs) you have created or imported. Clicking a set immediately populates the LUT values.

Name

This is the file name of the conversion parameter set. You can use this field to rename the file.

Type

This is the type of set. Generally, this is always a table.

Lookup Table (LUT)

This area contains the conversion parameter values for the selected LUT. Values include input voltage, output voltage, and phase rotation. All values can be manually edited by clicking in the table cell.

Import .csv file

Opens a window where you can load a comma-separated value file (*.csv) to populate the lookup table (LUT), replacing any pre-existing table. The new table is not added to the list of conversion parameter sets. The order of the values in the file should correspond to the left-to-right order of the columns in the LUT and then repeat. For example: In(V), Out(V), Rot(Deg), and repeat for each row.

Export .csv file

Opens a window where you can name and save the current lookup table (LUT) as a comma-separated value file (*.csv).

In(V)

This column shows the non-distorted input voltage value of each point in the waveform. All values can be manually edited by clicking in the table cell.

Out(V)

This column shows the pre-distorted output voltage value of each point in the waveform. All values can be manually edited by clicking in the table cell.

Rot(Deg)

This column shows the pre-distorted phase rotation in degrees for each point in the waveform. This is in relation to the non-distorted or original waveform. All values can be manually edited by clicking in the table cell.

AM AM Graph

This graph shows the input voltage (x axis) versus the output voltage (y axis). The graph updates immediately as you select different conversion parameter sets.

AM PM Graph

This graph shows the input voltage (x axis) versus the phase rotation (y axis). The graph updates immediately as you select different conversion parameter sets.

Before Graph

After generating the waveform, this area displays CCDF and waveform graphs without the digital pre-distortion conversion parameters applied. For more information, refer to Graph View.

After Graph

After generating the waveform, this area displays CCDF and waveform graphs with the digital pre-distortion conversion parameters applied. For more information, refer to Graph View.


DL-SCH PDCCH Tx Setting and Configuration (Advanced LTE-A TDD Downlink)

Select the DCI channel in the Channel Setup node, then click the [image] button in the DCI #n for DL-SCHn Scheduling cell to open the DL-SCH PDCCH Tx Setting window (i.e. where n = 1 to 11).

The DL-SCH PDCCH Tx Settings window display the parameters setting of PDCCH transmitted in each subframe for the related DL-SCH channel in the Channel Setup Node.

  • Use the Import button to navigate to and import a saved transmission sequence.

  • Use the Export button to save the current transmission sequence to a file.

  • Click the Config Tool button to access a Closed drop-down list that enables you to set parameters for all transmissions to the same value.

  • Click the links in the tables below for parameter descriptions.

1. DCI Settings | 2. PDCCH Settings
DCI State | DCI Tx Couple
DCI Format | PDCCH UE Tx Antenna
DCI Data | Search Space
DCI Payload Size (bits) |
RNTI |

Grid parameters

State

PUCCH TPC

Scrambling Identity

DAI

PMI Confirmation

DL Power Offset

CW Swap

Agg Level

Candidate

CCE Offset

1. DCI Settings

DCI State

Double-click or use the drop-down menu to control the operating state of DCI channel.

DCI Format

Choice: Format 1 | Format 1A | Format 1B | Format 1C | Format 1D | Format 2 | Format 2A | Format 2B | Format 2C | Format 3 | Format 3A

Default: Format 1A

Double-click or use the drop-down menu to set the Format of the DCI. The available DCI formats are different with different resource allocation types.

Refer to 3GPP TS 36.213 7.1 for more information about the DCI format selection under different transmission modes.

DCI Data

Display the Data Source of the DCI channel..

DCI Payload Size (bits)

Display the payload size in bits. Refer to the 3GPP technical standards for more information.

RNTI

Range: 1 to 65535

Default: 1

Enter a value for the Radio Network Temporary Identifier (RNTI).

The parameter is coupled with the parameter RNTI in the DL-SCH setting.

2. PDCCH Settings

DCI Tx Couple

Choice: DL-SCH | Manual

Default: DL-SCH

Double-click or use the drop-down menu to set the transmission couple state between DCI and DL-SCH.

The parameter is coupled with the parameter DCI Tx Couple in the DL-SCH setting.

If the DCI Tx Couple is DL-SCH, the transmission state of DCI and DL-SCH will be coupled when you set the transmission state of PDCCH or PDSCH in each subframe.

PDCCH UE Tx Antenna

Choice: UE Port 0 | UE Port 1

Default: UE Port 0

Double-click or use the drop-down menu to set the UE Tx Antenna for the DCI channel.

The parameter is coupled with the parameter PDCCH UE Tx Antenna in the DL-SCH setting.

Search Space

Choice: Common | UE Specific

Default: UE Specific

Double-click or use the drop-down menu to set the search space of the PDCCH channels.

Search Space is only available to be set when the current component cell is set to be the Primary Cell component carrier. For secondary cell component carriers, this parameter is inactive.

The parameter is coupled with the parameter PDCCH Search Space in the DL-SCH setting.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

PDCCH Tx Parameter Settings

State

Choice: Off | On

Default: On

Click to turn the DCI state on or off in the selected subframe.

PUCCH TPC

Choice: TPC #0 (-1 dB) | TPC #1(0 dB) | TPC #2 (1 dB)| TPC #3 (3 dB)

Default: TPC #0 (–1 dB)

Select the TPC command for PUCCH in the selected subframe.

DAI

Choice: 0 to 3

Default: 0

Set the Downlink Assignment Index field of the DCI information in the selected subframe.

Scrambling Identity

Range: 0 to 1

Default: 0

Enter a value of the Scramble ID for UE-specific Reference Signals (DM-RS).

This parameter indicates the Scramble ID for DM-RS and is only available when:

  • DM-RS Antenna Port = Port 7 or Port 8 and
  • DCI Format = 2B or 2C.

See 3GPP TS 36.211 and 36.213 for more information.

PMI Confirmation

Choice: Indicate in TPMI | Indicate in latest PMI on PUSCH

Default: Indicate in TPMI

Set the PMI Confirmation type of PDSCH in the selected subframe.

The parameter is only available when the DCI format is 1B.

DL Power Offset

Choice: –10log10(2) dB| 0 dB

Default: 0 dB

Set the DL power offset of PDSCH in the selected subframe.

The parameter is only available when the DCI format is 1D.

CW Swap

Choice: –10log10(2) dB| 0 dB

Default: 0 dB

Click to set the codeword swap state of PDSCH in the selected subframe.

The parameter is only available when the DCI format is 2 or 2A.

If the code word swap state is true, the information of the transmission block will be swap in the DCI content.

Agg Level

Choice: 1 | 2 | 4 | 8

Default: 1

Select the Aggregation level for the DCI searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

Candidate

Choice: 0

Default: 0 to maximum

Set the candidate within the searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

CCE Offset

Displays the CCE offset of the DCI in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.


DL-SCH PDCCH Tx Setting and Config (Advanced LTE TDD Downlink)

Real Time

DL-SCH PDCCH Tx Setting and Configuration (Advanced LTE TDD Downlink)

Select the DCI channel in the Channel Setup node, then click the [image] button in the DCI #n for DL-SCHn Scheduling cell to open the DL-SCH PDCCH Tx Setting window.

The DL-SCH PDCCH Tx Settings window display the parameters setting of PDCCH transmitted in each subframe for the related DL-SCH channel in the Channel Setup Node.

  • Use the Import button to navigate to and import a saved transmission sequence.

  • Use the Export button to save the current transmission sequence to a file.

  • Click the Config Tool button to access a Closed drop-down list that enables you to set parameters for all transmissions to the same value.

  • Click the links in the tables below for parameter descriptions.

1. DCI Settings | 2. PDCCH Settings
DCI State | DCI Tx Couple
DCI Format | PDCCH UE Tx Antenna
DCI Data | Search Space
DCI Payload Size (bits) |
RNTI |

Grid parameters

State

PUCCH TPC

DAI

PMI Confirmation

DL Power Offset

CW Swap

Agg Level

Candidate

CCE Offset

1. DCI Settings

DCI State

Double-click or use the drop-down menu to control the operating state of DCI channel.

DCI Format

Choice: Format 1 | Format 1A | Format 1B | Format 1C | Format 1D | Format 2 | Format 2A | Format 2B

Default: Format 1A

Double-click or use the drop-down menu to set the Format of the DCI. The available DCI formats are different with different resource allocation types.

Refer to 3GPP TS 36.213 7.1 for more information about the DCI format selection under different transmission modes.

DCI Data

Display the Data Source of the DCI channel..

DCI Payload Size (bits)

Display the payload size in bits. Refer to the 3GPP technical standards for more information.

RNTI

Range: 1 to 65535

Default: 1

Enter a value for the Radio Network Temporary Identifier (RNTI).

The parameter is coupled with the parameter RNTI in the DL-SCH setting.

2. PDCCH Settings

DCI Tx Couple

Choice: DL-SCH | Manual

Default: DL-SCH

Double-click or use the drop-down menu to set the transmission couple state between DCI and DL-SCH.

The parameter is coupled with the parameter DCI Tx Couple in the DL-SCH setting.

If the DCI Tx Couple is DL-SCH, the transmission state of DCI and DL-SCH will be coupled when you set the transmission state of PDCCH or PDSCH in each subframe.

PDCCH UE Tx Antenna

Choice: UE Port 0 | UE Port 1

Default: UE Port 0

Double-click or use the drop-down menu to set the UE Tx Antenna for the DCI channel.

The parameter is coupled with the parameter PDCCH UE Tx Antenna in the DL-SCH setting.

Search Space

Choice: Common | UE Specific

Default: Common

Double-click or use the drop-down menu to set the search space of the PDCCH channels.

The parameter is coupled with the parameter PDCCH Search Space in the DL-SCH setting.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

PDCCH Tx Parameter Settings

State

Choice: Off | On

Default: On

Click to turn the DCI state on or off in the selected subframe.

PUCCH TPC

Choice: TPC #0 (-1 dB) | TPC #1(0 dB) | TPC #2 (1 dB)| TPC #3 (3 dB)

Default: TPC #0 (–1 dB)

Select the TPC command for PUCCH in the selected subframe.

DAI

Choice: 0 to 3

Default: 0

Set the Downlink Assignment Index field of the DCI information in the selected subframe.

PMI Confirmation

Choice: Indicate in TPMI | Indicate in latest PMI on PUSCH

Default: Indicate in TPMI

Set the PMI Confirmation type of PDSCH in the selected subframe.

The parameter is only available when the DCI format is 1B.

DL Power Offset

Choice: –10log10(2) dB| 0 dB

Default: 0 dB

Set the DL power offset of PDSCH in the selected subframe.

The parameter is only available when the DCI format is 1D.

CW Swap

Choice: –10log10(2) dB| 0 dB

Default: 0 dB

Click to set the codeword swap state of PDSCH in the selected subframe.

The parameter is only available when the DCI format is 2 or 2A.

If the code word swap state is true, the information of the transmission block will be swap in the DCI content.

Agg Level

Choice: 1 | 2 | 4 | 8

Default: 1

Select the Aggregation level for the DCI searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

Candidate

Choice: 0

Default: 0 to maximum

Set the candidate within the searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

CCE Offset

Displays the CCE offset of the DCI in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.


DL-SCH Tx Sequence Window (Advanced LTE-A TDD Downlink)

Select a DL-SCH channel in the Channel Setup node, then click the [image] button in the Transmission Configuration cell to open the DL-SCH Tx sequence window.

The DL-SCH TX window displays the transmission sequence defined in the Channel Setup node for the selected DL-SCH channel.

The settings configured in the Channel Setup node and the DL-SCH Tx sequence window are displayed in the Tx Map.

  • Use the Import button to navigate to and import a saved transmission sequence.

  • Use the Export button to save the current transmission sequence to a file.

  • Click the Column Preset button to access a Closed drop-down list that enables you to set parameters for all transmissions to the same value.

See Parameter Descriptions below.

Parameter Descriptions

State | Block Size 0
Retrans 0 | Block Size 1
Retrans 1 | N_1_PRB
MCS Index 0 | RV Index 0
MCS Index 1 | RV Index 1
Modulation 0 | RB Offset
Modulation 1 | RB Size
TBS Index 0 | PDSCH RE Map QCL Ind
TBS Index 1 |

State

Choice: On | Off

Default: On

Double-click to turn on or off the transmission state for the current subframe.

Retrans 0

Choice: On | Off

Default: Off

Double-click to turn on or off the retransmission state for Codeword 0.

Retrans 1

Choice: On | Off

Default: Off

Double-click to turn on or off the retransmission state for Codeword 1.

MCS Index 0

Range: 0 to 31

Default: 0

Coupling: When the Transmission Setting Mode is set to Manual, this parameter is not shown.

Enter a value for the MCS Index for Codeword 0.

When the MCS Index value is ≥ 29 for table 1 or ≥ 28 for table 2, the table relationship between MCS Index and TBS Index no longer applies. At these MCS Index values, the TBS Index setting is independent of the MCS Index.

MCS Index 1

Range: 0 to 31

Default: 0

Coupling: When the Transmission Setting Mode is set to Manual, this parameter is not shown.

Enter a value for the MCS Index for Codeword 1.

When the MCS Index value is ≥ 29 for table 1 or ≥ 28 for table 2, the table relationship between MCS Index and TBS Index no longer applies. At these MCS Index values, the TBS Index setting is independent of the MCS Index.

Modulation 0

Choice: QPSK | 16QAM | 64QAM (Modulation and TBS Index Table 1)

QPSK | 16QAM | 64QAM | 256QAM (Modulation and TBS Index Table 2)

Default: QPSK

Coupling: Active when Transmission Setting Mode is set to Manual

When Active, use the drop-down menu to select the modulation type for Codeword 0. When inactive, the software automatically selects the modulation type based on the table selection and in accordance with the 3GPP standards..

Modulation 1

Choice: QPSK | 16QAM | 64QAM (Modulation and TBS Index Table 1)

QPSK | 16QAM | 64QAM | 256QAM (Modulation and TBS Index Table 2)

Default: QPSK

Coupling: Active when Transmission Setting Mode is set to Manual

When active, use the drop-down menu to select the modulation type for Codeword 1. When inactive, the software automatically selects the modulation type based on the table selection and in accordance with the 3GPP standards..

TBS Index 0

Range: 0 to 26 (Modulation and TBS Index Table 1)

0 to 33 (Modulation and TBS Index Table 2)

Default: 0

Coupling: Active when the MCS Index setting is 29–31 with Table 1 or 28–31 with Table 2

When the Transmission Setting Mode is set to Manual, this parameter is not shown.

When active, enter a value for the TBS Index for Codeword 0. When inactive, the software sets this value based on the table selection and in accordance with the 3GPP standards.

TBS Index 1

Range: 0 to 26 (Modulation and TBS Index Table 1)

0 to 33 (Modulation and TBS Index Table 2)

Default: 0

Coupling: Active when the MCS Index setting is 29–31 with Table 1 or 28–31 with Table 2.

When the Transmission Setting Mode is set to Manual, this parameter is not shown.

When active, enter a value for the TBS Index for Codeword 1. When inactive, the software sets this value based on the table selection and in accordance with the 3GPP standards.

Block Size 0

Range: 1 to 97896 (C-RNTI, mapped to one layer) or limited by UE Category

1 to 195816 (C-RNTI, mapped to two layers) or limited by UE Category

1 to 293736 (C-RNTI, mapped to three layers) or limited by UE Category

1 to 391656 (C-RNTI, mapped to four layers) or limited by UE Category

1 to 2216 (SI-RNTI or P-RNTI)

The maximum range value is dependent on the UE Category and the number of spatial multiplexing layers mapped to the transport block.

Coupling: Active when Transmission Setting Mode is set to Manual

Enter a value for the transport Block Size for Codeword 0. When inactive, the software sets the block size in accordance with the 3GPP standards.

Block Size 1

Range: 1 to 97896 (C-RNTI, mapped to one layer) or limited by UE Category

1 to 195816 (C-RNTI, mapped to two layers) or limited by UE Category

1 to 293736 (C-RNTI, mapped to three layers) or limited by UE Category

1 to 391656 (C-RNTI, mapped to four layers) or limited by UE Category

1 to 2216 (SI-RNTI or P-RNTI)

The maximum range value is dependent on the UE Category and the number of spatial multiplexing layers mapped to the transport block.

Coupling: Active when Transmission Setting Mode is set to Manual

Enter a value for the transport Block Size for Codeword 1. When inactive, the software sets the block size in accordance with the 3GPP standards.

N_1A_PRB (for SI-RNTI or P-RNTI)

This parameter selects the number of physical resource blocks.

RV Index 0

Range: 0 to 3

Default: 0

Enter a value for the redundancy version (RV) index for Codeword 0.

RV Index 1

Range: 0 to 3

Default: 0

Enter a value for the redundancy version (RV) index for Codeword 1.

RB Offset

Range: 0 to RBmax – 1

Default: 0

Enter the number of resource blocks by which to offset the DL-SCH sequence.

RB Size

Range: 1 to RBmax

Default: 25

Enter the number of resource blocks in the frequency domain for the DL-SCH sequence.

PDSCH RE Map QCL Ind

Range: 0–3

Default: 0

Coupling: Visible when the Transmission Mode selection is 10.

Enter a value for the PDSCH RE Mapping and Quasi-Co-Location Indicator.

See 3GPP TS 36.211, 36.212, 36.213 and 36.331 for more information.


DL-SCH Tx sequence Window (Advanced LTE TDD Downlink)

Select a DL-SCH channel in the Channel Setup node, then click the [image] button in the Transmission Configuration cell to open the DL-SCH Tx sequence window.

The DL-SCH TX window displays the transmission sequence defined in the Channel Setup node for the selected DL-SCH channel.

The settings configured in the Channel Setup node and the DL-SCH Tx sequence window are displayed in the Tx Map.

  • Use the Import button to navigate to and import a saved transmission sequence.

  • Use the Export button to save the current transmission sequence to a file.

  • Click the Config Tools button to access a Closed drop-down list that enables you to set parameters for all transmissions to the same value.

See Parameter Descriptions below.

Parameter Descriptions

State | TBS Index 0
Retrans 0 | TBS Index 1
Retrans 1 | Block Size 0
MCS Index 0 | Block Size 1
MCS Index 1 | RV Index 0
Modulation 0 | RV Index 1
Modulation 1 | RB Offset
 | RB Size

State

Choice: On | Off

Default: On

Double-click to turn on or off the transmission state for the current subframe.

Retrans 0

Choice: On | Off

Default: Off

Double-click to turn on or off the retransmission state for Codeword 0.

Retrans 1

Choice: On | Off

Default: Off

Double-click to turn on or off the retransmission state for Codeword 1.

MCS Index 0

Range: 0 to 31

Default: 0

Enter a value for the MCS Index for Codeword 0.

MCS Index 1

Range: 0 to 31

Default: 0

Enter a value for the MCS Index for Codeword 1.

Modulation 0

Choice: QPSK | 16QAM | 64QAM

Default: QPSK

Use the drop-down menu to select the modulation type for Codeword 0.

Modulation 1

Choice: QPSK | 16QAM | 64QAM

Default: QPSK

Use the drop-down menu to select the modulation type for Codeword 1.

TBS Index 0

Range: 0 to 26

Default: 0

Enter a value for the TBS Index for Codeword 0.

TBS Index 1

Range: 0 to 26

Default: 0

Enter a value for the TBS Index for Codeword 1.

Block Size 0

Range: 1 to 86400

Default: 680

Enter a value for the transport Block Size for Codeword 0.

Block Size 1

Range: 1 to 86400

Default: 680

Enter a value for the transport Block Size for Codeword 1.

RV Index 0

Range: 0 to 3

Default: 0

Enter a value for the redundancy version (RV) index for Codeword 0.

RV Index 1

Range: 0 to 3

Default: 0

Enter a value for the redundancy version (RV) index for Codeword 1.

RB Offset

Range: 0 to RBmax – 1

Default: 0

Enter the number of resource blocks by which to offset the DL-SCH sequence.

RB Size

Range: 1 to RBmax

Default: 25

Enter the number of resource blocks in the frequency domain for the DL-SCH sequence.


ETPS Input Voltage Mapping

The figure below shows how the software's mapping parameters—located in the ET control window's DUT block—convert the shaping table's output voltage (Y axis) to a desired peak-to-peak input voltage for the envelope tracking power supply (ETPS). Notice how the RF amplitude affects the swing of the envelope.


FRC Wizard Window (Downlink)

Real Time

FRC Wizard - (Downlink)

To set up a fixed reference channel (FRC), for an Advanced LTE-A TDD or Advanced LTE TDD Downlink carrier, click the DL FRC Wizard button in the Downlink Setup node for the LTE or LTE-A standards to open the FRC Wizard.

FRC Configuration

FRC Type

Double-click or use the drop-down menu to set the Closed FRC type. The software sets the parameters displayed in the lower section of the window to predetermined values for the FRC type and Reference Channel 'A' value selected.

System Bandwidth

Double-click or use the drop-down menu to set the system bandwidth and number of resource blocks for the fixed reference channel.

UE Category

Choice: 1 | 2 | 3 | 4 | 5

Default: 5

UE categories for DL-SCH channels are implemented according to the 3GPP standards as shown in the online documentation.

FRC for...

Channel bandwidth

Displays the Channel bandwidth, for the selected FRC Type.

Allocated resource blocks

Displays the allocated resource blocks.

Uplink-Downlink Configuration

Displays the Uplink-Downlink Configuration.

Allocated subframes per Radio Frame(D+S)

Displays the Allocated subframes per Radio Frame for the selected FRC Type.

Number of HARQ Processes

Displays the Number of HARQ Processes for the selected FRC Type.

Maximum number of HARQ transmissions

Displays the Maximum number of HARQ transmissions for the selected FRC Type.

Modulation

Displays the modulation.

Target Coding Rate

Displays the Target Coding Rate for the selected FRC Type.

Information Bit Payload for Sub-Frames 4,9

Displays the Information Bit Payload for Sub-Frame 4,9 for the selected FRC Type.

Information Bit Payload for Sub-Frames 1,6

Displays the Information Bit Payload for Sub-Frame 1,6 for the selected FRC Type.

Information Bit Payload for Sub-Frame 5

Displays the Information Bit Payload for Sub-Frames 5 for the selected FRC Type.

Information Bit Payload for Sub-Frame 0

Displays the Information Bit Payload for Sub-Frames 0 for the selected FRC Type.

Transport block CRC (bits)

Displays the transport block CRC.

Number of Code Blocks per subframe for Sub-Frames 4,9

Displays the Number of Code Blocks per subframe for Sub-Frames 4,9 for the selected FRC Type.

Number of Code Blocks per subframe for Sub-Frames 1,6

Displays the Number of Code Blocks per subframe for Sub-Frames 1,6 for the selected FRC Type.

Number of Code Blocks per subframe for Sub-Frame 5

Displays the Number of Code Blocks per subframe for Sub-Frame 5 for the selected FRC Type.

Number of Code Blocks per subframe for Sub-Frame 0

Displays the Number of Code Blocks per subframe for Sub-Frame 0 for the selected FRC Type.

Binary Channel Bits per Sub-Frame for Sub-Frames 4,9

Displays the Binary Channel Bits per Sub-Frame for Sub-Frame 4,9 for the selected FRC Type.

Binary Channel Bits per Sub-Frame for Sub-Frames 1,6

Displays the Binary Channel Bits per Sub-Frame for Sub-Frame 1,6 for the selected FRC Type.

Binary Channel Bits per Sub-Frame for Sub-Frame 5

Displays the Binary Channel Bits per Sub-Frame for Sub-Frames 5 for the selected FRC Type.

Binary Channel Bits per Sub-Frame for Sub-Frame 0

Displays the Binary Channel Bits per Sub-Frame for Subframes 0 for the selected FRC Type.

Maximum throughput

Displays the maximum throughput, in kbps, for the selected FRC Type.


FRC Wizard Window (Uplink)

To set up a fixed reference channel (FRC), for an Advanced LTE TDD Uplink carrier, click the Wizard button [image] in the Uplink Setup node for the LTE standards to open the FRC Wizard.

FRC Configuration

System Bandwidth

Double-click or use the drop-down menu to set the system bandwidth and number of resource blocks for the fixed reference channel.

FRC Type

Double-click or use the drop-down menu to set the Closed FRC Type. The software sets the parameters displayed in the lower section of the window to predetermined values for the FRC Type and Reference Channel "A" value (An-n) selected.

FRC Type | Reference Channel (An-n)
FRC for reference sensitivity and in-channel selectivity (QPSK, R=1/3) | A1-1, A1-2, A1-3, A1-4, A1-5
FRC for dynamic range (16QAM, R=2/3) | A2-1, A2-2, A2-3
FRC for performance requirements (QPSK, R=1/3) | A3-1, A3-2, A3-3, A3-4, A3-5, A3-6, A3-7
FRC for performance requirements (16QAM, R=3/4) | A4-1, A4-2, A4-3, A4-4, A4-5, A4-6, A4-7, A4-8
FRC for performance requirements (64QAM, R=5/6) | A5-1, A5-2, A5-3, A5-4, A5-5, A5-6, A5-7
FRC for UL timing adjustment (Scenario 1) | A7-1, A7-2, A7-3, A7-4, A7-5, A7-6
FRC for UL timing adjustment (Scenario 2) | A8-1, A8-2, A8-3, A8-4, A8-5, A8-6

Reference Channel

Double-click or use the drop-down menu to set the Type A value (An-n) for the selected FRC Type. The software sets the parameters displayed in the lower section of the window to predetermined values for the FRC Type and Closed Reference Channel selected.

FRC Type | Reference Channel (An-n)
FRC for reference sensitivity and in-channel selectivity (QPSK, R=1/3) | A1-1, A1-2, A1-3, A1-4, A1-5
FRC for dynamic range (16QAM, R=2/3) | A2-1, A2-2, A2-3
FRC for performance requirements (QPSK, R=1/3) | A3-1, A3-2, A3-3, A3-4, A3-5, A3-6, A3-7
FRC for performance requirements (16QAM, R=3/4) | A4-1, A4-2, A4-3, A4-4, A4-5, A4-6, A4-7, A4-8
FRC for performance requirements (64QAM, R=5/6) | A5-1, A5-2, A5-3, A5-4, A5-5, A5-6, A5-7
FRC for UL timing adjustment (Scenario 1) | A7-1, A7-2, A7-3, A7-4, A7-5, A7-6
FRC for UL timing adjustment (Scenario 2) | A8-1, A8-2, A8-3, A8-4, A8-5, A8-6

RB Offset

Range: 0 to the number of resource blocks determined by the System Bandwidth selection.

Default: 0

Set the resource block offset for the FRC.

SRS State (Optional)

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the sounding reference signal on or off.

FRC for reference...

Allocated resource blocks

Displays the allocated resource blocks for the selected FRC Type and Reference Channel 'A' value.

DFT-OFDM Symbols per subframe

Displays the DFT-OFDM symbols per subframe.

Modulation

Displays the modulation type for the selected FRC Type.

Code rate

Displays the code rate for the selected FRC Type.

Payload size (bits)

Displays the payload size for the selected FRC Type and Reference Channel 'A' value.

Transport block CRC (bits)

Displays the code block CRC size, in bits, for the selected FRC Type and Reference Channel 'A' value.

Code block CRC size (bits)

Displays the code block CRC size, in bits, for the selected FRC Type and Reference Channel 'A' value.

Number of code blocks

Displays the number of code blocks for the selected FRC Type and Reference Channel 'A' value.

Coded block size including 12bits trellis termination (bits)

Displays the coded block size for the selected FRC Type and Reference Channel 'A' value.

Total number of bits per sub-frame

Displays the number of bits per subframe for the selected FRC Type and Reference Channel 'A' value.

Total number of symbols per sub-frame

Displays the number of symbols per subframe for the selected FRC Type and Reference Channel 'A' value.

Maximum throughput (kbps)

Displays the maximum throughput, in kbps, for the selected FRC Type and Reference Channel 'A' value.


GPIBaddress

Real Time

To view the signal generator's GPIB connection information:

On the MXG/EXG, press Utility > IO Config > GPIB Setup

On the ESG or PSG, press Utility > GPIB/RS-232 LAN


instrument_node

Real Time


IP address

Real Time

To view the signal generator's IP address:

On the ESG/PSG, press Utility > GPIB/RS-232 LAN > LAN SETUP > IP ADDRESS.

On the MXG/EXG, press Utility > I/O Config > LAN Setup.

On the PXB, click System > Product Information.


Marker Selection Dialog Box

Real Time

Marker Source Selection Dialog Box

When Parameter Optimization in the Signal Generator node is set to Auto, Marker 3 and Marker 4 source selection in Waveform Setup node and the marker routing selected in Dual ARB Marker Utilities are overridden.

To manually set Marker 3 and Marker 4 source, the marker routing, or both, set Parameter Optimization to Off.

Use the Marker Source Selection dialog box for the Marker 1, 2, 3, or 4 Source cells to set active marker points within the waveform. The cells are located in the Waveform Setup parameter configuration table.

None

Waveform Start

1 ms subframe pulse

10 ms frame pulse

20 ms frame pulse

40 ms frame pulse

RF ALC Control

RF Blanking Control

Timing Control

User Defined Bits

  • Import

  • Export

  • Clear

  • PN9 Data

Generated Pattern

None

Sets all marker points to zero (inactive).

Waveform Start

Sets the first five marker bits of the frame to 1. (Sets an active marker for the first five waveform samples.)

This parameter was previously labeled Frame in older versions of the Marker Source Dialog Box, but the functionality is the same. Frame API command is available for backwards compatibility.

1 ms subframe pulse

Sets the first five marker bits of every 1 ms to 1.

10 ms subframe pulse

Sets the first five marker bits of every 10 ms to 1.

20 ms subframe pulse

Sets the first five marker bits of every 20 ms to 1.

40 ms subframe pulse

Sets the first five marker bits of every 40 ms to 1.

RF ALC Control

Activates the automatic leveling control (ALC) function. When enabled, the ALC monitors and controls the RF output power of the signal generator.

RF Blanking Control

Assigns a specific marker to activate RF blanking. ALC hold is automatically enabled during output blanking.

Timing Control

This marker is generated by the waveform.

User Defined Bits

Opens the user Closed data entry area, in which you can customize the marker signal.

  • Use the data buttons described below to import, export, or clear marker data or to insert a PN9 sequence.

  • Manually insert marker data with the 1 and 0 keys on the keyboard, with the Insert PN9 button, or by copying and pasting data from a file or from within the current view. (Use the keyboard shortcuts Cntl+C and Cntl+V for copy and paste.)

  • Manually delete data using the Backspace key, the Delete key, or the keyboard shortcut Cntl+Z.

The maximum number of marker bits in the user data entry area is 2,097,152.

Import

Accesses a dialog box in which you can select the desired file to import. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 2,097,152 bits. If the imported file is larger than 2,097,152 bits, the software truncates the bits to conform to the maximum file size.

Export

Open a dialog box in which you can save the pattern in the user data entry area to a file. You can save the file in one of the following formats:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Deletes all data from the user data entry area.

Insert PN9

Inserts a fixed pseudo-random bit sequence containing 511 bits into the user data entry area. The software generates the pattern in accordance with CCITT recommendation O.153. Each click adds another PN9 sequence until the software attains the maximum file size of 2,097,152 bits. The software truncates data in excess of the maximum file size.

To edit the existing data pattern, place the cursor at the desired point in the file and click Insert PN9 or enter individual bits using the keyboard 1 and 0 keys. The software inserts the data at the cursor position and truncates all data in excess of 2,097,152 bits.

Generated Pattern

Sets the marker source to the beginning of the generated pattern.

Related Topic

Waveform Setup


PUCCH Wizard window (LTE TDD)

Real Time

Multi User PUCCH Wizard Window (LTE TDD)

To set up a multi-user PUCCH for an Advanced LTE TDD Uplink carrier, click the Wizard button [image] in the Uplink node to open the Multi User PUCCH Configuration Wizard. The wizard supports 3GPP technical specification 36.141. In multi user PUCCH test, four signals are configured: one wanted signal and three interferers, which are transmitted via separate fading paths using relative power settings shown in Annex A.9.

Multi User PUCCH Configuration | Tested Signal or Interferer #n
Signal/Interferer Type | Cyclic Shift Index
System Bandwidth | Orthogonal Cover Index
Format | RS Orthogonal Cover / ACK/NACK Orthogonal Cover
N_CS(1) | Relative Power
Delta Shift PUCCH | Relative Timing

Multi-User PUCCH Configuration

Signal/Interferer Type

Choice: Tested Signal | Interferer #1 | Interferer #2 | Interferer #3

Default: Tested Signal

Double-click or use the drop-down menu to set the Signal/Interferer Type

System Bandwidth

Double-click or use the drop-down menu to set the system bandwidth and number of resource blocks.

Format

Default: 1a

Displays the PUCCH format.

N_CS(1)

Range: 0 to 7

Default: 0

Displays the N_CS(1).

Delta Shift PUCCH

Default: 2

Displays delta shift PUCCH

Tested Signal or Interferer #n

Cyclic Shift Index

Range: 0 to max resource elements – 1.

Default: Tested Signal: 4

Interferer #1: 2

Interferer #2: 3

Interferer #3: 4

Displays the Cyclic Shift Index.

Orthogonal Cover Index

Range: 0 to 2.

Default: Tested Signal: 0

Interferer #1: 0

Interferer #2: 1

Interferer #3: 2

Displays the Orthogonal Cover Index.

RS Orthogonal Cover / ACK/NACK Orthogonal Cover

Range: 0 to 17.

Default: Tested Signal: 2

Interferer #1: 1

Interferer #2: 7

Interferer #3: 14

Displays the RS Orthogonal Cover / ACK/NACK Orthogonal Cover.

Relative Power

Default: Tested Signal: 0 dB (Carrier Power = –3 dB in the background)

Interferer #1: 0 dB (Carrier Power = –3 dB in the background)

Interferer #2: –3 dB (Carrier Power = –6 dB in the background)

Interferer #3: 3 dB (Carrier Power = 0 dB in the background)

Displays the Relative Power.

Relative Timing

Displays the relative timing.


PRACH Preamble Configuration Wizard (LTE TDD)

Real Time

PRACH Preamble Configuration Wizard Window (LTE TDD)

1. Conformance Test Setup | 2. PRACH Preamble Setup
System Bandwidth | PRACH Preamble Auto-Calculate
Uplink Downlink Configuration | PRACH Configuration Index
Configuration Mode | Preamble Format
 | Frequency Offset
 | Cyclic Shift Set
 | Ncs Configuration
 | Logical Root Sequence Index
 | Logical Root Sequence Index (Incremented)
 | Preamble Index
 | Physical Root Sequence Index
 | Cyclic Shift v

Additional Detail Parameter Descriptions

These additional parameters are displayed when Auto-configuration is set to PRACH Test Preamble (36.141).

Additional Detail Parameters

Increase Time Offset

Time Offset Base State

Time Offset Base Value

To set up a fixed reference channel (FRC), for an Advanced LTE TDD Uplink carrier, click the Wizard button [image] in the Uplink Setup node to open the PRACH Wizard.

1. Conformance Test Setup

System Bandwidth

Choice: 1.4 MHz (6RB) | 3 MHz (15RB) | 5 MHz (25RB)) | 10 MHz (50RB) | 15 MHz (75RB) | 20 MHz (100RB)

Default: 5 MHz (25RB)

Double-click or use the drop-down menu to set the system bandwidth and number of Resource Blocks (RB). When you select a system bandwidth, the software automatically adjusts the value in the Total number of Resource Blocks cell and the Total number of Occupied Sub-carriers cell.

Uplink Downlink Configuration

Range: 0 to 6

Default: 0

Coupling: For Basic, Advanced UL, and Advanced DL LTE-A TDD when Auto Carrier Aggregation Configuration is set to On, this setting is read only for the secondary cells that has the same value as the primary cell.

Double-click or use the drop-down menu to select the uplink-downlink configuration.

The supported uplink-downlink configurations are defined in Table 4.2-2 of 3GPP TS 36.211.

In the case of intra-band carrier aggregation, the PCell parameter is editable, but SCell is read-only. With inter-band carrier aggregation, both parameters are editable.

The resource blocks and some parameters are reconfigured by changing the Uplink Downlink Configuration parameter in the same manner as Predefined Configuration.

Configuration Mode

Choice: PRACH Configuration | PRACH Performance Test

Default: PRACH Configuration

In the PRACH Configuration Mode, all the bursts in the configuration will be sent. In the PRACH Performance Test Mode, the same burst will be sent ten times with different timing offset. Refer to 3GPP 36.141 for more information.

PRACH Preamble Setup

PRACH Preamble Auto-Calculate

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn PRACH Preamble Auto Calculate State on or off.

If the State is on, the sequence will be automatically selected by the preamble index. If the State is off, the sequence can be manually selected by logic root sequence index and cyclic shift index v.

PRACH Configuration Index

Range: 0 to 57

Default: 0

Enter a value for the PRACH Configuration Index.

Preamble Format

Displays the PRACH preamble format of the selected PRACH burst.

Frequency Offset

Default: 0.000000 Hz

Set the frequency offset of the carrier relative to the signal generator's frequency setting.

The range of the parameter is coupled to the Oversampling Ratio, the Base Sampling Rate, the System Bandwidth, and the max ARB Sample Clock of the connected signal generator.

For single carrier configurations, the following table shows the maximum frequency offset:

Maximum Frequency Offset for each Maximum Arb Sample Clock and System Bandwidth
Maximum Frequency Offset | System Bandwidth
Maximum Arb Sample Clock (RF Bandwidth) | 1.4 MHz | 3 MHz | 5 MHz | 10 MHz | 15 MHz | 20 MHz
75 MHz (60 MHz) | 29.3 MHz | 28.5 MHz | 26.72 MHz | 20.54 MHz | 22.04 MHz | 15.36 MHz
100 MHz (80 MHz) | 39.3 MHz | 38.5 MHz | 37.5 MHz | 35 MHz | 32.5 MHz | 30 MHz
125 MHz (100 MHz) | 49.3 MHz | 48.5 MHz | 47.5 MHz | 45 MHz | 42.5 MHz | 40 MHz
150 MHz (120 MHz) | 59.3 MHz | 58.5 MHz | 57.5 MHz | 55 MHz | 52.5 MHz | 46.08 MHz
200 MHz (160 MHz) | 79.3 MHz | 78.5 MHz | 77.5 MHz | 75 MHz | 72.5 MHz | 70 MHz

For multiple carrier configurations, the following table shows the maximum frequency offset:

Multiple Carrier Maximum Frequency Offset for each Maximum Arb Sample Clock and System Bandwidth
Maximum Frequency Offset | System Bandwidth
Maximum Arb Sample Clock (RF Bandwidth) | 1.4 MHz | 3 MHz | 5 MHz | 10 MHz | 15 MHz | 20 MHz
75 MHz (60 MHz) | 15.36 MHz
100 MHz (80 MHz) | 30.72 MHz |  |  |  |  | 30 MHz
125 MHz (100 MHz) | 46.08 MHz |  |  | 45 MHz | 42.5 MHz | 40 MHz
150 MHz (120 MHz) | 46.08 MHz
200 MHz (160 MHz) | 76.8 MHz |  |  | 75 MHz | 72.5 MHz | 70 MHz

Cyclic Shift Set

Choice: Unrestricted Sets | Restricted Sets

Default: Unrestricted Sets

Double-click or use the drop-down menu to set the cyclic shift restriction method. (See 3GPP TS 36.211.)

Ncs Configuration

Range:

0 to 15 (Unrestricted) for Format 0 to 3

0 to 14 (Restricted) for Format 0 to 3

0 to 6 for Format 4

Default: 0

Enter a value for the Ncs configuration.

Ncs value is determined by Ncs configuration, Cyclic Shift Set, and Preamble format.

See the online document or standard document (3GPP TS 36.211) for more information.

In the case where preambles corresponding to Preamble Index cannot be generated from a single root Zadoff-Chu sequence, Logical Root Sequence Index is incremented until corresponding Preamble sequences are found.

That incremented Logical Root Sequence Index is displayed in the Logical Root Sequence Index (Incremented) field.

Physical Root Sequence Index, Cyclic Shift v and Incremented Logical Root Sequence Index are automatically changed on GUI based on Cyclic Shift Set, Ncs Configuration, Logical Root Sequence Index and Preamble Index.

Logical Root Sequence Index

Range: 0 to 837 for Format 0 to 3 | 0 to 137 for Format 4

Default: 0

Enter a value for the logical root sequence index. (See 3GPP TS 36.211.) This parameter is read-only when PRACH Preamble Auto-Calculate is set to On.

Where the preambles — corresponding to the Preamble Index — cannot be generated from a single root Zadoff-Chu sequence, the Logical Root Sequence Index is increased in the background until the corresponding Preamble sequences are found.

The Logical Root Sequence Index in the GUI is not changed (i.e. even if it is increased in the background). Instead, the Physical Root Sequence Index and the Cyclic Shift v parameter values are changed in the GUI, based on the following values:

  • Cyclic Shift Set,

  • Ncs Configuration (Ncs value),

  • Logical Root Sequence Index value, and the

  • Preamble Index

Logical Root Sequence Index (Incremented)

Range:

0 to 837 for Format 0 to 3

0 to 137 for Format 4

Default: 0

Displays a value for the incremented logical root sequence index. Refer to 36.211.

Where the preambles — corresponding to the Preamble Index — cannot be generated from a single root Zadoff-Chu sequence, the Logical Root Sequence Index is increased in the background until the corresponding Preamble sequences are found.

The Logical Root Sequence Index in the GUI is not changed (i.e. even if it is increased in the background). Instead, the Physical Root Sequence Index and the Cyclic Shift v parameter values are changed in the GUI, based on the following values:

  • Cyclic Shift Set,

  • Ncs Configuration (Ncs value),

  • Logical Root Sequence Index value, and the

  • Preamble Index

Preamble Index

Range: 0 to 63.

Default: 0

Enter a value for the Preamble Index for PRACH generation. (See 3GPP TS 36.211.)

When the Auto-configuration parameter is set to PRACH Test Preamble (36.141),you must set the Preamble Index to satisfy Cyclic Shift v as defined in 3GPP 36.141 (PRACH Test Preambles test).

Example: Auto-configuration = PRACH Test Preamble (3GPP TS 36.141),Cyclic Shift Set = Normal Mode, and Preamble Format = 0, so Preamble Index should be set to 32 to satisfy Cyclic Shift v = 32 (refer to 34.141 A.6).

Test preambles for Normal Mode
Burst Format | Ncs Configuration | Logical Root Sequence Index | Cycle Shift v
0 | 13 | 22 | 32
1 | 167 | 22 | 2
2 | 167 | 22 | 0
3 | 0 | 22 | 0
4 | 10 | 0 | 0

Test preambles for High Speed Mode
Burst Format | Ncs Configuration | Logical Root Sequence Index | Cycle Shift v
0 | 15 | 384 | 0
1 | 202 | 384 | 0
2 | 202 | 384 | 0
3 | 237 | 384 | 0

Refer to Preamble Index-related information in TS36.212 5.3.3.1.3, TS36.321 5.1, and TS36.331 6.3.2.

Physical Root Sequence Index

Displays the physical root sequence index.

In the case where preambles corresponding to Preamble Index cannot be generated from a single root Zadoff-Chu sequence, Logical Root Sequence Index is incremented until corresponding Preamble sequences are found.

That incremented Logical Root Sequence Index is displayed in the Logical Root Sequence Index (Incremented) field.

Physical Root Sequence Index, Cyclic Shift v and Incremented Logical Root Sequence Index are automatically changed on GUI based on Cyclic Shift Set, Ncs Configuration, Logical Root Sequence Index and Preamble Index.

Cyclic Shift v

Range: Determined by the Configuration of the PRACH.

Displays the value for the preamble generation. (See 3GPP TS 36.211.) This parameter is read-only when PRACH Preamble Auto-Calculate is set to On.

In the case where preambles corresponding to Preamble Index cannot be generated from a single root Zadoff-Chu sequence, Logical Root Sequence Index is incremented until corresponding Preamble sequences are found.

That incremented Logical Root Sequence Index is displayed in the Logical Root Sequence Index (Incremented) field.

Physical Root Sequence Index, Cyclic Shift v and Incremented Logical Root Sequence Index are automatically changed on GUI based on Cyclic Shift Set, Ncs Configuration, Logical Root Sequence Index and Preamble Index.

Test preambles for Normal Mode
Burst Format | Ncs Configuration | Logical Root Sequence Index | Cycle Shift v
0 | 13 | 22 | 32
1 | 167 | 22 | 2
2 | 167 | 22 | 0
3 | 0 | 22 | 0
4 | 10 | 0 | 0

Test preambles for High Speed Mode
Burst Format | Ncs Configuration | Logical Root Sequence Index | Cycle Shift v
0 | 15 | 384 | 0
1 | 202 | 384 | 0
2 | 202 | 384 | 0
3 | 237 | 384 | 0

Refer to Preamble Index-related information in TS36.212 5.3.3.1.3, TS36.321 5.1, and TS36.331 6.3.2.

Increase Time Offset

Choice: On | Off

Default: On

Double-click or use the drop-down menu to turn the Increase Time Offset on or off.

When the Increase Time Offset is turned on, the Preamble Time Offset in each preamble is increased by adding in each step a value of 0.1 (us).

This parameter is visible when the Configuration Mode is set to PRACH Performance Test. Otherwise it’s hidden.

When this parameter is off or the Configuration Mode is set to PRACH Configuration, the Preamble Time Offset is set to zero for each preamble.

See 3GPP TS 36.141 for more information.

Time Offset Base State

Choice: On | Off

Default: On

When the Configuration Mode is PRACH Performance Test, double-click or use the drop-down menu to turn the Time Offset Base State on or off. Otherwise it’s hidden.

The Timing Offset in the carrier node is set to the Time Offset Base Value, when the Time Offset Base State is on. Otherwise it's not set. [LTE]

The Timing Offset in the component carrier node is set to the Time Offset Base Value, when the Time Offset Base State is on. Otherwise it's not set. [LTE-Advanced]

Time Offset Base Value

When the Configuration Mode is PRACH Performance Test, displays the Time Offset Base Value. Otherwise it’s hidden.

When the Time Offset Base State is on, the Timing Offset in the carrier node is set to the Time Offset Base Value. Otherwise it's not set. [LTE]

When the Time Offset Base State is on, The Timing Offset in the component carrier node is set to the Time Offset Base Value. Otherwise it's not set. [LTE-Advanced]

The Time Offset Base Value depends on the Preamble Format and Cyclic Shift Set (High-speed flag).

See 3GPP TS 36.211 and 36.141 for more information.


PRACH Preamble Configuration Wizard (LTE TDD)

Real Time

PRACH Preamble Configuration Wizard Window (LTE-A TDD)

Parameter Descriptions

1. Conformance Test Setup | 2. PRACH Preamble Setup
System Bandwidth | PRACH Preamble Auto-Calculate
Uplink Downlink Configuration | PRACH Configuration Index
Configuration Mode | Preamble Format
 | Frequency Offset
 | Cyclic Shift Set
 | Ncs Configuration
 | Logical Root Sequence Index
 | Logical Root Sequence Index (Incremented)
 | Preamble Index
 | Physical Root Sequence Index
 | Cyclic Shift v

Additional Detail Parameter Descriptions

These additional parameters are displayed when Auto-configuration is set to PRACH Test Preamble (36.141).

Additional Detail Parameters

Increase Time Offset

Time Offset Base State

Time Offset Base Value

Click the PRACH Wizard button [image] in the Uplink Setup node to open the PRACH Wizard.

1. Conformance Test Setup

System Bandwidth

Choice: 1.4 MHz (6RB) | 3 MHz (15RB) | 5 MHz (25RB)) | 10 MHz (50RB) | 15 MHz (75RB) | 20 MHz (100RB)

Default: 5 MHz (25RB)

Double-click or use the drop-down menu to set the system bandwidth and number of Resource Blocks (RB). When you select a system bandwidth, the software automatically adjusts the value in the Total number of Resource Blocks cell and the Total number of Occupied Sub-carriers cell.

Uplink Downlink Configuration

Range: 0 to 6

Default: 0

Coupling: For Basic, Advanced UL, and Advanced DL LTE-A TDD when Auto Carrier Aggregation Configuration is set to On, this setting is read only for the secondary cells that has the same value as the primary cell.

Double-click or use the drop-down menu to select the uplink-downlink configuration.

The supported uplink-downlink configurations are defined in Table 4.2-2 of 3GPP TS 36.211.

In the case of intra-band carrier aggregation, the PCell parameter is editable, but SCell is read-only. With inter-band carrier aggregation, both parameters are editable.

The resource blocks and some parameters are reconfigured by changing the Uplink Downlink Configuration parameter in the same manner as Predefined Configuration.

Configuration Mode

Choice: PRACH Configuration | PRACH Performance Test

Default: PRACH Configuration

In the PRACH Configuration Mode, all the bursts in the configuration will be sent. In the PRACH Performance Test Mode, the same burst will be sent ten times with different timing offset. Refer to 3GPP 36.141 for more information.

PRACH Preamble Setup

PRACH Preamble Auto-Calculate

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn PRACH Preamble Auto Calculate State on or off.

If the State is on, the sequence will be automatically selected by the preamble index. If the State is off, the sequence can be manually selected by logic root sequence index and cyclic shift index v. (See 3GPP TS 36.211.)

PRACH Configuration Index

Range: 0 to 57

Default: 0

Enter a value for the PRACH Configuration Index.

Preamble Format

Displays the PRACH preamble format of the selected PRACH burst.

Frequency Offset

Default: 0.000000 Hz

Set the frequency offset of the carrier relative to the signal generator's frequency setting.

The range of the parameter is coupled to the Oversampling Ratio, the Base Sampling Rate, the System Bandwidth, and the max ARB Sample Clock of the connected signal generator.

For single carrier configurations, the following table shows the maximum frequency offset:

Maximum Frequency Offset for each Maximum Arb Sample Clock and System Bandwidth
Maximum Frequency Offset | System Bandwidth
Maximum Arb Sample Clock (RF Bandwidth) | 1.4 MHz | 3 MHz | 5 MHz | 10 MHz | 15 MHz | 20 MHz
75 MHz (60 MHz) | 29.3 MHz | 28.5 MHz | 26.72 MHz | 20.54 MHz | 22.04 MHz | 15.36 MHz
100 MHz (80 MHz) | 39.3 MHz | 38.5 MHz | 37.5 MHz | 35 MHz | 32.5 MHz | 30 MHz
125 MHz (100 MHz) | 49.3 MHz | 48.5 MHz | 47.5 MHz | 45 MHz | 42.5 MHz | 40 MHz
150 MHz (120 MHz) | 59.3 MHz | 58.5 MHz | 57.5 MHz | 55 MHz | 52.5 MHz | 46.08 MHz
200 MHz (160 MHz) | 79.3 MHz | 78.5 MHz | 77.5 MHz | 75 MHz | 72.5 MHz | 70 MHz

For multiple carrier configurations, the following table shows the maximum frequency offset:

Multiple Carrier Maximum Frequency Offset for each Maximum Arb Sample Clock and System Bandwidth
Maximum Frequency Offset | System Bandwidth
Maximum Arb Sample Clock (RF Bandwidth) | 1.4 MHz | 3 MHz | 5 MHz | 10 MHz | 15 MHz | 20 MHz
75 MHz (60 MHz) | 15.36 MHz
100 MHz (80 MHz) | 30.72 MHz |  |  |  |  | 30 MHz
125 MHz (100 MHz) | 46.08 MHz |  |  | 45 MHz | 42.5 MHz | 40 MHz
150 MHz (120 MHz) | 46.08 MHz
200 MHz (160 MHz) | 76.8 MHz |  |  | 75 MHz | 72.5 MHz | 70 MHz

Cyclic Shift Set

Choice: Unrestricted Sets | Restricted Sets

Default: Unrestricted Sets

Double-click or use the drop-down menu to set the cyclic shift restriction method. (See 3GPP TS 36.211.)

Ncs Configuration

Range:

0 to 15 (Unrestricted) for Format 0 to 3

0 to 14 (Restricted) for Format 0 to 3

0 to 6 for Format 4

Default: 0

Enter a value for the Ncs configuration.

Ncs value is determined by Ncs configuration, Cyclic Shift Set, and Preamble format.

See the online document or standard document (3GPP TS 36.211) for more information.

In the case where preambles corresponding to Preamble Index cannot be generated from a single root Zadoff-Chu sequence, Logical Root Sequence Index is incremented until corresponding Preamble sequences are found.

That incremented Logical Root Sequence Index is displayed in the Logical Root Sequence Index (Incremented) field.

Physical Root Sequence Index, Cyclic Shift v and Incremented Logical Root Sequence Index are automatically changed on GUI based on Cyclic Shift Set, Ncs Configuration, Logical Root Sequence Index and Preamble Index.

Logical Root Sequence Index

Range: 0 to 837 for Format 0 to 3 | 0 to 137 for Format 4

Default: 0

Enter a value for the logical root sequence index. (See 3GPP TS 36.211.) This parameter is read-only when PRACH Preamble Auto-Calculate is set to On.

Where the preambles — corresponding to the Preamble Index — cannot be generated from a single root Zadoff-Chu sequence, the Logical Root Sequence Index is increased in the background until the corresponding Preamble sequences are found.

The Logical Root Sequence Index in the GUI is not changed (i.e. even if it is increased in the background). Instead, the Physical Root Sequence Index and the Cyclic Shift v parameter values are changed in the GUI, based on the following values:

  • Cyclic Shift Set,

  • Ncs Configuration (Ncs value),

  • Logical Root Sequence Index value, and the

  • Preamble Index

Logical Root Sequence Index (Incremented)

Range:

0 to 837 for Format 0 to 3

0 to 137 for Format 4

Default: 0

Displays a value for the incremented logical root sequence index. Refer to 36.211.

Where the preambles — corresponding to the Preamble Index — cannot be generated from a single root Zadoff-Chu sequence, the Logical Root Sequence Index is increased in the background until the corresponding Preamble sequences are found.

The Logical Root Sequence Index in the GUI is not changed (i.e. even if it is increased in the background). Instead, the Physical Root Sequence Index and the Cyclic Shift v parameter values are changed in the GUI, based on the following values:

  • Cyclic Shift Set,

  • Ncs Configuration (Ncs value),

  • Logical Root Sequence Index value, and the

  • Preamble Index

Preamble Index

Range: 0 to 63.

Default: 0

Enter a value for the Preamble Index for PRACH generation. (See 3GPP TS 36.211.)

When the Auto-configuration parameter is set to PRACH Test Preamble (36.141),you must set the Preamble Index to satisfy Cyclic Shift v as defined in 3GPP 36.141 (PRACH Test Preambles test).

Example: Auto-configuration = PRACH Test Preamble (3GPP TS 36.141),Cyclic Shift Set = Normal Mode, and Preamble Format = 0, so Preamble Index should be set to 32 to satisfy Cyclic Shift v = 32 (refer to 34.141 A.6).

Test preambles for Normal Mode
Burst Format | Ncs Configuration | Logical Root Sequence Index | Cycle Shift v
0 | 13 | 22 | 32
1 | 167 | 22 | 2
2 | 167 | 22 | 0
3 | 0 | 22 | 0
4 | 10 | 0 | 0

Test preambles for High Speed Mode
Burst Format | Ncs Configuration | Logical Root Sequence Index | Cycle Shift v
0 | 15 | 384 | 0
1 | 202 | 384 | 0
2 | 202 | 384 | 0
3 | 237 | 384 | 0

Refer to Preamble Index-related information in TS36.212 5.3.3.1.3, TS36.321 5.1, and TS36.331 6.3.2.

Physical Root Sequence Index

Displays the physical root sequence index.

In the case where preambles corresponding to Preamble Index cannot be generated from a single root Zadoff-Chu sequence, Logical Root Sequence Index is incremented until corresponding Preamble sequences are found.

That incremented Logical Root Sequence Index is displayed in the Logical Root Sequence Index (Incremented) field.

Physical Root Sequence Index, Cyclic Shift v and Incremented Logical Root Sequence Index are automatically changed on GUI based on Cyclic Shift Set, Ncs Configuration, Logical Root Sequence Index and Preamble Index.

Cyclic Shift v

Range: Determined by the Configuration of the PRACH.

Displays the value for the cyclic shift value for the preamble generation. (See 3GPP TS 36.211.) This parameter is read-only when PRACH Preamble Auto-Calculate is set to On.

In the case where preambles corresponding to Preamble Index cannot be generated from a single root Zadoff-Chu sequence, Logical Root Sequence Index is incremented until corresponding Preamble sequences are found.

That incremented Logical Root Sequence Index is displayed in the Logical Root Sequence Index (Incremented) field.

Physical Root Sequence Index, Cyclic Shift v and Incremented Logical Root Sequence Index are automatically changed on GUI based on Cyclic Shift Set, Ncs Configuration, Logical Root Sequence Index and Preamble Index.

Test preambles for Normal Mode
Burst Format | Ncs Configuration | Logical Root Sequence Index | Cycle Shift v
0 | 13 | 22 | 32
1 | 167 | 22 | 2
2 | 167 | 22 | 0
3 | 0 | 22 | 0
4 | 10 | 0 | 0

Test preambles for High Speed Mode
Burst Format | Ncs Configuration | Logical Root Sequence Index | Cycle Shift v
0 | 15 | 384 | 0
1 | 202 | 384 | 0
2 | 202 | 384 | 0
3 | 237 | 384 | 0

Refer to Preamble Index-related information in TS36.212 5.3.3.1.3, TS36.321 5.1, and TS36.331 6.3.2.

Increase Time Offset

Choice: On | Off

Default: On

Double-click or use the drop-down menu to turn the Increase Time Offset on or off.

When the Increase Time Offset is turned on, the Preamble Time Offset in each preamble is increased by adding in each step a value of 0.1 (us).

This parameter is visible when the Configuration Mode is set to PRACH Performance Test. Otherwise it’s hidden.

When this parameter is off or the Configuration Mode is set to PRACH Configuration, the Preamble Time Offset is set to zero for each preamble.

See 3GPP TS 36.141 for more information.

Time Offset Base State

Choice: On | Off

Default: On

When the Configuration Mode is PRACH Performance Test, double-click or use the drop-down menu to turn the Time Offset Base State on or off. Otherwise it’s hidden.

The Timing Offset in the component carrier node is set to the Time Offset Base Value, when the Time Offset Base State is on. Otherwise it's not set.

Time Offset Base Value

When the Configuration Mode is PRACH Performance Test, displays the Time Offset Base Value. Otherwise it’s hidden.

When the Time Offset Base State is on, The Timing Offset in the component carrier node is set to the Time Offset Base Value. Otherwise it's not set.

The Time Offset Base Value depends on the Preamble Format and Cyclic Shift Set (High-speed flag).

See 3GPP TS 36.211 and 36.141 for more information.


PUCCH Wizard Window (LTE-A TDD)

To set up a PUCCH for an Advanced LTE-A TDD Uplink carrier, click the Wizard button [image] in the Uplink node to open the PUCCH Configuration Wizard. The wizard supports 3GPP technical specification 36.141. In multi user PUCCH test, four signals are configured: one wanted signal and three interferers, which are transmitted via separate fading paths using relative power settings shown in Annex A.9.

Single Antenna Configuration

Two Antenna Configuration

Four Antenna Configuration

When the uplink is configured with four antennas, the PUCCH Wizard button is not enabled.

PUCCH Test Configuration (dNB Performance Test based on 36.141) | 36.141-8.3.3: Tested Signal | 36.141-8.3.4 ACK missed detection for PUCCH format 1b with Channel Selection
PUCCH Test Config Type CQI Data Signal/Interferer Type Random HARQ-ACK Length System Bandwidth Format Cell_ID N_CS(1) Delta Shift PUCCH n(1)PUCCH,1 nPUCCH(1,0) nPUCCH(1,1) nPUCCH(2,0) nPUCCH(2,1) nPUCCH(3,0) N_RB(2) | Cyclic Shift Index Orthogonal Cover Index RS Orthogonal Cover / ACK/NACK Orthogonal Cover Relative Power Relative Timing | PUCCH Resource (A) n(1)PUCCH,n State HARQ-ACK(0) HARQ-ACK(1) HARQ-ACK(2) HARQ-ACK(3) n(1)PUCCH b(0), b(1)

PUCCH Test Configuration (dNB Performance Test based on 36.141)

PUCCH Test Config Type

Single Antenna Configuration

Choice:

36.141-8.3.3 ACK missed detection for multi user PUCCH format 1a

36.141-8.3.4 ACK missed detection for PUCCH format 1b with Channel Selection

36.141-8.3.5 ACK missed detection for PUCCH format 3

36.141-8.3.6 NAK to ACK detection for PUCCH format 3

36.141-8.3.9 CQI performance requirements for PUCCH format 2 with DTX detection

Default: 36.141-8.3.3 ACK missed detection for multi user PUCCH format 1a

Double-click or use the drop-down menu to set the PUCCH Test Configuration Type.

Two Antenna Configuration

Choice:

36.141-8.3.7 ACK missed detection for PUCCH format 1a transmission on two antenna ports

36.141-8.3.8 CQI performance requirements for PUCCH format 2 transmission on two antenna

36.141-8.3.9 CQI performance requirements for PUCCH format 2 with DTX detection

Default: 36.141-8.3.7 ACK missed detection for PUCCH format 1a transmission on two antenna ports

For Both Antenna Configurations:

Double-click or use the drop-down menu to set the PUCCH Test Configuration Type.

The choice and default value depend on radio format and antenna configuration.

When the uplink is configured with four antennas, the PUCCH Wizard button is not enabled.

CQI Data

When the PUCCH Test Config Type is 36.141-8.3.8 or 36.141-8.3.9, this read only parameter is displayed.

Signal/Interferer Type

Choice: Tested Signal | Interferer #1 | Interferer #2 | Interferer #3

Default: Tested Signal

Double-click or use the drop-down menu to set the Signal/Interferer Type.

Refer to the PUCCH Test Config Type parameter.

This parameter is shown when single antenna configuration and PUCCH Test Configuration Type is 36.141-8.3.3. Otherwise it is hidden.

Random HARQ-ACK Length

Choice: Random HARQ-ACK Length 4AN | 16AN

Default: 4AN

Double-click or use the drop-down menu to set HARQ-ACK bit length 4bits (4AN) or 16bits (16AN), when the PUCCH Test Configuration Type is 36.141-8.3.5.

Displays the Random HARQ-ACK Length as 16bits (16AN), when the PUCCH Test Configuration Type is 36.141-8.3.6.

Otherwise it is hidden.

See 3GPP TS 36.141 for more information.

This parameter is shown only when PUCCH Test Config Type = 36.141-8.3.5 ACK missed detection for PUCCH format 3.

System Bandwidth

Double-click or use the drop-down menu to set the system bandwidth and number of resource blocks.

This parameter choice is limited by 10/15/20 MHz system bandwidth when PUCCH Test Configuration Type is 36.141-8.3.4 or 8.3.5 or 8.3.6. Otherwise there is no limitation.

Format

Default: 1a

This parameter is automatically set by the software and is not editable.

Displays the PUCCH format that is defined for each PUCCH Test Configuration Type as followings:

36.141-8.3.3 = 1a

36.141-8.3.4 = 1b

36.141-8.3.5 = 3

36.141-8.3.6 = 3

36.141-8.3.7 = 1a

36.141-8.3.8 = 2

36.141-8.3.9 = 2

See 3GPP TS 36.211 and 36.141 for more information.

Cell_ID

Displays the Cell_ID that is defined for each PUCCH Test Configuration Type as followings:

36.141-8.3.3 = 150

36.141-8.3.7 = 150

36.141-8.3.8 = 150

36.141-8.3.9 = 150

Otherwise the value is editable as followings:

Range: 0 to 503

Cell ID = [(3 x Physical Cell ID Group) + Physical Cell ID Sector]

See 3GPP TS 36.211 and 36.141 for more information.

N_CS(1)

Range: 0 to 7 (36.141-8.3.4 test case)

Default: 0

Displays the N_CS(1) value that is defined for each PUCCH Test Configuration Type as followings:

36.141-8.3.3 = 0

36.141-8.3.7 = 0

36.141-8.3.8 = 0

36.141-8.3.9 = 0

Otherwise it is hidden.

See 3GPP TS 36.211 and 36.141 for more information.

Delta Shift PUCCH

Range: 1 to 3 (36.141-8.3.4 test case)

Default: 2

Displays the Delta Shift PUCCH value that is defined for each PUCCH Test Configuration Type as followings:

36.141-8.3.3 = 2

36.141-8.3.7 = 2

36.141-8.3.8 = 2

36.141-8.3.9 = 2

Otherwise it is hidden.

See 3GPP TS 36.211 and 36.141 for more information.

n(1)PUCCH,1

Range: 0 to Calculated Maximum Value

Dependent on related PUCCH settings.

When the PUCCH Test Configuration Type is 36.141-8.3.4, sets the n(1)PUCCH,1 value .

Otherwise it is hidden.

See 3GPP TS 36.211, 36.213 and 36.141 for more information.

nPUCCH(1,0)

When the PUCCH Test Configuration Type is 36.141-8.3.3, displays the nPUCCH(1,0) value which is determined by Signal/Interferer Type.

When the PUCCH Test Configuration Type is 36.141-8.3.7, displays the nPUCCH(1,0) value as 1.

Otherwise it is hidden.

nPUCCH(1,0): resource index of PUCCH formats 1/1a/1b for antenna port index 0.

See 3GPP TS 36.211 and 36.141 for more information.

nPUCCH(1,1)

When the PUCCH Test Configuration Type is 36.141-8.3.7, displays the nPUCCH(1,1) as 2.

Otherwise it is hidden.

nPUCCH(1,1): resource index of PUCCH formats 1/1a/1b for antenna port index 1.

See 3GPP TS 36.211 and 36.141 for more information.

nPUCCH(2,0)

When the PUCCH Test Configuration Type is 36.141-8.3.8 or 36.141-8.3.9, this displays the nPUCCH(2,0) as 1.

Otherwise it is hidden.

nPUCCH(2,0): resource index of PUCCH formats 2/2a/2b for antenna port index 0.

See 3GPP TS 36.211 and 36.141 for more information.

nPUCCH(2,1)

When the PUCCH Test Configuration Type is 36.141-8.3.8 or 36.141-8.3.9, this displays the nPUCCH(2,1) as 2.

Otherwise it is hidden.

nPUCCH(2,1): resource index of PUCCH formats 2/2a/2b for antenna port index 1.

See 3GPP TS 36.211 and 36.141 for more information.

nPUCCH(3,0)

Range: 0 to (Number of RB in the system bandwidth) * 5 – 1

Default: 0

When the PUCCH Test Configuration Type is 36.141-8.3.5 or 36.141-8.3.6, enables you to set the nPUCCH(3, 0) value.

Otherwise it is hidden.

nPUCCH(3,0): resource index of PUCCH formats 3 for antenna port index 0.

See 3GPP TS 36.211 and 36.141 for more information.

N_RB(2)

Range: 1 to (Maximum resource blocks -1)

Default: 1

When the PUCCH Test Configuration Type is 36.141-8.3.8 or 36.141-8.3.9, enter the number of resource blocks per slot that are available for PUCCH Format 2/2a/2b transmissions in each slot.

In this case the minimum value is 1 to enable a conformance test signal according within the standard.

Otherwise it’s hidden.

See 3GPP TS 36.211 and 36.141 for more information.

36.141-8.3.3: Tested Signal

Cyclic Shift Index

Range: 0 to max resource elements – 1.

Default: Tested Signal: 4

When the PUCCH Test Configuration Type is 36.141-8.3.3, displays the Cyclic Shift Index that is defined for each Signal/Interferer Type as followings.

Tested Signal = 4

Interferer #1 = 2

Interferer #2 = 3

Interferer #3 = 4

Otherwise it is hidden.

This parameter is automatically set by the software and is not editable.

See 3GPP TS 36.211 and 36.141 for more information.

Orthogonal Cover Index

Range: 0 to 2.

Default: Tested Signal: 0

When the PUCCH Test Configuration Type is 36.141-8.3.3, displays the Orthogonal Cover Index that is defined for each Signal/Interferer Type as followings:

Tested Signal = 0

Interferer #1 = 0

Interferer #2 = 1

Interferer #3 = 2

Otherwise it is hidden.

This parameter is automatically set by the software and is not editable.

See 3GPP TS 36.211 and 36.141 for more information.

RS Orthogonal Cover / ACK/NACK Orthogonal Cover

Range: 0 to 17.

Default: Tested Signal: 2

When the PUCCH Test Configuration Type is 36.141-8.3.3, displays the RS Orthogonal Cover / ACK/NACK Orthogonal Cover that is defined for each Signal/Interferer Type as followings.

Tested Signal = 2

Interferer #1 = 1

Interferer #2 = 7

Interferer #3 = 14

Otherwise it is hidden.

This parameter is automatically set by the software and is not editable.

See 3GPP TS 36.141 for more information.

Relative Power

Default: Tested Signal: 0 dB (Carrier Power = – 3 dB in the background)

When the PUCCH Test Configuration Type is 36.141-8.3.3, displays the Relative Power that is defined for each Signal/Interferer Type as followings:

Tested Signal = 0 dB (Carrier Power = – 3 dB in the background)

Interferer #1 = 0 dB (Carrier Power = – 3 dB in the background)

Interferer #2 = -3 dB (Carrier Power = – 6 dB in the background)

Interferer #3 = 3 dB (Carrier Power = 0 dB in the background)

Otherwise it is hidden.

This parameter is automatically set by the software and is not editable.

See 3GPP TS 36.141 for more information.

Relative Timing

When the PUCCH Test Configuration Type is 36.141-8.3.3, displays the Relative Timing.

Otherwise it is hidden.

This parameter is automatically set by the software and is not editable.

See 3GPP TS 36.141 for more information.

36.141-8.3.4 ACK missed detection for PUCCH format 1b with Channel Selection

This section provides a description for the parameters that are specific to this test type. This test configuration type provides a table that is used to select the HARQ-ACK response. For more information, refer to the 3GPP TS 36.213.

PUCCH Resource (A)

Choice: 2 | 3 | 4

Default: 4

The selection determines the number of HARQ-ACK responses and combinations (indexes).

 | PUCCH Resources (A)
 | 2 | 3 | 4
Indexes | 5 | 9 | 17

n(1)PUCCH,0 | 1 |2 | 3 | 4

Range: 0 to calculated maximum value that depends on related PUCCH settings

Default: 0 = 0

1 = 1

2 = 2

3 = 3

4 = 4

Set the n(1)PUCCH, n value.

State

Click a checkbox (check mark showing) to select an HARQ-ACK response. Clicking a new checkbox clears the previously selected checkbox. the software allows only one checkbox selection at a time. In the above figure, index 1 is checked as the response.

HARQ-ACK(0)

Displays HARQ-ACK(0) response .

HARQ-ACK(1)

Displays HARQ-ACK(1) response .

HARQ-ACK(2)

Displays HARQ-ACK(2) response . This field shows when PUCCH Resource (A) selection is 3 or 4.

HARQ-ACK(3)

Displays HARQ-ACK(2) response . This field shows when PUCCH Resource (A) selection is 4.

n(1)PUCCH

Displays the PUCCH resource value n(1)PUCCH.

b(0) b(1)

Displays the HARQ-ACK bits.


RACH PDCCH Tx Setting and Config (Advanced LTE-A TDD Downlink)

Select the DCI channel in the Channel Setup node, then click the [image] button in the DCI #10 for Random Access Procedure cell to open the RACH PDCCH Tx Setting window.

The RACH PDCCH Tx Setting window displays the parameters setting of PDCCH transmitted in each subframe for the random access procedure.

  • Use the Import tab to navigate to and import a saved transmission sequence.

  • Use the Export tab to save the current transmission sequence to a file.

  • Click the Config Tool button to access a Closed drop-down list that enables you to set parameters for all transmissions to the same value.

  • Click the links in the tables below for parameter descriptions.

1. DCI Settings | 2. PDCCH Settings
DCI State | PDCCH UE Tx Antenna
DCI Format | Search Space
DCI Data |
DCI Payload Size (bits) |
RNTI |

Other Parameter Descriptions

State

Preamble Index

PRACH Mask Index

Agg Level

Candidate

CCE Offset

Parameter Descriptions

1. DCI Settings

DCI State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to control the operating state of DCI channel.

DCI State is only available to be set when the current component cell is set to be the Primary Cell component carrier. For secondary cell component carriers, this parameter is inactive.

DCI Format

The DCI for a Random Access Procedure uses DCI format 1A.

DCI Data

Display the Data Source of the DCI channel. The data for DCI is auto generated using the PRACH parameter setting in each subframe.

DCI Payload Size (bits)

Display the payload size in bits. Refer to the 3GPP TS 36.212 5.3.3.1 DCI formats for more information.

RNTI

Range: 1 to 65535

Default: 1

Enter a value for the Radio Network Temporary Identifier (RNTI).

2. PDCCH Settings

PDCCH UE Tx Antenna

Choice: UE Port 0 | UE Port 1

Default: UE Port 0

Double-click or use the drop-down menu to set the UE Tx Antenna for the DCI channel.

Search Space

Choice: Common | UE Specific

Default: UE Specific

Double-click or use the drop-down menu to set the search space of the PDCCH channels.

Search Space is only available to be set when the current component cell is set to be the Primary Cell component carrier. For secondary cell component carriers, this parameter is inactive.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

PDCCH Tx Parameter Settings

State

Choice: Off | On

Default: On

Click to turn the DCI state on or off in the selected subframe.

Preamble Index

Choice:0 to 63

Default: 0

Set Preamble Index in the selected subframe.

PRACH Mask Index

Choice: 0 to 15

Default: 15

Set PRACH Mask Index in the selected subframe.

Agg Level

Choice: 1 | 2 | 4 | 8

Default: 1

Select the Aggregation level for the DCI searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

Candidate

Choice: 0

Default: 0 to maximum

Set the candidate within the searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

CCE Offset

Display the CCE offset of the DCI in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.


RACH PDCCH Tx Setting and Config (Advanced LTE TDD Downlink)

Real Time

RACH PDCCH Tx Setting and Configuration (Advanced LTE TDD Downlink)

Select the DCI channel in the Channel Setup node, then click the [image] button in the DCI #10 for Random Access Procedure cell to open the RACH PDCCH Tx Setting window.

The RACH PDCCH Tx Setting window displays the parameters setting of PDCCH transmitted in each subframe for the random access procedure.

  • Use the Import tab to navigate to and import a saved transmission sequence.

  • Use the Export tab to save the current transmission sequence to a file.

  • Click the Config Tool button to access a Closed drop-down list that enables you to set parameters for all transmissions to the same value.

  • Click the links in the tables below for parameter descriptions.

1. DCI Settings | 2. PDCCH Settings
DCI State | PDCCH UE Tx Antenna
DCI Format | Search Space
DCI Data |
DCI Payload Size (bits) |
RNTI |

Other Parameter Descriptions

State

Preamble Index

PRACH Mask Index

Agg Level

Candidate

CCE Offset

Parameter Descriptions

1. DCI Settings

DCI State

Double-click or use the drop-down menu to control the operating state of DCI channel.

DCI Format

The DCI for a Random Access Procedure uses DCI format 1A.

DCI Data

Display the Data Source of the DCI channel. The data for DCI is auto generated using the PRACH parameter setting in each subframe.

DCI Payload Size (bits)

Display the payload size in bits. Refer to the 3GPP TS 36.212 5.3.3.1 DCI formats for more information.

RNTI

Range: 1 to 65535

Default: 1

Enter a value for the Radio Network Temporary Identifier (RNTI).

2. PDCCH Settings

PDCCH UE Tx Antenna

Choice: UE Port 0 | UE Port 1

Default: UE Port 0

Double-click or use the drop-down menu to set the UE Tx Antenna for the DCI channel.

Search Space

Choice: Common | UE Specific

Default: Common

Double-click or use the drop-down menu to set the search space of the PDCCH channels.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

PDCCH Tx Parameter Settings

State

Choice: Off | On

Default: On

Click to turn the DCI state on or off in the selected subframe.

Preamble Index

Choice:0 to 63

Default: 0

Set Preamble Index in the selected subframe.

PRACH Mask Index

Choice: 0 to 15

Default: 15

Set PRACH Mask Index in the selected subframe.

Agg Level

Choice: 1 | 2 | 4 | 8

Default: 1

Select the Aggregation level for the DCI searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

Candidate

Choice: 0

Default: 0 to maximum

Set the candidate within the searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

CCE Offset

Display the CCE offset of the DCI in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.


SC-FDMA Frame Structure

Signal Studio for 3GPP LTE currently supports only FDD and frame structure type 1.

Frame Structure Type 1

Figure 1 shows frame structure type 1, which can be used in either full-duplex or half-duplex FDD mode. It consists of a 10 ms radio frame divided into 20 slots, each with a duration of 0.5 ms. One subframe consists of two consecutive slots. Ts = 1/(1500 x 2048) sec.

For FDD, 10 subframes are available for downlink transmission and 10 subframes are available for uplink transmissions in each 10 ms interval. Uplink and downlink transmissions are separated in the frequency domain.

In half-duplex FDD operation, the UE cannot transmit and receive at the same time; this restriction does not apply to full-duplex FDD operation.

Ts = 1/(1500 x 2048) sec

Figure 1. Frame Structure Type 1 (full-duplex and half-duplex FDD)

Frame Structure Type 2

Figure 2 shows frame structure type 2 for the SC-FDMA uplink. Frame structure type2 is applicable only to TDD and is provided for compatibility with legacy UTRA TDD systems. Each radio frame consists of two identical 5 ms half-frames. Each half-frame consists of eight 0.5 ms slots and three special fields, DwPTS, GP, and UpPTS. Subframe #0 and #5 and DwPTS are always reserved for downlink transmission.

Ts = 1/(1500 x 2048) sec

Figure 2. Frame Structure Type 2 (TDD only)

Transmission Parameters (FDD Mode)

Transmission BW |  | 1.4 MHz | 3.0 MHz | 5.0 MHz | 10 MHz | 15 MHz | 20 MHz
Slot duration (frame structure type 1) |  | 0.5 ms | 0.5 ms | 0.5 ms | 0.5 ms | 0.5 ms | 0.5 ms
Subcarrier spacing |  | 15 kHz | 15 kHz | 15 kHz | 15 kHz | 15 kHz | 15 kHz
Sampling frequency* |  | 1.92 MHz | 3.84 MHz | 7.68 MHz | 15.36 MHz | 23.04 MHz | 30.72 MHz
Length of SC-FDMA symbol in time units** (excluding cyclic prefix) |  | 2048 | 2048 | 2048 | 2048 | 2048 | 2048
Number of occupied resource blocks |  | 6 | 15 | 25 | 50 | 75 | 100
Number of occupied subcarriers |  | 72 | 180 | 300 | 600 | 900 | 1200
Number of SC-FDMA symbols per slot | Normal CP | 7 | 7 | 7 | 7 | 7 | 7
 | Extended CP | 6 | 6 | 6 | 6 | 6 | 6
Cyclic Prefix (CP) length (frame structure type 1) where l is the symbol position in a slot | Normal CP | 160 for l = 0 144 for l = 1 to 6 | 160 for l = 0 144 for l = 1 to 6 | 160 for l = 0 144 for l = 1 to 6 | 160 for l = 0 144 for l = 1 to 6 | 160 for l = 0 144 for l = 1 to 6 | 160 for l = 0 144 for l = 1 to 6
 | Extended CP | 512 for l = 0 to 5 | 512 for l = 0 to 5 | 512 for l = 0 to 5 | 512 for l = 0 to 5 | 512 for l = 0 to 5 | 512 for l = 0 to 5

* sampling frequency at one oversampling

** 1 time unit = 1/30.72 MHz


Sending SCPI Commands with Connection Expert

  1. On your PC, open the Keysight Connection Expert.

    1. Click Start > All Programs > Keysight IO Libraries Suite > Keysight Connection Expert.

    2. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it at http://www.keysight.com/find/iolib.

  2. In the Instrument IO on this PC Closed tree view, select the master ESG/PSG.

  3. If the Task Guide view is not enabled, go to View > Task Guide.

  4. In the Closed Tasks for This Instrument column, click Send Commands to this Instrument to open the Closed Keysight Interactive IO dialog window.

  5. Enter the SCPI command in the Command: text box. (See the Closed drop-down figure.)

  6. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History: window. (See the Closed drop-down figure.)


SIB_DL-SCH2_Tx_Sequence_Window

Real Time


SIB_DL-SCH2_Tx_Sequence_Window_12_1_1

Real Time


SIB_DL-SCH_Tx_Sequence_Window_Example_Setup

Real Time


SIB_Tx_Setup_All_States_to_Off

Real Time


Test Model Wizard

Test Model Type

Choice:

Basic LTE: E-TM1.1 | E-TM1.2 | E-TM2 | E-TM3.1 | E-TM3.2 | E-TM3.3 | E-TM1.1 BC3 CS3 | E-TM1.2 BC3 CS3 | E-TM2 BC3 CS3 | E-TM3.1 BC3 CS3 | E-TM3.2 BC3 CS3 | E-TM3.3 BC3 CS3 | None

Basic LTE-A: E-TM1.1 | E-TM1.2 | E-TM2 | E-TM2a | E-TM3.1 | E-TM3.1a | E-TM3.2 | E-TM3.3 | E-TM1.1 BC3 CS3 | E-TM1.2 BC3 CS3 | E-TM2 BC3 CS3 | E-TM3.1 BC3 CS3 | E-TM3.2 BC3 CS3 | E-TM3.3 BC3 CS3 | None

Default: None

Double-click or use the Closed drop-down menu to set the Test Model type. The software sets the parameters displayed in the lower section of the window to predetermined values for the Test Model type and Reference Channel “A” value selected.

BC3 CS3 test model choices appear only when Minor Enhancement Update (MEU) Option U03 or greater is valid. Refer to Licenses for more information.

System Bandwidth

Choice: 1.4 MHz (6RB) | 3 MHz (15RB) | 5 MHz (25RB)) | 10 MHz (50RB) | 15 MHz (75RB) | 20 MHz (100RB)

Default:

LTE: 5 MHz (25RB)

LTE-A: 10 MHz (50RB)

Double-click or use the drop-down menu to set the system bandwidth and number of resource blocks (RB). When you select a system bandwidth, the software automatically adjusts the values in the Total Number of Resource Blocks and Total Number of Occupied Sub-carriers cells.

Advanced LTE and LTE-A carriers only: When the system bandwidth is decreased, the DL-SCH Tx Sequence window's RB size, and some of the other data channel's settings, are reconfigured, similar to when a predefined configuration is executed. But, when the system bandwidth is increased, no change to the DL-SCH Tx Sequence window's RB size, or the other data channel's settings occurs.

Auto Carrier Aggregation Configuration

Choice: On | Off

Default On

Click in the cell and use the drop-down arrow to select either On or Off.

On | Frequency Offset, Cell ID, Uplink Downlink Configuration, Special Subframe Configuration, and Cyclic Prefix are automatically set by the software. In addition for the secondary cells, Uplink Downlink Configuration, Special Subframe Configuration, and Cyclic Prefix become read only and use the same values as the primary cell. For Cell ID, it is set to the same value as the Component Carrier index number.
Off | Manually set Frequency Offset, Cell ID, Uplink Downlink Configuration, Special Subframe Configuration and Cyclic Prefix.

Cell ID

Range: 0 to 503

Default: 0 with Auto Carrier Aggregation Configuration set to Off

Same as the CC index number with auto Carrier Aggregation Configuration set to On

With Auto Carrier Aggregation Configuration set to Off, enter a cell ID value.

The software uses this value to set the Physical Layer Cell ID group and sector cells:

Cell ID = (3 x Physical Cell ID group + Physical Cell ID sector).

See 3GPP TS 36.211 for more information.

Waveform Generation Length

Choices: 1 slot (0.5 ms) | 2 slots (1.0 ms) | … | 18 slots (9.0 ms) | 19 slots (9.5 ms) | 1 frame (10 ms) | 2 frames (20 ms) | 3 frames (30 ms) | 4 frames (40 ms)

Default: 1 frame (10 ms)

Double-click or use the drop-down menu to select the waveform generation length.

When the waveform generation length or offset is set, Waveform Generation Length + Waveform Generation Offset <= 1 frame (10 ms) is automatically satisfied by the software.

When the waveform generation length is longer than 1 frame, the waveform generation offset is limited to 0 slot (0.0 ms).

Shorter waveform length choices (< 10 ms) for this parameter are available only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U03 or greater is valid. Refer to Licenses for more information.

Special Subframe Configuration

Range: 0 to 8 (Normal CP), 0 to 6 (Extended CP)

0 to 9 (Normal CP), 0 to 7 (Extended CP)

Default: 0

Coupling: For Basic, Advanced UL, and Advanced DL LTE-A TDD when Auto Carrier Aggregation Configuration is set to On, this setting is read only for the secondary cells that has the same value as the primary cell.

Double-click or use the drop-down menu to select the special subframe configuration. The special subframe configurations are defined in Table 4.2-1 of 3GPP TS 36.211.

0 to 9 (Normal CP) and 0 to 7 (Extended CP) ranges for this parameter are available only for Basic and Advanced LTE-A TDD, and then only for Basic LTE-A TDD when Minor Enhancement Update (MEU) Option U03 or greater is valid. Refer to Licenses for more information.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U03 or greater is valid. Refer to Licenses for more information.

Uplink Downlink Configuration

Range: 0 to 6

Default: 0

Coupling: For Basic, Advanced UL, and Advanced DL LTE-A TDD when Auto Carrier Aggregation Configuration is set to On, this setting is read only for the secondary cells that has the same value as the primary cell.

Double-click or use the drop-down menu to select the uplink-downlink configuration.

The supported uplink-downlink configurations are defined in Table 4.2-2 of 3GPP TS 36.211.

In the case of intra-band carrier aggregation, the PCell parameter is editable, but SCell is read-only. With inter-band carrier aggregation, both parameters are editable.

The resource blocks and some parameters are reconfigured by changing the Uplink Downlink Configuration parameter in the same manner as Predefined Configuration.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U03 or greater is valid. Refer to Licenses for more information.


tree_view_hardware

Real Time


tree_view_quick_setup

Real Time


tree view waveform

Real Time


UCI Tx sequence Window (Advanced LTE-A TDD Uplink)

The UCI Tx sequence window displays the currently configured UCI transmission sequence. For the same UE, the UCI channel cannot be transmitted in subframes occupied by UL-SCH processes.

Select a UCI channel in the Channel Setup node, then click the [image] button in the Transmission Configuration cell to open the UCI Tx sequence window.You can set parameters for each UCI transmission from within the UCI Tx sequence window.

  • Click the Config Tools button to access a Closed drop-down list that enables you to set parameters for all UCI Tx sequences to the same value. The configured parameters are displayed in the Tx Map.

  • Use the Import tab to navigate to and import a saved transmission sequence.

  • Use the Export tab to save the current transmission sequence to a file.

Grid Parameters

State

Format

RNTI

Modulation

Data/Control Type

Data

Data Size

HARQ-ACK

nPUCCH(1,0)

nPUCCH(3,0)

RB Location

DMRS Power

Parameter Descriptions

State

Click the cell to toggle the state of the UCI Tx sequence on or off.

Format

Choice: 1 | 1a | 1b | 2 | 2a | 2b | 3

Default: 1

Set the UCI format.

Enter a format number for the Tx sequence.

  • Format 2/2a is not allowed to set in the case Extended CP.

The Modulation type is set by the software based on the selected Format. See Modulation.

The choices available for the HARQ-ACK parameter are based on the selected Format. See HARQ-ACK.

See 3GPP TS 36.211, 36.212 and 36.213.

RNTI

Range: 0 to 65535

Default: 0

Enter a value for the Radio Network Temporary Identifier (RNTI). RNTI only applies to format 2/2a/2b. See 3GPP TS 36.211, 36.212 and 36.213 for more information.

Modulation

The modulation type for the UCI Tx sequence is set according to the active Format as follows:

  • Format 1 = n/a
  • Format 1a = BPSK modulation
  • Format 1b = BPSK modulation
  • Format 1b /2 /3 = QPSK modulation
  • Format 2a = QPSK + BPSK modulation
  • Format 2b = QPSK + QPSK modulation

Data/Control Type

The software sets the Data Type according to the active Format, as follows:

  • Format 1 = SR
  • Format 1a = HARQ-ACK
  • Format 1b* = HARQ-ACK (2-bits)
  • Format 2 = CQI
  • Format 2a = CQI + HARQ-ACK (1-bit)
  • Format 2b = CQI + HARQ-ACK (2-bits)
  • Format 3 = HARQ-ACK (+ SR) (up to 21-bits)

* Where: the UCI format is set to Format 1b and the UE is configured with a single serving cell, up to a HARQ-ACK (4-bit) channel selection can be set.

See 3GPP TS 36.211, 36.212 and 36.213 for more information.

Data

For Formats 2, 2a, or 2b, double-click in this cell to open a dialog box from which you can select PN9, PN15, or User Defined Bits as the data for the UCI Tx sequence.

Data Size

Range:

1 to 13-bits (Formats 2, 2a, 2b with Normal Cyclic Prefix or Format 2 with Extended Cyclic Prefix and CQI Data Type)

1 to 12-bits (Format 2 with Extended Cyclic Prefix and CQI + HARQ-ACK (1-bit) Data Type)

1 to 11-bits (Format 2 with Extended Cyclic Prefix and CQI + HARQ-ACK (2-bits) Data Type)

Enter a value for Data Size for Formats 2, 2a,or 2b.

HARQ-ACK

Choice:

ACK | NACK (Format 1a/2a)

ACK-ACK | ACK-NACK | NACK-ACK | NACK-NACK (Format 1b/2b)

ALL ACK | ALL NACK | User Defined Bits (Format 3)

Default:

ACK (Format 1a/2a)

ACK-ACK (Format 1b/2b)

ALL ACK (Format 3)

Specifies the HARQ-ACK information corresponding to PUCCH Format.

Double-click the HARQ-ACK cell for the sequence you want to configure to open the HARQ-ACK Info Selection dialog box. Select the radio button in the dialog box for the desired HARQ-ACK. The choices available for HARQ-ACK are determined by the active Format.

Refer to 3GPP TS 36.211, 36.212 and 36.213.

nPUCCH(1,0)

Range: 0 to minimum (2047 or Calculated Maximum Value).

Depends on the related PUCCH values.

Default: 0

Enter a value for the PUCCH n(1) number.

Specifies the resource index for PUCCH formats 1/1a/1b.

Calculated maximum value means the resource is at the center of the system bandwidth.

Refer to 3GPP TS 36.211, 36.212 and 36.213.

nPUCCH(3,0)

Range: 0 to (Number of resource blocks in the system bandwidth) * 5 – 1

Default: 0

Enter a value for the nPUCCH(3) number.

Specifies the resource index for PUCCH format 3.

Refer to 3GPP TS 36.211, 36.212 and 36.213.

RB Location

Displays the numbers of the resource blocks occupied by the PUCCH, separated by a comma. If any of the following are changed: PUCCH Format, N_RB(2), N_CS(1), n(1), n(2), Delta Shift or Delta Offset, the resource block numbers are updated accordingly.

DMRS Power

Range: –60 to 0 dB

Default: 0 dB

Enter a power level in dB for the demodulation reference signal for the UCI Tx sequence.


UCI Tx sequence Window (Advanced LTE Uplink)

Real Time

UCI Tx sequence Window (Advanced LTE TDD Uplink)

The UCI Tx sequence window displays the currently configured UCI transmission sequence. For the same UE, the UCI channel cannot be transmitted in subframes occupied by UL-SCH processes.

Select a UCI channel in the Channel Setup node, then click the [image] button in the Transmission Configuration cell to open the UCI Tx sequence window.You can set parameters for each UCI transmission from within the UCI Tx sequence window.

  • Click the Config Tools button to access a Closed drop-down list that enables you to set parameters for all UCI Tx sequences to the same value. The configured parameters are displayed in the Tx Map.

  • Use the Import tab to navigate to and import a saved transmission sequence.

  • Use the Export tab to save the current transmission sequence to a file.

Parameter Descriptions

State

Click the cell to toggle the state of the UCI Tx sequence on or off.

Format

Choice: 1 | 1a | 1b |2 | 2a | 2b

Default: 1a

Set the UCI format.

The Modulation type is set by the software based on the selected Format. See Modulation.

The choices available for the HARQ-ACK parameter are based on the selected Format. See HARQ-ACK.

RNTI

Range: 0 to 65535

Default: 0

Enter a value for the Radio Network Temporary Identifier (RNTI). RNTI only applies to format 2/2a/2b. See 3GPP TS 36.211.

Modulation

The modulation type for the UCI Tx sequence is set according to the active Format as follows:

Format 1 = N/A

Format 1a = BPSK modulation

Format 1b = QPSK modulation

Format 2 = QPSK modulation

Format 2a = QPSK + BPSK modulation

Format 2b = QPSK + QPSK modulation

Data Type

The software sets the Data Type according to the active Format, as follows:

Format 1 = SR

Format 1a = HARQ-ACK (1 bit)

Format 1b = HARQ-ACK (2 bits)

Format 2 with Extended Cyclic Prefix:

Select one of the following from the drop-down menu CQI | CQI + HARQ-ACK (1 bit) | CQI+ HARQ-ACK (2 bits)

Format 2a = CQI + HARQ-ACK (1 bit)

Format 2b = CQI + HARQ-ACK (2 bits)its)

Data

For Formats 2, 2a, or 2b, double-click in this cell to open a dialog box from which you can select PN9, PN15, or User Defined Bits as the data for the UCI TX sequence.

Data Size

Range:

1 to 13 bits (Formats 2, 2a, 2b with Normal Cyclic Prefix or Format 2 with Extended Cyclic Prefix and CQI Data Type)

1 to 12 bits (Format 2 with Extended Cyclic Prefix and CQI + HARQ-ACK (1 bit) Data Type)

1 to 11 bits (Format 2 with Extended Cyclic Prefix and CQI + HARQ-ACK (2 bits) Data Type)

Enter a value for Data Size for Formats 2, 2a,or 2b.

HARQ-ACK

Double-click the HARQ-ACK cell for the sequence you want to configure to open the HARQ-ACK Info Selection dialog box. Select the radio button in the dialog box for the desired HARQ-ACK. The choices available for HARQ-ACK are determined by the active Format as follows:

Format 1 or 2

HARQ-ACK parameter is grayed out (not used)

Format 1a or 2a

Choice: ACK | NACK

Default: ACK

Format 1b or 2b

Choice: ACK-ACK | ACK-NACK | NACK-ACK | NACK-NACK

nPUCCH(1)

Range: 0 to Max Resource Element - 1 - 1

Default: 0

Enter a value for the PUCCH n(1) number.

RB Location

Displays the numbers of the resource blocks occupied by the PUCCH, separated by a comma. If any of the following are changed: PUCCH Format, N_RB(2), N_CS(1), n(1), n(2), Delta Shift or Delta Offset, the resource block numbers are updated accordingly.

DMRS Power

Range: –60 to 0 dB

Default: 0 dB

Enter a power level in dB for the demodulation reference signal for the UCI Tx sequence.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

UL-SCH PDDCH Tx Setting and Configuration (Advanced LTE-A TDD Downlink)

PDCCH Tx Parameters (from grid)

Seq #

Frame

Subframe

State

RA Type

RB Offset

RB Size

RBG Start #1 (S0)

RBG End #1 (S1-1)

RBG Start #2 (S2)

RBG End #2 (S3-1)

MCS Index(1)

NDI(1)

MCS Index(2)

NDI(2)

TPC PUSCH

Cyclic Shift

UL Index

CSI Request

SRS Request

Precoding/Layers

Message

Agg Level

Candidate

CCE Offset

Import

Click this button to navigate to and import a saved transmission sequence.

Export

Click this button to save the current transmission sequence to a file.

Column Preset

Click this button to access a Closed drop-down list that enables you to set parameters for all transmissions to the same value.

1. PUSCH Scheduling Settings

Uplink System Bandwidth

Choice: 1.4 MHz (6RB) | 3 MHz (15RB) | 5 MHz (25RB)) | 10 MHz (50RB) | 15 MHz (75RB) | 20 MHz (100RB)

Default: 10 MHz (50RB)

Double-click or use the drop-down menu to set the uplink system bandwidth and number of Resource Blocks (RB). In the downlink system bandwidth changed case, the software automatically sets this value same as downlink system bandwidth. This is used for DCI Format 0 which is scheduling of PUSCH.

See 3GPP TS 36.211, 36.212, and 36.213 for more information.

Uplink Transmission Mode

Choice: 1 | 2

Default: 1

Double-click or use the drop-down menu to set the transmission mode of PUSCH scheduling information, which is transmitted on PDCCH.

1: Single Antenna Port (Port 10)

2: Single Antenna Port (Port 10) / Closed Loop Spatial Multiplexing

See 3GPP TS 36.211, 36.212, and 36.213, for more information.

Uplink Number of Antennas

Choice:

1Antenna (Uplink Transmission Mode 1)

2Antennas | 4Antennas (Uplink Transmission Mode 2)

Double-click or use the drop-down menu to set the number of antennas of PUSCH scheduling information, which is transmitted on PDCCH. In case of Uplink Transmission Mode 1, single antenna port (1 Antenna) is available to set. In case of Uplink Transmission Mode 2, multiple antenna port (2 or 4 antennas) is available to set.

See 3GPP TS 36.211, 36.212, and 36.213, for more information.

Number of Codewords

Range:

1 (Uplink Transmission Mode 1)

1 to 2 (Uplink Transmission Mode 2)

Default: 1

Enter the number of codewords of PUSCH scheduling information, which is transmitted on PDCCH.

See 3GPP TS 36.211, 36.212, and 36.213, for more information.

2. DCI Settings

DCI State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the channel On or Off.

DCI Format

The DCI for the scheduling of PUSCH uses DCI format 0.

DCI Data

Displays the Data Source of the DCI channel. The data for DCI is auto generated using the UL-SCH parameter settings in each subframe.

DCI Payload Size (bits)

Displays the payload size in bits. Refer to the 3GPP TS 36.212 5.3.3.1 DCI formats for more information.

RNTI

Range: 1 to 65535

Default: 1

Enter a value for the Radio Network Temporary Identifier (RNTI).

3. PDCCH Settings

PDCCH UE Tx Antenna

Choice: UE Port 0 | UE Port 1

Default: UE Port 0

Double-click or use the drop-down menu to set the UE Tx Antenna for the selected DCI channel.

Search Space

Choice: Common | UE Specific

Default: UE Specific

Double-click or use the drop-down menu to set the search space of the PDCCH channels.

Search Space is only available to be set when the current component cell is set to be the Primary Cell component carrier. For secondary cell component carriers, this parameter is inactive.

See more details about this parameter in the PDCCH Assignment Procedure or refer to 3GPP TS 36.213.

4. PUSCH Frequency Hopping Settings

Hopping Mode

Choice: Off | Inter-subframe | Intra and inter-subframe

Default: Off

Double-click or use the drop-down menu to select the Hopping Mode.

Refer to the TS 3GPP 36.211 5.3.4 and 36.213 8.4 about the PUSCH frequency hopping for more information.

Hopping Type

Choice: Type1 +1/4 | Type1 -1/4 | Type1 +1/2 | Type2

Default: Type1 +1/2

Double-click or use the drop-down menu to select the frequency hopping type of the PUSCHs.

Type 1 +1/4 and Type 1 -1/4 are only available when the number of system resource blocks is greater than 50.

Refer to the TS 3GPP 36.211 5.3.4 and 36.213 8.4 about the PUSCH frequency hopping for more information.

Hopping Offset

Range: 0 to 98

Default: 0

Enter a value for the frequency hopping offset of the PUSCHs.

Refer to the TS 3GPP 36.211 5.3.4 and 36.213 8.4 about the PUSCH frequency hopping for more information.

Hopping Subbands

Range: 1 to 4

Default: 1

Double-click or use the drop-down menu to select the frequency hopping subbands.

This parameter is only available when the frequency hopping type is set to Type 2.

Refer to the TS 3GPP 36.211 5.3.4 and 36.213 8.4 for more information.

PDCCH Tx Parameters (from grid)

Seq #

Displays the sequence number.

Frame

Displays the radio frame number.

Subframe

Displays the subframe number (0 to 9) in radio frame.

State

Choice: On | Off

Default: On

Click to turn the DCI state on or off in the selected subframe.

RA Type

Range: 0 to 1 (DCI Format 4, or DCI Format 0 and Uplink System Bandwidth <= Downlink System Bandwidth case)

Default: 0

Enter the resource allocation type of PUSCH scheduling information which is transmitted on PDCCH.

DCI Format 4, or DCI Format 0 and Uplink System Bandwidth <= Downlink System Bandwidth case, this field is only present. Otherwise it’s hidden.

0: Resource Allocation Type 0. A set of contiguously allocated virtual resource block which indicated by a starting resource block (Virtual Resource Block Offset) and length (Virtual Resource Block Size).

1: Resource Allocation Type 1. Two sets of resource blocks with each set including one or more consecutive resource block groups of size P same as downlink RBG size for uplink system bandwidth.

See 3GPP TS 36.211, 36.212 and 36.213, for more information.

RB Offset

Range: 0 to RBmax –1

Default: 0

Enter the offset of resource blocks allocation of the PUSCH in the selected subframe.

RB Size

Range: 1 to RBmax

Default: 25

Enter the resource block size of the PUSCH in the selected subframe. The maximum RB size is determined by the transmission bandwidth and frequency hopping parameters.

RBG Start #1 (S0)

Range: (It depends on Uplink System Bandwidth which is shown in parentheses.)

1 to 4 (1.4 MHz)

1 to 6 (3 MHz)

1 to 11 (5 MHz)

1 to 15 (10 MHz)

1 to 17 (15 MHz)

1 to 23 (20 MHz)

Default: 1

Enter the starting RBG index of cluster #1 (s0) of PUSCH scheduling information which is transmitted on PDCCH.

In case of resource allocation type = Type 1 (RA Type = 1), this parameter is active. Otherwise inactive.

There is input limitation which is s0 < s1 < s2 < s3.

Note that the resource block index is shown in parentheses.

See 3GPP TS 36.211, 36.212 and 36.213, for more information.

RBG End #1 (S1-1)

Range: (It depends on Uplink System Bandwidth which is shown in parentheses.)

1 to 4 (1.4MHz)

1 to 6 (3MHz)

1 to 11 (5MHz)

1 to 15 (10MHz)

1 to 17 (15MHz)

1 to 23 (20MHz)

Default:

2 (1.4MHz)

3 (3MHz)

6 (5MHz)

8 (10MHz)

8 (15MHz)

12 (20MHz)

Enter the ending RBG index of cluster #1 (s1-1) of PUSCH scheduling information which is transmitted on PDCCH.

In case of resource allocation type = Type 1 (RA Type = 1), this parameter is active. Otherwise inactive.

There is input limitation which is s0 < s1 < s2 < s3.

Note that the resource block index is shown in parentheses.

See 3GPP TS 36.211, 36.212 and 36.213, for more information.

RBG Start #2 (S2)

Range: (It depends on Uplink System Bandwidth which is shown in parentheses.)

3 to 6 (1.4MHz)

3 to 8 (3MHz)

3 to 13 (5MHz)

3 to 17 (10MHz)

3 to 19 (15MHz)

3 to 25 (20MHz)

Default:

5 (1.4MHz)

5 (3MHz)

8 (5MHz)

10 (10MHz)

10 (15MHz)

14 (20MHz)

Enter the starting RBG index of cluster #2 (s2) of PUSCH scheduling information which is transmitted on PDCCH.

In case of resource allocation type = Type 1 (RA Type = 1), this parameter is active. Otherwise inactive.

There is input limitation which is s0 < s1 < s2 < s3.

Note that the resource block index is shown in parentheses.

See 3GPP TS 36.211, 36.212 and 36.213, for more information.

RBG End #2 (S3-1)

Range: (It depends on Uplink System Bandwidth which is shown in parentheses.)

3 to 6 (1.4MHz)

3 to 8 (3MHz)

3 to 13 (5MHz)

3 to 17 (10MHz)

3 to 19 (15MHz)

3 to 25 (20MHz)

Default:

6 (1.4MHz)

7 (3MHz)

12 (5MHz)

16 (10MHz)

18 (15MHz)

24 (20MHz)

Enter the ending RBG index of cluster #2 (s3-1) of PUSCH scheduling information which is transmitted on PDCCH.

In case of resource allocation type = Type 1 (RA Type = 1), this parameter is active. Otherwise inactive.

There is input limitation which is s0 < s1 < s2 < s3.

Note that the resource block index is shown in parentheses.

See 3GPP TS 36.211, 36.212 and 36.213, for more information.

MCS Index(1)

Range: 0 to 31

Default: 0

Set modulation and coding scheme of transmission in the selected subframe.

NDI(1)

Choice: On|Off

Default: 0

Set new data indicator of the transmission in the selected subframe.

MCS Index(2)

Range: 0 to 31

Default: 0

Set modulation and coding scheme of transmission in the selected subframe.

NDI(2)

Choice: On|Off

Default: 0

Set new data indicator of the transmission in the selected subframe.

TPC PUSCH

Choice: TPC #0 | TPC #1 | TPC #2 | TPC #3

Default: TPC #0

Select the TPC command for PUSCH in the selected subframe.

Cyclic Shift

Range: 0 to 7

Default: 0

Enter the cyclic shift for DM-RS and OCC index of PUSCH scheduling information which is transmitted on PDCCH.

See 3GPP TS 36.211, 36.212 and 36.213, for more information.

UL Index

Choice: 0 to 3

Default: 0

Set UL index of the transmission in the selected subframe.

This parameter is only displayed when the uplink and the downlink configuration are set to 0.

CSI Request

Choice: On|Off

Default: Off

Set CSI Request state of the transmission in the selected subframe.

SRS Request

Range:

0 to 3 (2 bits) or 0 to 1 (1 bit)

0 to 3 (DCI Format 4 case)

0 to 1 (DCI Format 0 and UE-specific search space case)

Default: 0

Enter the SRS request of PUSCH scheduling information which is transmitted on PDCCH.

DCI Format 4, or DCI Format 0 and UE-specific search space case, this range is given by 2-bits field and 1-bit field, respectively. Otherwise it’s hidden.

See 3GPP TS 36.211, 36.212 and 36.213, for more information.

Precoding/Layers

Range: (It depends on Uplink Transmission Mode, Uplink Number of Antennas, Number of Codewords and DCI Format)

0 to 5 (Uplink Transmission Mode 2, Uplink Number of Antennas 2, Uplink Number of Codewords 1, DCI Format 4 case)

0 (Uplink Transmission Mode 2, Uplink Number of Antennas 2, Uplink Number of Codewords 2, DCI Format 4 case)

0 to 39 (Uplink Transmission Mode 2, Uplink Number of Antennas 4, Uplink Number of Codewords 1, DCI Format 4 case)

0 to 28 (Uplink Transmission Mode 2, Uplink Number of Antennas 4, Uplink Number of Codewords 2, DCI Format 4 case)

Enter the index of precoding information and number of layers for PUSCH scheduling information which is transmitted on PDCCH.

This parameter is shown in the case DCI Format 4. Otherwise it’s hidden or read only.

DCI Format depends on Uplink Transmission Mode, Uplink Number of Antennas and Number of Codewords.

3 bits and 6 bits precoding information are used for 2 antennas configuration and 4 antennas configuration respectively.

See 3GPP TS36.212 and 36.213 for more information.

Message

Displays the number of layers and Transmitted Precoding Matrix Indicator (TPMI).

This is shown as the number of layers and TPMI which is translated from Precoding/Layers parameter.

Note that TPMI for 2 or 4 Uplink Number of Antennas indicates which codebook index is to be used.

See 3GPP TS36.212 and 36.213 for more information.

Agg Level

Choice: 1 | 2 | 4 | 8

Default: 1

Select the Aggregation level for the DCI searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

Candidate

Choice: 0

Default: 0 to maximum

Set the candidate within the searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

CCE Offset

Display the CCE offset of the DCI in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.


UL-SCH PDDCH Tx Setting and Config. (Advanced LTE TDD Downlink)

Real Time

UL-SCH PDCCH Tx Setting and Configuration (Advanced LTE TDD Downlink)

Select the DCI channel in the Channel Setup node, then click the [image] button in the DCI #9 for UL-SCH Scheduling cell to open the UL-SCH PDCCH Tx Setting window.

The UL-SCH PDCCH Tx Setting window displays the UL-SCH PDCCH Configuration information.

  • Use the Import tab to navigate to and import a saved transmission sequence.

  • Use the Export tab to save the current transmission sequence to a file.

  • Click the Config Tool button to access a Closed drop-down list that enables you to set parameters for all transmissions to the same value.

  • Click the links in the tables below for parameter definitions..

1. DCI Settings | 2. PDCCH Settings | 3. PUSCH Frequency Hopping Settings
DCI State | PDCCH UE Tx Antenna | Hopping Mode
DCI Format | Search Space | Hopping Type
DCI Data |  | Hopping Offset
DCI Payload Size (bits) |  | Hopping Subbands
RNTI |  |

Grid Parameters

State

RB Offset

RB Size

MCS Index

NDI

PUSCH TPC

DMRS Cyclic Shift

UL Index

DAI

CQI Request

Agg Level

Candidate

CCE Offset

1. DCI Settings

DCI State

Double-click or use the drop-down menu to control the operating state of DCI channel.

DCI Format

The DCI for the scheduling of PUSCH uses DCI format 0.

DCI Data

Displays the Data Source of the DCI channel. The data for DCI is auto generated using the UL-SCH parameter settings in each subframe.

DCI Payload Size (bits)

Displays the payload size in bits. Refer to the 3GPP TS 36.212 5.3.3.1 DCI formats for more information.

RNTI

Range: 1 to 65535

Default: 1

Enter a value for the Radio Network Temporary Identifier (RNTI).

2. PDCCH Settings

PDCCH UE Tx Antenna

Choice: UE Port 0 | UE Port 1

Default: UE Port 0

Double-click or use the drop-down menu to set the UE Tx Antenna for the selected DCI channel.

Search Space

Choice: Common | UE Specific

Default: Common

Double-click or use the drop-down menu to set the search space of the PDCCH channels.

See more details about this parameter in the PDCCH Assignment Procedure or refer to 3GPP TS 36.213.

3. PUSCH Frequency Hopping Settings

Hopping Mode

Choice: Off | Inter-subframe | Intra and inter-subframe

Default: Off

Double-click or use the drop-down menu to select the Hopping Mode.

Refer to the TS 3GPP 36.211 5.3.4 and 36.213 8.4 about the PUSCH frequency hopping for more information.

Hopping Type

Choice: Type1 +1/4 | Type1 -1/4 | Type1 +1/2 | Type2

Default: Type1 +1/2

Double-click or use the drop-down menu to select the frequency hopping type of the PUSCHs.

Type 1 +1/4 and Type 1 -1/4 are only available when the number of system resource blocks is greater than 50.

Refer to the TS 3GPP 36.211 5.3.4 and 36.213 8.4 about the PUSCH frequency hopping for more information.

Hopping Offset

Range: 0 to 98

Default: 0

Enter a value for the frequency hopping offset of the PUSCHs.

Refer to the TS 3GPP 36.211 5.3.4 and 36.213 8.4 about the PUSCH frequency hopping for more information.

Hopping Subbands

Range: 1 to 4

Default: 1

Double-click or use the drop-down menu to select the frequency hopping subbands.

This parameter is only available when the frequency hopping type is set to Type 2.

Refer to the TS 3GPP 36.211 5.3.4 and 36.213 8.4 for more information.

PDCCH Tx Parameter Settings

State

Choice: On | Off

Default: On

Click to turn the DCI state on or off in the selected subframe.

RB Offset

Range: 0 to RBmax –1

Default: 0

Enter the offset of resource blocks allocation of the PUSCH in the selected subframe.

RB Size

Range: 1 to RBmax

Default: 25

Enter the resource block size of the PUSCH in the selected subframe. The maximum RB size is determined by the transmission bandwidth and frequency hopping parameters.

MCS Index

Range: 0 to 31

Default: 0

Set modulation and coding scheme of transmission in the selected subframe.

NDI

Choice: On|Off

Default: 0

Set new data indicator of the transmission in the selected subframe.

PUSCH TPC

Choice: TPC #0 | TPC #1 | TPC #2 | TPC #3

Default: TPC #0

Select the TPC command for PUSCH in the selected subframe.

DMRS Cyclic Shift

Range: 0, 2, 3, 4, 6, 8, 9, 10

Default: 0

The demodulation reference signal sequence [image] for PUSCH is defined by

where

and

Section 5.5.1 defines the sequence

The cyclic shift [image] in a slot ns is given as [image] with

where the values of [image] is given by Table 5.5.2.1.1-2 according to the parameter cyclicShift provided by higher layers, [image] is given by the cyclic shift for DMRS field in most recent DCI format 0 [3] for the transport block associated with the corresponding PUSCH transmission where the values of [image] is given in Table 1.

shall be set to zero, if there is no PDCCH with DCI format 0 for the same transport block, and

• if the initial PUSCH for the same transport block is semi-persistently scheduled, or ,

• if the initial PUSCH for the same transport block is scheduled by the random access response grant

is given by

where the pseudo-random sequence c(i) is defined by section 7.2. The application of c(i) is cell-specific. The pseudo-random sequence generator shall be initialized with [image] at the beginning of each radio frame.

Table 1: Mapping of Cyclic Shift Field in DCI format 0 to Values.

Cyclic Shift Field in DCI format 0 [3] |
000 | 0
001 | 6
010 | 3
011 | 4
100 | 2
101 | 8
110 | 10
111 | 9

Refer to 3GPP TS 36.211 5.5.2.1.1 for more information.

UL Index

Choice: 0 to 3

Default: 0

Set UL index of the transmission in the selected subframe.

This parameter is only displayed when the uplink and the downlink configuration are set to 0.

DAI

Choice: 0 to 3

Default: 0

Set downlink assignment index of the transmission in the selected subframe.

This parameter is only displayed when the uplink and the downlink configuration values are set from 1 to 6.

CQI Request

Choice: On|Off

Default: Off

Set CQI Request state of the transmission in the selected subframe.

Agg Level

Choice: 1 | 2 | 4 | 8

Default: 1

Select the Aggregation level for the DCI searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

Candidate

Choice: 0

Default: 0 to maximum

Set the candidate within the searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

CCE Offset

Display the CCE offset of the DCI in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.


UL-SCH Tx sequence Window (Advanced LTE-A TDD Uplink)

The UL-SCH TX window displays the transmission sequence defined in the Channel Setup node for the selected UL-SCH channel.

Select a UL-SCH channel in the Channel Setup node, then click the [image] button in the Transmission Configuration cell to open the UL-SCH Tx sequence window.

  • Click the Config Tool button to access a drop-down list that enables you to set parameters for all transmissions to the same value. The settings configured in the Channel Setup node and the UL-SCH Tx sequence window are displayed in the Tx Map.

  • Use the Import tab to navigate to and import a saved transmission sequence.

  • Use the Export tab to save the current transmission sequence to a file.

  • Refer to the parameter descriptions below and to 3GPP TS 36.211 for additional information.

Grid Parameters

UL-SCH Tx sequence window (left segment)

UL-SCH Tx sequence window (center segment)

UL-SCH Tx sequence window (right segment)

Additional Grid Parameters (Dependent on MIMO Setup)

UL-SCH Tx sequence window (additions to left segment)

UL-SCH Tx sequence window (additions to center segment)

Parameter Descriptions

Grid Parameters |  |  | Additional MIMO Grid Parameters
Sequence Frame Subframe State RA Type RB Offset RB Size Retrans(1) MCS Index(1) Modulation(1) TBS Index(1) | Block Size(1) RV Index(1) DMRS Power CS Field Index HARQ-ACK Feedback Mode Nbundled HARQ-ACK Info HARQ-ACK Info Size | HARQ-ACK Offset # RI RI Info RI Info Size RI Offset # CQI/PMI CQI/PMI Info CQI/PMI Info Size CQI/PMI Offset # | RGB Start #1 (s0) RGB End #1 (s1-1) RBG Start #2 (s2) RBG End #2 (s3-1) Retrans(2) MCS Index(2) Modulation(2) TBS Index(2) Block Size(2) RV Index(2)

Grid Parameter Descriptions

Sequence

Displays the sequence number.

Frame

Displays the radio frame number.

Subframe

Displays the subframe number (0 to 9) in radio frame.

State

Choice: On | Off

Default: On

Click to turn on or off the transmission state in the current subframe.

RA Type

Range:

Type 0 | Type 1

Type 0 (DCI Format 0 and Hopping Mode is not off case)

Default: Type 0

Double-click or use the drop-down menu to select the uplink resource allocation type. In the case DCI Format 0 and Hopping Mode is not off, Type 0 is only available with read only.

Type 0: A set of contiguously allocated virtual resource block which indicated by a starting resource block (Virtual Resource Block Offset) and length (Virtual Resource Block Size).

Type 1: Two sets of resource blocks with each set including one or more consecutive resource block groups of size P same as downlink RBG size for uplink system bandwidth.

See 3GPP TS 36.213 for more information.

RB Offset

Range: 0 to maximum RB size – 1

Default: 0

Enter a value of the resource block offset in RA Type 0 (single clustered) case.

In RA Type 1 (multi-clustered) case the RB Offset is shown for cluster #1 (RBG Start #1/RBG End #1) and cluster #2 (RBG Start #2/RBG End #2) respectively as read-only.

For example, RB Offset is (0, 27) means cluster #1 is 0 RB Offset and cluster #2 is 27 RB Offset.

See 3GPP TS 36.211 and 36.213 for more information.

RB Size

Range: 1 to maximum RB size

Enter a value of the resource block size in RA Type 0 (single clustered) case.

In RA Type 1 (multi-clustered) case the RB Size is shown for cluster #1 (RBG Start #1/RBG End #1) and cluster #2 (RBG Start #2/RBG End #2) respectively as read-only.

For example, RB Size is (24, 21) means cluster #1 is 24 RB Size and cluster #2 is 21 RB Size.

See 3GPP TS 36.211 and 36.213 for more information.

Retrans(1)

Choices: Off | On

Sets the re-transmission process of the transport block 1 (codeword 0) for the corresponding PUSCH transmission. (Toggle the new data indicator state or not.)

On: Re-transmission data with next RV index is transmitted. (The new data indicator is not toggled.)

Off: New data is transmitted. (The new data indicator is toggled.)

First transmission of each process is not available to set re-transmission.

For example, when the Number of HARQ Processes is 1 (Assigned Process is 0) and every subframe transmission is on, the re-transmission is not available to the first transmission.

Example: If the eNB receives incorrect data in uplink process #0, it sends a sends a retransmission request (NACK) to the UE. The UE then resends the data that was sent in previous process #0, 8 subframes earlier, starting with the next cycle of process #0. This is done by incrementing the RV Index(1) in the specified sequence (i.e. 0, 2, 3, 1...), up to the maximum number of the retransmission (i.e. a longer Waveform Generation Length, enables a greater number of potential retransmissions). Each complete retransmission can only happen after eight subframes.

Refer to the 3GPP standards, TS36.213 clause 8 and TS36.321 clause 5.4.2 on HARQ operation.

MCS Index(1)

Range: 0 to 31 | Off

Default: 0

Enter the MCS index of the transport block 1 (codeword 0) for the corresponding PUSCH transmission.

When the “Transmission Setting Mode” in UL-SCH is MCS and this parameter is 0 to 28, the “Modulation(1)” and “TBS Index(1)” are automatically selected.

When the “Transmission Setting Mode” in UL-SCH is MCS and this parameter is 29 to 31, manual selection is available for the “Modulation(1)” and “TBS Index(1)”.

When the “Transmission Setting Mode” in UL-SCH is Manual, this is hidden.

When an MCS Index value is selected, the software generates the values for Modulation, TBS Index, and the TB Size according to the 3GPP standards. You can choose to manually enter the TB Size and the modulation, by turning off the MCS Index and the TBS Index parameters. This is required where the control information is transmitted without any data (payload)

See 3GPP TS 36.211, 36.212 and 36.213, for more information.

Modulation(1)

Choice: QPSK | 16QAM | 64QAM

Default: QPSK

Displays the modulation type of the transport block 1 (codeword 0) for the corresponding PUSCH transmission, when the “Transmission Setting Mode” in UL-SCH is MCS and “MCS Index(1)” is 0 to 28.

In this case this modulation type is automatically selected by the “MCS Index(1)”.

Otherwise use the drop-down menu to select the modulation type of the transport block 1 (codeword 0) for the corresponding PUSCH transmission.

See 3GPP TS 36.211, 36.212 and 36.213, for more information.

TBS Index(1)

Range: 0 to 26

When the “Transmission Setting Mode” in UL-SCH is MCS and “MCS Index(1)” is 0 to 28, this parameter displays the TBS index of the transport block 1 (codeword 0) for the corresponding PUSCH transmission.

In this case this TBS index is automatically selected by “MCS Index(1)”.

When the “Transmission Setting Mode” in UL-SCH is MCS and the “MCS Index(1)” is 29 to 31, you can enter the TBS index of the transport block 1 (codeword 0) for the corresponding PUSCH transmission.

When the “Transmission Setting Mode” in UL-SCH is Manual, it is hidden.

Both TBS index and resource block size determine the transport block size.

See 3GPP TS 36.211, 36.212 and 36.213, for more information.

Block Size(1)

Range: 0 to 149776

When the “Transmission Setting Mode” in UL-SCH is MCS and “MCS Index(1)” is 0 to 28, this parameter displays the transport block size of the transport block 1 (codeword 0) for the corresponding PUSCH transmission.

In this case this transport block size is automatically selected by “RB Size” and “TBS Index(1)”.

When the “Transmission Setting Mode” in UL-SCH is MCS and the “MCS Index(1)” is 29 to 31, you cam enter the transport block size of the transport block 1 (codeword 0) for the corresponding PUSCH transmission.

When the “Transmission Setting Mode” in UL-SCH is Manual, it is hidden.

See 3GPP TS 36.212 and 36.213, for more information.

RV Index(1)

Range: 0 to 3

Default: 0

Enter the redundancy version index (RV Index) of the transport block 1 (codeword 0) for the corresponding PUSCH transmission.

If the “RV Index Configuration” parameter is “Auto”, the RV Index is automatically selected by the “RV Index Sequence” and “Retrans(1)” parameter. Otherwise manual selection is available.

See 3GPP TS 36.212 and 36.213, for more information.

DMRS Power

Range: –60 to 20 dB

Default: 0 dB

Enter a power level in dB for the demodulation reference signal (DMRS) relative to the carrier power.

CS Field Index

Range: 0 to 7

Default: 0

Enter the cyclic shift field index for the corresponding PUSCH transmission.

Cyclic shift for DMRS and orthogonal sequence is given by CS Field Index and layer number.

See 3GPP TS 36.212 and 36.213, for more information.

HARQ-ACK

Choice: On | Off

Default: Off

Click the check box to enable HARQ-ACK in the current subframe.

Feedback Mode (for HARQ-ACK)

Choice: Bundling | Multiplexing

Default: Multiplexing

Click the drop down menu to enable the HARQ-ACK Feedback mode in the current subframe.

Nbundled

Range: 0 to 3

Enter a value for the Nbundled sequence index in the current subframe.

HARQ-ACK Info

Choice: ACK | NACK | ACK-ACK | ACK-NACK | NACK-ACK | NACK-NACK | User Defined Bits

Default: ACK

Click in the cell to open the HARQ-ACK Info Selection dialog box and select the HARQ-ACK information type.

HARQ-ACK Info Size

Range:

1 for HARQ-ACK Info = ACK or NACK

2 for HARQ-ACK Info = ACK-ACK, ACK-NACK, NACK-ACK, NACK-NACK

3 to 11 for HARQ-ACK Info = User Defined Bits

12 to 20 for HARQ-ACK Info = User Defined Bits

If User Defined Bits is selected as the HARQ-ACK Info type, enter a value between 3 and 20 for HARQ-ACK Info Size. The software sets the HARQ-ACK Info Size for the other HARQ-ACK Info type selections as shown above.

Refer to 3GPP TS 36.212 and 36.213.

HARQ-ACK Offset #

Range: 0 to 14

Default: 0

Enter a value for HARQ-ACK Offset index for the selected transmission.

RI

Choice: On | Off

Default: Off

Select the check box to enable RI multiplexing to the UL-SCH in a specific subframe.

RI Info

Choice: 0 | 1 | 0-0 | 0-1 | 1-1 | User Defined Bits

Default: 0

Click in the cell to open the RI Info Selection dialog box. Select one of the choices to set the RI Info type.

Refer to 3GPP TS 36.212 and 36.213.

RI Info Size

Range:

1 for RI Info = 0 or 1

2 for RI Info = 0-0, 0-1, 1-0 or 1-1

3 to 11 for RI Info = User Defined Bits

12 to 15 for RI Info = User Defined Bits

The software sets the RI Info Size for the other RI Info type selections as shown above.

Based on data size (1 bit, 2 bits, 3-11 bits and 12 to 15 bits), the corresponding channel coding of RI Information is used.

Refer to 3GPP TS 36.212 and 36.213.

RI Offset #

Range: 0 to 15

Default: 0

Enter a value for RI Offset index in the selected transmission.

CQI/PMI

Choice: On | Off

Default: Off

Click the check box to enable CQI/PMI multiplexing to the UL-SCH in a specific subframe.

CQI/PMI Info

Choice: PN9 | PN15 | User Defined Bits

Default: PN9

Click in the cell to open the CQI/PMI Info Selection dialog box. Select one of the choices to set the CQI/PMI Info type.

CQI/PMI Info Size

Range: 1 to 144

Default: 4

Enter a value for CQI/PMI Info Size.

Refer to 3GPP TS 36.212 and 36.213.

CQI/PMI Offset #

Range: 0 to 15

Default: 0

Enter a value for CQI/PMI Offset index in the selected transmission.

Additional Parameters Descriptions (Dependent on MIMO Setup)

RBG Start #1 (s0)

Range:

1 to 4 (1.4MHz)

1 to 6 (3MHz)

1 to 11 (5MHz)

1 to 15 (10MHz)

1 to 17 (15MHz)

1 to 23 (20MHz)

Default: 1

In case of DCI Format 4, enter a value of the Starting RBG Index of Cluster #1 (0). Otherwise it’s hidden.

In case of Resource Allocation Type = Type 1, this parameter is active. Otherwise inactive.

There is an input limitation which is s0 < s1 < s2 < s3.

Note that the resource block index is shown in parentheses.

See 3GPP TS 36.213 for more information.

RBG End #1 (s1-1)

Range:

1 to 4 (1.4MHz)

1 to 6 (3MHz)

1 to 11 (5MHz)

1 to 15 (10MHz)

1 to 17 (15MHz)

1 to 23 (20MHz)

Default:

2 (1.4MHz)

3 (3MHz)

6 (5MHz)

8 (10MHz)

8 (15MHz)

12 (20MHz)

In case of DCI Format 4, enter a value of the Starting RBG Index of Cluster #1 (s1-1). Otherwise it’s hidden.

In case of Resource Allocation Type = Type 1, this parameter is active. Otherwise inactive.

There is an input limitation which is s0 < s1 < s2 < s3.

Note that the resource block index is shown in parentheses.

See 3GPP TS 36.213 for more information.

RBG Start #2 (s2)

Range:

3 to 6 (1.4MHz)

3 to 8 (3MHz)

3 to 13 (5MHz)

3 to 17 (10MHz)

3 to 19 (15MHz)

3 to 25 (20MHz)

Default:

5 (1.4MHz)

5 (3MHz)

8 (5MHz)

10 (10MHz)

10 (15MHz)

14 (20MHz)

In case of DCI Format 4, enter a value of the Starting RBG Index of Cluster #2 (s2). Otherwise it’s hidden.

In case of Resource Allocation Type = Type 1, this parameter is active. Otherwise inactive.

There is an input limitation which is s0 < s1 < s2 < s3.

Note that the resource block index is shown in parentheses.

See 3GPP TS 36.213 for more information.

RBG End #2 (s3-1)

Range:

3 to 6 (1.4MHz)

3 to 8 (3MHz)

3 to 13 (5MHz)

3 to 17 (10MHz)

3 to 19 (15MHz)

3 to 25 (20MHz)

Default:

6 (1.4MHz)

7 (3MHz)

12 (5MHz)

16 (10MHz)

18 (15MHz)

24 (20MHz)

In case of DCI Format 4, enter a value of the Starting RBG Index of Cluster #1 (s1-1). Otherwise it’s hidden.

In case of Resource Allocation Type = Type 1, this parameter is active. Otherwise inactive.

There is an input limitation which is s0 < s1 < s2 < s3.

Note that the resource block index is shown in parentheses.

See 3GPP TS 36.213 for more information.

Retrans(2)

Choices: Off | On

Sets the re-transmission process of the transport block 2 (codeword 1) for the corresponding PUSCH transmission. (Toggle the new data indicator state or not.)

On: Re-transmission data with next RV index is transmitted. (The new data indicator is not toggled.)

Off: New data is transmitted. (The new data indicator is toggled.)

This parameter only exists, when the “Number of Codewords” in UL-SCH is 2.

First transmission of each process is not available to set re-transmission. For example, when the Number of HARQ Processes is 1 (Assigned Process is 0) and every subframe transmission is on, the re-transmission is not available to the first transmission.

Example: If the eNB receives incorrect data in uplink process #0, it sends a sends a retransmission request (NACK) to the UE. The UE then resends the data that was sent in previous process #0, 8 subframes earlier, starting with the next cycle of process #0. This is done by incrementing the RV Index(2) in the specified sequence (i.e. 0, 2, 3, 1...), up to the maximum number of the retransmission (i.e. a longer Waveform Generation Length, enables a greater number of potential retransmissions). Each complete retransmission can only happen after eight subframes.

Refer to the 3GPP standards, TS36.213 clause 8 and TS36.321 clause 5.4.2 on HARQ operation.

MCS Index(2)

Range: 0 to 31

Enter the MCS index of the transport block 2 (codeword 1) for the corresponding PUSCH transmission.

When the “Transmission Setting Mode” in UL-SCH is MCS and this parameter is 0 to 28, the “Modulation(2)” and “TBS Index(2)” are automatically selected.

When the “Transmission Setting Mode” in UL-SCH is MCS and this parameter is 29 to 31, manual selection is available for the “Modulation(2)” and “TBS Index(2)”.

When the “Transmission Setting Mode” in UL-SCH is Manual, this is hidden.

When an MCS Index value is selected, the software generates the values for Modulation, TBS Index, and the TB Size according to the 3GPP standards. You can choose to manually enter the TB Size and the modulation, by turning off the MCS Index and the TBS Index parameters. This is required where the control information is transmitted without any data (payload)

This parameter only exists, when the “Number of Codewords” in UL-SCH is 2.

Modulation(2)

Choice: QPSK | 16QAM | 64QAM

Default: QPSK

When the “Transmission Setting Mode” in UL-SCH is MCS and “MCS Index(2)” is 0 to 28, this parameter displays the modulation type of the transport block 2 (codeword 1) for the corresponding PUSCH transmission.

In this case this modulation type is automatically selected by the “MCS Index(2)”.

Otherwise, you can use the drop-down menu to select the modulation type of the transport block 2 (codeword 1) for the corresponding PUSCH transmission.

This parameter only exists, when the “Number of Codewords” in UL-SCH is 2.

If the “MCS Index” parameter is 0 to 28, the modulation type is automatically selected by the “MCS Index”. Otherwise manual selection is available.

See 3GPP TS 36.211, 36.212 and 36.213, for more information.

TBS Index(2)

Range: 0 to 26

Default: 0

When the “Transmission Setting Mode” in UL-SCH is MCS and “MCS Index(2)” is 0 to 28, this parameter displays the TBS index of the transport block 2 (codeword 1) for the corresponding PUSCH transmission.

In this case this TBS index is automatically selected by “MCS Index(2)”.

When the “Transmission Setting Mode” in UL-SCH is MCS and the “MCS Index(2)” is 29 to 31, you can enter the TBS index of the transport block 2 (codeword 1) for the corresponding PUSCH transmission.

When the “Transmission Setting Mode” in UL-SCH is Manual, this is hidden. Both TBS index and resource block size determine the transport block size.

This parameter only exists, when the “Number of Codewords” in UL-SCH is 2.

See 3GPP TS 36.211, 36.212 and 36.213, for more information.

Block Size(2)

Range: 0 to 149776

When the “Transmission Setting Mode” in UL-SCH is MCS and “MCS Index(2)” is 0 to 28, this parameter displays the transport block size of the transport block 2 (codeword 1) for the corresponding PUSCH transmission.

In this case this transport block size is automatically selected by “RB Size” and “TBS Index(2)”.

When the “Transmission Setting Mode” in UL-SCH is MCS and the “MCS Index(2)” is 29 to 31, you can enter the transport block size of the transport block 2 (codeword 1) for the corresponding PUSCH transmission.

This parameter only exists, when the “Number of Codewords” in UL-SCH is 2.

See 3GPP TS 36.212 and 36.213, for more information.

RV Index(2)

Choice: 0 | 1 | 2 | 3

Default: 0

Use the drop-down menu to select the redundancy version index (RV Index) of the transport block 2 (codeword 1) for the corresponding PUSCH transmission.

If the “RV Index Configuration” parameter is “Auto”, the RV Index is automatically selected by the “RV Index Sequence” and “Retrans(2)” parameter. Otherwise manual selection is available.

This parameter only exists, when the “Number of Codewords” in UL-SCH is 2.

See 3GPP TS 36.212 and 36.213, for more information.


UL-SCH Tx sequence Window (Advanced LTE TDD Uplink)

The UL-SCH TX window displays the transmission sequence defined in the Channel Setup node for the selected UL-SCH channel.

Select a UL-SCH channel in the Channel Setup node, then click the [image] button in the Transmission Configuration cell to open the UL-SCH Tx sequence window.

  • Click the Config Tool button to access a drop-down list that enables you to set parameters for all transmissions to the same value. The settings configured in the Channel Setup node and the UL-SCH Tx sequence window are displayed in the Tx Map.

  • Use the Import tab to navigate to and import a saved transmission sequence.

  • Use the Export tab to save the current transmission sequence to a file.

  • Refer to the parameter descriptions below and to 3GPP TS 36.211 for additional information.

Grid Parameters
State | Nbundled
Retrans | HARQ-ACK Info
MCS Index | HARQ-ACK Info Size
Modulation | HARQ-ACK Offset #
TBS Index | RI
Block Size | RI Info
RV Index | RI Info Size
RB Offset | RI Offset #
RB Size | CQI/PMI
DMRS Power | CQI/PMI Info
nDMRS(2) | CQI/PMI Info Size
HARQ-ACK | CQI/PMI Offset #
Feedback Mode |

Parameter Descriptions

State

Choice: On | Off

Default: On

Click to turn on or off the transmission state in the current subframe.

Retrans

Choice: On | Off

Default: Off

Click to turn on or off the retransmission state in the current subframe.

MCS Index

Range: 0 to 31

Default: 0

Enter a value for the MCS Index in the current subframe. The MCS Index determines the Modulation, TBS Index, and Block Size, and RV Index. Refer to 3GPP TS 36.211 Table 8.6.1-1 for the associated values.

Modulation

Choice: QPSK | 16QAM | 64QAM

Default: QPSK

If the transmission mode is set to MCS, the modulation is determined by the MCS index value selected.

TBS Index

Range: 0 to 26

Default: 0

If the transmission mode is set to MCS, the TBS Index is determined by the MCS index value selected.

Block Size

Range: 0 to 86400

Default: 680

If the transmission mode is set to MCS , the block size is determined by the MCS index value selected .

In Manual mode, the block size can be set to 0 to transmit only control data (HARQ-ACK, RI, or CQI/PMI) without UL-SCH data transmission.

RV Index

Range: 0 to 3

Default: 0

If the transmission mode is set to MCS , the block size is determined by the MCS index value selected .

RB Offset

Range: 0 to RBmax –1

Default: 0

Enter the number of resource blocks by which to offset the PUSCH transmission in the current subframe.

RB Size

Range: 1 to RBmax

Default: 25

Enter the number of resource blocks in the frequency domain for PUSCH transmission in the current subframe.

DMRS Power

Range: –60 to 20 dB

Default: 0 dB

Enter a power level in dB for the demodulation reference signal (DMRS) relative to the carrier power.

nDMRS(2)

Choice: 0 | 2 | 3 | 4 | 6 | 8 | 9 | 10

Default: 0

Enter the nDMRS(2) value which is used to calculate the cyclic shift value for the demodulation reference signal (DMRS)

HARQ-ACK

Choice: On | Off

Default: Off

Click the check box to enable HARQ-ACK in the current subframe.

Feedback Mode (for HARQ-ACK)

Choice: Bundling | Multiplexing

Default: Multiplexing

Click the drop down menu to enable the HARQ-ACK Feedback mode in the current subframe.

Nbundled

Range: 0 to 3

Enter a value for the Nbundled sequence index in the current subframe.

HARQ-ACK Info

Choice: ACK | NACK | ACK-ACK | ACK-NACK | NACK-ACK | NACK-NACK | User Defined Bits

Default: ACK

Click in the cell to open the HARQ-ACK Info Selection dialog box and select the HARQ-ACK information type.

HARQ-ACK Info Size

Range:

1 for HARQ-ACK Info = ACK or NACK

2 for HARQ-ACK Info = ACK-ACK, ACK-NACK, NACK-ACK, NACK-NACK

3 to 11 for HARQ-ACK Info = User Defined Bits

If User Defined Bits is selected as the HARQ-ACK Info type, enter a value between 3 and 11 for HARQ-ACK Info Size. The software sets the HARQ-ACK Info Size for the other HARQ-ACK Info type selections as shown above.

HARQ-ACK Offset #

Range: 0 to 14

Default: 0

Enter a value for HARQ-ACK Offset index for the selected transmission.

RI

Choice: On | Off

Default: Off

Select the check box to enable RI multiplexing to the UL-SCH in a specific subframe.

RI Info

Choice: 0 | 1 | 0-0 | 0-1 | 1-1

Default: 0

Click in the cell to open the RI Info Selection dialog box. Select one of the choices to set the RI Info type.

RI Info Size

Range:

1 for RI Info = 0 or 1

2 for RI Info = 0-0, 0-1, 1-0 or 1-1

The software sets the RI Info Size for the other RI Info type selections as shown above.

RI Offset #

Range: 0 to 12

Default: 0

Enter a value for RI Offset index in the selected transmission.

CQI/PMI

Choice: On | Off

Default: Off

Click the check box to enable CQI/PMI multiplexing to the UL-SCH in a specific subframe.

CQI/PMI Info

Choice: PN9 | PN15 | User Defined Bits

Default: PN9

Click in the cell to open the CQI/PMI Info Selection dialog box. Select one of the choices to set the CQI/PMI Info type.

CQI/PMI Info Size

Range: 1 to 20

Default: 4

Enter a value for CQI/PMI Info Size.

CQI/PMI Offset #

Range: 0 to 15

Default: 0

Enter a value for CQI/PMI Offset index in the selected transmission.

Related topics:

Channel Coding of Control Information without UL-SCH Data


Channel Coding of Control Information without UL-SCH Data

When control data is sent on the PUSCH/UCI without UL-SCH data, the coding process: channel coding of control information, control information mapping and channel interleaving can be identified. The fundamental change is the number of bits used to transmit the control information. The following is an example procedure for setting the relevant parameters for an Advanced LTE TDD Uplink carrier.

  1. In the tree view, click Uplink and set the State to On.

  2. In the Channel Setup window:

    1. Highlight UL-SCH to view the associated parameters.

    2. Set the Transmission Setting Mode to Manual.

  3. Click Transmission Configuration to open the UL-SCH TX sequence window.

  4. In the UL-SCH TX sequence window:

    1. Set the Block Size to 0.

    2. Set HARQ-ACK, RI, and CQI/PMI parameters as required.


UL RMC Wizard Window (Uplink)

To set up a UL Reference Measurement Channel (RMC), for an Advanced LTE TDD Uplink carrier, click the Wizard button [image] in the Uplink Setup node for the LTE or LTE-A standards to open the UL RMC Wizard. The following RMC Wizard window represents a superset of the LTE and LTE-A parameters, and some parameters are only valid for the Advanced LTE and Advanced LTE-A carriers (e.g. UE Category).

UL RMC Configuration

System Bandwidth

Double-click or use the drop-down menu to set the system bandwidth and number of resource blocks for the fixed reference channel.

Modulation

Choice: QPSK | 16QAM

Default: QPSK

Double-click or use the drop-down menu to set the modulation for the reference measurement channel.

For more details, refer to 3GPP TS 36.521-1.

Allocated Resource Blocks

Allocated Resource Blocks

Choice: 1 | 2 | 5 | 6 | 8 | 10 | 15 | 18 | 20 | 24 | 25

Default: 25

Double-click or use the drop-down menu to set the allocated resource blocks for the reference measurement channel. Choice parameters depend on System Bandwidth and Modulation.

For more details, refer to 3GPP TS 36.521-1.

RB Position

Choice: Lower End | Upper End

Default: Lower End

Double-click or use the drop-down menu to set the resource block (RB) position for the reference measurement channel.

Lower End: PUSCH RBs are placed lower frequency end of system bandwidth.

Upper End: PUSCH RBs are placed upper frequency end of system bandwidth.

For more details, refer to 3GPP TS 36.521-1.

UE Category (Advanced LTE-A only)

Choice: 1 | 2 | 3 | 4 | 5

Default: 5

System Bandwidth = 10MHz (50RB), Modulation = 16QAM and Allocated Resource Blocks = 30 or 36 or 50 case

Choice: 2 | 3 | 4 | 5

System Bandwidth = 15MHz (75RB), Modulation = 16QAM and Allocated Resource Blocks = 75 case

Choice: 2 | 3 | 4 | 5

System Bandwidth = 20MHz (100RB), Modulation = 16QAM and Allocated Resource Blocks = 75 or 100 case

Choice: 2 | 3 | 4 | 5

All other case

Choice: 1 | 2 | 3 | 4 | 5

If UE Category = 5 case, Set Support 64QAM = on. Otherwise set Support 64QAM = off

Double-click or use the drop-down menu to set the UE Category for the reference measurement channel. Choice parameters depend on System Bandwidth, Modulation and Allocation Resource Blocks.

UE Category 5 case, the parameter Support 64QAM is set on. Otherwise off.

For more details, refer to 3GPP TS 36.521-1.

Reference Channel for...

Channel Bandwidth

Displays the channel bandwidth of UL reference measurement channel based on above RMC configurations. This is a read only parameter.

For more details, refer to 3GPP TS 36.521-1.

Allocated Resource Blocks

Display the allocated resource blocks of UL reference measurement channel based on above RMC configurations. This is a read only parameter.

For more details, refer to 3GPP TS 36.521-1.

Uplink-Downlink Configuration

Displays the allocated resource blocks.

DFT-OFDM Symbols per Subframe

Displays the DFT-OFDM symbols per sub-frame of UL reference measurement channel based on above RMC configurations. This is a read only parameter.

For more details, refer to 3GPP TS 36.521-1.

Modulation

Choice: QPSK | 16QAM

Default: QPSK

Double-click or use the drop-down menu to set the modulation for the reference measurement channel.

For more details, refer to 3GPP TS 36.521-1.

Target Code Rate

Displays the target coding rate of UL reference measurement channel based on above RMC configurations. This is a read only parameter.

For more details, refer to 3GPP TS 36.521-1.

Payload Size (bits)

Displays the payload size of UL reference measurement channel based on above RMC configurations. This is a read only parameter.

For more details, refer to 3GPP TS 36.521-1.

Transport Block CRC (bits)

Displays the transport block CRC of UL reference measurement channel based on above RMC configurations. This is a read only parameter.

For more details, refer to 3GPP TS 36.521-1.

Number of Code Blocks

Displays the number of code blocks - C.

Total Number of Bits per Subframe

Displays the number of code blocks per sub-frame of UL reference measurement channel based on above RMC configurations. This is a read only parameter.

For more details, refer to 3GPP TS 36.521-1.

Total Symbols per Subframe

Display the total symbols per sub-frame of UL reference measurement channel based on above RMC configurations. This is a read only parameter.

For more details, refer to 3GPP TS 36.521-1.

UE Category

Displays the UE category of UL reference measurement channel based on above RMC configurations. This is a read only parameter.

For more details, refer to 3GPP TS 36.521-1.


Understanding CCDF Curves

To better understand CCDF curves, this discussion uses a cdmaOne signal as an example. Figure A shows the power versus time plot of a 9-channel cdmaOne signal. This plot represents the instantaneous envelope power defined by the equation: Power = I2 + Q2 where I and Q are the in-phase and quadrature components of the waveform.

Figure A

Unfortunately, the signal in the form shown in Figure A is difficult to quantify because of its inherent randomness and inconsistencies. In order to extract useful information from this noise-like signal, we need a statistical description of the power levels in this signal, and a complementary cumulative distribution function (CCDF) curve provides just that.

A CCDF curve shows how much time the signal spends at or above a given power level. The power level is expressed in dB relative to the average power. For example, each of the lines across the waveform shown in Figure A represents a specific power level above the average. The percentage of time the signal spends at or above each line defines the probability for that particular power level. A CCDF curve is a plot of relative power levels versus probability.

Figure B displays the CCDF curve of the same 9-channel cdmaOne signal captured on the E4406A VSA. Here, the x-axis is scaled to dB above the average signal power, which means we are actually measuring the peak-to-average ratios as opposed to absolute power levels. The y-axis is the percent of time the signal spends at or above the power level specified by the x-axis. For example, at t = 1% on the y-axis, the corresponding peak-to-average ratio is 7.5 dB on the x-axis. This means the signal power exceeds the average by at least 7.5 dB for 1 percent of the time. The position of the CCDF curve indicates the degree of peak-to-average deviation, with more stressful signals further to the right.

Figure B


Uplink Power Control PDCCH Tx Setting and Config (Advanced LTE-A Downlink)

Select the DCI channel in the Channel Setup node, then click the [image] button in the DCI #11 for Uplink Power Control cell to open the Uplink Power Control PDCCH Tx Setting window.

The Uplink Power Control PDCCH Tx Setting window displays the parameters setting of PDCCH transmitted in each subframe for the selected Uplink Power Control PDCCH channel in the Channel Setup.

  • Use the Import tab to navigate to and import a saved transmission sequence.

  • Use the Export tab to save the current transmission sequence to a file.

  • Click the Config Tool button to access a Closed drop-down list that enables you to set parameters for all transmissions to the same value.

  • Click the links in the table below for parameter descriptions.

1. DCI Settings | 2. PDCCH Settings
DCI State | PDCCH UE Tx Antenna
DCI Format | Search Space
DCI Data |
DCI Payload Size (bits) |
RNTI |

Other Parameter Descriptions

State

TPC Bits

Agg Level

Candidate

CCE Offset

Parameter Descriptions

1. DCI Settings

DCI State

Choice: Off | On

Default: On

Double-click or use the drop-down menu to control the operating state of DCI channel.

DCI State is only available to be set when the current component cell is set to be the Primary Cell component carrier. For secondary cell component carriers, this parameter is inactive.

DCI Format

Choice: Format 3 | Format 3A

Default: Format 3

Double-click or use the drop-down menu to set the format of the DCI.

DCI format 3 is used for the transmission of the TPC commands for PUCCH and PUSCH with 2-bits power adjustments.

DCI format 3A is used for the transmission of the TPC commands for PUCCH and PUSCH with 1 bit power adjustments.

DCI Data

Display the Data Source of the DCI channel. The data for DCI is auto generated using the TPC bits content in each subframe.

DCI Payload Size (bits)

Display the payload size in bits. Refer to the 3GPP TS 36.212 5.3.3.1 DCI formats for more information.

RNTI

Range: 1 to 65535

Default: 1

Enter a value for the Radio Network Temporary Identifier (RNTI).

2. PDCCH Settings

PDCCH UE Tx Antenna

Choice: UE Port 0 | UE Port 1

Default: UE Port 0

Double-click or use the drop-down menu to set the UE Tx Antenna for the DCI channel.

Search Space

Choice: Common | UE Specific

Default: UE Specific

Double-click or use the drop-down menu to set the search space of the PDCCH channels.

Search Space is only available to be set when the current component cell is set to be the Primary Cell component carrier. For secondary cell component carriers, this parameter is inactive.

See more details about this parameter in the PDCCH Assignment Procedure or refer to 3GPP TS 36.213.

PDCCH Tx Parameter Settings

State

Choice: Off | On

Default: On

Click to turn the DCI state on or off in the selected subframe.

TPC Bits

Choice: System bandwidth dependent

Default: ”00000000000000000000000000”

Set TPC command bits of the transmission in the selected subframe.

DCI format 3 is used for the transmission of the TPC commands for PUCCH and PUSCH with 2-bits power adjustments.

DCI format 3A is used for the transmission of the TPC commands for PUCCH and PUSCH with 1 bit power adjustments.

The following information is transmitted by the means of the uplink power control DCI formats:

TPC command number 1, TPC command number 2, ... , TPC command number n

Agg Level

Choice: 1 | 2 | 4 | 8

Default: 1

Select the Aggregation level for the DCI searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

Candidate

Choice: 0

Default: 0 to maximum

Set the candidate within the searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

CCE Offset

Display the CCE offset of the DCI in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.


Uplink Power Control PDCCH Tx Setting and Config (Advanced LTE TDD Downlink)

Real Time

Uplink Power Control PDCCH Tx Setting and Config (Advanced LTE-A and Advanced LTE TDD Downlink)

Select the DCI channel in the Channel Setup node, then click the [image] button in the DCI #11 for Uplink Power Control cell to open the Uplink Power Control PDCCH Tx Setting window.

The Uplink Power Control PDCCH Tx Setting window displays the parameters setting of PDCCH transmitted in each subframe for the selected Uplink Power Control PDCCH channel in the Channel Setup.

  • Use the Import tab to navigate to and import a saved transmission sequence.

  • Use the Export tab to save the current transmission sequence to a file.

  • Click the Config Tool button to access a Closed drop-down list that enables you to set parameters for all transmissions to the same value.

  • Click the links in the table below for parameter descriptions.

1. DCI Settings | 2. PDCCH Settings
DCI State | PDCCH UE Tx Antenna
DCI Format | Search Space
DCI Data |
DCI Payload Size (bits) |
RNTI |

Other Parameter Descriptions

State

TPC Bits

Agg Level

Candidate

CCE Offset

Parameter Descriptions

1. DCI Settings

DCI State

Double-click or use the drop-down menu to control the operating state of DCI channel.

DCI Format

Choice: Format 3 | Format 3A

Default: Format 3

Double-click or use the drop-down menu to set the format of the DCI.

DCI format 3 is used for the transmission of the TPC commands for PUCCH and PUSCH with 2-bits power adjustments.

DCI format 3A is used for the transmission of the TPC commands for PUCCH and PUSCH with 1 bit power adjustments.

DCI Data

Display the Data Source of the DCI channel. The data for DCI is auto generated using the TPC bits content in each subframe.

DCI Payload Size (bits)

Display the payload size in bits. Refer to the 3GPP TS 36.212 5.3.3.1 DCI formats for more information.

RNTI

Range: 1 to 65535

Default: 1

Enter a value for the Radio Network Temporary Identifier (RNTI).

2. PDCCH Settings

PDCCH UE Tx Antenna

Choice: UE Port 0 | UE Port 1

Default: UE Port 0

Double-click or use the drop-down menu to set the UE Tx Antenna for the DCI channel.

Search Space

Choice: Common | UE Specific

Default: Common

Double-click or use the drop-down menu to set the search space of the PDCCH channels.

See more details about this parameter in the PDCCH Assignment Procedure or refer to 3GPP TS 36.213.

PDCCH Tx Parameter Settings

State

Choice: Off | On

Default: On

Click to turn the DCI state on or off in the selected subframe.

TPC Bits

Choice: System bandwidth dependent

Default: ”00000000000000000000000000”

Set TPC command bits of the transmission in the selected subframe.

DCI format 3 is used for the transmission of the TPC commands for PUCCH and PUSCH with 2-bits power adjustments.

DCI format 3A is used for the transmission of the TPC commands for PUCCH and PUSCH with 1 bit power adjustments.

The following information is transmitted by the means of the uplink power control DCI formats:

TPC command number 1, TPC command number 2, ... , TPC command number n

Agg Level

Choice: 1 | 2 | 4 | 8

Default: 1

Select the Aggregation level for the DCI searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

Candidate

Choice: 0

Default: 0 to maximum

Set the candidate within the searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

CCE Offset

Display the CCE offset of the DCI in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.


useful tools dropdown ul-sch

Real Time


User Defined PDCCH Tx Setting and Configuration (Advanced LTE-A TDD Downlink)

Select the DCI channel in the Channel Setup node, then click the [image] button in the DCI #12 for User Defined cell to open the User Defined PDCCH Tx Setting window.

The User Defined PDCCH Tx Setting window displays the parameters setting of PDCCH with user defined data transmitted in each subframe.

  • Use the Import tab to navigate to and import a saved transmission sequence.

  • Use the Export tab to save the current transmission sequence to a file.

  • Click the Config Tool button to access a Closed drop-down list that enables you to set parameters for all transmissions to the same value.

  • Click the links in the table below for parameter descriptions.

1. DCI Settings | 2. PDCCH Settings
DCI State | PDCCH UE Tx Antenna
DCI Format | Search Space
DCI Data |
DCI Payload Size (bits) |
RNTI |

Other Parameter Descriptions

State

Data

Agg Level

Candidate

CCE Offset

Parameter Descriptions

1. DCI Settings

DCI State

Double-click or use the drop-down menu to control the operating state of DCI channel.

DCI Format

Choice: Format 0 | Format 1 | Format 1A | Format 1B | Format 1C | Format 1D | Format 2 | Format 2A | Format 2B | Format 2C | Format 3 | Format 3A

Default: Format 1A

Double-click or use the drop-down menu to set the format of the DCI.

DCI Data

Display the Data Source of the DCI channel.

In the User Defined DCI, the data for DCI is auto generated using the data source in each subframe.

DCI Payload Size (bits)

Display the DCI payload size in bits. Refer to the 3GPP TS 36.212 5.3.3.1 DCI formats for more information.

RNTI

Range: 1 to 65535

Default: 1

Enter a value for the Radio Network Temporary Identifier (RNTI).

2. PDCCH Settings

PDCCH UE Tx Antenna

Choice: UE Port 0 | UE Port 1

Default: UE Port 0

Double-click or use the drop-down menu to set the UE Tx Antenna for the DCI channel.

Search Space

Choice: Common | UE Specific

Default: UE Specific

Double-click or use the drop-down menu to set the search space of the PDCCH channels.

Search Space is only available to be set when the current component cell is set to be the Primary Cell component carrier. For secondary cell component carriers, this parameter is inactive.

See more details about this parameter in the PDCCH Assignment Procedure or refer to 3GPP TS 36.213.

PDCCH Tx Parameter Settings

State

Choice: Off | On

Default: On

Click to turn the DCI state on or off in the selected subframe.

Data

Choice: PN9 | PN15 | User Defined

Default: PN9

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data in the selected subframe.

Agg Level

Choice: 1 | 2 | 4 | 8

Default: 1

Select the Aggregation level for the DCI searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

Candidate

Choice: 0

Default: 0 to maximum

Set the candidate within the searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

CCE Offset

Display the CCE offset of the DCI in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.


User Defined PDCCH Tx Setting and Config (Advanced LTE TDD Downlink)

Real Time

User Defined PDCCH Tx Setting and Configuration (Advanced LTE TDD Downlink)

Select the DCI channel in the Channel Setup node, then click the [image] button in the DCI #12 for User Defined cell to open the User Defined PDCCH Tx Setting window.

The User Defined PDCCH Tx Setting window displays the parameters setting of PDCCH with user defined data transmitted in each subframe.

  • Use the Import tab to navigate to and import a saved transmission sequence.

  • Use the Export tab to save the current transmission sequence to a file.

  • Click the Config Tool button to access a Closed drop-down list that enables you to set parameters for all transmissions to the same value.

  • Click the links in the table below for parameter descriptions.

1. DCI Settings | 2. PDCCH Settings
DCI State | PDCCH UE Tx Antenna
DCI Format | Search Space
DCI Data |
DCI Payload Size (bits) |
RNTI |

Other Parameter Descriptions

State

Data

Agg Level

Candidate

CCE Offset

Parameter Descriptions

1. DCI Settings

DCI State

Double-click or use the drop-down menu to control the operating state of DCI channel.

DCI Format

Choice: Format 0 | Format 1 | Format 1A | Format 1B | Format 1C | Format 1D | Format 2 | Format 2A | Format 2B | Format 3 | Format 3A

Default: Format 1A

Double-click or use the drop-down menu to set the format of the DCI.

DCI Data

Display the Data Source of the DCI channel.

In the User Defined DCI, the data for DCI is auto generated using the data source in each subframe.

DCI Payload Size (bits)

Display the DCI payload size in bits. Refer to the 3GPP TS 36.212 5.3.3.1 DCI formats for more information.

RNTI

Range: 1 to 65535

Default: 1

Enter a value for the Radio Network Temporary Identifier (RNTI).

2. PDCCH Settings

PDCCH UE Tx Antenna

Choice: UE Port 0 | UE Port 1

Default: UE Port 0

Double-click or use the drop-down menu to set the UE Tx Antenna for the DCI channel.

Search Space

Choice: Common | UE Specific

Default: Common

Double-click or use the drop-down menu to set the search space of the PDCCH channels.

See more details about this parameter in the PDCCH Assignment Procedure or refer to 3GPP TS 36.213.

PDCCH Tx Parameter Settings

State

Choice: Off | On

Default: On

Click to turn the DCI state on or off in the selected subframe.

Data

Choice: PN9 | PN15 | User Defined

Default: PN9

Use the Data Source Selection dialog box to select PN9, PN15, or User Defined Bits to use for the data in the selected subframe.

Agg Level

Choice: 1 | 2 | 4 | 8

Default: 1

Select the Aggregation level for the DCI searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

Candidate

Choice: 0

Default: 0 to maximum

Set the candidate within the searching space in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.

CCE Offset

Display the CCE offset of the DCI in the selected subframe.

See more details about this parameter in the PDCCH Assignment Procedure in 3GPP TS 36.213 9.1.1.


waveform plot dropdown

Real Time


ssvideo_readme.txt

ADDING VIDEOS TO CHM FILES

The Content\Resources\Multimedia folder containts the following files as a template for embedding short mp4 video files into the project. These files are imported from the Signal Studio master project. The files were originally generated from Camtasia 8.5 and work together to support playing embedded mp4 files in a chm file. Chm files normally only support swf multimedia files, so this process is a clever work around so that mp4 files can be used.

[scripts]
[skins]
ssvideo_embed.css
ssvideo.html
ssvideo_player.html (this file must be copied, edited, and renamed for each mp4 file in project)
ssvideo.mp4 (this is a placeholder video and shouldn't be used in project)
ssvideo_First_Frame.png
playerProductInstall.swf
ssvideo_controller.swf (this is the player)
ssvideo_config.xml

EXAMPLE PROCEDURE

1. Create a short (5-15 sec) mp4 video using Snagit. For example, badgui.mp4.

2. Save badgui.mp4 to Content\Resources\Multimedia of the Flare project.
   (ALL MULTIMEDIA FILES SHOULD BE IN THIS DIRECTORY.)

2. Make another copy of ssvideo_player.html and rename it to badgui_player.html.

3. In Notepad, edit the source code for the newly created badgui_player.html.
   a. Find this line: TSC.playerConfiguration.addMediaSrc("ssvideo.mp4");
   b. Change ssvideo.mp4 to badgui.mp4
   c. Save file.

4. Repeat this procedure for every mp4 file you want to add.
   This means that two new files (xxx.mp4 and xxx_player.html) are added
   for every new video. The rest of the supporting files remain unchanged.

5. In Flare, you will link to xxx_player.html. You must set the
   hyperlink's Target Frame to Popup Window.

Updated: March 2, 2015 by George Bratsberg


Data Dialog Boxes

Click the drop-down arrow in a data entry field to open the Data Source Selection Dialog box. The available buttons for entering and saving data and the maximum number of bits depend on the type of data: payload data for PUSCH/UL-SCH or HARQ ACK transmission data.

CQI Data

When Format 2, 2a, or 2b is selected for PUCCH/UCI data transmission, the CQI data can be configured as PN9, PN15, or User Data sequences. If you select User Data, the dialog box expands as shown below. The maximum file size is 13 bits. A warning is displayed when the editor is full.

PN9

This button inserts a fixed pattern pseudo-random bit sequence containing 511 bits into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. The software truncates all data in excess of 13 bits.

PN15

This button inserts a fixed pattern pseudo-random bit sequence containing 32767 bits into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. The software truncates all data in excess of 13 bits.

User Data

To manually insert data, place the cursor within the data entry area and enter bits using the 1 and 0 button on the editor, the keys on the keyboard , or paste data copied from a file or from within the current view. (You can use the keyboard shortcuts Cntl+C and Cntl+V for copying and pasting data.)

To delete data, place the cursor at the desired location within the data, and use the backspace button to delete the data. (You can use the keyboard shortcut Cntl+Z to delete highlighted data.)

UL-SCH Payload Data

The payload data for PUSCH/UL-SCH can be configured as PN9, PN15, Custom Pattern, or User Data sequences. If you select Custom Pattern, the dialog box expands as shown below. The maximum number of data bits is 128000 bits.

PN9

This option inserts a fixed pattern pseudo-random bit sequence containing 511 bits into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153.

PN15

This option inserts a fixed pattern pseudo-random bit sequence containing 32767 bits into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153.

Custom Pattern

To insert a custom pattern, place the cursor within the data entry area and enter bits using the 1 and 0 button on the editor, the keys on the keyboard , or paste data copied from a file or from within the current view. (You can use the keyboard shortcuts Cntl+C and Cntl+V for copying and pasting data.) The current number and total number of bits are updated as bits are added in the data entry area. The software truncates data that exceeds the maximum file size.

To delete data, place the cursor at the desired location within the data, and use the backspace button to delete the data. (You can also use the keyboard shortcut Cntl+Z to delete highlighted data.)

You can also enter and save data using the following buttons:

  • Open Pattern File to use a previously saved data text file stored on the instrument.

  • Save to file to store the data in a file at a location of your choice.

  • Clear to remove all previously entered data.

  • Insert PN 9 to insert a fixed pattern pseudo-random bit sequence containing 511 bits into the user data entry area at the cursor position.

  • Insert PN 15 to insert a fixed pattern pseudo-random bit sequence.containing 32767 bits into the user data entry area at the cursor position.

User Data

Click the Browse button to use a user-defined data file on the local drive.

Hybrid-ARQ ACK/NACK Data

For UL-SCH HARQ ACK transmission, the data can be configured as ALL ACK, All NACK, Custom Pattern, or User Data. If you select Custom Pattern, the dialog box expands as shown below.

All ACK

Acknowledges that the UE received the transmission successfully on all enabled processes.

All NACK

The UE did not properly receive the BTS transmission on all enabled processes.

Custom Pattern

Enter the data into the text box by clicking the ACK or NACK buttons on the right of the data editor or use the keyboard to enter 'A' or 'N'.

  • Current - displays the number of data bits at the current cursor position.

  • Total - displays the cumulative data bits that you have entered. The software truncates data that exceeds the maximum file size of 8,192 bits.

You can also enter and save data using the following buttons:

  • Open Pattern File to use a previously saved data text file stored on the PXB under Applications.

  • Save to file to store the data in a file at a location of your choice.

  • Clear to remove all previously entered data.

User Data

Click the Browse button to use a user-defined data file on the local drive.